import java.io.PrintWriter;
import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;
import com.ibm.ifs.gold.IfsTxn;
import com.ibm.ifs.servlets.IfsHttpServlet;

/**
 * Error Page Servlet.
 * @author      Sterling Smith*/

public class ErrorPage extends IfsHttpServlet {
   public static boolean debugOn = false;

   public void doGet (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {

      IfsSession mySession = new IfsSession(req, res);

      setDefaultHeader(res);
      PrintWriter pw = res.getWriter();
      IfsSystem.initIfs();
      IfsSession ifsSession = new IfsSession(req,res);

      pw.println("<HTML>");
      pw.println("<HEAD>");
      addCopyright(res);

      pw.println("<TITLE>");
      pw.println("Test Servlets Error Page");
      pw.println("</TITLE>");

      pw.println("<META NAME=\"Author\" VALUE=\"IBM Corporation\">");
      pw.println("<META NAME=\"Application\" VALUE=\"Customizable Web Server Test Pages\">");
      pw.println("</HEAD>");

      pw.println("<BODY BGCOLOR=\"#ffffff\">");
      pw.println("<BODY BGCOLOR=\"#FFFFFF\" BACKGROUND=\"\">");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dlogo.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");
      pw.println("<TABLE WIDTH=\"100%\" BORDER=\"0\" CELLSPACING=\"0\" CELLPADDING=\"0\">");
      pw.println("<TR>");
      pw.println("<TD><IMG SRC=\"/images/3dbanner.gif\" ALIGN=\"TOP\"></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<BR>");

      /*--- Begin ButtonBar ---------------*/
      pw.println("<TABLE BORDER='0' CELLPADDING='0' CELLSPACING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><A HREF='" + IfsSystem.HelpPage + "' onClick='OpenHelp(); return false;' onMouseOver=\"window.status='Display Help for Current Page'; return true\" ><IMG  SRC='/images/tab_help.gif' WIDTH='98' HEIGHT='48' NAME='help' ALT='Help' BORDER='0' ALIGN='BOTTOM'></A></TD>");
      pw.println("<TD VALIGN='MIDDLE' ALIGN='CENTER' NOWRAP><A HREF="+ IfsSystem.LogoffPage + "><IMG  SRC='/images/tab_exit.gif' WIDTH='98' HEIGHT='48' NAME='exit' ALT='Exit' BORDER='0' ALIGN='BOTTOM'></A></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End ButtonBar -----------------*/

      /*--- Begin Standard Title ------------------------*/
      pw.println("<P><TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='BASELINE' ALIGN='CENTER'><FONT SIZE=+2 COLOR='#000000'>Test Servlets Error Page</FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<IMG SRC='/images/hr_2.gif' WIDTH='100%' HEIGHT='3' ALIGN='CENTER'><BR>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='3' CELLPADDING='2'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='90%' BGCOLOR='#8EB5F0'>&nbsp;</TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='100%' VALIGN='TOP'><FONT></FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      /*--- End Standard Title---------------------------*/

      // Process transaction data if available.
      try {
         debug(res, "Inside ErrorPage");
         IfsTxn txn = (IfsTxn) getRequestParameter(req, "txn");
         if(null!=txn) {
            debug(ifsSession, "Transaction Class Name is " + txn.getClass().getName());
            pw.println("errorCode         = " + txn.getErrorCode() + "<BR>");
            pw.println("brc               = " + txn.getBrc() + "<BR>");
            pw.println("status            = " + txn.getStatus() + "<BR>");
            pw.println("compCode          = " + txn.getCompCode() + "<BR>");
            pw.println("reasonCode        = " + txn.getReasonCode() + "<BR>");
            pw.println("errorFunctionName = " + txn.getErrorFunctionName() + "<BR>");
            pw.println("errorModuleName   = " + txn.getErrorModuleName() + "<BR>");
            pw.println("message           = " + txn.getMessage() + "<BR>");
            pw.println("gmMessage         = " + txn.getGmMessage() + "<BR>");
            pw.println("senseData         = " + txn.getSenseData() + "<BR>");
            pw.println("senseDataLength   = " + txn.getSenseDataLength() + "<BR>");
         } else {
            String message = (String) getRequestParameter(req, "Exception");
            if(null!=message)
               pw.println("Exception occurred, text value is " + message);
         }
      }
      catch(Exception e) {
         pw.println("Exception occurred, text value is " + e.toString());
      }
      pw.println("<BR><BR>Click <A HREF=" + IfsSystem.LogoffPage + ">here</A> to exit.");
      pw.println("</BODY>");
      pw.println("</HTML>");

   }
}

