// ***************************************************************************
//
//  FILE NAME:   GtTestObject.java
//
//  COPYRIGHT:
//
//    Licensed Materials - Property of IBM
//    5648-A06
//    (C) Copyright IBM Corp. 1998 All Rights Reserved
//     US Government Users Restricted Rights - Use, duplication
//     or disclosure restricted by GSA ADP Schedule Contract
//     with IBM
//
// ***************************************************************************
import java.util.Enumeration;
import java.util.Hashtable;
import com.ibm.ifs.gold.IfsTxn;
import com.ibm.ifs.gold.IfsSession;
import javax.servlet.http.Cookie;

public class GtTestObject extends IfsTxn
{
   private static String GMRequestId             = "testobj_java";
   public String getGMRequestId() {return GMRequestId;}
   public static final int SD_OWNER              = 0;
   public static final int SDThis                = 0;

   private String  responseCode = null;
   private String  responseCode_text= null;
   private String gMJIPrintString = null;
   private String[] results = new String[3];
   public static Hashtable registry = new Hashtable();
   public static boolean debugOn = false;
   
// Constructor

   public GtTestObject(){}   
   public GtTestObject(IfsSession ifsSession) {setIfsSession(ifsSession);}   
 // ===========================================================
 // addGoldToGMJI method
 // ===========================================================
public void addGoldToGMJI(int argFlags, String cacheTxnName ) {
	return;
}   
   public String getResponseCode_text() {return responseCode_text;}
   public String getResponseCode() {return responseCode;}
   public String[] getResults() {return results;}
   public String getGMJIPrintString() {return gMJIPrintString;}
   public void setGMJIPrintString(String printString) {gMJIPrintString = printString;}
   public int getExecutionMode() {return executionMode;}
   public boolean getValidateActionRequired() {return validateActionRequired;}
   public boolean getRequestReadyActionRequired() {return requestReadyActionRequired;}
   public boolean getResponseReadyActionRequired() {return responseReadyActionRequired;}

 // ===========================================================
 // getGoldFromGMJO method
 // ===========================================================
   public void getGoldFromGMJO() {
	try {
	  responseCode           = getNextCharFromGMJO( 3,"responseCode" );
	  responseCode_text      = getNextCharItemFromGMJO( "responseCode_text" );
	  results[0]             = Integer.toString(getLongFromGMJO(gmjoCursor,"Anytext"));
	}
	catch(Exception e) {
		results[0] = e.toString();
	}
	try {
	  debug("GtTestObject.getGoldFromGMJO() - attempting to get ascii data");
	  results[1]             = Integer.toString(getLongFromGMJO((gmjoCursor + IfsTxn.GMJO_SIZEOF_LONG), "Anytext"));
	}
	catch(Exception e) {
	        debug("GtTestObject.getGoldFromGMJO() - exception during get ascii data");
		results[1] = e.toString();
	}
	try {
	  debug("GtTestObject.getGoldFromGMJO() - attempting to get data using large offset");
	  results[2]             = Integer.toString(getLongFromGMJO(5555555, "Anytext"));
	}
	catch(Exception e) {
	        debug("GtTestObject.getGoldFromGMJO() - exception during get large offset");
		results[2] = e.toString();
	}
   }   
public static Hashtable getRegistry() {
	return registry;
}
   public void setResponseCode_text(String o) {responseCode_text=o;}
   public void setResponseCode(String o) {responseCode=o;}

public String toString() {
	if(hasRegisteredMethod("toString"))
		return super.toString();

	Cookie cookie = getIfsSession().getSessionKey();
	StringBuffer buff = new StringBuffer(250);
	//buff.append(super.toString(prefix));
	
	buff.append("\n");
	buff.append("| BRC = ");
	buff.append(getBrc());
	
	buff.append("\n");
	buff.append("| Status = ");
	buff.append(getStatus());
	
	buff.append("\n");
	buff.append("| Message = ");
	buff.append(getMessage());
	
	buff.append("\n");
	buff.append("| responseCode = ");
	buff.append(responseCode);
	
	buff.append("\n");
	buff.append("| responseCode_text = ");
	buff.append(responseCode_text);
	
	buff.append("\n");
	if(registry.isEmpty()) {
		
		buff.append("| Registry is empty");
		
	} else {
		Enumeration keys = registry.keys();
		while(keys.hasMoreElements()) {
			String key = (String) keys.nextElement();
			
		 buff.append("\n");
			buff.append("| Registry contains: ");
			
			buff.append("| ");
			buff.append(key);
			buff.append(" = ");
			buff.append(registry.get(key).toString());
		}
	}
	return buff.toString();
		
}
public String toString(String prefix) {
	if(hasRegisteredMethod("toStringWithString"))
		return super.toString(prefix);

	Cookie cookie = getIfsSession().getSessionKey();
	StringBuffer buff = new StringBuffer(250);
	buff.append(super.toString(prefix));
	
	buff.append(prefix);
	buff.append("| BRC = ");
	buff.append(getBrc());
	
	buff.append(prefix);
	buff.append("| Status = ");
	buff.append(getStatus());
	
	buff.append(prefix);
	buff.append("| Message = ");
	buff.append(getMessage());
	
	buff.append(prefix);
	buff.append("| responseCode = ");
	buff.append(responseCode);
	
	buff.append(prefix);
	buff.append("| responseCode_text = ");
	buff.append(responseCode_text);
	
	buff.append(prefix);
	if(registry.isEmpty()) {
		
		buff.append("| Registry is empty");
		
	} else {
		Enumeration keys = registry.keys();
		while(keys.hasMoreElements()) {
			String key = (String) keys.nextElement();
			
		 buff.append(prefix);
			buff.append("| Registry contains: ");
			
			buff.append("| ");
			buff.append(key);
			buff.append(" = ");
			buff.append(registry.get(key).toString());
		}
	}
	return buff.toString();
		
}
}

