
/* -------------------------------------------------------------------------- *
 * File: ReauthViewBean.java                                                  *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce the necessary setters and getters    *
 * methods. HTML generating resources, such as JSPs, can retrieve the dynamic  *
 * data needed to produce the view (HTML) by calling the getXXX() methods of  *
 * this class.                                                                *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/                                                             

import javax.servlet.http.HttpServletRequest;
import java.io.PrintWriter;


public class ReauthViewBean {

/********************** Instance variables **********************/


  private String page;
  private boolean prevPage;
  private PrintWriter pw;
  private HttpServletRequest request;



/*********************** Instance Methods ***********************/


  /**
  * default constructor
  */

   public ReauthViewBean(){
   }

  /** */

  public void setPage(String page){
     this.page = page;
  }

  public String getPage(){
     return page;
  }


  /** */

  public void setIsPreviousPage(boolean prevPage){
     this.prevPage =  prevPage;
  }

  public boolean getIsPreviousPage(){
  
     return prevPage;
  }

  /** */

  public void setPagePw(PrintWriter pw){
  
    this.pw = pw;
  }

  public PrintWriter getPagePw(){

     return pw;
  }

  /** */

  public void setPageRequest (HttpServletRequest request){
     this.request = request;
  }

  public HttpServletRequest getPageRequest(){
     return request;
  }


} //end of ReauthViewBean class
