/* -------------------------------------------------------------------------- *
 * File: AccountBean.java                                                     *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce an account summary view. HTML        *
 * generating resources, such as JSPs, can retrieve the dynamic data needed   *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/                                                             



import com.ibm.ifs.gold.auto.GtAccountHistory;
import javax.servlet.http.HttpServletResponse;

 

public class AccountBean {

  /*********************** Instance Variables ***************************/
  /* account type variable */
  private String type = "";
 
  /* account number variable */
  private String number = "";

  /* account name variable  */
  private String nickName = "";

  /* account amount variable   */
  private String amount = "";

  /* account information date variable  */
  private String informationDate = "";

  /* account ledger balance amount variable  */
  private String ledgerBalanceAmount = "";


  /**account unknown check#   */
  private String unknownString = "";

  /* account history instance  */
  private GtAccountHistory accountHistory = null;



  
/* ----------------------------- Instance Methods --------------------------- */


  /**
   * Default constructor
  */
  public AccountBean() {
  }

  /**
   * This method sets the account type.
	*
	* @Param type -- account type
  */
  public void setType(String type) {
    this.type = type;
  }

  /**
   * This method returns the account type.
	* @return type -- account type 
  */
  public String getType() {
    return type;
  }


  /**
   * This method sets an account number.
	*
	* @Param number -- account number
  */
  public void setNumber(String number) {
    this.number = number;
  }

  /**
   * This method returns an account number.
	*
	* @return number -- account number
  */
  public String getNumber() {
    return number;
  }

  /**
   * This method sets an account name.
	*
	* @Param nickName -- account name
  */
 
  public void setNickName(String nickName) {
    this.nickName = nickName;
  }

  
  /**
   * This method returns an account name.
	*
	* @return nickName-- account name
  */

  public String getNickName() {
    return nickName;
  }

  /**
   * This method sets an account amount.
	* @param amount --  account amount
  */
  public void setAmount(String amount) {
    this.amount = amount;
  }

  /**
   * This method returns an account amount.
	* @return amount-- account amount
  */
  public String getAmount() {
    return amount;
  }

  /**
   * This method sets an account information date.
	* @param informationDate -- account information date
  */
  public void setInformationDate(String informationDate) {
    this.informationDate = informationDate;
  }

  /**
   * This method return an account information date.
	* @return informationDate -- account information date
  */
  public String getInformationDate() {
    return informationDate;
  }


  /**
   * This method set an account ledger balance.
	* @param ledgerBalanceAmount -- account ledger balance
  */

  public void setLedgerBalAmount(String ledgerBalanceAmount) {
	  this.ledgerBalanceAmount = ledgerBalanceAmount;
  }

  /**
   * This method returns an account ledger balance
	* @return ledgerBalanceAmount-- account ledger balance
  */
  
  public String getLedgerBalAmount() {
	  return ledgerBalanceAmount;
  }


  /**
   * This method sets a string to "unknown"
   * @param unknownString -- unknown check#
  */
  public void setUnknownString(String unknownString) {
     this.unknownString = unknownString; 
  }

  /**
   * This method return unknownString
   *@return unknownString -- unknown check# 
  */
  public String getUnknownString() {
	  return unknownString;
  }


 /**
   * This method sets an account history.
	* @param accountHistory -- account History 
  */

  public void setAccountHistory(GtAccountHistory accountHistory) {
	  this.accountHistory = accountHistory;
  }

  /**
   * This method returns an account History
	* @return accountHistory -- account history
  */

 public GtAccountHistory getAccountHistory() {
	  return accountHistory;
 }

}  // End AccountBean class
