/* -------------------------------------------------------------------------- *
 * File: AccountDetailViewBean.java                                           *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce an account detail view. HTML         *
 * generating resources, such as JSPs, can retrieve the dynamic data needed   *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/                                                             

public class AccountDetailViewBean {

/* ---------------------------- Instance Variables -------------------------- */

  /* account variable declarations */

  private String type;

  private String nickName;

  private boolean mortgageAccount;

  private String number;

  private String status;

  private String informationDate;

  private String payoffAmount;

  private String principalBalance;

  private String nextPayment;

  private String nextPaymentDueDate;

  private String lastBalance;
  
  private String lastStatementDate;

  private String lastPaymentAmount;

  private String lastPaymentDate;

  private String nrPaymentsComplete;

  private String prepaymentPenaltyAmount;

  private String ytdInterestAmount;

  private String lastYearInterestAmount;

  private String interestRate;

  private String transferTo;

  private String transferFrom;

  private String billPayment;

  private String originalLoanAmount;

  private String originalLoanDate;

  private String termValue;
  
  private String termPeriodType;

  private String escrowBalance;

  private String taxPaidAmount;

  private String lastYearTaxPaidDate;

  private String taxPaidDate;

  private String insurancePaidAmount;

  private String lastYearInsurancePaidAmount;

  private String insurancePaidDate;

  private String nrSignaturesRequired;

  private String accountPriority;

/* ----------------------------- Instance Methods --------------------------- */

  /**
   * The following methods are getters nd setters
   * for setting and accessing the properties
   * of an account.
  */

  public void setType(String type) {
    this.type = type;
  }

  public String getType() {
    return type;
  }

  public void setNickName(String nickName) {
    this.nickName = nickName;
  }

  public String getNickName() {
    return nickName;
  }

  public void setMortgageAccount(boolean mortgageAccount) {
    this.mortgageAccount = mortgageAccount;
  }

  public boolean isMortgageAccount() {
    return mortgageAccount;
  }

  public void setNumber(String number) {
    this.number = number;
  }

  public String getNumber() {
    return number;
  }

  public void setStatus(String status) {
    this.status = status;
  }

  public String getStatus() {
    return status;
  }

  public void setInformationDate(String informationDate) {
    this.informationDate = informationDate;
  }

  public String getInformationDate() {
    return informationDate;
  }

  public void setPayoffAmount(String payoffAmount) {
    this.payoffAmount = payoffAmount;
  }

  public String getPayoffAmount() {
    return payoffAmount;
  }

  public void setPrincipalBalance(String principalBalance) {
    this.principalBalance = principalBalance;
  }

  public String getPrincipalBalance() {
    return principalBalance;
  }

  public void setNextPayment(String nextPayment) {
    this.nextPayment = nextPayment;
  }

  public String getNextPayment() {
    return nextPayment;
  }

  public void setNextPaymentDueDate(String nextPaymentDueDate) {
    this.nextPaymentDueDate = nextPaymentDueDate;
  }

  public String getNextPaymentDueDate() {
    return nextPaymentDueDate;
  }

  public void setLastBalance(String lastBalance) {
    this.lastBalance = lastBalance;
  }

  public String getLastBalance() {
    return lastBalance;
  }

  public void setLastStatementDate(String lastStatementDate) {
     this.lastStatementDate = lastStatementDate;
  }

  public String getLastStatementDate() {
    return lastStatementDate;
  }

  public void setLastPaymentAmount(String lastPaymentAmount) {
    this.lastPaymentAmount = lastPaymentAmount;
  }

  public String getLastPaymentAmount() {
    return lastPaymentAmount;
  }

  public void setLastPaymentDate(String lastPaymentDate) {
    this.lastPaymentDate = lastPaymentDate;
  }

  public String getLastPaymentDate(String lastPaymentDate) {
    return lastPaymentDate;
  }

  public void setNrPaymentsComplete(String nrPaymentsComplete) {
    this.nrPaymentsComplete = nrPaymentsComplete;
  }

  public String getNrPaymentsComplete() {
    return nrPaymentsComplete;
  }

  public void setPrepaymentPenaltyAmount(String prepaymentPenaltyAmount) {
    this.prepaymentPenaltyAmount = prepaymentPenaltyAmount;
  }

  public String getPrepaymentPenaltyAmount() {
    return prepaymentPenaltyAmount;
  }

  public void setYTDInterestAmount(String ytdInterestAmount) {
    this.ytdInterestAmount = ytdInterestAmount;
  }

  public String getYTDInterestAmount() {
    return ytdInterestAmount;
  }

  public void setLastYearInterestAmount(String lastYearInterestAmount) {
    this.lastYearInterestAmount = lastYearInterestAmount;
  }

  public String getLastYearInterestAmount() {
    return lastYearInterestAmount;
  }

  public void setInterestRate(String interestRate) {
    this.interestRate = interestRate;
  }

  public String getInterestRate() {
    return interestRate;
  }

  public void setTransferTo(String transferTo) {
    this.transferTo = transferTo;
  }

  public String getTransferTo() {
    return transferTo;
  }

  public void setTransferFrom(String transferFrom) {
    this.transferFrom = transferFrom;
  }

  public String getTransferFrom() {
    return transferFrom;
  }

  public void setBillPayment(String billPayment) {
    this.billPayment = billPayment;
  }

  public String getBillPayment() {
    return billPayment;
  }

  public void setOriginalLoanAmount(String originalLoanAmount) {
    this.originalLoanAmount = originalLoanAmount;
  }

  public String getOriginalLoanAmount() {
    return originalLoanAmount;
  }

  public void setOriginalLoanDate(String originalLoanDate) {
    this.originalLoanDate = originalLoanDate;
  }

  public String getOriginalLoanDate() {
    return originalLoanDate;
  }

  public void setTermValue(String termValue) {
    this.termValue = termValue;
  }

  public String getTermValue() {
    return termValue;
  }

  public void setTermPeriodType(String termPeriodType) {
    this.termPeriodType = termPeriodType;
  }

  public String getTermPeriodType() {
    return termPeriodType;
  }

  public void setEscrowBalance(String escrowBalance) {
    this.escrowBalance = escrowBalance;
  }

  public String getEscrowBalance() {
    return escrowBalance;
  }

  public void setTaxPaidAmount(String taxPaidAmount) {
    this.taxPaidAmount = taxPaidAmount;
  }

  public String getTaxPaidAmount() {
    return taxPaidAmount;
  }

  public void setLastYearTaxPaidDate(String lastYearTaxPaidDate) {
    this.lastYearTaxPaidDate = lastYearTaxPaidDate;
  }

  public String getLastYearTaxPaidDate() {
    return lastYearTaxPaidDate;
  }

  public void setTaxPaidDate(String taxPaidDate) {
    this.taxPaidDate = taxPaidDate;
  }

  public String getTaxPaidDate() {
    return taxPaidDate;
  }

  public void setInsurancePaidAmount(String insurancePaidAmount) {
    this.insurancePaidAmount = insurancePaidAmount;
  }

  public String getInsurancePaidAmount() {
    return insurancePaidAmount;
  }

  public void setLastYearInsurancePaidAmount(String lastYearInsurancePaidAmount) {
    this.lastYearInsurancePaidAmount = lastYearInsurancePaidAmount;
  }

  public String getLastYearInsurancePaidAmount() {
    return lastYearInsurancePaidAmount;
  }

  public void setInsurancePaidDate(String insurancePaidDate) {
    this.insurancePaidDate = insurancePaidDate;
  }

  public String getInsurancePaidDate() {
    return insurancePaidDate;
  }

  public void setNrSignaturesRequired(String nrSignaturesRequired) {
    this.nrSignaturesRequired = nrSignaturesRequired;
  }

  public String getNrSignaturesRequired() {
    return nrSignaturesRequired;
  }

  public void setAccountPriority(String accountPriority) {
    this.accountPriority = accountPriority;
  }

  public String getAccountPriority() {
    return accountPriority;
  }

}  // End AccountDetailViewBean class
