/*
 * IfsCsrExit.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.GtLogoff;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsCsrExit extends IfsHttpServlet {

	public static boolean debugOn = false;
        public void doGet (HttpServletRequest req, HttpServletResponse res) throws ServletException, IOException {
		IfsSession ifsSession = new IfsSession(req, res);
                IfsSystem.initIfs();
                setDefaultHeader(res);
 		PrintWriter out = res.getWriter();

                try {
                    GtLogoff logoff = new GtLogoff();
                    logoff.setIfsSession(ifsSession);
                    logoff.execute();
                }
                catch(Exception e) {
                   res.sendRedirect(IfsSystem.ErrorPage + "?Exception=" + e.toString()); 
                } 

		try {
                    out.println ("<HTML>");
                    out.println ("<HEAD>");

                    addCopyright(res);

                    out.println ("<TITLE>End CSR</TITLE>");
                    out.println ("</HEAD>\n");

                    out.println ("<BODY BGCOLOR='#FFFFFF' TEXT='#000000'>\n");

                    out.println ("<P>\n");

                    out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
                    out.println ("<TR>	<TD VALIGN='baseline' ALIGN='center'><FONT SIZE='+2' COLOR='#000000'>CSR LOGOFF</FONT></TD></TR>");
                    out.println ("<TR>    <TD HEIGHT='4' VALIGN='middle'><IMG SRC='/images/blue.gif' WIDTH='100%' HEIGHT='2' NATURALSIZEFLAG='0'></TD></TR>");
                    out.println ("</TABLE>\n");

                    out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='2'>");
                    out.println ("<TR>	<TD WIDTH='90%' BGCOLOR='#8EB5F0'>&nbsp;</TD></TR>"); 
                    out.println ("</TABLE>\n");

                    out.println ("<P>\n");

                    out.println ("<CENTER>\n");

                    out.println ("<FONT SIZE='+2'><B>The current CSR Session has ended</B></FONT>\n");

                    out.println ("<BR><BR><BR><BR>\n");

                    out.println ("Click Enter to return to CSR Login page.\n");

                    out.println ("<FORM>");
                    out.println ("<INPUT TYPE='button' ALIGN='bottom' NAME='force' VALUE='Enter' onClick='location.href=\"IfsLogon\";'>");
                    out.println ("</FORM>\n");

                    out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
                    out.println ("<TR> 	<TD><IMG SRC='/images/blue.gif' WIDTH='100%' HEIGHT='2' NATURALSIZEFLAG='0'></TD></TR>"); 
                    out.println ("</TABLE>\n");

                    out.println ("</BODY>");
                    out.println ("</HTML>");
		}
                catch (Exception e) {
		    debug (res, "In outer catch: an exception has been thrown " +e.toString() );
                }

                out.flush();
                out.close();
	}
}
