/*
 *  IfsLogon.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 * US Government Users Restricted Rights - Use, duplication
 * or disclosure restricted by GSA ADP Schedule Contract
 * with IBM
 *
 */


import java.io.*;
import java.net.URLEncoder;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.IfsHttpServlet;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.gold.IfsSystem;

public class IfsLogon extends IfsHttpServlet
{

   public static boolean debugOn = false;
   public void doGet (HttpServletRequest req, HttpServletResponse res)
                     throws ServletException, IOException
   {

      IfsSession sess = new IfsSession(req, res);
      IfsSystem.initIfs();
      setDefaultHeader(res);
      PrintWriter out = res.getWriter();

      try
      {
         // validation error message
         String errMsg = (String)getRequestParameter(req,"errmsg");

         out.println ("<HTML>");
         out.println ("<HEAD>");

         addCopyright(res);

         out.println ("<TITLE>IFS CSR LOGON</TITLE>");
         out.println ("</HEAD>\n");

         out.println ("<BODY BGCOLOR='#FFFFFF' TEXT='#000000'>\n");

         out.println ("<P>\n");

         out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'>");
         out.println ("<TR>   <TD VALIGN='baseling' ALIGN='center'><FONT SIZE='+2' COLOR='#000000'>IFS CSR LOGIN</FONT></TD></TR>");
         out.println ("<TR> <TD VALIGN='middle'><IMG SRC='/images/blue.gif' WIDTH='100%' HEIGHT='2' BORDER='0'></TD></TR>");
         out.println ("</TABLE>\n");

         out.println ("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='2'>");
         out.println ("<TR> <TD WIDTH='90%' BGCOLOR='#8EB5F0'>");

         // Display error message when it exists.
         if (errMsg != null)
            out.println(errMsg + "<BR><BR>");
         out.println ("&nbsp;</TD></TR>");
         out.println ("</TABLE>\n");

         out.println ("<CENTER>");

         out.println ("To Login, please enter your User ID and Password.<P>and click on the <B>Login</B> button.\n");

         out.println ("<BR><BR><BR>\n");

         out.println ("<FORM METHOD='post' NAME='csr_logon' action='" + IfsSystem.ServerPath + "ProcessIfsLogon'>\n");

         out.println ("<TABLE WIDTH='350' BORDER='0' CELLPADDING='0' HEIGHT='100'>");
         out.println ("<TR> <TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN='right'><B>User ID:</B></TD>");
         out.println ("        <TD><INPUT TYPE='text' NAME='reqUserID' SIZE='30' MAXLENGTH='30' VALUE=''></TD>");
         out.println ("</TR>");
         out.println ("<TR>    <TD NOWRAP HEIGHT='27' WIDTH='27%'><P ALIGN='right'><B>Password:</B></TD>");
         out.println ("        <TD><INPUT TYPE='password' NAME='reqPassword' SIZE='30' MAXLENGTH='30' VALUE=''></TD>");
         out.println ("</TR>");
         out.println ("</TABLE>\n");

         out.println ("<BR>");
         out.println ("<FONT SIZE='+1'><I>Click the button below to login.</I></FONT>");
         out.println ("<BR><BR><BR>\n");

         out.println ("<INPUT TYPE='submit' NAME='CSR_Login' VALUE='Login'>\n");

         out.println ("</FORM>\n");

         out.println ("</BODY>");
         out.println ("</HTML>");
      }
      catch (Throwable e)
      {
         StringBuffer strBuf = new StringBuffer("ErrorPage?Exception=");
         strBuf.append(URLEncoder.encode("IfsLogon servlet has thrown exception: "));
         strBuf.append(URLEncoder.encode(e.toString()));
         callPage(res, strBuf.toString());
      }

      out.flush();
      out.close();
   }
}
