
/*
 * Logoff.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 *  US Government Users Restricted Rights - Use, duplication
 *  or disclosure restricted by GSA ADP Schedule Contract
 *  with IBM
 *
 */

/*
 * Description:
 * -----------
 * This servlet implements user logoff by executing the GtLogoff txn.
 * This servlet will be called when the user clicks on the
 * hyperlink text "EXIT" anywhere during navigation.
 *
 * Http Request Parameters:
 * -----------------------
 * No request parameters are used in this servlet
 *
 */

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import com.ibm.ifs.gold.GtLogoff;
import com.ibm.ifs.gold.IfsSession;
import com.ibm.ifs.servlets.IfsHttpServlet;
import java.net.URLEncoder;

/*
 *
 * Servlet Class to display logoff page
 *
 */
public class Logoff extends IfsHttpServlet
{
   /*
    *  Use the flag to debug this servlet
    */
   public static boolean debugOn = false;

   public void doGet (HttpServletRequest req, HttpServletResponse res)
   throws ServletException, IOException
   {
      /*
       *
       * Declare and initialize local variables
       *
       */
      IfsSession  ifsSession = new IfsSession(req,res);
      GtLogoff    logoff     = new GtLogoff(ifsSession);

      //IfsSystem.initIfs();
      /*
       *
       * Execute Logoff Txn
       *
       */
      try
      {
         logoff.execute();
         handleErrors(logoff, "ErrorPage","ErrorPage","ErrorPage");
      }
      catch (Exception e)
      {
         StringBuffer errMsg = new StringBuffer();
         errMsg.append("ErrorPage?Exception=");
         errMsg.append(URLEncoder.encode("Exception caught in doGet method of Logoff Servlet, explanation:"));
         errMsg.append(URLEncoder.encode(e.toString()));
         callPage(res,errMsg.toString());
      }

      setDefaultHeader(res);
      req.getRequestDispatcher("/logoff.jsp").forward(req, res);


   }

   /*
    *
    * We perform the same operations for POST request as done for GET requests,
    * so this method just sends the request to the doGet method.
    *
    */
   public void doPost (HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
   {
      try
      {
         doGet(request,response);
      }
      catch (Exception e)
      {
         StringBuffer errMsg = new StringBuffer();
         errMsg.append("ErrorPage?Exception=");
         errMsg.append(URLEncoder.encode("Exception caught in doPost method when calling doGet method in Logoff Servlet, explanation:"));
         errMsg.append(URLEncoder.encode(e.toString()));
         callPage(response,errMsg.toString());
      }
   }
}

