/* --------------------------------------------------------- *
 * File: Logon.java                                          *
 *                                                           *
 * Description:                                              *
 *                                                           *
 * Copyright Information:                                    *
 *                                                           *
 * Licensed Materials - Property of IBM                      *
 * 5648-A06                                                  *
 * (c) Copyright IBM Corporation, 1996-2000. All rights      *
 * reserved. US Government Users Restricted Rights - Use,    *
 * duplication or disclosure restricted by GSA ADP Schedule  *
 * Contract with IBM.                                        *
 *                                                           *
 * --------------------------------------------------------- */

import java.io.IOException;
import com.ibm.ifs.gold.IfsSession;
import javax.servlet.ServletException;
import com.ibm.ifs.servlets.IfsHttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/*
 * Logon.java
 *
 * Licensed Materials - Property of IBM
 * 5648-A06
 * (c) Copyright IBM Corporation, 1996-2000. All rights reserved.
 *  US Government Users Restricted Rights - Use, duplication
 *  or disclosure restricted by GSA ADP Schedule Contract
 *  with IBM
 *
 */

/* Description:
 * -----------
 * This servlet creates beans, saves them as a request
 * and forwards control to a JSP page for rendering the 
 * user Logon form. 
 *	If runtime errors occur the errors are logged in JSP
 * error page.
 */
public class Logon extends IfsHttpServlet {

/* ------------------------- Instance Methods ----------------------- */

  public void doPost(HttpServletRequest req, HttpServletResponse res)
    throws ServletException, IOException {
		
	  LogonViewBean viewBean = new LogonViewBean();
    try {
    
      IfsSession ifsSession = new IfsSession(req,res);
      viewBean.setOID(getNewOid(ifsSession,"GtLogon"));

      req.setAttribute("VIEW_BEAN", viewBean);
      setDefaultHeader(res);
      req.getRequestDispatcher("/logon.jsp").forward(req, res);
 
    }
    catch (Exception e) {
      e.printStackTrace();
      // Log using IfsHttpServlet log
		log( e.toString() );

      // Dispatch to JSP error page 

		viewBean.setError(e.toString());
		req.setAttribute("javax,servlet.jsp.jspException",e);
      req.getRequestDispatcher("/error.jsp").forward(req, res);
		
    }

  }

  public void doGet(HttpServletRequest req, HttpServletResponse res)
    throws ServletException, IOException {

    doPost(req, res);
  }

} // End Logon class

