/* -------------------------------------------------------------------------- *
 * File: LogonViewBean.java                                                   *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce an account the Logon data view. HTML *
 * generating resources, such as JSPs, can retrieve the dynamic data needed   *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/

/**
 *
 *
*/
public class LogonViewBean {

/* ---------------------------- Constructor --------------------------------- */

  /**
   * 
  */
  public LogonViewBean() {
  }

/*--------------------------- Instance variables -----------------------------*/

  /**  */
  private String oid;

  private String jspError;


/*--------------------------- Instance Methods -------------------------------*/

  /**
   *
  */
  public void setOID(String oid) {
    this.oid = oid;
  }

  /**
   *
  */
  public String getOID() {
    return oid;
  }

  /**
  *
  */
  public void setError(String jspError) {

		this.jspError = jspError;
  }


  /**
  *
  */

  public String getError(){
	  return jspError;
  }
	 
} // End LogonViewBean class
