/* --------------------------------------------------------- *
 * File: ProcessLogon.java                                   *
 *                                                           *
 * Description:                                              *
 *                                                           *
 * Copyright Information:                                    *
 *                                                           *
 * Licensed Materials - Property of IBM                      *
 * 5648-A06                                                  *
 * (c) Copyright IBM Corporation, 1996-2000. All rights      *
 * reserved. US Government Users Restricted Rights - Use,    *
 * duplication or disclosure restricted by GSA ADP Schedule  *
 * Contract with IBM.                                        *
 *                                                           *
 * --------------------------------------------------------- *
 * Process Logon authenticates the use entries received from *
 * logon jsp. if Logon is succesfull control is passed to    *
 * Accountsummary.                                           *
 *-----------------------------------------------------------*/
 
import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.servlets.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.gold.*;
import java.text.Collator; 


/**
 * 
 *
*/
public class ProcessLogon extends IfsHttpServlet {

  /**
   *
  */
  public void doPost (HttpServletRequest req, HttpServletResponse res) 
    throws ServletException, IOException {
	   
    try {
          IfsSession ifsSession = new IfsSession(req, res);
          GtLogon logon = (GtLogon) createInstance(ifsSession, "com.ibm.ifs.gold.GtLogon", "logon");
          String[] browserInfo = initBrowserInfo(req);	

          if(logon!= null) {
	       logon.setUserID((String) getRequestParameter(req,"UserID"));
          logon.setPinEncryptionType("0");
          logon.setPin((String) getRequestParameter(req,"Pin"));
          logon.setPasswordEncryptionType("0");
          logon.setPassword((String) getRequestParameter(req,"Password"));
	       logon.setProductName(browserInfo[0]);
	       logon.setReleaseVersion(browserInfo[1]);
	       logon.setClientOS(browserInfo[2]);
          } 
          else {
                // Log error here
                req.getRequestDispatcher(IfsSystem.ErrorPage).forward(req, res);
          }

          logon.execute();
      
           handleErrors(logon, IfsSystem.ErrorPage, IfsSystem.InfoPage, IfsSystem.RedoPage);
		
	        /*
	         *
	         * Logon is successfull, display Account Summary Page.
	         *
	        */

	 }
    catch(Exception e) {
      // Log error message here
      e.printStackTrace();
      System.err.println("ERROR: " + e.getMessage());  
      req.getRequestDispatcher(IfsSystem.ErrorPage).forward(req, res);
    }
	 
	 callPage(res,"AccountSummary");

  }
	
  /**
   *
  */
  private String[] initBrowserInfo(HttpServletRequest req) {
    
    String browserUserAgent, browser, token, browserVersion = null, browserPlatform = null, browserName = null;
    String[] browserInfo = new String[3];
    int i;

    // Get browser's 'User-agent' string from request header
    browser = req.getHeader("User-agent");
    browserUserAgent = browser;

    i = browserUserAgent.indexOf("Mozilla");

    if (i > -1) {
      // remove "Mozilla/" from UserAgent string
      browser = browserUserAgent.substring(browserUserAgent.indexOf("/")+1);

      // locate blank following version number
      i = browser.indexOf(" ");
      // get browser version number
      browserVersion = browser.substring(0, i);
      browserVersion = browserVersion.trim();  // remove any whitespace around version

      // get the browser info between the parens
      browser = browser.substring( (browser.indexOf("(")+1),
					     (browser.indexOf(")"))   );

      token = getBrowserItem(browser).trim();
      browser = updateBrowserItem(browser);

      if ( token == "compatible") {
        browserVersion += " compatible";   // add compatible to version

        // internet explorer

        browserName = getBrowserItem(browser).trim();
        browser = updateBrowserItem(browser);
        token = getBrowserItem(browser).trim();
        browser = updateBrowserItem(browser);

        if (token.indexOf("Update") > -1) {
	    // should be platform or update
          browserName +=  " " + token;       // add update string to name
          token = getBrowserItem(browser).trim();
        }
      } 
      else {
	          // netscape
	          browserName = "Netscape";
	   }
	
      browserPlatform = token;                // operating system of browser
    }
    browserInfo[0] = new String(browserName);
    browserInfo[1] = new String(browserVersion);
    browserInfo[2] = new String(browserPlatform);

    return browserInfo;
  }   // end of initBrowserInfo()

  /**
   *
  */
  private String getBrowserItem(String browserInfo) {
    int i;
    String item;

    if(null==browserInfo)
      return "";

    i = browserInfo.indexOf(';');
    if (i > -1) // found separator
      return browserInfo.substring(0,i);  // got element
    else //no separator found
      return browserInfo;   // return entire string
  } //end of getBrowserItem

  /**
   *
  */
  private String updateBrowserItem(String browserInfo) {
    int i;
				
    if(null==browserInfo)
      return "";

    i = browserInfo.indexOf(';');
    if (i > -1) // found separator
      return browserInfo.substring(i+1);  // remove element and separator
    else //no separator found
      return null;   // remove the list
				
  } //end of getBrowserItem


}
