/* -------------------------------------------------------------------------- *
 * File: UserProfileViewBean.java                                                   *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce an account the Logon data view. HTML *
 * generating resources, such as JSPs, can retrieve the dynamic data needed   *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/

public class UserProfileViewBean {

/******************************** instance variables **************************/

  private String name;

  private AccountBean[] depositAccounts;

  private AccountBean[] mortgageAccounts;

/*
* Default Constructor
*/

  public UserProfileViewBean() {
  }

/******************************** instance methods	*****************************/

  public void setName(String name) {
    this.name = name;
  }

  public String getName() {
    return name;
  }  

  public void setDepositAccounts(AccountBean[] depositAccounts) {
    this.depositAccounts = depositAccounts;
  }

  public AccountBean[] getDepositAccounts() {
    return depositAccounts;
  }

  public void setMortgageAccounts(AccountBean[] mortgageAccounts) {
    this.mortgageAccounts = mortgageAccounts;
  }

  public AccountBean[] getMortgageAccounts() {
    return mortgageAccounts;
  }

} // End UserProfileViewBean class
