//-*************************************
//
// FILE NAME:  IfsWpAccounts.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//-*************************************

import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.gold.*;        
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

/**
* This class displays the menu items for the account functions.
*/
public class IfsWpAccounts extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;

   //*******************************
   // Displays the menu items for the account transactions.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doGet(HttpServletRequest request, HttpServletResponse response)
               throws ServletException, IOException
   {
      // get session
      IfsSession ifsSession = new IfsSession(request, response);

      // Removed the cached object.
      removeObject(ifsSession, TRANSACTION_SEARCH);
      removeObject(ifsSession, TRANSACTION_HISTORY);

      PrintWriter out = startHtmlOutput(response, "Accounts");

      // summary
      out.println("<A href=\"IfsWpActSummary\">");
      out.println("<img src=\"/ifsgif/actsummary.gif\" ALT=\"Account summary\" BORDER=0 ></A>");

      // details
      out.println("<BR><A href=\"IfsWpActDetails?ReqTag=AllAccounts\">");
      out.println("<img src=\"/ifsgif/actdetails.gif\" ALT=\"Account details\" BORDER=0 ></A>");

      // transaction search
      out.println("<BR><A href=\"IfsWpTxnSearch\">");
      out.println("<img src=\"/ifsgif/actsearch.gif\" ALT=\"Transaction search\" BORDER=0 ></A>");

      // transaction history
      out.println("<BR><A href=\"IfsWpTxnHistory\">");
      out.println("<img src=\"/ifsgif/acthistory.gif\" ALT=\"Transaction history\" BORDER=0 ></A>");

      // balance inquiry
      out.println("<BR><A href=\"IfsWpBalanceInquiry?ReqTag=AllAccounts\">");
      out.println("<img src=\"/ifsgif/actbalance.gif\" ALT=\"Balance inquiry\" BORDER=0 ></A>");

      // interest rates
      out.println("<BR><A href=\"IfsWpInterestRates\">");
      out.println("<img src=\"/ifsgif/actinterest.gif\" ALT=\"Interest rates\" BORDER=0 ></A>");

       // link to other pages and close the print writer.
       endHtmlOutput(out);
   }

}
