//-*************************************
//
// FILE NAME:  IfsWpLogoff.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//  CHANGES:
//    07/27/2000  rhs   d7065   WorkPad requires VALUE=xxxx to be
//                              VALUE="xxxx" .
//
//-*************************************



/* Change History:
 *
 * Author                  Date        Changes
 * ----------------------  ----------  ---------------------------------------------
 * Sonya Johnson          1/15/2002     commented out import com.ibm.ifs.resource.*;
 *                        1/18/2002     added try-catch block
 *                        1/21/2002     added if statement for HandleErrors
 */

import java.io.*;
import java.net.URLEncoder;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.gold.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

//Commented out 1/15/02
//import com.ibm.ifs.resource.*;

/**
* This class logoffs the user from the IFS system.
*/
public class IfsWpLogoff extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;


   //*******************************
   // Displays the logoff confirmation page for the consumer.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doGet(HttpServletRequest req, HttpServletResponse res)
               throws ServletException, IOException
   {
      PrintWriter out = startHtmlOutput(res, "Logoff confirmation");

      // output confirmation message
      out.println("If you really want to logoff IFS, click the <B>Logoff</B> button below.");
      out.println("<P><CENTER>");
      out.println("<FORM METHOD=POST ACTION=IfsWpLogoff >");
      out.println("<INPUT TYPE=submit NAME=SUBMIT VALUE=\"Logoff\" >");
      out.println("</FORM></CENTER><BR>");

      // link to other pages and close the print writer.
      // endHtmlOutput(out);

      out.println("<P><DIV ALIGN=CENTER><A href=IfsWpMainDisplay >IFS </A>");
      out.println("|<A href=IfsWpAccounts >Accounts </A>");
      out.println("|<A href=IfsWpTransfer >Transfer </A>");
      out.println("|<A href=IfsWpServices >Services </A></DIV>"); 

      out.println("</BODY> </HTML>");
      out.close();
   }

   //*******************************
   // Logs the user off of the IFS system.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doPost(HttpServletRequest req, HttpServletResponse res)
               throws ServletException, IOException
   {
      // Get session
      IfsSession ifsSession = new IfsSession(req, res);
      GtUserProfile up = null;
      String logMsg = null;

      // Create logoff transaction and execute it.
      try
      {
         GtLogoff txn = new GtLogoff(ifsSession);

         //added try-catch block 1/18/2002
         try
        {
        
         txn.execute();
        } catch (Exception e )  {
            callPage_ErrorPage(res, e,
                 "Exception in execute method: ");
        }
         if (!handleErrors(txn, "IfsWpErrorPage","IfsWpErrorPage","IfsWpErrorPage")){
             return;
         }
      }
      catch (Exception e)
      {
         callPage_ErrorPage(res, e,
            "Exception caught in doGet method of IfsWpLogoff Servlet, explanation: ");
      }

      // output message to user after logoff
      if (logMsg == null)
         logMsg = "Goodbye, Thanks for banking with us! Click <B>Enter</B> button below to re-enter IFS";

      PrintWriter out = startHtmlOutput(res, "Logoff sucessfully");

      out.println(logMsg);
      out.println("<P><CENTER>");
      out.println("<FORM METHOD=get ACTION=IfsWpLogon >");
      out.println("<INPUT TYPE=submit NAME=SUBMIT VALUE=\"Enter\" >");
      out.println("</FORM>");

      // end html output
      out.println("</CENTER></BODY></HTML>");
      out.close();
   }
}
