//-*************************************
//
// FILE NAME:  IfsWpLogon.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//  CHANGES:
//    07/27/2000  rhs   d7065   WorkPad requires VALUE=xxxx to be
//                              VALUE="xxxx" .
//
//-*************************************

import java.io.*;

import javax.servlet.*;
import javax.servlet.http.*;

import com.ibm.ifs.gold.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

/**
* This class displays the logon form for users to logon to the IFS system.
*/
public class IfsWpLogon extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;


   //*******************************
   // Displays the logon form for user to logon to the IFS system.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doGet(HttpServletRequest req, HttpServletResponse res)
               throws ServletException, IOException
   {
      PrintWriter out = startHtmlOutput(res, "IFS Logon");

      out.println("<CENTER>");
      out.println("<IMG SRC=\"/ifsgif/welcome.gif\" ALT=\"Welcome to IFS\"><BR><BR>");

      // logon form
      out.println("<FORM METHOD=POST ACTION=IfsWpMain >");
      out.println("<TABLE BORDER=0   HEIGHT=80 >");

      // customer ID
      out.println("<TR><TD><P ALIGN=RIGHT>CustomerID:<BR><BR>");
      out.println("</TD><TD><INPUT TYPE=text NAME=userID SIZE=12 ");
      out.println("MAXLENGTH=" + IfsSystem.MAX_USER_ID_LEN + "><BR><BR>");

      // PIN
      out.println("</TD></TR><TR><TD><P ALIGN=RIGHT>PIN:<BR><BR>");
      out.println("</TD><TD><INPUT TYPE=PASSWORD NAME=pin SIZE=12 ");
      out.println("MAXLENGTH=" + IfsSystem.MAX_PASSWORD_LENGTH + "><BR><BR>");

      // password
      out.println("</TD></TR><TR><TD><P><P ALIGN=RIGHT>Password:<BR>");
      out.println("</TD><TD><INPUT TYPE=PASSWORD NAME=password SIZE=12 ");
      out.println("MAXLENGTH=" + IfsSystem.MAX_PIN_LENGTH + "><BR>");
      out.println("</TD></TR></TABLE>");

      // submit button
      out.println("<P ALIGN=CENTER><INPUT TYPE=submit NAME=btn VALUE=\"Logon\" >");
      out.println("</FORM>");

      // end html output
      out.println("</CENTER></BODY></HTML>");
      out.close();
   }
}
