//-*************************************
//
// FILE NAME:  IfsWpServices.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//-*************************************

import java.io.*;

import javax.servlet.http.*;
import javax.servlet.*;

import com.ibm.ifs.gold.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

/**
* This class displays the menu items for customer services.
*/
public class IfsWpServices extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;


   //*******************************
   // Displays the menu items for the customer service's transactions.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doGet (HttpServletRequest request, HttpServletResponse response)
               throws ServletException, IOException
   {
      // get session
      IfsSession ifsSession = new IfsSession(request, response);

      // Removed the cached object.
      removeObject(ifsSession, CHECK_COPY);
      removeObject(ifsSession, ORDER_CHECK_BOOK);
      removeObject(ifsSession, STOP_CHECK_PAYMENT);

      PrintWriter out = startHtmlOutput(response, "Services");

      out.println ("<A href=\"IfsWpCheckCopy\">");
      out.println ("<img src=\"/ifsgif/checkcopy.gif\" ALT=\"Check Copy Order\" BORDER=0 ></A>");
      out.println ("<BR><A href=\"IfsWpCheckBook\">");
      out.println ("<img src=\"/ifsgif/checkbook.gif\" ALT=\"Check Book Reorder\" BORDER=0 ></A>");
      out.println ("<BR><A href=\"IfsWpStopPayment\">");
      out.println ("<img src=\"/ifsgif/stoppayment.gif\" ALT=\"Stop Check Payment\" BORDER=0 ></A>");

      // link to other pages and close the print writer.
      endHtmlOutput(out);
   }

}
