//-*************************************
//
// FILE NAME:  IfsWpTransfer.java
//
// COPYRIGHT:
//    Licensed Materials - Property of IBM
//    5648-A06
//    (c) Copyright IBM Corporation, 1999, 2000. All rights reserved.
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract with IBM
//
//-*************************************

import java.io.*;
import java.util.*;
import javax.servlet.http.*;
import javax.servlet.*;
import com.ibm.ifs.gold.*;
import com.ibm.ifs.gold.auto.*;
import com.ibm.ifs.servlets.*;

/**
* This class displays the menu items for fund transfers.
*/
public class IfsWpTransfer extends IfsWpApplication
{
   // Controls the generation of debugging output for this class when
   // IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   public static boolean debugOn = false;


   //*******************************
   // Displays the menu items for the fund transfer's transactions.
   //
   // No Http Request Parameters are expected.
   //*******************************
   public void doGet(HttpServletRequest request, HttpServletResponse response)
               throws ServletException, IOException
   {
      // get session
      IfsSession ifsSession = new IfsSession(request, response);

      // Removed the cached object.
      removeObject(ifsSession, ADD_FIXED_TRANSFER);
      removeObject(ifsSession, ADD_VARIABLE_TRANSFER);
      removeObject(ifsSession, SEARCH_TRANSFER);
      removeObject(ifsSession, TRANSFER_INQUIRY);

      PrintWriter out = startHtmlOutput(response, "Fund Transfer");

      out.println("<P>");

      out.println("<A href =IfsWpAddFixedTransfer>");
      out.println("<IMG SRC=\"/ifsgif/AddFixedTransfer.gif\"  ALT=\"Add fixed transfer\" BORDER=0></A> ");
      out.println("<BR>");

      out.println("<A href =IfsWpAddVariableTransfer>");
      out.println("<IMG SRC=\"/ifsgif/AddVariableTransfer.gif\" ALT=\"Add variable transfer\" BORDER=0></A> ");
      out.println("<BR>");

      out.println("<A href =IfsWpSearchTransfer?op=change>");
      out.println("<IMG SRC=\"/ifsgif/changetransfers.gif\" ALT=\"Change Transfers\" BORDER=0></A> ");
      out.println("<BR>");

      out.println("<A href =IfsWpSearchTransfer?op=delete>");
      out.println("<IMG SRC=\"/ifsgif/deletetransfers.gif\" ALT=\"Delete Transfers\" BORDER=0></A> ");
      out.println("<BR>");

      out.println("<A href =IfsWpTransferInquiry>");
      out.println("<IMG SRC=\"/ifsgif/TransferInquiry.gif\" ALT=\"Transfer history inquiry\" BORDER=0></A> ");
      out.println("<BR>");

      // link to other pages and close the print writer.
      endHtmlOutput(out);
   }
}
