package com.ibm.ifs.gold;

// ***************************************************************************
//
//  FILE NAME:   GsDateFormat.java
//
//  COPYRIGHT:
//
//    Licensed Materials - Property of IBM
//    5648-A06
//    (C) Copyright IBM Corp. 1998, 1999 All Rights Reserved
//     US Government Users Restricted Rights - Use, duplication
//     or disclosure restricted by GSA ADP Schedule Contract
//     with IBM
//
//  CHANGES:
//    02/16/2000  rhs   d6341   Made JavaDoc correction/additions.
//
// ***************************************************************************
import java.text.SimpleDateFormat;
import java.util.ResourceBundle;
import java.util.Locale;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.Calendar;

public class GsDateFormat extends SimpleDateFormat
{
   public static final int DEFAULT_PATTERN_STYLE = SHORT+4;

   /**
   * Construct a default GsDateFormat object using the default pattern and default locale.
   */
   public GsDateFormat()
   {
      this(ResourceBundle.getBundle("java.text.resources.LocaleElements", Locale.getDefault()).
           getStringArray("DateTimePatterns")[DEFAULT_PATTERN_STYLE],
           Locale.getDefault());
   }
   public GsDateFormat(String goldPattern)
   {
      applyPattern(goldPattern);
   }
   public GsDateFormat(String pattern, Locale locale)
   {
      super(pattern,locale);
   }

   public GsDateFormat(Locale locale)
   {
      this(ResourceBundle.getBundle("java.text.resources.LocaleElements", locale).
           getStringArray("DateTimePatterns")[DEFAULT_PATTERN_STYLE],
           locale);
   }
}

