package com.ibm.ifs.gold;

// ***************************************************************************
//
//  FILE NAME:   GsTimeFormat.java
//
//  COPYRIGHT:
//
//    Licensed Materials - Property of IBM
//    5648-A06
//    (C) Copyright IBM Corp. 1998 All Rights Reserved
//     US Government Users Restricted Rights - Use, duplication
//     or disclosure restricted by GSA ADP Schedule Contract
//     with IBM
//
// ***************************************************************************

import java.text.SimpleDateFormat;
import java.util.ResourceBundle;
import java.text.FieldPosition;
import java.text.ParsePosition;
import java.util.Calendar;
import java.util.Locale;

public class GsTimeFormat extends SimpleDateFormat
{
   public GsTimeFormat()
   {
	   this(ResourceBundle.getBundle("java.text.resources.LocaleElements", Locale.getDefault()).
		     getStringArray("DateTimePatterns")[SHORT],
		     Locale.getDefault());
   }            
	public GsTimeFormat(String goldPattern)
	{
		applyPattern(goldPattern);
	}
   public GsTimeFormat(String pattern, Locale locale)
   {
	  super(pattern,locale);
   }      
	public GsTimeFormat(Locale locale)
	{
	    this(ResourceBundle.getBundle("java.text.resources.LocaleElements", locale).
		     getStringArray("DateTimePatterns")[SHORT],locale);
	}
}

