package com.ibm.ifs.gold;

// ***************************************************************************
//
//  FILE NAME:   GtSLAEvent.java
//
//  COPYRIGHT:
//
//    Licensed Materials - Property of IBM
//    5648-A06
//    (C) Copyright IBM Corp. 1998 All Rights Reserved
//     US Government Users Restricted Rights - Use, duplication
//     or disclosure restricted by GSA ADP Schedule Contract
//     with IBM
//
// ***************************************************************************
import java.util.Hashtable;

public class GtSLAEvent extends IfsTxn
{

   public static final int BEGIN_PAGE = 1;
   public static final int END_CWS_API = 2;
   public static final int END_PAGE = 4;

   private static final String GMRequestId             = "sla_java";
   public static final int SD_OWNER = 0;
   public int getSD_OWNER() { return( SD_OWNER );}
   public static final int SDThis = 0;

   public static Hashtable registry = new Hashtable();
   public static Hashtable getRegistry() { return registry; }
   public static boolean debugOn = false;

   // request fields and methods
   private int state = 0;
   public void setState(int newState) { state=newState;}
   public int getState() {return state;}

   // response fields

   /**
   * Default constructor
   */
   public GtSLAEvent(){}
   public GtSLAEvent(IfsSession sess) {
      setIfsSession(sess);
   }

   /**
   * Add SLAEvent gold message to Gold Message Java Input buffer.
   */
   public void addGoldToGMJI(int argFlags, String cacheTxnName) {
      addArgToGMJI(state);
      return;
   }
    
   /**
   * Get SLAEvent gold message from Gold Message Java Output buffer.
   */
   public void getGoldFromGMJO()
   { }

   /**
   * Execute SLAEvent transaction through special JNI
   */
   public void execute() {
	slaTxn = true;
        try { 
	   super.execute();
        } catch (IfsException e) {
            debug("GtSLAEvent.execute() - exception occurred " + e.toString() );
        }
   }

   /**
   * Don't mark the event for the SLAEvent transaction, just return.
   */
   public void markSLAEvent(int state) {
	debug("GtSLAEvent.markSLAEvent() - state is " + Integer.toString(this.state));
   }

   public String toString() {
      if (hasRegisteredMethod("toString"))
         return super.toString();

      StringBuffer buff = new StringBuffer(250);
      buff.append(super.toString());

      buff.append("| state = ");
      buff.append(state);

      return buff.toString();

   }
   public String toString(String prefix) {
      if (hasRegisteredMethod("toStringWithString"))
         return super.toString(prefix);

      StringBuffer buff = new StringBuffer(250);
      buff.append(super.toString(prefix));

      buff.append(prefix);
      buff.append("| state = ");
      buff.append(state);
      return buff.toString();

   }
}

