package com.ibm.ifs.gold;

//***************************************************************************
//
// FILE NAME:   GtSelfRegistration.java
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2002 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//  CHANGES:
//    02/16/2000  rhs   d6361   Made JavaDoc correction/addtions.
//    03/14/2000  rhs   d6545   Added NLS support
//    04/13/2000  rhs   d6609   Added fields for small business.
//    04/19/2000  rhs   d6643   Corrected resource tag ID for getCnsmrData1EncryptionType_text, 2, 3
//                              and the 4 new small business get..._text .
//    04/20/2000  rhs   d6631   Removed Language and country codes from GtLogon GMJI
//    05/03/2000  rhs   d6662   Readded _text fields to toString or showObject.
//    02/05/2002  pdl   d7430   Fixed calls to deprecated APIs.
//
//***************************************************************************

import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.util.Locale;
import java.util.ResourceBundle;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.Cookie;
import com.ibm.ifs.gold.IfsNLS;
import com.ibm.ifs.gold.auto.GsAcctDtl;
import com.ibm.ifs.gold.auto.GsCnsmrDataId;
import com.ibm.ifs.gold.auto.GsCnsmrInfo;
import com.ibm.ifs.gold.auto.GsCnsmrSrvcProvdRules;
import com.ibm.ifs.gold.auto.GtUserProfile;
import com.ibm.ifs.gold.auto.GsInvAcctDtl;
import com.ibm.ifs.servlets.IfsHttpServlet;
import java.util.Hashtable;
public class GtSelfRegistration extends IfsTxn
{
   private static final String GMRequestId             = "selfrgst_java";
   public static final int SD_OWNER = 0;
   public static final int SDThis = 0;
   public static final int SDConsumerID = 2902;
   public static final int SDAccountDetail = 2622;
   private String responseCode = null;
   private String  reqPrimaryFlag = null;
   private String  reqSelfConsumerID = null;
   private String  reqCnsmrIDDataUnencrypted = null;   //unencrypted consumer data  DCR553M  RFN
   private String  reqPasswordID = null;
   private byte[]  reqEncryptedPasswordID = null;
   private String  reqPasswordEncryptionType = IfsSystem.RSA_ENCRYPTION;
   private String  reqCnsmrData1 = null;
   private byte[]  reqEncryptedCnsmrData1 = null;
   private String  reqCnsmrData1EncryptionType = IfsSystem.RSA_ENCRYPTION;
   private String  reqCnsmrData2 = null;
   private byte[]  reqEncryptedCnsmrData2 = null;
   private String  reqCnsmrData2EncryptionType = IfsSystem.RSA_ENCRYPTION;
   private String  reqCnsmrData3 = null;
   private byte[]  reqEncryptedCnsmrData3 = null;
   private String  reqCnsmrData3EncryptionType = IfsSystem.RSA_ENCRYPTION;
   private int     reqRegisterHandle = 0;
   private String  reqSoftwarePaidName = null;
   private String  reqSoftwarePaidVersionNumber = null;
   private String  reqOperatingSystemName = null;
   private String  reqTimestamp = null;
   private int     reqGMTOffsetMinutes = 0;

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   private String  reqCountry = null;

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   private String  reqLanguageCode = null;
   private String  reqCheckDuplicateTransactionFlag = null;

   private String  referenceNumber = null;
   private String  serviceProviderReference = null;
   private String  fIProcInd = null;
   private String  primaryFlag = null;
   private String  selfConsumerID = null;
   private String  selfChangeableConsumerID = null;
   private byte[]  passwordID = null;
   private String  passwordEncryptionType = null;
   private byte[]  cnsmrData1 = null;
   private String  cnsmrData1EncryptionType = null;
   private byte[]  cnsmrData2 = null;
   private String  cnsmrData2EncryptionType = null;
   private byte[]  cnsmrData3 = null;
   private String  cnsmrData3EncryptionType = null;
   private int     registerHandle = 0;
   private String  consumerID = null;
   private String  changeableConsumerID = null;
   private String  permUserID = null;
   private String  lastName = null;
   private String  firstName = null;
   private String  middleName = null;
   private String  signupSource = null;
   private String  faxNumber = null;
   private String  suffix = null;
   private String  fIEmploymentType = null;
   private String  addressLine1 = null;
   private String  addressLine2 = null;
   private String  addressLine3 = null;
   private String  city = null;
   private String  province = null;
   private String  state = null;
   private String  country = null;
   private String  zipCode = null;
   private String  postalCode = null;
   private String  homePhone = null;
   private String  workPhone = null;
   private GsDate effectiveDate = null;
   private GsDate endDate = null;
   private String  newMessageFlag = null;
   private GsAcctDtl[]    accountDetail = null;
   private String  serviceChargePlan = null;
   private String  consumerType = null;
   private String  lastSessionTimestamp = null;
   private int     gMTOffsetMinutes = 0;
   private int     marketSegment = 0;
   private int     division = 0;
   private String  legalName = null;
   private String  socialSecurityNumber = null;
   private String  chargeBasisCode = null;
   private GsCurrency dailyLimitAmount = null;
   private String  emailAddress = null;

   private Cookie  sessionKey                = null;
   private int     taxType = 0;
   private String  brokerageName = null;
   private String  brokerageLastName = null;
   private String  brokerageFirstName = null;
   private String  brokerageMiddleName = null;
   private String  brokerageOfficeID = null;
   private int     brokerageInvCat = 0;
   private String  brokerageEmail = null;
   private GsInvAcctDtl[] ifsInvAcctDtl = null;


   private GsCnsmrDataId[]    consumerIDArray = null;
   private GsCnsmrInfo[] ifsCnsmrInfo = null;

   // Start of small business additions
   private String reqPrimCnsmrId = null;

   private String permUserId = null;
   private String primCnsmrId = null;
   private String primCnsmrID = null;

   private String addrLine1Nm = null;
   private String addrLine2Nm = null;
   private String addrLine3Nm = null;
   private String cityNm = null;
   private String provNm = null;
   private String stateCodeCl = null;
   private String cntryCodeCl = null;
   private String zipCodeCl = null;
   private String pstCodeCl = null;

   private GsCnsmrSrvcProvdRules[] consumerServiceProviderRules = null;
   private int secondaryConsumerMonthAuthorizationFlag = 0;
   private String tmstpVal = null;
   private int gmtOfstMinsVal = 0;
   private String dtLastLogTmstpTTmstpVal = null;
   private int dtLastLogTmstpTGmtOfstMinsVal = 0;
   private int fIConsumerStatusTypeClass = 0;

   private String businessName = null;
   private int businessIdTypeClass = 0;
   private String businessId = null;
   private String consumerLastNameAlt = null;
   private String consumerFirstNameAlt = null;
   private String consumerMiddleNameAlt = null;
   private String consumerSuffixTypeAlt = null;
   // End of small business additions


   /**
   * Controls the generation of debugging output for this class when
   * IfsSystem.debugMode equals DEBUG_SOME_CLASSES.
   */
   public static boolean  debugOn = false;

   private static Hashtable registry = new Hashtable();

   /**
   * Default constructor
   */
   public GtSelfRegistration(){}

   /**
   * Constructor with an associated IfsSession object.
   */
   public GtSelfRegistration(IfsSession sess)
   {
      setIfsSession(sess);
   }

   /**
   * Add SelfRegistration gold message to Gold Message Java Input buffer.
   */
   public void addGoldToGMJI(int argFlags, String cacheTxnName )
   {
      addArgToGMJI(reqPrimaryFlag);
      addArgToGMJI(reqSelfConsumerID);
      addArgToGMJI(reqPrimCnsmrId );
      addArgToGMJI(getReqPasswordID(IfsTxn.ENCRYPT));
      addArgToGMJI(reqPasswordEncryptionType);

      addArgToGMJI(getReqCnsmrData1(IfsTxn.ENCRYPT));
      addArgToGMJI(reqCnsmrData1EncryptionType);
      addArgToGMJI(getReqCnsmrData2(IfsTxn.ENCRYPT));
      addArgToGMJI(reqCnsmrData2EncryptionType);
      addArgToGMJI(getReqCnsmrData3(IfsTxn.ENCRYPT));
      addArgToGMJI(reqCnsmrData3EncryptionType);

      addArgToGMJI(reqRegisterHandle);
      addArgToGMJI(reqSoftwarePaidName);
      addArgToGMJI(reqSoftwarePaidVersionNumber);
      addArgToGMJI(reqOperatingSystemName);

      addArgToGMJI(reqCnsmrIDDataUnencrypted);
      reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack(reqSelfDef);
      addArgToGMJI(reqSelfDef_packed);
      return;

   }

   /**
   * Executes the GtSelfRegistration transaction by sending it to the
   * Financial Instition (FI) and the response is not saved in the Gold Manager
   * transaction cache.
   * The transaction execution mode is controlled by the IfsTxn object executionMode
   * attribute.
   *
   * @exception IfsException When execution fails
   */
   public void execute() throws IfsException
   {
      IfsSession sess = getIfsSession();
      Cookie oldCookie =  sess.getSessionKey();

      debug("<BR>Inside execute method of GtSelfRegistration transaction");
      setContainsRespCode(IfsTxn.RETURNS_RESPONSE_CODE);

      if ( IfsSystem.browserLocaleUsage == IfsSystem.USE_SERVER_LOCALE )
      {
         try { sess.setLocale(IfsSystem.SERVER_LOCALE ); }
         catch (IfsException e){ }
      }
      else
         IfsHttpServlet.checkBrowserLocale(sess.getHttpServletRequest() );

      selfRegTxn = true;

      debug("<BR>Calling super execute in GtSelfRegistration transaction");
      super.execute();
      debug("<BR>Returned from super execute in GtSelfRegistration transaction");
      if (status==OK)
      {
         debug("<BR>Status ok from execute in GtSelfRegistration transaction");
         sess.setSessionKey(getSessionKey());
         if (oldCookie != null && oldCookie.getValue() != null &&
             !oldCookie.getValue().equals(getSessionKey().getValue()))
         {
            debug("<BR>Inside oldCookie != null if case");
            errorCode = TXN_CWS;
            status = FATAL_ERROR;
            errorFunctionName = "UNKNOWN";
            errorModuleName = "GtSelfRegistration";
            message = getMessageText("com.ibm.ifs.resource.IfsCwsErrorTextBundle", "BADCOOKIE");
         }
         else
         {
            debug("<BR>Inside oldCookie != null else case");
            //get profile data from Gold Mgr cache
            GtUserProfile userProfile = new GtUserProfile(getIfsSession());
            userProfile.execute(CACHE);
            if (userProfile.getStatus() == userProfile.OK)
            {
               sess.getHttpSession().setAttribute("__UserProfile", userProfile);
            }
         }
      }
      else
         debug("<BR>Status is not OK from execute in GtSelfRegistration transaction");

   }

   public GsAcctDtl[]    getAccountDetail() {return(accountDetail);}
   public  String  getAddressLine1() {return(addressLine1);}
   public  String  getAddressLine2() {return(addressLine2);}
   public  String  getAddressLine3() {return(addressLine3);}
   public  String  getBrokerageEmail() {return brokerageEmail;}
   public  String  getBrokerageFirstName() {return brokerageFirstName;}
   public  int     getBrokerageInvCat() {return brokerageInvCat;}
   public  String  getBrokerageLastName() {return brokerageLastName;}
   public  String  getBrokerageMiddleName() {return brokerageMiddleName;}
   public  String  getBrokerageName() {return brokerageName;}
   public  String  getBrokerageOfficeID() {return brokerageOfficeID;}
   public  String  getChangeableConsumerID() {return(changeableConsumerID);}
   public  String  getChargeBasisCode() {return(chargeBasisCode);}
   public  String  getChargeBasisCode_text() throws IfsException
   {
      return IfsNLS.getText("IfsChrgBasisTpClResources",
                            getIfsSession().getLocale(),
                            getChargeBasisCode());
   }
   public  String  getCity() {return(city);}
   public byte[] getCnsmrData1() {return cnsmrData1;}
   public String getCnsmrData1EncryptionType() {return cnsmrData1EncryptionType;}
   public String getCnsmrData1EncryptionType_text()  throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrDtaEncryptResources",
                            getIfsSession().getLocale(),
                            getCnsmrData1EncryptionType());
   }
   public byte[] getCnsmrData2() {return cnsmrData2;}
   public String getCnsmrData2EncryptionType() {return cnsmrData2EncryptionType;}
   public String getCnsmrData2EncryptionType_text() throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrDtaEncryptResources",
                            getIfsSession().getLocale(),
                            getCnsmrData2EncryptionType());
   }
   public byte[] getCnsmrData3() {return cnsmrData3;}
   public String getCnsmrData3EncryptionType() {return cnsmrData3EncryptionType;}
   public String getCnsmrData3EncryptionType_text() throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrDtaEncryptResources",
                            getIfsSession().getLocale(),
                            getCnsmrData3EncryptionType());
   }
   public  String  getEmailAddress() {return(emailAddress);}
   public  String  getCnsmrEmailAddr() {return(emailAddress);}
   public String getCnsmrIDDataUnencrypted() { return reqCnsmrIDDataUnencrypted; }

   public String getConsumerID() {return consumerID;}
   public GsCnsmrDataId[]    getConsumerIDArray() {return(consumerIDArray);}
   public  String  getConsumerType() {return(consumerType);}
   public  String  getConsumerType_text()  throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrTpClResources",
                            getIfsSession().getLocale(),
                            getConsumerType());
   }
   public  String  getCountry() {return(country);}
   public  GsCurrency getDailyLimitAmount() {return(dailyLimitAmount);}
   public  int     getDivision() {return(division);}
   public  String  getDivision_text() throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrDivisionResources",
                            getIfsSession().getLocale(),
                            String.valueOf(getDivision()) );
   }
   public  GsDate getEffectiveDate() {return(effectiveDate);}
   public  GsDate getEndDate() {return(endDate);}
   public  String  getFaxNumber() {return(faxNumber);}
   public  String  getFIEmploymentType() {return(fIEmploymentType);}
   public  String  getFIEmploymentType_text() throws IfsException
   {
      return IfsNLS.getText("IfsFiEmpTpIndResources",
                            getIfsSession().getLocale(),
                            getFIEmploymentType());
   }
   public  String  getFIProcInd() {return(fIProcInd);}
   public  String  getFIProcInd_text() throws IfsException
   {
      return IfsNLS.getText("IfsFiProcIndResources",
                            getIfsSession().getLocale(),
                            getFIProcInd());
   }
   public  String  getFirstName() {return(firstName);}
   public  String getGMRequestId()                 {return(GMRequestId);}
   public  int     getGMTOffsetMinutes() {return(gMTOffsetMinutes);}

   /**
   * Get SelfRegistration gold message from Gold Message Java Output buffer.
   */
   public void getGoldFromGMJO()
   {
      int i, repeatCounter;

      responseCode              = getNextCharFromGMJO( 3,"responseCode" );
      referenceNumber           = getNextCharFromGMJO( 12,"referenceNumber" );
      serviceProviderReference  = getNextCharFromGMJO( 36,"serviceProviderReference" );
      fIProcInd                 = getNextCharFromGMJO( 1,"fIProcInd" );
      primaryFlag               = getNextCharFromGMJO( 1,"primaryFlag" );
      selfConsumerID            = getNextCharFromGMJO( 30,"selfConsumerID" );
      selfChangeableConsumerID  = getNextCharFromGMJO( 30,"selfChangeableConsumerID" );
      permUserId                = getNextCharFromGMJO( 57,"permUserId" );
      primCnsmrId               = getNextCharFromGMJO( 30,"primCnsmrId" );
      passwordID                = getNextBinaryItemFromGMJO( "passwordID" );
      passwordEncryptionType    = getNextCharFromGMJO( 1,"passwordEncryptionType" );

      repeatCounter = getNextLongFromGMJO( "repeatCounter" );
      consumerIDArray = new GsCnsmrDataId[repeatCounter];
      for (i = 0; i < repeatCounter; i++)
      {
         consumerIDArray[i]   = new GsCnsmrDataId(this);
      }
      registerHandle          = getNextLongFromGMJO( "registerHandle" );
      consumerID              = getNextCharFromGMJO( 30,"consumerID" );
      changeableConsumerID    = getNextCharFromGMJO( 30,"changeableConsumerID" );

      permUserID              = getNextCharFromGMJO( 57,"permUserID" );
      primCnsmrID             = getNextCharFromGMJO( 30,"primCnsmrID" );
      lastName                = getNextNlsCharFromGMJO( 30,"lastName" );
      firstName               = getNextNlsCharFromGMJO( 30,"firstName" );
      middleName              = getNextNlsCharFromGMJO( 20,"middleName" );
      signupSource            = getNextCharFromGMJO( 3,"signupSource" );
      faxNumber               = getNextCharFromGMJO( 15,"faxNumber" );
      suffix                  = getNextNlsCharFromGMJO( 8,"suffix" );
      fIEmploymentType        = getNextCharFromGMJO( 3,"fIEmploymentType" );
      addressLine1            = getNextNlsCharFromGMJO( 40,"addressLine1" );
      addressLine2            = getNextNlsCharFromGMJO( 40,"addressLine2" );
      addressLine3            = getNextNlsCharFromGMJO( 40,"addressLine3" );
      city                    = getNextNlsCharFromGMJO( 30,"city" );
      province                = getNextNlsCharFromGMJO( 30,"province" );
      state                   = getNextCharFromGMJO( 2,"state" );
      country                 = getNextCharFromGMJO( 3,"country" );
      zipCode                 = getNextCharFromGMJO( 9,"zipCode" );
      postalCode              = getNextCharFromGMJO( 6,"postalCode" );
      addrLine1Nm             = getNextNlsCharFromGMJO( 40,"addrLine1Nm" );
      addrLine2Nm             = getNextNlsCharFromGMJO( 40,"addrLine2Nm" );
      addrLine3Nm             = getNextNlsCharFromGMJO( 40,"addrLine3Nm" );
      cityNm                  = getNextNlsCharFromGMJO( 30,"cityNm" );
      provNm                  = getNextNlsCharFromGMJO( 30,"provNm" );
      stateCodeCl             = getNextCharFromGMJO( 2,"stateCodeCl" );
      cntryCodeCl             = getNextCharFromGMJO( 3,"cntryCodeCl" );
      zipCodeCl               = getNextCharFromGMJO( 9,"zipCodeCl" );
      pstCodeCl               = getNextCharFromGMJO( 6,"pstCodeCl" );
      homePhone               = getNextCharFromGMJO( 15,"homePhone" );
      workPhone               = getNextCharFromGMJO( 15,"workPhone" );
      effectiveDate           = new GsDate(this,"effectiveDate");
      endDate                 = new GsDate(this,"endDate");
      newMessageFlag          = getNextCharFromGMJO( 1,"newMessageFlag" );

      repeatCounter = getNextLongFromGMJO( "repeatCounter" );
      accountDetail = new GsAcctDtl[repeatCounter];
      for (i = 0; i <    repeatCounter; i++)
      {
         accountDetail[i]      = new GsAcctDtl(this);
      }

      serviceChargePlan        = getNextCharFromGMJO( 1,"serviceChargePlan" );
      consumerType             = getNextCharFromGMJO( 1,"consumerType" );
      lastSessionTimestamp     = getNextCharFromGMJO( 26,"lastSessionTimestamp" );
      gMTOffsetMinutes         = getNextLongFromGMJO( "gMTOffsetMinutes" );
      marketSegment            = getNextLongFromGMJO( "marketSegment" );
      division                 = getNextLongFromGMJO( "division" );
      legalName                = getNextNlsCharFromGMJO( 64,"legalName" );
      socialSecurityNumber     = getNextCharFromGMJO( 9,"socialSecurityNumber" );
      chargeBasisCode          = getNextCharFromGMJO( 1,"chargeBasisCode" );
      dailyLimitAmount         = new GsCurrency(this,"dailyLimitAmount");

      emailAddress             = getNextCharFromGMJO( 128,"emailAddress" );
      taxType                  = getNextLongFromGMJO( "taxType" );
      brokerageName            = getNextNlsCharFromGMJO( 35,"brokerageName" ); //99.1.2 change
      brokerageLastName        = getNextNlsCharFromGMJO( 30,"brokerageLastName" );
      brokerageFirstName       = getNextNlsCharFromGMJO( 30,"brokerageFirstName" );
      brokerageMiddleName      = getNextNlsCharFromGMJO( 30,"brokerageMiddleName" );
      brokerageOfficeID        = getNextNlsCharFromGMJO( 10,"brokerageOfficeID" );
      brokerageInvCat          = getNextLongFromGMJO( "brokerageInvCat" );
      brokerageEmail           = getNextCharFromGMJO( 128,"brokerageEmail" );

      repeatCounter = getNextLongFromGMJO( "repeatCounter" );
      ifsInvAcctDtl = new GsInvAcctDtl[repeatCounter];
      for (i = 0; i < repeatCounter; i++)
      {
         ifsInvAcctDtl[i]    = new GsInvAcctDtl(this);
      }

      repeatCounter       = getNextLongFromGMJO( "repeatCounter" );
      ifsCnsmrInfo = new GsCnsmrInfo[repeatCounter];
      for (i = 0; i < repeatCounter; i++)
      {
         ifsCnsmrInfo[i]    = new GsCnsmrInfo(this);
      }

      repeatCounter                = getNextLongFromGMJO( "repeatCounter" );
      consumerServiceProviderRules = new GsCnsmrSrvcProvdRules[repeatCounter];
      for (i = 0; i < repeatCounter; i++)
      {
         consumerServiceProviderRules[i]      = new GsCnsmrSrvcProvdRules(this);
      }
      secondaryConsumerMonthAuthorizationFlag = getNextLongFromGMJO( "secondaryConsumerMonthAuthorizationFlag" );
      tmstpVal                                = getNextCharFromGMJO( 26,"tmstpVal" );
      gmtOfstMinsVal                  = getNextLongFromGMJO( "gmtOfstMinsVal" );
      dtLastLogTmstpTTmstpVal         = getNextCharFromGMJO( 26,"dtLastLogTmstpTTmstpVal" );
      dtLastLogTmstpTGmtOfstMinsVal   = getNextLongFromGMJO( "dtLastLogTmstpTGmtOfstMinsVal" );
      fIConsumerStatusTypeClass       = getNextLongFromGMJO( "fIConsumerStatusTypeClass" );
      businessName                    = getNextVarCharFromGMJO( "businessName" );
      businessIdTypeClass             = getNextLongFromGMJO( "businessIdTypeClass" );
      businessId                      = getNextNlsCharFromGMJO( 20,"businessId" );
      consumerLastNameAlt             = getNextNlsCharFromGMJO( 30,"consumerLastNameAlt" );
      consumerFirstNameAlt            = getNextNlsCharFromGMJO( 30,"consumerFirstNameAlt" );
      consumerMiddleNameAlt           = getNextNlsCharFromGMJO( 20,"consumerMiddleNameAlt" );
      consumerSuffixTypeAlt           = getNextNlsCharFromGMJO( 8,"consumerSuffixTypeAlt" );

      addSelfDefProperties();
      sessionKey                      = getNextCookieFromGMJO("cookieName", "cookieValue");
   }

   public  GsCnsmrInfo[] getIfsCnsmrInfo() {return ifsCnsmrInfo;}
   public  String  getHomePhone() {return(homePhone);}
   public  GsInvAcctDtl[] getIfsInvAcctDtl() {return ifsInvAcctDtl;}
   public  String  getLastName() {return(lastName);}
   public  String  getLastSessionTimestamp() {return(lastSessionTimestamp);}
   public  String  getLegalName() {return(legalName);}
   public  int     getMarketSegment() {return(marketSegment);}
   public  String  getMarketSegment_text() throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrMktSegResources",
                            getIfsSession().getLocale(),
                            String.valueOf(getMarketSegment()) );
   }
   public  String  getMiddleName() {return(middleName);}
   public  String  getNewMessageFlag() {return(newMessageFlag);}
   public  String  getNewMessageFlag_text() throws IfsException
   {
      return IfsNLS.getText("IfsNewMsgFResources",
                            getIfsSession().getLocale(),
                            getNewMessageFlag());
   }
   public  String  getPasswordEncryptionType() {return(passwordEncryptionType);}
   public  String  getPasswordEncryptionType_text() throws IfsException
   {
      return IfsNLS.getText("IfsPswdEncryptTpClResources",
                            getIfsSession().getLocale(),
                            getPasswordEncryptionType());
   }
   public  byte[]  getPasswordID() {return(passwordID);}
   public  String  getPermUserID() {return(permUserID);}
   public  String  getPostalCode() {return(postalCode);}
   public  String  getPrimaryFlag() {return(primaryFlag);}
   public  String  getPrimaryFlag_text() throws IfsException
   {
      return IfsNLS.getText("IfsPrimFlagResources",
                            getIfsSession().getLocale(),
                            getPrimaryFlag());
   }
   public  String  getProvince() {return(province);}
   public  String  getReferenceNumber() {return(referenceNumber);}
   public  int     getRegisterHandle() {return(registerHandle);}

   /**
   * Returns a Hashtable object which contains the list of registered methods.
   */
   public static Hashtable getRegistry()
   {
      return registry;
   }
   public  String  getReqCheckDuplicateTransactionFlag() {return(reqCheckDuplicateTransactionFlag);}
   public String getReqCnsmrData1() {return reqCnsmrData1;}

   // Used by addArgToGMJI() to return encrypted reqCnsmrData1 data.
   //
   private byte[]  getReqCnsmrData1(boolean format)
   {
      if (format == true)
      {
         if ( (reqCnsmrData1 != null) &&
              (IfsSystem.RSA_ENCRYPTION.equals(reqCnsmrData1EncryptionType)))
         {
            // Perform the RSA encryption and return the encrypted value.
            IfsSecurity security = IfsSecurity.encryptData(reqCnsmrData1, IfsSystem.RSA_ENCRYPTION);
            if (security.isValid() == false)
            {
               message = "The RSA encryption routine failed, the return code is " +  security.getReturnCode();
               status = ENCRYPTION_FAILURE_ERROR;
            }
            return security.getEncodedValue();
         }
         else if (reqCnsmrData1 != null)
         {
            // The data is not being encrypted by the RSA algorithm.
            try { reqEncryptedCnsmrData1 = reqCnsmrData1.getBytes(IfsSystem.cwsGMJCharSet); }
            catch (UnsupportedEncodingException e)
            {
               reqEncryptedCnsmrData1 = null;
               debug("GtSelfRegistration.getReqCnsmrData1, exception is :: " + e.toString() );
            }
         }
      }
      return reqEncryptedCnsmrData1;
   }

   public String getReqCnsmrData1EncryptionType() {return reqCnsmrData1EncryptionType;}
   public String getReqCnsmrData2() {return reqCnsmrData2;}

   // Used by addArgToGMJI() to return encrypted reqCnsmrData2 data.
   //
   private byte[]  getReqCnsmrData2(boolean format)
   {
      if (format == true)
      {
         if ( (reqCnsmrData2 != null) &&
              (IfsSystem.RSA_ENCRYPTION.equals(reqCnsmrData2EncryptionType)))
         {
            // Perform the RSA encryption and return the encrypted value.
            IfsSecurity security = IfsSecurity.encryptData(reqCnsmrData2, IfsSystem.RSA_ENCRYPTION);
            if (security.isValid() == false)
            {
               message = "The RSA encryption routine failed, the return code is " +  security.getReturnCode();
               status = ENCRYPTION_FAILURE_ERROR;
            }
            return security.getEncodedValue();
         }
         else if (reqCnsmrData2 != null)
         {
            // The data is not being encrypted by the RSA algorithm.
            try { reqEncryptedCnsmrData2 = reqCnsmrData2.getBytes(IfsSystem.cwsGMJCharSet); }
            catch (UnsupportedEncodingException e)
            {
               reqEncryptedCnsmrData2 = null;
               debug("GtSelfRegistration.getReqCnsmrData2, exception is :: " + e.toString() );
            }
         }
      }
      return reqEncryptedCnsmrData2;
   }

   public String getReqCnsmrData2EncryptionType() {return reqCnsmrData2EncryptionType;}
   public String getReqCnsmrData3() {return reqCnsmrData3;}

   // Used by addArgToGMJI() to return encrypted reqCnsmrData3 data.
   //
   private byte[]  getReqCnsmrData3(boolean format)
   {
      if (format == true)
      {
         if ( (reqCnsmrData3 != null) &&
              (IfsSystem.RSA_ENCRYPTION.equals(reqCnsmrData3EncryptionType)))
         {
            // Perform the RSA encryption and return the encrypted value.
            IfsSecurity security = IfsSecurity.encryptData(reqCnsmrData3, IfsSystem.RSA_ENCRYPTION);
            if (security.isValid() == false)
            {
               message = "The RSA encryption routine failed, the return code is " +  security.getReturnCode();
               status = ENCRYPTION_FAILURE_ERROR;
            }
            return security.getEncodedValue();
         }
         else if (reqCnsmrData3 != null)
         {
            // The data is not being encrypted by the RSA algorithm.
            try { reqEncryptedCnsmrData3 = reqCnsmrData3.getBytes(IfsSystem.cwsGMJCharSet); }
            catch (UnsupportedEncodingException e)
            {
               reqEncryptedCnsmrData3 = null;
               debug("GtSelfRegistration.getReqCnsmrData3, exception is :: " + e.toString() );
            }
         }
      }
      return reqEncryptedCnsmrData3;
   }

   public String getReqCnsmrData3EncryptionType() {return reqCnsmrData3EncryptionType;}

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   public  String  getReqCountry() {return(reqCountry);}
   public byte[] getReqEncryptedCnsmrData1() {return reqEncryptedCnsmrData1;}
   public byte[] getReqEncryptedCnsmrData2() {return reqEncryptedCnsmrData2;}
   public byte[] getReqEncryptedCnsmrData3() {return reqEncryptedCnsmrData3;}
   public  byte[]  getReqEncryptedPasswordID() {return(reqEncryptedPasswordID);}
   public  int     getReqGMTOffsetMinutes() {return(reqGMTOffsetMinutes);}

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   public  String  getReqLanguageCode() {return(reqLanguageCode);}
   public  String  getReqOperatingSystemName() {return(reqOperatingSystemName);}
   public  String  getReqPasswordEncryptionType() {return(reqPasswordEncryptionType);}
   public  String  getReqPasswordID() {return(reqPasswordID);}

   // Used by addArgToGMJI() to return encrypted reqPasswordID data.
   //
   private byte[]  getReqPasswordID(boolean format)
   {
      if (format == true)
      {
         if ( (reqPasswordID != null) &&
              (IfsSystem.RSA_ENCRYPTION.equals(reqPasswordEncryptionType)))
         {
            // Perform the RSA encryption and return the encrypted value.
            IfsSecurity security = IfsSecurity.encryptData(reqPasswordID, IfsSystem.RSA_ENCRYPTION);
            if (security.isValid() == false)
            {
               message = "The RSA encryption routine failed, the return code is " + security.getReturnCode();
               status = ENCRYPTION_FAILURE_ERROR;
            }
            return security.getEncodedValue();
         }
         else if (reqPasswordID != null)
         {
            // The data is not being encrypted by the RSA algorithm.
            try { reqEncryptedPasswordID = reqPasswordID.getBytes(IfsSystem.cwsGMJCharSet); }
            catch (UnsupportedEncodingException e)
            {
               reqEncryptedPasswordID = null;
               debug("GtSelfRegistration.getReqPasswordID, exception is :: " + e.toString() );
            }

         }
      }
      return reqEncryptedPasswordID;
   }

   public  String  getReqPrimaryFlag() {return(reqPrimaryFlag);}
   public  int     getReqRegisterHandle() {return(reqRegisterHandle);}
   public  String  getReqSelfConsumerID() {return(reqSelfConsumerID);}
   public  String  getReqSoftwarePaidName() {return(reqSoftwarePaidName);}
   public  String  getReqSoftwarePaidVersionNumber() {return(reqSoftwarePaidVersionNumber);}
   public  String  getReqTimestamp() {return(reqTimestamp);}
   public String getResponseCode() {return responseCode;}
   public String getResponseCode_text() throws IfsException
   {
      return IfsNLS.getText("IfsRespCodeClResources",
                            getIfsSession().getLocale(),
                            getResponseCode());
   }
   public GsGmSelfDefiningFieldDef[]    getRespSelfDefData() {return(respSelfDefData);}
   public int getSD_OWNER() { return( SD_OWNER );}
   public  String  getSelfChangeableConsumerID() {return(selfChangeableConsumerID);}
   public  String  getSelfConsumerID() {return(selfConsumerID);}
   public  String  getServiceChargePlan() {return(serviceChargePlan);}
   public  String  getServiceChargePlan_text()  throws IfsException
   {
      return IfsNLS.getText("IfsSrvcChrgPlnResources",
                            getIfsSession().getLocale(),
                            getServiceChargePlan());
   }
   public  String  getServiceProviderReference() {return(serviceProviderReference);}
   public Cookie getSessionKey(){return sessionKey;}
   public  String  getSignupSource() {return(signupSource);}
   public  String  getSignupSource_text() throws IfsException
   {
      return IfsNLS.getText("IfsCnsmrSignupSrcResources",
                            getIfsSession().getLocale(),
                            getSignupSource());
   }
   public  String  getSocialSecurityNumber() {return(socialSecurityNumber);}
   public  String  getState() {return(state);}
   public  String  getSuffix() {return(suffix);}
   public  int     getTaxType() {return taxType;}
   public  String  getWorkPhone() {return(workPhone);}
   public  String  getZipCode() {return(zipCode);}

   // Start of small business additions

   public String getReqPrimCnsmrId() {return(reqPrimCnsmrId);}
   public String getReqCheckDuplicateTransactionFlag_text() throws IfsException
   {
      return IfsNLS.getText("IfsChkDuplTxnFResources",
                            getIfsSession().getLocale(),
                            getReqCheckDuplicateTransactionFlag());
   }

   public String getPermUserId() {return(permUserId);}
   public String getPrimCnsmrId() {return(primCnsmrId);}
   public String getPrimCnsmrID() {return(primCnsmrID);}

   public String getAddrLine1Nm() {return(addrLine1Nm);}
   public String getAddrLine2Nm() {return(addrLine2Nm);}
   public String getAddrLine3Nm() {return(addrLine3Nm);}
   public String getCityNm() {return(cityNm);}
   public String getProvNm() {return(provNm);}
   public String getStateCodeCl() {return(stateCodeCl);}
   public String getCntryCodeCl() {return(cntryCodeCl);}
   public String getZipCodeCl() {return(zipCodeCl);}
   public String getPstCodeCl() {return(pstCodeCl);}

   public GsCnsmrSrvcProvdRules[] getConsumerServiceProviderRules() {return(consumerServiceProviderRules);}
   public int getSecondaryConsumerMonthAuthorizationFlag() {return(secondaryConsumerMonthAuthorizationFlag);}
   public String getSecondaryConsumerMonthAuthorizationFlag_text() throws IfsException
   {
      return IfsNLS.getText("IfsSecCnsmrMntAuthFResources",
                            getIfsSession().getLocale(),
                            String.valueOf(getSecondaryConsumerMonthAuthorizationFlag()));
   }
   public String getTmstpVal() {return(tmstpVal);}
   public int getGmtOfstMinsVal() {return(gmtOfstMinsVal);}
   public String getDtLastLogTmstpTTmstpVal() {return(dtLastLogTmstpTTmstpVal);}
   public int getDtLastLogTmstpTGmtOfstMinsVal() {return(dtLastLogTmstpTGmtOfstMinsVal);}
   public int getFIConsumerStatusTypeClass() {return(fIConsumerStatusTypeClass);}
   public String getFIConsumerStatusTypeClass_text() throws IfsException
   {
      return IfsNLS.getText("IfsFICnsmrStTpClResources",
                            getIfsSession().getLocale(),
                            String.valueOf(getFIConsumerStatusTypeClass()));
   }

   public String getBusinessName() {return(businessName);}
   public int getBusinessIdTypeClass() {return(businessIdTypeClass);}
   public String getBusinessIdTypeClass_text() throws IfsException
   {
      return IfsNLS.getText("IfsBusnIdTpClResources",
                            getIfsSession().getLocale(),
                            String.valueOf(getBusinessIdTypeClass()));
   }
   public String getBusinessId() {return(businessId);}
   public String getConsumerLastNameAlt() {return(consumerLastNameAlt);}
   public String getConsumerFirstNameAlt() {return(consumerFirstNameAlt);}
   public String getConsumerMiddleNameAlt() {return(consumerMiddleNameAlt);}
   public String getConsumerSuffixTypeAlt() {return(consumerSuffixTypeAlt);}
   // End of small business additions

   public  void      setAccountDetail(GsAcctDtl[] o) {accountDetail = o;}
   public  void    setAddressLine1(String o) {addressLine1 = o;}
   public  void    setAddressLine2(String o) {addressLine2 = o;}
   public  void    setAddressLine3(String o) {addressLine3 = o;}
   public  void    setChangeableConsumerID(String o) {changeableConsumerID = o;}
   public  void    setChargeBasisCode(String o) {chargeBasisCode = o;}
   public  void    setCity(String o) {city = o;}
   public void setCnsmrData1(byte[] o) { cnsmrData1 = o;}
   public void setCnsmrData1EncryptionType(String o) { cnsmrData1EncryptionType = o;}
   public void setCnsmrData2(byte[] o) { cnsmrData2 = o;}
   public void setCnsmrData2EncryptionType(String o) { cnsmrData2EncryptionType = o;}
   public void setCnsmrData3(byte[] o) { cnsmrData3 = o;}
   public void setCnsmrData3EncryptionType(String o) { cnsmrData3EncryptionType = o;}
   public  void    setEmailAddress(String o) {emailAddress = o;}
   public  void    setCnsmrEmailAddr(String o) {emailAddress = o;}
   public void setCnsmrIDDataUnencrypted(String unencryptedCnsmrIDData)
   {
      reqCnsmrIDDataUnencrypted = unencryptedCnsmrIDData;
   }

   public void setConsumerID(String o) {consumerID = o;}
   public  void      setConsumerIDArray(GsCnsmrDataId[] o) {consumerIDArray = o;}
   public  void    setConsumerType(String o) {consumerType = o;}
   public  void    setCountry(String o) {country = o;}
   public  void         setDailyLimitAmount(GsCurrency o) {dailyLimitAmount = o;}
   public  void    setDivision(int o) {division = o;}
   public  void         setEffectiveDate(GsDate o) {effectiveDate = o;}
   public  void         setEndDate(GsDate o) {endDate = o;}
   public  void    setFaxNumber(String o) {faxNumber = o;}
   public  void    setFIEmploymentType(String o) {fIEmploymentType = o;}
   public  void    setFIProcInd(String o) {fIProcInd = o;}
   public  void    setFirstName(String o) {firstName = o;}
   public  void    setGMTOffsetMinutes(int o) {gMTOffsetMinutes = o;}
   public  void    setHomePhone(String o) {homePhone = o;}
   public  void    setLastName(String o) {lastName = o;}
   public  void    setLastSessionTimestamp(String o) {lastSessionTimestamp = o;}
   public  void    setLegalName(String o) {legalName = o;}
   public  void    setMarketSegment(int o) {marketSegment = o;}
   public  void    setMiddleName(String o) {middleName = o;}
   public  void    setNewMessageFlag(String o) {newMessageFlag = o;}
   public  void    setPasswordEncryptionType(String o) {passwordEncryptionType = o;}
   public  void    setPasswordID(byte[] o) {passwordID = o;}
   public  void    setPermUserID(String o) {permUserID = o;}
   public  void    setPostalCode(String o) {postalCode = o;}
   public  void    setPrimaryFlag(String o) {primaryFlag = o;}
   public  void    setProvince(String o) {province = o;}
   public  void    setReferenceNumber(String o) {referenceNumber = o;}
   public  void    setRegisterHandle(int o) {registerHandle = o;}
   public  void    setReqCheckDuplicateTransactionFlag(String o) {reqCheckDuplicateTransactionFlag = o;}
   public  void    setReqCnsmrData1(byte[] o) {reqEncryptedCnsmrData1 = o;reqCnsmrData1 = null;}
   public  void    setReqCnsmrData1(String o) {reqCnsmrData1 = o;reqEncryptedCnsmrData1 = null;}
   public  void    setReqCnsmrData1EncryptionType(String o) {reqCnsmrData1EncryptionType = o;}
   public  void    setReqCnsmrData2(byte[] o) {reqEncryptedCnsmrData2 = o;reqCnsmrData2 = null;}
   public  void    setReqCnsmrData2(String o) {reqCnsmrData2 = o;reqEncryptedCnsmrData2 = null;}
   public  void    setReqCnsmrData2EncryptionType(String o) {reqCnsmrData2EncryptionType = o;}
   public  void    setReqCnsmrData3(byte[] o) {reqEncryptedCnsmrData3 = o;reqCnsmrData3 = null;}
   public  void    setReqCnsmrData3(String o) {reqCnsmrData3 = o;reqEncryptedCnsmrData3 = null;}
   public  void    setReqCnsmrData3EncryptionType(String o) {reqCnsmrData3EncryptionType = o;}

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   public  void    setReqCountry(String o) {reqCountry = o;}
   public  void    setReqGMTOffsetMinutes(int o) {reqGMTOffsetMinutes = o;}

   /** @deprecated  as of V1R6. Country Code and language Code
   * are now set dynamically according to the current locale
   * object contained by this transaction. This method is not
   * replaced by any new method.
   */
   public  void    setReqLanguageCode(String o) {reqLanguageCode = o;}
   public  void    setReqOperatingSystemName(String o) {reqOperatingSystemName = o;}
   public  void    setReqPasswordEncryptionType(String o) {reqPasswordEncryptionType = o;}
   public  void    setReqPasswordID(byte[] o) {reqEncryptedPasswordID = o;reqPasswordID = null;}
   public  void    setReqPasswordID(String o) {reqPasswordID = o;reqEncryptedPasswordID = null;}
   public  void    setReqPrimaryFlag(String o) {reqPrimaryFlag = o;}
   public  void    setReqRegisterHandle(int o) {reqRegisterHandle = o;}
   public  void    setReqSelfConsumerID(String o) {reqSelfConsumerID = o;}
   public  void    setReqSoftwarePaidName(String o) {reqSoftwarePaidName = o;}
   public  void    setReqSoftwarePaidVersionNumber(String o) {reqSoftwarePaidVersionNumber = o;}
   public  void    setReqTimestamp(String o) {reqTimestamp = o;}
   public  void    setResponseCode(String o) {responseCode=o;}
   public  void    setRespSelfDefData(GsGmSelfDefiningFieldDef[] o) {respSelfDefData = o;}
   public  void    setSelfChangeableConsumerID(String o) {selfChangeableConsumerID = o;}
   public  void    setSelfConsumerID(String o) {selfConsumerID = o;}
   public  void    setServiceChargePlan(String o) {serviceChargePlan = o;}
   public  void    setServiceProviderReference(String o) {serviceProviderReference = o;}
   public  void    setSignupSource(String o) {signupSource = o;}
   public  void    setSocialSecurityNumber(String o) {socialSecurityNumber = o;}
   public  void    setState(String o) {state = o;}
   public  void    setSuffix(String o) {suffix = o;}
   public  void    setWorkPhone(String o) {workPhone = o;}
   public  void    setZipCode(String o) {zipCode = o;}
   public  void    setIfsCnsmrInfo(GsCnsmrInfo[] o) {ifsCnsmrInfo = o;}

   // Start of small business additions
   public void setReqPrimCnsmrId(String o) {reqPrimCnsmrId = o;}

   public void setPermUserId(String o) {permUserId = o;}
   public void setPrimCnsmrId(String o) {primCnsmrId = o;}
   public void setPrimCnsmrID(String o) {primCnsmrID = o;}

   public void setAddrLine1Nm(String o) {addrLine1Nm = o;}
   public void setAddrLine2Nm(String o) {addrLine2Nm = o;}
   public void setAddrLine3Nm(String o) {addrLine3Nm = o;}
   public void setCityNm(String o) {cityNm = o;}
   public void setProvNm(String o) {provNm = o;}
   public void setStateCodeCl(String o) {stateCodeCl = o;}
   public void setCntryCodeCl(String o) {cntryCodeCl = o;}
   public void setZipCodeCl(String o) {zipCodeCl = o;}
   public void setPstCodeCl(String o) {pstCodeCl = o;}

   public void setConsumerServiceProviderRules(GsCnsmrSrvcProvdRules[] o) {consumerServiceProviderRules = o;}
   public void setSecondaryConsumerMonthAuthorizationFlag(int o) {secondaryConsumerMonthAuthorizationFlag = o;}
   public void setTmstpVal(String o) {tmstpVal = o;}
   public void setGmtOfstMinsVal(int o) {gmtOfstMinsVal = o;}
   public void setDtLastLogTmstpTTmstpVal(String o) {dtLastLogTmstpTTmstpVal = o;}
   public void setFIConsumerStatusTypeClass(int o) {fIConsumerStatusTypeClass = o;}
   public void setDtLastLogTmstpTGmtOfstMinsVal(int o) {dtLastLogTmstpTGmtOfstMinsVal = o;}

   public void setBusinessName(String o) {businessName = o;}
   public void setBusinessIdTypeClass(int o) {businessIdTypeClass = o;}
   public void setBusinessId(String o) {businessId = o;}
   public void setConsumerLastNameAlt(String o) {consumerLastNameAlt = o;}
   public void setConsumerFirstNameAlt(String o) {consumerFirstNameAlt = o;}
   public void setConsumerMiddleNameAlt(String o) {consumerMiddleNameAlt = o;}
   public void setConsumerSuffixTypeAlt(String o) {consumerSuffixTypeAlt = o;}
   // End of small business additions

   /**
   * Converts the GtSelfRegistration object to a localized string representation.
   * When a method is registered to <EM>toString</EM> for this class,
   * it is used.  Otherwise, a default conversion to string is done.
   *
   * @return
   *    Returns a String representation of this object.
   */
   public String toString()
   {
      if (hasRegisteredMethod("toString"))
      {
         return super.toString();
      }
      else
         return toString("\n");
   }

   /**
   * Converts the GtSelfRegistration object to a localized string representation.
   * When a method is registered to <EM>toStringWithString</EM> for this class,
   * it is used.  Otherwise, a default conversion to string is done.
   *
   * @param prefix -- The String object which is appended to the beginning of the
   *    returned string.
   * @return
   *    Returns a String representation of this object.
   */
   public String toString( String prefix )
   {
      if (hasRegisteredMethod("toStringWithString"))
      {
         return super.toString(prefix);
      }
      else
      {
         StringBuffer buffer = new StringBuffer();
         final String newPrefix = prefix + "|  ";
         buffer.append( prefix + "reqPrimaryFlag = " + getReqPrimaryFlag() );
         buffer.append( prefix + "reqSelfConsumerID = " + getReqSelfConsumerID() );
         buffer.append( prefix + "reqPasswordID = " + getReqPasswordID() );
         buffer.append( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
         buffer.append( prefix + "reqConsumerID =" );
         buffer.append( prefix + "reqCnsmrData1 = " + getReqCnsmrData1() );
         buffer.append( prefix + "reqEncrytedCnsmrData1 = " + getReqEncryptedCnsmrData1() );
         buffer.append( prefix + "reqCnsmrData1EncryptionType = " + getReqCnsmrData1EncryptionType() );
         buffer.append( prefix + "reqCnsmrData2 = " + getReqCnsmrData2() );
         buffer.append( prefix + "reqEncrytedCnsmrData2 = " + getReqEncryptedCnsmrData2() );
         buffer.append( prefix + "reqCnsmrData2EncryptionType = " + getReqCnsmrData2EncryptionType() );
         buffer.append( prefix + "reqCnsmrData3 = " + getReqCnsmrData3() );
         buffer.append( prefix + "reqEncrytedCnsmrData3 = " + getReqEncryptedCnsmrData3() );
         buffer.append( prefix + "reqCnsmrData3EncryptionType = " + getReqCnsmrData3EncryptionType() );
         buffer.append( prefix + "reqRegisterHandle = " + getReqRegisterHandle() );
         buffer.append( prefix + "reqSoftwarePaidName = " + getReqSoftwarePaidName() );
         buffer.append( prefix + "reqSoftwarePaidVersionNumber = " + getReqSoftwarePaidVersionNumber() );
         buffer.append( prefix + "reqOperatingSystemName = " + getReqOperatingSystemName() );
         buffer.append( prefix + "reqTimestamp = " + getReqTimestamp() );
         buffer.append( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );
         buffer.append( prefix + "reqCheckDuplicateTransactionFlag = " + getReqCheckDuplicateTransactionFlag() );
         try { buffer.append( prefix + "reqCheckDuplicateTransactionFlag_text = " + getReqCheckDuplicateTransactionFlag_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "reqCheckDuplicateTransactionFlag_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "responseCode = " + responseCode);
         try { buffer.append( prefix + "responseCode_text = " + getResponseCode_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "responseCode_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "referenceNumber = " + getReferenceNumber() );
         buffer.append( prefix + "serviceProviderReference = " + getServiceProviderReference() );
         buffer.append( prefix + "fIProcInd = " + getFIProcInd() );
         try { buffer.append( prefix + "fIProcInd_text = " + getFIProcInd_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "fIProcInd_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "primaryFlag = " + getPrimaryFlag() );
         try { buffer.append( prefix + "primaryFlag_text = " + getPrimaryFlag_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "primaryFlag_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "selfConsumerID = " + getSelfConsumerID() );
         buffer.append( prefix + "selfChangeableConsumerID = " + getSelfChangeableConsumerID() );
         buffer.append( prefix + "permUserID = " + getPermUserID() );
         buffer.append( prefix + "passwordID = " + getPasswordID() );
         buffer.append( prefix + "passwordEncryptionType = " + getPasswordEncryptionType() );
         try { buffer.append( prefix + "passwordEncryptionType_text = " + getPasswordEncryptionType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "passwordEncryptionType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "consumerID =" );
         buffer.append( prefix + "cnsmrData1 = " + getCnsmrData1() );
         buffer.append( prefix + "cnsmrData1EncryptionType = " + getCnsmrData1EncryptionType() );
         try { buffer.append( prefix + "cnsmrData1EncryptionType_text = " + getCnsmrData1EncryptionType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "cnsmrData1EncryptionType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "cnsmrData2 = " + getCnsmrData2() );
         buffer.append( prefix + "cnsmrData2EncryptionType = " + getCnsmrData2EncryptionType() );
         try { buffer.append( prefix + "cnsmrData2EncryptionType_text = " + getCnsmrData2EncryptionType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "cnsmrData2EncryptionType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "cnsmrData3 = " + getCnsmrData3() );
         buffer.append( prefix + "cnsmrData3EncryptionType = " + getCnsmrData3EncryptionType() );
         try { buffer.append( prefix + "cnsmrData3EncryptionType_text = " + getCnsmrData3EncryptionType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "cnsmrData3EncryptionType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "registerHandle = " + getRegisterHandle() );
         buffer.append( prefix + "consumerID = " + getConsumerID() );
         buffer.append( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
         buffer.append( prefix + "permUserID = " + getPermUserID() );
         buffer.append( prefix + "lastName = " + getLastName() );
         buffer.append( prefix + "firstName = " + getFirstName() );
         buffer.append( prefix + "middleName = " + getMiddleName() );
         buffer.append( prefix + "signupSource = " + getSignupSource() );
         try { buffer.append( prefix + "signupSource_text = " + getSignupSource_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "signupSource_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "faxNumber = " + getFaxNumber() );
         buffer.append( prefix + "suffix = " + getSuffix() );
         buffer.append( prefix + "fIEmploymentType = " + getFIEmploymentType() );
         try { buffer.append( prefix + "fIEmploymentType_text = " + getFIEmploymentType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "fIEmploymentType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "addressLine1 = " + getAddressLine1() );
         buffer.append( prefix + "addressLine2 = " + getAddressLine2() );
         buffer.append( prefix + "addressLine3 = " + getAddressLine3() );
         buffer.append( prefix + "city = " + getCity() );
         buffer.append( prefix + "province = " + getProvince() );
         buffer.append( prefix + "state = " + getState() );
         buffer.append( prefix + "country = " + getCountry() );
         buffer.append( prefix + "zipCode = " + getZipCode() );
         buffer.append( prefix + "postalCode = " + getPostalCode() );
         buffer.append( prefix + "homePhone = " + getHomePhone() );
         buffer.append( prefix + "workPhone = " + getWorkPhone() );
         buffer.append( prefix + "effectiveDate =" + getEffectiveDate().toString());
         buffer.append( prefix + "endDate =" + getEndDate().toString());
         buffer.append( prefix + "newMessageFlag = " + getNewMessageFlag() );
         try { buffer.append( prefix + "newMessageFlag_text = " + getNewMessageFlag_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "newMessageFlag_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "accountDetail =" );
         //if(accountDetail != null) {
         //  for(int j = 0; j < accountDetail.length; j++) {
         //   accountDetail[j].showObject( res, pageWriter,newPrefix );
         //  }
         //}

         buffer.append( prefix + "serviceChargePlan = " + getServiceChargePlan() );
         try { buffer.append( prefix + "serviceChargePlan_text = " + getServiceChargePlan_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "serviceChargePlan_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "consumerType = " + getConsumerType() );
         try { buffer.append( prefix + "consumerType_text = " + getConsumerType_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "consumerType_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "lastSessionTimestamp = " + getLastSessionTimestamp() );
         buffer.append( prefix + "gMTOffsetMinutes = " + getGMTOffsetMinutes() );
         buffer.append( prefix + "marketSegment = " + getMarketSegment() );
         try { buffer.append( prefix + "marketSegment_text = " + getMarketSegment_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "marketSegment_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "division = " + getDivision() );
         try { buffer.append( prefix + "division_text = " + getDivision_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "division_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "legalName = " + getLegalName() );
         buffer.append( prefix + "socialSecurityNumber = " + getSocialSecurityNumber() );
         buffer.append( prefix + "chargeBasisCode = " + getChargeBasisCode() );
         try {buffer.append( prefix + "chargeBasisCode_text = " + getChargeBasisCode_text() ); }
         catch (IfsException e)
         {
            buffer.append(prefix + "chargeBasisCode_text throws IfsException: " + e.getMessage());
         }

         buffer.append( prefix + "dailyLimitAmount =" + getDailyLimitAmount().toString());
         buffer.append( prefix + "emailAddress = " + getEmailAddress() );

         buffer.append( prefix + "taxType = " + getTaxType() );
         buffer.append( prefix + "brokerageName = " + getBrokerageName() );
         buffer.append( prefix + "brokerageLastName = " + getBrokerageLastName() );
         buffer.append( prefix + "brokerageMiddleName = " + getBrokerageMiddleName() );
         buffer.append( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
         buffer.append( prefix + "brokerageInvCat = " + getBrokerageInvCat() );
         buffer.append( prefix + "brokerageEmail = " + getBrokerageEmail() );

         buffer.append( prefix + "ifsInvAcctDtl = " );
         //if (ifsInvAcctDtl == null)
         //{
         //   pageWriter.println (" (null)");
         //}
         //else
         //{
         //   for (int j = 0; j < ifsInvAcctDtl.length;j++)
         //   {
         //      ifsInvAcctDtl[j].showObject( res, pageWriter, newPrefix );
         //   }
         //   pageWriter.println ("<br>");
         //}

         buffer.append( prefix + "consumerInformation = " );
         //if (consumerInformation == null)
         //{
         //   pageWriter.println (" (null)");
         //}
         //else
         //{
         //   for (int j = 0; j < consumerInformation.length;j++)
         //   {
         //      consumerInformation[j].showObject( res, pageWriter, newPrefix );
         //   }
         //   pageWriter.println ("<br>");
         //}

         buffer.append( prefix + "consumerServiceProviderRules = " );
         //if (consumerServiceProviderRules == null)
         //{
         //   pageWriter.println (" (null)");
         //}
         //else
         //{
         //   for (int j = 0; j < consumerServiceProviderRules.length;j++)
         //   {
         //      consumerServiceProviderRules[j].showObject( res, pageWriter, newPrefix );
         //   }
         //   pageWriter.println ("<br>");
         //}

         buffer.append( prefix + "secondaryConsumerMonthAuthorizationFlag = " +
                        getSecondaryConsumerMonthAuthorizationFlag() );
         try
         {
            buffer.append( prefix +
                           "secondaryConsumerMonthAuthorizationFlag_text = " +
                           getSecondaryConsumerMonthAuthorizationFlag_text() );
         }
         catch (IfsException e)
         {
            buffer.append(prefix +
                          "secondaryConsumerMonthAuthorizationFlag_text throws IfsException: " +
                          e.getMessage());
         }

         buffer.append( prefix + "tmstpVal = " + getTmstpVal() );
         buffer.append( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
         buffer.append( prefix + "dtLastLogTmstpTTmstpVal = " + getDtLastLogTmstpTTmstpVal() );
         buffer.append( prefix + "dtLastLogTmstpTGmtOfstMinsVal = " + getDtLastLogTmstpTGmtOfstMinsVal() );
         buffer.append( prefix + "fIConsumerStatusTypeClass = " + getFIConsumerStatusTypeClass() );
         try
         {
            buffer.append( prefix + "fIConsumerStatusTypeClass_text = " +
                           getFIConsumerStatusTypeClass_text() );
         }
         catch (IfsException e)
         {
            buffer.append(prefix +
                          "fIConsumerStatusTypeClass_text throws IfsException: " +
                          e.getMessage());
         }

         buffer.append( prefix + "businessName = " + getBusinessName() );
         buffer.append( prefix + "businessIdTypeClass = " + getBusinessIdTypeClass() );
         try
         {
            buffer.append( prefix + "businessIdTypeClass_text = " +
                           getBusinessIdTypeClass_text() );
         }
         catch (IfsException e)
         {
            buffer.append(prefix +
                          "businessIdTypeClass_text throws IfsException: " +
                           e.getMessage());
         }

         buffer.append( prefix + "businessId = " + getBusinessId() );
         buffer.append( prefix + "consumerLastNameAlt = " + getConsumerLastNameAlt() );
         buffer.append( prefix + "consumerFirstNameAlt = " + getConsumerFirstNameAlt() );
         buffer.append( prefix + "consumerMiddleNameAlt = " + getConsumerMiddleNameAlt() );
         buffer.append( prefix + "consumerSuffixTypeAlt = " + getConsumerSuffixTypeAlt() );

         buffer.append( prefix + "respSelfDefData =" );
         //if(respSelfDefData != null) {
         //  for(int j = 0; j < respSelfDefData.length; j++) {
         //   respSelfDefData[j].showObject( res, newPrefix );
         //  }
         //}

         return buffer.toString();
      }
   }

   /**
   * Validates the GtSelfRegistration object.
   * When a method is registered to <EM>validate</EM> for this class,
   * it is used.  Otherwise, a default validation is done.
   *
   * @return
   *    Returns "OK" if the GtSelfRegistration is valid.  Otherwise, it returns a message
   *    string indicating the error.
   */
   public String validate()
   {
      String str = super.validate();
      if (str == null)
         str = "OK";
      return str;
   }
} // end-of, GtSelfRegistration class
