//**********************************************
//
// FILE NAME: GsAcctSmtmPrdDtl.java
// TYPE NAME: IFS Account Statement Periods Detail
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_ACCT_SMTM_PRD_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsAcctSmtmPrdDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>acctStmtStrtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AcctStmtStrtDtTg</code>.
   * <BR>
   */
  private GsDate acctStmtStrtDt = null;

  /**
   * <P>Sets the value of the attribute <code>acctStmtStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctStmtStrtDtTg</code>.
   * <BR>
   */
  public  void   setAcctStmtStrtDt(GsDate o )  { acctStmtStrtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>acctStmtStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctStmtStrtDtTg</code>.
   * <BR>
   */
  public  GsDate getAcctStmtStrtDt() { return (acctStmtStrtDt); }

  /**
   * <P>The attribute <code>acctStmtEndDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AcctStmtEndDtTg</code>.
   * <BR>
   */
  private GsDate acctStmtEndDt = null;

  /**
   * <P>Sets the value of the attribute <code>acctStmtEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctStmtEndDtTg</code>.
   * <BR>
   */
  public  void   setAcctStmtEndDt(GsDate o )  { acctStmtEndDt = o; }

  /**
   * <P>Gets the value of the attribute <code>acctStmtEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctStmtEndDtTg</code>.
   * <BR>
   */
  public  GsDate getAcctStmtEndDt() { return (acctStmtEndDt); }

//======================================================================================

// constructors

  public GsAcctSmtmPrdDtl() {}

  public GsAcctSmtmPrdDtl( IfsSession session ) { setIfsSession(session); }

  public GsAcctSmtmPrdDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    acctStmtStrtDt = new GsDate( txn, "acctStmtStrtDt" );
    acctStmtEndDt = new GsDate( txn, "acctStmtEndDt" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "acctStmtStrtDt =" );
    if( acctStmtStrtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      acctStmtStrtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "acctStmtEndDt =" );
    if( acctStmtEndDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      acctStmtEndDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    acctStmtStrtDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "acctStmtStrtDt", "GsAcctSmtmPrdDtl" );
    acctStmtEndDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "acctStmtEndDt", "GsAcctSmtmPrdDtl" );
  }

// End of populate -- Start pack

  public static String pack( GsAcctSmtmPrdDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsAcctSmtmPrdDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsDate.pack( repeatArray[ i ].acctStmtStrtDt )
          +  GsDate.pack( repeatArray[ i ].acctStmtEndDt );
    }

    return str;
  }
} // End of Class
