//**********************************************
//
// FILE NAME: GsAtmTxnId.java
// TYPE NAME: IFS ATM TXN ID
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_ATM_TXN_ID</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsAtmTxnId extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>owner</code> is an alias for the
   * standard message simple element
   * <code>OwnNmTg</code>.
   */
  private String owner = null;

  /**
   * <P>Sets the value of the attribute <code>owner</code>,
   * which is an alias for the standard message simple element
   * <code>OwnNmTg</code>.
   */
  public  void   setOwner( String o ) { owner = o; }

  /**
   * <P>Gets the value of the attribute <code>owner</code>,
   * which is an alias for the standard message simple element
   * <code>OwnNmTg</code>.
   */
  public  String getOwner() { return (owner); }

  /**
   * <P>The attribute <code>address</code> is an alias for the
   * standard message simple element
   * <code>StrAddrNmTg</code>.
   */
  private String address = null;

  /**
   * <P>Sets the value of the attribute <code>address</code>,
   * which is an alias for the standard message simple element
   * <code>StrAddrNmTg</code>.
   */
  public  void   setAddress( String o ) { address = o; }

  /**
   * <P>Gets the value of the attribute <code>address</code>,
   * which is an alias for the standard message simple element
   * <code>StrAddrNmTg</code>.
   */
  public  String getAddress() { return (address); }

  /**
   * <P>The attribute <code>cityState</code> is an alias for the
   * standard message simple element
   * <code>CityStateNmTg</code>.
   */
  private String cityState = null;

  /**
   * <P>Sets the value of the attribute <code>cityState</code>,
   * which is an alias for the standard message simple element
   * <code>CityStateNmTg</code>.
   */
  public  void   setCityState( String o ) { cityState = o; }

  /**
   * <P>Gets the value of the attribute <code>cityState</code>,
   * which is an alias for the standard message simple element
   * <code>CityStateNmTg</code>.
   */
  public  String getCityState() { return (cityState); }

  /**
   * <P>The attribute <code>description</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AtmTxnDescTg</code>.
   * <BR>
   */
  private GsMsgTxt[] description = null;

  /**
   * <P>Sets the value of the attribute <code>description</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AtmTxnDescTg</code>.
   * <BR>
   */
  public  void       setDescription(GsMsgTxt[] o )  { description = o; }

  /**
   * <P>Gets the value of the attribute <code>description</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AtmTxnDescTg</code>.
   * <BR>
   */
  public  GsMsgTxt[] getDescription() { return (description); }

//======================================================================================

// constructors

  public GsAtmTxnId() {}

  public GsAtmTxnId( IfsSession session ) { setIfsSession(session); }

  public GsAtmTxnId( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    owner = txn.getNextNlsCharFromGMJO( 14, "owner" );
    address = txn.getNextNlsCharFromGMJO( 18, "address" );
    cityState = txn.getNextNlsCharFromGMJO( 15, "cityState" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    description = new GsMsgTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      description[ i ] = new GsMsgTxt( txn );
    }
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "owner = " + getOwner() );
    pageWriter.println( prefix + "address = " + getAddress() );
    pageWriter.println( prefix + "cityState = " + getCityState() );

    pageWriter.println( prefix + "description =" );
    if( description == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < description.length; j++ )
      {
        pageWriter.println( prefix + "description[" + j + "] =" );
        if( description[ j ] == null )
          pageWriter.println( " (null)" );
        else
          description[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    owner = getCharFromURL( req, prefix + "owner" );
    address = getCharFromURL( req, prefix + "address" );
    cityState = getCharFromURL( req, prefix + "cityState" );

    repeatCounter = getLongFromURL( req, prefix + "description_repeatCounter" );
    description = new GsMsgTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      description[ i ] = new GsMsgTxt(getIfsSession());
      description[ i ].populateFromURL( txn, req, prefix + "description_" + i + "_" );
    }
  }

// End of populate -- Start pack

  public static String pack( GsAtmTxnId[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsAtmTxnId();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packNlsChar( repeatArray[i].owner, 14 )
          +  IfsTxn.packNlsChar( repeatArray[i].address, 18 )
          +  IfsTxn.packNlsChar( repeatArray[i].cityState, 15 )
          +  GsMsgTxt.pack( repeatArray[ i ].description );
    }

    return str;
  }
} // End of Class
