//**********************************************
//
// FILE NAME: GsCnsmrDataId.java
// TYPE NAME: IFS CNSMR DATA ID
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_CNSMR_DATA_ID</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsCnsmrDataId extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>consumerDataIDItem</code> is an alias for the
   * standard message simple element
   * <code>CnsmrDataIdItemTg</code>.
   */
  private byte[] consumerDataIDItem = null;

  /**
   * <P>Sets the value of the attribute <code>consumerDataIDItem</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrDataIdItemTg</code>.
   */
  public  void   setConsumerDataIDItem( byte[] o ) { consumerDataIDItem = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerDataIDItem</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrDataIdItemTg</code>.
   */
  public  byte[] getConsumerDataIDItem() { return (consumerDataIDItem); }

  /**
   * <P>The attribute <code>consumerDataEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>CnsmrDtaEncryptTg</code>.
   */
  private String consumerDataEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>consumerDataEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrDtaEncryptTg</code>.
   */
  public  void   setConsumerDataEncryptionType( String o ) { consumerDataEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerDataEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrDtaEncryptTg</code>.
   */
  public  String getConsumerDataEncryptionType() { return (consumerDataEncryptionType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerDataEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrDtaEncryptTg</code>.
   */
  public  String getConsumerDataEncryptionType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrDtaEncryptResources", locale, getConsumerDataEncryptionType() );
  }

//======================================================================================

// constructors

  public GsCnsmrDataId() {}

  public GsCnsmrDataId( IfsSession session ) { setIfsSession(session); }

  public GsCnsmrDataId( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    consumerDataIDItem = txn.getNextBinaryItemFromGMJO( "consumerDataIDItem" );
    consumerDataEncryptionType = txn.getNextCharFromGMJO( 1, "consumerDataEncryptionType" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "consumerDataIDItem = " + getConsumerDataIDItem() );
    pageWriter.println( prefix + "consumerDataEncryptionType = " + getConsumerDataEncryptionType() );
    try {
      pageWriter.println( prefix + "consumerDataEncryptionType_text = " + getConsumerDataEncryptionType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerDataEncryptionType_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    consumerDataIDItem = getBinaryFromURL( req, prefix + "consumerDataIDItem" );
    consumerDataEncryptionType = getCharFromURL( req, prefix + "consumerDataEncryptionType" );
  }

// End of populate -- Start pack

  public static String pack( GsCnsmrDataId[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsCnsmrDataId();

      str += IfsTxn.packLong( i )  /* GoldIndex */;
      if (repeatArray[i].consumerDataIDItem == null)
        str += "000000000000";
      else
      {
        str += IfsTxn.packLong(repeatArray[i].consumerDataIDItem.length) +
               IfsTxn.nibblize(repeatArray[i].consumerDataIDItem);
      }
      str =  str
          +  IfsTxn.packChar( repeatArray[i].consumerDataEncryptionType, 1 );
    }

    return str;
  }
} // End of Class
