//**********************************************
//
// FILE NAME: GsEbillRespRec.java
// TYPE NAME: IFS Electronic Bill Response State Record
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_EBILL_RESP_REC</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsEbillRespRec extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>eBillIdentifier</code> is an alias for the
   * standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  private String eBillIdentifier = null;

  /**
   * <P>Sets the value of the attribute <code>eBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  public  void   setEBillIdentifier( String o ) { eBillIdentifier = o; }

  /**
   * <P>Gets the value of the attribute <code>eBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  public  String getEBillIdentifier() { return (eBillIdentifier); }

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>EBillStRespRefrTg.RespCodeClTg</code>.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.RespCodeClTg</code>.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.RespCodeClTg</code>.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>EBillStRespRefrTg.FiRfrNbrIdTg</code>.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.FiRfrNbrIdTg</code>.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.FiRfrNbrIdTg</code>.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>EBillStRespRefrTg.SrvcPrvdRfrIdTg</code>.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.SrvcPrvdRfrIdTg</code>.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStRespRefrTg.SrvcPrvdRfrIdTg</code>.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

//======================================================================================

// constructors

  public GsEbillRespRec() {}

  public GsEbillRespRec( IfsSession session ) { setIfsSession(session); }

  public GsEbillRespRec( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    eBillIdentifier = txn.getNextCharFromGMJO( 36, "eBillIdentifier" );
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "eBillIdentifier = " + getEBillIdentifier() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    eBillIdentifier = getCharFromURL( req, prefix + "eBillIdentifier" );
    responseCode = getCharFromURL( req, prefix + "responseCode" );
    fIReferenceNumber = getCharFromURL( req, prefix + "fIReferenceNumber" );
    serviceProviderReference = getCharFromURL( req, prefix + "serviceProviderReference" );
  }

// End of populate -- Start pack

  public static String pack( GsEbillRespRec[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsEbillRespRec();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].eBillIdentifier, 36 )
          +  IfsTxn.packChar( repeatArray[i].responseCode, 3 )
          +  IfsTxn.packChar( repeatArray[i].fIReferenceNumber, 12 )
          +  IfsTxn.packChar( repeatArray[i].serviceProviderReference, 36 );
    }

    return str;
  }
} // End of Class
