//**********************************************
//
// FILE NAME: GsEbillStateRec.java
// TYPE NAME: IFS Electronic Bill State Record
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_EBILL_STATE_REC</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsEbillStateRec extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>eBillIdentifier</code> is an alias for the
   * standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  private String eBillIdentifier = null;

  /**
   * <P>Sets the value of the attribute <code>eBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  public  void   setEBillIdentifier( String o ) { eBillIdentifier = o; }

  /**
   * <P>Gets the value of the attribute <code>eBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>EBillNbrIdTg</code>.
   */
  public  String getEBillIdentifier() { return (eBillIdentifier); }

  /**
   * <P>The attribute <code>billState</code> is an alias for the
   * standard message simple element
   * <code>EBillStClTg</code>.
   */
  private String billState = null;

  /**
   * <P>Sets the value of the attribute <code>billState</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStClTg</code>.
   */
  public  void   setBillState( String o ) { billState = o; }

  /**
   * <P>Gets the value of the attribute <code>billState</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStClTg</code>.
   */
  public  String getBillState() { return (billState); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>billState</code>,
   * which is an alias for the standard message simple element
   * <code>EBillStClTg</code>.
   */
  public  String getBillState_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsEBillStClResources", locale, getBillState() );
  }

  /**
   * <P>The attribute <code>paymentStatus</code> is an alias for the
   * standard message simple element
   * <code>EBillPymtStClTg</code>.
   */
  private String paymentStatus = null;

  /**
   * <P>Sets the value of the attribute <code>paymentStatus</code>,
   * which is an alias for the standard message simple element
   * <code>EBillPymtStClTg</code>.
   */
  public  void   setPaymentStatus( String o ) { paymentStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentStatus</code>,
   * which is an alias for the standard message simple element
   * <code>EBillPymtStClTg</code>.
   */
  public  String getPaymentStatus() { return (paymentStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentStatus</code>,
   * which is an alias for the standard message simple element
   * <code>EBillPymtStClTg</code>.
   */
  public  String getPaymentStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsEBillPymtStClResources", locale, getPaymentStatus() );
  }

  /**
   * <P>The attribute <code>pymtNbrId</code> is an alias for the
   * standard message simple element
   * <code>PymtNbrIdTg</code>.
   */
  private String pymtNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>pymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>PymtNbrIdTg</code>.
   */
  public  void   setPymtNbrId( String o ) { pymtNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>pymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>PymtNbrIdTg</code>.
   */
  public  String getPymtNbrId() { return (pymtNbrId); }

//======================================================================================

// constructors

  public GsEbillStateRec() {}

  public GsEbillStateRec( IfsSession session ) { setIfsSession(session); }

  public GsEbillStateRec( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    eBillIdentifier = txn.getNextCharFromGMJO( 36, "eBillIdentifier" );
    billState = txn.getNextCharFromGMJO( 1, "billState" );
    paymentStatus = txn.getNextCharFromGMJO( 1, "paymentStatus" );
    pymtNbrId = txn.getNextCharFromGMJO( 36, "pymtNbrId" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "eBillIdentifier = " + getEBillIdentifier() );
    pageWriter.println( prefix + "billState = " + getBillState() );
    try {
      pageWriter.println( prefix + "billState_text = " + getBillState_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "billState_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "paymentStatus = " + getPaymentStatus() );
    try {
      pageWriter.println( prefix + "paymentStatus_text = " + getPaymentStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "pymtNbrId = " + getPymtNbrId() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    eBillIdentifier = getCharFromURL( req, prefix + "eBillIdentifier" );
    billState = getCharFromURL( req, prefix + "billState" );
    paymentStatus = getCharFromURL( req, prefix + "paymentStatus" );
    pymtNbrId = getCharFromURL( req, prefix + "pymtNbrId" );
  }

// End of populate -- Start pack

  public static String pack( GsEbillStateRec[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsEbillStateRec();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].eBillIdentifier, 36 )
          +  IfsTxn.packChar( repeatArray[i].billState, 1 )
          +  IfsTxn.packChar( repeatArray[i].paymentStatus, 1 )
          +  IfsTxn.packChar( repeatArray[i].pymtNbrId, 36 );
    }

    return str;
  }
} // End of Class
