//**********************************************
//
// FILE NAME: GsEurExchRt.java
// TYPE NAME: IFS Euro Exchange Rate
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_EUR_EXCH_RT</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsEurExchRt extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>exchRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ExchRateTg</code>.
   * <BR>
   */
  private GsDecimal exchRate = null;

  /**
   * <P>Sets the value of the attribute <code>exchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ExchRateTg</code>.
   * <BR>
   */
  public  void      setExchRate(GsDecimal o )  { exchRate = o; }

  /**
   * <P>Gets the value of the attribute <code>exchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ExchRateTg</code>.
   * <BR>
   */
  public  GsDecimal getExchRate() { return (exchRate); }

  /**
   * <P>The attribute <code>isoCurrCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IsoCurrCodeClTg</code>.
   */
  private String isoCurrCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>isoCurrCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IsoCurrCodeClTg</code>.
   */
  public  void   setIsoCurrCodeCl( String o ) { isoCurrCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>isoCurrCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IsoCurrCodeClTg</code>.
   */
  public  String getIsoCurrCodeCl() { return (isoCurrCodeCl); }

//======================================================================================

// constructors

  public GsEurExchRt() {}

  public GsEurExchRt( IfsSession session ) { setIfsSession(session); }

  public GsEurExchRt( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    exchRate = new GsDecimal( txn, "exchRate" );
    isoCurrCodeCl = txn.getNextCharFromGMJO( 3, "isoCurrCodeCl" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "exchRate =" );
    if( exchRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      exchRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "isoCurrCodeCl = " + getIsoCurrCodeCl() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    exchRate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "exchRate", "GsEurExchRt" );
    isoCurrCodeCl = getCharFromURL( req, prefix + "isoCurrCodeCl" );
  }

// End of populate -- Start pack

  public static String pack( GsEurExchRt[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsEurExchRt();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsDecimal.pack( repeatArray[ i ].exchRate )
          +  IfsTxn.packChar( repeatArray[i].isoCurrCodeCl, 3 );
    }

    return str;
  }
} // End of Class
