//**********************************************
//
// FILE NAME: GsFileTfrFileId.java
// TYPE NAME: File Transfer File Identification
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_FILE_TFR_FILE_ID</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsFileTfrFileId extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>fileType</code> is an alias for the
   * standard message simple element
   * <code>FileTypeTg</code>.
   */
  private String fileType = null;

  /**
   * <P>Sets the value of the attribute <code>fileType</code>,
   * which is an alias for the standard message simple element
   * <code>FileTypeTg</code>.
   */
  public  void   setFileType( String o ) { fileType = o; }

  /**
   * <P>Gets the value of the attribute <code>fileType</code>,
   * which is an alias for the standard message simple element
   * <code>FileTypeTg</code>.
   */
  public  String getFileType() { return (fileType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fileType</code>,
   * which is an alias for the standard message simple element
   * <code>FileTypeTg</code>.
   */
  public  String getFileType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFileTypeResources", locale, getFileType() );
  }

  /**
   * <P>The attribute <code>fileId</code> is an alias for the
   * standard message simple element
   * <code>FileIdTg</code>.
   */
  private String fileId = null;

  /**
   * <P>Sets the value of the attribute <code>fileId</code>,
   * which is an alias for the standard message simple element
   * <code>FileIdTg</code>.
   */
  public  void   setFileId( String o ) { fileId = o; }

  /**
   * <P>Gets the value of the attribute <code>fileId</code>,
   * which is an alias for the standard message simple element
   * <code>FileIdTg</code>.
   */
  public  String getFileId() { return (fileId); }

  /**
   * <P>The attribute <code>dtFileGen</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DtFileGenTg</code>.
   * <BR>
   */
  private GsDate dtFileGen = null;

  /**
   * <P>Sets the value of the attribute <code>dtFileGen</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtFileGenTg</code>.
   * <BR>
   */
  public  void   setDtFileGen(GsDate o )  { dtFileGen = o; }

  /**
   * <P>Gets the value of the attribute <code>dtFileGen</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtFileGenTg</code>.
   * <BR>
   */
  public  GsDate getDtFileGen() { return (dtFileGen); }

//======================================================================================

// constructors

  public GsFileTfrFileId() {}

  public GsFileTfrFileId( IfsSession session ) { setIfsSession(session); }

  public GsFileTfrFileId( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    fileType = txn.getNextCharFromGMJO( 8, "fileType" );
    fileId = txn.getNextCharFromGMJO( 8, "fileId" );
    dtFileGen = new GsDate( txn, "dtFileGen" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "fileType = " + getFileType() );
    try {
      pageWriter.println( prefix + "fileType_text = " + getFileType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fileType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fileId = " + getFileId() );

    pageWriter.println( prefix + "dtFileGen =" );
    if( dtFileGen == null ) {
      pageWriter.println( " (null)" );
    } else {
      dtFileGen.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    fileType = getCharFromURL( req, prefix + "fileType" );
    fileId = getCharFromURL( req, prefix + "fileId" );
    dtFileGen = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "dtFileGen", "GsFileTfrFileId" );
  }

// End of populate -- Start pack

  public static String pack( GsFileTfrFileId[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsFileTfrFileId();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].fileType, 8 )
          +  IfsTxn.packChar( repeatArray[i].fileId, 8 )
          +  GsDate.pack( repeatArray[ i ].dtFileGen );
    }

    return str;
  }
} // End of Class
