//**********************************************
//
// FILE NAME: GsGrntrIncDtl.java
// TYPE NAME: IFS Guarantor Income Detail
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_GRNTR_INC_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsGrntrIncDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>incTpCl</code> is an alias for the
   * standard message simple element
   * <code>IncTpClTg</code>.
   */
  private int  incTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IncTpClTg</code>.
   */
  public  void setIncTpCl( int o ) { incTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IncTpClTg</code>.
   */
  public  int  getIncTpCl() { return (incTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IncTpClTg</code>.
   */
  public  String getIncTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIncTpClResources", locale,
                       String.valueOf( getIncTpCl() ) );
  }

  /**
   * <P>The attribute <code>incAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IncAmtTg</code>.
   * <BR>
   */
  private GsCurrency incAmt = null;

  /**
   * <P>Sets the value of the attribute <code>incAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IncAmtTg</code>.
   * <BR>
   */
  public  void       setIncAmt(GsCurrency o )  { incAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>incAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IncAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getIncAmt() { return (incAmt); }

  /**
   * <P>The attribute <code>freqCl</code> is an alias for the
   * standard message simple element
   * <code>FreqClTg</code>.
   */
  private String freqCl = null;

  /**
   * <P>Sets the value of the attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>FreqClTg</code>.
   */
  public  void   setFreqCl( String o ) { freqCl = o; }

  /**
   * <P>Gets the value of the attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>FreqClTg</code>.
   */
  public  String getFreqCl() { return (freqCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>FreqClTg</code>.
   */
  public  String getFreqCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFreqCl() );
  }

//======================================================================================

// constructors

  public GsGrntrIncDtl() {}

  public GsGrntrIncDtl( IfsSession session ) { setIfsSession(session); }

  public GsGrntrIncDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    incTpCl = txn.getNextLongFromGMJO( "incTpCl" );
    incAmt = new GsCurrency( txn, "incAmt" );
    freqCl = txn.getNextCharFromGMJO( 1, "freqCl" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "incTpCl = " + getIncTpCl() );
    try {
      pageWriter.println( prefix + "incTpCl_text = " + getIncTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "incTpCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "incAmt =" );
    if( incAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      incAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "freqCl = " + getFreqCl() );
    try {
      pageWriter.println( prefix + "freqCl_text = " + getFreqCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "freqCl_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    incTpCl = getLongFromURL( req, prefix + "incTpCl" );
    incAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "incAmt", "GsGrntrIncDtl" );
    freqCl = getCharFromURL( req, prefix + "freqCl" );
  }

// End of populate -- Start pack

  public static String pack( GsGrntrIncDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsGrntrIncDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packLong( repeatArray[i].incTpCl )
          +  GsCurrency.pack( repeatArray[ i ].incAmt )
          +  IfsTxn.packChar( repeatArray[i].freqCl, 1 );
    }

    return str;
  }
} // End of Class
