//**********************************************
//
// FILE NAME: GsInvActSumm.java
// TYPE NAME: Investment Account Summary Type
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_INV_ACT_SUMM</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsInvActSumm extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>accountType</code> is an alias for the
   * standard message simple element
   * <code>InvActTpClTg</code>.
   */
  private int  accountType = 0;

  /**
   * <P>Sets the value of the attribute <code>accountType</code>,
   * which is an alias for the standard message simple element
   * <code>InvActTpClTg</code>.
   */
  public  void setAccountType( int o ) { accountType = o; }

  /**
   * <P>Gets the value of the attribute <code>accountType</code>,
   * which is an alias for the standard message simple element
   * <code>InvActTpClTg</code>.
   */
  public  int  getAccountType() { return (accountType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>accountType</code>,
   * which is an alias for the standard message simple element
   * <code>InvActTpClTg</code>.
   */
  public  String getAccountType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvActTpClResources", locale,
                       String.valueOf( getAccountType() ) );
  }

  /**
   * <P>The attribute <code>accountAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvActAmtTg</code>.
   * <BR>
   */
  private GsCurrency accountAmount = null;

  /**
   * <P>Sets the value of the attribute <code>accountAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvActAmtTg</code>.
   * <BR>
   */
  public  void       setAccountAmount(GsCurrency o )  { accountAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>accountAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvActAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getAccountAmount() { return (accountAmount); }

//======================================================================================

// constructors

  public GsInvActSumm() {}

  public GsInvActSumm( IfsSession session ) { setIfsSession(session); }

  public GsInvActSumm( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    accountType = txn.getNextLongFromGMJO( "accountType" );
    accountAmount = new GsCurrency( txn, "accountAmount" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "accountType = " + getAccountType() );
    try {
      pageWriter.println( prefix + "accountType_text = " + getAccountType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "accountType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountAmount =" );
    if( accountAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    accountType = getLongFromURL( req, prefix + "accountType" );
    accountAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "accountAmount", "GsInvActSumm" );
  }

// End of populate -- Start pack

  public static String pack( GsInvActSumm[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsInvActSumm();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packLong( repeatArray[i].accountType )
          +  GsCurrency.pack( repeatArray[ i ].accountAmount );
    }

    return str;
  }
} // End of Class
