//**********************************************
//
// FILE NAME: GsInvIncSumm.java
// TYPE NAME: Investment Income Summary Type
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_INV_INC_SUMM</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsInvIncSumm extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>incomeType</code> is an alias for the
   * standard message simple element
   * <code>InvIncTpClTg</code>.
   */
  private int  incomeType = 0;

  /**
   * <P>Sets the value of the attribute <code>incomeType</code>,
   * which is an alias for the standard message simple element
   * <code>InvIncTpClTg</code>.
   */
  public  void setIncomeType( int o ) { incomeType = o; }

  /**
   * <P>Gets the value of the attribute <code>incomeType</code>,
   * which is an alias for the standard message simple element
   * <code>InvIncTpClTg</code>.
   */
  public  int  getIncomeType() { return (incomeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>incomeType</code>,
   * which is an alias for the standard message simple element
   * <code>InvIncTpClTg</code>.
   */
  public  String getIncomeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvIncTpClResources", locale,
                       String.valueOf( getIncomeType() ) );
  }

  /**
   * <P>The attribute <code>beginDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DtBeginTg</code>.
   * <BR>
   */
  private GsDate beginDate = null;

  /**
   * <P>Sets the value of the attribute <code>beginDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtBeginTg</code>.
   * <BR>
   */
  public  void   setBeginDate(GsDate o )  { beginDate = o; }

  /**
   * <P>Gets the value of the attribute <code>beginDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtBeginTg</code>.
   * <BR>
   */
  public  GsDate getBeginDate() { return (beginDate); }

  /**
   * <P>The attribute <code>endDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DtEndTg</code>.
   * <BR>
   */
  private GsDate endDate = null;

  /**
   * <P>Sets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtEndTg</code>.
   * <BR>
   */
  public  void   setEndDate(GsDate o )  { endDate = o; }

  /**
   * <P>Gets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DtEndTg</code>.
   * <BR>
   */
  public  GsDate getEndDate() { return (endDate); }

  /**
   * <P>The attribute <code>incomeAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvIncAmtTg</code>.
   * <BR>
   */
  private GsCurrency incomeAmount = null;

  /**
   * <P>Sets the value of the attribute <code>incomeAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvIncAmtTg</code>.
   * <BR>
   */
  public  void       setIncomeAmount(GsCurrency o )  { incomeAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>incomeAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvIncAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getIncomeAmount() { return (incomeAmount); }

  /**
   * <P>The attribute <code>yTDIncomeAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>YTDIncAmtTg</code>.
   * <BR>
   */
  private GsCurrency yTDIncomeAmount = null;

  /**
   * <P>Sets the value of the attribute <code>yTDIncomeAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>YTDIncAmtTg</code>.
   * <BR>
   */
  public  void       setYTDIncomeAmount(GsCurrency o )  { yTDIncomeAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>yTDIncomeAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>YTDIncAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getYTDIncomeAmount() { return (yTDIncomeAmount); }

//======================================================================================

// constructors

  public GsInvIncSumm() {}

  public GsInvIncSumm( IfsSession session ) { setIfsSession(session); }

  public GsInvIncSumm( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    incomeType = txn.getNextLongFromGMJO( "incomeType" );
    beginDate = new GsDate( txn, "beginDate" );
    endDate = new GsDate( txn, "endDate" );
    incomeAmount = new GsCurrency( txn, "incomeAmount" );
    yTDIncomeAmount = new GsCurrency( txn, "yTDIncomeAmount" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "incomeType = " + getIncomeType() );
    try {
      pageWriter.println( prefix + "incomeType_text = " + getIncomeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "incomeType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "beginDate =" );
    if( beginDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      beginDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "endDate =" );
    if( endDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      endDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "incomeAmount =" );
    if( incomeAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      incomeAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "yTDIncomeAmount =" );
    if( yTDIncomeAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      yTDIncomeAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    incomeType = getLongFromURL( req, prefix + "incomeType" );
    beginDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "beginDate", "GsInvIncSumm" );
    endDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "endDate", "GsInvIncSumm" );
    incomeAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "incomeAmount", "GsInvIncSumm" );
    yTDIncomeAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "yTDIncomeAmount", "GsInvIncSumm" );
  }

// End of populate -- Start pack

  public static String pack( GsInvIncSumm[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsInvIncSumm();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packLong( repeatArray[i].incomeType )
          +  GsDate.pack( repeatArray[ i ].beginDate )
          +  GsDate.pack( repeatArray[ i ].endDate )
          +  GsCurrency.pack( repeatArray[ i ].incomeAmount )
          +  GsCurrency.pack( repeatArray[ i ].yTDIncomeAmount );
    }

    return str;
  }
} // End of Class
