//**********************************************
//
// FILE NAME: GsLineDtl.java
// TYPE NAME: IFS LIne Detail
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_LINE_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsLineDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>invoiceNumber</code> is an alias for the
   * standard message simple element
   * <code>InvLineNbrIdTg</code>.
   */
  private String invoiceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>InvLineNbrIdTg</code>.
   */
  public  void   setInvoiceNumber( String o ) { invoiceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>InvLineNbrIdTg</code>.
   */
  public  String getInvoiceNumber() { return (invoiceNumber); }

  /**
   * <P>The attribute <code>invoiceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvLineAmtTg</code>.
   * <BR>
   */
  private GsCurrency invoiceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvLineAmtTg</code>.
   * <BR>
   */
  public  void       setInvoiceAmount(GsCurrency o )  { invoiceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvLineAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getInvoiceAmount() { return (invoiceAmount); }

  /**
   * <P>The attribute <code>invLineMemoNm</code> is an alias for the
   * standard message simple element
   * <code>InvLineMemoNmTg</code>.
   */
  private String invLineMemoNm = null;

  /**
   * <P>Sets the value of the attribute <code>invLineMemoNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvLineMemoNmTg</code>.
   */
  public  void   setInvLineMemoNm( String o ) { invLineMemoNm = o; }

  /**
   * <P>Gets the value of the attribute <code>invLineMemoNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvLineMemoNmTg</code>.
   */
  public  String getInvLineMemoNm() { return (invLineMemoNm); }

//======================================================================================

// constructors

  public GsLineDtl() {}

  public GsLineDtl( IfsSession session ) { setIfsSession(session); }

  public GsLineDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    invoiceNumber = txn.getNextNlsCharFromGMJO( 12, "invoiceNumber" );
    invoiceAmount = new GsCurrency( txn, "invoiceAmount" );
    invLineMemoNm = txn.getNextNlsCharFromGMJO( 100, "invLineMemoNm" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "invoiceNumber = " + getInvoiceNumber() );

    pageWriter.println( prefix + "invoiceAmount =" );
    if( invoiceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      invoiceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "invLineMemoNm = " + getInvLineMemoNm() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    invoiceNumber = getCharFromURL( req, prefix + "invoiceNumber" );
    invoiceAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "invoiceAmount", "GsLineDtl" );
    invLineMemoNm = getCharFromURL( req, prefix + "invLineMemoNm" );
  }

// End of populate -- Start pack

  public static String pack( GsLineDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsLineDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packNlsChar( repeatArray[i].invoiceNumber, 12 )
          +  GsCurrency.pack( repeatArray[ i ].invoiceAmount )
          +  IfsTxn.packNlsChar( repeatArray[i].invLineMemoNm, 100 );
    }

    return str;
  }
} // End of Class
