//**********************************************
//
// FILE NAME: GsMfutAsstCl.java
// TYPE NAME: MFUT Asset Class
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_MFUT_ASST_CL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsMfutAsstCl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>mutualFundUnitTrustAssets</code> is an alias for the
   * standard message simple element
   * <code>MFUTAsstClTg</code>.
   */
  private String mutualFundUnitTrustAssets = null;

  /**
   * <P>Sets the value of the attribute <code>mutualFundUnitTrustAssets</code>,
   * which is an alias for the standard message simple element
   * <code>MFUTAsstClTg</code>.
   */
  public  void   setMutualFundUnitTrustAssets( String o ) { mutualFundUnitTrustAssets = o; }

  /**
   * <P>Gets the value of the attribute <code>mutualFundUnitTrustAssets</code>,
   * which is an alias for the standard message simple element
   * <code>MFUTAsstClTg</code>.
   */
  public  String getMutualFundUnitTrustAssets() { return (mutualFundUnitTrustAssets); }

  /**
   * <P>The attribute <code>portionOfAssets</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>PortnAsstTg</code>.
   * <BR>
   */
  private GsDecimal portionOfAssets = null;

  /**
   * <P>Sets the value of the attribute <code>portionOfAssets</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PortnAsstTg</code>.
   * <BR>
   */
  public  void      setPortionOfAssets(GsDecimal o )  { portionOfAssets = o; }

  /**
   * <P>Gets the value of the attribute <code>portionOfAssets</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PortnAsstTg</code>.
   * <BR>
   */
  public  GsDecimal getPortionOfAssets() { return (portionOfAssets); }

//======================================================================================

// constructors

  public GsMfutAsstCl() {}

  public GsMfutAsstCl( IfsSession session ) { setIfsSession(session); }

  public GsMfutAsstCl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    mutualFundUnitTrustAssets = txn.getNextNlsCharFromGMJO( 30, "mutualFundUnitTrustAssets" );
    portionOfAssets = new GsDecimal( txn, "portionOfAssets" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "mutualFundUnitTrustAssets = " + getMutualFundUnitTrustAssets() );

    pageWriter.println( prefix + "portionOfAssets =" );
    if( portionOfAssets == null ) {
      pageWriter.println( " (null)" );
    } else {
      portionOfAssets.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    mutualFundUnitTrustAssets = getCharFromURL( req, prefix + "mutualFundUnitTrustAssets" );
    portionOfAssets = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "portionOfAssets", "GsMfutAsstCl" );
  }

// End of populate -- Start pack

  public static String pack( GsMfutAsstCl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsMfutAsstCl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packNlsChar( repeatArray[i].mutualFundUnitTrustAssets, 30 )
          +  GsDecimal.pack( repeatArray[ i ].portionOfAssets );
    }

    return str;
  }
} // End of Class
