//**********************************************
//
// FILE NAME: GsNonDepAcctDtl.java
// TYPE NAME: IFS non Deposit Account Details
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_NON_DEP_ACCT_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsNonDepAcctDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>acct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AcctTg</code>.
   * <BR>
   */
  private GsAccount acct = null;

  /**
   * <P>Sets the value of the attribute <code>acct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctTg</code>.
   * <BR>
   */
  public  void      setAcct(GsAccount o )  { acct = o; }

  /**
   * <P>Gets the value of the attribute <code>acct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctTg</code>.
   * <BR>
   */
  public  GsAccount getAcct() { return (acct); }

  /**
   * <P>The attribute <code>ldgrBalAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>LdgrBalAmtTg</code>.
   * <BR>
   */
  private GsCurrency ldgrBalAmt = null;

  /**
   * <P>Sets the value of the attribute <code>ldgrBalAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>LdgrBalAmtTg</code>.
   * <BR>
   */
  public  void       setLdgrBalAmt(GsCurrency o )  { ldgrBalAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>ldgrBalAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>LdgrBalAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getLdgrBalAmt() { return (ldgrBalAmt); }

  /**
   * <P>The attribute <code>avgMnthlyBalAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AvgMnthlyBalAmtTg</code>.
   * <BR>
   */
  private GsCurrency avgMnthlyBalAmt = null;

  /**
   * <P>Sets the value of the attribute <code>avgMnthlyBalAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AvgMnthlyBalAmtTg</code>.
   * <BR>
   */
  public  void       setAvgMnthlyBalAmt(GsCurrency o )  { avgMnthlyBalAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>avgMnthlyBalAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AvgMnthlyBalAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getAvgMnthlyBalAmt() { return (avgMnthlyBalAmt); }

//======================================================================================

// constructors

  public GsNonDepAcctDtl() {}

  public GsNonDepAcctDtl( IfsSession session ) { setIfsSession(session); }

  public GsNonDepAcctDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    acct = new GsAccount( txn, "acct" );
    ldgrBalAmt = new GsCurrency( txn, "ldgrBalAmt" );
    avgMnthlyBalAmt = new GsCurrency( txn, "avgMnthlyBalAmt" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "acct =" );
    if( acct == null ) {
      pageWriter.println( " (null)" );
    } else {
      acct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ldgrBalAmt =" );
    if( ldgrBalAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      ldgrBalAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "avgMnthlyBalAmt =" );
    if( avgMnthlyBalAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      avgMnthlyBalAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    acct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "acct", "GsNonDepAcctDtl" );
    ldgrBalAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "ldgrBalAmt", "GsNonDepAcctDtl" );
    avgMnthlyBalAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "avgMnthlyBalAmt", "GsNonDepAcctDtl" );
  }

// End of populate -- Start pack

  public static String pack( GsNonDepAcctDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsNonDepAcctDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsAccount.pack( repeatArray[ i ].acct )
          +  GsCurrency.pack( repeatArray[ i ].ldgrBalAmt )
          +  GsCurrency.pack( repeatArray[ i ].avgMnthlyBalAmt );
    }

    return str;
  }
} // End of Class
