//**********************************************
//
// FILE NAME: GsNonTrdStr.java
// TYPE NAME: Ifs Non trading Day Structure Type
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_NON_TRD_STR</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsNonTrdStr extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>nonTradingDay</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>NonTrdDayTg</code>.
   * <BR>
   */
  private GsDate nonTradingDay = null;

  /**
   * <P>Sets the value of the attribute <code>nonTradingDay</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>NonTrdDayTg</code>.
   * <BR>
   */
  public  void   setNonTradingDay(GsDate o )  { nonTradingDay = o; }

  /**
   * <P>Gets the value of the attribute <code>nonTradingDay</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>NonTrdDayTg</code>.
   * <BR>
   */
  public  GsDate getNonTradingDay() { return (nonTradingDay); }

  /**
   * <P>The attribute <code>nonTradingDayDesc</code> is an alias for the
   * standard message simple element
   * <code>NonTrdDyDescTg</code>.
   */
  private String nonTradingDayDesc = null;

  /**
   * <P>Sets the value of the attribute <code>nonTradingDayDesc</code>,
   * which is an alias for the standard message simple element
   * <code>NonTrdDyDescTg</code>.
   */
  public  void   setNonTradingDayDesc( String o ) { nonTradingDayDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>nonTradingDayDesc</code>,
   * which is an alias for the standard message simple element
   * <code>NonTrdDyDescTg</code>.
   */
  public  String getNonTradingDayDesc() { return (nonTradingDayDesc); }

//======================================================================================

// constructors

  public GsNonTrdStr() {}

  public GsNonTrdStr( IfsSession session ) { setIfsSession(session); }

  public GsNonTrdStr( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    nonTradingDay = new GsDate( txn, "nonTradingDay" );
    nonTradingDayDesc = txn.getNextNlsCharFromGMJO( 40, "nonTradingDayDesc" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "nonTradingDay =" );
    if( nonTradingDay == null ) {
      pageWriter.println( " (null)" );
    } else {
      nonTradingDay.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "nonTradingDayDesc = " + getNonTradingDayDesc() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    nonTradingDay = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "nonTradingDay", "GsNonTrdStr" );
    nonTradingDayDesc = getCharFromURL( req, prefix + "nonTradingDayDesc" );
  }

// End of populate -- Start pack

  public static String pack( GsNonTrdStr[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsNonTrdStr();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsDate.pack( repeatArray[ i ].nonTradingDay )
          +  IfsTxn.packNlsChar( repeatArray[i].nonTradingDayDesc, 40 );
    }

    return str;
  }
} // End of Class
