//**********************************************
//
// FILE NAME: GsPrevLnInfoDtl.java
// TYPE NAME: IFS Previous Loan Information Detail
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_PREV_LN_INFO_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsPrevLnInfoDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>prevLnAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>PrevLnAcctTg</code>.
   * <BR>
   */
  private GsAccount prevLnAcct = null;

  /**
   * <P>Sets the value of the attribute <code>prevLnAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PrevLnAcctTg</code>.
   * <BR>
   */
  public  void      setPrevLnAcct(GsAccount o )  { prevLnAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>prevLnAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PrevLnAcctTg</code>.
   * <BR>
   */
  public  GsAccount getPrevLnAcct() { return (prevLnAcct); }

  /**
   * <P>The attribute <code>secInd</code> is an alias for the
   * standard message simple element
   * <code>SecIndTg</code>.
   */
  private int  secInd = 0;

  /**
   * <P>Sets the value of the attribute <code>secInd</code>,
   * which is an alias for the standard message simple element
   * <code>SecIndTg</code>.
   */
  public  void setSecInd( int o ) { secInd = o; }

  /**
   * <P>Gets the value of the attribute <code>secInd</code>,
   * which is an alias for the standard message simple element
   * <code>SecIndTg</code>.
   */
  public  int  getSecInd() { return (secInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>secInd</code>,
   * which is an alias for the standard message simple element
   * <code>SecIndTg</code>.
   */
  public  String getSecInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSecIndResources", locale,
                       String.valueOf( getSecInd() ) );
  }

  /**
   * <P>The attribute <code>prevLnStCl</code> is an alias for the
   * standard message simple element
   * <code>PrevLnStClTg</code>.
   */
  private int  prevLnStCl = 0;

  /**
   * <P>Sets the value of the attribute <code>prevLnStCl</code>,
   * which is an alias for the standard message simple element
   * <code>PrevLnStClTg</code>.
   */
  public  void setPrevLnStCl( int o ) { prevLnStCl = o; }

  /**
   * <P>Gets the value of the attribute <code>prevLnStCl</code>,
   * which is an alias for the standard message simple element
   * <code>PrevLnStClTg</code>.
   */
  public  int  getPrevLnStCl() { return (prevLnStCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>prevLnStCl</code>,
   * which is an alias for the standard message simple element
   * <code>PrevLnStClTg</code>.
   */
  public  String getPrevLnStCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPrevLnStClResources", locale,
                       String.valueOf( getPrevLnStCl() ) );
  }

  /**
   * <P>The attribute <code>prevLnDescr</code> is an alias for the
   * standard message simple element
   * <code>PrevLnDescrTg</code>.
   */
  private String prevLnDescr = null;

  /**
   * <P>Sets the value of the attribute <code>prevLnDescr</code>,
   * which is an alias for the standard message simple element
   * <code>PrevLnDescrTg</code>.
   */
  public  void   setPrevLnDescr( String o ) { prevLnDescr = o; }

  /**
   * <P>Gets the value of the attribute <code>prevLnDescr</code>,
   * which is an alias for the standard message simple element
   * <code>PrevLnDescrTg</code>.
   */
  public  String getPrevLnDescr() { return (prevLnDescr); }

//======================================================================================

// constructors

  public GsPrevLnInfoDtl() {}

  public GsPrevLnInfoDtl( IfsSession session ) { setIfsSession(session); }

  public GsPrevLnInfoDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    prevLnAcct = new GsAccount( txn, "prevLnAcct" );
    secInd = txn.getNextLongFromGMJO( "secInd" );
    prevLnStCl = txn.getNextLongFromGMJO( "prevLnStCl" );
    prevLnDescr = txn.getNextVarCharFromGMJO( "prevLnDescr" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "prevLnAcct =" );
    if( prevLnAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      prevLnAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "secInd = " + getSecInd() );
    try {
      pageWriter.println( prefix + "secInd_text = " + getSecInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "secInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "prevLnStCl = " + getPrevLnStCl() );
    try {
      pageWriter.println( prefix + "prevLnStCl_text = " + getPrevLnStCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "prevLnStCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "prevLnDescr = " + getPrevLnDescr() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    prevLnAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "prevLnAcct", "GsPrevLnInfoDtl" );
    secInd = getLongFromURL( req, prefix + "secInd" );
    prevLnStCl = getLongFromURL( req, prefix + "prevLnStCl" );
    prevLnDescr = getCharFromURL( req, prefix + "prevLnDescr" );
  }

// End of populate -- Start pack

  public static String pack( GsPrevLnInfoDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsPrevLnInfoDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsAccount.pack( repeatArray[ i ].prevLnAcct )
          +  IfsTxn.packLong( repeatArray[i].secInd )
          +  IfsTxn.packLong( repeatArray[i].prevLnStCl );
      if (repeatArray[i].prevLnDescr == null)
        str += "000000000000";
      else
      {
        str += IfsTxn.packLong(repeatArray[i].prevLnDescr.length()) +
               repeatArray[i].prevLnDescr;
      }
      str =  str;
    }

    return str;
  }
} // End of Class
