//**********************************************
//
// FILE NAME: GsRateTierAprDtl.java
// TYPE NAME: IFS Rate Tier and APR Details
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_RATE_TIER_APR_DTL</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsRateTierAprDtl extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>rate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IntRateTg</code>.
   * <BR>
   */
  private GsDecimal rate = null;

  /**
   * <P>Sets the value of the attribute <code>rate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IntRateTg</code>.
   * <BR>
   */
  public  void      setRate(GsDecimal o )  { rate = o; }

  /**
   * <P>Gets the value of the attribute <code>rate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IntRateTg</code>.
   * <BR>
   */
  public  GsDecimal getRate() { return (rate); }

  /**
   * <P>The attribute <code>tierLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.LowAmtTg</code>.
   * <BR>
   */
  private GsCurrency tierLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>tierLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.LowAmtTg</code>.
   * <BR>
   */
  public  void       setTierLowAmount(GsCurrency o )  { tierLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>tierLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.LowAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getTierLowAmount() { return (tierLowAmount); }

  /**
   * <P>The attribute <code>tierHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.HighAmtTg</code>.
   * <BR>
   */
  private GsCurrency tierHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>tierHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.HighAmtTg</code>.
   * <BR>
   */
  public  void       setTierHighAmount(GsCurrency o )  { tierHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>tierHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TierAmtRngTg.HighAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getTierHighAmount() { return (tierHighAmount); }

//======================================================================================

// constructors

  public GsRateTierAprDtl() {}

  public GsRateTierAprDtl( IfsSession session ) { setIfsSession(session); }

  public GsRateTierAprDtl( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    rate = new GsDecimal( txn, "rate" );
    tierLowAmount = new GsCurrency( txn, "tierLowAmount" );
    tierHighAmount = new GsCurrency( txn, "tierHighAmount" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "rate =" );
    if( rate == null ) {
      pageWriter.println( " (null)" );
    } else {
      rate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "tierLowAmount =" );
    if( tierLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      tierLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "tierHighAmount =" );
    if( tierHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      tierHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    rate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "rate", "GsRateTierAprDtl" );
    tierLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "tierLowAmount", "GsRateTierAprDtl" );
    tierHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "tierHighAmount", "GsRateTierAprDtl" );
  }

// End of populate -- Start pack

  public static String pack( GsRateTierAprDtl[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsRateTierAprDtl();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsDecimal.pack( repeatArray[ i ].rate )
          +  GsCurrency.pack( repeatArray[ i ].tierLowAmount )
          +  GsCurrency.pack( repeatArray[ i ].tierHighAmount );
    }

    return str;
  }
} // End of Class
