//**********************************************
//
// FILE NAME: GsScrtyDscStr.java
// TYPE NAME: IFS Security Description Structure
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_SCRTY_DSC_STR</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsScrtyDscStr extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>scrtyDesc</code> is an alias for the
   * standard message simple element
   * <code>ScrtyDescTg</code>.
   */
  private String scrtyDesc = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescTg</code>.
   */
  public  void   setScrtyDesc( String o ) { scrtyDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescTg</code>.
   */
  public  String getScrtyDesc() { return (scrtyDesc); }

  /**
   * <P>The attribute <code>scrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>ScrtyDescAltTg</code>.
   */
  private byte[] scrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescAltTg</code>.
   */
  public  void   setScrtyDescAlt( byte[] o ) { scrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescAltTg</code>.
   */
  public  byte[] getScrtyDescAlt() { return (scrtyDescAlt); }

  /**
   * <P>The attribute <code>scrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>ScrtyDescNLSTg</code>.
   */
  private String scrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescNLSTg</code>.
   */
  public  void   setScrtyDescNLS( String o ) { scrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>ScrtyDescNLSTg</code>.
   */
  public  String getScrtyDescNLS() { return (scrtyDescNLS); }

//======================================================================================

// constructors

  public GsScrtyDscStr() {}

  public GsScrtyDscStr( IfsSession session ) { setIfsSession(session); }

  public GsScrtyDscStr( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    scrtyDesc = txn.getNextNlsCharFromGMJO( 50, "scrtyDesc" );
    scrtyDescAlt = txn.getNextBinaryItemFromGMJO( "scrtyDescAlt" );
    scrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "scrtyDescNLS" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "scrtyDesc = " + getScrtyDesc() );
    pageWriter.println( prefix + "scrtyDescAlt = " + getScrtyDescAlt() );
    pageWriter.println( prefix + "scrtyDescNLS = " + getScrtyDescNLS() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    scrtyDesc = getCharFromURL( req, prefix + "scrtyDesc" );
    scrtyDescAlt = getBinaryFromURL( req, prefix + "scrtyDescAlt" );
    scrtyDescNLS = getCharFromURL( req, prefix + "scrtyDescNLS" );
  }

// End of populate -- Start pack

  public static String pack( GsScrtyDscStr[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsScrtyDscStr();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packNlsChar( repeatArray[i].scrtyDesc, 50 );
      if (repeatArray[i].scrtyDescAlt == null)
        str += "000000000000";
      else
      {
        str += IfsTxn.packLong(repeatArray[i].scrtyDescAlt.length) +
               IfsTxn.nibblize(repeatArray[i].scrtyDescAlt);
      }
      str =  str
          +  IfsTxn.packNlsChar( repeatArray[i].scrtyDescNLS, 50 );
    }

    return str;
  }
} // End of Class
