//**********************************************
//
// FILE NAME: GsSrvc.java
// TYPE NAME: IFS SRVC
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_SRVC</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsSrvc extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>serviceID</code> is an alias for the
   * standard message simple element
   * <code>SrvcIdNbrTg</code>.
   */
  private String serviceID = null;

  /**
   * <P>Sets the value of the attribute <code>serviceID</code>,
   * which is an alias for the standard message simple element
   * <code>SrvcIdNbrTg</code>.
   */
  public  void   setServiceID( String o ) { serviceID = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceID</code>,
   * which is an alias for the standard message simple element
   * <code>SrvcIdNbrTg</code>.
   */
  public  String getServiceID() { return (serviceID); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceID</code>,
   * which is an alias for the standard message simple element
   * <code>SrvcIdNbrTg</code>.
   */
  public  String getServiceID_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSrvcIdNbrResources", locale, getServiceID() );
  }

//======================================================================================

// constructors

  public GsSrvc() {}

  public GsSrvc( IfsSession session ) { setIfsSession(session); }

  public GsSrvc( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    serviceID = txn.getNextCharFromGMJO( 8, "serviceID" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "serviceID = " + getServiceID() );
    try {
      pageWriter.println( prefix + "serviceID_text = " + getServiceID_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceID_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    serviceID = getCharFromURL( req, prefix + "serviceID" );
  }

// End of populate -- Start pack

  public static String pack( GsSrvc[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsSrvc();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].serviceID, 8 );
    }

    return str;
  }
} // End of Class
