//**********************************************
//
// FILE NAME: GsSrvcLmtsTp.java
// TYPE NAME: IFS Service Limits
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_SRVC_LMTS_TP</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsSrvcLmtsTp extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>limitType</code> is an alias for the
   * standard message simple element
   * <code>LmtTpClTg</code>.
   */
  private String limitType = null;

  /**
   * <P>Sets the value of the attribute <code>limitType</code>,
   * which is an alias for the standard message simple element
   * <code>LmtTpClTg</code>.
   */
  public  void   setLimitType( String o ) { limitType = o; }

  /**
   * <P>Gets the value of the attribute <code>limitType</code>,
   * which is an alias for the standard message simple element
   * <code>LmtTpClTg</code>.
   */
  public  String getLimitType() { return (limitType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>limitType</code>,
   * which is an alias for the standard message simple element
   * <code>LmtTpClTg</code>.
   */
  public  String getLimitType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsLmtTpClResources", locale, getLimitType() );
  }

  /**
   * <P>The attribute <code>limitValueAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>LmtValAmtTg</code>.
   * <BR>
   */
  private GsCurrency limitValueAmount = null;

  /**
   * <P>Sets the value of the attribute <code>limitValueAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>LmtValAmtTg</code>.
   * <BR>
   */
  public  void       setLimitValueAmount(GsCurrency o )  { limitValueAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>limitValueAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>LmtValAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getLimitValueAmount() { return (limitValueAmount); }

//======================================================================================

// constructors

  public GsSrvcLmtsTp() {}

  public GsSrvcLmtsTp( IfsSession session ) { setIfsSession(session); }

  public GsSrvcLmtsTp( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    limitType = txn.getNextCharFromGMJO( 1, "limitType" );
    limitValueAmount = new GsCurrency( txn, "limitValueAmount" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "limitType = " + getLimitType() );
    try {
      pageWriter.println( prefix + "limitType_text = " + getLimitType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "limitType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "limitValueAmount =" );
    if( limitValueAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      limitValueAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    limitType = getCharFromURL( req, prefix + "limitType" );
    limitValueAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "limitValueAmount", "GsSrvcLmtsTp" );
  }

// End of populate -- Start pack

  public static String pack( GsSrvcLmtsTp[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsSrvcLmtsTp();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].limitType, 1 )
          +  GsCurrency.pack( repeatArray[ i ].limitValueAmount );
    }

    return str;
  }
} // End of Class
