//**********************************************
//
// FILE NAME: GsTxnPymtToAmt.java
// TYPE NAME: IFS TXN PYMT TO AMT
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_TXN_PYMT_TO_AMT</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsTxnPymtToAmt extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>accountTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount accountTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setAccountTargetDetail(GsAccount o )  { accountTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountTargetDetail() { return (accountTargetDetail); }

//======================================================================================

// constructors

  public GsTxnPymtToAmt() {}

  public GsTxnPymtToAmt( IfsSession session ) { setIfsSession(session); }

  public GsTxnPymtToAmt( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    accountTargetDetail = new GsAccount( txn, "accountTargetDetail" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );

    pageWriter.println( prefix + "accountTargetDetail =" );
    if( accountTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    accountTargetDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "accountTargetDetail", "GsTxnPymtToAmt" );
  }

// End of populate -- Start pack

  public static String pack( GsTxnPymtToAmt[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsTxnPymtToAmt();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  GsAccount.pack( repeatArray[ i ].accountTargetDetail );
    }

    return str;
  }
} // End of Class
