//**********************************************
//
// FILE NAME: GsVerfData.java
// TYPE NAME: Verification Data List
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Represents the structured type <B>IFS_VERF_DATA</B>,
 * which appears as a repeat-item in a Gold Message.
 */
public class GsVerfData extends IfsObject
{
  public static boolean debugOn = false;

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }

  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

// request message fields/setters/getters

  private int  goldNdx = 0;
  public  void setGoldNdx( int o ) { goldNdx = o; }
  public  int  getGoldNdx() { return (goldNdx); }

  /**
   * <P>The attribute <code>verfNbrId</code> is an alias for the
   * standard message simple element
   * <code>VerfNbrIdTg</code>.
   */
  private String verfNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>verfNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>VerfNbrIdTg</code>.
   */
  public  void   setVerfNbrId( String o ) { verfNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>verfNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>VerfNbrIdTg</code>.
   */
  public  String getVerfNbrId() { return (verfNbrId); }

  /**
   * <P>The attribute <code>verfData</code> is an alias for the
   * standard message simple element
   * <code>VerfDataTg</code>.
   */
  private String verfData = null;

  /**
   * <P>Sets the value of the attribute <code>verfData</code>,
   * which is an alias for the standard message simple element
   * <code>VerfDataTg</code>.
   */
  public  void   setVerfData( String o ) { verfData = o; }

  /**
   * <P>Gets the value of the attribute <code>verfData</code>,
   * which is an alias for the standard message simple element
   * <code>VerfDataTg</code>.
   */
  public  String getVerfData() { return (verfData); }

//======================================================================================

// constructors

  public GsVerfData() {}

  public GsVerfData( IfsSession session ) { setIfsSession(session); }

  public GsVerfData( IfsTxn txn )
  {
    setIfsSession( txn.getIfsSession() );
    int repeatCounter;

    goldNdx = txn.getNextLongFromGMJO( "GoldNdx" );
    verfNbrId = txn.getNextCharFromGMJO( 36, "verfNbrId" );
    verfData = txn.getNextNlsCharFromGMJO( 80, "verfData" );
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "goldNdx = " + getGoldNdx() );
    pageWriter.println( prefix + "verfNbrId = " + getVerfNbrId() );
    pageWriter.println( prefix + "verfData = " + getVerfData() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    goldNdx = getLongFromURL( req, prefix + "goldNdx" );
    verfNbrId = getCharFromURL( req, prefix + "verfNbrId" );
    verfData = getCharFromURL( req, prefix + "verfData" );
  }

// End of populate -- Start pack

  public static String pack( GsVerfData[] repeatArray )
  {
    if( ( repeatArray == null ) || ( repeatArray.length == 0 ) )
      return "000000000000";

    String str = IfsTxn.packLong( repeatArray.length );   // Count

    for( int i = 0; i < repeatArray.length; i++ )
    {
      if( repeatArray[ i ] == null )
        repeatArray[ i ] = new GsVerfData();

      str += IfsTxn.packLong( i )  /* GoldIndex */
          +  IfsTxn.packChar( repeatArray[i].verfNbrId, 36 )
          +  IfsTxn.packNlsChar( repeatArray[i].verfData, 80 );
    }

    return str;
  }
} // End of Class
