//**********************************************
//
// FILE NAME: GtAccountDetail.java
// TRANSACTION NAME: Account Detail Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Account Detail Inquiry Transaction</B>
 * <P>IFS ID: <B>acctdtl</B>
 * <P>
 * This transaction enables the consumer to retrieve details of one
 * specific consumer account. The key for identifying the account is the
 * Account Identifier.
 * <BR>
 * <P><B>ACCT_DTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ACCT_DTL_IMSG</B>
 *            <P>
 *            This request message identifies a specific account, from the
 *            consumer profile, on which the consumer is requesting more
 *            detailed information than is provided in the profile.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ACCT_DTL_OMSG</B>
 *            <P>
 *            This response message returns detailed information related
 *            to one specific consumer account. Common information is
 *            returned irrespective of the account type such as the
 *            Account Status, the date of the latest transaction on the
 *            account etc. Other information is dependent on the account
 *            type such as the original loan date, the original loan
 *            amount, and the loan collateral description.
 */
public class GtAccountDetail extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAccountDetail() { }
  public GtAccountDetail( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "acctdtl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqAccountDetailIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  private String reqAccountDetailIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountDetailIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  public  void   setReqAccountDetailIndicator( String o ) { reqAccountDetailIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountDetailIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  public  String getReqAccountDetailIndicator() { return (reqAccountDetailIndicator); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>infoDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  private GsDate infoDate = null;

  /**
   * <P>Sets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  void   setInfoDate(GsDate o )  { infoDate = o; }

  /**
   * <P>Gets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  GsDate getInfoDate() { return (infoDate); }

  /**
   * <P>The attribute <code>tmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmValTg</code>.
   */
  private String tmVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmValTg</code>.
   */
  public  void   setTmVal( String o ) { tmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmValTg</code>.
   */
  public  String getTmVal() { return (tmVal); }

  /**
   * <P>The attribute <code>tmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  private String tmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setTmFmtCodeCl( String o ) { tmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  public  String getTmFmtCodeCl() { return (tmFmtCodeCl); }

  /**
   * <P>The attribute <code>gmtOfstMins</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  gmtOfstMins = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setGmtOfstMins( int o ) { gmtOfstMins = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getGmtOfstMins() { return (gmtOfstMins); }

  /**
   * <P>The attribute <code>account</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.AcctIdTg</code>.
   * <BR>
   */
  private GsAccount account = null;

  /**
   * <P>Sets the value of the attribute <code>account</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.AcctIdTg</code>.
   * <BR>
   */
  public  void      setAccount(GsAccount o )  { account = o; }

  /**
   * <P>Gets the value of the attribute <code>account</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.AcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAccount() { return (account); }

  /**
   * <P>The attribute <code>fIProductDescriptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private int  fIProductDescriptionType = 0;

  /**
   * <P>Sets the value of the attribute <code>fIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void setFIProductDescriptionType( int o ) { fIProductDescriptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  int  getFIProductDescriptionType() { return (fIProductDescriptionType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FIProdDescrTpClTg</code>.
   */
  public  String getFIProductDescriptionType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFIProdDescrTpClResources", locale,
                       String.valueOf( getFIProductDescriptionType() ) );
  }

  /**
   * <P>The attribute <code>accountName</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  private String accountName = null;

  /**
   * <P>Sets the value of the attribute <code>accountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  void   setAccountName( String o ) { accountName = o; }

  /**
   * <P>Gets the value of the attribute <code>accountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  String getAccountName() { return (accountName); }

  /**
   * <P>The attribute <code>consumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  private String consumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>consumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  void   setConsumerAccountName( String o ) { consumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  String getConsumerAccountName() { return (consumerAccountName); }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  String getPostalCode() { return (postalCode); }

  /**
   * <P>The attribute <code>homePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String homePhone = null;

  /**
   * <P>Sets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setHomePhone( String o ) { homePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getHomePhone() { return (homePhone); }

  /**
   * <P>The attribute <code>workPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String workPhone = null;

  /**
   * <P>Sets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setWorkPhone( String o ) { workPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.CnsmrAcctPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getWorkPhone() { return (workPhone); }

  /**
   * <P>The attribute <code>faxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  private String faxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  void   setFaxNumber( String o ) { faxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  String getFaxNumber() { return (faxNumber); }

  /**
   * <P>The attribute <code>emailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.EmailAddrIdTg</code>.
   * <P>
   * A character string which identifies the Consumer for electronic
   * mailing purposes.
   */
  private String emailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>emailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.EmailAddrIdTg</code>.
   * <P>
   * A character string which identifies the Consumer for electronic
   * mailing purposes.
   */
  public  void   setEmailAddress( String o ) { emailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>emailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.EmailAddrIdTg</code>.
   * <P>
   * A character string which identifies the Consumer for electronic
   * mailing purposes.
   */
  public  String getEmailAddress() { return (emailAddress); }

  /**
   * <P>The attribute <code>accountStatus</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.AcctStClTg</code>.
   * <P>
   * A code classifying an Account according to the life cycle state the
   * account currently occupies.
   */
  private String accountStatus = null;

  /**
   * <P>Sets the value of the attribute <code>accountStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctStClTg</code>.
   * <P>
   * A code classifying an Account according to the life cycle state the
   * account currently occupies.
   */
  public  void   setAccountStatus( String o ) { accountStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>accountStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctStClTg</code>.
   * <P>
   * A code classifying an Account according to the life cycle state the
   * account currently occupies.
   */
  public  String getAccountStatus() { return (accountStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>accountStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctStClTg</code>.
   */
  public  String getAccountStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAcctStClResources", locale, getAccountStatus() );
  }

  /**
   * <P>The attribute <code>accountPriority</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.AcctPrtyIndTg</code>.
   * <P>
   * A code classifying an Account as either Primary (P) or Related (R).
   * The implications of this classification vary among Financial
   * Institutions, and business rules (if any) associated with this
   * classification are FI specific. There are no IFS processing rules or
   * implications associated with this classification.
   */
  private String accountPriority = null;

  /**
   * <P>Sets the value of the attribute <code>accountPriority</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctPrtyIndTg</code>.
   * <P>
   * A code classifying an Account as either Primary (P) or Related (R).
   * The implications of this classification vary among Financial
   * Institutions, and business rules (if any) associated with this
   * classification are FI specific. There are no IFS processing rules or
   * implications associated with this classification.
   */
  public  void   setAccountPriority( String o ) { accountPriority = o; }

  /**
   * <P>Gets the value of the attribute <code>accountPriority</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctPrtyIndTg</code>.
   * <P>
   * A code classifying an Account as either Primary (P) or Related (R).
   * The implications of this classification vary among Financial
   * Institutions, and business rules (if any) associated with this
   * classification are FI specific. There are no IFS processing rules or
   * implications associated with this classification.
   */
  public  String getAccountPriority() { return (accountPriority); }

  /**
   * <P>The attribute <code>authority</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.TxnAuthClTg</code>.
   * <P>
   * A code, classifying the Account according to the type of Transactions
   * authorized or permitted to be processed against the Account.
   */
  private String authority = null;

  /**
   * <P>Sets the value of the attribute <code>authority</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.TxnAuthClTg</code>.
   * <P>
   * A code, classifying the Account according to the type of Transactions
   * authorized or permitted to be processed against the Account.
   */
  public  void   setAuthority( String o ) { authority = o; }

  /**
   * <P>Gets the value of the attribute <code>authority</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.TxnAuthClTg</code>.
   * <P>
   * A code, classifying the Account according to the type of Transactions
   * authorized or permitted to be processed against the Account.
   */
  public  String getAuthority() { return (authority); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>authority</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.TxnAuthClTg</code>.
   */
  public  String getAuthority_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnAuthClResources", locale, getAuthority() );
  }

  /**
   * <P>The attribute <code>cosignatureDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CosgntrDtlTg</code>.
   * <P>
   * The identifier(s) which are used to identify the Co-signatory
   * Consumer 'Any Bank Core Controller'. It is also known as 'Component
   * Number Identifier'.
   * <BR>
   */
  private GsCnsmrId[] cosignatureDetail = null;

  /**
   * <P>Sets the value of the attribute <code>cosignatureDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CosgntrDtlTg</code>.
   * <P>
   * The identifier(s) which are used to identify the Co-signatory
   * Consumer 'Any Bank Core Controller'. It is also known as 'Component
   * Number Identifier'.
   * <BR>
   */
  public  void        setCosignatureDetail(GsCnsmrId[] o )  { cosignatureDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>cosignatureDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CosgntrDtlTg</code>.
   * <P>
   * The identifier(s) which are used to identify the Co-signatory
   * Consumer 'Any Bank Core Controller'. It is also known as 'Component
   * Number Identifier'.
   * <BR>
   */
  public  GsCnsmrId[] getCosignatureDetail() { return (cosignatureDetail); }

  /**
   * <P>The attribute <code>serviceEligibility</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.SrvcEligIndTg</code>.
   * <P>
   * A list of eligible Service identifiers.
   * <BR>
   */
  private GsSrvc[] serviceEligibility = null;

  /**
   * <P>Sets the value of the attribute <code>serviceEligibility</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.SrvcEligIndTg</code>.
   * <P>
   * A list of eligible Service identifiers.
   * <BR>
   */
  public  void     setServiceEligibility(GsSrvc[] o )  { serviceEligibility = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceEligibility</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.SrvcEligIndTg</code>.
   * <P>
   * A list of eligible Service identifiers.
   * <BR>
   */
  public  GsSrvc[] getServiceEligibility() { return (serviceEligibility); }

  /**
   * <P>The attribute <code>lastTransactionDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnDtTg</code>.
   * <P>
   * The most recent date upon which a transaction caused a change to the
   * ledger balance of an account.
   * <BR>
   */
  private GsDate lastTransactionDate = null;

  /**
   * <P>Sets the value of the attribute <code>lastTransactionDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnDtTg</code>.
   * <P>
   * The most recent date upon which a transaction caused a change to the
   * ledger balance of an account.
   * <BR>
   */
  public  void   setLastTransactionDate(GsDate o )  { lastTransactionDate = o; }

  /**
   * <P>Gets the value of the attribute <code>lastTransactionDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnDtTg</code>.
   * <P>
   * The most recent date upon which a transaction caused a change to the
   * ledger balance of an account.
   * <BR>
   */
  public  GsDate getLastTransactionDate() { return (lastTransactionDate); }

  /**
   * <P>The attribute <code>lastStatementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtCycDtTg</code>.
   * <P>
   * The date on which the previous, or most recent detailed record of an
   * account's activity and balances was produced.
   * <BR>
   */
  private GsDate lastStatementDate = null;

  /**
   * <P>Sets the value of the attribute <code>lastStatementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtCycDtTg</code>.
   * <P>
   * The date on which the previous, or most recent detailed record of an
   * account's activity and balances was produced.
   * <BR>
   */
  public  void   setLastStatementDate(GsDate o )  { lastStatementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>lastStatementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtCycDtTg</code>.
   * <P>
   * The date on which the previous, or most recent detailed record of an
   * account's activity and balances was produced.
   * <BR>
   */
  public  GsDate getLastStatementDate() { return (lastStatementDate); }

  /**
   * <P>The attribute <code>lastStatementBalanceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtBalAmtTg</code>.
   * <P>
   * The Ledger Balance of the account as it appeared on the most recent
   * statement.
   * <BR>
   */
  private GsCurrency lastStatementBalanceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>lastStatementBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtBalAmtTg</code>.
   * <P>
   * The Ledger Balance of the account as it appeared on the most recent
   * statement.
   * <BR>
   */
  public  void       setLastStatementBalanceAmount(GsCurrency o )  { lastStatementBalanceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>lastStatementBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastStmtBalAmtTg</code>.
   * <P>
   * The Ledger Balance of the account as it appeared on the most recent
   * statement.
   * <BR>
   */
  public  GsCurrency getLastStatementBalanceAmount() { return (lastStatementBalanceAmount); }

  /**
   * <P>The attribute <code>yTDInterestAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmtTg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  private GsCurrency yTDInterestAmount = null;

  /**
   * <P>Sets the value of the attribute <code>yTDInterestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmtTg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  public  void       setYTDInterestAmount(GsCurrency o )  { yTDInterestAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>yTDInterestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmtTg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  public  GsCurrency getYTDInterestAmount() { return (yTDInterestAmount); }

  /**
   * <P>The attribute <code>lastYearInterestAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmtTg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  private GsCurrency lastYearInterestAmount = null;

  /**
   * <P>Sets the value of the attribute <code>lastYearInterestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmtTg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  public  void       setLastYearInterestAmount(GsCurrency o )  { lastYearInterestAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>lastYearInterestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmtTg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  public  GsCurrency getLastYearInterestAmount() { return (lastYearInterestAmount); }

  /**
   * <P>The attribute <code>interestRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal interestRate = null;

  /**
   * <P>Sets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setInterestRate(GsDecimal o )  { interestRate = o; }

  /**
   * <P>Gets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getInterestRate() { return (interestRate); }

  /**
   * <P>The attribute <code>yTDInterest2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  private GsCurrency yTDInterest2 = null;

  /**
   * <P>Sets the value of the attribute <code>yTDInterest2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  public  void       setYTDInterest2(GsCurrency o )  { yTDInterest2 = o; }

  /**
   * <P>Gets the value of the attribute <code>yTDInterest2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.YtdIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest already paid to the account owner or by the
   * account owner from the start of the financial year to the Account
   * Detail Information Date.
   * <BR>
   */
  public  GsCurrency getYTDInterest2() { return (yTDInterest2); }

  /**
   * <P>The attribute <code>lastYearInterest2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  private GsCurrency lastYearInterest2 = null;

  /**
   * <P>Sets the value of the attribute <code>lastYearInterest2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  public  void       setLastYearInterest2(GsCurrency o )  { lastYearInterest2 = o; }

  /**
   * <P>Gets the value of the attribute <code>lastYearInterest2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastYrIntBalAmt2Tg</code>.
   * <P>
   * The amount of interest credited or debited to the Account for the
   * previous/prior financial year.
   * <BR>
   */
  public  GsCurrency getLastYearInterest2() { return (lastYearInterest2); }

  /**
   * <P>The attribute <code>interestRate2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRate2Tg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal interestRate2 = null;

  /**
   * <P>Sets the value of the attribute <code>interestRate2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRate2Tg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setInterestRate2(GsDecimal o )  { interestRate2 = o; }

  /**
   * <P>Gets the value of the attribute <code>interestRate2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IntRate2Tg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getInterestRate2() { return (interestRate2); }

  /**
   * <P>The attribute <code>creditCardDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CcDtlTg</code>.
   * <P>
   * A repeating structure containing information about a Credit Card
   * account or a Credit Card facility associated with an Account. Within
   * the context of the Account Detail Inquiry output message the
   * repeating structure may be empty (if the Account is not a Credit Card
   * Account) or will contain details relating to 1 Credit Card Account.
   * <BR>
   */
  private GsCcAcctDtl[] creditCardDetail = null;

  /**
   * <P>Sets the value of the attribute <code>creditCardDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CcDtlTg</code>.
   * <P>
   * A repeating structure containing information about a Credit Card
   * account or a Credit Card facility associated with an Account. Within
   * the context of the Account Detail Inquiry output message the
   * repeating structure may be empty (if the Account is not a Credit Card
   * Account) or will contain details relating to 1 Credit Card Account.
   * <BR>
   */
  public  void          setCreditCardDetail(GsCcAcctDtl[] o )  { creditCardDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>creditCardDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CcDtlTg</code>.
   * <P>
   * A repeating structure containing information about a Credit Card
   * account or a Credit Card facility associated with an Account. Within
   * the context of the Account Detail Inquiry output message the
   * repeating structure may be empty (if the Account is not a Credit Card
   * Account) or will contain details relating to 1 Credit Card Account.
   * <BR>
   */
  public  GsCcAcctDtl[] getCreditCardDetail() { return (creditCardDetail); }

  /**
   * <P>The attribute <code>checkDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ChkDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Checking
   * Account or a Checking facility associated with an Account. In the
   * context of the Account Detail Inquiry Output transaction, this will
   * be either empty if the Account is not a Checking Account or will
   * contain details for one Checking Account only.
   * <BR>
   */
  private GsChkAcctDtl[] checkDetail = null;

  /**
   * <P>Sets the value of the attribute <code>checkDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ChkDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Checking
   * Account or a Checking facility associated with an Account. In the
   * context of the Account Detail Inquiry Output transaction, this will
   * be either empty if the Account is not a Checking Account or will
   * contain details for one Checking Account only.
   * <BR>
   */
  public  void           setCheckDetail(GsChkAcctDtl[] o )  { checkDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>checkDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ChkDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Checking
   * Account or a Checking facility associated with an Account. In the
   * context of the Account Detail Inquiry Output transaction, this will
   * be either empty if the Account is not a Checking Account or will
   * contain details for one Checking Account only.
   * <BR>
   */
  public  GsChkAcctDtl[] getCheckDetail() { return (checkDetail); }

  /**
   * <P>The attribute <code>depositDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.DepDtlTg</code>.
   * <P>
   * A repeating structure containing details of balances, dates and terms
   * specifically associated with a Savings Account. Within the context of
   * the Account Detail Inquiry Transaction output this will either be
   * empty if the Account is not a Savings Account or alternatively will
   * contain details for 1 Savings Account.
   * <BR>
   */
  private GsDepAcctDtl[] depositDetail = null;

  /**
   * <P>Sets the value of the attribute <code>depositDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.DepDtlTg</code>.
   * <P>
   * A repeating structure containing details of balances, dates and terms
   * specifically associated with a Savings Account. Within the context of
   * the Account Detail Inquiry Transaction output this will either be
   * empty if the Account is not a Savings Account or alternatively will
   * contain details for 1 Savings Account.
   * <BR>
   */
  public  void           setDepositDetail(GsDepAcctDtl[] o )  { depositDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>depositDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.DepDtlTg</code>.
   * <P>
   * A repeating structure containing details of balances, dates and terms
   * specifically associated with a Savings Account. Within the context of
   * the Account Detail Inquiry Transaction output this will either be
   * empty if the Account is not a Savings Account or alternatively will
   * contain details for 1 Savings Account.
   * <BR>
   */
  public  GsDepAcctDtl[] getDepositDetail() { return (depositDetail); }

  /**
   * <P>The attribute <code>loanDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LoanDtlTg</code>.
   * <P>
   * A repeating structure containing details specific to a Loan Account.
   * In the context of the Account Details Transaction output, this will
   * either be empty if the Account is not a Loan Account or else will
   * contain information relating to one Loan Account only.
   * <BR>
   */
  private GsLoanAcctDtl[] loanDetail = null;

  /**
   * <P>Sets the value of the attribute <code>loanDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LoanDtlTg</code>.
   * <P>
   * A repeating structure containing details specific to a Loan Account.
   * In the context of the Account Details Transaction output, this will
   * either be empty if the Account is not a Loan Account or else will
   * contain information relating to one Loan Account only.
   * <BR>
   */
  public  void            setLoanDetail(GsLoanAcctDtl[] o )  { loanDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>loanDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LoanDtlTg</code>.
   * <P>
   * A repeating structure containing details specific to a Loan Account.
   * In the context of the Account Details Transaction output, this will
   * either be empty if the Account is not a Loan Account or else will
   * contain information relating to one Loan Account only.
   * <BR>
   */
  public  GsLoanAcctDtl[] getLoanDetail() { return (loanDetail); }

  /**
   * <P>The attribute <code>lineOfCreditDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LocDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances associated
   * specifically with a Line of Credit Account or facility. Within the
   * context of the Account Detail Transaction output this is either empty
   * (i.e., if the account is not a Line of Credit Account or does not
   * have a Line of Credit facility) or will contain details for one Line
   * of Credit Account only.
   * <BR>
   */
  private GsLocAcctDtl[] lineOfCreditDetail = null;

  /**
   * <P>Sets the value of the attribute <code>lineOfCreditDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LocDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances associated
   * specifically with a Line of Credit Account or facility. Within the
   * context of the Account Detail Transaction output this is either empty
   * (i.e., if the account is not a Line of Credit Account or does not
   * have a Line of Credit facility) or will contain details for one Line
   * of Credit Account only.
   * <BR>
   */
  public  void           setLineOfCreditDetail(GsLocAcctDtl[] o )  { lineOfCreditDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>lineOfCreditDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LocDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances associated
   * specifically with a Line of Credit Account or facility. Within the
   * context of the Account Detail Transaction output this is either empty
   * (i.e., if the account is not a Line of Credit Account or does not
   * have a Line of Credit facility) or will contain details for one Line
   * of Credit Account only.
   * <BR>
   */
  public  GsLocAcctDtl[] getLineOfCreditDetail() { return (lineOfCreditDetail); }

  /**
   * <P>The attribute <code>iraDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IfsIraAcctDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances specifically
   * associated with the IRA Account or facility. Within the context of
   * the Account Details Transaction output this will either be empty if
   * the account is not an IRA account or else will contain details for
   * one IRA Account only.
   * <BR>
   */
  private GsIraAcctDtl[] iraDetail = null;

  /**
   * <P>Sets the value of the attribute <code>iraDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IfsIraAcctDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances specifically
   * associated with the IRA Account or facility. Within the context of
   * the Account Details Transaction output this will either be empty if
   * the account is not an IRA account or else will contain details for
   * one IRA Account only.
   * <BR>
   */
  public  void           setIraDetail(GsIraAcctDtl[] o )  { iraDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>iraDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.IfsIraAcctDtlTg</code>.
   * <P>
   * A repeating structure containing dates and balances specifically
   * associated with the IRA Account or facility. Within the context of
   * the Account Details Transaction output this will either be empty if
   * the account is not an IRA account or else will contain details for
   * one IRA Account only.
   * <BR>
   */
  public  GsIraAcctDtl[] getIraDetail() { return (iraDetail); }

  /**
   * <P>The attribute <code>mortgageDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MortgageAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Mortgage
   * Account or Mortgage facility. Within the context of the Account
   * Detail Transaction output this will either be empty if the Account is
   * not a Mortgage Account or will contain details for 1 Mortgage Account
   * only.
   * <BR>
   */
  private GsMortgageAcctDtl[] mortgageDetail = null;

  /**
   * <P>Sets the value of the attribute <code>mortgageDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MortgageAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Mortgage
   * Account or Mortgage facility. Within the context of the Account
   * Detail Transaction output this will either be empty if the Account is
   * not a Mortgage Account or will contain details for 1 Mortgage Account
   * only.
   * <BR>
   */
  public  void                setMortgageDetail(GsMortgageAcctDtl[] o )  { mortgageDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>mortgageDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MortgageAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Mortgage
   * Account or Mortgage facility. Within the context of the Account
   * Detail Transaction output this will either be empty if the Account is
   * not a Mortgage Account or will contain details for 1 Mortgage Account
   * only.
   * <BR>
   */
  public  GsMortgageAcctDtl[] getMortgageDetail() { return (mortgageDetail); }

  /**
   * <P>The attribute <code>marketingPackageDescription</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MktPkgDescTg</code>.
   * <P>
   * A repeating structure each containing description details of the
   * Market package.
   * <BR>
   */
  private GsMsgTxt[] marketingPackageDescription = null;

  /**
   * <P>Sets the value of the attribute <code>marketingPackageDescription</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MktPkgDescTg</code>.
   * <P>
   * A repeating structure each containing description details of the
   * Market package.
   * <BR>
   */
  public  void       setMarketingPackageDescription(GsMsgTxt[] o )  { marketingPackageDescription = o; }

  /**
   * <P>Gets the value of the attribute <code>marketingPackageDescription</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MktPkgDescTg</code>.
   * <P>
   * A repeating structure each containing description details of the
   * Market package.
   * <BR>
   */
  public  GsMsgTxt[] getMarketingPackageDescription() { return (marketingPackageDescription); }

  /**
   * <P>The attribute <code>loyaltyProgram</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.LyltyPrgmTpClTg</code>.
   * <P>
   * A code assigned by the FI indicating the Loyalty Program to which the
   * Consumer belongs.
   */
  private String loyaltyProgram = null;

  /**
   * <P>Sets the value of the attribute <code>loyaltyProgram</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.LyltyPrgmTpClTg</code>.
   * <P>
   * A code assigned by the FI indicating the Loyalty Program to which the
   * Consumer belongs.
   */
  public  void   setLoyaltyProgram( String o ) { loyaltyProgram = o; }

  /**
   * <P>Gets the value of the attribute <code>loyaltyProgram</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.LyltyPrgmTpClTg</code>.
   * <P>
   * A code assigned by the FI indicating the Loyalty Program to which the
   * Consumer belongs.
   */
  public  String getLoyaltyProgram() { return (loyaltyProgram); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>loyaltyProgram</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.LyltyPrgmTpClTg</code>.
   */
  public  String getLoyaltyProgram_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsLyltyPrgmTpClResources", locale, getLoyaltyProgram() );
  }

  /**
   * <P>The attribute <code>fIProductDescription</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private String fIProductDescription = null;

  /**
   * <P>Sets the value of the attribute <code>fIProductDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void   setFIProductDescription( String o ) { fIProductDescription = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProductDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  String getFIProductDescription() { return (fIProductDescription); }

  /**
   * <P>The attribute <code>cDADetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CDAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a
   * Certificate Of Deposit Account or Certificate Of Deposit facility.
   * Within the context of the Account Detail Transaction output this will
   * either be empty if the Account is not a Certificate Of Deposit
   * Account or will contain details for 1 Certificate Of Deposit Account
   * only.
   * <BR>
   */
  private GsCdaAcctDtl[] cDADetail = null;

  /**
   * <P>Sets the value of the attribute <code>cDADetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CDAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a
   * Certificate Of Deposit Account or Certificate Of Deposit facility.
   * Within the context of the Account Detail Transaction output this will
   * either be empty if the Account is not a Certificate Of Deposit
   * Account or will contain details for 1 Certificate Of Deposit Account
   * only.
   * <BR>
   */
  public  void           setCDADetail(GsCdaAcctDtl[] o )  { cDADetail = o; }

  /**
   * <P>Gets the value of the attribute <code>cDADetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CDAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a
   * Certificate Of Deposit Account or Certificate Of Deposit facility.
   * Within the context of the Account Detail Transaction output this will
   * either be empty if the Account is not a Certificate Of Deposit
   * Account or will contain details for 1 Certificate Of Deposit Account
   * only.
   * <BR>
   */
  public  GsCdaAcctDtl[] getCDADetail() { return (cDADetail); }

  /**
   * <P>The attribute <code>eLCDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ELCAcctDtlTg</code>.
   * <P>
   * The difference between a Equity Line of Credit Account and Line of
   * Credit Account is the the ELC is tied to the Equity in a home and is
   * therefore a secure line of credit. The interest in an ELC is tax
   * deductible. An LOC can be secured or unsecured and the interest is
   * NOT tax deductible.
   * <BR>
   */
  private GsElcAcctDtl[] eLCDetail = null;

  /**
   * <P>Sets the value of the attribute <code>eLCDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ELCAcctDtlTg</code>.
   * <P>
   * The difference between a Equity Line of Credit Account and Line of
   * Credit Account is the the ELC is tied to the Equity in a home and is
   * therefore a secure line of credit. The interest in an ELC is tax
   * deductible. An LOC can be secured or unsecured and the interest is
   * NOT tax deductible.
   * <BR>
   */
  public  void           setELCDetail(GsElcAcctDtl[] o )  { eLCDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>eLCDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.ELCAcctDtlTg</code>.
   * <P>
   * The difference between a Equity Line of Credit Account and Line of
   * Credit Account is the the ELC is tied to the Equity in a home and is
   * therefore a secure line of credit. The interest in an ELC is tax
   * deductible. An LOC can be secured or unsecured and the interest is
   * NOT tax deductible.
   * <BR>
   */
  public  GsElcAcctDtl[] getELCDetail() { return (eLCDetail); }

  /**
   * <P>The attribute <code>mMADetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MMAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Money
   * Market Account or Money Market facility. Within the context of the
   * Account Detail Transaction output this will either be empty if the
   * Account is not a Money Market Account or will contain details for 1
   * Money Market Account only.
   * <BR>
   */
  private GsMmaAcctDtl[] mMADetail = null;

  /**
   * <P>Sets the value of the attribute <code>mMADetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MMAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Money
   * Market Account or Money Market facility. Within the context of the
   * Account Detail Transaction output this will either be empty if the
   * Account is not a Money Market Account or will contain details for 1
   * Money Market Account only.
   * <BR>
   */
  public  void           setMMADetail(GsMmaAcctDtl[] o )  { mMADetail = o; }

  /**
   * <P>Gets the value of the attribute <code>mMADetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.MMAAcctDtlTg</code>.
   * <P>
   * A repeating structure containing information specific to a Money
   * Market Account or Money Market facility. Within the context of the
   * Account Detail Transaction output this will either be empty if the
   * Account is not a Money Market Account or will contain details for 1
   * Money Market Account only.
   * <BR>
   */
  public  GsMmaAcctDtl[] getMMADetail() { return (mMADetail); }

  /**
   * <P>The attribute <code>lastTransactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnAmtTg</code>.
   * <BR>
   */
  private GsCurrency lastTransactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>lastTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnAmtTg</code>.
   * <BR>
   */
  public  void       setLastTransactionAmount(GsCurrency o )  { lastTransactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>lastTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.LastAcctTxnAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getLastTransactionAmount() { return (lastTransactionAmount); }

  /**
   * <P>The attribute <code>acctDesgInd</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctBascDtlTg.AcctDesgIndTg</code>.
   * <P>
   * The account designation indicator identifies the account's balance
   * sheet classification from the consumer's perspective.
   */
  private String acctDesgInd = null;

  /**
   * <P>Sets the value of the attribute <code>acctDesgInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctDesgIndTg</code>.
   * <P>
   * The account designation indicator identifies the account's balance
   * sheet classification from the consumer's perspective.
   */
  public  void   setAcctDesgInd( String o ) { acctDesgInd = o; }

  /**
   * <P>Gets the value of the attribute <code>acctDesgInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctDesgIndTg</code>.
   * <P>
   * The account designation indicator identifies the account's balance
   * sheet classification from the consumer's perspective.
   */
  public  String getAcctDesgInd() { return (acctDesgInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>acctDesgInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctBascDtlTg.AcctDesgIndTg</code>.
   */
  public  String getAcctDesgInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAcctDesgIndResources", locale, getAcctDesgInd() );
  }

  /**
   * <P>The attribute <code>cnsmrAcctSrvcPRl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CnsmrAcctSrvcPRlTg</code>.
   * <BR>
   */
  private GsCnsmrAcctSrvcProvdRuls[] cnsmrAcctSrvcPRl = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrAcctSrvcPRl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CnsmrAcctSrvcPRlTg</code>.
   * <BR>
   */
  public  void                       setCnsmrAcctSrvcPRl(GsCnsmrAcctSrvcProvdRuls[] o )  { cnsmrAcctSrvcPRl = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrAcctSrvcPRl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBascDtlTg.CnsmrAcctSrvcPRlTg</code>.
   * <BR>
   */
  public  GsCnsmrAcctSrvcProvdRuls[] getCnsmrAcctSrvcPRl() { return (cnsmrAcctSrvcPRl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAccountDetail );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqAccountDetailIndicator != null && reqAccountDetailIndicator.length() > 1 )
      addArgToGMJI( reqAccountDetailIndicator.substring(0,1));
    else
      addArgToGMJI( reqAccountDetailIndicator ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    infoDate = new GsDate( txn, "infoDate" );
    tmVal = txn.getNextCharFromGMJO( 10, "tmVal" );
    tmFmtCodeCl = txn.getNextCharFromGMJO( 3, "tmFmtCodeCl" );
    gmtOfstMins = txn.getNextLongFromGMJO( "gmtOfstMins" );
    account = new GsAccount( txn, "account" );
    fIProductDescriptionType = txn.getNextLongFromGMJO( "fIProductDescriptionType" );
    accountName = txn.getNextNlsCharFromGMJO( 40, "accountName" );
    consumerAccountName = txn.getNextNlsCharFromGMJO( 40, "consumerAccountName" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    homePhone = txn.getNextCharFromGMJO( 15, "homePhone" );
    workPhone = txn.getNextCharFromGMJO( 15, "workPhone" );
    faxNumber = txn.getNextCharFromGMJO( 15, "faxNumber" );
    emailAddress = txn.getNextCharFromGMJO( 128, "emailAddress" );
    accountStatus = txn.getNextCharFromGMJO( 2, "accountStatus" );
    accountPriority = txn.getNextCharFromGMJO( 1, "accountPriority" );
    authority = txn.getNextCharFromGMJO( 1, "authority" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    cosignatureDetail = new GsCnsmrId[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      cosignatureDetail[ i ] = new GsCnsmrId( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    serviceEligibility = new GsSrvc[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      serviceEligibility[ i ] = new GsSrvc( txn );
    }
    lastTransactionDate = new GsDate( txn, "lastTransactionDate" );
    lastStatementDate = new GsDate( txn, "lastStatementDate" );
    lastStatementBalanceAmount = new GsCurrency( txn, "lastStatementBalanceAmount" );
    yTDInterestAmount = new GsCurrency( txn, "yTDInterestAmount" );
    lastYearInterestAmount = new GsCurrency( txn, "lastYearInterestAmount" );
    interestRate = new GsDecimal( txn, "interestRate" );
    yTDInterest2 = new GsCurrency( txn, "yTDInterest2" );
    lastYearInterest2 = new GsCurrency( txn, "lastYearInterest2" );
    interestRate2 = new GsDecimal( txn, "interestRate2" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    creditCardDetail = new GsCcAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      creditCardDetail[ i ] = new GsCcAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    checkDetail = new GsChkAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      checkDetail[ i ] = new GsChkAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    depositDetail = new GsDepAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      depositDetail[ i ] = new GsDepAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    loanDetail = new GsLoanAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      loanDetail[ i ] = new GsLoanAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    lineOfCreditDetail = new GsLocAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      lineOfCreditDetail[ i ] = new GsLocAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    iraDetail = new GsIraAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      iraDetail[ i ] = new GsIraAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    mortgageDetail = new GsMortgageAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      mortgageDetail[ i ] = new GsMortgageAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    marketingPackageDescription = new GsMsgTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      marketingPackageDescription[ i ] = new GsMsgTxt( txn );
    }
    loyaltyProgram = txn.getNextCharFromGMJO( 1, "loyaltyProgram" );
    fIProductDescription = txn.getNextCharFromGMJO( 40, "fIProductDescription" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    cDADetail = new GsCdaAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      cDADetail[ i ] = new GsCdaAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    eLCDetail = new GsElcAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      eLCDetail[ i ] = new GsElcAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    mMADetail = new GsMmaAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      mMADetail[ i ] = new GsMmaAcctDtl( txn );
    }
    lastTransactionAmount = new GsCurrency( txn, "lastTransactionAmount" );
    acctDesgInd = txn.getNextCharFromGMJO( 1, "acctDesgInd" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    cnsmrAcctSrvcPRl = new GsCnsmrAcctSrvcProvdRuls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      cnsmrAcctSrvcPRl[ i ] = new GsCnsmrAcctSrvcProvdRuls( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAccountDetailIndicator = " + getReqAccountDetailIndicator() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "infoDate =" );
    if( infoDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      infoDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmVal = " + getTmVal() );
    pageWriter.println( prefix + "tmFmtCodeCl = " + getTmFmtCodeCl() );
    pageWriter.println( prefix + "gmtOfstMins = " + getGmtOfstMins() );

    pageWriter.println( prefix + "account =" );
    if( account == null ) {
      pageWriter.println( " (null)" );
    } else {
      account.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fIProductDescriptionType = " + getFIProductDescriptionType() );
    try {
      pageWriter.println( prefix + "fIProductDescriptionType_text = " + getFIProductDescriptionType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProductDescriptionType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "accountName = " + getAccountName() );
    pageWriter.println( prefix + "consumerAccountName = " + getConsumerAccountName() );
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );
    pageWriter.println( prefix + "homePhone = " + getHomePhone() );
    pageWriter.println( prefix + "workPhone = " + getWorkPhone() );
    pageWriter.println( prefix + "faxNumber = " + getFaxNumber() );
    pageWriter.println( prefix + "emailAddress = " + getEmailAddress() );
    pageWriter.println( prefix + "accountStatus = " + getAccountStatus() );
    try {
      pageWriter.println( prefix + "accountStatus_text = " + getAccountStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "accountStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "accountPriority = " + getAccountPriority() );
    pageWriter.println( prefix + "authority = " + getAuthority() );
    try {
      pageWriter.println( prefix + "authority_text = " + getAuthority_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "authority_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "cosignatureDetail =" );
    if( cosignatureDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < cosignatureDetail.length; j++ )
      {
        pageWriter.println( prefix + "cosignatureDetail[" + j + "] =" );
        if( cosignatureDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          cosignatureDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "serviceEligibility =" );
    if( serviceEligibility == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < serviceEligibility.length; j++ )
      {
        pageWriter.println( prefix + "serviceEligibility[" + j + "] =" );
        if( serviceEligibility[ j ] == null )
          pageWriter.println( " (null)" );
        else
          serviceEligibility[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastTransactionDate =" );
    if( lastTransactionDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastTransactionDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastStatementDate =" );
    if( lastStatementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastStatementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastStatementBalanceAmount =" );
    if( lastStatementBalanceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastStatementBalanceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "yTDInterestAmount =" );
    if( yTDInterestAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      yTDInterestAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastYearInterestAmount =" );
    if( lastYearInterestAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastYearInterestAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "interestRate =" );
    if( interestRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      interestRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "yTDInterest2 =" );
    if( yTDInterest2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      yTDInterest2.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastYearInterest2 =" );
    if( lastYearInterest2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastYearInterest2.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "interestRate2 =" );
    if( interestRate2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      interestRate2.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "creditCardDetail =" );
    if( creditCardDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < creditCardDetail.length; j++ )
      {
        pageWriter.println( prefix + "creditCardDetail[" + j + "] =" );
        if( creditCardDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          creditCardDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "checkDetail =" );
    if( checkDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < checkDetail.length; j++ )
      {
        pageWriter.println( prefix + "checkDetail[" + j + "] =" );
        if( checkDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          checkDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depositDetail =" );
    if( depositDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < depositDetail.length; j++ )
      {
        pageWriter.println( prefix + "depositDetail[" + j + "] =" );
        if( depositDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          depositDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "loanDetail =" );
    if( loanDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < loanDetail.length; j++ )
      {
        pageWriter.println( prefix + "loanDetail[" + j + "] =" );
        if( loanDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          loanDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lineOfCreditDetail =" );
    if( lineOfCreditDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < lineOfCreditDetail.length; j++ )
      {
        pageWriter.println( prefix + "lineOfCreditDetail[" + j + "] =" );
        if( lineOfCreditDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          lineOfCreditDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "iraDetail =" );
    if( iraDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < iraDetail.length; j++ )
      {
        pageWriter.println( prefix + "iraDetail[" + j + "] =" );
        if( iraDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          iraDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "mortgageDetail =" );
    if( mortgageDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < mortgageDetail.length; j++ )
      {
        pageWriter.println( prefix + "mortgageDetail[" + j + "] =" );
        if( mortgageDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          mortgageDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "marketingPackageDescription =" );
    if( marketingPackageDescription == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < marketingPackageDescription.length; j++ )
      {
        pageWriter.println( prefix + "marketingPackageDescription[" + j + "] =" );
        if( marketingPackageDescription[ j ] == null )
          pageWriter.println( " (null)" );
        else
          marketingPackageDescription[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "loyaltyProgram = " + getLoyaltyProgram() );
    try {
      pageWriter.println( prefix + "loyaltyProgram_text = " + getLoyaltyProgram_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "loyaltyProgram_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProductDescription = " + getFIProductDescription() );

    pageWriter.println( prefix + "cDADetail =" );
    if( cDADetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < cDADetail.length; j++ )
      {
        pageWriter.println( prefix + "cDADetail[" + j + "] =" );
        if( cDADetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          cDADetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "eLCDetail =" );
    if( eLCDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < eLCDetail.length; j++ )
      {
        pageWriter.println( prefix + "eLCDetail[" + j + "] =" );
        if( eLCDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          eLCDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "mMADetail =" );
    if( mMADetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < mMADetail.length; j++ )
      {
        pageWriter.println( prefix + "mMADetail[" + j + "] =" );
        if( mMADetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          mMADetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastTransactionAmount =" );
    if( lastTransactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastTransactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "acctDesgInd = " + getAcctDesgInd() );
    try {
      pageWriter.println( prefix + "acctDesgInd_text = " + getAcctDesgInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "acctDesgInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "cnsmrAcctSrvcPRl =" );
    if( cnsmrAcctSrvcPRl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < cnsmrAcctSrvcPRl.length; j++ )
      {
        pageWriter.println( prefix + "cnsmrAcctSrvcPRl[" + j + "] =" );
        if( cnsmrAcctSrvcPRl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          cnsmrAcctSrvcPRl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtAccountDetail" );
    reqAccountDetailIndicator = getCharFromURL( req, prefix + "reqAccountDetailIndicator" );
  }
}
