//**********************************************
//
// FILE NAME: GtAccountHistory.java
// TRANSACTION NAME: Account History Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Account History Inquiry Transaction</B>
 * <P>IFS ID: <B>accthist</B>
 * <P>
 * This transaction allows a consumer to retrieve posted transactions for
 * a specific account based on selection criteria input by the consumer
 * such as the Transaction Amount range or Transaction Date range. The key
 * for identifying the account is the Account Identifier.
 * <BR>
 * <P><B>ACCOUNT_HISTORY_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ACCOUNT_HISTORY_IMSG</B>
 *            <P>
 *            This request message requests the posted transactions for a
 *            consumer's account. The key for identifying the account is
 *            the Account Identifier. Various selection criteria may be
 *            specified for retrieving the account history such as
 *            Transaction Date range, Transaction Amount range, Check
 *            Number range, or Financial Institution Reference Number.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ACCOUNT_HISTORY_OMSG</B>
 *            <P>
 *            This response message returns posted transaction details
 *            from a consumer's account based upon the selection criteria
 *            specified in the request message. A variable number of
 *            transactions are returned depending on the selection
 *            criteria. Some common information is returned for each
 *            transaction in the response, irrespective of the transaction
 *            type e.g., transaction posting date, transaction amount, and
 *            transaction source. Other information is returned for each
 *            transaction which is specific to the transaction type e.g.,
 *            for an ATM transaction, the owner of the ATM machine is
 *            returned.
 */
public class GtAccountHistory extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAccountHistory() { }
  public GtAccountHistory( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "accthist_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.AcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.AcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.AcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqPostingStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  private GsDate reqPostingStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostingStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  public  void   setReqPostingStartDate(GsDate o )  { reqPostingStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostingStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  public  GsDate getReqPostingStartDate() { return (reqPostingStartDate); }

  /**
   * <P>The attribute <code>reqPostingEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the
   * newest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  private GsDate reqPostingEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostingEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the
   * newest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  public  void   setReqPostingEndDate(GsDate o )  { reqPostingEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostingEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the
   * newest date in the requested period for a transaction history
   * inquiry. Transaction Posting End Date and Transaction Posting Start
   * Date are paired to define a range of transaction posting dates that
   * are to be retrieved from transaction history. For example, specifying
   * January 11, 1997 as the Transaction Posting Start Date and January
   * 23, 1997 as the Transaction Posting End Date in a request for an
   * account's transaction history will result in returning the
   * transactions posted on January 11 through January 23 inclusive.
   * <BR>
   */
  public  GsDate getReqPostingEndDate() { return (reqPostingEndDate); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRqstDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqLowCheckNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  private int  reqLowCheckNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLowCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  public  void setReqLowCheckNumber( int o ) { reqLowCheckNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  public  int  getReqLowCheckNumber() { return (reqLowCheckNumber); }

  /**
   * <P>The attribute <code>reqHighCheckNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  private int  reqHighCheckNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqHighCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  public  void setReqHighCheckNumber( int o ) { reqHighCheckNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  public  int  getReqHighCheckNumber() { return (reqHighCheckNumber); }

  /**
   * <P>The attribute <code>reqProductType</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnPrdTpClTg</code>.
   * <P>
   * A code which specifies the transactions which are to be produced in
   * the Account History.
   */
  private String reqProductType = null;

  /**
   * <P>Sets the value of the attribute <code>reqProductType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnPrdTpClTg</code>.
   * <P>
   * A code which specifies the transactions which are to be produced in
   * the Account History.
   */
  public  void   setReqProductType( String o ) { reqProductType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProductType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnPrdTpClTg</code>.
   * <P>
   * A code which specifies the transactions which are to be produced in
   * the Account History.
   */
  public  String getReqProductType() { return (reqProductType); }

  /**
   * <P>The attribute <code>reqTransactionType</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  private String reqTransactionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  public  void   setReqTransactionType( String o ) { reqTransactionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  public  String getReqTransactionType() { return (reqTransactionType); }

  /**
   * <P>The attribute <code>reqTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String reqTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setReqTransactionSource( String o ) { reqTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getReqTransactionSource() { return (reqTransactionSource); }

  /**
   * <P>The attribute <code>reqReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqReferenceNumber( String o ) { reqReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqReferenceNumber() { return (reqReferenceNumber); }

  /**
   * <P>The attribute <code>reqMaximumNumberOfRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberOfRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberOfRecords( int o ) { reqMaximumNumberOfRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberOfRecords() { return (reqMaximumNumberOfRecords); }

  /**
   * <P>The attribute <code>reqLastNumberOfRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberOfRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberOfRecords( int o ) { reqLastNumberOfRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberOfRecords() { return (reqLastNumberOfRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRqstDtlTg.TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>infoDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  private GsDate infoDate = null;

  /**
   * <P>Sets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  void   setInfoDate(GsDate o )  { infoDate = o; }

  /**
   * <P>Gets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  GsDate getInfoDate() { return (infoDate); }

  /**
   * <P>The attribute <code>accountIDDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.AcctIdDtlTg</code>.
   * <BR>
   */
  private GsAccount accountIDDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountIDDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.AcctIdDtlTg</code>.
   * <BR>
   */
  public  void      setAccountIDDetail(GsAccount o )  { accountIDDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountIDDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.AcctIdDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountIDDetail() { return (accountIDDetail); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRespSumTg.TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>transaction</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.TxnRespDtlTg</code>.
   * <P>
   * A repeating structure each one containing an Account Transaction
   * Record.
   * <BR>
   */
  private GsTxnRespDtl[] transaction = null;

  /**
   * <P>Sets the value of the attribute <code>transaction</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.TxnRespDtlTg</code>.
   * <P>
   * A repeating structure each one containing an Account Transaction
   * Record.
   * <BR>
   */
  public  void           setTransaction(GsTxnRespDtl[] o )  { transaction = o; }

  /**
   * <P>Gets the value of the attribute <code>transaction</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTxnRespSumTg.TxnRespDtlTg</code>.
   * <P>
   * A repeating structure each one containing an Account Transaction
   * Record.
   * <BR>
   */
  public  GsTxnRespDtl[] getTransaction() { return (transaction); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAccountHistory );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccount, this );
    GsDate.addPropertiesToGMJI( reqPostingStartDate, this );
    GsDate.addPropertiesToGMJI( reqPostingEndDate, this );
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );
    addArgToGMJI( reqLowCheckNumber ); 
    addArgToGMJI( reqHighCheckNumber ); 

    if( reqProductType != null && reqProductType.length() > 1 )
      addArgToGMJI( reqProductType.substring(0,1));
    else
      addArgToGMJI( reqProductType ); 

    if( reqTransactionType != null && reqTransactionType.length() > 3 )
      addArgToGMJI( reqTransactionType.substring(0,3));
    else
      addArgToGMJI( reqTransactionType ); 

    if( reqTransactionSource != null && reqTransactionSource.length() > 1 )
      addArgToGMJI( reqTransactionSource.substring(0,1));
    else
      addArgToGMJI( reqTransactionSource ); 

    if( reqReferenceNumber != null && reqReferenceNumber.length() > 12 )
      addArgToGMJI( reqReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqReferenceNumber ); 
    addArgToGMJI( reqMaximumNumberOfRecords ); 
    addArgToGMJI( reqLastNumberOfRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    infoDate = new GsDate( txn, "infoDate" );
    accountIDDetail = new GsAccount( txn, "accountIDDetail" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    transaction = new GsTxnRespDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      transaction[ i ] = new GsTxnRespDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPostingStartDate =" );
    if( reqPostingStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPostingStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPostingEndDate =" );
    if( reqPostingEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPostingEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqLowCheckNumber = " + getReqLowCheckNumber() );
    pageWriter.println( prefix + "reqHighCheckNumber = " + getReqHighCheckNumber() );
    pageWriter.println( prefix + "reqProductType = " + getReqProductType() );
    pageWriter.println( prefix + "reqTransactionType = " + getReqTransactionType() );
    pageWriter.println( prefix + "reqTransactionSource = " + getReqTransactionSource() );
    pageWriter.println( prefix + "reqReferenceNumber = " + getReqReferenceNumber() );
    pageWriter.println( prefix + "reqMaximumNumberOfRecords = " + getReqMaximumNumberOfRecords() );
    pageWriter.println( prefix + "reqLastNumberOfRecords = " + getReqLastNumberOfRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "infoDate =" );
    if( infoDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      infoDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "accountIDDetail =" );
    if( accountIDDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountIDDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "transaction =" );
    if( transaction == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < transaction.length; j++ )
      {
        pageWriter.println( prefix + "transaction[" + j + "] =" );
        if( transaction[ j ] == null )
          pageWriter.println( " (null)" );
        else
          transaction[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtAccountHistory" );
    reqPostingStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPostingStartDate", "GtAccountHistory" );
    reqPostingEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPostingEndDate", "GtAccountHistory" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtAccountHistory" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtAccountHistory" );
    reqLowCheckNumber = getLongFromURL( req, prefix + "reqLowCheckNumber" );
    reqHighCheckNumber = getLongFromURL( req, prefix + "reqHighCheckNumber" );
    reqProductType = getCharFromURL( req, prefix + "reqProductType" );
    reqTransactionType = getCharFromURL( req, prefix + "reqTransactionType" );
    reqTransactionSource = getCharFromURL( req, prefix + "reqTransactionSource" );
    reqReferenceNumber = getCharFromURL( req, prefix + "reqReferenceNumber" );
    reqMaximumNumberOfRecords = getLongFromURL( req, prefix + "reqMaximumNumberOfRecords" );
    reqLastNumberOfRecords = getLongFromURL( req, prefix + "reqLastNumberOfRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
