//**********************************************
//
// FILE NAME: GtAccountTaxationDetails.java
// TRANSACTION NAME: Account Taxation Details Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Account Taxation Details Transaction</B>
 * <P>IFS ID: <B>taxdtl</B>
 * <P>
 * This transaction allows a consumer to request tax details on an
 * account.
 * <BR>
 * <P><B>ACCT_TAX_DTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ACCT_TAX_DTL_IMSG</B>
 *            <P>
 *            This request message allows the consumer to request tax
 *            details on an account by specifying the tax type and date.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ACCT_TAX_DTL_OMSG</B>
 *            <P>
 *            This response message can provide multiple iterations of tax
 *            file number, tax rates, status, and year-to-date tax amount
 *            posted.
 */
public class GtAccountTaxationDetails extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAccountTaxationDetails() { }
  public GtAccountTaxationDetails( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "taxdtl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqTaxDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTaxRqstTg.TaxDtTg</code>.
   * <P>
   * The date entered on a request which specifies the date on which
   * Account Tax details will be retrieved.
   * <BR>
   */
  private GsDate reqTaxDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTaxDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTaxRqstTg.TaxDtTg</code>.
   * <P>
   * The date entered on a request which specifies the date on which
   * Account Tax details will be retrieved.
   * <BR>
   */
  public  void   setReqTaxDate(GsDate o )  { reqTaxDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTaxDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTaxRqstTg.TaxDtTg</code>.
   * <P>
   * The date entered on a request which specifies the date on which
   * Account Tax details will be retrieved.
   * <BR>
   */
  public  GsDate getReqTaxDate() { return (reqTaxDate); }

  /**
   * <P>The attribute <code>reqTaxType</code> is an alias for the
   * standard message simple element
   * <code>IfsTaxRqstTg.TaxTpIndTg</code>.
   * <P>
   * A string which indicates the tax types requested on a Account
   * Taxation Details request.
   */
  private String reqTaxType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTaxType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTaxRqstTg.TaxTpIndTg</code>.
   * <P>
   * A string which indicates the tax types requested on a Account
   * Taxation Details request.
   */
  public  void   setReqTaxType( String o ) { reqTaxType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTaxType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTaxRqstTg.TaxTpIndTg</code>.
   * <P>
   * A string which indicates the tax types requested on a Account
   * Taxation Details request.
   */
  public  String getReqTaxType() { return (reqTaxType); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>taxFileNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTaxSumTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  private String taxFileNumber = null;

  /**
   * <P>Sets the value of the attribute <code>taxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTaxSumTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  void   setTaxFileNumber( String o ) { taxFileNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>taxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTaxSumTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  String getTaxFileNumber() { return (taxFileNumber); }

  /**
   * <P>The attribute <code>taxDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTaxSumTg.TaxDtlTg</code>.
   * <BR>
   */
  private GsTaxDtl[] taxDetail = null;

  /**
   * <P>Sets the value of the attribute <code>taxDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTaxSumTg.TaxDtlTg</code>.
   * <BR>
   */
  public  void       setTaxDetail(GsTaxDtl[] o )  { taxDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>taxDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTaxSumTg.TaxDtlTg</code>.
   * <BR>
   */
  public  GsTaxDtl[] getTaxDetail() { return (taxDetail); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAccountTaxationDetails );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsDate.addPropertiesToGMJI( reqTaxDate, this );

    if( reqTaxType != null && reqTaxType.length() > 4 )
      addArgToGMJI( reqTaxType.substring(0,4));
    else
      addArgToGMJI( reqTaxType ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    accountID = new GsAccount( txn, "accountID" );
    taxFileNumber = txn.getNextCharFromGMJO( 12, "taxFileNumber" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    taxDetail = new GsTaxDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      taxDetail[ i ] = new GsTaxDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTaxDate =" );
    if( reqTaxDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTaxDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTaxType = " + getReqTaxType() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "taxFileNumber = " + getTaxFileNumber() );

    pageWriter.println( prefix + "taxDetail =" );
    if( taxDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < taxDetail.length; j++ )
      {
        pageWriter.println( prefix + "taxDetail[" + j + "] =" );
        if( taxDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          taxDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtAccountTaxationDetails" );
    reqTaxDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTaxDate", "GtAccountTaxationDetails" );
    reqTaxType = getCharFromURL( req, prefix + "reqTaxType" );
  }
}
