//**********************************************
//
// FILE NAME: GtActivateElectronicBillerDelivery.java
// TRANSACTION NAME: Activate Electronic Biller Delivery Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Activate Electronic Biller Delivery Transaction</B>
 * <P>IFS ID: <B>ebactblr</B>
 * <P>
 * Allows a client to activate a customer relationship with an electronic
 * biller so that the customer may receive electronic bills from that
 * biller.
 * <BR>
 * <P><B>EBILL_ACT_DLVRY_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>EBILL_ACT_DLVRY_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>EBILL_ACT_DLVRY_OMSG</B>
 */
public class GtActivateElectronicBillerDelivery extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtActivateElectronicBillerDelivery() { }
  public GtActivateElectronicBillerDelivery( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ebactblr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqEBillerIdentifier</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerNbrIdTg</code>.
   * <P>
   * A series of characters which identifies an Electronic Biller.
   */
  private String reqEBillerIdentifier = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillerIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerNbrIdTg</code>.
   * <P>
   * A series of characters which identifies an Electronic Biller.
   */
  public  void   setReqEBillerIdentifier( String o ) { reqEBillerIdentifier = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillerIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerNbrIdTg</code>.
   * <P>
   * A series of characters which identifies an Electronic Biller.
   */
  public  String getReqEBillerIdentifier() { return (reqEBillerIdentifier); }

  /**
   * <P>The attribute <code>reqBillingAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillAcctNbrIdTg</code>.
   */
  private String reqBillingAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillingAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillAcctNbrIdTg</code>.
   */
  public  void   setReqBillingAccountNumber( String o ) { reqBillingAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillingAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillAcctNbrIdTg</code>.
   */
  public  String getReqBillingAccountNumber() { return (reqBillingAccountNumber); }

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.PymtPayeeNbrIdTg</code>.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.PymtPayeeNbrIdTg</code>.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.PymtPayeeNbrIdTg</code>.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqSignUpVerificationText</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.SignUpVerifTxtTg</code>.
   */
  private String reqSignUpVerificationText = null;

  /**
   * <P>Sets the value of the attribute <code>reqSignUpVerificationText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.SignUpVerifTxtTg</code>.
   */
  public  void   setReqSignUpVerificationText( String o ) { reqSignUpVerificationText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSignUpVerificationText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.SignUpVerifTxtTg</code>.
   */
  public  String getReqSignUpVerificationText() { return (reqSignUpVerificationText); }

  /**
   * <P>The attribute <code>reqAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  private String reqAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  public  void   setReqAccountName( String o ) { reqAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  public  String getReqAccountName() { return (reqAccountName); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  private String reqHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  void   setReqHomePhone( String o ) { reqHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  String getReqHomePhone() { return (reqHomePhone); }

  /**
   * <P>The attribute <code>reqWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  private String reqWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  void   setReqWorkPhone( String o ) { reqWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRqTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  String getReqWorkPhone() { return (reqWorkPhone); }

  /**
   * <P>The attribute <code>reqIfsVerfData</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsEBActDlvryRqTg.IfsVerfDataTg</code>.
   * <BR>
   */
  private GsVerfData[] reqIfsVerfData = null;

  /**
   * <P>Sets the value of the attribute <code>reqIfsVerfData</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBActDlvryRqTg.IfsVerfDataTg</code>.
   * <BR>
   */
  public  void         setReqIfsVerfData(GsVerfData[] o )  { reqIfsVerfData = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIfsVerfData</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBActDlvryRqTg.IfsVerfDataTg</code>.
   * <BR>
   */
  public  GsVerfData[] getReqIfsVerfData() { return (reqIfsVerfData); }

  private String reqIfsVerfData_packed = null;
  public  void   setReqIfsVerfData_packed(String o ) { reqIfsVerfData_packed = o; }
  public  String getReqIfsVerfData_packed() { return (reqIfsVerfData_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>deliveryState</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRsTg.EBillDlvyStClTg</code>.
   */
  private String deliveryState = null;

  /**
   * <P>Sets the value of the attribute <code>deliveryState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRsTg.EBillDlvyStClTg</code>.
   */
  public  void   setDeliveryState( String o ) { deliveryState = o; }

  /**
   * <P>Gets the value of the attribute <code>deliveryState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRsTg.EBillDlvyStClTg</code>.
   */
  public  String getDeliveryState() { return (deliveryState); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>deliveryState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRsTg.EBillDlvyStClTg</code>.
   */
  public  String getDeliveryState_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsEBillDlvyStClResources", locale, getDeliveryState() );
  }

  /**
   * <P>The attribute <code>reasonText</code> is an alias for the
   * standard message simple element
   * <code>IfsEBActDlvryRsTg.ReasonTxtTg</code>.
   */
  private String reasonText = null;

  /**
   * <P>Sets the value of the attribute <code>reasonText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRsTg.ReasonTxtTg</code>.
   */
  public  void   setReasonText( String o ) { reasonText = o; }

  /**
   * <P>Gets the value of the attribute <code>reasonText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBActDlvryRsTg.ReasonTxtTg</code>.
   */
  public  String getReasonText() { return (reasonText); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtActivateElectronicBillerDelivery );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqEBillerIdentifier != null && reqEBillerIdentifier.length() > 32 )
      addArgToGMJI( reqEBillerIdentifier.substring(0,32));
    else
      addArgToGMJI( reqEBillerIdentifier ); 

    if( reqBillingAccountNumber != null && reqBillingAccountNumber.length() > 32 )
      addArgToGMJI( reqBillingAccountNumber.substring(0,32));
    else
      addArgToGMJI( reqBillingAccountNumber ); 

    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 
    addArgToGMJI( reqSignUpVerificationText ); 

    if( reqAccountName != null && reqAccountName.length() > 96 )
      addArgToGMJI( reqAccountName.substring(0,96));
    else
      addArgToGMJI( reqAccountName ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqHomePhone != null && reqHomePhone.length() > 15 )
      addArgToGMJI( reqHomePhone.substring(0,15));
    else
      addArgToGMJI( reqHomePhone ); 

    if( reqWorkPhone != null && reqWorkPhone.length() > 15 )
      addArgToGMJI( reqWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqWorkPhone ); 
    if( reqIfsVerfData != null )
    {
      reqIfsVerfData_packed = GsVerfData.pack( reqIfsVerfData );
      addArgToGMJI( reqIfsVerfData_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    deliveryState = txn.getNextCharFromGMJO( 1, "deliveryState" );
    reasonText = txn.getNextVarCharFromGMJO( "reasonText" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqEBillerIdentifier = " + getReqEBillerIdentifier() );
    pageWriter.println( prefix + "reqBillingAccountNumber = " + getReqBillingAccountNumber() );
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqSignUpVerificationText = " + getReqSignUpVerificationText() );
    pageWriter.println( prefix + "reqAccountName = " + getReqAccountName() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqHomePhone = " + getReqHomePhone() );
    pageWriter.println( prefix + "reqWorkPhone = " + getReqWorkPhone() );

    pageWriter.println( prefix + "reqIfsVerfData =" );
    if( reqIfsVerfData == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqIfsVerfData.length; j++ )
      {
        pageWriter.println( prefix + "reqIfsVerfData[" + j + "] =" );
        if( reqIfsVerfData[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqIfsVerfData[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIfsVerfData_packed = " + getReqIfsVerfData_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "deliveryState = " + getDeliveryState() );
    try {
      pageWriter.println( prefix + "deliveryState_text = " + getDeliveryState_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "deliveryState_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "reasonText = " + getReasonText() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqEBillerIdentifier = getCharFromURL( req, prefix + "reqEBillerIdentifier" );
    reqBillingAccountNumber = getCharFromURL( req, prefix + "reqBillingAccountNumber" );
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqSignUpVerificationText = getCharFromURL( req, prefix + "reqSignUpVerificationText" );
    reqAccountName = getCharFromURL( req, prefix + "reqAccountName" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqHomePhone = getCharFromURL( req, prefix + "reqHomePhone" );
    reqWorkPhone = getCharFromURL( req, prefix + "reqWorkPhone" );

    repeatCounter = getLongFromURL( req, prefix + "reqIfsVerfData_repeatCounter" );
    reqIfsVerfData = new GsVerfData[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqIfsVerfData[ i ] = new GsVerfData(getIfsSession());
      reqIfsVerfData[ i ].populateFromURL( txn, req, prefix + "reqIfsVerfData_" + i + "_" );
    }
  }
}
