//**********************************************
//
// FILE NAME: GtAddBusinessInvoice.java
// TRANSACTION NAME: Add Business Invoice Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Business Invoice Transaction</B>
 * <P>IFS ID: <B>addbsinv</B>
 * <P>
 * A client may add an invoice. Multiple invoices can be associated with a
 * single payment and multiple payments can be associated with a single
 * invoice. Multiple line items can be attached to a single invoice
 * allowing the client to specify more details of a particular invoice.
 * <BR>
 * <P><B>ADD_BUSINESS_INVOICE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_BUSINESS_INVOICE_IMSG</B>
 *            <P>
 *            Message used by a requestor to add a business invoice as an
 *            entity.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_BUSINESS_INVOICE_OMSG</B>
 *            <P>
 *            Message returned to a requestor in response to a request to
 *            add an invoice.
 */
public class GtAddBusinessInvoice extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddBusinessInvoice() { }
  public GtAddBusinessInvoice( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "addbsinv_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqInvoiceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvNumTg</code>.
   * <P>
   * The invoice number is entered by the client and does not serve as a
   * database key at the service provider. It is usually the number
   * preprinted on the invoice itself or assigned by the bill originator
   * to the invoice.
   */
  private String reqInvoiceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvNumTg</code>.
   * <P>
   * The invoice number is entered by the client and does not serve as a
   * database key at the service provider. It is usually the number
   * preprinted on the invoice itself or assigned by the bill originator
   * to the invoice.
   */
  public  void   setReqInvoiceNumber( String o ) { reqInvoiceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvNumTg</code>.
   * <P>
   * The invoice number is entered by the client and does not serve as a
   * database key at the service provider. It is usually the number
   * preprinted on the invoice itself or assigned by the bill originator
   * to the invoice.
   */
  public  String getReqInvoiceNumber() { return (reqInvoiceNumber); }

  /**
   * <P>The attribute <code>reqInvoiceDueAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDueAmtTg</code>.
   * <P>
   * The total amount due on a Business Invoice.
   * <BR>
   */
  private GsCurrency reqInvoiceDueAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDueAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDueAmtTg</code>.
   * <P>
   * The total amount due on a Business Invoice.
   * <BR>
   */
  public  void       setReqInvoiceDueAmount(GsCurrency o )  { reqInvoiceDueAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDueAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDueAmtTg</code>.
   * <P>
   * The total amount due on a Business Invoice.
   * <BR>
   */
  public  GsCurrency getReqInvoiceDueAmount() { return (reqInvoiceDueAmount); }

  /**
   * <P>The attribute <code>reqInvoicePaidAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPaidAmtTg</code>.
   * <P>
   * The invoice paid amount is not set or calculated by the service
   * provider. A client may choose to provide this value based on
   * functions provided to the user.
   * <BR>
   */
  private GsCurrency reqInvoicePaidAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoicePaidAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPaidAmtTg</code>.
   * <P>
   * The invoice paid amount is not set or calculated by the service
   * provider. A client may choose to provide this value based on
   * functions provided to the user.
   * <BR>
   */
  public  void       setReqInvoicePaidAmount(GsCurrency o )  { reqInvoicePaidAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoicePaidAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPaidAmtTg</code>.
   * <P>
   * The invoice paid amount is not set or calculated by the service
   * provider. A client may choose to provide this value based on
   * functions provided to the user.
   * <BR>
   */
  public  GsCurrency getReqInvoicePaidAmount() { return (reqInvoicePaidAmount); }

  /**
   * <P>The attribute <code>reqInvoiceDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  private GsDate reqInvoiceDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  void   setReqInvoiceDate(GsDate o )  { reqInvoiceDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  GsDate getReqInvoiceDate() { return (reqInvoiceDate); }

  /**
   * <P>The attribute <code>reqInvoiceMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvMemoNmTg</code>.
   * <P>
   * A short description or memo associated with an invoice.
   */
  private String reqInvoiceMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvMemoNmTg</code>.
   * <P>
   * A short description or memo associated with an invoice.
   */
  public  void   setReqInvoiceMemo( String o ) { reqInvoiceMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvMemoNmTg</code>.
   * <P>
   * A short description or memo associated with an invoice.
   */
  public  String getReqInvoiceMemo() { return (reqInvoiceMemo); }

  /**
   * <P>The attribute <code>reqInvoiceVouchID</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvVouchIdTg</code>.
   * <P>
   * The invoice voucher number is the invoice recipient's reference
   * number assigned to the invoice. Usually the voucher number relates to
   * the approval process for the payment of a given invoice, such as a
   * manager's confirmation that the goods were actually delivered and the
   * invoice should be paid. Often, the purchase cycle is initiated with a
   * Purchase Order, which would indicate to the Vendor (the goods/service
   * provider) that pre-purchase approval had been issued according to the
   * terms of the purchase order (external authorization for purchase). A
   * voucher may (or may not) be associated with tracking the internal
   * approval prior to (or even subsequent to) the issuance of that
   * purchase order. A user (or department) may issue a PO and place it on
   * hold until a voucher (number) is assigned to the PO. The PO would
   * then be issued, and an invoice would (upon delivery of goods) be
   * received. At that point the PO would be 'converted' to an invoice,
   * which could be paid immediately as it had already been approved.
   */
  private String reqInvoiceVouchID = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceVouchID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvVouchIdTg</code>.
   * <P>
   * The invoice voucher number is the invoice recipient's reference
   * number assigned to the invoice. Usually the voucher number relates to
   * the approval process for the payment of a given invoice, such as a
   * manager's confirmation that the goods were actually delivered and the
   * invoice should be paid. Often, the purchase cycle is initiated with a
   * Purchase Order, which would indicate to the Vendor (the goods/service
   * provider) that pre-purchase approval had been issued according to the
   * terms of the purchase order (external authorization for purchase). A
   * voucher may (or may not) be associated with tracking the internal
   * approval prior to (or even subsequent to) the issuance of that
   * purchase order. A user (or department) may issue a PO and place it on
   * hold until a voucher (number) is assigned to the PO. The PO would
   * then be issued, and an invoice would (upon delivery of goods) be
   * received. At that point the PO would be 'converted' to an invoice,
   * which could be paid immediately as it had already been approved.
   */
  public  void   setReqInvoiceVouchID( String o ) { reqInvoiceVouchID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceVouchID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvVouchIdTg</code>.
   * <P>
   * The invoice voucher number is the invoice recipient's reference
   * number assigned to the invoice. Usually the voucher number relates to
   * the approval process for the payment of a given invoice, such as a
   * manager's confirmation that the goods were actually delivered and the
   * invoice should be paid. Often, the purchase cycle is initiated with a
   * Purchase Order, which would indicate to the Vendor (the goods/service
   * provider) that pre-purchase approval had been issued according to the
   * terms of the purchase order (external authorization for purchase). A
   * voucher may (or may not) be associated with tracking the internal
   * approval prior to (or even subsequent to) the issuance of that
   * purchase order. A user (or department) may issue a PO and place it on
   * hold until a voucher (number) is assigned to the PO. The PO would
   * then be issued, and an invoice would (upon delivery of goods) be
   * received. At that point the PO would be 'converted' to an invoice,
   * which could be paid immediately as it had already been approved.
   */
  public  String getReqInvoiceVouchID() { return (reqInvoiceVouchID); }

  /**
   * <P>The attribute <code>reqInvoiceLatePaymentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLatePymtAmtTg</code>.
   * <P>
   * The Payment Amount Due on a Business Invoice if payment is late.
   * <BR>
   */
  private GsCurrency reqInvoiceLatePaymentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceLatePaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLatePymtAmtTg</code>.
   * <P>
   * The Payment Amount Due on a Business Invoice if payment is late.
   * <BR>
   */
  public  void       setReqInvoiceLatePaymentAmount(GsCurrency o )  { reqInvoiceLatePaymentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceLatePaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLatePymtAmtTg</code>.
   * <P>
   * The Payment Amount Due on a Business Invoice if payment is late.
   * <BR>
   */
  public  GsCurrency getReqInvoiceLatePaymentAmount() { return (reqInvoiceLatePaymentAmount); }

  /**
   * <P>The attribute <code>reqInvoicePremium</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPremiumTg</code>.
   * <BR>
   */
  private GsDecimal reqInvoicePremium = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoicePremium</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPremiumTg</code>.
   * <BR>
   */
  public  void      setReqInvoicePremium(GsDecimal o )  { reqInvoicePremium = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoicePremium</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvPremiumTg</code>.
   * <BR>
   */
  public  GsDecimal getReqInvoicePremium() { return (reqInvoicePremium); }

  /**
   * <P>The attribute <code>reqInvoiceDiscountPercent</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscPctTg</code>.
   * <P>
   * The precentage rate of discount allowable on a Business Invoice.
   * <BR>
   */
  private GsDecimal reqInvoiceDiscountPercent = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscPctTg</code>.
   * <P>
   * The precentage rate of discount allowable on a Business Invoice.
   * <BR>
   */
  public  void      setReqInvoiceDiscountPercent(GsDecimal o )  { reqInvoiceDiscountPercent = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscPctTg</code>.
   * <P>
   * The precentage rate of discount allowable on a Business Invoice.
   * <BR>
   */
  public  GsDecimal getReqInvoiceDiscountPercent() { return (reqInvoiceDiscountPercent); }

  /**
   * <P>The attribute <code>reqInvoiceDiscountAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscAmtTg</code>.
   * <P>
   * The discount amount on a Business Invoice.
   * <BR>
   */
  private GsCurrency reqInvoiceDiscountAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDiscountAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscAmtTg</code>.
   * <P>
   * The discount amount on a Business Invoice.
   * <BR>
   */
  public  void       setReqInvoiceDiscountAmount(GsCurrency o )  { reqInvoiceDiscountAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDiscountAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscValDtlTg.InvDiscAmtTg</code>.
   * <P>
   * The discount amount on a Business Invoice.
   * <BR>
   */
  public  GsCurrency getReqInvoiceDiscountAmount() { return (reqInvoiceDiscountAmount); }

  /**
   * <P>The attribute <code>reqInvoiceDiscountDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscDtTg</code>.
   * <P>
   * The date on which discount is applicable on a Business Invoice.
   * <BR>
   */
  private GsDate reqInvoiceDiscountDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDiscountDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscDtTg</code>.
   * <P>
   * The date on which discount is applicable on a Business Invoice.
   * <BR>
   */
  public  void   setReqInvoiceDiscountDate(GsDate o )  { reqInvoiceDiscountDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDiscountDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscDtTg</code>.
   * <P>
   * The date on which discount is applicable on a Business Invoice.
   * <BR>
   */
  public  GsDate getReqInvoiceDiscountDate() { return (reqInvoiceDiscountDate); }

  /**
   * <P>The attribute <code>reqInvoiceDiscountMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscMemoNmTg</code>.
   * <P>
   * A short description relating to the Discount on a Business Invoice.
   */
  private String reqInvoiceDiscountMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDiscountMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscMemoNmTg</code>.
   * <P>
   * A short description relating to the Discount on a Business Invoice.
   */
  public  void   setReqInvoiceDiscountMemo( String o ) { reqInvoiceDiscountMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDiscountMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvDiscDtlTg.InvDiscMemoNmTg</code>.
   * <P>
   * A short description relating to the Discount on a Business Invoice.
   */
  public  String getReqInvoiceDiscountMemo() { return (reqInvoiceDiscountMemo); }

  /**
   * <P>The attribute <code>reqInvoiceAdjustmentID</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjIdTg</code>.
   * <P>
   * A character string which identifies an adjustment on an invoice.
   */
  private String reqInvoiceAdjustmentID = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceAdjustmentID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjIdTg</code>.
   * <P>
   * A character string which identifies an adjustment on an invoice.
   */
  public  void   setReqInvoiceAdjustmentID( String o ) { reqInvoiceAdjustmentID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceAdjustmentID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjIdTg</code>.
   * <P>
   * A character string which identifies an adjustment on an invoice.
   */
  public  String getReqInvoiceAdjustmentID() { return (reqInvoiceAdjustmentID); }

  /**
   * <P>The attribute <code>reqInvoiceAdjustmentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjMemoTg</code>.
   * <P>
   * A short description or memo associated with an adjustment on a
   * business invoice.
   */
  private String reqInvoiceAdjustmentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceAdjustmentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjMemoTg</code>.
   * <P>
   * A short description or memo associated with an adjustment on a
   * business invoice.
   */
  public  void   setReqInvoiceAdjustmentMemo( String o ) { reqInvoiceAdjustmentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceAdjustmentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjMemoTg</code>.
   * <P>
   * A short description or memo associated with an adjustment on a
   * business invoice.
   */
  public  String getReqInvoiceAdjustmentMemo() { return (reqInvoiceAdjustmentMemo); }

  /**
   * <P>The attribute <code>reqInvoiceAdjustmentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjAmtTg</code>.
   * <P>
   * The amount of an adjustment on a business invoice.
   * <BR>
   */
  private GsCurrency reqInvoiceAdjustmentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceAdjustmentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjAmtTg</code>.
   * <P>
   * The amount of an adjustment on a business invoice.
   * <BR>
   */
  public  void       setReqInvoiceAdjustmentAmount(GsCurrency o )  { reqInvoiceAdjustmentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceAdjustmentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjAmtTg</code>.
   * <P>
   * The amount of an adjustment on a business invoice.
   * <BR>
   */
  public  GsCurrency getReqInvoiceAdjustmentAmount() { return (reqInvoiceAdjustmentAmount); }

  /**
   * <P>The attribute <code>reqInvoiceAdjustmentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjDtTg</code>.
   * <P>
   * The date of an adjustment on a business invoice.
   * <BR>
   */
  private GsDate reqInvoiceAdjustmentDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceAdjustmentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjDtTg</code>.
   * <P>
   * The date of an adjustment on a business invoice.
   * <BR>
   */
  public  void   setReqInvoiceAdjustmentDate(GsDate o )  { reqInvoiceAdjustmentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceAdjustmentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvAdjDtlTg.InvAdjDtTg</code>.
   * <P>
   * The date of an adjustment on a business invoice.
   * <BR>
   */
  public  GsDate getReqInvoiceAdjustmentDate() { return (reqInvoiceAdjustmentDate); }

  /**
   * <P>The attribute <code>reqInvoiceLine</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLineDtlTg</code>.
   * <P>
   * Repeating structure, each containing information about a line item on
   * the invoice.
   * <BR>
   */
  private GsLineDtl[] reqInvoiceLine = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceLine</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLineDtlTg</code>.
   * <P>
   * Repeating structure, each containing information about a line item on
   * the invoice.
   * <BR>
   */
  public  void        setReqInvoiceLine(GsLineDtl[] o )  { reqInvoiceLine = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceLine</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBusInvDtlTg.InvLineDtlTg</code>.
   * <P>
   * Repeating structure, each containing information about a line item on
   * the invoice.
   * <BR>
   */
  public  GsLineDtl[] getReqInvoiceLine() { return (reqInvoiceLine); }

  private String reqInvoiceLine_packed = null;
  public  void   setReqInvoiceLine_packed(String o ) { reqInvoiceLine_packed = o; }
  public  String getReqInvoiceLine_packed() { return (reqInvoiceLine_packed); }


  /**
   * <P>The attribute <code>reqPymtNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  private String reqPymtNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  void   setReqPymtNbrId( String o ) { reqPymtNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  String getReqPymtNbrId() { return (reqPymtNbrId); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>busInvNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  private String busInvNumber = null;

  /**
   * <P>Sets the value of the attribute <code>busInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  void   setBusInvNumber( String o ) { busInvNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>busInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  String getBusInvNumber() { return (busInvNumber); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddBusinessInvoice );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqInvoiceNumber != null && reqInvoiceNumber.length() > 32 )
      addArgToGMJI( reqInvoiceNumber.substring(0,32));
    else
      addArgToGMJI( reqInvoiceNumber ); 
    GsCurrency.addPropertiesToGMJI( reqInvoiceDueAmount, this );
    GsCurrency.addPropertiesToGMJI( reqInvoicePaidAmount, this );
    GsDate.addPropertiesToGMJI( reqInvoiceDate, this );

    if( reqInvoiceMemo != null && reqInvoiceMemo.length() > 80 )
      addArgToGMJI( reqInvoiceMemo.substring(0,80));
    else
      addArgToGMJI( reqInvoiceMemo ); 

    if( reqInvoiceVouchID != null && reqInvoiceVouchID.length() > 80 )
      addArgToGMJI( reqInvoiceVouchID.substring(0,80));
    else
      addArgToGMJI( reqInvoiceVouchID ); 
    GsCurrency.addPropertiesToGMJI( reqInvoiceLatePaymentAmount, this );
    GsDecimal.addPropertiesToGMJI( reqInvoicePremium, this );
    GsDecimal.addPropertiesToGMJI( reqInvoiceDiscountPercent, this );
    GsCurrency.addPropertiesToGMJI( reqInvoiceDiscountAmount, this );
    GsDate.addPropertiesToGMJI( reqInvoiceDiscountDate, this );

    if( reqInvoiceDiscountMemo != null && reqInvoiceDiscountMemo.length() > 80 )
      addArgToGMJI( reqInvoiceDiscountMemo.substring(0,80));
    else
      addArgToGMJI( reqInvoiceDiscountMemo ); 

    if( reqInvoiceAdjustmentID != null && reqInvoiceAdjustmentID.length() > 32 )
      addArgToGMJI( reqInvoiceAdjustmentID.substring(0,32));
    else
      addArgToGMJI( reqInvoiceAdjustmentID ); 

    if( reqInvoiceAdjustmentMemo != null && reqInvoiceAdjustmentMemo.length() > 80 )
      addArgToGMJI( reqInvoiceAdjustmentMemo.substring(0,80));
    else
      addArgToGMJI( reqInvoiceAdjustmentMemo ); 
    GsCurrency.addPropertiesToGMJI( reqInvoiceAdjustmentAmount, this );
    GsDate.addPropertiesToGMJI( reqInvoiceAdjustmentDate, this );
    if( reqInvoiceLine != null )
    {
      reqInvoiceLine_packed = GsLineDtl.pack( reqInvoiceLine );
      addArgToGMJI( reqInvoiceLine_packed );
    } else {
      addArgToGMJI();
    }

    if( reqPymtNbrId != null && reqPymtNbrId.length() > 36 )
      addArgToGMJI( reqPymtNbrId.substring(0,36));
    else
      addArgToGMJI( reqPymtNbrId ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    busInvNumber = txn.getNextCharFromGMJO( 12, "busInvNumber" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqInvoiceNumber = " + getReqInvoiceNumber() );

    pageWriter.println( prefix + "reqInvoiceDueAmount =" );
    if( reqInvoiceDueAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDueAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoicePaidAmount =" );
    if( reqInvoicePaidAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoicePaidAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDate =" );
    if( reqInvoiceDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInvoiceMemo = " + getReqInvoiceMemo() );
    pageWriter.println( prefix + "reqInvoiceVouchID = " + getReqInvoiceVouchID() );

    pageWriter.println( prefix + "reqInvoiceLatePaymentAmount =" );
    if( reqInvoiceLatePaymentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceLatePaymentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoicePremium =" );
    if( reqInvoicePremium == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoicePremium.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDiscountPercent =" );
    if( reqInvoiceDiscountPercent == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDiscountPercent.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDiscountAmount =" );
    if( reqInvoiceDiscountAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDiscountAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDiscountDate =" );
    if( reqInvoiceDiscountDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDiscountDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInvoiceDiscountMemo = " + getReqInvoiceDiscountMemo() );
    pageWriter.println( prefix + "reqInvoiceAdjustmentID = " + getReqInvoiceAdjustmentID() );
    pageWriter.println( prefix + "reqInvoiceAdjustmentMemo = " + getReqInvoiceAdjustmentMemo() );

    pageWriter.println( prefix + "reqInvoiceAdjustmentAmount =" );
    if( reqInvoiceAdjustmentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceAdjustmentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceAdjustmentDate =" );
    if( reqInvoiceAdjustmentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceAdjustmentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceLine =" );
    if( reqInvoiceLine == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqInvoiceLine.length; j++ )
      {
        pageWriter.println( prefix + "reqInvoiceLine[" + j + "] =" );
        if( reqInvoiceLine[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqInvoiceLine[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInvoiceLine_packed = " + getReqInvoiceLine_packed() );
    pageWriter.println( prefix + "reqPymtNbrId = " + getReqPymtNbrId() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "busInvNumber = " + getBusInvNumber() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqInvoiceNumber = getCharFromURL( req, prefix + "reqInvoiceNumber" );
    reqInvoiceDueAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDueAmount", "GtAddBusinessInvoice" );
    reqInvoicePaidAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoicePaidAmount", "GtAddBusinessInvoice" );
    reqInvoiceDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDate", "GtAddBusinessInvoice" );
    reqInvoiceMemo = getCharFromURL( req, prefix + "reqInvoiceMemo" );
    reqInvoiceVouchID = getCharFromURL( req, prefix + "reqInvoiceVouchID" );
    reqInvoiceLatePaymentAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceLatePaymentAmount", "GtAddBusinessInvoice" );
    reqInvoicePremium = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoicePremium", "GtAddBusinessInvoice" );
    reqInvoiceDiscountPercent = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDiscountPercent", "GtAddBusinessInvoice" );
    reqInvoiceDiscountAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDiscountAmount", "GtAddBusinessInvoice" );
    reqInvoiceDiscountDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDiscountDate", "GtAddBusinessInvoice" );
    reqInvoiceDiscountMemo = getCharFromURL( req, prefix + "reqInvoiceDiscountMemo" );
    reqInvoiceAdjustmentID = getCharFromURL( req, prefix + "reqInvoiceAdjustmentID" );
    reqInvoiceAdjustmentMemo = getCharFromURL( req, prefix + "reqInvoiceAdjustmentMemo" );
    reqInvoiceAdjustmentAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceAdjustmentAmount", "GtAddBusinessInvoice" );
    reqInvoiceAdjustmentDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceAdjustmentDate", "GtAddBusinessInvoice" );

    repeatCounter = getLongFromURL( req, prefix + "reqInvoiceLine_repeatCounter" );
    reqInvoiceLine = new GsLineDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqInvoiceLine[ i ] = new GsLineDtl(getIfsSession());
      reqInvoiceLine[ i ].populateFromURL( txn, req, prefix + "reqInvoiceLine_" + i + "_" );
    }
    reqPymtNbrId = getCharFromURL( req, prefix + "reqPymtNbrId" );
  }
}
