//**********************************************
//
// FILE NAME: GtAddFixTransfer.java
// TRANSACTION NAME: Add Fixed Amount Recurring Transfer Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Fixed Amount Recurring Transfer Transaction</B>
 * <P>IFS ID: <B>afixtfr</B>
 * <P>
 * This transaction sets up a series of transfers i.e., a periodic
 * transfer of a fixed amount of money, between two accounts.
 * <BR>
 * <P><B>ADD_FIX_TFR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_FIX_TFR_IMSG</B>
 *            <P>
 *            This request message allows the consumer to set up a
 *            periodic transfer of money from a source account to a target
 *            account with a specific frequency (for example, weekly,
 *            monthly) beginning on a specified date. The consumer may
 *            specify a different amount and a specific date for the final
 *            transfer.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_FIX_TFR_OMSG</B>
 *            <P>
 *            The response message is sent to the consumer and confirms
 *            the addition of the recurring transfer request. It may
 *            return confirmation details such as a Transfer Identifier
 *            and FI Reference Number.
 */
public class GtAddFixTransfer extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddFixTransfer() { }
  public GtAddFixTransfer( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "afixtfr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqSecurity(GsSrvcRqstScrty[] o )  { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqSecurity() { return (reqSecurity); }

  private String reqSecurity_packed = null;
  public  void   setReqSecurity_packed(String o ) { reqSecurity_packed = o; }
  public  String getReqSecurity_packed() { return (reqSecurity_packed); }


  /**
   * <P>The attribute <code>reqSource</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount reqSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqSource</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setReqSource(GsAccount o )  { reqSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSource</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqSource() { return (reqSource); }

  /**
   * <P>The attribute <code>reqTarget</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqTarget = null;

  /**
   * <P>Sets the value of the attribute <code>reqTarget</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqTarget(GsAccount o )  { reqTarget = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTarget</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqTarget() { return (reqTarget); }

  /**
   * <P>The attribute <code>reqTransactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  private GsCurrency reqTransactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  void       setReqTransactionAmount(GsCurrency o )  { reqTransactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  GsCurrency getReqTransactionAmount() { return (reqTransactionAmount); }

  /**
   * <P>The attribute <code>reqEffectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  private GsDate reqEffectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  void   setReqEffectiveDate(GsDate o )  { reqEffectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  GsDate getReqEffectiveDate() { return (reqEffectiveDate); }

  /**
   * <P>The attribute <code>reqTransferNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  private String reqTransferNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  void   setReqTransferNickname( String o ) { reqTransferNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  String getReqTransferNickname() { return (reqTransferNickname); }

  /**
   * <P>The attribute <code>reqTfrSrceAcctRefr</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  private String reqTfrSrceAcctRefr = null;

  /**
   * <P>Sets the value of the attribute <code>reqTfrSrceAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  public  void   setReqTfrSrceAcctRefr( String o ) { reqTfrSrceAcctRefr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTfrSrceAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  public  String getReqTfrSrceAcctRefr() { return (reqTfrSrceAcctRefr); }

  /**
   * <P>The attribute <code>reqTfrTrgtAcctRefr</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  private String reqTfrTrgtAcctRefr = null;

  /**
   * <P>Sets the value of the attribute <code>reqTfrTrgtAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  public  void   setReqTfrTrgtAcctRefr( String o ) { reqTfrTrgtAcctRefr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTfrTrgtAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  public  String getReqTfrTrgtAcctRefr() { return (reqTfrTrgtAcctRefr); }

  /**
   * <P>The attribute <code>reqFrequency</code> is an alias for the
   * standard message simple element
   * <code>IfsFixTfrDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a given recurring time span. At each occurrence of the
   * time span a transfer instance occurs until the number of the
   * specified occurrences is reached. For example, a Consumer may specify
   * 100 USD should be transferred from their account to another account
   * every week.
   */
  private String reqFrequency = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFixTfrDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a given recurring time span. At each occurrence of the
   * time span a transfer instance occurs until the number of the
   * specified occurrences is reached. For example, a Consumer may specify
   * 100 USD should be transferred from their account to another account
   * every week.
   */
  public  void   setReqFrequency( String o ) { reqFrequency = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFixTfrDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a given recurring time span. At each occurrence of the
   * time span a transfer instance occurs until the number of the
   * specified occurrences is reached. For example, a Consumer may specify
   * 100 USD should be transferred from their account to another account
   * every week.
   */
  public  String getReqFrequency() { return (reqFrequency); }

  /**
   * <P>The attribute <code>reqTotalPayment</code> is an alias for the
   * standard message simple element
   * <code>IfsFixTfrDtlTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  private int  reqTotalPayment = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTotalPayment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFixTfrDtlTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  public  void setReqTotalPayment( int o ) { reqTotalPayment = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTotalPayment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFixTfrDtlTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  public  int  getReqTotalPayment() { return (reqTotalPayment); }

  /**
   * <P>The attribute <code>reqLastTransferAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrAmtTg</code>.
   * <P>
   * The amount of the last transfer in a series can be an amount
   * different from the amount specified for all other transfer
   * occurrences.
   * <BR>
   */
  private GsCurrency reqLastTransferAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastTransferAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrAmtTg</code>.
   * <P>
   * The amount of the last transfer in a series can be an amount
   * different from the amount specified for all other transfer
   * occurrences.
   * <BR>
   */
  public  void       setReqLastTransferAmount(GsCurrency o )  { reqLastTransferAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastTransferAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrAmtTg</code>.
   * <P>
   * The amount of the last transfer in a series can be an amount
   * different from the amount specified for all other transfer
   * occurrences.
   * <BR>
   */
  public  GsCurrency getReqLastTransferAmount() { return (reqLastTransferAmount); }

  /**
   * <P>The attribute <code>reqLastTransferDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrDtTg</code>.
   * <P>
   * For Add Fixed Amount Recurring Transfer or Change Fixed Amount
   * Recurring Transfer, the date specifies the requested final transfer
   * date. For Pending Transfer Inquiry Output, Last Transfer Date is the
   * anticipated date on which the last transfer instance will occur.
   * <BR>
   */
  private GsDate reqLastTransferDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrDtTg</code>.
   * <P>
   * For Add Fixed Amount Recurring Transfer or Change Fixed Amount
   * Recurring Transfer, the date specifies the requested final transfer
   * date. For Pending Transfer Inquiry Output, Last Transfer Date is the
   * anticipated date on which the last transfer instance will occur.
   * <BR>
   */
  public  void   setReqLastTransferDate(GsDate o )  { reqLastTransferDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFixTfrDtlTg.LastTfrDtTg</code>.
   * <P>
   * For Add Fixed Amount Recurring Transfer or Change Fixed Amount
   * Recurring Transfer, the date specifies the requested final transfer
   * date. For Pending Transfer Inquiry Output, Last Transfer Date is the
   * anticipated date on which the last transfer instance will occur.
   * <BR>
   */
  public  GsDate getReqLastTransferDate() { return (reqLastTransferDate); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>transferNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  private String transferNumber = null;

  /**
   * <P>Sets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  void   setTransferNumber( String o ) { transferNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  String getTransferNumber() { return (transferNumber); }

  /**
   * <P>The attribute <code>adjustedTransferDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  private GsDate adjustedTransferDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjustedTransferDate(GsDate o )  { adjustedTransferDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjustedTransferDate() { return (adjustedTransferDate); }

  /**
   * <P>The attribute <code>adjustedFinalTransferDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAdjFnlTfrDtTg.AdjFnlTfrDtTg</code>.
   * <P>
   * The adjusted date upon which the final instance of a recurring
   * Transfer is scheduled to occur. The Adjusted Final Transfer Date may
   * differ from the Final Transfer Date requested by the consumer if the
   * consumer requested date occurs on a non-business day. The Adjusted
   * Final Transfer Date may be assigned by the Financial Institution or
   * the Transfer Service Provider.
   * <BR>
   */
  private GsDate adjustedFinalTransferDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedFinalTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjFnlTfrDtTg.AdjFnlTfrDtTg</code>.
   * <P>
   * The adjusted date upon which the final instance of a recurring
   * Transfer is scheduled to occur. The Adjusted Final Transfer Date may
   * differ from the Final Transfer Date requested by the consumer if the
   * consumer requested date occurs on a non-business day. The Adjusted
   * Final Transfer Date may be assigned by the Financial Institution or
   * the Transfer Service Provider.
   * <BR>
   */
  public  void   setAdjustedFinalTransferDate(GsDate o )  { adjustedFinalTransferDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedFinalTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjFnlTfrDtTg.AdjFnlTfrDtTg</code>.
   * <P>
   * The adjusted date upon which the final instance of a recurring
   * Transfer is scheduled to occur. The Adjusted Final Transfer Date may
   * differ from the Final Transfer Date requested by the consumer if the
   * consumer requested date occurs on a non-business day. The Adjusted
   * Final Transfer Date may be assigned by the Financial Institution or
   * the Transfer Service Provider.
   * <BR>
   */
  public  GsDate getAdjustedFinalTransferDate() { return (adjustedFinalTransferDate); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddFixTransfer );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqSecurity != null )
    {
      reqSecurity_packed = GsSrvcRqstScrty.pack( reqSecurity );
      addArgToGMJI( reqSecurity_packed );
    } else {
      addArgToGMJI();
    }
    GsAccount.addPropertiesToGMJI( reqSource, this );
    GsAccount.addPropertiesToGMJI( reqTarget, this );
    GsCurrency.addPropertiesToGMJI( reqTransactionAmount, this );
    GsDate.addPropertiesToGMJI( reqEffectiveDate, this );

    if( reqTransferNickname != null && reqTransferNickname.length() > 30 )
      addArgToGMJI( reqTransferNickname.substring(0,30));
    else
      addArgToGMJI( reqTransferNickname ); 

    if( reqTfrSrceAcctRefr != null && reqTfrSrceAcctRefr.length() > 40 )
      addArgToGMJI( reqTfrSrceAcctRefr.substring(0,40));
    else
      addArgToGMJI( reqTfrSrceAcctRefr ); 

    if( reqTfrTrgtAcctRefr != null && reqTfrTrgtAcctRefr.length() > 40 )
      addArgToGMJI( reqTfrTrgtAcctRefr.substring(0,40));
    else
      addArgToGMJI( reqTfrTrgtAcctRefr ); 

    if( reqFrequency != null && reqFrequency.length() > 1 )
      addArgToGMJI( reqFrequency.substring(0,1));
    else
      addArgToGMJI( reqFrequency ); 
    addArgToGMJI( reqTotalPayment ); 
    GsCurrency.addPropertiesToGMJI( reqLastTransferAmount, this );
    GsDate.addPropertiesToGMJI( reqLastTransferDate, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    transferNumber = txn.getNextCharFromGMJO( 6, "transferNumber" );
    adjustedTransferDate = new GsDate( txn, "adjustedTransferDate" );
    adjustedFinalTransferDate = new GsDate( txn, "adjustedFinalTransferDate" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSecurity =" );
    if( reqSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqSecurity[" + j + "] =" );
        if( reqSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurity_packed = " + getReqSecurity_packed() );

    pageWriter.println( prefix + "reqSource =" );
    if( reqSource == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSource.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTarget =" );
    if( reqTarget == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTarget.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransactionAmount =" );
    if( reqTransactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEffectiveDate =" );
    if( reqEffectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransferNickname = " + getReqTransferNickname() );
    pageWriter.println( prefix + "reqTfrSrceAcctRefr = " + getReqTfrSrceAcctRefr() );
    pageWriter.println( prefix + "reqTfrTrgtAcctRefr = " + getReqTfrTrgtAcctRefr() );
    pageWriter.println( prefix + "reqFrequency = " + getReqFrequency() );
    pageWriter.println( prefix + "reqTotalPayment = " + getReqTotalPayment() );

    pageWriter.println( prefix + "reqLastTransferAmount =" );
    if( reqLastTransferAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLastTransferAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLastTransferDate =" );
    if( reqLastTransferDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLastTransferDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "transferNumber = " + getTransferNumber() );

    pageWriter.println( prefix + "adjustedTransferDate =" );
    if( adjustedTransferDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedTransferDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "adjustedFinalTransferDate =" );
    if( adjustedFinalTransferDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedFinalTransferDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqSecurity_repeatCounter" );
    reqSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqSecurity[ i ].populateFromURL( txn, req, prefix + "reqSecurity_" + i + "_" );
    }
    reqSource = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSource", "GtAddFixTransfer" );
    reqTarget = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqTarget", "GtAddFixTransfer" );
    reqTransactionAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionAmount", "GtAddFixTransfer" );
    reqEffectiveDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffectiveDate", "GtAddFixTransfer" );
    reqTransferNickname = getCharFromURL( req, prefix + "reqTransferNickname" );
    reqTfrSrceAcctRefr = getCharFromURL( req, prefix + "reqTfrSrceAcctRefr" );
    reqTfrTrgtAcctRefr = getCharFromURL( req, prefix + "reqTfrTrgtAcctRefr" );
    reqFrequency = getCharFromURL( req, prefix + "reqFrequency" );
    reqTotalPayment = getLongFromURL( req, prefix + "reqTotalPayment" );
    reqLastTransferAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLastTransferAmount", "GtAddFixTransfer" );
    reqLastTransferDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqLastTransferDate", "GtAddFixTransfer" );
  }
}
