//**********************************************
//
// FILE NAME: GtAddPriorityPayment.java
// TRANSACTION NAME: Add Priority Payment Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Priority Payment Transaction</B>
 * <P>IFS ID: <B>ppmtadd</B>
 * <P>
 * Add a Priority Payment.
 * <BR>
 * <P><B>PRTY_PYMT_ADD_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>PRTY_PYMT_ADD_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>PRTY_PYMT_ADD_OMSG</B>
 */
public class GtAddPriorityPayment extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddPriorityPayment() { }
  public GtAddPriorityPayment( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ppmtadd_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnCaptTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqTxnCaptBy</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptByTg</code>.
   * <P>
   * The Consumer ID of the initiator of the transaction. Provided by the
   * web Review / Release application.
   */
  private String reqTxnCaptBy = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnCaptBy</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptByTg</code>.
   * <P>
   * The Consumer ID of the initiator of the transaction. Provided by the
   * web Review / Release application.
   */
  public  void   setReqTxnCaptBy( String o ) { reqTxnCaptBy = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnCaptBy</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnCaptByTg</code>.
   * <P>
   * The Consumer ID of the initiator of the transaction. Provided by the
   * web Review / Release application.
   */
  public  String getReqTxnCaptBy() { return (reqTxnCaptBy); }

  /**
   * <P>The attribute <code>reqTxnAprvTmstpTTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  private String reqTxnAprvTmstpTTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAprvTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  public  void   setReqTxnAprvTmstpTTmstpVal( String o ) { reqTxnAprvTmstpTTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAprvTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  public  String getReqTxnAprvTmstpTTmstpVal() { return (reqTxnAprvTmstpTTmstpVal); }

  /**
   * <P>The attribute <code>reqTxnAprvTmstpTGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  private int  reqTxnAprvTmstpTGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAprvTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  public  void setReqTxnAprvTmstpTGmtOfstMinsVal( int o ) { reqTxnAprvTmstpTGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAprvTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TxnAprvTmstpCxTg
   */
  public  int  getReqTxnAprvTmstpTGmtOfstMinsVal() { return (reqTxnAprvTmstpTGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqTxnAprvBy</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvByTg</code>.
   * <P>
   * The Consumer ID of the approver of the transaction. Provided by the
   * web Review / Release application.
   */
  private String reqTxnAprvBy = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAprvBy</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvByTg</code>.
   * <P>
   * The Consumer ID of the approver of the transaction. Provided by the
   * web Review / Release application.
   */
  public  void   setReqTxnAprvBy( String o ) { reqTxnAprvBy = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAprvBy</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnAprvDtlTg.TxnAprvByTg</code>.
   * <P>
   * The Consumer ID of the approver of the transaction. Provided by the
   * web Review / Release application.
   */
  public  String getReqTxnAprvBy() { return (reqTxnAprvBy); }

  /**
   * <P>The attribute <code>reqPymtDuplChkOvrdF</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  private String reqPymtDuplChkOvrdF = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtDuplChkOvrdF</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  public  void   setReqPymtDuplChkOvrdF( String o ) { reqPymtDuplChkOvrdF = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtDuplChkOvrdF</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  public  String getReqPymtDuplChkOvrdF() { return (reqPymtDuplChkOvrdF); }

  /**
   * <P>The attribute <code>reqPaymentAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  private GsCurrency reqPaymentAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  void       setReqPaymentAmt(GsCurrency o )  { reqPaymentAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmt() { return (reqPaymentAmt); }

  /**
   * <P>The attribute <code>reqCrsBrdrPymtTpCl</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.CrsBrdrPymtTpClTg</code>.
   * <P>
   * Indicates whether a payment is to a domestic beneficiary FI or a
   * foreign FI.
   */
  private int  reqCrsBrdrPymtTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCrsBrdrPymtTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.CrsBrdrPymtTpClTg</code>.
   * <P>
   * Indicates whether a payment is to a domestic beneficiary FI or a
   * foreign FI.
   */
  public  void setReqCrsBrdrPymtTpCl( int o ) { reqCrsBrdrPymtTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrsBrdrPymtTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.CrsBrdrPymtTpClTg</code>.
   * <P>
   * Indicates whether a payment is to a domestic beneficiary FI or a
   * foreign FI.
   */
  public  int  getReqCrsBrdrPymtTpCl() { return (reqCrsBrdrPymtTpCl); }

  /**
   * <P>The attribute <code>reqFundAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundAcct(GsAccount o )  { reqFundAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundAcct() { return (reqFundAcct); }

  /**
   * <P>The attribute <code>reqPymtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  private GsDate reqPymtDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  void   setReqPymtDt(GsDate o )  { reqPymtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  GsDate getReqPymtDt() { return (reqPymtDt); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.CntryCodeClTg</code>.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.CntryCodeClTg</code>.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.CntryCodeClTg</code>.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqPayeeNm</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.PayeeNmTg</code>.
   */
  private String reqPayeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PayeeNmTg</code>.
   */
  public  void   setReqPayeeNm( String o ) { reqPayeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PayeeNmTg</code>.
   */
  public  String getReqPayeeNm() { return (reqPayeeNm); }

  /**
   * <P>The attribute <code>reqBenfAddrLnDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAddrLnDtlTg</code>.
   * <BR>
   */
  private GsAddrLineDtls[] reqBenfAddrLnDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqBenfAddrLnDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAddrLnDtlTg</code>.
   * <BR>
   */
  public  void             setReqBenfAddrLnDtl(GsAddrLineDtls[] o )  { reqBenfAddrLnDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBenfAddrLnDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAddrLnDtlTg</code>.
   * <BR>
   */
  public  GsAddrLineDtls[] getReqBenfAddrLnDtl() { return (reqBenfAddrLnDtl); }

  private String reqBenfAddrLnDtl_packed = null;
  public  void   setReqBenfAddrLnDtl_packed(String o ) { reqBenfAddrLnDtl_packed = o; }
  public  String getReqBenfAddrLnDtl_packed() { return (reqBenfAddrLnDtl_packed); }


  /**
   * <P>The attribute <code>reqSWIFTId</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.SWIFTIdTg</code>.
   */
  private String reqSWIFTId = null;

  /**
   * <P>Sets the value of the attribute <code>reqSWIFTId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.SWIFTIdTg</code>.
   */
  public  void   setReqSWIFTId( String o ) { reqSWIFTId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSWIFTId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.SWIFTIdTg</code>.
   */
  public  String getReqSWIFTId() { return (reqSWIFTId); }

  /**
   * <P>The attribute <code>reqBenfAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  private GsAccount reqBenfAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqBenfAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  public  void      setReqBenfAcct(GsAccount o )  { reqBenfAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBenfAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqBenfAcct() { return (reqBenfAcct); }

  /**
   * <P>The attribute <code>reqExchRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  private GsDecimal reqExchRate = null;

  /**
   * <P>Sets the value of the attribute <code>reqExchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  void      setReqExchRate(GsDecimal o )  { reqExchRate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  GsDecimal getReqExchRate() { return (reqExchRate); }

  /**
   * <P>The attribute <code>reqPymtDtlToBenf</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtlToBenfTg</code>.
   * <BR>
   */
  private GsPymtInfoDtls[] reqPymtDtlToBenf = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtDtlToBenf</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtlToBenfTg</code>.
   * <BR>
   */
  public  void             setReqPymtDtlToBenf(GsPymtInfoDtls[] o )  { reqPymtDtlToBenf = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtDtlToBenf</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtDtlToBenfTg</code>.
   * <BR>
   */
  public  GsPymtInfoDtls[] getReqPymtDtlToBenf() { return (reqPymtDtlToBenf); }

  private String reqPymtDtlToBenf_packed = null;
  public  void   setReqPymtDtlToBenf_packed(String o ) { reqPymtDtlToBenf_packed = o; }
  public  String getReqPymtDtlToBenf_packed() { return (reqPymtDtlToBenf_packed); }


  /**
   * <P>The attribute <code>reqPymtMemoNm</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtMemoNmTg</code>.
   */
  private String reqPymtMemoNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtMemoNm</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtMemoNmTg</code>.
   */
  public  void   setReqPymtMemoNm( String o ) { reqPymtMemoNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtMemoNm</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtMemoNmTg</code>.
   */
  public  String getReqPymtMemoNm() { return (reqPymtMemoNm); }

  /**
   * <P>The attribute <code>reqBenfFIChrgTpCl</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.BenfFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Beneficiary FI charges for a payment should be
   * borne by the Debit account or the Beneficiary account.
   */
  private int  reqBenfFIChrgTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBenfFIChrgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.BenfFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Beneficiary FI charges for a payment should be
   * borne by the Debit account or the Beneficiary account.
   */
  public  void setReqBenfFIChrgTpCl( int o ) { reqBenfFIChrgTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBenfFIChrgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.BenfFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Beneficiary FI charges for a payment should be
   * borne by the Debit account or the Beneficiary account.
   */
  public  int  getReqBenfFIChrgTpCl() { return (reqBenfFIChrgTpCl); }

  /**
   * <P>The attribute <code>reqRemitFIChrgTpCl</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.RemitFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Remitting FI charges for a payment should be
   * borne by the Debit Account ro the Beneficiary account.
   */
  private int  reqRemitFIChrgTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRemitFIChrgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.RemitFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Remitting FI charges for a payment should be
   * borne by the Debit Account ro the Beneficiary account.
   */
  public  void setReqRemitFIChrgTpCl( int o ) { reqRemitFIChrgTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRemitFIChrgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.RemitFIChrgTpClTg</code>.
   * <P>
   * Indicates whether the Remitting FI charges for a payment should be
   * borne by the Debit Account ro the Beneficiary account.
   */
  public  int  getReqRemitFIChrgTpCl() { return (reqRemitFIChrgTpCl); }

  /**
   * <P>The attribute <code>reqPymtSpclInsr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  private GsPymtInfoDtls[] reqPymtSpclInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  void             setReqPymtSpclInsr(GsPymtInfoDtls[] o )  { reqPymtSpclInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FwdDtdPymtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  GsPymtInfoDtls[] getReqPymtSpclInsr() { return (reqPymtSpclInsr); }

  private String reqPymtSpclInsr_packed = null;
  public  void   setReqPymtSpclInsr_packed(String o ) { reqPymtSpclInsr_packed = o; }
  public  String getReqPymtSpclInsr_packed() { return (reqPymtSpclInsr_packed); }


  /**
   * <P>The attribute <code>reqPymtStatCl</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtStatClTg</code>.
   * <P>
   * A code classifying the state of the Payment Instance within the
   * Payment life cycle.
   */
  private String reqPymtStatCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtStatCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtStatClTg</code>.
   * <P>
   * A code classifying the state of the Payment Instance within the
   * Payment life cycle.
   */
  public  void   setReqPymtStatCl( String o ) { reqPymtStatCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtStatCl</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.PymtStatClTg</code>.
   * <P>
   * A code classifying the state of the Payment Instance within the
   * Payment life cycle.
   */
  public  String getReqPymtStatCl() { return (reqPymtStatCl); }

  /**
   * <P>The attribute <code>reqFiRfrNbrId</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFiRfrNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqFiRfrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFiRfrNbrId( String o ) { reqFiRfrNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFiRfrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFiRfrNbrId() { return (reqFiRfrNbrId); }

  /**
   * <P>The attribute <code>reqSrvcPrvdRfrId</code> is an alias for the
   * standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String reqSrvcPrvdRfrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqSrvcPrvdRfrId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setReqSrvcPrvdRfrId( String o ) { reqSrvcPrvdRfrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSrvcPrvdRfrId</code>,
   * which is an alias for the standard message simple element
   * <code>FwdDtdPymtDtlTg.TxnIdTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getReqSrvcPrvdRfrId() { return (reqSrvcPrvdRfrId); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>adjPymtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  private GsDate adjPymtDt = null;

  /**
   * <P>Sets the value of the attribute <code>adjPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjPymtDt(GsDate o )  { adjPymtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>adjPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjPymtDt() { return (adjPymtDt); }

  /**
   * <P>The attribute <code>exchRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.ExchRateTg</code>.
   * <BR>
   */
  private GsDecimal exchRate = null;

  /**
   * <P>Sets the value of the attribute <code>exchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.ExchRateTg</code>.
   * <BR>
   */
  public  void      setExchRate(GsDecimal o )  { exchRate = o; }

  /**
   * <P>Gets the value of the attribute <code>exchRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PymtAdjRespTg.ExchRateTg</code>.
   * <BR>
   */
  public  GsDecimal getExchRate() { return (exchRate); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddPriorityPayment );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    if( reqTxnCaptBy != null && reqTxnCaptBy.length() > 30 )
      addArgToGMJI( reqTxnCaptBy.substring(0,30));
    else
      addArgToGMJI( reqTxnCaptBy ); 

    if( reqTxnAprvTmstpTTmstpVal != null && reqTxnAprvTmstpTTmstpVal.length() > 26 )
      addArgToGMJI( reqTxnAprvTmstpTTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTxnAprvTmstpTTmstpVal ); 
    addArgToGMJI( reqTxnAprvTmstpTGmtOfstMinsVal ); 

    if( reqTxnAprvBy != null && reqTxnAprvBy.length() > 30 )
      addArgToGMJI( reqTxnAprvBy.substring(0,30));
    else
      addArgToGMJI( reqTxnAprvBy ); 

    if( reqPymtDuplChkOvrdF != null && reqPymtDuplChkOvrdF.length() > 1 )
      addArgToGMJI( reqPymtDuplChkOvrdF.substring(0,1));
    else
      addArgToGMJI( reqPymtDuplChkOvrdF ); 
    GsCurrency.addPropertiesToGMJI( reqPaymentAmt, this );
    addArgToGMJI( reqCrsBrdrPymtTpCl ); 
    GsAccount.addPropertiesToGMJI( reqFundAcct, this );
    GsDate.addPropertiesToGMJI( reqPymtDt, this );

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqPayeeNm != null && reqPayeeNm.length() > 40 )
      addArgToGMJI( reqPayeeNm.substring(0,40));
    else
      addArgToGMJI( reqPayeeNm ); 
    if( reqBenfAddrLnDtl != null )
    {
      reqBenfAddrLnDtl_packed = GsAddrLineDtls.pack( reqBenfAddrLnDtl );
      addArgToGMJI( reqBenfAddrLnDtl_packed );
    } else {
      addArgToGMJI();
    }

    if( reqSWIFTId != null && reqSWIFTId.length() > 12 )
      addArgToGMJI( reqSWIFTId.substring(0,12));
    else
      addArgToGMJI( reqSWIFTId ); 
    GsAccount.addPropertiesToGMJI( reqBenfAcct, this );
    GsDecimal.addPropertiesToGMJI( reqExchRate, this );
    if( reqPymtDtlToBenf != null )
    {
      reqPymtDtlToBenf_packed = GsPymtInfoDtls.pack( reqPymtDtlToBenf );
      addArgToGMJI( reqPymtDtlToBenf_packed );
    } else {
      addArgToGMJI();
    }

    if( reqPymtMemoNm != null && reqPymtMemoNm.length() > 40 )
      addArgToGMJI( reqPymtMemoNm.substring(0,40));
    else
      addArgToGMJI( reqPymtMemoNm ); 
    addArgToGMJI( reqBenfFIChrgTpCl ); 
    addArgToGMJI( reqRemitFIChrgTpCl ); 
    if( reqPymtSpclInsr != null )
    {
      reqPymtSpclInsr_packed = GsPymtInfoDtls.pack( reqPymtSpclInsr );
      addArgToGMJI( reqPymtSpclInsr_packed );
    } else {
      addArgToGMJI();
    }

    if( reqPymtStatCl != null && reqPymtStatCl.length() > 3 )
      addArgToGMJI( reqPymtStatCl.substring(0,3));
    else
      addArgToGMJI( reqPymtStatCl ); 

    if( reqFiRfrNbrId != null && reqFiRfrNbrId.length() > 12 )
      addArgToGMJI( reqFiRfrNbrId.substring(0,12));
    else
      addArgToGMJI( reqFiRfrNbrId ); 

    if( reqSrvcPrvdRfrId != null && reqSrvcPrvdRfrId.length() > 36 )
      addArgToGMJI( reqSrvcPrvdRfrId.substring(0,36));
    else
      addArgToGMJI( reqSrvcPrvdRfrId ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    adjPymtDt = new GsDate( txn, "adjPymtDt" );
    exchRate = new GsDecimal( txn, "exchRate" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqTxnCaptBy = " + getReqTxnCaptBy() );
    pageWriter.println( prefix + "reqTxnAprvTmstpTTmstpVal = " + getReqTxnAprvTmstpTTmstpVal() );
    pageWriter.println( prefix + "reqTxnAprvTmstpTGmtOfstMinsVal = " + getReqTxnAprvTmstpTGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqTxnAprvBy = " + getReqTxnAprvBy() );
    pageWriter.println( prefix + "reqPymtDuplChkOvrdF = " + getReqPymtDuplChkOvrdF() );

    pageWriter.println( prefix + "reqPaymentAmt =" );
    if( reqPaymentAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqCrsBrdrPymtTpCl = " + getReqCrsBrdrPymtTpCl() );

    pageWriter.println( prefix + "reqFundAcct =" );
    if( reqFundAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPymtDt =" );
    if( reqPymtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPymtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqPayeeNm = " + getReqPayeeNm() );

    pageWriter.println( prefix + "reqBenfAddrLnDtl =" );
    if( reqBenfAddrLnDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqBenfAddrLnDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqBenfAddrLnDtl[" + j + "] =" );
        if( reqBenfAddrLnDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqBenfAddrLnDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqBenfAddrLnDtl_packed = " + getReqBenfAddrLnDtl_packed() );
    pageWriter.println( prefix + "reqSWIFTId = " + getReqSWIFTId() );

    pageWriter.println( prefix + "reqBenfAcct =" );
    if( reqBenfAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqBenfAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqExchRate =" );
    if( reqExchRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqExchRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPymtDtlToBenf =" );
    if( reqPymtDtlToBenf == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPymtDtlToBenf.length; j++ )
      {
        pageWriter.println( prefix + "reqPymtDtlToBenf[" + j + "] =" );
        if( reqPymtDtlToBenf[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPymtDtlToBenf[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPymtDtlToBenf_packed = " + getReqPymtDtlToBenf_packed() );
    pageWriter.println( prefix + "reqPymtMemoNm = " + getReqPymtMemoNm() );
    pageWriter.println( prefix + "reqBenfFIChrgTpCl = " + getReqBenfFIChrgTpCl() );
    pageWriter.println( prefix + "reqRemitFIChrgTpCl = " + getReqRemitFIChrgTpCl() );

    pageWriter.println( prefix + "reqPymtSpclInsr =" );
    if( reqPymtSpclInsr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPymtSpclInsr.length; j++ )
      {
        pageWriter.println( prefix + "reqPymtSpclInsr[" + j + "] =" );
        if( reqPymtSpclInsr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPymtSpclInsr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPymtSpclInsr_packed = " + getReqPymtSpclInsr_packed() );
    pageWriter.println( prefix + "reqPymtStatCl = " + getReqPymtStatCl() );
    pageWriter.println( prefix + "reqFiRfrNbrId = " + getReqFiRfrNbrId() );
    pageWriter.println( prefix + "reqSrvcPrvdRfrId = " + getReqSrvcPrvdRfrId() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "adjPymtDt =" );
    if( adjPymtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjPymtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "exchRate =" );
    if( exchRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      exchRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
    reqTxnCaptBy = getCharFromURL( req, prefix + "reqTxnCaptBy" );
    reqTxnAprvTmstpTTmstpVal = getCharFromURL( req, prefix + "reqTxnAprvTmstpTTmstpVal" );
    reqTxnAprvTmstpTGmtOfstMinsVal = getLongFromURL( req, prefix + "reqTxnAprvTmstpTGmtOfstMinsVal" );
    reqTxnAprvBy = getCharFromURL( req, prefix + "reqTxnAprvBy" );
    reqPymtDuplChkOvrdF = getCharFromURL( req, prefix + "reqPymtDuplChkOvrdF" );
    reqPaymentAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmt", "GtAddPriorityPayment" );
    reqCrsBrdrPymtTpCl = getLongFromURL( req, prefix + "reqCrsBrdrPymtTpCl" );
    reqFundAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundAcct", "GtAddPriorityPayment" );
    reqPymtDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPymtDt", "GtAddPriorityPayment" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqPayeeNm = getCharFromURL( req, prefix + "reqPayeeNm" );

    repeatCounter = getLongFromURL( req, prefix + "reqBenfAddrLnDtl_repeatCounter" );
    reqBenfAddrLnDtl = new GsAddrLineDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqBenfAddrLnDtl[ i ] = new GsAddrLineDtls(getIfsSession());
      reqBenfAddrLnDtl[ i ].populateFromURL( txn, req, prefix + "reqBenfAddrLnDtl_" + i + "_" );
    }
    reqSWIFTId = getCharFromURL( req, prefix + "reqSWIFTId" );
    reqBenfAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqBenfAcct", "GtAddPriorityPayment" );
    reqExchRate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqExchRate", "GtAddPriorityPayment" );

    repeatCounter = getLongFromURL( req, prefix + "reqPymtDtlToBenf_repeatCounter" );
    reqPymtDtlToBenf = new GsPymtInfoDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPymtDtlToBenf[ i ] = new GsPymtInfoDtls(getIfsSession());
      reqPymtDtlToBenf[ i ].populateFromURL( txn, req, prefix + "reqPymtDtlToBenf_" + i + "_" );
    }
    reqPymtMemoNm = getCharFromURL( req, prefix + "reqPymtMemoNm" );
    reqBenfFIChrgTpCl = getLongFromURL( req, prefix + "reqBenfFIChrgTpCl" );
    reqRemitFIChrgTpCl = getLongFromURL( req, prefix + "reqRemitFIChrgTpCl" );

    repeatCounter = getLongFromURL( req, prefix + "reqPymtSpclInsr_repeatCounter" );
    reqPymtSpclInsr = new GsPymtInfoDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPymtSpclInsr[ i ] = new GsPymtInfoDtls(getIfsSession());
      reqPymtSpclInsr[ i ].populateFromURL( txn, req, prefix + "reqPymtSpclInsr_" + i + "_" );
    }
    reqPymtStatCl = getCharFromURL( req, prefix + "reqPymtStatCl" );
    reqFiRfrNbrId = getCharFromURL( req, prefix + "reqFiRfrNbrId" );
    reqSrvcPrvdRfrId = getCharFromURL( req, prefix + "reqSrvcPrvdRfrId" );
  }
}
