//**********************************************
//
// FILE NAME: GtAddPriorityPaymentBeneficiary.java
// TRANSACTION NAME: Add Priority Payment Beneficiary Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Priority Payment Beneficiary Transaction</B>
 * <P>IFS ID: <B>addppben</B>
 * <P>
 * This transaction is used to add a beneficiary for Priority Payment
 * (PRIORPMT).
 * <BR>
 * <P><B>ADD_PP_BENF_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_PP_BENF_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_PP_BENF_OMSG</B>
 */
public class GtAddPriorityPaymentBeneficiary extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddPriorityPaymentBeneficiary() { }
  public GtAddPriorityPaymentBeneficiary( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "addppben_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  private String reqNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  void   setReqNickname( String o ) { reqNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  String getReqNickname() { return (reqNickname); }

  /**
   * <P>The attribute <code>reqLine1Name</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  private String reqLine1Name = null;

  /**
   * <P>Sets the value of the attribute <code>reqLine1Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  void   setReqLine1Name( String o ) { reqLine1Name = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLine1Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  String getReqLine1Name() { return (reqLine1Name); }

  /**
   * <P>The attribute <code>reqPayeeAcctNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String reqPayeeAcctNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAcctNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setReqPayeeAcctNumber( String o ) { reqPayeeAcctNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAcctNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getReqPayeeAcctNumber() { return (reqPayeeAcctNumber); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqPayeeAddrTaddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqPayeeAddrTaddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTaddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqPayeeAddrTaddressLine1( String o ) { reqPayeeAddrTaddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTaddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqPayeeAddrTaddressLine1() { return (reqPayeeAddrTaddressLine1); }

  /**
   * <P>The attribute <code>reqPayeeAddrTaddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqPayeeAddrTaddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTaddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqPayeeAddrTaddressLine2( String o ) { reqPayeeAddrTaddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTaddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqPayeeAddrTaddressLine2() { return (reqPayeeAddrTaddressLine2); }

  /**
   * <P>The attribute <code>reqPayeeAddrTaddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqPayeeAddrTaddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTaddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqPayeeAddrTaddressLine3( String o ) { reqPayeeAddrTaddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTaddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqPayeeAddrTaddressLine3() { return (reqPayeeAddrTaddressLine3); }

  /**
   * <P>The attribute <code>reqPayeeAddrTcity</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqPayeeAddrTcity = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTcity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqPayeeAddrTcity( String o ) { reqPayeeAddrTcity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTcity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqPayeeAddrTcity() { return (reqPayeeAddrTcity); }

  /**
   * <P>The attribute <code>reqPayeeAddrTprovince</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqPayeeAddrTprovince = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTprovince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqPayeeAddrTprovince( String o ) { reqPayeeAddrTprovince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTprovince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqPayeeAddrTprovince() { return (reqPayeeAddrTprovince); }

  /**
   * <P>The attribute <code>reqPayeeAddrTstate</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqPayeeAddrTstate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTstate</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqPayeeAddrTstate( String o ) { reqPayeeAddrTstate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTstate</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqPayeeAddrTstate() { return (reqPayeeAddrTstate); }

  /**
   * <P>The attribute <code>reqPayeeAddrTcountry</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqPayeeAddrTcountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTcountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqPayeeAddrTcountry( String o ) { reqPayeeAddrTcountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTcountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqPayeeAddrTcountry() { return (reqPayeeAddrTcountry); }

  /**
   * <P>The attribute <code>reqPayeeAddrTzipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String reqPayeeAddrTzipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTzipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setReqPayeeAddrTzipCode( String o ) { reqPayeeAddrTzipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTzipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getReqPayeeAddrTzipCode() { return (reqPayeeAddrTzipCode); }

  /**
   * <P>The attribute <code>reqPayeeAddrTpostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPayeeAddrTpostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeAddrTpostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPayeeAddrTpostalCode( String o ) { reqPayeeAddrTpostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeAddrTpostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPayeeAddrTpostalCode() { return (reqPayeeAddrTpostalCode); }

  /**
   * <P>The attribute <code>reqDefaultAccountNumber</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqDefaultAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqDefaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqDefaultAccountNumber(GsAccount o )  { reqDefaultAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDefaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqDefaultAccountNumber() { return (reqDefaultAccountNumber); }

  /**
   * <P>The attribute <code>reqDefaultPaymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  private String reqDefaultPaymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>reqDefaultPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  void   setReqDefaultPaymentCategory( String o ) { reqDefaultPaymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDefaultPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  String getReqDefaultPaymentCategory() { return (reqDefaultPaymentCategory); }

  /**
   * <P>The attribute <code>reqDefaultPaymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  private String reqDefaultPaymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqDefaultPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  void   setReqDefaultPaymentMemo( String o ) { reqDefaultPaymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDefaultPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  String getReqDefaultPaymentMemo() { return (reqDefaultPaymentMemo); }

  /**
   * <P>The attribute <code>reqPayeeWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  private String reqPayeeWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  void   setReqPayeeWorkPhone( String o ) { reqPayeeWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  String getReqPayeeWorkPhone() { return (reqPayeeWorkPhone); }

  /**
   * <P>The attribute <code>reqPrivatePayeeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  private String reqPrivatePayeeFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrivatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  void   setReqPrivatePayeeFlag( String o ) { reqPrivatePayeeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrivatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  String getReqPrivatePayeeFlag() { return (reqPrivatePayeeFlag); }

  /**
   * <P>The attribute <code>reqPayeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  private String reqPayeeType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  void   setReqPayeeType( String o ) { reqPayeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  String getReqPayeeType() { return (reqPayeeType); }

  /**
   * <P>The attribute <code>reqBillerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String reqBillerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setReqBillerNumber( String o ) { reqBillerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getReqBillerNumber() { return (reqBillerNumber); }

  /**
   * <P>The attribute <code>reqBillerAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  private String reqBillerAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  void   setReqBillerAccountNumber( String o ) { reqBillerAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  String getReqBillerAccountNumber() { return (reqBillerAccountNumber); }

  /**
   * <P>The attribute <code>reqFIRoutingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  private String reqFIRoutingNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  void   setReqFIRoutingNumber( String o ) { reqFIRoutingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  String getReqFIRoutingNumber() { return (reqFIRoutingNumber); }

  /**
   * <P>The attribute <code>reqFINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.NckNmTg</code>.
   */
  private String reqFINickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.NckNmTg</code>.
   */
  public  void   setReqFINickname( String o ) { reqFINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.NckNmTg</code>.
   */
  public  String getReqFINickname() { return (reqFINickname); }

  /**
   * <P>The attribute <code>reqFILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.Line1NmTg</code>.
   */
  private String reqFILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqFILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.Line1NmTg</code>.
   */
  public  void   setReqFILine1( String o ) { reqFILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.FiNmTg.Line1NmTg</code>.
   */
  public  String getReqFILine1() { return (reqFILine1); }

  /**
   * <P>The attribute <code>reqTargetAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqTargetAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTargetAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqTargetAccount(GsAccount o )  { reqTargetAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTargetAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqTargetAccount() { return (reqTargetAccount); }

  /**
   * <P>The attribute <code>reqClearinghouseTypeID</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  private int  reqClearinghouseTypeID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  void setReqClearinghouseTypeID( int o ) { reqClearinghouseTypeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  int  getReqClearinghouseTypeID() { return (reqClearinghouseTypeID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.AddPayeeCfrmTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>payeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeCfrmTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String payeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setPayeeNumber( String o ) { payeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeCfrmTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getPayeeNumber() { return (payeeNumber); }

  /**
   * <P>The attribute <code>standardDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  private int  standardDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  void setStandardDeliveryTime( int o ) { standardDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  int  getStandardDeliveryTime() { return (standardDeliveryTime); }

  /**
   * <P>The attribute <code>expeditedDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  private int  expeditedDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  void setExpeditedDeliveryTime( int o ) { expeditedDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  int  getExpeditedDeliveryTime() { return (expeditedDeliveryTime); }

  /**
   * <P>The attribute <code>preNoteLeadTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  private int  preNoteLeadTime = 0;

  /**
   * <P>Sets the value of the attribute <code>preNoteLeadTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  public  void setPreNoteLeadTime( int o ) { preNoteLeadTime = o; }

  /**
   * <P>Gets the value of the attribute <code>preNoteLeadTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  public  int  getPreNoteLeadTime() { return (preNoteLeadTime); }

  /**
   * <P>The attribute <code>adjustedPayeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  private String adjustedPayeeType = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  public  void   setAdjustedPayeeType( String o ) { adjustedPayeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  public  String getAdjustedPayeeType() { return (adjustedPayeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   */
  public  String getAdjustedPayeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAdjPayeeTpClResources", locale, getAdjustedPayeeType() );
  }

  /**
   * <P>The attribute <code>adjustedPayeeName</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  private String adjustedPayeeName = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  public  void   setAdjustedPayeeName( String o ) { adjustedPayeeName = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  public  String getAdjustedPayeeName() { return (adjustedPayeeName); }

  /**
   * <P>The attribute <code>adjustedPaymentRemitName</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  private String adjustedPaymentRemitName = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPaymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  public  void   setAdjustedPaymentRemitName( String o ) { adjustedPaymentRemitName = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPaymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  public  String getAdjustedPaymentRemitName() { return (adjustedPaymentRemitName); }

  /**
   * <P>The attribute <code>billerNumberID</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String billerNumberID = null;

  /**
   * <P>Sets the value of the attribute <code>billerNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setBillerNumberID( String o ) { billerNumberID = o; }

  /**
   * <P>Gets the value of the attribute <code>billerNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getBillerNumberID() { return (billerNumberID); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddPriorityPaymentBeneficiary );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqNickname != null && reqNickname.length() > 30 )
      addArgToGMJI( reqNickname.substring(0,30));
    else
      addArgToGMJI( reqNickname ); 

    if( reqLine1Name != null && reqLine1Name.length() > 40 )
      addArgToGMJI( reqLine1Name.substring(0,40));
    else
      addArgToGMJI( reqLine1Name ); 

    if( reqPayeeAcctNumber != null && reqPayeeAcctNumber.length() > 30 )
      addArgToGMJI( reqPayeeAcctNumber.substring(0,30));
    else
      addArgToGMJI( reqPayeeAcctNumber ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqPayeeAddrTaddressLine1 != null && reqPayeeAddrTaddressLine1.length() > 40 )
      addArgToGMJI( reqPayeeAddrTaddressLine1.substring(0,40));
    else
      addArgToGMJI( reqPayeeAddrTaddressLine1 ); 

    if( reqPayeeAddrTaddressLine2 != null && reqPayeeAddrTaddressLine2.length() > 40 )
      addArgToGMJI( reqPayeeAddrTaddressLine2.substring(0,40));
    else
      addArgToGMJI( reqPayeeAddrTaddressLine2 ); 

    if( reqPayeeAddrTaddressLine3 != null && reqPayeeAddrTaddressLine3.length() > 40 )
      addArgToGMJI( reqPayeeAddrTaddressLine3.substring(0,40));
    else
      addArgToGMJI( reqPayeeAddrTaddressLine3 ); 

    if( reqPayeeAddrTcity != null && reqPayeeAddrTcity.length() > 30 )
      addArgToGMJI( reqPayeeAddrTcity.substring(0,30));
    else
      addArgToGMJI( reqPayeeAddrTcity ); 

    if( reqPayeeAddrTprovince != null && reqPayeeAddrTprovince.length() > 30 )
      addArgToGMJI( reqPayeeAddrTprovince.substring(0,30));
    else
      addArgToGMJI( reqPayeeAddrTprovince ); 

    if( reqPayeeAddrTstate != null && reqPayeeAddrTstate.length() > 2 )
      addArgToGMJI( reqPayeeAddrTstate.substring(0,2));
    else
      addArgToGMJI( reqPayeeAddrTstate ); 

    if( reqPayeeAddrTcountry != null && reqPayeeAddrTcountry.length() > 3 )
      addArgToGMJI( reqPayeeAddrTcountry.substring(0,3));
    else
      addArgToGMJI( reqPayeeAddrTcountry ); 

    if( reqPayeeAddrTzipCode != null && reqPayeeAddrTzipCode.length() > 9 )
      addArgToGMJI( reqPayeeAddrTzipCode.substring(0,9));
    else
      addArgToGMJI( reqPayeeAddrTzipCode ); 

    if( reqPayeeAddrTpostalCode != null && reqPayeeAddrTpostalCode.length() > 6 )
      addArgToGMJI( reqPayeeAddrTpostalCode.substring(0,6));
    else
      addArgToGMJI( reqPayeeAddrTpostalCode ); 
    GsAccount.addPropertiesToGMJI( reqDefaultAccountNumber, this );

    if( reqDefaultPaymentCategory != null && reqDefaultPaymentCategory.length() > 40 )
      addArgToGMJI( reqDefaultPaymentCategory.substring(0,40));
    else
      addArgToGMJI( reqDefaultPaymentCategory ); 

    if( reqDefaultPaymentMemo != null && reqDefaultPaymentMemo.length() > 40 )
      addArgToGMJI( reqDefaultPaymentMemo.substring(0,40));
    else
      addArgToGMJI( reqDefaultPaymentMemo ); 

    if( reqPayeeWorkPhone != null && reqPayeeWorkPhone.length() > 15 )
      addArgToGMJI( reqPayeeWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqPayeeWorkPhone ); 

    if( reqPrivatePayeeFlag != null && reqPrivatePayeeFlag.length() > 1 )
      addArgToGMJI( reqPrivatePayeeFlag.substring(0,1));
    else
      addArgToGMJI( reqPrivatePayeeFlag ); 

    if( reqPayeeType != null && reqPayeeType.length() > 1 )
      addArgToGMJI( reqPayeeType.substring(0,1));
    else
      addArgToGMJI( reqPayeeType ); 

    if( reqBillerNumber != null && reqBillerNumber.length() > 20 )
      addArgToGMJI( reqBillerNumber.substring(0,20));
    else
      addArgToGMJI( reqBillerNumber ); 

    if( reqBillerAccountNumber != null && reqBillerAccountNumber.length() > 30 )
      addArgToGMJI( reqBillerAccountNumber.substring(0,30));
    else
      addArgToGMJI( reqBillerAccountNumber ); 

    if( reqFIRoutingNumber != null && reqFIRoutingNumber.length() > 9 )
      addArgToGMJI( reqFIRoutingNumber.substring(0,9));
    else
      addArgToGMJI( reqFIRoutingNumber ); 

    if( reqFINickname != null && reqFINickname.length() > 30 )
      addArgToGMJI( reqFINickname.substring(0,30));
    else
      addArgToGMJI( reqFINickname ); 

    if( reqFILine1 != null && reqFILine1.length() > 40 )
      addArgToGMJI( reqFILine1.substring(0,40));
    else
      addArgToGMJI( reqFILine1 ); 
    GsAccount.addPropertiesToGMJI( reqTargetAccount, this );
    addArgToGMJI( reqClearinghouseTypeID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    payeeNumber = txn.getNextCharFromGMJO( 11, "payeeNumber" );
    standardDeliveryTime = txn.getNextLongFromGMJO( "standardDeliveryTime" );
    expeditedDeliveryTime = txn.getNextLongFromGMJO( "expeditedDeliveryTime" );
    preNoteLeadTime = txn.getNextLongFromGMJO( "preNoteLeadTime" );
    adjustedPayeeType = txn.getNextCharFromGMJO( 1, "adjustedPayeeType" );
    adjustedPayeeName = txn.getNextNlsCharFromGMJO( 40, "adjustedPayeeName" );
    adjustedPaymentRemitName = txn.getNextNlsCharFromGMJO( 40, "adjustedPaymentRemitName" );
    billerNumberID = txn.getNextCharFromGMJO( 20, "billerNumberID" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqNickname = " + getReqNickname() );
    pageWriter.println( prefix + "reqLine1Name = " + getReqLine1Name() );
    pageWriter.println( prefix + "reqPayeeAcctNumber = " + getReqPayeeAcctNumber() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqPayeeAddrTaddressLine1 = " + getReqPayeeAddrTaddressLine1() );
    pageWriter.println( prefix + "reqPayeeAddrTaddressLine2 = " + getReqPayeeAddrTaddressLine2() );
    pageWriter.println( prefix + "reqPayeeAddrTaddressLine3 = " + getReqPayeeAddrTaddressLine3() );
    pageWriter.println( prefix + "reqPayeeAddrTcity = " + getReqPayeeAddrTcity() );
    pageWriter.println( prefix + "reqPayeeAddrTprovince = " + getReqPayeeAddrTprovince() );
    pageWriter.println( prefix + "reqPayeeAddrTstate = " + getReqPayeeAddrTstate() );
    pageWriter.println( prefix + "reqPayeeAddrTcountry = " + getReqPayeeAddrTcountry() );
    pageWriter.println( prefix + "reqPayeeAddrTzipCode = " + getReqPayeeAddrTzipCode() );
    pageWriter.println( prefix + "reqPayeeAddrTpostalCode = " + getReqPayeeAddrTpostalCode() );

    pageWriter.println( prefix + "reqDefaultAccountNumber =" );
    if( reqDefaultAccountNumber == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDefaultAccountNumber.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqDefaultPaymentCategory = " + getReqDefaultPaymentCategory() );
    pageWriter.println( prefix + "reqDefaultPaymentMemo = " + getReqDefaultPaymentMemo() );
    pageWriter.println( prefix + "reqPayeeWorkPhone = " + getReqPayeeWorkPhone() );
    pageWriter.println( prefix + "reqPrivatePayeeFlag = " + getReqPrivatePayeeFlag() );
    pageWriter.println( prefix + "reqPayeeType = " + getReqPayeeType() );
    pageWriter.println( prefix + "reqBillerNumber = " + getReqBillerNumber() );
    pageWriter.println( prefix + "reqBillerAccountNumber = " + getReqBillerAccountNumber() );
    pageWriter.println( prefix + "reqFIRoutingNumber = " + getReqFIRoutingNumber() );
    pageWriter.println( prefix + "reqFINickname = " + getReqFINickname() );
    pageWriter.println( prefix + "reqFILine1 = " + getReqFILine1() );

    pageWriter.println( prefix + "reqTargetAccount =" );
    if( reqTargetAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTargetAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqClearinghouseTypeID = " + getReqClearinghouseTypeID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeNumber = " + getPayeeNumber() );
    pageWriter.println( prefix + "standardDeliveryTime = " + getStandardDeliveryTime() );
    pageWriter.println( prefix + "expeditedDeliveryTime = " + getExpeditedDeliveryTime() );
    pageWriter.println( prefix + "preNoteLeadTime = " + getPreNoteLeadTime() );
    pageWriter.println( prefix + "adjustedPayeeType = " + getAdjustedPayeeType() );
    try {
      pageWriter.println( prefix + "adjustedPayeeType_text = " + getAdjustedPayeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "adjustedPayeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "adjustedPayeeName = " + getAdjustedPayeeName() );
    pageWriter.println( prefix + "adjustedPaymentRemitName = " + getAdjustedPaymentRemitName() );
    pageWriter.println( prefix + "billerNumberID = " + getBillerNumberID() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqNickname = getCharFromURL( req, prefix + "reqNickname" );
    reqLine1Name = getCharFromURL( req, prefix + "reqLine1Name" );
    reqPayeeAcctNumber = getCharFromURL( req, prefix + "reqPayeeAcctNumber" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqPayeeAddrTaddressLine1 = getCharFromURL( req, prefix + "reqPayeeAddrTaddressLine1" );
    reqPayeeAddrTaddressLine2 = getCharFromURL( req, prefix + "reqPayeeAddrTaddressLine2" );
    reqPayeeAddrTaddressLine3 = getCharFromURL( req, prefix + "reqPayeeAddrTaddressLine3" );
    reqPayeeAddrTcity = getCharFromURL( req, prefix + "reqPayeeAddrTcity" );
    reqPayeeAddrTprovince = getCharFromURL( req, prefix + "reqPayeeAddrTprovince" );
    reqPayeeAddrTstate = getCharFromURL( req, prefix + "reqPayeeAddrTstate" );
    reqPayeeAddrTcountry = getCharFromURL( req, prefix + "reqPayeeAddrTcountry" );
    reqPayeeAddrTzipCode = getCharFromURL( req, prefix + "reqPayeeAddrTzipCode" );
    reqPayeeAddrTpostalCode = getCharFromURL( req, prefix + "reqPayeeAddrTpostalCode" );
    reqDefaultAccountNumber = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqDefaultAccountNumber", "GtAddPriorityPaymentBeneficiary" );
    reqDefaultPaymentCategory = getCharFromURL( req, prefix + "reqDefaultPaymentCategory" );
    reqDefaultPaymentMemo = getCharFromURL( req, prefix + "reqDefaultPaymentMemo" );
    reqPayeeWorkPhone = getCharFromURL( req, prefix + "reqPayeeWorkPhone" );
    reqPrivatePayeeFlag = getCharFromURL( req, prefix + "reqPrivatePayeeFlag" );
    reqPayeeType = getCharFromURL( req, prefix + "reqPayeeType" );
    reqBillerNumber = getCharFromURL( req, prefix + "reqBillerNumber" );
    reqBillerAccountNumber = getCharFromURL( req, prefix + "reqBillerAccountNumber" );
    reqFIRoutingNumber = getCharFromURL( req, prefix + "reqFIRoutingNumber" );
    reqFINickname = getCharFromURL( req, prefix + "reqFINickname" );
    reqFILine1 = getCharFromURL( req, prefix + "reqFILine1" );
    reqTargetAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqTargetAccount", "GtAddPriorityPaymentBeneficiary" );
    reqClearinghouseTypeID = getLongFromURL( req, prefix + "reqClearinghouseTypeID" );
  }
}
