//**********************************************
//
// FILE NAME: GtAddRegisterCategory.java
// TRANSACTION NAME: Add Register Category Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Register Category Transaction</B>
 * <P>IFS ID: <B>addrcat</B>
 * <P>
 * Add a new entry in the consumer's register category list. The response
 * back to the requestor will include a business response code and, if the
 * add was successful, an assigned Register Category Identifier.
 * <BR>
 * <P><B>ADD_RGSTR_CAT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_RGSTR_CAT_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_RGSTR_CAT_OMSG</B>
 */
public class GtAddRegisterCategory extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddRegisterCategory() { }
  public GtAddRegisterCategory( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "addrcat_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqRgstrCatNm</code> is an alias for the
   * standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatNmTg</code>.
   */
  private String reqRgstrCatNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatNm</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatNmTg</code>.
   */
  public  void   setReqRgstrCatNm( String o ) { reqRgstrCatNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatNm</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatNmTg</code>.
   */
  public  String getReqRgstrCatNm() { return (reqRgstrCatNm); }

  /**
   * <P>The attribute <code>reqRgstrCatTpCl</code> is an alias for the
   * standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTpClTg</code>.
   * <P>
   * Type of category: 0 = Expense 1 = Income
   */
  private int  reqRgstrCatTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTpClTg</code>.
   * <P>
   * Type of category: 0 = Expense 1 = Income
   */
  public  void setReqRgstrCatTpCl( int o ) { reqRgstrCatTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTpClTg</code>.
   * <P>
   * Type of category: 0 = Expense 1 = Income
   */
  public  int  getReqRgstrCatTpCl() { return (reqRgstrCatTpCl); }

  /**
   * <P>The attribute <code>reqRgstrCatTaxTpCl</code> is an alias for the
   * standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTaxTpClTg</code>.
   * <P>
   * Taxable category indicator: 0 = Non taxable 1 = taxable
   */
  private int  reqRgstrCatTaxTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatTaxTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTaxTpClTg</code>.
   * <P>
   * Taxable category indicator: 0 = Non taxable 1 = taxable
   */
  public  void setReqRgstrCatTaxTpCl( int o ) { reqRgstrCatTaxTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatTaxTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatTaxTpClTg</code>.
   * <P>
   * Taxable category indicator: 0 = Non taxable 1 = taxable
   */
  public  int  getReqRgstrCatTaxTpCl() { return (reqRgstrCatTaxTpCl); }

  /**
   * <P>The attribute <code>reqRgstrCatDesc</code> is an alias for the
   * standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatDescTg</code>.
   * <P>
   * Full descriptive text for the category.
   */
  private String reqRgstrCatDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatDesc</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatDescTg</code>.
   * <P>
   * Full descriptive text for the category.
   */
  public  void   setReqRgstrCatDesc( String o ) { reqRgstrCatDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatDesc</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatDescTg</code>.
   * <P>
   * Full descriptive text for the category.
   */
  public  String getReqRgstrCatDesc() { return (reqRgstrCatDesc); }

  /**
   * <P>The attribute <code>reqRgstrCatAltNm</code> is an alias for the
   * standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatAltNmTg</code>.
   */
  private String reqRgstrCatAltNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatAltNm</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatAltNmTg</code>.
   */
  public  void   setReqRgstrCatAltNm( String o ) { reqRgstrCatAltNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatAltNm</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrCatInptDtlsTg.RgstrCatAltNmTg</code>.
   */
  public  String getReqRgstrCatAltNm() { return (reqRgstrCatAltNm); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>rgstrCatNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrCatIdTg.RgstrCatNbrIdTg</code>.
   */
  private String rgstrCatNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>rgstrCatNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrCatIdTg.RgstrCatNbrIdTg</code>.
   */
  public  void   setRgstrCatNbrId( String o ) { rgstrCatNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrCatNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrCatIdTg.RgstrCatNbrIdTg</code>.
   */
  public  String getRgstrCatNbrId() { return (rgstrCatNbrId); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddRegisterCategory );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqRgstrCatNm != null && reqRgstrCatNm.length() > 40 )
      addArgToGMJI( reqRgstrCatNm.substring(0,40));
    else
      addArgToGMJI( reqRgstrCatNm ); 
    addArgToGMJI( reqRgstrCatTpCl ); 
    addArgToGMJI( reqRgstrCatTaxTpCl ); 

    if( reqRgstrCatDesc != null && reqRgstrCatDesc.length() > 80 )
      addArgToGMJI( reqRgstrCatDesc.substring(0,80));
    else
      addArgToGMJI( reqRgstrCatDesc ); 

    if( reqRgstrCatAltNm != null && reqRgstrCatAltNm.length() > 40 )
      addArgToGMJI( reqRgstrCatAltNm.substring(0,40));
    else
      addArgToGMJI( reqRgstrCatAltNm ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    rgstrCatNbrId = txn.getNextCharFromGMJO( 36, "rgstrCatNbrId" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqRgstrCatNm = " + getReqRgstrCatNm() );
    pageWriter.println( prefix + "reqRgstrCatTpCl = " + getReqRgstrCatTpCl() );
    pageWriter.println( prefix + "reqRgstrCatTaxTpCl = " + getReqRgstrCatTaxTpCl() );
    pageWriter.println( prefix + "reqRgstrCatDesc = " + getReqRgstrCatDesc() );
    pageWriter.println( prefix + "reqRgstrCatAltNm = " + getReqRgstrCatAltNm() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "rgstrCatNbrId = " + getRgstrCatNbrId() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqRgstrCatNm = getCharFromURL( req, prefix + "reqRgstrCatNm" );
    reqRgstrCatTpCl = getLongFromURL( req, prefix + "reqRgstrCatTpCl" );
    reqRgstrCatTaxTpCl = getLongFromURL( req, prefix + "reqRgstrCatTaxTpCl" );
    reqRgstrCatDesc = getCharFromURL( req, prefix + "reqRgstrCatDesc" );
    reqRgstrCatAltNm = getCharFromURL( req, prefix + "reqRgstrCatAltNm" );
  }
}
