//**********************************************
//
// FILE NAME: GtAddRegisterEntry.java
// TRANSACTION NAME: Add Registry Entry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Registry Entry Transaction</B>
 * <P>IFS ID: <B>addregen</B>
 * <P>
 * Add a new entry in the consumer's register. For each category
 * associated with the entry, the Gold message will contain the Register
 * Category Identifier and Category Amount. The response back to the
 * requestor will include a business response code and, if the add was
 * successful, an assigned Register Entry Identifier.
 * <BR>
 * <P><B>ADD_RGSTR_ENTR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_RGSTR_ENTR_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_RGSTR_ENTR_OMSG</B>
 */
public class GtAddRegisterEntry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddRegisterEntry() { }
  public GtAddRegisterEntry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "addregen_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqRgstrAcctDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * Which account's register this entry is to be added to.
   * <BR>
   */
  private GsAccount reqRgstrAcctDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * Which account's register this entry is to be added to.
   * <BR>
   */
  public  void      setReqRgstrAcctDtl(GsAccount o )  { reqRgstrAcctDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * Which account's register this entry is to be added to.
   * <BR>
   */
  public  GsAccount getReqRgstrAcctDtl() { return (reqRgstrAcctDtl); }

  /**
   * <P>The attribute <code>reqRgstEntrItemTpCl</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.RgstEntrItemTpClTg</code>.
   * <P>
   * Type must be '0' for consumer-entered entries, '1' for bank entry.
   */
  private int  reqRgstEntrItemTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRgstEntrItemTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstEntrItemTpClTg</code>.
   * <P>
   * Type must be '0' for consumer-entered entries, '1' for bank entry.
   */
  public  void setReqRgstEntrItemTpCl( int o ) { reqRgstEntrItemTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstEntrItemTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstEntrItemTpClTg</code>.
   * <P>
   * Type must be '0' for consumer-entered entries, '1' for bank entry.
   */
  public  int  getReqRgstEntrItemTpCl() { return (reqRgstEntrItemTpCl); }

  /**
   * <P>The attribute <code>reqChkSrlNbrId</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  private int  reqChkSrlNbrId = 0;

  /**
   * <P>Sets the value of the attribute <code>reqChkSrlNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  public  void setReqChkSrlNbrId( int o ) { reqChkSrlNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChkSrlNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  public  int  getReqChkSrlNbrId() { return (reqChkSrlNbrId); }

  /**
   * <P>The attribute <code>reqRgstrEntrIssuDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrIssuDtTg</code>.
   * <P>
   * Date the item was issued or entered into the register.
   * <BR>
   */
  private GsDate reqRgstrEntrIssuDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrIssuDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrIssuDtTg</code>.
   * <P>
   * Date the item was issued or entered into the register.
   * <BR>
   */
  public  void   setReqRgstrEntrIssuDt(GsDate o )  { reqRgstrEntrIssuDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrIssuDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrIssuDtTg</code>.
   * <P>
   * Date the item was issued or entered into the register.
   * <BR>
   */
  public  GsDate getReqRgstrEntrIssuDt() { return (reqRgstrEntrIssuDt); }

  /**
   * <P>The attribute <code>reqRgstrEntrAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrAmtTg</code>.
   * <BR>
   */
  private GsCurrency reqRgstrEntrAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrAmtTg</code>.
   * <BR>
   */
  public  void       setReqRgstrEntrAmt(GsCurrency o )  { reqRgstrEntrAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrDtlsTg.RgstrEntrAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getReqRgstrEntrAmt() { return (reqRgstrEntrAmt); }

  /**
   * <P>The attribute <code>reqTxnTpCl</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.TxnTpClTg</code>.
   * <P>
   * A code classifying Accounting Transactions based on their effect on
   * the account.
   */
  private String reqTxnTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.TxnTpClTg</code>.
   * <P>
   * A code classifying Accounting Transactions based on their effect on
   * the account.
   */
  public  void   setReqTxnTpCl( String o ) { reqTxnTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.TxnTpClTg</code>.
   * <P>
   * A code classifying Accounting Transactions based on their effect on
   * the account.
   */
  public  String getReqTxnTpCl() { return (reqTxnTpCl); }

  /**
   * <P>The attribute <code>reqTxnCodeCl</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.TxnCodeClTg</code>.
   * <P>
   * A code which identifies a classification of a transaction.
   */
  private String reqTxnCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.TxnCodeClTg</code>.
   * <P>
   * A code which identifies a classification of a transaction.
   */
  public  void   setReqTxnCodeCl( String o ) { reqTxnCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.TxnCodeClTg</code>.
   * <P>
   * A code which identifies a classification of a transaction.
   */
  public  String getReqTxnCodeCl() { return (reqTxnCodeCl); }

  /**
   * <P>The attribute <code>reqRgstrEntrDescTxt</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  private String reqRgstrEntrDescTxt = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrDescTxt</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  public  void   setReqRgstrEntrDescTxt( String o ) { reqRgstrEntrDescTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrDescTxt</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  public  String getReqRgstrEntrDescTxt() { return (reqRgstrEntrDescTxt); }

  /**
   * <P>The attribute <code>reqRgstrEntrMemoTxt</code> is an alias for the
   * standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrMemoTxtTg</code>.
   */
  private String reqRgstrEntrMemoTxt = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrMemoTxt</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrMemoTxtTg</code>.
   */
  public  void   setReqRgstrEntrMemoTxt( String o ) { reqRgstrEntrMemoTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrMemoTxt</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrDtlsTg.RgstrEntrMemoTxtTg</code>.
   */
  public  String getReqRgstrEntrMemoTxt() { return (reqRgstrEntrMemoTxt); }

  /**
   * <P>The attribute <code>reqRgstrEntrCatAlct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>RgstrCatAlctDtlsTg.RgstrEntrCatAlctTg</code>.
   * <P>
   * A repeating structure describing the categories and category amounts
   * associated with the register entry.
   * <BR>
   */
  private GsRgstrEntrCatAlct[] reqRgstrEntrCatAlct = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrCatAlct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrCatAlctDtlsTg.RgstrEntrCatAlctTg</code>.
   * <P>
   * A repeating structure describing the categories and category amounts
   * associated with the register entry.
   * <BR>
   */
  public  void                 setReqRgstrEntrCatAlct(GsRgstrEntrCatAlct[] o )  { reqRgstrEntrCatAlct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrCatAlct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrCatAlctDtlsTg.RgstrEntrCatAlctTg</code>.
   * <P>
   * A repeating structure describing the categories and category amounts
   * associated with the register entry.
   * <BR>
   */
  public  GsRgstrEntrCatAlct[] getReqRgstrEntrCatAlct() { return (reqRgstrEntrCatAlct); }

  private String reqRgstrEntrCatAlct_packed = null;
  public  void   setReqRgstrEntrCatAlct_packed(String o ) { reqRgstrEntrCatAlct_packed = o; }
  public  String getReqRgstrEntrCatAlct_packed() { return (reqRgstrEntrCatAlct_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>rgstrEntrNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrIdTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  private String rgstrEntrNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>rgstrEntrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrIdTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  public  void   setRgstrEntrNbrId( String o ) { rgstrEntrNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrEntrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrIdTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  public  String getRgstrEntrNbrId() { return (rgstrEntrNbrId); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddRegisterEntry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqRgstrAcctDtl, this );
    addArgToGMJI( reqRgstEntrItemTpCl ); 
    addArgToGMJI( reqChkSrlNbrId ); 
    GsDate.addPropertiesToGMJI( reqRgstrEntrIssuDt, this );
    GsCurrency.addPropertiesToGMJI( reqRgstrEntrAmt, this );

    if( reqTxnTpCl != null && reqTxnTpCl.length() > 3 )
      addArgToGMJI( reqTxnTpCl.substring(0,3));
    else
      addArgToGMJI( reqTxnTpCl ); 

    if( reqTxnCodeCl != null && reqTxnCodeCl.length() > 4 )
      addArgToGMJI( reqTxnCodeCl.substring(0,4));
    else
      addArgToGMJI( reqTxnCodeCl ); 

    if( reqRgstrEntrDescTxt != null && reqRgstrEntrDescTxt.length() > 90 )
      addArgToGMJI( reqRgstrEntrDescTxt.substring(0,90));
    else
      addArgToGMJI( reqRgstrEntrDescTxt ); 

    if( reqRgstrEntrMemoTxt != null && reqRgstrEntrMemoTxt.length() > 40 )
      addArgToGMJI( reqRgstrEntrMemoTxt.substring(0,40));
    else
      addArgToGMJI( reqRgstrEntrMemoTxt ); 
    if( reqRgstrEntrCatAlct != null )
    {
      reqRgstrEntrCatAlct_packed = GsRgstrEntrCatAlct.pack( reqRgstrEntrCatAlct );
      addArgToGMJI( reqRgstrEntrCatAlct_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    rgstrEntrNbrId = txn.getNextCharFromGMJO( 36, "rgstrEntrNbrId" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqRgstrAcctDtl =" );
    if( reqRgstrAcctDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqRgstrAcctDtl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqRgstEntrItemTpCl = " + getReqRgstEntrItemTpCl() );
    pageWriter.println( prefix + "reqChkSrlNbrId = " + getReqChkSrlNbrId() );

    pageWriter.println( prefix + "reqRgstrEntrIssuDt =" );
    if( reqRgstrEntrIssuDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqRgstrEntrIssuDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqRgstrEntrAmt =" );
    if( reqRgstrEntrAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqRgstrEntrAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTxnTpCl = " + getReqTxnTpCl() );
    pageWriter.println( prefix + "reqTxnCodeCl = " + getReqTxnCodeCl() );
    pageWriter.println( prefix + "reqRgstrEntrDescTxt = " + getReqRgstrEntrDescTxt() );
    pageWriter.println( prefix + "reqRgstrEntrMemoTxt = " + getReqRgstrEntrMemoTxt() );

    pageWriter.println( prefix + "reqRgstrEntrCatAlct =" );
    if( reqRgstrEntrCatAlct == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqRgstrEntrCatAlct.length; j++ )
      {
        pageWriter.println( prefix + "reqRgstrEntrCatAlct[" + j + "] =" );
        if( reqRgstrEntrCatAlct[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqRgstrEntrCatAlct[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqRgstrEntrCatAlct_packed = " + getReqRgstrEntrCatAlct_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "rgstrEntrNbrId = " + getRgstrEntrNbrId() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqRgstrAcctDtl = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqRgstrAcctDtl", "GtAddRegisterEntry" );
    reqRgstEntrItemTpCl = getLongFromURL( req, prefix + "reqRgstEntrItemTpCl" );
    reqChkSrlNbrId = getLongFromURL( req, prefix + "reqChkSrlNbrId" );
    reqRgstrEntrIssuDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqRgstrEntrIssuDt", "GtAddRegisterEntry" );
    reqRgstrEntrAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqRgstrEntrAmt", "GtAddRegisterEntry" );
    reqTxnTpCl = getCharFromURL( req, prefix + "reqTxnTpCl" );
    reqTxnCodeCl = getCharFromURL( req, prefix + "reqTxnCodeCl" );
    reqRgstrEntrDescTxt = getCharFromURL( req, prefix + "reqRgstrEntrDescTxt" );
    reqRgstrEntrMemoTxt = getCharFromURL( req, prefix + "reqRgstrEntrMemoTxt" );

    repeatCounter = getLongFromURL( req, prefix + "reqRgstrEntrCatAlct_repeatCounter" );
    reqRgstrEntrCatAlct = new GsRgstrEntrCatAlct[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqRgstrEntrCatAlct[ i ] = new GsRgstrEntrCatAlct(getIfsSession());
      reqRgstrEntrCatAlct[ i ].populateFromURL( txn, req, prefix + "reqRgstrEntrCatAlct_" + i + "_" );
    }
  }
}
