//**********************************************
//
// FILE NAME: GtAddSecondaryConsumer.java
// TRANSACTION NAME: Add Secondary Consumer Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Secondary Consumer Transaction</B>
 * <P>IFS ID: <B>addsecn</B>
 * <P>
 * Add a secondary consumer related to an existing primary consumer. This
 * transaction allows a primary consumer or consumer with 'secondary
 * consumer maintenance authority' (or CSR OBO) to add a secondary
 * consumer related to the primary consumer. The transaction enables an FI
 * to capture name, address, account/service/authorities and changeable
 * consumer ID data about the secondary consumer. A new row will appear in
 * the IFS consumer tables when they first logon or during an FI profile
 * synch (see DCR 489M.1 or .2 or .3).
 * <BR>
 * <P><B>ADD_SEC_CNSMR</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_SECN_CNSMR_IMSG</B>
 *            <P>
 *            When submitting an Add Secondary Consumer, the requestor
 *            should NOT fill in the following fields in
 *            IFS_CNSMR_PRFL_DTL as they will be completed by the FI or
 *            completed by the TDM during logon : CnsmrEffDtTg,
 *            CnsmrEndDtTg, NewMsgFTg, LastCnsmrSsnChrgTg, CnsmrIdTg in
 *            IFS_CNSMR_ID in IFS_CNSMR_PRFL_DTL. Also, the profile fields
 *            (Date of Last PIN Change, Date of Last Successful Logon and
 *            FI Consumer Status) should NOT be filled in by the requestor
 *            since they will be completed by the FI prior to the first
 *            logon. The following fields in IFS_CNSMR_PRFL_DTL should be
 *            filled in by the customizable web code since the FI should
 *            control what values are placed in these fields for a
 *            secondary consumer. Typically, the FI should want the values
 *            to come from the primary consumer's profile:
 *            CnsmrSignupSrcTg, FiEmpTpIndTg, CnsmrAddrDtlTg,
 *            SrvcChrgPinTg, CnsmrTpClTg, CnsmrMktSegTg, CnsmrDivisionTg,
 *            CnsmrLglNmTg, ChrgBasisTpClTg, DailyLmtAmtTg. The primary
 *            consumer should be prompted to complete the rest of the
 *            profile fields via the pages. PrimCnsmrIdTg in IFS_CNSMR_ID
 *            in IFS_CNSMR_PRFL_DTL should be set to the primary
 *            consumer's permanent consumer ID.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>PrimCnsmrIdDtlTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>PrimCnsmrIdDtlTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_SECN_CNSMR_OMSG</B>
 */
public class GtAddSecondaryConsumer extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddSecondaryConsumer() { }
  public GtAddSecondaryConsumer( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "addsecn_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqCnsmrTconsumerID</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   */
  private String reqCnsmrTconsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   */
  public  void   setReqCnsmrTconsumerID( String o ) { reqCnsmrTconsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   */
  public  String getReqCnsmrTconsumerID() { return (reqCnsmrTconsumerID); }

  /**
   * <P>The attribute <code>reqCnsmrTchangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   */
  private String reqCnsmrTchangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   */
  public  void   setReqCnsmrTchangeableConsumerID( String o ) { reqCnsmrTchangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   */
  public  String getReqCnsmrTchangeableConsumerID() { return (reqCnsmrTchangeableConsumerID); }

  /**
   * <P>The attribute <code>reqCnsmrTpermUserID</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   */
  private String reqCnsmrTpermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   */
  public  void   setReqCnsmrTpermUserID( String o ) { reqCnsmrTpermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   */
  public  String getReqCnsmrTpermUserID() { return (reqCnsmrTpermUserID); }

  /**
   * <P>The attribute <code>reqCnsmrTprimCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   */
  private String reqCnsmrTprimCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   */
  public  void   setReqCnsmrTprimCnsmrID( String o ) { reqCnsmrTprimCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   */
  public  String getReqCnsmrTprimCnsmrID() { return (reqCnsmrTprimCnsmrID); }

  /**
   * <P>The attribute <code>reqLastName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqLastName( String o ) { reqLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqLastName() { return (reqLastName); }

  /**
   * <P>The attribute <code>reqFirstName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqFirstName( String o ) { reqFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqFirstName() { return (reqFirstName); }

  /**
   * <P>The attribute <code>reqMiddleName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String reqMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setReqMiddleName( String o ) { reqMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getReqMiddleName() { return (reqMiddleName); }

  /**
   * <P>The attribute <code>reqSignupSource</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  private String reqSignupSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqSignupSource</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  void   setReqSignupSource( String o ) { reqSignupSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSignupSource</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  String getReqSignupSource() { return (reqSignupSource); }

  /**
   * <P>The attribute <code>reqFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   */
  private String reqFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   */
  public  void   setReqFaxNumber( String o ) { reqFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   */
  public  String getReqFaxNumber() { return (reqFaxNumber); }

  /**
   * <P>The attribute <code>reqSuffix</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String reqSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setReqSuffix( String o ) { reqSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getReqSuffix() { return (reqSuffix); }

  /**
   * <P>The attribute <code>reqFIEmploymentType</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  private String reqFIEmploymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  void   setReqFIEmploymentType( String o ) { reqFIEmploymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  String getReqFIEmploymentType() { return (reqFIEmploymentType); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqHomePhone</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  private String reqHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  void   setReqHomePhone( String o ) { reqHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  String getReqHomePhone() { return (reqHomePhone); }

  /**
   * <P>The attribute <code>reqWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  private String reqWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  void   setReqWorkPhone( String o ) { reqWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  String getReqWorkPhone() { return (reqWorkPhone); }

  /**
   * <P>The attribute <code>reqEffectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  private GsDate reqEffectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  public  void   setReqEffectiveDate(GsDate o )  { reqEffectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  public  GsDate getReqEffectiveDate() { return (reqEffectiveDate); }

  /**
   * <P>The attribute <code>reqEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  private GsDate reqEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  public  void   setReqEndDate(GsDate o )  { reqEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  public  GsDate getReqEndDate() { return (reqEndDate); }

  /**
   * <P>The attribute <code>reqNewMessageFlag</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  private String reqNewMessageFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  public  void   setReqNewMessageFlag( String o ) { reqNewMessageFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  public  String getReqNewMessageFlag() { return (reqNewMessageFlag); }

  /**
   * <P>The attribute <code>reqAccountDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  private GsAcctDtl[] reqAccountDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  public  void        setReqAccountDetail(GsAcctDtl[] o )  { reqAccountDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  public  GsAcctDtl[] getReqAccountDetail() { return (reqAccountDetail); }

  private String reqAccountDetail_packed = null;
  public  void   setReqAccountDetail_packed(String o ) { reqAccountDetail_packed = o; }
  public  String getReqAccountDetail_packed() { return (reqAccountDetail_packed); }


  /**
   * <P>The attribute <code>reqServiceChargePlan</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  private String reqServiceChargePlan = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  void   setReqServiceChargePlan( String o ) { reqServiceChargePlan = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  String getReqServiceChargePlan() { return (reqServiceChargePlan); }

  /**
   * <P>The attribute <code>reqConsumerType</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String reqConsumerType = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setReqConsumerType( String o ) { reqConsumerType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getReqConsumerType() { return (reqConsumerType); }

  /**
   * <P>The attribute <code>reqLastSessionTimestamp</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  private String reqLastSessionTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastSessionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  void   setReqLastSessionTimestamp( String o ) { reqLastSessionTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastSessionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  String getReqLastSessionTimestamp() { return (reqLastSessionTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqMarketSegment</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  private int  reqMarketSegment = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  void setReqMarketSegment( int o ) { reqMarketSegment = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  int  getReqMarketSegment() { return (reqMarketSegment); }

  /**
   * <P>The attribute <code>reqDivision</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  private int  reqDivision = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDivision</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  void setReqDivision( int o ) { reqDivision = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDivision</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  int  getReqDivision() { return (reqDivision); }

  /**
   * <P>The attribute <code>reqLegalName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  private String reqLegalName = null;

  /**
   * <P>Sets the value of the attribute <code>reqLegalName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  public  void   setReqLegalName( String o ) { reqLegalName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLegalName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  public  String getReqLegalName() { return (reqLegalName); }

  /**
   * <P>The attribute <code>reqSocialSecurityNumber</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   */
  private String reqSocialSecurityNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqSocialSecurityNumber</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   */
  public  void   setReqSocialSecurityNumber( String o ) { reqSocialSecurityNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSocialSecurityNumber</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   */
  public  String getReqSocialSecurityNumber() { return (reqSocialSecurityNumber); }

  /**
   * <P>The attribute <code>reqChargeBasisCode</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  private String reqChargeBasisCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqChargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  void   setReqChargeBasisCode( String o ) { reqChargeBasisCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  String getReqChargeBasisCode() { return (reqChargeBasisCode); }

  /**
   * <P>The attribute <code>reqDailyLimitAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  private GsCurrency reqDailyLimitAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqDailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  void       setReqDailyLimitAmount(GsCurrency o )  { reqDailyLimitAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  GsCurrency getReqDailyLimitAmount() { return (reqDailyLimitAmount); }

  /**
   * <P>The attribute <code>reqEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String reqEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setReqEmailAddress( String o ) { reqEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getReqEmailAddress() { return (reqEmailAddress); }

  /**
   * <P>The attribute <code>reqTaxType</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  private int  reqTaxType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTaxType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  public  void setReqTaxType( int o ) { reqTaxType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTaxType</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  public  int  getReqTaxType() { return (reqTaxType); }

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerageLastName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerageLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageLastName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerageLastName( String o ) { reqBrokerageLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageLastName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerageLastName() { return (reqBrokerageLastName); }

  /**
   * <P>The attribute <code>reqBrokerageFirstName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerageFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerageFirstName( String o ) { reqBrokerageFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerageFirstName() { return (reqBrokerageFirstName); }

  /**
   * <P>The attribute <code>reqBrokerageMiddleName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerageMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerageMiddleName( String o ) { reqBrokerageMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerageMiddleName() { return (reqBrokerageMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqBrokerageInvCat</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqBrokerageInvCat = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqBrokerageInvCat( int o ) { reqBrokerageInvCat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqBrokerageInvCat() { return (reqBrokerageInvCat); }

  /**
   * <P>The attribute <code>reqBrokerageEmail</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerageEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageEmail</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerageEmail( String o ) { reqBrokerageEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageEmail</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerageEmail() { return (reqBrokerageEmail); }

  /**
   * <P>The attribute <code>reqIfsInvAcctDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  private GsInvAcctDtl[] reqIfsInvAcctDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqIfsInvAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  public  void           setReqIfsInvAcctDtl(GsInvAcctDtl[] o )  { reqIfsInvAcctDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIfsInvAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  public  GsInvAcctDtl[] getReqIfsInvAcctDtl() { return (reqIfsInvAcctDtl); }

  private String reqIfsInvAcctDtl_packed = null;
  public  void   setReqIfsInvAcctDtl_packed(String o ) { reqIfsInvAcctDtl_packed = o; }
  public  String getReqIfsInvAcctDtl_packed() { return (reqIfsInvAcctDtl_packed); }


  /**
   * <P>The attribute <code>reqConsumerInformation</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  private GsCnsmrInfo[] reqConsumerInformation = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerInformation</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  public  void          setReqConsumerInformation(GsCnsmrInfo[] o )  { reqConsumerInformation = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerInformation</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  public  GsCnsmrInfo[] getReqConsumerInformation() { return (reqConsumerInformation); }

  private String reqConsumerInformation_packed = null;
  public  void   setReqConsumerInformation_packed(String o ) { reqConsumerInformation_packed = o; }
  public  String getReqConsumerInformation_packed() { return (reqConsumerInformation_packed); }


  /**
   * <P>The attribute <code>reqConsumerServiceProviderRules</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  private GsCnsmrSrvcProvdRules[] reqConsumerServiceProviderRules = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerServiceProviderRules</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  public  void                    setReqConsumerServiceProviderRules(GsCnsmrSrvcProvdRules[] o )  { reqConsumerServiceProviderRules = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerServiceProviderRules</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>SecnCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  public  GsCnsmrSrvcProvdRules[] getReqConsumerServiceProviderRules() { return (reqConsumerServiceProviderRules); }

  private String reqConsumerServiceProviderRules_packed = null;
  public  void   setReqConsumerServiceProviderRules_packed(String o ) { reqConsumerServiceProviderRules_packed = o; }
  public  String getReqConsumerServiceProviderRules_packed() { return (reqConsumerServiceProviderRules_packed); }


  /**
   * <P>The attribute <code>reqSecondaryConsumerMonthAuthorizationFlag</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  private int  reqSecondaryConsumerMonthAuthorizationFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecondaryConsumerMonthAuthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  void setReqSecondaryConsumerMonthAuthorizationFlag( int o ) { reqSecondaryConsumerMonthAuthorizationFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecondaryConsumerMonthAuthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  int  getReqSecondaryConsumerMonthAuthorizationFlag() { return (reqSecondaryConsumerMonthAuthorizationFlag); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqDtLastLogTmstpTTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  private String reqDtLastLogTmstpTTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqDtLastLogTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  void   setReqDtLastLogTmstpTTmstpVal( String o ) { reqDtLastLogTmstpTTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDtLastLogTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  String getReqDtLastLogTmstpTTmstpVal() { return (reqDtLastLogTmstpTTmstpVal); }

  /**
   * <P>The attribute <code>reqDtLastLogTmstpTGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  private int  reqDtLastLogTmstpTGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDtLastLogTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  void setReqDtLastLogTmstpTGmtOfstMinsVal( int o ) { reqDtLastLogTmstpTGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDtLastLogTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  int  getReqDtLastLogTmstpTGmtOfstMinsVal() { return (reqDtLastLogTmstpTGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqFIConsumerStatusTypeClass</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  private int  reqFIConsumerStatusTypeClass = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFIConsumerStatusTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  public  void setReqFIConsumerStatusTypeClass( int o ) { reqFIConsumerStatusTypeClass = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIConsumerStatusTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  public  int  getReqFIConsumerStatusTypeClass() { return (reqFIConsumerStatusTypeClass); }

  /**
   * <P>The attribute <code>reqBusinessName</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  private String reqBusinessName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusinessName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  void   setReqBusinessName( String o ) { reqBusinessName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusinessName</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  String getReqBusinessName() { return (reqBusinessName); }

  /**
   * <P>The attribute <code>reqBusinessIdTypeClass</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  private int  reqBusinessIdTypeClass = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBusinessIdTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  void setReqBusinessIdTypeClass( int o ) { reqBusinessIdTypeClass = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusinessIdTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  int  getReqBusinessIdTypeClass() { return (reqBusinessIdTypeClass); }

  /**
   * <P>The attribute <code>reqBusinessId</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  private String reqBusinessId = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusinessId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  void   setReqBusinessId( String o ) { reqBusinessId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusinessId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  String getReqBusinessId() { return (reqBusinessId); }

  /**
   * <P>The attribute <code>reqConsumerLastNameAlt</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqConsumerLastNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerLastNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqConsumerLastNameAlt( String o ) { reqConsumerLastNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerLastNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqConsumerLastNameAlt() { return (reqConsumerLastNameAlt); }

  /**
   * <P>The attribute <code>reqConsumerFirstNameAlt</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqConsumerFirstNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerFirstNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqConsumerFirstNameAlt( String o ) { reqConsumerFirstNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerFirstNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqConsumerFirstNameAlt() { return (reqConsumerFirstNameAlt); }

  /**
   * <P>The attribute <code>reqConsumerMiddleNameAlt</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqConsumerMiddleNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerMiddleNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqConsumerMiddleNameAlt( String o ) { reqConsumerMiddleNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerMiddleNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqConsumerMiddleNameAlt() { return (reqConsumerMiddleNameAlt); }

  /**
   * <P>The attribute <code>reqConsumerSuffixTypeAlt</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  private String reqConsumerSuffixTypeAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSuffixTypeAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  void   setReqConsumerSuffixTypeAlt( String o ) { reqConsumerSuffixTypeAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSuffixTypeAlt</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  String getReqConsumerSuffixTypeAlt() { return (reqConsumerSuffixTypeAlt); }

  /**
   * <P>The attribute <code>reqPswdId</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  private byte[] reqPswdId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  public  void   setReqPswdId( byte[] o ) { reqPswdId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  public  byte[] getReqPswdId() { return (reqPswdId); }

  /**
   * <P>The attribute <code>reqPswdEncryptTpCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPswdEncryptTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPswdEncryptTpCl( String o ) { reqPswdEncryptTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPswdEncryptTpCl() { return (reqPswdEncryptTpCl); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of new secondary consumer. This value is
   * assigned by the FI. If the add will actually take place offline, this
   * field may not be filled in by the FI at this time.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of new secondary consumer. This value is
   * assigned by the FI. If the add will actually take place offline, this
   * field may not be filled in by the FI at this time.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of new secondary consumer. This value is
   * assigned by the FI. If the add will actually take place offline, this
   * field may not be filled in by the FI at this time.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * Changeable Consumer ID of the secondary consumer.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * Changeable Consumer ID of the secondary consumer.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * Changeable Consumer ID of the secondary consumer.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddSecondaryConsumer );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqCnsmrTconsumerID != null && reqCnsmrTconsumerID.length() > 30 )
      addArgToGMJI( reqCnsmrTconsumerID.substring(0,30));
    else
      addArgToGMJI( reqCnsmrTconsumerID ); 

    if( reqCnsmrTchangeableConsumerID != null && reqCnsmrTchangeableConsumerID.length() > 30 )
      addArgToGMJI( reqCnsmrTchangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqCnsmrTchangeableConsumerID ); 

    if( reqCnsmrTpermUserID != null && reqCnsmrTpermUserID.length() > 57 )
      addArgToGMJI( reqCnsmrTpermUserID.substring(0,57));
    else
      addArgToGMJI( reqCnsmrTpermUserID ); 

    if( reqCnsmrTprimCnsmrID != null && reqCnsmrTprimCnsmrID.length() > 30 )
      addArgToGMJI( reqCnsmrTprimCnsmrID.substring(0,30));
    else
      addArgToGMJI( reqCnsmrTprimCnsmrID ); 

    if( reqLastName != null && reqLastName.length() > 30 )
      addArgToGMJI( reqLastName.substring(0,30));
    else
      addArgToGMJI( reqLastName ); 

    if( reqFirstName != null && reqFirstName.length() > 30 )
      addArgToGMJI( reqFirstName.substring(0,30));
    else
      addArgToGMJI( reqFirstName ); 

    if( reqMiddleName != null && reqMiddleName.length() > 20 )
      addArgToGMJI( reqMiddleName.substring(0,20));
    else
      addArgToGMJI( reqMiddleName ); 

    if( reqSignupSource != null && reqSignupSource.length() > 3 )
      addArgToGMJI( reqSignupSource.substring(0,3));
    else
      addArgToGMJI( reqSignupSource ); 

    if( reqFaxNumber != null && reqFaxNumber.length() > 15 )
      addArgToGMJI( reqFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqFaxNumber ); 

    if( reqSuffix != null && reqSuffix.length() > 8 )
      addArgToGMJI( reqSuffix.substring(0,8));
    else
      addArgToGMJI( reqSuffix ); 

    if( reqFIEmploymentType != null && reqFIEmploymentType.length() > 3 )
      addArgToGMJI( reqFIEmploymentType.substring(0,3));
    else
      addArgToGMJI( reqFIEmploymentType ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    if( reqHomePhone != null && reqHomePhone.length() > 15 )
      addArgToGMJI( reqHomePhone.substring(0,15));
    else
      addArgToGMJI( reqHomePhone ); 

    if( reqWorkPhone != null && reqWorkPhone.length() > 15 )
      addArgToGMJI( reqWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqWorkPhone ); 
    GsDate.addPropertiesToGMJI( reqEffectiveDate, this );
    GsDate.addPropertiesToGMJI( reqEndDate, this );

    if( reqNewMessageFlag != null && reqNewMessageFlag.length() > 1 )
      addArgToGMJI( reqNewMessageFlag.substring(0,1));
    else
      addArgToGMJI( reqNewMessageFlag ); 
    if( reqAccountDetail != null )
    {
      reqAccountDetail_packed = GsAcctDtl.pack( reqAccountDetail );
      addArgToGMJI( reqAccountDetail_packed );
    } else {
      addArgToGMJI();
    }

    if( reqServiceChargePlan != null && reqServiceChargePlan.length() > 1 )
      addArgToGMJI( reqServiceChargePlan.substring(0,1));
    else
      addArgToGMJI( reqServiceChargePlan ); 

    if( reqConsumerType != null && reqConsumerType.length() > 1 )
      addArgToGMJI( reqConsumerType.substring(0,1));
    else
      addArgToGMJI( reqConsumerType ); 

    if( reqLastSessionTimestamp != null && reqLastSessionTimestamp.length() > 26 )
      addArgToGMJI( reqLastSessionTimestamp.substring(0,26));
    else
      addArgToGMJI( reqLastSessionTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 
    addArgToGMJI( reqMarketSegment ); 
    addArgToGMJI( reqDivision ); 

    if( reqLegalName != null && reqLegalName.length() > 64 )
      addArgToGMJI( reqLegalName.substring(0,64));
    else
      addArgToGMJI( reqLegalName ); 

    if( reqSocialSecurityNumber != null && reqSocialSecurityNumber.length() > 9 )
      addArgToGMJI( reqSocialSecurityNumber.substring(0,9));
    else
      addArgToGMJI( reqSocialSecurityNumber ); 

    if( reqChargeBasisCode != null && reqChargeBasisCode.length() > 1 )
      addArgToGMJI( reqChargeBasisCode.substring(0,1));
    else
      addArgToGMJI( reqChargeBasisCode ); 
    GsCurrency.addPropertiesToGMJI( reqDailyLimitAmount, this );

    if( reqEmailAddress != null && reqEmailAddress.length() > 128 )
      addArgToGMJI( reqEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqEmailAddress ); 
    addArgToGMJI( reqTaxType ); 

    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerageLastName != null && reqBrokerageLastName.length() > 30 )
      addArgToGMJI( reqBrokerageLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerageLastName ); 

    if( reqBrokerageFirstName != null && reqBrokerageFirstName.length() > 30 )
      addArgToGMJI( reqBrokerageFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerageFirstName ); 

    if( reqBrokerageMiddleName != null && reqBrokerageMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerageMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerageMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqBrokerageInvCat ); 

    if( reqBrokerageEmail != null && reqBrokerageEmail.length() > 128 )
      addArgToGMJI( reqBrokerageEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerageEmail ); 
    if( reqIfsInvAcctDtl != null )
    {
      reqIfsInvAcctDtl_packed = GsInvAcctDtl.pack( reqIfsInvAcctDtl );
      addArgToGMJI( reqIfsInvAcctDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqConsumerInformation != null )
    {
      reqConsumerInformation_packed = GsCnsmrInfo.pack( reqConsumerInformation );
      addArgToGMJI( reqConsumerInformation_packed );
    } else {
      addArgToGMJI();
    }
    if( reqConsumerServiceProviderRules != null )
    {
      reqConsumerServiceProviderRules_packed = GsCnsmrSrvcProvdRules.pack( reqConsumerServiceProviderRules );
      addArgToGMJI( reqConsumerServiceProviderRules_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqSecondaryConsumerMonthAuthorizationFlag ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    if( reqDtLastLogTmstpTTmstpVal != null && reqDtLastLogTmstpTTmstpVal.length() > 26 )
      addArgToGMJI( reqDtLastLogTmstpTTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqDtLastLogTmstpTTmstpVal ); 
    addArgToGMJI( reqDtLastLogTmstpTGmtOfstMinsVal ); 
    addArgToGMJI( reqFIConsumerStatusTypeClass ); 
    addArgToGMJI( reqBusinessName ); 
    addArgToGMJI( reqBusinessIdTypeClass ); 

    if( reqBusinessId != null && reqBusinessId.length() > 20 )
      addArgToGMJI( reqBusinessId.substring(0,20));
    else
      addArgToGMJI( reqBusinessId ); 

    if( reqConsumerLastNameAlt != null && reqConsumerLastNameAlt.length() > 30 )
      addArgToGMJI( reqConsumerLastNameAlt.substring(0,30));
    else
      addArgToGMJI( reqConsumerLastNameAlt ); 

    if( reqConsumerFirstNameAlt != null && reqConsumerFirstNameAlt.length() > 30 )
      addArgToGMJI( reqConsumerFirstNameAlt.substring(0,30));
    else
      addArgToGMJI( reqConsumerFirstNameAlt ); 

    if( reqConsumerMiddleNameAlt != null && reqConsumerMiddleNameAlt.length() > 20 )
      addArgToGMJI( reqConsumerMiddleNameAlt.substring(0,20));
    else
      addArgToGMJI( reqConsumerMiddleNameAlt ); 

    if( reqConsumerSuffixTypeAlt != null && reqConsumerSuffixTypeAlt.length() > 8 )
      addArgToGMJI( reqConsumerSuffixTypeAlt.substring(0,8));
    else
      addArgToGMJI( reqConsumerSuffixTypeAlt ); 
    addArgToGMJI( reqPswdId ); 

    if( reqPswdEncryptTpCl != null && reqPswdEncryptTpCl.length() > 1 )
      addArgToGMJI( reqPswdEncryptTpCl.substring(0,1));
    else
      addArgToGMJI( reqPswdEncryptTpCl ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqCnsmrTconsumerID = " + getReqCnsmrTconsumerID() );
    pageWriter.println( prefix + "reqCnsmrTchangeableConsumerID = " + getReqCnsmrTchangeableConsumerID() );
    pageWriter.println( prefix + "reqCnsmrTpermUserID = " + getReqCnsmrTpermUserID() );
    pageWriter.println( prefix + "reqCnsmrTprimCnsmrID = " + getReqCnsmrTprimCnsmrID() );
    pageWriter.println( prefix + "reqLastName = " + getReqLastName() );
    pageWriter.println( prefix + "reqFirstName = " + getReqFirstName() );
    pageWriter.println( prefix + "reqMiddleName = " + getReqMiddleName() );
    pageWriter.println( prefix + "reqSignupSource = " + getReqSignupSource() );
    pageWriter.println( prefix + "reqFaxNumber = " + getReqFaxNumber() );
    pageWriter.println( prefix + "reqSuffix = " + getReqSuffix() );
    pageWriter.println( prefix + "reqFIEmploymentType = " + getReqFIEmploymentType() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "reqHomePhone = " + getReqHomePhone() );
    pageWriter.println( prefix + "reqWorkPhone = " + getReqWorkPhone() );

    pageWriter.println( prefix + "reqEffectiveDate =" );
    if( reqEffectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDate =" );
    if( reqEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqNewMessageFlag = " + getReqNewMessageFlag() );

    pageWriter.println( prefix + "reqAccountDetail =" );
    if( reqAccountDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqAccountDetail.length; j++ )
      {
        pageWriter.println( prefix + "reqAccountDetail[" + j + "] =" );
        if( reqAccountDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqAccountDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAccountDetail_packed = " + getReqAccountDetail_packed() );
    pageWriter.println( prefix + "reqServiceChargePlan = " + getReqServiceChargePlan() );
    pageWriter.println( prefix + "reqConsumerType = " + getReqConsumerType() );
    pageWriter.println( prefix + "reqLastSessionTimestamp = " + getReqLastSessionTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqMarketSegment = " + getReqMarketSegment() );
    pageWriter.println( prefix + "reqDivision = " + getReqDivision() );
    pageWriter.println( prefix + "reqLegalName = " + getReqLegalName() );
    pageWriter.println( prefix + "reqSocialSecurityNumber = " + getReqSocialSecurityNumber() );
    pageWriter.println( prefix + "reqChargeBasisCode = " + getReqChargeBasisCode() );

    pageWriter.println( prefix + "reqDailyLimitAmount =" );
    if( reqDailyLimitAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDailyLimitAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqEmailAddress = " + getReqEmailAddress() );
    pageWriter.println( prefix + "reqTaxType = " + getReqTaxType() );
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerageLastName = " + getReqBrokerageLastName() );
    pageWriter.println( prefix + "reqBrokerageFirstName = " + getReqBrokerageFirstName() );
    pageWriter.println( prefix + "reqBrokerageMiddleName = " + getReqBrokerageMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqBrokerageInvCat = " + getReqBrokerageInvCat() );
    pageWriter.println( prefix + "reqBrokerageEmail = " + getReqBrokerageEmail() );

    pageWriter.println( prefix + "reqIfsInvAcctDtl =" );
    if( reqIfsInvAcctDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqIfsInvAcctDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqIfsInvAcctDtl[" + j + "] =" );
        if( reqIfsInvAcctDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqIfsInvAcctDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIfsInvAcctDtl_packed = " + getReqIfsInvAcctDtl_packed() );

    pageWriter.println( prefix + "reqConsumerInformation =" );
    if( reqConsumerInformation == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqConsumerInformation.length; j++ )
      {
        pageWriter.println( prefix + "reqConsumerInformation[" + j + "] =" );
        if( reqConsumerInformation[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqConsumerInformation[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqConsumerInformation_packed = " + getReqConsumerInformation_packed() );

    pageWriter.println( prefix + "reqConsumerServiceProviderRules =" );
    if( reqConsumerServiceProviderRules == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqConsumerServiceProviderRules.length; j++ )
      {
        pageWriter.println( prefix + "reqConsumerServiceProviderRules[" + j + "] =" );
        if( reqConsumerServiceProviderRules[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqConsumerServiceProviderRules[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqConsumerServiceProviderRules_packed = " + getReqConsumerServiceProviderRules_packed() );
    pageWriter.println( prefix + "reqSecondaryConsumerMonthAuthorizationFlag = " + getReqSecondaryConsumerMonthAuthorizationFlag() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqDtLastLogTmstpTTmstpVal = " + getReqDtLastLogTmstpTTmstpVal() );
    pageWriter.println( prefix + "reqDtLastLogTmstpTGmtOfstMinsVal = " + getReqDtLastLogTmstpTGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqFIConsumerStatusTypeClass = " + getReqFIConsumerStatusTypeClass() );
    pageWriter.println( prefix + "reqBusinessName = " + getReqBusinessName() );
    pageWriter.println( prefix + "reqBusinessIdTypeClass = " + getReqBusinessIdTypeClass() );
    pageWriter.println( prefix + "reqBusinessId = " + getReqBusinessId() );
    pageWriter.println( prefix + "reqConsumerLastNameAlt = " + getReqConsumerLastNameAlt() );
    pageWriter.println( prefix + "reqConsumerFirstNameAlt = " + getReqConsumerFirstNameAlt() );
    pageWriter.println( prefix + "reqConsumerMiddleNameAlt = " + getReqConsumerMiddleNameAlt() );
    pageWriter.println( prefix + "reqConsumerSuffixTypeAlt = " + getReqConsumerSuffixTypeAlt() );
    pageWriter.println( prefix + "reqPswdId = " + getReqPswdId() );
    pageWriter.println( prefix + "reqPswdEncryptTpCl = " + getReqPswdEncryptTpCl() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqCnsmrTconsumerID = getCharFromURL( req, prefix + "reqCnsmrTconsumerID" );
    reqCnsmrTchangeableConsumerID = getCharFromURL( req, prefix + "reqCnsmrTchangeableConsumerID" );
    reqCnsmrTpermUserID = getCharFromURL( req, prefix + "reqCnsmrTpermUserID" );
    reqCnsmrTprimCnsmrID = getCharFromURL( req, prefix + "reqCnsmrTprimCnsmrID" );
    reqLastName = getCharFromURL( req, prefix + "reqLastName" );
    reqFirstName = getCharFromURL( req, prefix + "reqFirstName" );
    reqMiddleName = getCharFromURL( req, prefix + "reqMiddleName" );
    reqSignupSource = getCharFromURL( req, prefix + "reqSignupSource" );
    reqFaxNumber = getCharFromURL( req, prefix + "reqFaxNumber" );
    reqSuffix = getCharFromURL( req, prefix + "reqSuffix" );
    reqFIEmploymentType = getCharFromURL( req, prefix + "reqFIEmploymentType" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqHomePhone = getCharFromURL( req, prefix + "reqHomePhone" );
    reqWorkPhone = getCharFromURL( req, prefix + "reqWorkPhone" );
    reqEffectiveDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffectiveDate", "GtAddSecondaryConsumer" );
    reqEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDate", "GtAddSecondaryConsumer" );
    reqNewMessageFlag = getCharFromURL( req, prefix + "reqNewMessageFlag" );

    repeatCounter = getLongFromURL( req, prefix + "reqAccountDetail_repeatCounter" );
    reqAccountDetail = new GsAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqAccountDetail[ i ] = new GsAcctDtl(getIfsSession());
      reqAccountDetail[ i ].populateFromURL( txn, req, prefix + "reqAccountDetail_" + i + "_" );
    }
    reqServiceChargePlan = getCharFromURL( req, prefix + "reqServiceChargePlan" );
    reqConsumerType = getCharFromURL( req, prefix + "reqConsumerType" );
    reqLastSessionTimestamp = getCharFromURL( req, prefix + "reqLastSessionTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );
    reqMarketSegment = getLongFromURL( req, prefix + "reqMarketSegment" );
    reqDivision = getLongFromURL( req, prefix + "reqDivision" );
    reqLegalName = getCharFromURL( req, prefix + "reqLegalName" );
    reqSocialSecurityNumber = getCharFromURL( req, prefix + "reqSocialSecurityNumber" );
    reqChargeBasisCode = getCharFromURL( req, prefix + "reqChargeBasisCode" );
    reqDailyLimitAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqDailyLimitAmount", "GtAddSecondaryConsumer" );
    reqEmailAddress = getCharFromURL( req, prefix + "reqEmailAddress" );
    reqTaxType = getLongFromURL( req, prefix + "reqTaxType" );
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerageLastName = getCharFromURL( req, prefix + "reqBrokerageLastName" );
    reqBrokerageFirstName = getCharFromURL( req, prefix + "reqBrokerageFirstName" );
    reqBrokerageMiddleName = getCharFromURL( req, prefix + "reqBrokerageMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqBrokerageInvCat = getLongFromURL( req, prefix + "reqBrokerageInvCat" );
    reqBrokerageEmail = getCharFromURL( req, prefix + "reqBrokerageEmail" );

    repeatCounter = getLongFromURL( req, prefix + "reqIfsInvAcctDtl_repeatCounter" );
    reqIfsInvAcctDtl = new GsInvAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqIfsInvAcctDtl[ i ] = new GsInvAcctDtl(getIfsSession());
      reqIfsInvAcctDtl[ i ].populateFromURL( txn, req, prefix + "reqIfsInvAcctDtl_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqConsumerInformation_repeatCounter" );
    reqConsumerInformation = new GsCnsmrInfo[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqConsumerInformation[ i ] = new GsCnsmrInfo(getIfsSession());
      reqConsumerInformation[ i ].populateFromURL( txn, req, prefix + "reqConsumerInformation_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqConsumerServiceProviderRules_repeatCounter" );
    reqConsumerServiceProviderRules = new GsCnsmrSrvcProvdRules[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqConsumerServiceProviderRules[ i ] = new GsCnsmrSrvcProvdRules(getIfsSession());
      reqConsumerServiceProviderRules[ i ].populateFromURL( txn, req, prefix + "reqConsumerServiceProviderRules_" + i + "_" );
    }
    reqSecondaryConsumerMonthAuthorizationFlag = getLongFromURL( req, prefix + "reqSecondaryConsumerMonthAuthorizationFlag" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
    reqDtLastLogTmstpTTmstpVal = getCharFromURL( req, prefix + "reqDtLastLogTmstpTTmstpVal" );
    reqDtLastLogTmstpTGmtOfstMinsVal = getLongFromURL( req, prefix + "reqDtLastLogTmstpTGmtOfstMinsVal" );
    reqFIConsumerStatusTypeClass = getLongFromURL( req, prefix + "reqFIConsumerStatusTypeClass" );
    reqBusinessName = getCharFromURL( req, prefix + "reqBusinessName" );
    reqBusinessIdTypeClass = getLongFromURL( req, prefix + "reqBusinessIdTypeClass" );
    reqBusinessId = getCharFromURL( req, prefix + "reqBusinessId" );
    reqConsumerLastNameAlt = getCharFromURL( req, prefix + "reqConsumerLastNameAlt" );
    reqConsumerFirstNameAlt = getCharFromURL( req, prefix + "reqConsumerFirstNameAlt" );
    reqConsumerMiddleNameAlt = getCharFromURL( req, prefix + "reqConsumerMiddleNameAlt" );
    reqConsumerSuffixTypeAlt = getCharFromURL( req, prefix + "reqConsumerSuffixTypeAlt" );
    reqPswdId = getBinaryFromURL( req, prefix + "reqPswdId" );
    reqPswdEncryptTpCl = getCharFromURL( req, prefix + "reqPswdEncryptTpCl" );
  }
}
