//**********************************************
//
// FILE NAME: GtAddVariablePayment.java
// TRANSACTION NAME: Add Variable Amount Single Payment Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Variable Amount Single Payment Transaction</B>
 * <P>IFS ID: <B>avarpymt</B>
 * <P>
 * Payments refer to the actual sending of funds to a Payee or
 * Destination. To process a Payment, the Financial Institution or Bill
 * Pay Engine needs to have Payee information and Payment definition
 * information. A Payment Definition may result in a single payment
 * instance or multiple payment instances (in the case of a recurring
 * Payment Definition). This transaction allows a consumer define a Single
 * Payment Definition. The Single Payment Definition includes information
 * such as the Funding Account, the Payee identifier, Payment Amount, and
 * Payment Date. When the definition is added a single payment instance is
 * created with a pending (i.e scheduled) status.
 * <BR>
 * <P><B>ADD_VAR_PYMT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_VAR_PYMT_IMSG</B>
 *            <P>
 *            This message allows a consumer to add a single payment where
 *            the consumer specifies the payment amount, payment date,
 *            payee identifier and funding account details.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_VAR_PYMT_OMSG</B>
 *            <P>
 *            This message is sent to the consumer and indicates if the
 *            addition was successful. If the Single Payment addition was
 *            successful then this message will also contain a Payment
 *            Definition Identifier and Service Provider Reference Number.
 *            Some payment engines do not actually create a payment
 *            definition for a single payment but instead only create a
 *            pending payment instance. For these engines, the Payment
 *            Definition Identifier and Payment Identifier of a single
 *            payment are the same value and can be used interchangeably.
 */
public class GtAddVariablePayment extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddVariablePayment() { }
  public GtAddVariablePayment( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "avarpymt_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqPayeeNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  private String reqPayeeNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  void   setReqPayeeNickname( String o ) { reqPayeeNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  String getReqPayeeNickname() { return (reqPayeeNickname); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqPaymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String reqPaymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setReqPaymentNickname( String o ) { reqPaymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getReqPaymentNickname() { return (reqPaymentNickname); }

  /**
   * <P>The attribute <code>reqPaymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  private String reqPaymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  void   setReqPaymentCategory( String o ) { reqPaymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  String getReqPaymentCategory() { return (reqPaymentCategory); }

  /**
   * <P>The attribute <code>reqPaymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  private String reqPaymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  void   setReqPaymentMemo( String o ) { reqPaymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  String getReqPaymentMemo() { return (reqPaymentMemo); }

  /**
   * <P>The attribute <code>reqPaymentText</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtTxTg</code>.
   * <P>
   * A detailed freeform commentary relating to the Payment, entered by
   * the consumer. For example, a Recurring Payment which occurs monthly
   * may have a Payment Note of 'This is the second car loan that I have
   * had with this bank, and it has allowed me to upgrade my car from a
   * Ford Capri to a Lincoln Continental'.
   */
  private String reqPaymentText = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtTxTg</code>.
   * <P>
   * A detailed freeform commentary relating to the Payment, entered by
   * the consumer. For example, a Recurring Payment which occurs monthly
   * may have a Payment Note of 'This is the second car loan that I have
   * had with this bank, and it has allowed me to upgrade my car from a
   * Ford Capri to a Lincoln Continental'.
   */
  public  void   setReqPaymentText( String o ) { reqPaymentText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtTxTg</code>.
   * <P>
   * A detailed freeform commentary relating to the Payment, entered by
   * the consumer. For example, a Recurring Payment which occurs monthly
   * may have a Payment Note of 'This is the second car loan that I have
   * had with this bank, and it has allowed me to upgrade my car from a
   * Ford Capri to a Lincoln Continental'.
   */
  public  String getReqPaymentText() { return (reqPaymentText); }

  /**
   * <P>The attribute <code>reqPaymentExplanationRequest</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtExpRqstTg</code>.
   * <P>
   * A code, indicating whether or not the Consumer wishes to classify the
   * payment as a priority or expedited payment. If the payment is
   * classified as an expedited payment (the Expedite Payment Request has
   * a value of 'Y') it will be transmitted to the Payee in the Expedited
   * Delivery Time (as opposed to the Standard Delivery Time) using the
   * Expedited Delivery Method for that Payee.
   */
  private String reqPaymentExplanationRequest = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentExplanationRequest</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtExpRqstTg</code>.
   * <P>
   * A code, indicating whether or not the Consumer wishes to classify the
   * payment as a priority or expedited payment. If the payment is
   * classified as an expedited payment (the Expedite Payment Request has
   * a value of 'Y') it will be transmitted to the Payee in the Expedited
   * Delivery Time (as opposed to the Standard Delivery Time) using the
   * Expedited Delivery Method for that Payee.
   */
  public  void   setReqPaymentExplanationRequest( String o ) { reqPaymentExplanationRequest = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentExplanationRequest</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtExpRqstTg</code>.
   * <P>
   * A code, indicating whether or not the Consumer wishes to classify the
   * payment as a priority or expedited payment. If the payment is
   * classified as an expedited payment (the Expedite Payment Request has
   * a value of 'Y') it will be transmitted to the Payee in the Expedited
   * Delivery Time (as opposed to the Standard Delivery Time) using the
   * Expedited Delivery Method for that Payee.
   */
  public  String getReqPaymentExplanationRequest() { return (reqPaymentExplanationRequest); }

  /**
   * <P>The attribute <code>reqPaymentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  private GsCurrency reqPaymentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  public  void       setReqPaymentAmount(GsCurrency o )  { reqPaymentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmount() { return (reqPaymentAmount); }

  /**
   * <P>The attribute <code>reqPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  private GsDate reqPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  void   setReqPaymentDate(GsDate o )  { reqPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  GsDate getReqPaymentDate() { return (reqPaymentDate); }

  /**
   * <P>The attribute <code>reqDuplChkOvrdFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  private String reqDuplChkOvrdFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqDuplChkOvrdFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  public  void   setReqDuplChkOvrdFlag( String o ) { reqDuplChkOvrdFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDuplChkOvrdFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.PymtBascDtlTg.PymtDuplChkOvrdFTg</code>.
   * <P>
   * A flag which indicates whether the Payment Duplicate Check Flag
   * should be overridden.
   */
  public  String getReqDuplChkOvrdFlag() { return (reqDuplChkOvrdFlag); }

  /**
   * <P>The attribute <code>reqInvoiceID</code> is an alias for the
   * standard message simple element
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  private String reqInvoiceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  public  void   setReqInvoiceID( String o ) { reqInvoiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  public  String getReqInvoiceID() { return (reqInvoiceID); }

  /**
   * <P>The attribute <code>reqInvoiceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  private GsCurrency reqInvoiceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  public  void       setReqInvoiceAmount(GsCurrency o )  { reqInvoiceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  public  GsCurrency getReqInvoiceAmount() { return (reqInvoiceAmount); }

  /**
   * <P>The attribute <code>reqInvoiceDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  private GsDate reqInvoiceDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  void   setReqInvoiceDate(GsDate o )  { reqInvoiceDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  GsDate getReqInvoiceDate() { return (reqInvoiceDate); }

  /**
   * <P>The attribute <code>reqInvoiceDiscountPercent</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  private GsDecimal reqInvoiceDiscountPercent = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  public  void      setReqInvoiceDiscountPercent(GsDecimal o )  { reqInvoiceDiscountPercent = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSnglPymtDtlTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  public  GsDecimal getReqInvoiceDiscountPercent() { return (reqInvoiceDiscountPercent); }

  /**
   * <P>The attribute <code>reqPaidInvoiceDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPaidInvLstTg.PaidInvDtlTg</code>.
   * <P>
   * Structure identifying an invoice or a line item from an invoice
   * related to the payment.
   * <BR>
   */
  private GsPaidInvDtl[] reqPaidInvoiceDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaidInvoiceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPaidInvLstTg.PaidInvDtlTg</code>.
   * <P>
   * Structure identifying an invoice or a line item from an invoice
   * related to the payment.
   * <BR>
   */
  public  void           setReqPaidInvoiceDetail(GsPaidInvDtl[] o )  { reqPaidInvoiceDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaidInvoiceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPaidInvLstTg.PaidInvDtlTg</code>.
   * <P>
   * Structure identifying an invoice or a line item from an invoice
   * related to the payment.
   * <BR>
   */
  public  GsPaidInvDtl[] getReqPaidInvoiceDetail() { return (reqPaidInvoiceDetail); }

  private String reqPaidInvoiceDetail_packed = null;
  public  void   setReqPaidInvoiceDetail_packed(String o ) { reqPaidInvoiceDetail_packed = o; }
  public  String getReqPaidInvoiceDetail_packed() { return (reqPaidInvoiceDetail_packed); }


  /**
   * <P>The attribute <code>reqEBillNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillNbrIdTg.EBillNbrIdTg</code>.
   */
  private String reqEBillNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillNbrIdTg.EBillNbrIdTg</code>.
   */
  public  void   setReqEBillNbrId( String o ) { reqEBillNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillNbrIdTg.EBillNbrIdTg</code>.
   */
  public  String getReqEBillNbrId() { return (reqEBillNbrId); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>paymentDefinitionID</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnIdTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  private String paymentDefinitionID = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnIdTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  void   setPaymentDefinitionID( String o ) { paymentDefinitionID = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnIdTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  String getPaymentDefinitionID() { return (paymentDefinitionID); }

  /**
   * <P>The attribute <code>adjustedPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAdjPymtDtTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  private GsDate adjustedPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjPymtDtTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjustedPaymentDate(GsDate o )  { adjustedPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjPymtDtTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjustedPaymentDate() { return (adjustedPaymentDate); }

  /**
   * <P>The attribute <code>paymentRejectResponse</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtRjctRespTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  private String paymentRejectResponse = null;

  /**
   * <P>Sets the value of the attribute <code>paymentRejectResponse</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtRjctRespTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  public  void   setPaymentRejectResponse( String o ) { paymentRejectResponse = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentRejectResponse</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtRjctRespTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  public  String getPaymentRejectResponse() { return (paymentRejectResponse); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddVariablePayment );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqPayeeNickname != null && reqPayeeNickname.length() > 30 )
      addArgToGMJI( reqPayeeNickname.substring(0,30));
    else
      addArgToGMJI( reqPayeeNickname ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );

    if( reqPaymentNickname != null && reqPaymentNickname.length() > 30 )
      addArgToGMJI( reqPaymentNickname.substring(0,30));
    else
      addArgToGMJI( reqPaymentNickname ); 

    if( reqPaymentCategory != null && reqPaymentCategory.length() > 40 )
      addArgToGMJI( reqPaymentCategory.substring(0,40));
    else
      addArgToGMJI( reqPaymentCategory ); 

    if( reqPaymentMemo != null && reqPaymentMemo.length() > 40 )
      addArgToGMJI( reqPaymentMemo.substring(0,40));
    else
      addArgToGMJI( reqPaymentMemo ); 

    if( reqPaymentText != null && reqPaymentText.length() > 256 )
      addArgToGMJI( reqPaymentText.substring(0,256));
    else
      addArgToGMJI( reqPaymentText ); 

    if( reqPaymentExplanationRequest != null && reqPaymentExplanationRequest.length() > 1 )
      addArgToGMJI( reqPaymentExplanationRequest.substring(0,1));
    else
      addArgToGMJI( reqPaymentExplanationRequest ); 
    GsCurrency.addPropertiesToGMJI( reqPaymentAmount, this );
    GsDate.addPropertiesToGMJI( reqPaymentDate, this );

    if( reqDuplChkOvrdFlag != null && reqDuplChkOvrdFlag.length() > 1 )
      addArgToGMJI( reqDuplChkOvrdFlag.substring(0,1));
    else
      addArgToGMJI( reqDuplChkOvrdFlag ); 

    if( reqInvoiceID != null && reqInvoiceID.length() > 24 )
      addArgToGMJI( reqInvoiceID.substring(0,24));
    else
      addArgToGMJI( reqInvoiceID ); 
    GsCurrency.addPropertiesToGMJI( reqInvoiceAmount, this );
    GsDate.addPropertiesToGMJI( reqInvoiceDate, this );
    GsDecimal.addPropertiesToGMJI( reqInvoiceDiscountPercent, this );
    if( reqPaidInvoiceDetail != null )
    {
      reqPaidInvoiceDetail_packed = GsPaidInvDtl.pack( reqPaidInvoiceDetail );
      addArgToGMJI( reqPaidInvoiceDetail_packed );
    } else {
      addArgToGMJI();
    }

    if( reqEBillNbrId != null && reqEBillNbrId.length() > 36 )
      addArgToGMJI( reqEBillNbrId.substring(0,36));
    else
      addArgToGMJI( reqEBillNbrId ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    paymentDefinitionID = txn.getNextCharFromGMJO( 36, "paymentDefinitionID" );
    adjustedPaymentDate = new GsDate( txn, "adjustedPaymentDate" );
    paymentRejectResponse = txn.getNextCharFromGMJO( 3, "paymentRejectResponse" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqPayeeNickname = " + getReqPayeeNickname() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentNickname = " + getReqPaymentNickname() );
    pageWriter.println( prefix + "reqPaymentCategory = " + getReqPaymentCategory() );
    pageWriter.println( prefix + "reqPaymentMemo = " + getReqPaymentMemo() );
    pageWriter.println( prefix + "reqPaymentText = " + getReqPaymentText() );
    pageWriter.println( prefix + "reqPaymentExplanationRequest = " + getReqPaymentExplanationRequest() );

    pageWriter.println( prefix + "reqPaymentAmount =" );
    if( reqPaymentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentDate =" );
    if( reqPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqDuplChkOvrdFlag = " + getReqDuplChkOvrdFlag() );
    pageWriter.println( prefix + "reqInvoiceID = " + getReqInvoiceID() );

    pageWriter.println( prefix + "reqInvoiceAmount =" );
    if( reqInvoiceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDate =" );
    if( reqInvoiceDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvoiceDiscountPercent =" );
    if( reqInvoiceDiscountPercent == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvoiceDiscountPercent.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaidInvoiceDetail =" );
    if( reqPaidInvoiceDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPaidInvoiceDetail.length; j++ )
      {
        pageWriter.println( prefix + "reqPaidInvoiceDetail[" + j + "] =" );
        if( reqPaidInvoiceDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPaidInvoiceDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaidInvoiceDetail_packed = " + getReqPaidInvoiceDetail_packed() );
    pageWriter.println( prefix + "reqEBillNbrId = " + getReqEBillNbrId() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "paymentDefinitionID = " + getPaymentDefinitionID() );

    pageWriter.println( prefix + "adjustedPaymentDate =" );
    if( adjustedPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "paymentRejectResponse = " + getPaymentRejectResponse() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqPayeeNickname = getCharFromURL( req, prefix + "reqPayeeNickname" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtAddVariablePayment" );
    reqPaymentNickname = getCharFromURL( req, prefix + "reqPaymentNickname" );
    reqPaymentCategory = getCharFromURL( req, prefix + "reqPaymentCategory" );
    reqPaymentMemo = getCharFromURL( req, prefix + "reqPaymentMemo" );
    reqPaymentText = getCharFromURL( req, prefix + "reqPaymentText" );
    reqPaymentExplanationRequest = getCharFromURL( req, prefix + "reqPaymentExplanationRequest" );
    reqPaymentAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmount", "GtAddVariablePayment" );
    reqPaymentDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDate", "GtAddVariablePayment" );
    reqDuplChkOvrdFlag = getCharFromURL( req, prefix + "reqDuplChkOvrdFlag" );
    reqInvoiceID = getCharFromURL( req, prefix + "reqInvoiceID" );
    reqInvoiceAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceAmount", "GtAddVariablePayment" );
    reqInvoiceDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDate", "GtAddVariablePayment" );
    reqInvoiceDiscountPercent = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqInvoiceDiscountPercent", "GtAddVariablePayment" );

    repeatCounter = getLongFromURL( req, prefix + "reqPaidInvoiceDetail_repeatCounter" );
    reqPaidInvoiceDetail = new GsPaidInvDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPaidInvoiceDetail[ i ] = new GsPaidInvDtl(getIfsSession());
      reqPaidInvoiceDetail[ i ].populateFromURL( txn, req, prefix + "reqPaidInvoiceDetail_" + i + "_" );
    }
    reqEBillNbrId = getCharFromURL( req, prefix + "reqEBillNbrId" );
  }
}
