//**********************************************
//
// FILE NAME: GtAddVariableTransfer.java
// TRANSACTION NAME: Add Variable Amount Single Transfer Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Add Variable Amount Single Transfer Transaction</B>
 * <P>IFS ID: <B>avartfr</B>
 * <P>
 * This transaction allows the consumer to set up either an immediate
 * single transfer or a deferred single transfer to transfer money from a
 * single source account to a single target account.
 * <BR>
 * <P><B>ADD_VAR_TFR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ADD_VAR_TFR_IMSG</B>
 *            <P>
 *            This request message allows a consumer to request the
 *            Financial Institution to perform an immediate or deferred
 *            single transfer of money from a source account to a target
 *            account.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ADD_VAR_TFR_OMSG</B>
 *            <P>
 *            This response message confirms either the creation of the
 *            transfer request or the completion of the transfer. The
 *            response message may contain confirmation details such as a
 *            unique Transfer Identifier and the Adjusted Effective Date
 *            Of Transfer.
 */
public class GtAddVariableTransfer extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAddVariableTransfer() { }
  public GtAddVariableTransfer( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "avartfr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqSecurity(GsSrvcRqstScrty[] o )  { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqSecurity() { return (reqSecurity); }

  private String reqSecurity_packed = null;
  public  void   setReqSecurity_packed(String o ) { reqSecurity_packed = o; }
  public  String getReqSecurity_packed() { return (reqSecurity_packed); }


  /**
   * <P>The attribute <code>reqSource</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount reqSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqSource</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setReqSource(GsAccount o )  { reqSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSource</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqSource() { return (reqSource); }

  /**
   * <P>The attribute <code>reqTarget</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqTarget = null;

  /**
   * <P>Sets the value of the attribute <code>reqTarget</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqTarget(GsAccount o )  { reqTarget = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTarget</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqTarget() { return (reqTarget); }

  /**
   * <P>The attribute <code>reqTransactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  private GsCurrency reqTransactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  void       setReqTransactionAmount(GsCurrency o )  { reqTransactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  GsCurrency getReqTransactionAmount() { return (reqTransactionAmount); }

  /**
   * <P>The attribute <code>reqEffectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  private GsDate reqEffectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  void   setReqEffectiveDate(GsDate o )  { reqEffectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRqstTg.TfrBascDtlTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  GsDate getReqEffectiveDate() { return (reqEffectiveDate); }

  /**
   * <P>The attribute <code>reqTransferNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  private String reqTransferNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  void   setReqTransferNickname( String o ) { reqTransferNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  String getReqTransferNickname() { return (reqTransferNickname); }

  /**
   * <P>The attribute <code>reqTfrSrceAcctRefr</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  private String reqTfrSrceAcctRefr = null;

  /**
   * <P>Sets the value of the attribute <code>reqTfrSrceAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  public  void   setReqTfrSrceAcctRefr( String o ) { reqTfrSrceAcctRefr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTfrSrceAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrSrceAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the source account as a
   * transaction narrative.
   */
  public  String getReqTfrSrceAcctRefr() { return (reqTfrSrceAcctRefr); }

  /**
   * <P>The attribute <code>reqTfrTrgtAcctRefr</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  private String reqTfrTrgtAcctRefr = null;

  /**
   * <P>Sets the value of the attribute <code>reqTfrTrgtAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  public  void   setReqTfrTrgtAcctRefr( String o ) { reqTfrTrgtAcctRefr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTfrTrgtAcctRefr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRqstTg.TfrBascDtlTg.TfrTrgtAcctRefrTg</code>.
   * <P>
   * This is a text field that allows the consumer to input a description
   * intended to appear on the statement of the target account as a
   * transaction narrative.
   */
  public  String getReqTfrTrgtAcctRefr() { return (reqTfrTrgtAcctRefr); }

  /**
   * <P>The attribute <code>reqTransferImmediateFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrImmedFTg.TfrImmedFTg</code>.
   * <P>
   * Indicates if a single transfer is to be executed immediately or
   * deferred until the date specified.
   */
  private String reqTransferImmediateFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferImmediateFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrImmedFTg.TfrImmedFTg</code>.
   * <P>
   * Indicates if a single transfer is to be executed immediately or
   * deferred until the date specified.
   */
  public  void   setReqTransferImmediateFlag( String o ) { reqTransferImmediateFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferImmediateFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrImmedFTg.TfrImmedFTg</code>.
   * <P>
   * Indicates if a single transfer is to be executed immediately or
   * deferred until the date specified.
   */
  public  String getReqTransferImmediateFlag() { return (reqTransferImmediateFlag); }

  /**
   * <P>The attribute <code>reqTransferDuplChkOvrdFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDuplTg.TfrDuplChkOvrdFTg</code>.
   * <P>
   * Indicates that a previous submission of this transaction was rejected
   * due to a duplicate transaction and that the consumer wishes to ignore
   * the duplicate and have this transaction accepted.
   */
  private String reqTransferDuplChkOvrdFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferDuplChkOvrdFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDuplTg.TfrDuplChkOvrdFTg</code>.
   * <P>
   * Indicates that a previous submission of this transaction was rejected
   * due to a duplicate transaction and that the consumer wishes to ignore
   * the duplicate and have this transaction accepted.
   */
  public  void   setReqTransferDuplChkOvrdFlag( String o ) { reqTransferDuplChkOvrdFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferDuplChkOvrdFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDuplTg.TfrDuplChkOvrdFTg</code>.
   * <P>
   * Indicates that a previous submission of this transaction was rejected
   * due to a duplicate transaction and that the consumer wishes to ignore
   * the duplicate and have this transaction accepted.
   */
  public  String getReqTransferDuplChkOvrdFlag() { return (reqTransferDuplChkOvrdFlag); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsVarTfrRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsVarTfrRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsVarTfrRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqExchangeRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsVarTfrRqstTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  private GsDecimal reqExchangeRate = null;

  /**
   * <P>Sets the value of the attribute <code>reqExchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRqstTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  void      setReqExchangeRate(GsDecimal o )  { reqExchangeRate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRqstTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  GsDecimal getReqExchangeRate() { return (reqExchangeRate); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>transferNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  private String transferNumber = null;

  /**
   * <P>Sets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  void   setTransferNumber( String o ) { transferNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrNbrTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  String getTransferNumber() { return (transferNumber); }

  /**
   * <P>The attribute <code>adjustedTransferDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  private GsDate adjustedTransferDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjustedTransferDate(GsDate o )  { adjustedTransferDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjTfrDtTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjustedTransferDate() { return (adjustedTransferDate); }

  /**
   * <P>The attribute <code>exchangeRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  private GsDecimal exchangeRate = null;

  /**
   * <P>Sets the value of the attribute <code>exchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  void      setExchangeRate(GsDecimal o )  { exchangeRate = o; }

  /**
   * <P>Gets the value of the attribute <code>exchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.ExchRateTg</code>.
   * <P>
   * The rate at which the transaction amount can be converted to another
   * currency.
   * <BR>
   */
  public  GsDecimal getExchangeRate() { return (exchangeRate); }

  /**
   * <P>The attribute <code>txnChrgAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnChrgAmtTg</code>.
   * <P>
   * The fee charged by the Financial Institution for converting the
   * transaction amount into another currency but does not make a separate
   * accounting entry.
   * <BR>
   */
  private GsCurrency txnChrgAmount = null;

  /**
   * <P>Sets the value of the attribute <code>txnChrgAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnChrgAmtTg</code>.
   * <P>
   * The fee charged by the Financial Institution for converting the
   * transaction amount into another currency but does not make a separate
   * accounting entry.
   * <BR>
   */
  public  void       setTxnChrgAmount(GsCurrency o )  { txnChrgAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>txnChrgAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnChrgAmtTg</code>.
   * <P>
   * The fee charged by the Financial Institution for converting the
   * transaction amount into another currency but does not make a separate
   * accounting entry.
   * <BR>
   */
  public  GsCurrency getTxnChrgAmount() { return (txnChrgAmount); }

  /**
   * <P>The attribute <code>txnTrgtAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnTrgtAmtTg</code>.
   * <P>
   * The amount credited to a target account by the Financial Institution
   * in a currency conversion transaction.
   * <BR>
   */
  private GsCurrency txnTrgtAmount = null;

  /**
   * <P>Sets the value of the attribute <code>txnTrgtAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnTrgtAmtTg</code>.
   * <P>
   * The amount credited to a target account by the Financial Institution
   * in a currency conversion transaction.
   * <BR>
   */
  public  void       setTxnTrgtAmount(GsCurrency o )  { txnTrgtAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>txnTrgtAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsVarTfrRespTg.TxnTrgtAmtTg</code>.
   * <P>
   * The amount credited to a target account by the Financial Institution
   * in a currency conversion transaction.
   * <BR>
   */
  public  GsCurrency getTxnTrgtAmount() { return (txnTrgtAmount); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAddVariableTransfer );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqSecurity != null )
    {
      reqSecurity_packed = GsSrvcRqstScrty.pack( reqSecurity );
      addArgToGMJI( reqSecurity_packed );
    } else {
      addArgToGMJI();
    }
    GsAccount.addPropertiesToGMJI( reqSource, this );
    GsAccount.addPropertiesToGMJI( reqTarget, this );
    GsCurrency.addPropertiesToGMJI( reqTransactionAmount, this );
    GsDate.addPropertiesToGMJI( reqEffectiveDate, this );

    if( reqTransferNickname != null && reqTransferNickname.length() > 30 )
      addArgToGMJI( reqTransferNickname.substring(0,30));
    else
      addArgToGMJI( reqTransferNickname ); 

    if( reqTfrSrceAcctRefr != null && reqTfrSrceAcctRefr.length() > 40 )
      addArgToGMJI( reqTfrSrceAcctRefr.substring(0,40));
    else
      addArgToGMJI( reqTfrSrceAcctRefr ); 

    if( reqTfrTrgtAcctRefr != null && reqTfrTrgtAcctRefr.length() > 40 )
      addArgToGMJI( reqTfrTrgtAcctRefr.substring(0,40));
    else
      addArgToGMJI( reqTfrTrgtAcctRefr ); 

    if( reqTransferImmediateFlag != null && reqTransferImmediateFlag.length() > 1 )
      addArgToGMJI( reqTransferImmediateFlag.substring(0,1));
    else
      addArgToGMJI( reqTransferImmediateFlag ); 

    if( reqTransferDuplChkOvrdFlag != null && reqTransferDuplChkOvrdFlag.length() > 1 )
      addArgToGMJI( reqTransferDuplChkOvrdFlag.substring(0,1));
    else
      addArgToGMJI( reqTransferDuplChkOvrdFlag ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 
    GsDecimal.addPropertiesToGMJI( reqExchangeRate, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    transferNumber = txn.getNextCharFromGMJO( 6, "transferNumber" );
    adjustedTransferDate = new GsDate( txn, "adjustedTransferDate" );
    exchangeRate = new GsDecimal( txn, "exchangeRate" );
    txnChrgAmount = new GsCurrency( txn, "txnChrgAmount" );
    txnTrgtAmount = new GsCurrency( txn, "txnTrgtAmount" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSecurity =" );
    if( reqSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqSecurity[" + j + "] =" );
        if( reqSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurity_packed = " + getReqSecurity_packed() );

    pageWriter.println( prefix + "reqSource =" );
    if( reqSource == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSource.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTarget =" );
    if( reqTarget == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTarget.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransactionAmount =" );
    if( reqTransactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEffectiveDate =" );
    if( reqEffectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransferNickname = " + getReqTransferNickname() );
    pageWriter.println( prefix + "reqTfrSrceAcctRefr = " + getReqTfrSrceAcctRefr() );
    pageWriter.println( prefix + "reqTfrTrgtAcctRefr = " + getReqTfrTrgtAcctRefr() );
    pageWriter.println( prefix + "reqTransferImmediateFlag = " + getReqTransferImmediateFlag() );
    pageWriter.println( prefix + "reqTransferDuplChkOvrdFlag = " + getReqTransferDuplChkOvrdFlag() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );

    pageWriter.println( prefix + "reqExchangeRate =" );
    if( reqExchangeRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqExchangeRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "transferNumber = " + getTransferNumber() );

    pageWriter.println( prefix + "adjustedTransferDate =" );
    if( adjustedTransferDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedTransferDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "exchangeRate =" );
    if( exchangeRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      exchangeRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "txnChrgAmount =" );
    if( txnChrgAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      txnChrgAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "txnTrgtAmount =" );
    if( txnTrgtAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      txnTrgtAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqSecurity_repeatCounter" );
    reqSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqSecurity[ i ].populateFromURL( txn, req, prefix + "reqSecurity_" + i + "_" );
    }
    reqSource = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSource", "GtAddVariableTransfer" );
    reqTarget = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqTarget", "GtAddVariableTransfer" );
    reqTransactionAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionAmount", "GtAddVariableTransfer" );
    reqEffectiveDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffectiveDate", "GtAddVariableTransfer" );
    reqTransferNickname = getCharFromURL( req, prefix + "reqTransferNickname" );
    reqTfrSrceAcctRefr = getCharFromURL( req, prefix + "reqTfrSrceAcctRefr" );
    reqTfrTrgtAcctRefr = getCharFromURL( req, prefix + "reqTfrTrgtAcctRefr" );
    reqTransferImmediateFlag = getCharFromURL( req, prefix + "reqTransferImmediateFlag" );
    reqTransferDuplChkOvrdFlag = getCharFromURL( req, prefix + "reqTransferDuplChkOvrdFlag" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqExchangeRate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqExchangeRate", "GtAddVariableTransfer" );
  }
}
