//**********************************************
//
// FILE NAME: GtAuthorizeAccountRegistration.java
// TRANSACTION NAME: Authorize On-Line Registration Accounts Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Authorize On-Line Registration Accounts Transaction</B>
 * <P>IFS ID: <B>authacct</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>AUTH_ACCT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>AUTH_ACCT_IMSG</B>
 *            <P>
 *            This message is issued by the registration server, based on
 *            input by the Consumer and is passed to the Core Controller
 *            and FI. It contains a list of IFS Services, e.g. Core
 *            Banking or Bill Pay, and a list of Consumers' Accounts which
 *            the Consumer requires to be eligible for each Service.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsAuthAcctDtlTg.CnsmrTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsAuthAcctDtlTg.CnsmrTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsAuthAcctDtlTg.CnsmrTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsAuthAcctDtlTg.CnsmrTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>AUTH_ACCT_OMSG</B>
 *            <P>
 *            The Financial Institution processes the request message
 *            which indicates the Accounts which should be eligible for
 *            each IFS Service. The Financial Institution returns this
 *            message which contains the business response to the request.
 *            The Financial Institution may optionally include a
 *            Disclosure Statement for each IFS Service to the consumer
 *            which should be explicitly accepted or rejected (using the
 *            Agree Online Reqistration Disclosure Transaction).
 */
public class GtAuthorizeAccountRegistration extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtAuthorizeAccountRegistration() { }
  public GtAuthorizeAccountRegistration( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "authacct_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerType</code> is an alias for the
   * standard message simple element
   * <code>IfsAuthAcctDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String reqConsumerType = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setReqConsumerType( String o ) { reqConsumerType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getReqConsumerType() { return (reqConsumerType); }

  /**
   * <P>The attribute <code>reqServiceChargePlan</code> is an alias for the
   * standard message simple element
   * <code>IfsAuthAcctDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  private String reqServiceChargePlan = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  void   setReqServiceChargePlan( String o ) { reqServiceChargePlan = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  String getReqServiceChargePlan() { return (reqServiceChargePlan); }

  /**
   * <P>The attribute <code>reqRegisterHandle</code> is an alias for the
   * standard message simple element
   * <code>IfsAuthAcctDtlTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  private int  reqRegisterHandle = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRegisterHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  void setReqRegisterHandle( int o ) { reqRegisterHandle = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRegisterHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  int  getReqRegisterHandle() { return (reqRegisterHandle); }

  /**
   * <P>The attribute <code>reqIspType</code> is an alias for the
   * standard message simple element
   * <code>IfsAuthAcctDtlTg.ISPTpClTg</code>.
   * <P>
   * The Internet Service Provider type.
   */
  private String reqIspType = null;

  /**
   * <P>Sets the value of the attribute <code>reqIspType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.ISPTpClTg</code>.
   * <P>
   * The Internet Service Provider type.
   */
  public  void   setReqIspType( String o ) { reqIspType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIspType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAuthAcctDtlTg.ISPTpClTg</code>.
   * <P>
   * The Internet Service Provider type.
   */
  public  String getReqIspType() { return (reqIspType); }

  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqServiceEligibility</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctSrvcEligDtlTg</code>.
   * <P>
   * A repeating structure containing details for a variable number of
   * Accounts and the Services for which each Account is authorized and
   * eligible to use.
   * <BR>
   */
  private GsAcctSrvcElig[] reqServiceEligibility = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceEligibility</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctSrvcEligDtlTg</code>.
   * <P>
   * A repeating structure containing details for a variable number of
   * Accounts and the Services for which each Account is authorized and
   * eligible to use.
   * <BR>
   */
  public  void             setReqServiceEligibility(GsAcctSrvcElig[] o )  { reqServiceEligibility = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceEligibility</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAuthAcctDtlTg.AcctSrvcEligDtlTg</code>.
   * <P>
   * A repeating structure containing details for a variable number of
   * Accounts and the Services for which each Account is authorized and
   * eligible to use.
   * <BR>
   */
  public  GsAcctSrvcElig[] getReqServiceEligibility() { return (reqServiceEligibility); }

  private String reqServiceEligibility_packed = null;
  public  void   setReqServiceEligibility_packed(String o ) { reqServiceEligibility_packed = o; }
  public  String getReqServiceEligibility_packed() { return (reqServiceEligibility_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>registerHandle</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  private int  registerHandle = 0;

  /**
   * <P>Sets the value of the attribute <code>registerHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  void setRegisterHandle( int o ) { registerHandle = o; }

  /**
   * <P>Gets the value of the attribute <code>registerHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  int  getRegisterHandle() { return (registerHandle); }

  /**
   * <P>The attribute <code>disclosure</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDisClsreDtlTg.DisClsreDtlTg</code>.
   * <P>
   * A repeating structure containing a variable number of Services and
   * the associated Disclosure statement(s) for each Service.
   * <BR>
   */
  private GsDisclsre[] disclosure = null;

  /**
   * <P>Sets the value of the attribute <code>disclosure</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDisClsreDtlTg.DisClsreDtlTg</code>.
   * <P>
   * A repeating structure containing a variable number of Services and
   * the associated Disclosure statement(s) for each Service.
   * <BR>
   */
  public  void         setDisclosure(GsDisclsre[] o )  { disclosure = o; }

  /**
   * <P>Gets the value of the attribute <code>disclosure</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDisClsreDtlTg.DisClsreDtlTg</code>.
   * <P>
   * A repeating structure containing a variable number of Services and
   * the associated Disclosure statement(s) for each Service.
   * <BR>
   */
  public  GsDisclsre[] getDisclosure() { return (disclosure); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtAuthorizeAccountRegistration );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerType != null && reqConsumerType.length() > 1 )
      addArgToGMJI( reqConsumerType.substring(0,1));
    else
      addArgToGMJI( reqConsumerType ); 

    if( reqServiceChargePlan != null && reqServiceChargePlan.length() > 1 )
      addArgToGMJI( reqServiceChargePlan.substring(0,1));
    else
      addArgToGMJI( reqServiceChargePlan ); 
    addArgToGMJI( reqRegisterHandle ); 

    if( reqIspType != null && reqIspType.length() > 1 )
      addArgToGMJI( reqIspType.substring(0,1));
    else
      addArgToGMJI( reqIspType ); 
    GsAccount.addPropertiesToGMJI( reqAccount, this );
    if( reqServiceEligibility != null )
    {
      reqServiceEligibility_packed = GsAcctSrvcElig.pack( reqServiceEligibility );
      addArgToGMJI( reqServiceEligibility_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    registerHandle = txn.getNextLongFromGMJO( "registerHandle" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    disclosure = new GsDisclsre[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      disclosure[ i ] = new GsDisclsre( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerType = " + getReqConsumerType() );
    pageWriter.println( prefix + "reqServiceChargePlan = " + getReqServiceChargePlan() );
    pageWriter.println( prefix + "reqRegisterHandle = " + getReqRegisterHandle() );
    pageWriter.println( prefix + "reqIspType = " + getReqIspType() );

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqServiceEligibility =" );
    if( reqServiceEligibility == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqServiceEligibility.length; j++ )
      {
        pageWriter.println( prefix + "reqServiceEligibility[" + j + "] =" );
        if( reqServiceEligibility[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqServiceEligibility[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqServiceEligibility_packed = " + getReqServiceEligibility_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "registerHandle = " + getRegisterHandle() );

    pageWriter.println( prefix + "disclosure =" );
    if( disclosure == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < disclosure.length; j++ )
      {
        pageWriter.println( prefix + "disclosure[" + j + "] =" );
        if( disclosure[ j ] == null )
          pageWriter.println( " (null)" );
        else
          disclosure[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerType = getCharFromURL( req, prefix + "reqConsumerType" );
    reqServiceChargePlan = getCharFromURL( req, prefix + "reqServiceChargePlan" );
    reqRegisterHandle = getLongFromURL( req, prefix + "reqRegisterHandle" );
    reqIspType = getCharFromURL( req, prefix + "reqIspType" );
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtAuthorizeAccountRegistration" );

    repeatCounter = getLongFromURL( req, prefix + "reqServiceEligibility_repeatCounter" );
    reqServiceEligibility = new GsAcctSrvcElig[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqServiceEligibility[ i ] = new GsAcctSrvcElig(getIfsSession());
      reqServiceEligibility[ i ].populateFromURL( txn, req, prefix + "reqServiceEligibility_" + i + "_" );
    }
  }
}
