//**********************************************
//
// FILE NAME: GtBalanceInquiry.java
// TRANSACTION NAME: Balance Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Balance Inquiry Transaction</B>
 * <P>IFS ID: <B>balinq</B>
 * <P>
 * This transaction allows the consumer to request various balances
 * associated with a specific consumer account. The key for identifying
 * the account is the Account Identifier.
 * <BR>
 * <P><B>BAL_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>BAL_INQ_IMSG</B>
 *            <P>
 *            This request message requests balance information for a
 *            specific consumer account based on the Account Identifier.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>BAL_INQ_OMSG</B>
 *            <P>
 *            This response message returns various balance information
 *            for the consumer account identified in the request including
 *            the current Ledger Balance and Available Balance.
 */
public class GtBalanceInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtBalanceInquiry() { }
  public GtBalanceInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "balinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>ledgerBalanceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.LdgrBalAmtTg</code>.
   * <P>
   * The final amount in an account after the application of all credits
   * and debits; the actual account balance as it appears on a statement.
   * <BR>
   */
  private GsCurrency ledgerBalanceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>ledgerBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.LdgrBalAmtTg</code>.
   * <P>
   * The final amount in an account after the application of all credits
   * and debits; the actual account balance as it appears on a statement.
   * <BR>
   */
  public  void       setLedgerBalanceAmount(GsCurrency o )  { ledgerBalanceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>ledgerBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.LdgrBalAmtTg</code>.
   * <P>
   * The final amount in an account after the application of all credits
   * and debits; the actual account balance as it appears on a statement.
   * <BR>
   */
  public  GsCurrency getLedgerBalanceAmount() { return (ledgerBalanceAmount); }

  /**
   * <P>The attribute <code>availableBalanceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.AvalBalAmtTg</code>.
   * <P>
   * The amount of funds at the disposal of the Consumer. In deposit
   * products it typically refers to the Ledger Balance, less deposits
   * which have not yet been cleared and any holds which have been placed
   * against the account. For example, the Ledger Balance of account
   * 12451093 at the close of May 5 records &dollar.10,000.00 USD. On May
   * 6, a withdrawal of &dollar.1000.00 USD is approved, and on the same
   * day a check for &dollar.4000.00 USD drawn on another Financial
   * Institution is presented for deposit. At the close of May 6, the
   * Available Balance is &dollar.9,000.00 USD. The withdrawal amount is
   * committed, but the check will not clear until May 9.
   * <BR>
   */
  private GsCurrency availableBalanceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>availableBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.AvalBalAmtTg</code>.
   * <P>
   * The amount of funds at the disposal of the Consumer. In deposit
   * products it typically refers to the Ledger Balance, less deposits
   * which have not yet been cleared and any holds which have been placed
   * against the account. For example, the Ledger Balance of account
   * 12451093 at the close of May 5 records &dollar.10,000.00 USD. On May
   * 6, a withdrawal of &dollar.1000.00 USD is approved, and on the same
   * day a check for &dollar.4000.00 USD drawn on another Financial
   * Institution is presented for deposit. At the close of May 6, the
   * Available Balance is &dollar.9,000.00 USD. The withdrawal amount is
   * committed, but the check will not clear until May 9.
   * <BR>
   */
  public  void       setAvailableBalanceAmount(GsCurrency o )  { availableBalanceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>availableBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.AvalBalAmtTg</code>.
   * <P>
   * The amount of funds at the disposal of the Consumer. In deposit
   * products it typically refers to the Ledger Balance, less deposits
   * which have not yet been cleared and any holds which have been placed
   * against the account. For example, the Ledger Balance of account
   * 12451093 at the close of May 5 records &dollar.10,000.00 USD. On May
   * 6, a withdrawal of &dollar.1000.00 USD is approved, and on the same
   * day a check for &dollar.4000.00 USD drawn on another Financial
   * Institution is presented for deposit. At the close of May 6, the
   * Available Balance is &dollar.9,000.00 USD. The withdrawal amount is
   * committed, but the check will not clear until May 9.
   * <BR>
   */
  public  GsCurrency getAvailableBalanceAmount() { return (availableBalanceAmount); }

  /**
   * <P>The attribute <code>unclearedFundAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.UncldFundAmtTg</code>.
   * <P>
   * The balance consisting of the checks deposited and credited to the
   * account but not yet cleared. The bank may impose a 'hold' (withdrawal
   * restriction) until the checks deposited have cleared.
   * <BR>
   */
  private GsCurrency unclearedFundAmount = null;

  /**
   * <P>Sets the value of the attribute <code>unclearedFundAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.UncldFundAmtTg</code>.
   * <P>
   * The balance consisting of the checks deposited and credited to the
   * account but not yet cleared. The bank may impose a 'hold' (withdrawal
   * restriction) until the checks deposited have cleared.
   * <BR>
   */
  public  void       setUnclearedFundAmount(GsCurrency o )  { unclearedFundAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>unclearedFundAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.UncldFundAmtTg</code>.
   * <P>
   * The balance consisting of the checks deposited and credited to the
   * account but not yet cleared. The bank may impose a 'hold' (withdrawal
   * restriction) until the checks deposited have cleared.
   * <BR>
   */
  public  GsCurrency getUnclearedFundAmount() { return (unclearedFundAmount); }

  /**
   * <P>The attribute <code>totalHoldAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotHoldAmtTg</code>.
   * <BR>
   */
  private GsCurrency totalHoldAmount = null;

  /**
   * <P>Sets the value of the attribute <code>totalHoldAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotHoldAmtTg</code>.
   * <BR>
   */
  public  void       setTotalHoldAmount(GsCurrency o )  { totalHoldAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>totalHoldAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotHoldAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getTotalHoldAmount() { return (totalHoldAmount); }

  /**
   * <P>The attribute <code>totalCreditLineAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotCrLineAmtTg</code>.
   * <BR>
   */
  private GsCurrency totalCreditLineAmount = null;

  /**
   * <P>Sets the value of the attribute <code>totalCreditLineAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotCrLineAmtTg</code>.
   * <BR>
   */
  public  void       setTotalCreditLineAmount(GsCurrency o )  { totalCreditLineAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>totalCreditLineAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.TotCrLineAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getTotalCreditLineAmount() { return (totalCreditLineAmount); }

  /**
   * <P>The attribute <code>principalBalanceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PrncplBalAmtTg</code>.
   * <BR>
   */
  private GsCurrency principalBalanceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>principalBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PrncplBalAmtTg</code>.
   * <BR>
   */
  public  void       setPrincipalBalanceAmount(GsCurrency o )  { principalBalanceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>principalBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PrncplBalAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getPrincipalBalanceAmount() { return (principalBalanceAmount); }

  /**
   * <P>The attribute <code>outstandingBalanceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.OtSndBalAmtTg</code>.
   * <P>
   * The outstanding balance on a Line of Credit or Equity Line of Credit
   * Account.
   * <BR>
   */
  private GsCurrency outstandingBalanceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>outstandingBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.OtSndBalAmtTg</code>.
   * <P>
   * The outstanding balance on a Line of Credit or Equity Line of Credit
   * Account.
   * <BR>
   */
  public  void       setOutstandingBalanceAmount(GsCurrency o )  { outstandingBalanceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>outstandingBalanceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.OtSndBalAmtTg</code>.
   * <P>
   * The outstanding balance on a Line of Credit or Equity Line of Credit
   * Account.
   * <BR>
   */
  public  GsCurrency getOutstandingBalanceAmount() { return (outstandingBalanceAmount); }

  /**
   * <P>The attribute <code>payoffAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PyfAmtTg</code>.
   * <BR>
   */
  private GsCurrency payoffAmount = null;

  /**
   * <P>Sets the value of the attribute <code>payoffAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PyfAmtTg</code>.
   * <BR>
   */
  public  void       setPayoffAmount(GsCurrency o )  { payoffAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>payoffAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctBalDtlTg.PyfAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getPayoffAmount() { return (payoffAmount); }

  /**
   * <P>The attribute <code>informationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInfoDtTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  private GsDate informationDate = null;

  /**
   * <P>Sets the value of the attribute <code>informationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInfoDtTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  void   setInformationDate(GsDate o )  { informationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>informationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInfoDtTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  GsDate getInformationDate() { return (informationDate); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtBalanceInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    accountID = new GsAccount( txn, "accountID" );
    ledgerBalanceAmount = new GsCurrency( txn, "ledgerBalanceAmount" );
    availableBalanceAmount = new GsCurrency( txn, "availableBalanceAmount" );
    unclearedFundAmount = new GsCurrency( txn, "unclearedFundAmount" );
    totalHoldAmount = new GsCurrency( txn, "totalHoldAmount" );
    totalCreditLineAmount = new GsCurrency( txn, "totalCreditLineAmount" );
    principalBalanceAmount = new GsCurrency( txn, "principalBalanceAmount" );
    outstandingBalanceAmount = new GsCurrency( txn, "outstandingBalanceAmount" );
    payoffAmount = new GsCurrency( txn, "payoffAmount" );
    informationDate = new GsDate( txn, "informationDate" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ledgerBalanceAmount =" );
    if( ledgerBalanceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      ledgerBalanceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "availableBalanceAmount =" );
    if( availableBalanceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      availableBalanceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "unclearedFundAmount =" );
    if( unclearedFundAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      unclearedFundAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "totalHoldAmount =" );
    if( totalHoldAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      totalHoldAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "totalCreditLineAmount =" );
    if( totalCreditLineAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      totalCreditLineAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "principalBalanceAmount =" );
    if( principalBalanceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      principalBalanceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "outstandingBalanceAmount =" );
    if( outstandingBalanceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      outstandingBalanceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "payoffAmount =" );
    if( payoffAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      payoffAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "informationDate =" );
    if( informationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      informationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtBalanceInquiry" );
  }
}
