//**********************************************
//
// FILE NAME: GtBillPayVerification.java
// TRANSACTION NAME: Request Bill Pay Verification Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Request Bill Pay Verification Transaction</B>
 * <P>IFS ID: <B>bpverif</B>
 * <P>
 * This transaction enables the consumer to verify with the Financial
 * Institution that a particular payment has occurred.
 * <BR>
 * <P><B>BP_VERIF_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>BP_VERIF_IMSG</B>
 *            <P>
 *            This message is initiated by the consumer and requests the
 *            Financial Institution to verify that a specific payment
 *            transaction has occurred. The Payment Transaction may be
 *            identified by the funding account details, payment amount,
 *            payment date, payee details.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 *      <TR><TD>reqHomePhone</TD>	<TD>IfsBillVerfRqstTg.CnsmrPhTg.HmPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</TD></TR>
 *      <TR><TD>reqWorkPhone</TD>	<TD>IfsBillVerfRqstTg.CnsmrPhTg.WrkPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</TD></TR>
 *      <TR><TD>reqFaxNumber</TD>	<TD>IfsBillVerfRqstTg.FaxNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.FaxNbrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>BP_VERIF_OMSG</B>
 *            <P>
 *            The response message from the Financial Institution
 *            indicates to the consumer whether a particular Payment
 *            Instance has occurred.
 */
public class GtBillPayVerification extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtBillPayVerification() { }
  public GtBillPayVerification( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "bpverif_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqPayeeNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  private String reqPayeeNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  void   setReqPayeeNickname( String o ) { reqPayeeNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  String getReqPayeeNickname() { return (reqPayeeNickname); }

  /**
   * <P>The attribute <code>reqPaymentNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  private String reqPaymentNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  void   setReqPaymentNumber( String o ) { reqPaymentNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  String getReqPaymentNumber() { return (reqPaymentNumber); }

  /**
   * <P>The attribute <code>reqPaymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String reqPaymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setReqPaymentNickname( String o ) { reqPaymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getReqPaymentNickname() { return (reqPaymentNickname); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.FundingAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.FundingAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.FundingAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqPaymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  private String reqPaymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  void   setReqPaymentType( String o ) { reqPaymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  String getReqPaymentType() { return (reqPaymentType); }

  /**
   * <P>The attribute <code>reqPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  private GsDate reqPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  void   setReqPaymentDate(GsDate o )  { reqPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  GsDate getReqPaymentDate() { return (reqPaymentDate); }

  /**
   * <P>The attribute <code>reqPaymentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  private GsCurrency reqPaymentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  public  void       setReqPaymentAmount(GsCurrency o )  { reqPaymentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillVerfRqstTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmount() { return (reqPaymentAmount); }

  /**
   * <P>The attribute <code>reqReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqReferenceNumber( String o ) { reqReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqReferenceNumber() { return (reqReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqMessage</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.MsgTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessage = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.MsgTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessage( String o ) { reqMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.MsgTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessage() { return (reqMessage); }

  /**
   * <P>The attribute <code>reqPayeeName</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  private String reqPayeeName = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  void   setReqPayeeName( String o ) { reqPayeeName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  String getReqPayeeName() { return (reqPayeeName); }

  /**
   * <P>The attribute <code>reqEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsBillVerfRqstTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqEmailAddress( String o ) { reqEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillVerfRqstTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqEmailAddress() { return (reqEmailAddress); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtBillPayVerification );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqPayeeNickname != null && reqPayeeNickname.length() > 30 )
      addArgToGMJI( reqPayeeNickname.substring(0,30));
    else
      addArgToGMJI( reqPayeeNickname ); 

    if( reqPaymentNumber != null && reqPaymentNumber.length() > 36 )
      addArgToGMJI( reqPaymentNumber.substring(0,36));
    else
      addArgToGMJI( reqPaymentNumber ); 

    if( reqPaymentNickname != null && reqPaymentNickname.length() > 30 )
      addArgToGMJI( reqPaymentNickname.substring(0,30));
    else
      addArgToGMJI( reqPaymentNickname ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );

    if( reqPaymentType != null && reqPaymentType.length() > 1 )
      addArgToGMJI( reqPaymentType.substring(0,1));
    else
      addArgToGMJI( reqPaymentType ); 
    GsDate.addPropertiesToGMJI( reqPaymentDate, this );
    GsCurrency.addPropertiesToGMJI( reqPaymentAmount, this );

    if( reqReferenceNumber != null && reqReferenceNumber.length() > 12 )
      addArgToGMJI( reqReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    if( reqMessage != null && reqMessage.length() > 3000 )
      addArgToGMJI( reqMessage.substring(0,3000));
    else
      addArgToGMJI( reqMessage ); 

    if( reqPayeeName != null && reqPayeeName.length() > 40 )
      addArgToGMJI( reqPayeeName.substring(0,40));
    else
      addArgToGMJI( reqPayeeName ); 

    if( reqEmailAddress != null && reqEmailAddress.length() > 128 )
      addArgToGMJI( reqEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqEmailAddress ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqPayeeNickname = " + getReqPayeeNickname() );
    pageWriter.println( prefix + "reqPaymentNumber = " + getReqPaymentNumber() );
    pageWriter.println( prefix + "reqPaymentNickname = " + getReqPaymentNickname() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentType = " + getReqPaymentType() );

    pageWriter.println( prefix + "reqPaymentDate =" );
    if( reqPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentAmount =" );
    if( reqPaymentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqReferenceNumber = " + getReqReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqMessage = " + getReqMessage() );
    pageWriter.println( prefix + "reqPayeeName = " + getReqPayeeName() );
    pageWriter.println( prefix + "reqEmailAddress = " + getReqEmailAddress() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqPayeeNickname = getCharFromURL( req, prefix + "reqPayeeNickname" );
    reqPaymentNumber = getCharFromURL( req, prefix + "reqPaymentNumber" );
    reqPaymentNickname = getCharFromURL( req, prefix + "reqPaymentNickname" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtBillPayVerification" );
    reqPaymentType = getCharFromURL( req, prefix + "reqPaymentType" );
    reqPaymentDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDate", "GtBillPayVerification" );
    reqPaymentAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmount", "GtBillPayVerification" );
    reqReferenceNumber = getCharFromURL( req, prefix + "reqReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqMessage = getCharFromURL( req, prefix + "reqMessage" );
    reqPayeeName = getCharFromURL( req, prefix + "reqPayeeName" );
    reqEmailAddress = getCharFromURL( req, prefix + "reqEmailAddress" );
  }
}
