//**********************************************
//
// FILE NAME: GtBillerInquiry.java
// TRANSACTION NAME: Biller Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Biller Inquiry Transaction</B>
 * <P>IFS ID: <B>blrinq</B>
 * <P>
 * This transaction enables a CSR or consumer to get a list of all billers
 * in the system that meet search criteria entered by the requester. A
 * Biller may be a single company or a specific division within a company
 * that is considered autonomous from a Billing perspective.
 * <BR>
 * <P><B>BILLER_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>BILLER_INQ_IMSG</B>
 *            <P>
 *            This message enables a CSR or consumer to get a list of all
 *            billers in the system that meet search criteria input by the
 *            requestor. These search criteria include for example, the
 *            Biller name, biller address, biller phone number. Since a
 *            biller list can contain a large number of billers, the
 *            requestor can use the Maximum Number of Billers field below
 *            to indicate how many billers should be transmitted.
 *            Information returned for each Biller includes, for example,
 *            the Biller name and Address, the payment remittance address,
 *            the bill return address, delivery times associated with the
 *            Biller and Biller contact details.
 *
 * <P>Reply:   <B>BILLER_INQ_OMSG</B>
 *            <P>
 *            This message is sent to the consumer or CSR (i.e the
 *            requestor ) and contains the biller records requested. The
 *            total number of records sent indicate how many Biller
 *            records are contained in this message. The More Indicator is
 *            used to tell the requestor that more biller records met the
 *            search criteria than were sent in this message. It is the
 *            responsibility of the requestor to request the remainder of
 *            the Biller records or to provide additional or more
 *            restrictive search criteria to shorten the list of matches.
 */
public class GtBillerInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtBillerInquiry() { }
  public GtBillerInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "blrinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumNumberOfRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberOfRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberOfRecords( int o ) { reqMaximumNumberOfRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberOfRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberOfRecords() { return (reqMaximumNumberOfRecords); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqBillerName</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerNmTg</code>.
   * <P>
   * The common name or name in everyday use by which the Biller is
   * usually referred. For example, IBM may be the Biller Name rather than
   * the Biller Legal Name which would be 'International Business Machines
   * Corporation'. A Biller may be a single company or a specific division
   * within a company that is considered autonomous from a billing
   * perspective.
   */
  private String reqBillerName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerNmTg</code>.
   * <P>
   * The common name or name in everyday use by which the Biller is
   * usually referred. For example, IBM may be the Biller Name rather than
   * the Biller Legal Name which would be 'International Business Machines
   * Corporation'. A Biller may be a single company or a specific division
   * within a company that is considered autonomous from a billing
   * perspective.
   */
  public  void   setReqBillerName( String o ) { reqBillerName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerNmTg</code>.
   * <P>
   * The common name or name in everyday use by which the Biller is
   * usually referred. For example, IBM may be the Biller Name rather than
   * the Biller Legal Name which would be 'International Business Machines
   * Corporation'. A Biller may be a single company or a specific division
   * within a company that is considered autonomous from a billing
   * perspective.
   */
  public  String getReqBillerName() { return (reqBillerName); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 1.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 1.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 1.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 2.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 2.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 2.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 3.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 3.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Biller. See Address Line 3.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Biller. See City.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Biller. See City.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Biller. See City.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Biller. See Province.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Biller. See Province.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Biller. See Province.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Biller. See State Code.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Biller. See State Code.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Biller. See State Code.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Biller. See Country Code.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Biller. See Country Code.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Biller. See Country Code.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Biller. See Zip Code.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Biller. See Zip Code.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Biller. See Zip Code.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Biller. See Postal Code.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Biller. See Postal Code.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Biller. See Postal Code.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqPrimaryBillerPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.PrimBillPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number for the specified
   * Primary Biller. For US Phones&colon. AAAXXXEEEE, left-justified and
   * padded on the right with blanks.
   */
  private String reqPrimaryBillerPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrimaryBillerPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.PrimBillPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number for the specified
   * Primary Biller. For US Phones&colon. AAAXXXEEEE, left-justified and
   * padded on the right with blanks.
   */
  public  void   setReqPrimaryBillerPhone( String o ) { reqPrimaryBillerPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrimaryBillerPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.PrimBillPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number for the specified
   * Primary Biller. For US Phones&colon. AAAXXXEEEE, left-justified and
   * padded on the right with blanks.
   */
  public  String getReqPrimaryBillerPhone() { return (reqPrimaryBillerPhone); }

  /**
   * <P>The attribute <code>reqBillerActivityFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerActvFTg</code>.
   * <P>
   * A code indicating if the biller is active.
   */
  private String reqBillerActivityFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerActivityFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerActvFTg</code>.
   * <P>
   * A code indicating if the biller is active.
   */
  public  void   setReqBillerActivityFlag( String o ) { reqBillerActivityFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerActivityFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerActvFTg</code>.
   * <P>
   * A code indicating if the biller is active.
   */
  public  String getReqBillerActivityFlag() { return (reqBillerActivityFlag); }

  /**
   * <P>The attribute <code>reqBillerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillerInqrTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String reqBillerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setReqBillerNumber( String o ) { reqBillerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillerInqrTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getReqBillerNumber() { return (reqBillerNumber); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>billerDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillerListTg.BillerDtlTg</code>.
   * <P>
   * Information (i.e., name, number, contact phone numbers) associated
   * with a biller and required by the Bill Pay Service.
   * <BR>
   */
  private GsBillerBascDtl[] billerDetail = null;

  /**
   * <P>Sets the value of the attribute <code>billerDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillerListTg.BillerDtlTg</code>.
   * <P>
   * Information (i.e., name, number, contact phone numbers) associated
   * with a biller and required by the Bill Pay Service.
   * <BR>
   */
  public  void              setBillerDetail(GsBillerBascDtl[] o )  { billerDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>billerDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillerListTg.BillerDtlTg</code>.
   * <P>
   * Information (i.e., name, number, contact phone numbers) associated
   * with a biller and required by the Bill Pay Service.
   * <BR>
   */
  public  GsBillerBascDtl[] getBillerDetail() { return (billerDetail); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtBillerInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumNumberOfRecords ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 

    if( reqBillerName != null && reqBillerName.length() > 40 )
      addArgToGMJI( reqBillerName.substring(0,40));
    else
      addArgToGMJI( reqBillerName ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqPrimaryBillerPhone != null && reqPrimaryBillerPhone.length() > 15 )
      addArgToGMJI( reqPrimaryBillerPhone.substring(0,15));
    else
      addArgToGMJI( reqPrimaryBillerPhone ); 

    if( reqBillerActivityFlag != null && reqBillerActivityFlag.length() > 1 )
      addArgToGMJI( reqBillerActivityFlag.substring(0,1));
    else
      addArgToGMJI( reqBillerActivityFlag ); 

    if( reqBillerNumber != null && reqBillerNumber.length() > 20 )
      addArgToGMJI( reqBillerNumber.substring(0,20));
    else
      addArgToGMJI( reqBillerNumber ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    billerDetail = new GsBillerBascDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      billerDetail[ i ] = new GsBillerBascDtl( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumNumberOfRecords = " + getReqMaximumNumberOfRecords() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "reqBillerName = " + getReqBillerName() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqPrimaryBillerPhone = " + getReqPrimaryBillerPhone() );
    pageWriter.println( prefix + "reqBillerActivityFlag = " + getReqBillerActivityFlag() );
    pageWriter.println( prefix + "reqBillerNumber = " + getReqBillerNumber() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "billerDetail =" );
    if( billerDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < billerDetail.length; j++ )
      {
        pageWriter.println( prefix + "billerDetail[" + j + "] =" );
        if( billerDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          billerDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumNumberOfRecords = getLongFromURL( req, prefix + "reqMaximumNumberOfRecords" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqBillerName = getCharFromURL( req, prefix + "reqBillerName" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqPrimaryBillerPhone = getCharFromURL( req, prefix + "reqPrimaryBillerPhone" );
    reqBillerActivityFlag = getCharFromURL( req, prefix + "reqBillerActivityFlag" );
    reqBillerNumber = getCharFromURL( req, prefix + "reqBillerNumber" );
  }
}
