//**********************************************
//
// FILE NAME: GtBusinessInvoiceInquiry.java
// TRANSACTION NAME: Business Invoice Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Business Invoice Inquiry Transaction</B>
 * <P>IFS ID: <B>bsinvinq</B>
 * <P>
 * A consumer may make an inquiry on Invoices entered.
 * <BR>
 * <P><B>BUSINESS_INVOICE_INQR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>BUS_INVOICE_INQUIRY_IMSG</B>
 *            <P>
 *            A consumer may enter a Business Invoice Identifier and/or a
 *            Financial Institution Reference number and/or a Service
 *            Provider Reference number to inquire on specific invoices.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>BUS_INVOICE_INQUIRY_OMSG</B>
 *            <P>
 *            Message used to return the business invoices meeting the
 *            specified search criteria.
 */
public class GtBusinessInvoiceInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtBusinessInvoiceInquiry() { }
  public GtBusinessInvoiceInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "bsinvinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberRecords( int o ) { reqMaximumNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberRecords() { return (reqMaximumNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqBusInvNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvInqRqstTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  private String reqBusInvNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  void   setReqBusInvNumber( String o ) { reqBusInvNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  String getReqBusInvNumber() { return (reqBusInvNumber); }

  /**
   * <P>The attribute <code>reqPymtNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  private String reqPymtNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  void   setReqPymtNbrId( String o ) { reqPymtNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  String getReqPymtNbrId() { return (reqPymtNbrId); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>invRec</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvRecLstTg.InvRecTg</code>.
   * <P>
   * Structure detailing a business invoice.
   * <BR>
   */
  private GsInvRec[] invRec = null;

  /**
   * <P>Sets the value of the attribute <code>invRec</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvRecLstTg.InvRecTg</code>.
   * <P>
   * Structure detailing a business invoice.
   * <BR>
   */
  public  void       setInvRec(GsInvRec[] o )  { invRec = o; }

  /**
   * <P>Gets the value of the attribute <code>invRec</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvRecLstTg.InvRecTg</code>.
   * <P>
   * Structure detailing a business invoice.
   * <BR>
   */
  public  GsInvRec[] getInvRec() { return (invRec); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtBusinessInvoiceInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    if( reqBusInvNumber != null && reqBusInvNumber.length() > 12 )
      addArgToGMJI( reqBusInvNumber.substring(0,12));
    else
      addArgToGMJI( reqBusInvNumber ); 

    if( reqPymtNbrId != null && reqPymtNbrId.length() > 36 )
      addArgToGMJI( reqPymtNbrId.substring(0,36));
    else
      addArgToGMJI( reqPymtNbrId ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    invRec = new GsInvRec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      invRec[ i ] = new GsInvRec( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumNumberRecords = " + getReqMaximumNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "reqBusInvNumber = " + getReqBusInvNumber() );
    pageWriter.println( prefix + "reqPymtNbrId = " + getReqPymtNbrId() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "invRec =" );
    if( invRec == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < invRec.length; j++ )
      {
        pageWriter.println( prefix + "invRec[" + j + "] =" );
        if( invRec[ j ] == null )
          pageWriter.println( " (null)" );
        else
          invRec[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumNumberRecords = getLongFromURL( req, prefix + "reqMaximumNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqBusInvNumber = getCharFromURL( req, prefix + "reqBusInvNumber" );
    reqPymtNbrId = getCharFromURL( req, prefix + "reqPymtNbrId" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
  }
}
