//**********************************************
//
// FILE NAME: GtCSRCustomerProfile.java
// TRANSACTION NAME: CSR - Consumer Profile Request Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>CSR - Consumer Profile Request Transaction</B>
 * <P>IFS ID: <B>csgcnsmr</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>CSR_CUST_PRFL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CSR_CUST_PRFL_IMSG</B>
 *
 * <P>Reply:   <B>CSR_CUST_PRFL_OMSG</B>
 */
public class GtCSRCustomerProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCSRCustomerProfile() { setContainsRespCode( 0 ); }
  public GtCSRCustomerProfile( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "csgcnsmr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsmrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqLastName( String o ) { reqLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqLastName() { return (reqLastName); }

  /**
   * <P>The attribute <code>reqMaximumNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsmrRqstTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  private int  reqMaximumNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  public  void setReqMaximumNumberRecords( int o ) { reqMaximumNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  public  int  getReqMaximumNumberRecords() { return (reqMaximumNumberRecords); }

  /**
   * <P>The attribute <code>reqFirstRecordIndex</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsmrRqstTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  private int  reqFirstRecordIndex = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFirstRecordIndex</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  public  void setReqFirstRecordIndex( int o ) { reqFirstRecordIndex = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFirstRecordIndex</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  public  int  getReqFirstRecordIndex() { return (reqFirstRecordIndex); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsmrRqstTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsmrRqstTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrfRspTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrfRspTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrfRspTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrfRspTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>consumerProfileDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrfRspTg.CnsmrPrflDtlTg</code>.
   * <P>
   * Information relevant to the Consumer held on the Consumer Profile
   * Details record.
   * <BR>
   */
  private GsCsrCnsmrPrflDtl[] consumerProfileDetail = null;

  /**
   * <P>Sets the value of the attribute <code>consumerProfileDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrfRspTg.CnsmrPrflDtlTg</code>.
   * <P>
   * Information relevant to the Consumer held on the Consumer Profile
   * Details record.
   * <BR>
   */
  public  void                setConsumerProfileDetail(GsCsrCnsmrPrflDtl[] o )  { consumerProfileDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerProfileDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrfRspTg.CnsmrPrflDtlTg</code>.
   * <P>
   * Information relevant to the Consumer held on the Consumer Profile
   * Details record.
   * <BR>
   */
  public  GsCsrCnsmrPrflDtl[] getConsumerProfileDetail() { return (consumerProfileDetail); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCSRCustomerProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqLastName != null && reqLastName.length() > 30 )
      addArgToGMJI( reqLastName.substring(0,30));
    else
      addArgToGMJI( reqLastName ); 
    addArgToGMJI( reqMaximumNumberRecords ); 
    addArgToGMJI( reqFirstRecordIndex ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    consumerProfileDetail = new GsCsrCnsmrPrflDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      consumerProfileDetail[ i ] = new GsCsrCnsmrPrflDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqLastName = " + getReqLastName() );
    pageWriter.println( prefix + "reqMaximumNumberRecords = " + getReqMaximumNumberRecords() );
    pageWriter.println( prefix + "reqFirstRecordIndex = " + getReqFirstRecordIndex() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "consumerProfileDetail =" );
    if( consumerProfileDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < consumerProfileDetail.length; j++ )
      {
        pageWriter.println( prefix + "consumerProfileDetail[" + j + "] =" );
        if( consumerProfileDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          consumerProfileDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqLastName = getCharFromURL( req, prefix + "reqLastName" );
    reqMaximumNumberRecords = getLongFromURL( req, prefix + "reqMaximumNumberRecords" );
    reqFirstRecordIndex = getLongFromURL( req, prefix + "reqFirstRecordIndex" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
  }
}
