//**********************************************
//
// FILE NAME: GtCSRShortConsumerProfile.java
// TRANSACTION NAME: CSR Short Consumer Profile Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>CSR Short Consumer Profile Transaction</B>
 * <P>IFS ID: <B>csscnsmr</B>
 * <P>
 * This transaction provides customer service with a method to obtain
 * summarized profiles of consumers by searching on their name.
 * <BR>
 * <P><B>CSR_SHRT_CNSMR_PRFL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CSR_SHRT_CNSMR_PRFL_IMSG</B>
 *            <P>
 *            This inquiry message contains the subscriber's last name and
 *            optionally, the first name to be searched. It is processed
 *            by IGATE.
 *
 * <P>Reply:   <B>CSR_SHRT_CNSMR_PRFL_OMSG</B>
 *            <P>
 *            The response message contains a subset of fields from the
 *            IFS_USR table for all entries that match the search
 *            criteria.
 */
public class GtCSRShortConsumerProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCSRShortConsumerProfile() { setContainsRespCode( 0 ); }
  public GtCSRShortConsumerProfile( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "csscnsmr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqConsumerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqConsumerLastName( String o ) { reqConsumerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqConsumerLastName() { return (reqConsumerLastName); }

  /**
   * <P>The attribute <code>reqConsumerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqConsumerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqConsumerFirstName( String o ) { reqConsumerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqConsumerFirstName() { return (reqConsumerFirstName); }

  /**
   * <P>The attribute <code>reqMaximumNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRqTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  private int  reqMaximumNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  public  void setReqMaximumNumberRecords( int o ) { reqMaximumNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.MaxNbrRcrdsValTg</code>.
   * <P>
   * See Maximum Number of Records.
   */
  public  int  getReqMaximumNumberRecords() { return (reqMaximumNumberRecords); }

  /**
   * <P>The attribute <code>reqFirstRecordIndex</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRqTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  private int  reqFirstRecordIndex = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFirstRecordIndex</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  public  void setReqFirstRecordIndex( int o ) { reqFirstRecordIndex = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFirstRecordIndex</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.FrstRcrdIndexValTg</code>.
   * <P>
   * The record number used as a starting index when a list of messages is
   * being retrieved.
   */
  public  int  getReqFirstRecordIndex() { return (reqFirstRecordIndex); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRqTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRqTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCSRShCnsmrRsTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRsTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRsTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCSRShCnsmrRsTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>consumerProfile</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCSRShCnsmrRsTg.CnsmrShrtPrflDtlTg</code>.
   * <BR>
   */
  private GsCsrShrtCnsmrPrflDtl[] consumerProfile = null;

  /**
   * <P>Sets the value of the attribute <code>consumerProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCSRShCnsmrRsTg.CnsmrShrtPrflDtlTg</code>.
   * <BR>
   */
  public  void                    setConsumerProfile(GsCsrShrtCnsmrPrflDtl[] o )  { consumerProfile = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCSRShCnsmrRsTg.CnsmrShrtPrflDtlTg</code>.
   * <BR>
   */
  public  GsCsrShrtCnsmrPrflDtl[] getConsumerProfile() { return (consumerProfile); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCSRShortConsumerProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerLastName != null && reqConsumerLastName.length() > 30 )
      addArgToGMJI( reqConsumerLastName.substring(0,30));
    else
      addArgToGMJI( reqConsumerLastName ); 

    if( reqConsumerFirstName != null && reqConsumerFirstName.length() > 30 )
      addArgToGMJI( reqConsumerFirstName.substring(0,30));
    else
      addArgToGMJI( reqConsumerFirstName ); 
    addArgToGMJI( reqMaximumNumberRecords ); 
    addArgToGMJI( reqFirstRecordIndex ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    consumerProfile = new GsCsrShrtCnsmrPrflDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      consumerProfile[ i ] = new GsCsrShrtCnsmrPrflDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerLastName = " + getReqConsumerLastName() );
    pageWriter.println( prefix + "reqConsumerFirstName = " + getReqConsumerFirstName() );
    pageWriter.println( prefix + "reqMaximumNumberRecords = " + getReqMaximumNumberRecords() );
    pageWriter.println( prefix + "reqFirstRecordIndex = " + getReqFirstRecordIndex() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "consumerProfile =" );
    if( consumerProfile == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < consumerProfile.length; j++ )
      {
        pageWriter.println( prefix + "consumerProfile[" + j + "] =" );
        if( consumerProfile[ j ] == null )
          pageWriter.println( " (null)" );
        else
          consumerProfile[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerLastName = getCharFromURL( req, prefix + "reqConsumerLastName" );
    reqConsumerFirstName = getCharFromURL( req, prefix + "reqConsumerFirstName" );
    reqMaximumNumberRecords = getLongFromURL( req, prefix + "reqMaximumNumberRecords" );
    reqFirstRecordIndex = getLongFromURL( req, prefix + "reqFirstRecordIndex" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
  }
}
