//**********************************************
//
// FILE NAME: GtCSRUpdateCustomerProfile.java
// TRANSACTION NAME: CSR - Update Consumer Profile Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>CSR - Update Consumer Profile Transaction</B>
 * <P>IFS ID: <B>csucnsmr</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>CSR_UPDT_CUST_PRFL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CSR_UPDT_CUST_PRFL_IMSG</B>
 *
 * <P>Reply:   <B>CSR_UPDT_CUST_PRFL_OMSG</B>
 */
public class GtCSRUpdateCustomerProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCSRUpdateCustomerProfile() { setContainsRespCode( 0 ); }
  public GtCSRUpdateCustomerProfile( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "csucnsmr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqConsumerNameLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  private String reqConsumerNameLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerNameLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  public  void   setReqConsumerNameLine1( String o ) { reqConsumerNameLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerNameLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  public  String getReqConsumerNameLine1() { return (reqConsumerNameLine1); }

  /**
   * <P>The attribute <code>reqLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqLastName( String o ) { reqLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqLastName() { return (reqLastName); }

  /**
   * <P>The attribute <code>reqFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqFirstName( String o ) { reqFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqFirstName() { return (reqFirstName); }

  /**
   * <P>The attribute <code>reqMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String reqMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setReqMiddleName( String o ) { reqMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getReqMiddleName() { return (reqMiddleName); }

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

  /**
   * <P>The attribute <code>reqIGNID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  private String reqIGNID = null;

  /**
   * <P>Sets the value of the attribute <code>reqIGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  void   setReqIGNID( String o ) { reqIGNID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  String getReqIGNID() { return (reqIGNID); }

  /**
   * <P>The attribute <code>reqSignupSource</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  private String reqSignupSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqSignupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  void   setReqSignupSource( String o ) { reqSignupSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSignupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  String getReqSignupSource() { return (reqSignupSource); }

  /**
   * <P>The attribute <code>reqEffectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  private GsDate reqEffectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  public  void   setReqEffectiveDate(GsDate o )  { reqEffectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  public  GsDate getReqEffectiveDate() { return (reqEffectiveDate); }

  /**
   * <P>The attribute <code>reqEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  private GsDate reqEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  public  void   setReqEndDate(GsDate o )  { reqEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  public  GsDate getReqEndDate() { return (reqEndDate); }

  /**
   * <P>The attribute <code>reqFirstActivityDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  private GsDate reqFirstActivityDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqFirstActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  public  void   setReqFirstActivityDate(GsDate o )  { reqFirstActivityDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFirstActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  public  GsDate getReqFirstActivityDate() { return (reqFirstActivityDate); }

  /**
   * <P>The attribute <code>reqLastActivityDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  private GsDate reqLastActivityDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  public  void   setReqLastActivityDate(GsDate o )  { reqLastActivityDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  public  GsDate getReqLastActivityDate() { return (reqLastActivityDate); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqHomePhone( String o ) { reqHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqHomePhone() { return (reqHomePhone); }

  /**
   * <P>The attribute <code>reqWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqWorkPhone( String o ) { reqWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqWorkPhone() { return (reqWorkPhone); }

  /**
   * <P>The attribute <code>reqFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  private String reqFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  void   setReqFaxNumber( String o ) { reqFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  String getReqFaxNumber() { return (reqFaxNumber); }

  /**
   * <P>The attribute <code>reqFIEmploymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  private String reqFIEmploymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  void   setReqFIEmploymentType( String o ) { reqFIEmploymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  String getReqFIEmploymentType() { return (reqFIEmploymentType); }

  /**
   * <P>The attribute <code>reqConsumerSuffix</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String reqConsumerSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setReqConsumerSuffix( String o ) { reqConsumerSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getReqConsumerSuffix() { return (reqConsumerSuffix); }

  /**
   * <P>The attribute <code>reqConsumerStatisticsType</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  private String reqConsumerStatisticsType = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerStatisticsType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  public  void   setReqConsumerStatisticsType( String o ) { reqConsumerStatisticsType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerStatisticsType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  public  String getReqConsumerStatisticsType() { return (reqConsumerStatisticsType); }

  /**
   * <P>The attribute <code>reqNumberConsumerPasswordRetrys</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  private int  reqNumberConsumerPasswordRetrys = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNumberConsumerPasswordRetrys</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  public  void setReqNumberConsumerPasswordRetrys( int o ) { reqNumberConsumerPasswordRetrys = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNumberConsumerPasswordRetrys</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  public  int  getReqNumberConsumerPasswordRetrys() { return (reqNumberConsumerPasswordRetrys); }

  /**
   * <P>The attribute <code>reqServiceChargePlan</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  private String reqServiceChargePlan = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  void   setReqServiceChargePlan( String o ) { reqServiceChargePlan = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  String getReqServiceChargePlan() { return (reqServiceChargePlan); }

  /**
   * <P>The attribute <code>reqConsumerCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String reqConsumerCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setReqConsumerCode( String o ) { reqConsumerCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getReqConsumerCode() { return (reqConsumerCode); }

  /**
   * <P>The attribute <code>reqTimestamp</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  private String reqTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  void   setReqTimestamp( String o ) { reqTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  String getReqTimestamp() { return (reqTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqConsumerMarketSegment</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  private int  reqConsumerMarketSegment = 0;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  void setReqConsumerMarketSegment( int o ) { reqConsumerMarketSegment = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  int  getReqConsumerMarketSegment() { return (reqConsumerMarketSegment); }

  /**
   * <P>The attribute <code>reqConsumerDivision</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  private int  reqConsumerDivision = 0;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerDivision</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  void setReqConsumerDivision( int o ) { reqConsumerDivision = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerDivision</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  int  getReqConsumerDivision() { return (reqConsumerDivision); }

  /**
   * <P>The attribute <code>reqCloseReasonCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  private String reqCloseReasonCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqCloseReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  public  void   setReqCloseReasonCode( String o ) { reqCloseReasonCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCloseReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  public  String getReqCloseReasonCode() { return (reqCloseReasonCode); }

  /**
   * <P>The attribute <code>reqChargeBasisCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  private String reqChargeBasisCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqChargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  void   setReqChargeBasisCode( String o ) { reqChargeBasisCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  String getReqChargeBasisCode() { return (reqChargeBasisCode); }

  /**
   * <P>The attribute <code>reqConsumerService</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  private GsCnsmrSrvcDtl[] reqConsumerService = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerService</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  public  void             setReqConsumerService(GsCnsmrSrvcDtl[] o )  { reqConsumerService = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerService</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  public  GsCnsmrSrvcDtl[] getReqConsumerService() { return (reqConsumerService); }

  private String reqConsumerService_packed = null;
  public  void   setReqConsumerService_packed(String o ) { reqConsumerService_packed = o; }
  public  String getReqConsumerService_packed() { return (reqConsumerService_packed); }


  /**
   * <P>The attribute <code>reqCnsmrEmailAddr</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String reqCnsmrEmailAddr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setReqCnsmrEmailAddr( String o ) { reqCnsmrEmailAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getReqCnsmrEmailAddr() { return (reqCnsmrEmailAddr); }

  /**
   * <P>The attribute <code>reqPrimCnsmrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String reqPrimCnsmrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrimCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setReqPrimCnsmrId( String o ) { reqPrimCnsmrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrimCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getReqPrimCnsmrId() { return (reqPrimCnsmrId); }

  /**
   * <P>The attribute <code>reqSecCnsmrMntAuthF</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  private int  reqSecCnsmrMntAuthF = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  void setReqSecCnsmrMntAuthF( int o ) { reqSecCnsmrMntAuthF = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  int  getReqSecCnsmrMntAuthF() { return (reqSecCnsmrMntAuthF); }

  /**
   * <P>The attribute <code>reqCnsmrLastNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrLastNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrLastNmAlt( String o ) { reqCnsmrLastNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrLastNmAlt() { return (reqCnsmrLastNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrFrstNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrFrstNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrFrstNmAlt( String o ) { reqCnsmrFrstNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrFrstNmAlt() { return (reqCnsmrFrstNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrMdlNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrMdlNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrMdlNmAlt( String o ) { reqCnsmrMdlNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrMdlNmAlt() { return (reqCnsmrMdlNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrSfxTpAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  private String reqCnsmrSfxTpAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  void   setReqCnsmrSfxTpAlt( String o ) { reqCnsmrSfxTpAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  String getReqCnsmrSfxTpAlt() { return (reqCnsmrSfxTpAlt); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>consumerNameLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  private String consumerNameLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>consumerNameLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  public  void   setConsumerNameLine1( String o ) { consumerNameLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerNameLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrNmLine1Tg</code>.
   * <P>
   * See Consumer Name Line 1.
   */
  public  String getConsumerNameLine1() { return (consumerNameLine1); }

  /**
   * <P>The attribute <code>lastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String lastName = null;

  /**
   * <P>Sets the value of the attribute <code>lastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setLastName( String o ) { lastName = o; }

  /**
   * <P>Gets the value of the attribute <code>lastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getLastName() { return (lastName); }

  /**
   * <P>The attribute <code>firstName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String firstName = null;

  /**
   * <P>Sets the value of the attribute <code>firstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setFirstName( String o ) { firstName = o; }

  /**
   * <P>Gets the value of the attribute <code>firstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getFirstName() { return (firstName); }

  /**
   * <P>The attribute <code>middleName</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String middleName = null;

  /**
   * <P>Sets the value of the attribute <code>middleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setMiddleName( String o ) { middleName = o; }

  /**
   * <P>Gets the value of the attribute <code>middleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getMiddleName() { return (middleName); }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>iGNID</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  private String iGNID = null;

  /**
   * <P>Sets the value of the attribute <code>iGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  void   setIGNID( String o ) { iGNID = o; }

  /**
   * <P>Gets the value of the attribute <code>iGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  String getIGNID() { return (iGNID); }

  /**
   * <P>The attribute <code>signupSource</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  private String signupSource = null;

  /**
   * <P>Sets the value of the attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  void   setSignupSource( String o ) { signupSource = o; }

  /**
   * <P>Gets the value of the attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  String getSignupSource() { return (signupSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSignupSrcTg</code>.
   */
  public  String getSignupSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrSignupSrcResources", locale, getSignupSource() );
  }

  /**
   * <P>The attribute <code>effectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  private GsDate effectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  public  void   setEffectiveDate(GsDate o )  { effectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEffDtValTg</code>.
   * <P>
   * See Consumer Effective Date.
   * <BR>
   */
  public  GsDate getEffectiveDate() { return (effectiveDate); }

  /**
   * <P>The attribute <code>endDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  private GsDate endDate = null;

  /**
   * <P>Sets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  public  void   setEndDate(GsDate o )  { endDate = o; }

  /**
   * <P>Gets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEndDtValTg</code>.
   * <P>
   * See Consumer End Date.
   * <BR>
   */
  public  GsDate getEndDate() { return (endDate); }

  /**
   * <P>The attribute <code>firstActivityDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  private GsDate firstActivityDate = null;

  /**
   * <P>Sets the value of the attribute <code>firstActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  public  void   setFirstActivityDate(GsDate o )  { firstActivityDate = o; }

  /**
   * <P>Gets the value of the attribute <code>firstActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstActyDtTg</code>.
   * <P>
   * The date when the consumer first became active within the system.
   * <BR>
   */
  public  GsDate getFirstActivityDate() { return (firstActivityDate); }

  /**
   * <P>The attribute <code>lastActivityDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  private GsDate lastActivityDate = null;

  /**
   * <P>Sets the value of the attribute <code>lastActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  public  void   setLastActivityDate(GsDate o )  { lastActivityDate = o; }

  /**
   * <P>Gets the value of the attribute <code>lastActivityDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastActyDtTg</code>.
   * <P>
   * The date when the consumer was last active on the system.
   * <BR>
   */
  public  GsDate getLastActivityDate() { return (lastActivityDate); }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getPostalCode() { return (postalCode); }

  /**
   * <P>The attribute <code>homePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String homePhone = null;

  /**
   * <P>Sets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setHomePhone( String o ) { homePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getHomePhone() { return (homePhone); }

  /**
   * <P>The attribute <code>workPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String workPhone = null;

  /**
   * <P>Sets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setWorkPhone( String o ) { workPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getWorkPhone() { return (workPhone); }

  /**
   * <P>The attribute <code>faxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  private String faxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  void   setFaxNumber( String o ) { faxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  String getFaxNumber() { return (faxNumber); }

  /**
   * <P>The attribute <code>fIEmploymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  private String fIEmploymentType = null;

  /**
   * <P>Sets the value of the attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  void   setFIEmploymentType( String o ) { fIEmploymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  String getFIEmploymentType() { return (fIEmploymentType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.FiEmpTpIndTg</code>.
   */
  public  String getFIEmploymentType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiEmpTpIndResources", locale, getFIEmploymentType() );
  }

  /**
   * <P>The attribute <code>consumerSuffix</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String consumerSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>consumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setConsumerSuffix( String o ) { consumerSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getConsumerSuffix() { return (consumerSuffix); }

  /**
   * <P>The attribute <code>consumerStatisticsType</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  private String consumerStatisticsType = null;

  /**
   * <P>Sets the value of the attribute <code>consumerStatisticsType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  public  void   setConsumerStatisticsType( String o ) { consumerStatisticsType = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerStatisticsType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   * <P>
   * A code, identifying the status (life-cycle state) of the consumer
   * within the system.
   */
  public  String getConsumerStatisticsType() { return (consumerStatisticsType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerStatisticsType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrStatTpClTg</code>.
   */
  public  String getConsumerStatisticsType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrStatTpClResources", locale, getConsumerStatisticsType() );
  }

  /**
   * <P>The attribute <code>numberConsumerPasswordRetrys</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  private int  numberConsumerPasswordRetrys = 0;

  /**
   * <P>Sets the value of the attribute <code>numberConsumerPasswordRetrys</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  public  void setNumberConsumerPasswordRetrys( int o ) { numberConsumerPasswordRetrys = o; }

  /**
   * <P>Gets the value of the attribute <code>numberConsumerPasswordRetrys</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.NbrCnsmrPswdRtrTg</code>.
   * <P>
   * The number of times the consumer entered an invalid \ when logging
   * on, since the last successful logon.
   */
  public  int  getNumberConsumerPasswordRetrys() { return (numberConsumerPasswordRetrys); }

  /**
   * <P>The attribute <code>serviceChargePlan</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  private String serviceChargePlan = null;

  /**
   * <P>Sets the value of the attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  void   setServiceChargePlan( String o ) { serviceChargePlan = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  String getServiceChargePlan() { return (serviceChargePlan); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SrvcChrgPlnTg</code>.
   */
  public  String getServiceChargePlan_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSrvcChrgPlnResources", locale, getServiceChargePlan() );
  }

  /**
   * <P>The attribute <code>consumerCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String consumerCode = null;

  /**
   * <P>Sets the value of the attribute <code>consumerCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setConsumerCode( String o ) { consumerCode = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getConsumerCode() { return (consumerCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrTpClTg</code>.
   */
  public  String getConsumerCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrTpClResources", locale, getConsumerCode() );
  }

  /**
   * <P>The attribute <code>timestamp</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  private String timestamp = null;

  /**
   * <P>Sets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  void   setTimestamp( String o ) { timestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  String getTimestamp() { return (timestamp); }

  /**
   * <P>The attribute <code>gMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  private int  gMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  void setGMTOffsetMinutes( int o ) { gMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  int  getGMTOffsetMinutes() { return (gMTOffsetMinutes); }

  /**
   * <P>The attribute <code>consumerMarketSegment</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  private int  consumerMarketSegment = 0;

  /**
   * <P>Sets the value of the attribute <code>consumerMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  void setConsumerMarketSegment( int o ) { consumerMarketSegment = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  int  getConsumerMarketSegment() { return (consumerMarketSegment); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerMarketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMktSegTg</code>.
   */
  public  String getConsumerMarketSegment_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrMktSegResources", locale,
                       String.valueOf( getConsumerMarketSegment() ) );
  }

  /**
   * <P>The attribute <code>consumerDivision</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  private int  consumerDivision = 0;

  /**
   * <P>Sets the value of the attribute <code>consumerDivision</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  void setConsumerDivision( int o ) { consumerDivision = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerDivision</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  int  getConsumerDivision() { return (consumerDivision); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerDivision</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrDivisionTg</code>.
   */
  public  String getConsumerDivision_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrDivisionResources", locale,
                       String.valueOf( getConsumerDivision() ) );
  }

  /**
   * <P>The attribute <code>closeReasonCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  private String closeReasonCode = null;

  /**
   * <P>Sets the value of the attribute <code>closeReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  public  void   setCloseReasonCode( String o ) { closeReasonCode = o; }

  /**
   * <P>Gets the value of the attribute <code>closeReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   * <P>
   * A code indicating the reason for a Consumer leaving IFS.
   */
  public  String getCloseReasonCode() { return (closeReasonCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>closeReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ClsRsnCodeTg</code>.
   */
  public  String getCloseReasonCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsClsRsnCodeResources", locale, getCloseReasonCode() );
  }

  /**
   * <P>The attribute <code>chargeBasisCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  private String chargeBasisCode = null;

  /**
   * <P>Sets the value of the attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  void   setChargeBasisCode( String o ) { chargeBasisCode = o; }

  /**
   * <P>Gets the value of the attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  String getChargeBasisCode() { return (chargeBasisCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.ChrgBasisTpClTg</code>.
   */
  public  String getChargeBasisCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsChrgBasisTpClResources", locale, getChargeBasisCode() );
  }

  /**
   * <P>The attribute <code>consumerService</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  private GsCnsmrSrvcDtl[] consumerService = null;

  /**
   * <P>Sets the value of the attribute <code>consumerService</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  public  void             setConsumerService(GsCnsmrSrvcDtl[] o )  { consumerService = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerService</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSrvcTg</code>.
   * <P>
   * A repeating structure each containing information relating to
   * Consumer Authorization for a specific Service.
   * <BR>
   */
  public  GsCnsmrSrvcDtl[] getConsumerService() { return (consumerService); }

  /**
   * <P>The attribute <code>cnsmrEmailAddr</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String cnsmrEmailAddr = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setCnsmrEmailAddr( String o ) { cnsmrEmailAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getCnsmrEmailAddr() { return (cnsmrEmailAddr); }

  /**
   * <P>The attribute <code>primCnsmrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrId = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrId( String o ) { primCnsmrId = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrId() { return (primCnsmrId); }

  /**
   * <P>The attribute <code>secCnsmrMntAuthF</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  private int  secCnsmrMntAuthF = 0;

  /**
   * <P>Sets the value of the attribute <code>secCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  void setSecCnsmrMntAuthF( int o ) { secCnsmrMntAuthF = o; }

  /**
   * <P>Gets the value of the attribute <code>secCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  int  getSecCnsmrMntAuthF() { return (secCnsmrMntAuthF); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>secCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.SecCnsmrMntAuthFTg</code>.
   */
  public  String getSecCnsmrMntAuthF_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSecCnsmrMntAuthFResources", locale,
                       String.valueOf( getSecCnsmrMntAuthF() ) );
  }

  /**
   * <P>The attribute <code>cnsmrLastNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String cnsmrLastNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setCnsmrLastNmAlt( String o ) { cnsmrLastNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getCnsmrLastNmAlt() { return (cnsmrLastNmAlt); }

  /**
   * <P>The attribute <code>cnsmrFrstNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String cnsmrFrstNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setCnsmrFrstNmAlt( String o ) { cnsmrFrstNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getCnsmrFrstNmAlt() { return (cnsmrFrstNmAlt); }

  /**
   * <P>The attribute <code>cnsmrMdlNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String cnsmrMdlNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setCnsmrMdlNmAlt( String o ) { cnsmrMdlNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getCnsmrMdlNmAlt() { return (cnsmrMdlNmAlt); }

  /**
   * <P>The attribute <code>cnsmrSfxTpAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  private String cnsmrSfxTpAlt = null;

  /**
   * <P>Sets the value of the attribute <code>cnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  void   setCnsmrSfxTpAlt( String o ) { cnsmrSfxTpAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>cnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  String getCnsmrSfxTpAlt() { return (cnsmrSfxTpAlt); }

  /**
   * <P>The attribute <code>addrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String addrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setAddrLine1Nm( String o ) { addrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getAddrLine1Nm() { return (addrLine1Nm); }

  /**
   * <P>The attribute <code>addrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String addrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setAddrLine2Nm( String o ) { addrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getAddrLine2Nm() { return (addrLine2Nm); }

  /**
   * <P>The attribute <code>addrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String addrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setAddrLine3Nm( String o ) { addrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getAddrLine3Nm() { return (addrLine3Nm); }

  /**
   * <P>The attribute <code>cityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String cityNm = null;

  /**
   * <P>Sets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setCityNm( String o ) { cityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getCityNm() { return (cityNm); }

  /**
   * <P>The attribute <code>provNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String provNm = null;

  /**
   * <P>Sets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setProvNm( String o ) { provNm = o; }

  /**
   * <P>Gets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getProvNm() { return (provNm); }

  /**
   * <P>The attribute <code>stateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String stateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setStateCodeCl( String o ) { stateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getStateCodeCl() { return (stateCodeCl); }

  /**
   * <P>The attribute <code>cntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String cntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setCntryCodeCl( String o ) { cntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getCntryCodeCl() { return (cntryCodeCl); }

  /**
   * <P>The attribute <code>zipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  private String zipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  void   setZipCodeCl( String o ) { zipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  String getZipCodeCl() { return (zipCodeCl); }

  /**
   * <P>The attribute <code>pstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String pstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setPstCodeCl( String o ) { pstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCsrCnsrPrlfDtTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getPstCodeCl() { return (pstCodeCl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCSRUpdateCustomerProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 

    if( reqConsumerNameLine1 != null && reqConsumerNameLine1.length() > 40 )
      addArgToGMJI( reqConsumerNameLine1.substring(0,40));
    else
      addArgToGMJI( reqConsumerNameLine1 ); 

    if( reqLastName != null && reqLastName.length() > 30 )
      addArgToGMJI( reqLastName.substring(0,30));
    else
      addArgToGMJI( reqLastName ); 

    if( reqFirstName != null && reqFirstName.length() > 30 )
      addArgToGMJI( reqFirstName.substring(0,30));
    else
      addArgToGMJI( reqFirstName ); 

    if( reqMiddleName != null && reqMiddleName.length() > 20 )
      addArgToGMJI( reqMiddleName.substring(0,20));
    else
      addArgToGMJI( reqMiddleName ); 

    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    if( reqIGNID != null && reqIGNID.length() > 8 )
      addArgToGMJI( reqIGNID.substring(0,8));
    else
      addArgToGMJI( reqIGNID ); 

    if( reqSignupSource != null && reqSignupSource.length() > 3 )
      addArgToGMJI( reqSignupSource.substring(0,3));
    else
      addArgToGMJI( reqSignupSource ); 
    GsDate.addPropertiesToGMJI( reqEffectiveDate, this );
    GsDate.addPropertiesToGMJI( reqEndDate, this );
    GsDate.addPropertiesToGMJI( reqFirstActivityDate, this );
    GsDate.addPropertiesToGMJI( reqLastActivityDate, this );

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqHomePhone != null && reqHomePhone.length() > 15 )
      addArgToGMJI( reqHomePhone.substring(0,15));
    else
      addArgToGMJI( reqHomePhone ); 

    if( reqWorkPhone != null && reqWorkPhone.length() > 15 )
      addArgToGMJI( reqWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqWorkPhone ); 

    if( reqFaxNumber != null && reqFaxNumber.length() > 15 )
      addArgToGMJI( reqFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqFaxNumber ); 

    if( reqFIEmploymentType != null && reqFIEmploymentType.length() > 3 )
      addArgToGMJI( reqFIEmploymentType.substring(0,3));
    else
      addArgToGMJI( reqFIEmploymentType ); 

    if( reqConsumerSuffix != null && reqConsumerSuffix.length() > 8 )
      addArgToGMJI( reqConsumerSuffix.substring(0,8));
    else
      addArgToGMJI( reqConsumerSuffix ); 

    if( reqConsumerStatisticsType != null && reqConsumerStatisticsType.length() > 1 )
      addArgToGMJI( reqConsumerStatisticsType.substring(0,1));
    else
      addArgToGMJI( reqConsumerStatisticsType ); 
    addArgToGMJI( reqNumberConsumerPasswordRetrys ); 

    if( reqServiceChargePlan != null && reqServiceChargePlan.length() > 1 )
      addArgToGMJI( reqServiceChargePlan.substring(0,1));
    else
      addArgToGMJI( reqServiceChargePlan ); 

    if( reqConsumerCode != null && reqConsumerCode.length() > 1 )
      addArgToGMJI( reqConsumerCode.substring(0,1));
    else
      addArgToGMJI( reqConsumerCode ); 

    if( reqTimestamp != null && reqTimestamp.length() > 26 )
      addArgToGMJI( reqTimestamp.substring(0,26));
    else
      addArgToGMJI( reqTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 
    addArgToGMJI( reqConsumerMarketSegment ); 
    addArgToGMJI( reqConsumerDivision ); 

    if( reqCloseReasonCode != null && reqCloseReasonCode.length() > 8 )
      addArgToGMJI( reqCloseReasonCode.substring(0,8));
    else
      addArgToGMJI( reqCloseReasonCode ); 

    if( reqChargeBasisCode != null && reqChargeBasisCode.length() > 1 )
      addArgToGMJI( reqChargeBasisCode.substring(0,1));
    else
      addArgToGMJI( reqChargeBasisCode ); 
    if( reqConsumerService != null )
    {
      reqConsumerService_packed = GsCnsmrSrvcDtl.pack( reqConsumerService );
      addArgToGMJI( reqConsumerService_packed );
    } else {
      addArgToGMJI();
    }

    if( reqCnsmrEmailAddr != null && reqCnsmrEmailAddr.length() > 128 )
      addArgToGMJI( reqCnsmrEmailAddr.substring(0,128));
    else
      addArgToGMJI( reqCnsmrEmailAddr ); 

    if( reqPrimCnsmrId != null && reqPrimCnsmrId.length() > 30 )
      addArgToGMJI( reqPrimCnsmrId.substring(0,30));
    else
      addArgToGMJI( reqPrimCnsmrId ); 
    addArgToGMJI( reqSecCnsmrMntAuthF ); 

    if( reqCnsmrLastNmAlt != null && reqCnsmrLastNmAlt.length() > 30 )
      addArgToGMJI( reqCnsmrLastNmAlt.substring(0,30));
    else
      addArgToGMJI( reqCnsmrLastNmAlt ); 

    if( reqCnsmrFrstNmAlt != null && reqCnsmrFrstNmAlt.length() > 30 )
      addArgToGMJI( reqCnsmrFrstNmAlt.substring(0,30));
    else
      addArgToGMJI( reqCnsmrFrstNmAlt ); 

    if( reqCnsmrMdlNmAlt != null && reqCnsmrMdlNmAlt.length() > 20 )
      addArgToGMJI( reqCnsmrMdlNmAlt.substring(0,20));
    else
      addArgToGMJI( reqCnsmrMdlNmAlt ); 

    if( reqCnsmrSfxTpAlt != null && reqCnsmrSfxTpAlt.length() > 8 )
      addArgToGMJI( reqCnsmrSfxTpAlt.substring(0,8));
    else
      addArgToGMJI( reqCnsmrSfxTpAlt ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    consumerNameLine1 = txn.getNextNlsCharFromGMJO( 40, "consumerNameLine1" );
    lastName = txn.getNextNlsCharFromGMJO( 30, "lastName" );
    firstName = txn.getNextNlsCharFromGMJO( 30, "firstName" );
    middleName = txn.getNextNlsCharFromGMJO( 20, "middleName" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    iGNID = txn.getNextCharFromGMJO( 8, "iGNID" );
    signupSource = txn.getNextCharFromGMJO( 3, "signupSource" );
    effectiveDate = new GsDate( txn, "effectiveDate" );
    endDate = new GsDate( txn, "endDate" );
    firstActivityDate = new GsDate( txn, "firstActivityDate" );
    lastActivityDate = new GsDate( txn, "lastActivityDate" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    homePhone = txn.getNextCharFromGMJO( 15, "homePhone" );
    workPhone = txn.getNextCharFromGMJO( 15, "workPhone" );
    faxNumber = txn.getNextCharFromGMJO( 15, "faxNumber" );
    fIEmploymentType = txn.getNextCharFromGMJO( 3, "fIEmploymentType" );
    consumerSuffix = txn.getNextNlsCharFromGMJO( 8, "consumerSuffix" );
    consumerStatisticsType = txn.getNextCharFromGMJO( 1, "consumerStatisticsType" );
    numberConsumerPasswordRetrys = txn.getNextLongFromGMJO( "numberConsumerPasswordRetrys" );
    serviceChargePlan = txn.getNextCharFromGMJO( 1, "serviceChargePlan" );
    consumerCode = txn.getNextCharFromGMJO( 1, "consumerCode" );
    timestamp = txn.getNextCharFromGMJO( 26, "timestamp" );
    gMTOffsetMinutes = txn.getNextLongFromGMJO( "gMTOffsetMinutes" );
    consumerMarketSegment = txn.getNextLongFromGMJO( "consumerMarketSegment" );
    consumerDivision = txn.getNextLongFromGMJO( "consumerDivision" );
    closeReasonCode = txn.getNextCharFromGMJO( 8, "closeReasonCode" );
    chargeBasisCode = txn.getNextCharFromGMJO( 1, "chargeBasisCode" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    consumerService = new GsCnsmrSrvcDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      consumerService[ i ] = new GsCnsmrSrvcDtl( txn );
    }
    cnsmrEmailAddr = txn.getNextCharFromGMJO( 128, "cnsmrEmailAddr" );
    primCnsmrId = txn.getNextCharFromGMJO( 30, "primCnsmrId" );
    secCnsmrMntAuthF = txn.getNextLongFromGMJO( "secCnsmrMntAuthF" );
    cnsmrLastNmAlt = txn.getNextNlsCharFromGMJO( 30, "cnsmrLastNmAlt" );
    cnsmrFrstNmAlt = txn.getNextNlsCharFromGMJO( 30, "cnsmrFrstNmAlt" );
    cnsmrMdlNmAlt = txn.getNextNlsCharFromGMJO( 20, "cnsmrMdlNmAlt" );
    cnsmrSfxTpAlt = txn.getNextNlsCharFromGMJO( 8, "cnsmrSfxTpAlt" );
    addrLine1Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine1Nm" );
    addrLine2Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine2Nm" );
    addrLine3Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine3Nm" );
    cityNm = txn.getNextNlsCharFromGMJO( 30, "cityNm" );
    provNm = txn.getNextNlsCharFromGMJO( 30, "provNm" );
    stateCodeCl = txn.getNextCharFromGMJO( 2, "stateCodeCl" );
    cntryCodeCl = txn.getNextCharFromGMJO( 3, "cntryCodeCl" );
    zipCodeCl = txn.getNextCharFromGMJO( 9, "zipCodeCl" );
    pstCodeCl = txn.getNextCharFromGMJO( 6, "pstCodeCl" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqConsumerNameLine1 = " + getReqConsumerNameLine1() );
    pageWriter.println( prefix + "reqLastName = " + getReqLastName() );
    pageWriter.println( prefix + "reqFirstName = " + getReqFirstName() );
    pageWriter.println( prefix + "reqMiddleName = " + getReqMiddleName() );
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "reqIGNID = " + getReqIGNID() );
    pageWriter.println( prefix + "reqSignupSource = " + getReqSignupSource() );

    pageWriter.println( prefix + "reqEffectiveDate =" );
    if( reqEffectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDate =" );
    if( reqEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFirstActivityDate =" );
    if( reqFirstActivityDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFirstActivityDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLastActivityDate =" );
    if( reqLastActivityDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLastActivityDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqHomePhone = " + getReqHomePhone() );
    pageWriter.println( prefix + "reqWorkPhone = " + getReqWorkPhone() );
    pageWriter.println( prefix + "reqFaxNumber = " + getReqFaxNumber() );
    pageWriter.println( prefix + "reqFIEmploymentType = " + getReqFIEmploymentType() );
    pageWriter.println( prefix + "reqConsumerSuffix = " + getReqConsumerSuffix() );
    pageWriter.println( prefix + "reqConsumerStatisticsType = " + getReqConsumerStatisticsType() );
    pageWriter.println( prefix + "reqNumberConsumerPasswordRetrys = " + getReqNumberConsumerPasswordRetrys() );
    pageWriter.println( prefix + "reqServiceChargePlan = " + getReqServiceChargePlan() );
    pageWriter.println( prefix + "reqConsumerCode = " + getReqConsumerCode() );
    pageWriter.println( prefix + "reqTimestamp = " + getReqTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqConsumerMarketSegment = " + getReqConsumerMarketSegment() );
    pageWriter.println( prefix + "reqConsumerDivision = " + getReqConsumerDivision() );
    pageWriter.println( prefix + "reqCloseReasonCode = " + getReqCloseReasonCode() );
    pageWriter.println( prefix + "reqChargeBasisCode = " + getReqChargeBasisCode() );

    pageWriter.println( prefix + "reqConsumerService =" );
    if( reqConsumerService == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqConsumerService.length; j++ )
      {
        pageWriter.println( prefix + "reqConsumerService[" + j + "] =" );
        if( reqConsumerService[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqConsumerService[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqConsumerService_packed = " + getReqConsumerService_packed() );
    pageWriter.println( prefix + "reqCnsmrEmailAddr = " + getReqCnsmrEmailAddr() );
    pageWriter.println( prefix + "reqPrimCnsmrId = " + getReqPrimCnsmrId() );
    pageWriter.println( prefix + "reqSecCnsmrMntAuthF = " + getReqSecCnsmrMntAuthF() );
    pageWriter.println( prefix + "reqCnsmrLastNmAlt = " + getReqCnsmrLastNmAlt() );
    pageWriter.println( prefix + "reqCnsmrFrstNmAlt = " + getReqCnsmrFrstNmAlt() );
    pageWriter.println( prefix + "reqCnsmrMdlNmAlt = " + getReqCnsmrMdlNmAlt() );
    pageWriter.println( prefix + "reqCnsmrSfxTpAlt = " + getReqCnsmrSfxTpAlt() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "consumerNameLine1 = " + getConsumerNameLine1() );
    pageWriter.println( prefix + "lastName = " + getLastName() );
    pageWriter.println( prefix + "firstName = " + getFirstName() );
    pageWriter.println( prefix + "middleName = " + getMiddleName() );
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "iGNID = " + getIGNID() );
    pageWriter.println( prefix + "signupSource = " + getSignupSource() );
    try {
      pageWriter.println( prefix + "signupSource_text = " + getSignupSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "signupSource_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "effectiveDate =" );
    if( effectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      effectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "endDate =" );
    if( endDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      endDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "firstActivityDate =" );
    if( firstActivityDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      firstActivityDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "lastActivityDate =" );
    if( lastActivityDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      lastActivityDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );
    pageWriter.println( prefix + "homePhone = " + getHomePhone() );
    pageWriter.println( prefix + "workPhone = " + getWorkPhone() );
    pageWriter.println( prefix + "faxNumber = " + getFaxNumber() );
    pageWriter.println( prefix + "fIEmploymentType = " + getFIEmploymentType() );
    try {
      pageWriter.println( prefix + "fIEmploymentType_text = " + getFIEmploymentType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIEmploymentType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerSuffix = " + getConsumerSuffix() );
    pageWriter.println( prefix + "consumerStatisticsType = " + getConsumerStatisticsType() );
    try {
      pageWriter.println( prefix + "consumerStatisticsType_text = " + getConsumerStatisticsType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerStatisticsType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "numberConsumerPasswordRetrys = " + getNumberConsumerPasswordRetrys() );
    pageWriter.println( prefix + "serviceChargePlan = " + getServiceChargePlan() );
    try {
      pageWriter.println( prefix + "serviceChargePlan_text = " + getServiceChargePlan_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceChargePlan_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerCode = " + getConsumerCode() );
    try {
      pageWriter.println( prefix + "consumerCode_text = " + getConsumerCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "timestamp = " + getTimestamp() );
    pageWriter.println( prefix + "gMTOffsetMinutes = " + getGMTOffsetMinutes() );
    pageWriter.println( prefix + "consumerMarketSegment = " + getConsumerMarketSegment() );
    try {
      pageWriter.println( prefix + "consumerMarketSegment_text = " + getConsumerMarketSegment_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerMarketSegment_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerDivision = " + getConsumerDivision() );
    try {
      pageWriter.println( prefix + "consumerDivision_text = " + getConsumerDivision_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerDivision_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "closeReasonCode = " + getCloseReasonCode() );
    try {
      pageWriter.println( prefix + "closeReasonCode_text = " + getCloseReasonCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "closeReasonCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "chargeBasisCode = " + getChargeBasisCode() );
    try {
      pageWriter.println( prefix + "chargeBasisCode_text = " + getChargeBasisCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "chargeBasisCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "consumerService =" );
    if( consumerService == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < consumerService.length; j++ )
      {
        pageWriter.println( prefix + "consumerService[" + j + "] =" );
        if( consumerService[ j ] == null )
          pageWriter.println( " (null)" );
        else
          consumerService[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "cnsmrEmailAddr = " + getCnsmrEmailAddr() );
    pageWriter.println( prefix + "primCnsmrId = " + getPrimCnsmrId() );
    pageWriter.println( prefix + "secCnsmrMntAuthF = " + getSecCnsmrMntAuthF() );
    try {
      pageWriter.println( prefix + "secCnsmrMntAuthF_text = " + getSecCnsmrMntAuthF_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "secCnsmrMntAuthF_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "cnsmrLastNmAlt = " + getCnsmrLastNmAlt() );
    pageWriter.println( prefix + "cnsmrFrstNmAlt = " + getCnsmrFrstNmAlt() );
    pageWriter.println( prefix + "cnsmrMdlNmAlt = " + getCnsmrMdlNmAlt() );
    pageWriter.println( prefix + "cnsmrSfxTpAlt = " + getCnsmrSfxTpAlt() );
    pageWriter.println( prefix + "addrLine1Nm = " + getAddrLine1Nm() );
    pageWriter.println( prefix + "addrLine2Nm = " + getAddrLine2Nm() );
    pageWriter.println( prefix + "addrLine3Nm = " + getAddrLine3Nm() );
    pageWriter.println( prefix + "cityNm = " + getCityNm() );
    pageWriter.println( prefix + "provNm = " + getProvNm() );
    pageWriter.println( prefix + "stateCodeCl = " + getStateCodeCl() );
    pageWriter.println( prefix + "cntryCodeCl = " + getCntryCodeCl() );
    pageWriter.println( prefix + "zipCodeCl = " + getZipCodeCl() );
    pageWriter.println( prefix + "pstCodeCl = " + getPstCodeCl() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqConsumerNameLine1 = getCharFromURL( req, prefix + "reqConsumerNameLine1" );
    reqLastName = getCharFromURL( req, prefix + "reqLastName" );
    reqFirstName = getCharFromURL( req, prefix + "reqFirstName" );
    reqMiddleName = getCharFromURL( req, prefix + "reqMiddleName" );
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
    reqIGNID = getCharFromURL( req, prefix + "reqIGNID" );
    reqSignupSource = getCharFromURL( req, prefix + "reqSignupSource" );
    reqEffectiveDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffectiveDate", "GtCSRUpdateCustomerProfile" );
    reqEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDate", "GtCSRUpdateCustomerProfile" );
    reqFirstActivityDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqFirstActivityDate", "GtCSRUpdateCustomerProfile" );
    reqLastActivityDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqLastActivityDate", "GtCSRUpdateCustomerProfile" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqHomePhone = getCharFromURL( req, prefix + "reqHomePhone" );
    reqWorkPhone = getCharFromURL( req, prefix + "reqWorkPhone" );
    reqFaxNumber = getCharFromURL( req, prefix + "reqFaxNumber" );
    reqFIEmploymentType = getCharFromURL( req, prefix + "reqFIEmploymentType" );
    reqConsumerSuffix = getCharFromURL( req, prefix + "reqConsumerSuffix" );
    reqConsumerStatisticsType = getCharFromURL( req, prefix + "reqConsumerStatisticsType" );
    reqNumberConsumerPasswordRetrys = getLongFromURL( req, prefix + "reqNumberConsumerPasswordRetrys" );
    reqServiceChargePlan = getCharFromURL( req, prefix + "reqServiceChargePlan" );
    reqConsumerCode = getCharFromURL( req, prefix + "reqConsumerCode" );
    reqTimestamp = getCharFromURL( req, prefix + "reqTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );
    reqConsumerMarketSegment = getLongFromURL( req, prefix + "reqConsumerMarketSegment" );
    reqConsumerDivision = getLongFromURL( req, prefix + "reqConsumerDivision" );
    reqCloseReasonCode = getCharFromURL( req, prefix + "reqCloseReasonCode" );
    reqChargeBasisCode = getCharFromURL( req, prefix + "reqChargeBasisCode" );

    repeatCounter = getLongFromURL( req, prefix + "reqConsumerService_repeatCounter" );
    reqConsumerService = new GsCnsmrSrvcDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqConsumerService[ i ] = new GsCnsmrSrvcDtl(getIfsSession());
      reqConsumerService[ i ].populateFromURL( txn, req, prefix + "reqConsumerService_" + i + "_" );
    }
    reqCnsmrEmailAddr = getCharFromURL( req, prefix + "reqCnsmrEmailAddr" );
    reqPrimCnsmrId = getCharFromURL( req, prefix + "reqPrimCnsmrId" );
    reqSecCnsmrMntAuthF = getLongFromURL( req, prefix + "reqSecCnsmrMntAuthF" );
    reqCnsmrLastNmAlt = getCharFromURL( req, prefix + "reqCnsmrLastNmAlt" );
    reqCnsmrFrstNmAlt = getCharFromURL( req, prefix + "reqCnsmrFrstNmAlt" );
    reqCnsmrMdlNmAlt = getCharFromURL( req, prefix + "reqCnsmrMdlNmAlt" );
    reqCnsmrSfxTpAlt = getCharFromURL( req, prefix + "reqCnsmrSfxTpAlt" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
  }
}
