//**********************************************
//
// FILE NAME: GtCSRUpdateGoldCode.java
// TRANSACTION NAME: CSR Update Gold Code Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>CSR Update Gold Code Transaction</B>
 * <P>IFS ID: <B>updtgcde</B>
 * <P>
 * This transaction is used with the IFS Code to Text feature. An FI may
 * equate the value of a Gold code with any text. A Gold code may have
 * text for each language used by the FI's customers. This transaction
 * will input changes, additions, and deletions to the FI's Code to Text
 * table.
 * <BR>
 * <P><B>CSR_UPDT_GOLD_CODE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CSR_UPDT_GOLD_CODE_IMSG</B>
 *            <P>
 *            This message allows a CSR to add, update, delete the text
 *            associated with a Gold Code which is stored in the Gold Code
 *            Table. The Gold Code table is stored in the Core Controller
 *            and contains a record for a defined value for each Code in a
 *            Gold Message. Some of these codes are Financial Institution
 *            specific such as Check Book Style, Deposit Book Style. Other
 *            codes are Gold Specific such as Account Type, Transfer
 *            Frequency, Payment Type. Gold Codes which are deleted are
 *            not removed from the Table but are marked as deleted.
 *
 * <P>Reply:   <B>CSR_UPDT_GOLD_CODE_OMSG</B>
 *            <P>
 *            This message is sent by IGATE to the CSR and indicates if
 *            the request to update the Gold Code record was successful..
 */
public class GtCSRUpdateGoldCode extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCSRUpdateGoldCode() { }
  public GtCSRUpdateGoldCode( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "updtgcde_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqFINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String reqFINumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setReqFINumber( String o ) { reqFINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getReqFINumber() { return (reqFINumber); }

  /**
   * <P>The attribute <code>reqGoldTagID</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldTagIdTg</code>.
   * <P>
   * A number which uniquely identifies a Gold Tag.
   */
  private int  reqGoldTagID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGoldTagID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldTagIdTg</code>.
   * <P>
   * A number which uniquely identifies a Gold Tag.
   */
  public  void setReqGoldTagID( int o ) { reqGoldTagID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGoldTagID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldTagIdTg</code>.
   * <P>
   * A number which uniquely identifies a Gold Tag.
   */
  public  int  getReqGoldTagID() { return (reqGoldTagID); }

  /**
   * <P>The attribute <code>reqGoldCodeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeValClTg</code>.
   * <P>
   * A code which holds the value of a Business Response Code or other
   * Gold type code which can be associated with textual data.
   */
  private String reqGoldCodeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqGoldCodeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeValClTg</code>.
   * <P>
   * A code which holds the value of a Business Response Code or other
   * Gold type code which can be associated with textual data.
   */
  public  void   setReqGoldCodeValue( String o ) { reqGoldCodeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGoldCodeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeValClTg</code>.
   * <P>
   * A code which holds the value of a Business Response Code or other
   * Gold type code which can be associated with textual data.
   */
  public  String getReqGoldCodeValue() { return (reqGoldCodeValue); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqLanguageCode</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.LangCodeClTg</code>.
   * <P>
   * The ISO639 Language Code of the Gold Code Text.
   */
  private String reqLanguageCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqLanguageCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.LangCodeClTg</code>.
   * <P>
   * The ISO639 Language Code of the Gold Code Text.
   */
  public  void   setReqLanguageCode( String o ) { reqLanguageCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLanguageCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.LangCodeClTg</code>.
   * <P>
   * The ISO639 Language Code of the Gold Code Text.
   */
  public  String getReqLanguageCode() { return (reqLanguageCode); }

  /**
   * <P>The attribute <code>reqGoldCodeText</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeTxtTg</code>.
   * <P>
   * The message text associated with a specific Gold Code.
   */
  private String reqGoldCodeText = null;

  /**
   * <P>Sets the value of the attribute <code>reqGoldCodeText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeTxtTg</code>.
   * <P>
   * The message text associated with a specific Gold Code.
   */
  public  void   setReqGoldCodeText( String o ) { reqGoldCodeText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGoldCodeText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.GoldCodeTxtTg</code>.
   * <P>
   * The message text associated with a specific Gold Code.
   */
  public  String getReqGoldCodeText() { return (reqGoldCodeText); }

  /**
   * <P>The attribute <code>reqPrptyNm</code> is an alias for the
   * standard message simple element
   * <code>IfsGoldCodeDTlTg.PrptyNmTg</code>.
   * <P>
   * Contains the Java property name for the Gold code. In general, the
   * property name is automatically generated using Java naming rules.
   * Mandatory, but may have a value of char 'NONE' indicating that the FI
   * is not using the Gold code in a Java program.
   */
  private String reqPrptyNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrptyNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.PrptyNmTg</code>.
   * <P>
   * Contains the Java property name for the Gold code. In general, the
   * property name is automatically generated using Java naming rules.
   * Mandatory, but may have a value of char 'NONE' indicating that the FI
   * is not using the Gold code in a Java program.
   */
  public  void   setReqPrptyNm( String o ) { reqPrptyNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrptyNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsGoldCodeDTlTg.PrptyNmTg</code>.
   * <P>
   * Contains the Java property name for the Gold code. In general, the
   * property name is automatically generated using Java naming rules.
   * Mandatory, but may have a value of char 'NONE' indicating that the FI
   * is not using the Gold code in a Java program.
   */
  public  String getReqPrptyNm() { return (reqPrptyNm); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCSRUpdateGoldCode );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 

    if( reqFINumber != null && reqFINumber.length() > 8 )
      addArgToGMJI( reqFINumber.substring(0,8));
    else
      addArgToGMJI( reqFINumber ); 
    addArgToGMJI( reqGoldTagID ); 

    if( reqGoldCodeValue != null && reqGoldCodeValue.length() > 10 )
      addArgToGMJI( reqGoldCodeValue.substring(0,10));
    else
      addArgToGMJI( reqGoldCodeValue ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqLanguageCode != null && reqLanguageCode.length() > 3 )
      addArgToGMJI( reqLanguageCode.substring(0,3));
    else
      addArgToGMJI( reqLanguageCode ); 
    addArgToGMJI( reqGoldCodeText ); 
    addArgToGMJI( reqPrptyNm ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqFINumber = " + getReqFINumber() );
    pageWriter.println( prefix + "reqGoldTagID = " + getReqGoldTagID() );
    pageWriter.println( prefix + "reqGoldCodeValue = " + getReqGoldCodeValue() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqLanguageCode = " + getReqLanguageCode() );
    pageWriter.println( prefix + "reqGoldCodeText = " + getReqGoldCodeText() );
    pageWriter.println( prefix + "reqPrptyNm = " + getReqPrptyNm() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqFINumber = getCharFromURL( req, prefix + "reqFINumber" );
    reqGoldTagID = getLongFromURL( req, prefix + "reqGoldTagID" );
    reqGoldCodeValue = getCharFromURL( req, prefix + "reqGoldCodeValue" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqLanguageCode = getCharFromURL( req, prefix + "reqLanguageCode" );
    reqGoldCodeText = getCharFromURL( req, prefix + "reqGoldCodeText" );
    reqPrptyNm = getCharFromURL( req, prefix + "reqPrptyNm" );
  }
}
