//**********************************************
//
// FILE NAME: GtChangeElectronicBillDelivery.java
// TRANSACTION NAME: Change Electronic Biller Delivery Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Change Electronic Biller Delivery Transaction</B>
 * <P>IFS ID: <B>ebchgblr</B>
 * <P>
 * Change attributes of an activated electronic biller delivery account
 * relationship between a biller and consumer.
 * <BR>
 * <P><B>EBILL_CHG_DLVRY_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>EBILL_CHG_DLVRY_IMSG</B>
 *            <P>
 *            This message is used to change the customer billing
 *            name/address and/or payee identifier associated with an
 *            activated electronic biller delivery account. Pending
 *            activation, inactive, pending deactivation and rejected
 *            biller delivery accounts cannot be changed. The requestor
 *            should supply all fields that are to be changed or left
 *            unchanged. Any optional field not supplied should be
 *            interpreted by the service provider as a request to set the
 *            field to null/blanks.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>EBILL_CHG_DLVRY_OMSG</B>
 */
public class GtChangeElectronicBillDelivery extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtChangeElectronicBillDelivery() { }
  public GtChangeElectronicBillDelivery( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ebchgblr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqEBillerNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerNbrIdTg</code>.
   * <P>
   * Identifier of electronic biller associated with the biller delivery
   * account.
   */
  private String reqEBillerNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillerNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerNbrIdTg</code>.
   * <P>
   * Identifier of electronic biller associated with the biller delivery
   * account.
   */
  public  void   setReqEBillerNbrId( String o ) { reqEBillerNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillerNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerNbrIdTg</code>.
   * <P>
   * Identifier of electronic biller associated with the biller delivery
   * account.
   */
  public  String getReqEBillerNbrId() { return (reqEBillerNbrId); }

  /**
   * <P>The attribute <code>reqEBillAcctNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillAcctNbrIdTg</code>.
   * <P>
   * Billing account number of the biller delivery account.
   */
  private String reqEBillAcctNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillAcctNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillAcctNbrIdTg</code>.
   * <P>
   * Billing account number of the biller delivery account.
   */
  public  void   setReqEBillAcctNbrId( String o ) { reqEBillAcctNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillAcctNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillAcctNbrIdTg</code>.
   * <P>
   * Billing account number of the biller delivery account.
   */
  public  String getReqEBillAcctNbrId() { return (reqEBillAcctNbrId); }

  /**
   * <P>The attribute <code>reqPymtPayeeNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.PymtPayeeNbrIdTg</code>.
   * <P>
   * Payment provider payee identifier associated with this biller
   * delivery account. If a non-blank value is supplied, the payee
   * identifier value should be changed to the value in the message. If
   * not supplied or blank, the service should clear/reset the existing
   * payee identifier value it is storing for this biller delivery
   * account.
   */
  private String reqPymtPayeeNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtPayeeNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.PymtPayeeNbrIdTg</code>.
   * <P>
   * Payment provider payee identifier associated with this biller
   * delivery account. If a non-blank value is supplied, the payee
   * identifier value should be changed to the value in the message. If
   * not supplied or blank, the service should clear/reset the existing
   * payee identifier value it is storing for this biller delivery
   * account.
   */
  public  void   setReqPymtPayeeNbrId( String o ) { reqPymtPayeeNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtPayeeNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.PymtPayeeNbrIdTg</code>.
   * <P>
   * Payment provider payee identifier associated with this biller
   * delivery account. If a non-blank value is supplied, the payee
   * identifier value should be changed to the value in the message. If
   * not supplied or blank, the service should clear/reset the existing
   * payee identifier value it is storing for this biller delivery
   * account.
   */
  public  String getReqPymtPayeeNbrId() { return (reqPymtPayeeNbrId); }

  /**
   * <P>The attribute <code>reqEBillCustAcctNm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  private String reqEBillCustAcctNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillCustAcctNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  public  void   setReqEBillCustAcctNm( String o ) { reqEBillCustAcctNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillCustAcctNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAcctNmTg</code>.
   */
  public  String getReqEBillCustAcctNm() { return (reqEBillCustAcctNm); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillCustAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqHmPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  private String reqHmPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  void   setReqHmPhNbrId( String o ) { reqHmPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  String getReqHmPhNbrId() { return (reqHmPhNbrId); }

  /**
   * <P>The attribute <code>reqWrkPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  private String reqWrkPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  void   setReqWrkPhNbrId( String o ) { reqWrkPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillChngDlvyTg.EBillerCustDtlTg.EBillerCustPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  String getReqWrkPhNbrId() { return (reqWrkPhNbrId); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtChangeElectronicBillDelivery );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqEBillerNbrId != null && reqEBillerNbrId.length() > 32 )
      addArgToGMJI( reqEBillerNbrId.substring(0,32));
    else
      addArgToGMJI( reqEBillerNbrId ); 

    if( reqEBillAcctNbrId != null && reqEBillAcctNbrId.length() > 32 )
      addArgToGMJI( reqEBillAcctNbrId.substring(0,32));
    else
      addArgToGMJI( reqEBillAcctNbrId ); 

    if( reqPymtPayeeNbrId != null && reqPymtPayeeNbrId.length() > 11 )
      addArgToGMJI( reqPymtPayeeNbrId.substring(0,11));
    else
      addArgToGMJI( reqPymtPayeeNbrId ); 

    if( reqEBillCustAcctNm != null && reqEBillCustAcctNm.length() > 96 )
      addArgToGMJI( reqEBillCustAcctNm.substring(0,96));
    else
      addArgToGMJI( reqEBillCustAcctNm ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    if( reqHmPhNbrId != null && reqHmPhNbrId.length() > 15 )
      addArgToGMJI( reqHmPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqHmPhNbrId ); 

    if( reqWrkPhNbrId != null && reqWrkPhNbrId.length() > 15 )
      addArgToGMJI( reqWrkPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqWrkPhNbrId ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqEBillerNbrId = " + getReqEBillerNbrId() );
    pageWriter.println( prefix + "reqEBillAcctNbrId = " + getReqEBillAcctNbrId() );
    pageWriter.println( prefix + "reqPymtPayeeNbrId = " + getReqPymtPayeeNbrId() );
    pageWriter.println( prefix + "reqEBillCustAcctNm = " + getReqEBillCustAcctNm() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "reqHmPhNbrId = " + getReqHmPhNbrId() );
    pageWriter.println( prefix + "reqWrkPhNbrId = " + getReqWrkPhNbrId() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqEBillerNbrId = getCharFromURL( req, prefix + "reqEBillerNbrId" );
    reqEBillAcctNbrId = getCharFromURL( req, prefix + "reqEBillAcctNbrId" );
    reqPymtPayeeNbrId = getCharFromURL( req, prefix + "reqPymtPayeeNbrId" );
    reqEBillCustAcctNm = getCharFromURL( req, prefix + "reqEBillCustAcctNm" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqHmPhNbrId = getCharFromURL( req, prefix + "reqHmPhNbrId" );
    reqWrkPhNbrId = getCharFromURL( req, prefix + "reqWrkPhNbrId" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
