//**********************************************
//
// FILE NAME: GtChangeElectronicBillState.java
// TRANSACTION NAME: Change Electronic Bill State Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Change Electronic Bill State Transaction</B>
 * <P>IFS ID: <B>ebchgst</B>
 * <P>
 * This request is issued by a client as a customer handles their
 * electronic bills. The transaction is used to change the current state
 * of an electronic bill to &colon. :ul c. :li. Viewed (the client
 * software has shown the bill summary information about this bill to the
 * customer either in a list or on a page as a single bill). :li. Retired
 * (customer no longer wishes to see the bill in their summary list).
 * :eul. An electronic bill is automatically in a 'New' state when it is
 * received from the biller by the bill presentment service provider. A
 * client cannot set an electronic bill state to 'New'. A retired bill is
 * one that is no longer shown to the customer when they are asking for
 * new or viewed bills. Typically 'retired' could be taken to be 'paid'
 * either in-band or out-of-band.
 * <BR>
 * <P><B>EBILL_CHG_STATE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>EBILL_CHG_STATE_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>EBILL_CHG_STATE_OMSG</B>
 */
public class GtChangeElectronicBillState extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtChangeElectronicBillState() { }
  public GtChangeElectronicBillState( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ebchgst_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqChangeStateList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsEBillStRecLstTg.EBillStateRecTg</code>.
   * <BR>
   */
  private GsEbillStateRec[] reqChangeStateList = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeStateList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillStRecLstTg.EBillStateRecTg</code>.
   * <BR>
   */
  public  void              setReqChangeStateList(GsEbillStateRec[] o )  { reqChangeStateList = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeStateList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillStRecLstTg.EBillStateRecTg</code>.
   * <BR>
   */
  public  GsEbillStateRec[] getReqChangeStateList() { return (reqChangeStateList); }

  private String reqChangeStateList_packed = null;
  public  void   setReqChangeStateList_packed(String o ) { reqChangeStateList_packed = o; }
  public  String getReqChangeStateList_packed() { return (reqChangeStateList_packed); }


  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>responseDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsEBillRespLstTg.EBillStRespRecTg</code>.
   * <BR>
   */
  private GsEbillRespRec[] responseDetail = null;

  /**
   * <P>Sets the value of the attribute <code>responseDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillRespLstTg.EBillStRespRecTg</code>.
   * <BR>
   */
  public  void             setResponseDetail(GsEbillRespRec[] o )  { responseDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>responseDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillRespLstTg.EBillStRespRecTg</code>.
   * <BR>
   */
  public  GsEbillRespRec[] getResponseDetail() { return (responseDetail); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtChangeElectronicBillState );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqChangeStateList != null )
    {
      reqChangeStateList_packed = GsEbillStateRec.pack( reqChangeStateList );
      addArgToGMJI( reqChangeStateList_packed );
    } else {
      addArgToGMJI();
    }

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    responseDetail = new GsEbillRespRec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      responseDetail[ i ] = new GsEbillRespRec( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqChangeStateList =" );
    if( reqChangeStateList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqChangeStateList.length; j++ )
      {
        pageWriter.println( prefix + "reqChangeStateList[" + j + "] =" );
        if( reqChangeStateList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqChangeStateList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqChangeStateList_packed = " + getReqChangeStateList_packed() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "responseDetail =" );
    if( responseDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < responseDetail.length; j++ )
      {
        pageWriter.println( prefix + "responseDetail[" + j + "] =" );
        if( responseDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          responseDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqChangeStateList_repeatCounter" );
    reqChangeStateList = new GsEbillStateRec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqChangeStateList[ i ] = new GsEbillStateRec(getIfsSession());
      reqChangeStateList[ i ].populateFromURL( txn, req, prefix + "reqChangeStateList_" + i + "_" );
    }
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
