//**********************************************
//
// FILE NAME: GtChangePayee.java
// TRANSACTION NAME: Change Payee Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Change Payee Transaction</B>
 * <P>IFS ID: <B>chgpayee</B>
 * <P>
 * This transaction updates information about a payee. Similar to Add
 * Payee, the message contents depends on the Payee Type (Free Form,
 * Biller Account, Interbank Funds Transfer). The requestor may not update
 * the payee type.
 * <BR>
 * <P><B>CHNG_PAYEE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CHNG_PAYEE_IMSG</B>
 *            <P>
 *            This message allows a consumer or CSR to update details
 *            relating to a previously added Payee. The Payee Type (i.e
 *            Free Form, Biller Account Payee, Interbank Transfer Payee)
 *            may not be changed. The contents of this message vary
 *            depending on the type of payee being updated i.e free-form
 *            payee, a Biller Account Payee, or Interbank Transfer Payees.
 *            However, certain fields are common regardless of the Payee
 *            type such as Payee type, Payee nickname, default details
 *            such as funding account, payment category. Details specific
 *            to a free-form payee include the Payee name and address
 *            details. Biller Account Payee specific details include the
 *            Biller identifier and Biller Account Number. Interbank Bank
 *            Transfer Payee specific details include the destination
 *            Financial Institution and account number.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CHNG_PAYEE_OMSG</B>
 *            <P>
 *            This message is sent to the consumer or CSR who requested
 *            the update to the Payee. It confirms if the update was
 *            successful and, if successful, returns reference numbers,
 *            payee delivery times and a prenote lead time for the Payee.
 */
public class GtChangePayee extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtChangePayee() { }
  public GtChangePayee( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "chgpayee_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  private String reqNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  void   setReqNickname( String o ) { reqNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  String getReqNickname() { return (reqNickname); }

  /**
   * <P>The attribute <code>reqLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  private String reqLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  void   setReqLine1( String o ) { reqLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  String getReqLine1() { return (reqLine1); }

  /**
   * <P>The attribute <code>reqChargeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String reqChargeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setReqChargeNumber( String o ) { reqChargeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getReqChargeNumber() { return (reqChargeNumber); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqDefaultAccountNumber</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqDefaultAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqDefaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqDefaultAccountNumber(GsAccount o )  { reqDefaultAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDefaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqDefaultAccountNumber() { return (reqDefaultAccountNumber); }

  /**
   * <P>The attribute <code>reqPaymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  private String reqPaymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  public  void   setReqPaymentCategory( String o ) { reqPaymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  public  String getReqPaymentCategory() { return (reqPaymentCategory); }

  /**
   * <P>The attribute <code>reqPaymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  private String reqPaymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  public  void   setReqPaymentMemo( String o ) { reqPaymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  public  String getReqPaymentMemo() { return (reqPaymentMemo); }

  /**
   * <P>The attribute <code>reqPayeeWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  private String reqPayeeWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  void   setReqPayeeWorkPhone( String o ) { reqPayeeWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  String getReqPayeeWorkPhone() { return (reqPayeeWorkPhone); }

  /**
   * <P>The attribute <code>reqPrivatePayeeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  private String reqPrivatePayeeFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrivatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  void   setReqPrivatePayeeFlag( String o ) { reqPrivatePayeeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrivatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  String getReqPrivatePayeeFlag() { return (reqPrivatePayeeFlag); }

  /**
   * <P>The attribute <code>reqPayeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  private String reqPayeeType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  void   setReqPayeeType( String o ) { reqPayeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  String getReqPayeeType() { return (reqPayeeType); }

  /**
   * <P>The attribute <code>reqBillerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String reqBillerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setReqBillerNumber( String o ) { reqBillerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getReqBillerNumber() { return (reqBillerNumber); }

  /**
   * <P>The attribute <code>reqBillerAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  private String reqBillerAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  void   setReqBillerAccountNumber( String o ) { reqBillerAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  String getReqBillerAccountNumber() { return (reqBillerAccountNumber); }

  /**
   * <P>The attribute <code>reqRoutingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  private String reqRoutingNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  void   setReqRoutingNumber( String o ) { reqRoutingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  String getReqRoutingNumber() { return (reqRoutingNumber); }

  /**
   * <P>The attribute <code>reqFINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  private String reqFINickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  void   setReqFINickname( String o ) { reqFINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  String getReqFINickname() { return (reqFINickname); }

  /**
   * <P>The attribute <code>reqFILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  private String reqFILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqFILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  void   setReqFILine1( String o ) { reqFILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  String getReqFILine1() { return (reqFILine1); }

  /**
   * <P>The attribute <code>reqAccountTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqAccountTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqAccountTargetDetail(GsAccount o )  { reqAccountTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountTargetDetail() { return (reqAccountTargetDetail); }

  /**
   * <P>The attribute <code>reqClearinghouseTypeID</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  private int  reqClearinghouseTypeID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  void setReqClearinghouseTypeID( int o ) { reqClearinghouseTypeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  int  getReqClearinghouseTypeID() { return (reqClearinghouseTypeID); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>standardDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  private int  standardDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  void setStandardDeliveryTime( int o ) { standardDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  int  getStandardDeliveryTime() { return (standardDeliveryTime); }

  /**
   * <P>The attribute <code>expeditedDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  private int  expeditedDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  void setExpeditedDeliveryTime( int o ) { expeditedDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  int  getExpeditedDeliveryTime() { return (expeditedDeliveryTime); }

  /**
   * <P>The attribute <code>preNoteLeadTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  private int  preNoteLeadTime = 0;

  /**
   * <P>Sets the value of the attribute <code>preNoteLeadTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  public  void setPreNoteLeadTime( int o ) { preNoteLeadTime = o; }

  /**
   * <P>Gets the value of the attribute <code>preNoteLeadTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPreNoteLeadTmTg.PreNoteLeadTmValTg</code>.
   * <P>
   * The number of days between the Pre Note and the first real monetary
   * transaction. The value will be zero if the Pre Note Requirement Flag
   * is set to 'N'. The Pre-Note Lead Time along with Standard/Expedited
   * Delivery Times are used to advise consumers of the length of time for
   * the initial payment to the Biller.
   */
  public  int  getPreNoteLeadTime() { return (preNoteLeadTime); }

  /**
   * <P>The attribute <code>adjustedPayeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  private String adjustedPayeeType = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  public  void   setAdjustedPayeeType( String o ) { adjustedPayeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   * <P>
   * The payee type classifies the individual or organization to whom
   * money was paid or is to be paid, according to a Bill Payment
   * categorization. The adjusted payee type is returned by the Bill Pay
   * engine in the Add/Change Payee transaction and may differ from the
   * payee type entered in the input message.
   */
  public  String getAdjustedPayeeType() { return (adjustedPayeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>adjustedPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeTpClTg</code>.
   */
  public  String getAdjustedPayeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAdjPayeeTpClResources", locale, getAdjustedPayeeType() );
  }

  /**
   * <P>The attribute <code>adjustedPayeeName</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  private String adjustedPayeeName = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  public  void   setAdjustedPayeeName( String o ) { adjustedPayeeName = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPayeeNmTg</code>.
   * <P>
   * The payee name identifies a recipient of payments. The adjusted payee
   * name is returned by the Bill Pay engine in the Add/Change Payee
   * transaction and may differ from the one entered in the input message.
   */
  public  String getAdjustedPayeeName() { return (adjustedPayeeName); }

  /**
   * <P>The attribute <code>adjustedPaymentRemitName</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  private String adjustedPaymentRemitName = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPaymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  public  void   setAdjustedPaymentRemitName( String o ) { adjustedPaymentRemitName = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPaymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.AdjPymtRemitNmTg</code>.
   * <P>
   * The remittance name is the addressee of the payment and remittance
   * data in the Bill Pay service. The adjusted payment remittance name
   * may be returned by the Bill Pay engine in Add/Change Payee
   * transactions and may differ from the payee name entered.
   */
  public  String getAdjustedPaymentRemitName() { return (adjustedPaymentRemitName); }

  /**
   * <P>The attribute <code>billerNumberID</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String billerNumberID = null;

  /**
   * <P>Sets the value of the attribute <code>billerNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setBillerNumberID( String o ) { billerNumberID = o; }

  /**
   * <P>Gets the value of the attribute <code>billerNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRespTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getBillerNumberID() { return (billerNumberID); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtChangePayee );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqNickname != null && reqNickname.length() > 30 )
      addArgToGMJI( reqNickname.substring(0,30));
    else
      addArgToGMJI( reqNickname ); 

    if( reqLine1 != null && reqLine1.length() > 40 )
      addArgToGMJI( reqLine1.substring(0,40));
    else
      addArgToGMJI( reqLine1 ); 

    if( reqChargeNumber != null && reqChargeNumber.length() > 30 )
      addArgToGMJI( reqChargeNumber.substring(0,30));
    else
      addArgToGMJI( reqChargeNumber ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 
    GsAccount.addPropertiesToGMJI( reqDefaultAccountNumber, this );

    if( reqPaymentCategory != null && reqPaymentCategory.length() > 40 )
      addArgToGMJI( reqPaymentCategory.substring(0,40));
    else
      addArgToGMJI( reqPaymentCategory ); 

    if( reqPaymentMemo != null && reqPaymentMemo.length() > 40 )
      addArgToGMJI( reqPaymentMemo.substring(0,40));
    else
      addArgToGMJI( reqPaymentMemo ); 

    if( reqPayeeWorkPhone != null && reqPayeeWorkPhone.length() > 15 )
      addArgToGMJI( reqPayeeWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqPayeeWorkPhone ); 

    if( reqPrivatePayeeFlag != null && reqPrivatePayeeFlag.length() > 1 )
      addArgToGMJI( reqPrivatePayeeFlag.substring(0,1));
    else
      addArgToGMJI( reqPrivatePayeeFlag ); 

    if( reqPayeeType != null && reqPayeeType.length() > 1 )
      addArgToGMJI( reqPayeeType.substring(0,1));
    else
      addArgToGMJI( reqPayeeType ); 

    if( reqBillerNumber != null && reqBillerNumber.length() > 20 )
      addArgToGMJI( reqBillerNumber.substring(0,20));
    else
      addArgToGMJI( reqBillerNumber ); 

    if( reqBillerAccountNumber != null && reqBillerAccountNumber.length() > 30 )
      addArgToGMJI( reqBillerAccountNumber.substring(0,30));
    else
      addArgToGMJI( reqBillerAccountNumber ); 

    if( reqRoutingNumber != null && reqRoutingNumber.length() > 9 )
      addArgToGMJI( reqRoutingNumber.substring(0,9));
    else
      addArgToGMJI( reqRoutingNumber ); 

    if( reqFINickname != null && reqFINickname.length() > 30 )
      addArgToGMJI( reqFINickname.substring(0,30));
    else
      addArgToGMJI( reqFINickname ); 

    if( reqFILine1 != null && reqFILine1.length() > 40 )
      addArgToGMJI( reqFILine1.substring(0,40));
    else
      addArgToGMJI( reqFILine1 ); 
    GsAccount.addPropertiesToGMJI( reqAccountTargetDetail, this );
    addArgToGMJI( reqClearinghouseTypeID ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    standardDeliveryTime = txn.getNextLongFromGMJO( "standardDeliveryTime" );
    expeditedDeliveryTime = txn.getNextLongFromGMJO( "expeditedDeliveryTime" );
    preNoteLeadTime = txn.getNextLongFromGMJO( "preNoteLeadTime" );
    adjustedPayeeType = txn.getNextCharFromGMJO( 1, "adjustedPayeeType" );
    adjustedPayeeName = txn.getNextNlsCharFromGMJO( 40, "adjustedPayeeName" );
    adjustedPaymentRemitName = txn.getNextNlsCharFromGMJO( 40, "adjustedPaymentRemitName" );
    billerNumberID = txn.getNextCharFromGMJO( 20, "billerNumberID" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqNickname = " + getReqNickname() );
    pageWriter.println( prefix + "reqLine1 = " + getReqLine1() );
    pageWriter.println( prefix + "reqChargeNumber = " + getReqChargeNumber() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );

    pageWriter.println( prefix + "reqDefaultAccountNumber =" );
    if( reqDefaultAccountNumber == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDefaultAccountNumber.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentCategory = " + getReqPaymentCategory() );
    pageWriter.println( prefix + "reqPaymentMemo = " + getReqPaymentMemo() );
    pageWriter.println( prefix + "reqPayeeWorkPhone = " + getReqPayeeWorkPhone() );
    pageWriter.println( prefix + "reqPrivatePayeeFlag = " + getReqPrivatePayeeFlag() );
    pageWriter.println( prefix + "reqPayeeType = " + getReqPayeeType() );
    pageWriter.println( prefix + "reqBillerNumber = " + getReqBillerNumber() );
    pageWriter.println( prefix + "reqBillerAccountNumber = " + getReqBillerAccountNumber() );
    pageWriter.println( prefix + "reqRoutingNumber = " + getReqRoutingNumber() );
    pageWriter.println( prefix + "reqFINickname = " + getReqFINickname() );
    pageWriter.println( prefix + "reqFILine1 = " + getReqFILine1() );

    pageWriter.println( prefix + "reqAccountTargetDetail =" );
    if( reqAccountTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqClearinghouseTypeID = " + getReqClearinghouseTypeID() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "standardDeliveryTime = " + getStandardDeliveryTime() );
    pageWriter.println( prefix + "expeditedDeliveryTime = " + getExpeditedDeliveryTime() );
    pageWriter.println( prefix + "preNoteLeadTime = " + getPreNoteLeadTime() );
    pageWriter.println( prefix + "adjustedPayeeType = " + getAdjustedPayeeType() );
    try {
      pageWriter.println( prefix + "adjustedPayeeType_text = " + getAdjustedPayeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "adjustedPayeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "adjustedPayeeName = " + getAdjustedPayeeName() );
    pageWriter.println( prefix + "adjustedPaymentRemitName = " + getAdjustedPaymentRemitName() );
    pageWriter.println( prefix + "billerNumberID = " + getBillerNumberID() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqNickname = getCharFromURL( req, prefix + "reqNickname" );
    reqLine1 = getCharFromURL( req, prefix + "reqLine1" );
    reqChargeNumber = getCharFromURL( req, prefix + "reqChargeNumber" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqDefaultAccountNumber = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqDefaultAccountNumber", "GtChangePayee" );
    reqPaymentCategory = getCharFromURL( req, prefix + "reqPaymentCategory" );
    reqPaymentMemo = getCharFromURL( req, prefix + "reqPaymentMemo" );
    reqPayeeWorkPhone = getCharFromURL( req, prefix + "reqPayeeWorkPhone" );
    reqPrivatePayeeFlag = getCharFromURL( req, prefix + "reqPrivatePayeeFlag" );
    reqPayeeType = getCharFromURL( req, prefix + "reqPayeeType" );
    reqBillerNumber = getCharFromURL( req, prefix + "reqBillerNumber" );
    reqBillerAccountNumber = getCharFromURL( req, prefix + "reqBillerAccountNumber" );
    reqRoutingNumber = getCharFromURL( req, prefix + "reqRoutingNumber" );
    reqFINickname = getCharFromURL( req, prefix + "reqFINickname" );
    reqFILine1 = getCharFromURL( req, prefix + "reqFILine1" );
    reqAccountTargetDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountTargetDetail", "GtChangePayee" );
    reqClearinghouseTypeID = getLongFromURL( req, prefix + "reqClearinghouseTypeID" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
