//**********************************************
//
// FILE NAME: GtChangeStandingOrder.java
// TRANSACTION NAME: Change Direct Debit / Standing Order Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Change Direct Debit / Standing Order Transaction</B>
 * <P>IFS ID: <B>chgddso</B>
 * <P>
 * This transaction is used to update a Direct Debit or a Standing Order.
 * It is, by default, a structured customer service message. It may,
 * however, be implemented as a 'Corebank' (or other Service Provider)
 * transaction for automated processing.
 * <BR>
 * <P><B>CHG_DIR_DR_STDG_ORDR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CHG_DIR_DR_STDG_ORDR_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CHG_DIR_DR_STDG_ORDR_OMSG</B>
 */
public class GtChangeStandingOrder extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtChangeStandingOrder() { }
  public GtChangeStandingOrder( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "chgddso_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqDDSOInd</code> is an alias for the
   * standard message simple element
   * <code>DDSOIdTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  private int  reqDDSOInd = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  void setReqDDSOInd( int o ) { reqDDSOInd = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  int  getReqDDSOInd() { return (reqDDSOInd); }

  /**
   * <P>The attribute <code>reqDDSOTpCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOIdTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  private int  reqDDSOTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  public  void setReqDDSOTpCl( int o ) { reqDDSOTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  public  int  getReqDDSOTpCl() { return (reqDDSOTpCl); }

  /**
   * <P>The attribute <code>reqPayeeNm</code> is an alias for the
   * standard message simple element
   * <code>DDSOIdTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  private String reqPayeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  void   setReqPayeeNm( String o ) { reqPayeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOIdTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  String getReqPayeeNm() { return (reqPayeeNm); }

  /**
   * <P>The attribute <code>reqPymtSpclInsr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOIdTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  private GsPymtInfoDtls[] reqPymtSpclInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOIdTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  void             setReqPymtSpclInsr(GsPymtInfoDtls[] o )  { reqPymtSpclInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOIdTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  GsPymtInfoDtls[] getReqPymtSpclInsr() { return (reqPymtSpclInsr); }

  private String reqPymtSpclInsr_packed = null;
  public  void   setReqPymtSpclInsr_packed(String o ) { reqPymtSpclInsr_packed = o; }
  public  String getReqPymtSpclInsr_packed() { return (reqPymtSpclInsr_packed); }


  /**
   * <P>The attribute <code>reqDDSOUpdtActnTpCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOUpdtDtlTg.DDSOUpdtActnTpClTg</code>.
   * <P>
   * Indicates the type of update action to be executed by the DDSO
   * Service Provider.
   */
  private int  reqDDSOUpdtActnTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOUpdtActnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.DDSOUpdtActnTpClTg</code>.
   * <P>
   * Indicates the type of update action to be executed by the DDSO
   * Service Provider.
   */
  public  void setReqDDSOUpdtActnTpCl( int o ) { reqDDSOUpdtActnTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOUpdtActnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.DDSOUpdtActnTpClTg</code>.
   * <P>
   * Indicates the type of update action to be executed by the DDSO
   * Service Provider.
   */
  public  int  getReqDDSOUpdtActnTpCl() { return (reqDDSOUpdtActnTpCl); }

  /**
   * <P>The attribute <code>reqDDSOUpdtDtlTPayeeNm</code> is an alias for the
   * standard message simple element
   * <code>DDSOUpdtDtlTg.PayeeNmTg</code>.
   */
  private String reqDDSOUpdtDtlTPayeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOUpdtDtlTPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.PayeeNmTg</code>.
   */
  public  void   setReqDDSOUpdtDtlTPayeeNm( String o ) { reqDDSOUpdtDtlTPayeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOUpdtDtlTPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.PayeeNmTg</code>.
   */
  public  String getReqDDSOUpdtDtlTPayeeNm() { return (reqDDSOUpdtDtlTPayeeNm); }

  /**
   * <P>The attribute <code>reqDDSOUpdtDtlTPymtSpclInsr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  private GsPymtInfoDtls[] reqDDSOUpdtDtlTPymtSpclInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOUpdtDtlTPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  void             setReqDDSOUpdtDtlTPymtSpclInsr(GsPymtInfoDtls[] o )  { reqDDSOUpdtDtlTPymtSpclInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOUpdtDtlTPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  GsPymtInfoDtls[] getReqDDSOUpdtDtlTPymtSpclInsr() { return (reqDDSOUpdtDtlTPymtSpclInsr); }

  private String reqDDSOUpdtDtlTPymtSpclInsr_packed = null;
  public  void   setReqDDSOUpdtDtlTPymtSpclInsr_packed(String o ) { reqDDSOUpdtDtlTPymtSpclInsr_packed = o; }
  public  String getReqDDSOUpdtDtlTPymtSpclInsr_packed() { return (reqDDSOUpdtDtlTPymtSpclInsr_packed); }


  /**
   * <P>The attribute <code>reqBenfAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  private GsAccount reqBenfAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqBenfAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  public  void      setReqBenfAcct(GsAccount o )  { reqBenfAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBenfAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.BenfAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqBenfAcct() { return (reqBenfAcct); }

  /**
   * <P>The attribute <code>reqNbrPymts</code> is an alias for the
   * standard message simple element
   * <code>DDSOUpdtDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  private int  reqNbrPymts = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNbrPymts</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  public  void setReqNbrPymts( int o ) { reqNbrPymts = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNbrPymts</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  public  int  getReqNbrPymts() { return (reqNbrPymts); }

  /**
   * <P>The attribute <code>reqPaymentAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  private GsCurrency reqPaymentAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  void       setReqPaymentAmt(GsCurrency o )  { reqPaymentAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmt() { return (reqPaymentAmt); }

  /**
   * <P>The attribute <code>reqInitPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  private GsCurrency reqInitPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqInitPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  public  void       setReqInitPymtAmt(GsCurrency o )  { reqInitPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInitPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  public  GsCurrency getReqInitPymtAmt() { return (reqInitPymtAmt); }

  /**
   * <P>The attribute <code>reqFnlPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  private GsCurrency reqFnlPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqFnlPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  public  void       setReqFnlPymtAmt(GsCurrency o )  { reqFnlPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFnlPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  public  GsCurrency getReqFnlPymtAmt() { return (reqFnlPymtAmt); }

  /**
   * <P>The attribute <code>reqFreqCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOUpdtDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String reqFreqCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreqCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setReqFreqCl( String o ) { reqFreqCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreqCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOUpdtDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getReqFreqCl() { return (reqFreqCl); }

  /**
   * <P>The attribute <code>reqNxtPymtDueDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  private GsDate reqNxtPymtDueDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqNxtPymtDueDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  public  void   setReqNxtPymtDueDt(GsDate o )  { reqNxtPymtDueDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNxtPymtDueDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  public  GsDate getReqNxtPymtDueDt() { return (reqNxtPymtDueDt); }

  /**
   * <P>The attribute <code>reqExpDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate reqExpDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqExpDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setReqExpDt(GsDate o )  { reqExpDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExpDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOUpdtDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getReqExpDt() { return (reqExpDt); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtChangeStandingOrder );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 
    addArgToGMJI( reqDDSOInd ); 
    addArgToGMJI( reqDDSOTpCl ); 

    if( reqPayeeNm != null && reqPayeeNm.length() > 40 )
      addArgToGMJI( reqPayeeNm.substring(0,40));
    else
      addArgToGMJI( reqPayeeNm ); 
    if( reqPymtSpclInsr != null )
    {
      reqPymtSpclInsr_packed = GsPymtInfoDtls.pack( reqPymtSpclInsr );
      addArgToGMJI( reqPymtSpclInsr_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqDDSOUpdtActnTpCl ); 

    if( reqDDSOUpdtDtlTPayeeNm != null && reqDDSOUpdtDtlTPayeeNm.length() > 40 )
      addArgToGMJI( reqDDSOUpdtDtlTPayeeNm.substring(0,40));
    else
      addArgToGMJI( reqDDSOUpdtDtlTPayeeNm ); 
    if( reqDDSOUpdtDtlTPymtSpclInsr != null )
    {
      reqDDSOUpdtDtlTPymtSpclInsr_packed = GsPymtInfoDtls.pack( reqDDSOUpdtDtlTPymtSpclInsr );
      addArgToGMJI( reqDDSOUpdtDtlTPymtSpclInsr_packed );
    } else {
      addArgToGMJI();
    }
    GsAccount.addPropertiesToGMJI( reqBenfAcct, this );
    addArgToGMJI( reqNbrPymts ); 
    GsCurrency.addPropertiesToGMJI( reqPaymentAmt, this );
    GsCurrency.addPropertiesToGMJI( reqInitPymtAmt, this );
    GsCurrency.addPropertiesToGMJI( reqFnlPymtAmt, this );

    if( reqFreqCl != null && reqFreqCl.length() > 1 )
      addArgToGMJI( reqFreqCl.substring(0,1));
    else
      addArgToGMJI( reqFreqCl ); 
    GsDate.addPropertiesToGMJI( reqNxtPymtDueDt, this );
    GsDate.addPropertiesToGMJI( reqExpDt, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqDDSOInd = " + getReqDDSOInd() );
    pageWriter.println( prefix + "reqDDSOTpCl = " + getReqDDSOTpCl() );
    pageWriter.println( prefix + "reqPayeeNm = " + getReqPayeeNm() );

    pageWriter.println( prefix + "reqPymtSpclInsr =" );
    if( reqPymtSpclInsr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPymtSpclInsr.length; j++ )
      {
        pageWriter.println( prefix + "reqPymtSpclInsr[" + j + "] =" );
        if( reqPymtSpclInsr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPymtSpclInsr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPymtSpclInsr_packed = " + getReqPymtSpclInsr_packed() );
    pageWriter.println( prefix + "reqDDSOUpdtActnTpCl = " + getReqDDSOUpdtActnTpCl() );
    pageWriter.println( prefix + "reqDDSOUpdtDtlTPayeeNm = " + getReqDDSOUpdtDtlTPayeeNm() );

    pageWriter.println( prefix + "reqDDSOUpdtDtlTPymtSpclInsr =" );
    if( reqDDSOUpdtDtlTPymtSpclInsr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqDDSOUpdtDtlTPymtSpclInsr.length; j++ )
      {
        pageWriter.println( prefix + "reqDDSOUpdtDtlTPymtSpclInsr[" + j + "] =" );
        if( reqDDSOUpdtDtlTPymtSpclInsr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqDDSOUpdtDtlTPymtSpclInsr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqDDSOUpdtDtlTPymtSpclInsr_packed = " + getReqDDSOUpdtDtlTPymtSpclInsr_packed() );

    pageWriter.println( prefix + "reqBenfAcct =" );
    if( reqBenfAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqBenfAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqNbrPymts = " + getReqNbrPymts() );

    pageWriter.println( prefix + "reqPaymentAmt =" );
    if( reqPaymentAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInitPymtAmt =" );
    if( reqInitPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInitPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFnlPymtAmt =" );
    if( reqFnlPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFnlPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFreqCl = " + getReqFreqCl() );

    pageWriter.println( prefix + "reqNxtPymtDueDt =" );
    if( reqNxtPymtDueDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqNxtPymtDueDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqExpDt =" );
    if( reqExpDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqExpDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtChangeStandingOrder" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
    reqDDSOInd = getLongFromURL( req, prefix + "reqDDSOInd" );
    reqDDSOTpCl = getLongFromURL( req, prefix + "reqDDSOTpCl" );
    reqPayeeNm = getCharFromURL( req, prefix + "reqPayeeNm" );

    repeatCounter = getLongFromURL( req, prefix + "reqPymtSpclInsr_repeatCounter" );
    reqPymtSpclInsr = new GsPymtInfoDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPymtSpclInsr[ i ] = new GsPymtInfoDtls(getIfsSession());
      reqPymtSpclInsr[ i ].populateFromURL( txn, req, prefix + "reqPymtSpclInsr_" + i + "_" );
    }
    reqDDSOUpdtActnTpCl = getLongFromURL( req, prefix + "reqDDSOUpdtActnTpCl" );
    reqDDSOUpdtDtlTPayeeNm = getCharFromURL( req, prefix + "reqDDSOUpdtDtlTPayeeNm" );

    repeatCounter = getLongFromURL( req, prefix + "reqDDSOUpdtDtlTPymtSpclInsr_repeatCounter" );
    reqDDSOUpdtDtlTPymtSpclInsr = new GsPymtInfoDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqDDSOUpdtDtlTPymtSpclInsr[ i ] = new GsPymtInfoDtls(getIfsSession());
      reqDDSOUpdtDtlTPymtSpclInsr[ i ].populateFromURL( txn, req, prefix + "reqDDSOUpdtDtlTPymtSpclInsr_" + i + "_" );
    }
    reqBenfAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqBenfAcct", "GtChangeStandingOrder" );
    reqNbrPymts = getLongFromURL( req, prefix + "reqNbrPymts" );
    reqPaymentAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmt", "GtChangeStandingOrder" );
    reqInitPymtAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqInitPymtAmt", "GtChangeStandingOrder" );
    reqFnlPymtAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqFnlPymtAmt", "GtChangeStandingOrder" );
    reqFreqCl = getCharFromURL( req, prefix + "reqFreqCl" );
    reqNxtPymtDueDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqNxtPymtDueDt", "GtChangeStandingOrder" );
    reqExpDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqExpDt", "GtChangeStandingOrder" );
  }
}
