//**********************************************
//
// FILE NAME: GtConsumerBillpayAuditInquiry.java
// TRANSACTION NAME: Consumer Bill Pay Audit Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Consumer Bill Pay Audit Inquiry Transaction</B>
 * <P>IFS ID: <B>cbpaudin</B>
 * <P>
 * This transaction retrieves a list of changes (i.e additions, updates,
 * deletions) that have occurred to a specific consumer entity, such as
 * payee, single payment, recurring payment, payment instance, payment
 * history, payee type conversion. The original transaction which was the
 * basis for the change (e.gthe Add Payee, Change Recurring Payment) is
 * returned plus additional information such as the Session owner who
 * initiated the transaction, originator type.
 * <BR>
 * <P><B>CNSMR_BP_AUDT_INQR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CNSMR_BP_AUDT_INQR_IMSG</B>
 *            <P>
 *            This message may be initiated by a CSR or consumer and
 *            retrieves a list of changes that have occurred to a specific
 *            consumer entity. for example,this message may request payee
 *            audit records, single payment audit records, recurring
 *            payment audit records, payment instance audit records,
 *            payment history audit records, and convert payee records.
 *            The consumer may specify other search criteria such as a
 *            date range, consumer identifier, session owner identifier.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrBpAudtTg.CnsmrTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrBpAudtTg.CnsmrTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CNSMR_BP_AUDT_INQR_OMSG</B>
 *            <P>
 *            This message is returned to the requestor (consumer or CSR)
 *            and contains all the audit records requested. The
 *            information returned is different for each type of audit
 *            record returned.
 */
public class GtConsumerBillpayAuditInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtConsumerBillpayAuditInquiry() { }
  public GtConsumerBillpayAuditInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "cbpaudin_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqServiceRequestSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqServiceRequestSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceRequestSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqServiceRequestSecurity(GsSrvcRqstScrty[] o )  { reqServiceRequestSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceRequestSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqServiceRequestSecurity() { return (reqServiceRequestSecurity); }

  private String reqServiceRequestSecurity_packed = null;
  public  void   setReqServiceRequestSecurity_packed(String o ) { reqServiceRequestSecurity_packed = o; }
  public  String getReqServiceRequestSecurity_packed() { return (reqServiceRequestSecurity_packed); }


  /**
   * <P>The attribute <code>reqMaximumNumberRecorded</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberRecorded = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberRecorded( int o ) { reqMaximumNumberRecorded = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberRecorded() { return (reqMaximumNumberRecorded); }

  /**
   * <P>The attribute <code>reqLastNumberRecorded</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecorded = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecorded( int o ) { reqLastNumberRecorded = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecorded() { return (reqLastNumberRecorded); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AudtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

  /**
   * <P>The attribute <code>reqFINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrFiTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String reqFINumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrFiTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setReqFINumber( String o ) { reqFINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrFiTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getReqFINumber() { return (reqFINumber); }

  /**
   * <P>The attribute <code>reqConsumerAuditReportType</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrAudtReptTpTg</code>.
   * <P>
   * A code which indicates the type of report generated in response to a
   * Consumer Bill Pay Audit Inquiry. The report type determines what type
   * of data records are returned to the requestor. For example, a report
   * type of Payee Audit (PAYEE_AUDT) will generate payee audit records in
   * a payee audit list where each record reflects a payee action taken by
   * a customer or CSR.
   */
  private String reqConsumerAuditReportType = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerAuditReportType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrAudtReptTpTg</code>.
   * <P>
   * A code which indicates the type of report generated in response to a
   * Consumer Bill Pay Audit Inquiry. The report type determines what type
   * of data records are returned to the requestor. For example, a report
   * type of Payee Audit (PAYEE_AUDT) will generate payee audit records in
   * a payee audit list where each record reflects a payee action taken by
   * a customer or CSR.
   */
  public  void   setReqConsumerAuditReportType( String o ) { reqConsumerAuditReportType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerAuditReportType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.CnsmrAudtReptTpTg</code>.
   * <P>
   * A code which indicates the type of report generated in response to a
   * Consumer Bill Pay Audit Inquiry. The report type determines what type
   * of data records are returned to the requestor. For example, a report
   * type of Payee Audit (PAYEE_AUDT) will generate payee audit records in
   * a payee audit list where each record reflects a payee action taken by
   * a customer or CSR.
   */
  public  String getReqConsumerAuditReportType() { return (reqConsumerAuditReportType); }

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the consumer audit record reflects an
   * Add, Change, Delete or other action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the consumer audit record reflects an
   * Add, Change, Delete or other action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the consumer audit record reflects an
   * Add, Change, Delete or other action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqSessionOwnerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnIdTg</code>.
   * <P>
   * The identifier of the owner of the session, this is usually the same
   * as the Consumer identifier except in the case of third party
   * sessions. For example, CSR transactions the session owner identifier
   * will contain the user id of the CSR user instead of the Consumer Id.
   */
  private String reqSessionOwnerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSessionOwnerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnIdTg</code>.
   * <P>
   * The identifier of the owner of the session, this is usually the same
   * as the Consumer identifier except in the case of third party
   * sessions. For example, CSR transactions the session owner identifier
   * will contain the user id of the CSR user instead of the Consumer Id.
   */
  public  void   setReqSessionOwnerID( String o ) { reqSessionOwnerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSessionOwnerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnIdTg</code>.
   * <P>
   * The identifier of the owner of the session, this is usually the same
   * as the Consumer identifier except in the case of third party
   * sessions. For example, CSR transactions the session owner identifier
   * will contain the user id of the CSR user instead of the Consumer Id.
   */
  public  String getReqSessionOwnerID() { return (reqSessionOwnerID); }

  /**
   * <P>The attribute <code>reqStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.StrtDtTg</code>.
   * <P>
   * The start date of transactions output in an audit report.
   * <BR>
   */
  private GsDate reqStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.StrtDtTg</code>.
   * <P>
   * The start date of transactions output in an audit report.
   * <BR>
   */
  public  void   setReqStartDate(GsDate o )  { reqStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.StrtDtTg</code>.
   * <P>
   * The start date of transactions output in an audit report.
   * <BR>
   */
  public  GsDate getReqStartDate() { return (reqStartDate); }

  /**
   * <P>The attribute <code>reqEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.EndDtTg</code>.
   * <P>
   * The end date of transactions output in an audit report.
   * <BR>
   */
  private GsDate reqEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.EndDtTg</code>.
   * <P>
   * The end date of transactions output in an audit report.
   * <BR>
   */
  public  void   setReqEndDate(GsDate o )  { reqEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.AudtTxnDtRngTg.EndDtTg</code>.
   * <P>
   * The end date of transactions output in an audit report.
   * <BR>
   */
  public  GsDate getReqEndDate() { return (reqEndDate); }

  /**
   * <P>The attribute <code>reqSyncToken</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  private String reqSyncToken = null;

  /**
   * <P>Sets the value of the attribute <code>reqSyncToken</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  public  void   setReqSyncToken( String o ) { reqSyncToken = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSyncToken</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  public  String getReqSyncToken() { return (reqSyncToken); }

  /**
   * <P>The attribute <code>reqTokenOnlyFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.TokenOnlyFTg</code>.
   * <P>
   * Flag indicating whether requestor wishes for just token ('Y') or full
   * audit report including token ('N'). Default value is 'N' if not
   * supplied.
   */
  private String reqTokenOnlyFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqTokenOnlyFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.TokenOnlyFTg</code>.
   * <P>
   * Flag indicating whether requestor wishes for just token ('Y') or full
   * audit report including token ('N'). Default value is 'N' if not
   * supplied.
   */
  public  void   setReqTokenOnlyFlag( String o ) { reqTokenOnlyFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTokenOnlyFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.TokenOnlyFTg</code>.
   * <P>
   * Flag indicating whether requestor wishes for just token ('Y') or full
   * audit report including token ('N'). Default value is 'N' if not
   * supplied.
   */
  public  String getReqTokenOnlyFlag() { return (reqTokenOnlyFlag); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.FundingAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.FundingAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrBpAudtTg.FundingAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqSsnOwnCnsmrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnCnsmrIdTg</code>.
   * <P>
   * Consumer ID of consumer that issued the message. SsnOwnIdTg will
   * continue to contain the Changeable Consumer ID of the consumer that
   * issued the message.
   */
  private String reqSsnOwnCnsmrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqSsnOwnCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnCnsmrIdTg</code>.
   * <P>
   * Consumer ID of consumer that issued the message. SsnOwnIdTg will
   * continue to contain the Changeable Consumer ID of the consumer that
   * issued the message.
   */
  public  void   setReqSsnOwnCnsmrId( String o ) { reqSsnOwnCnsmrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSsnOwnCnsmrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtTg.SsnOwnCnsmrIdTg</code>.
   * <P>
   * Consumer ID of consumer that issued the message. SsnOwnIdTg will
   * continue to contain the Changeable Consumer ID of the consumer that
   * issued the message.
   */
  public  String getReqSsnOwnCnsmrId() { return (reqSsnOwnCnsmrId); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>payeeAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeAudtListTg.PayeeAudtRcrd</code>.
   * <P>
   * A repeating structure each containing a Payee Audit Record (i.e., a
   * record of changes made to a Payee) from the Bill Pay Audit Log.
   * <BR>
   */
  private GsPayeeAudtRcrd[] payeeAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeAudtListTg.PayeeAudtRcrd</code>.
   * <P>
   * A repeating structure each containing a Payee Audit Record (i.e., a
   * record of changes made to a Payee) from the Bill Pay Audit Log.
   * <BR>
   */
  public  void              setPayeeAuditRecord(GsPayeeAudtRcrd[] o )  { payeeAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeAudtListTg.PayeeAudtRcrd</code>.
   * <P>
   * A repeating structure each containing a Payee Audit Record (i.e., a
   * record of changes made to a Payee) from the Bill Pay Audit Log.
   * <BR>
   */
  public  GsPayeeAudtRcrd[] getPayeeAuditRecord() { return (payeeAuditRecord); }

  /**
   * <P>The attribute <code>singlePaymentAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSglPymtAudLstTg.SnglPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Single Payment Audit Record
   * (i.e., a record of any additions or changes to a Single Payment) from
   * the Bill Pay Audit Log.
   * <BR>
   */
  private GsSnglPymtAudtRcrd[] singlePaymentAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>singlePaymentAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSglPymtAudLstTg.SnglPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Single Payment Audit Record
   * (i.e., a record of any additions or changes to a Single Payment) from
   * the Bill Pay Audit Log.
   * <BR>
   */
  public  void                 setSinglePaymentAuditRecord(GsSnglPymtAudtRcrd[] o )  { singlePaymentAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>singlePaymentAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSglPymtAudLstTg.SnglPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Single Payment Audit Record
   * (i.e., a record of any additions or changes to a Single Payment) from
   * the Bill Pay Audit Log.
   * <BR>
   */
  public  GsSnglPymtAudtRcrd[] getSinglePaymentAuditRecord() { return (singlePaymentAuditRecord); }

  /**
   * <P>The attribute <code>recurringPaymentAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRcrPymtAudLstTg.RcurPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Recurring Payment Audit
   * Record (i.e., a record of any additions or changes to a Recurring
   * Payment) from the Bill Pay Audit Log.
   * <BR>
   */
  private GsRcurPymtAudtRcrd[] recurringPaymentAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>recurringPaymentAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRcrPymtAudLstTg.RcurPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Recurring Payment Audit
   * Record (i.e., a record of any additions or changes to a Recurring
   * Payment) from the Bill Pay Audit Log.
   * <BR>
   */
  public  void                 setRecurringPaymentAuditRecord(GsRcurPymtAudtRcrd[] o )  { recurringPaymentAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>recurringPaymentAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRcrPymtAudLstTg.RcurPymtAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Recurring Payment Audit
   * Record (i.e., a record of any additions or changes to a Recurring
   * Payment) from the Bill Pay Audit Log.
   * <BR>
   */
  public  GsRcurPymtAudtRcrd[] getRecurringPaymentAuditRecord() { return (recurringPaymentAuditRecord); }

  /**
   * <P>The attribute <code>paymentInstanceAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInstListTg.PymtInstAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment Instance Audit Record
   * (i.e., a record of any changes to a Payment Instance) from the Bill
   * Pay Audit Log.
   * <BR>
   */
  private GsPymtInstAudtRcrd[] paymentInstanceAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>paymentInstanceAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInstListTg.PymtInstAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment Instance Audit Record
   * (i.e., a record of any changes to a Payment Instance) from the Bill
   * Pay Audit Log.
   * <BR>
   */
  public  void                 setPaymentInstanceAuditRecord(GsPymtInstAudtRcrd[] o )  { paymentInstanceAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentInstanceAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInstListTg.PymtInstAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment Instance Audit Record
   * (i.e., a record of any changes to a Payment Instance) from the Bill
   * Pay Audit Log.
   * <BR>
   */
  public  GsPymtInstAudtRcrd[] getPaymentInstanceAuditRecord() { return (paymentInstanceAuditRecord); }

  /**
   * <P>The attribute <code>paymentHistoryChangeRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtHistListTg.PymtHistChngRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment History Change Audit
   * Record (i.e., a record of any changes to a Payment History Record)
   * from the Bill Pay Audit Log.
   * <BR>
   */
  private GsPymtHistChngRcrd[] paymentHistoryChangeRecord = null;

  /**
   * <P>Sets the value of the attribute <code>paymentHistoryChangeRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtHistListTg.PymtHistChngRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment History Change Audit
   * Record (i.e., a record of any changes to a Payment History Record)
   * from the Bill Pay Audit Log.
   * <BR>
   */
  public  void                 setPaymentHistoryChangeRecord(GsPymtHistChngRcrd[] o )  { paymentHistoryChangeRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentHistoryChangeRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtHistListTg.PymtHistChngRcrdTg</code>.
   * <P>
   * A repeating structure each containing a Payment History Change Audit
   * Record (i.e., a record of any changes to a Payment History Record)
   * from the Bill Pay Audit Log.
   * <BR>
   */
  public  GsPymtHistChngRcrd[] getPaymentHistoryChangeRecord() { return (paymentHistoryChangeRecord); }

  /**
   * <P>The attribute <code>conversionAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnvrAudtListTg.CnvrAudtRcrdTg</code>.
   * <P>
   * A list of convert audit records output on the Consumer Bill Pay Audit
   * Inquiry.
   * <BR>
   */
  private GsCnvrAudtRcrd[] conversionAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>conversionAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnvrAudtListTg.CnvrAudtRcrdTg</code>.
   * <P>
   * A list of convert audit records output on the Consumer Bill Pay Audit
   * Inquiry.
   * <BR>
   */
  public  void             setConversionAuditRecord(GsCnvrAudtRcrd[] o )  { conversionAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>conversionAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnvrAudtListTg.CnvrAudtRcrdTg</code>.
   * <P>
   * A list of convert audit records output on the Consumer Bill Pay Audit
   * Inquiry.
   * <BR>
   */
  public  GsCnvrAudtRcrd[] getConversionAuditRecord() { return (conversionAuditRecord); }

  /**
   * <P>The attribute <code>reverseAuditRecord</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRvrsAudtLstTg.RvrsAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing reverse payment output on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  private GsRvrsAudtRcrd[] reverseAuditRecord = null;

  /**
   * <P>Sets the value of the attribute <code>reverseAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRvrsAudtLstTg.RvrsAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing reverse payment output on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  public  void             setReverseAuditRecord(GsRvrsAudtRcrd[] o )  { reverseAuditRecord = o; }

  /**
   * <P>Gets the value of the attribute <code>reverseAuditRecord</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRvrsAudtLstTg.RvrsAudtRcrdTg</code>.
   * <P>
   * A repeating structure each containing reverse payment output on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  public  GsRvrsAudtRcrd[] getReverseAuditRecord() { return (reverseAuditRecord); }

  /**
   * <P>The attribute <code>pymtDcsnRcrd</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtDcsnLstTg.PymtDcsnRcrdTg</code>.
   * <P>
   * A repeating structure each containing Payment Decision data on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  private GsPymtDcsnRcrd[] pymtDcsnRcrd = null;

  /**
   * <P>Sets the value of the attribute <code>pymtDcsnRcrd</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDcsnLstTg.PymtDcsnRcrdTg</code>.
   * <P>
   * A repeating structure each containing Payment Decision data on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  public  void             setPymtDcsnRcrd(GsPymtDcsnRcrd[] o )  { pymtDcsnRcrd = o; }

  /**
   * <P>Gets the value of the attribute <code>pymtDcsnRcrd</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDcsnLstTg.PymtDcsnRcrdTg</code>.
   * <P>
   * A repeating structure each containing Payment Decision data on the
   * Consumer Bill Pay Audit Inquiry.
   * <BR>
   */
  public  GsPymtDcsnRcrd[] getPymtDcsnRcrd() { return (pymtDcsnRcrd); }

  /**
   * <P>The attribute <code>invAudtRcrd</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvAudtLstTg.InvAudtRcrdTg</code>.
   * <P>
   * A repeating business invoice audit record structure.
   * <BR>
   */
  private GsInvAudtRcrd[] invAudtRcrd = null;

  /**
   * <P>Sets the value of the attribute <code>invAudtRcrd</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvAudtLstTg.InvAudtRcrdTg</code>.
   * <P>
   * A repeating business invoice audit record structure.
   * <BR>
   */
  public  void            setInvAudtRcrd(GsInvAudtRcrd[] o )  { invAudtRcrd = o; }

  /**
   * <P>Gets the value of the attribute <code>invAudtRcrd</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvAudtLstTg.InvAudtRcrdTg</code>.
   * <P>
   * A repeating business invoice audit record structure.
   * <BR>
   */
  public  GsInvAudtRcrd[] getInvAudtRcrd() { return (invAudtRcrd); }

  /**
   * <P>The attribute <code>custRmtAudtDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCustRmtAudLstTg.CustRmtAudtDtlTg</code>.
   * <P>
   * A customer remittance data audit record.
   * <BR>
   */
  private GsCustRmtAudtDtl[] custRmtAudtDtl = null;

  /**
   * <P>Sets the value of the attribute <code>custRmtAudtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCustRmtAudLstTg.CustRmtAudtDtlTg</code>.
   * <P>
   * A customer remittance data audit record.
   * <BR>
   */
  public  void               setCustRmtAudtDtl(GsCustRmtAudtDtl[] o )  { custRmtAudtDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>custRmtAudtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCustRmtAudLstTg.CustRmtAudtDtlTg</code>.
   * <P>
   * A customer remittance data audit record.
   * <BR>
   */
  public  GsCustRmtAudtDtl[] getCustRmtAudtDtl() { return (custRmtAudtDtl); }

  /**
   * <P>The attribute <code>syncToken</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  private String syncToken = null;

  /**
   * <P>Sets the value of the attribute <code>syncToken</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  public  void   setSyncToken( String o ) { syncToken = o; }

  /**
   * <P>Gets the value of the attribute <code>syncToken</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.SyncTokenTg</code>.
   * <P>
   * A series of characters which may be derived from a Timestamp,
   * Sequential number or other value used by the Server to generate a
   * unique identifier for a synchronization request. The server sends a
   * synchronization token to the client (value is '0' for first time
   * requests) when the client asks for information. The client returns
   * the token on the subsequent request. On each response, the server
   * updates the token. In this way, the client may request all changes
   * since the prior request.
   */
  public  String getSyncToken() { return (syncToken); }

  /**
   * <P>The attribute <code>lostSyncFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.LostSyncFTg</code>.
   * <P>
   * Flag indicating whether requestor's token is older than the oldest
   * data available indicating possible lost data.
   */
  private String lostSyncFlag = null;

  /**
   * <P>Sets the value of the attribute <code>lostSyncFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.LostSyncFTg</code>.
   * <P>
   * Flag indicating whether requestor's token is older than the oldest
   * data available indicating possible lost data.
   */
  public  void   setLostSyncFlag( String o ) { lostSyncFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>lostSyncFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.LostSyncFTg</code>.
   * <P>
   * Flag indicating whether requestor's token is older than the oldest
   * data available indicating possible lost data.
   */
  public  String getLostSyncFlag() { return (lostSyncFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>lostSyncFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrBpAudtRsTg.LostSyncFTg</code>.
   */
  public  String getLostSyncFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsLostSyncFResources", locale, getLostSyncFlag() );
  }

  /**
   * <P>The attribute <code>fullPayeeAudLst2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFlPayeeAudLstTg.FullPayeeAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a payee audit record
   * or a convert payee audit record but not both, Only 1 cpompleted audit
   * record will be returned per repeat.
   * <BR>
   */
  private GsFullPayeeAudtList2[] fullPayeeAudLst2 = null;

  /**
   * <P>Sets the value of the attribute <code>fullPayeeAudLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFlPayeeAudLstTg.FullPayeeAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a payee audit record
   * or a convert payee audit record but not both, Only 1 cpompleted audit
   * record will be returned per repeat.
   * <BR>
   */
  public  void                   setFullPayeeAudLst2(GsFullPayeeAudtList2[] o )  { fullPayeeAudLst2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fullPayeeAudLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFlPayeeAudLstTg.FullPayeeAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a payee audit record
   * or a convert payee audit record but not both, Only 1 cpompleted audit
   * record will be returned per repeat.
   * <BR>
   */
  public  GsFullPayeeAudtList2[] getFullPayeeAudLst2() { return (fullPayeeAudLst2); }

  /**
   * <P>The attribute <code>fullPymtAudtLst2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFlPymtAudtLstTg.FullPymtAudtLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a single payment
   * audit record, payment instance audit record, invoice audit record or
   * a payment system audit record (either a payment decision audit record
   * or reverse pay decision audit record). Only 1 completed audit record
   * will be returned per repeat.
   * <BR>
   */
  private GsFullPymtAudtList2[] fullPymtAudtLst2 = null;

  /**
   * <P>Sets the value of the attribute <code>fullPymtAudtLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFlPymtAudtLstTg.FullPymtAudtLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a single payment
   * audit record, payment instance audit record, invoice audit record or
   * a payment system audit record (either a payment decision audit record
   * or reverse pay decision audit record). Only 1 completed audit record
   * will be returned per repeat.
   * <BR>
   */
  public  void                  setFullPymtAudtLst2(GsFullPymtAudtList2[] o )  { fullPymtAudtLst2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fullPymtAudtLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFlPymtAudtLstTg.FullPymtAudtLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a single payment
   * audit record, payment instance audit record, invoice audit record or
   * a payment system audit record (either a payment decision audit record
   * or reverse pay decision audit record). Only 1 completed audit record
   * will be returned per repeat.
   * <BR>
   */
  public  GsFullPymtAudtList2[] getFullPymtAudtLst2() { return (fullPymtAudtLst2); }

  /**
   * <P>The attribute <code>pymtSysAudtList2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtSysAudLstTg.PymtSysAudtList2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Payment Decision
   * audit record, a reverse decision audit record or a payment system
   * audit record. Only 1 completed audit record per repeat will be
   * returned.
   * <BR>
   */
  private GsPymtSysAudtList2[] pymtSysAudtList2 = null;

  /**
   * <P>Sets the value of the attribute <code>pymtSysAudtList2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtSysAudLstTg.PymtSysAudtList2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Payment Decision
   * audit record, a reverse decision audit record or a payment system
   * audit record. Only 1 completed audit record per repeat will be
   * returned.
   * <BR>
   */
  public  void                 setPymtSysAudtList2(GsPymtSysAudtList2[] o )  { pymtSysAudtList2 = o; }

  /**
   * <P>Gets the value of the attribute <code>pymtSysAudtList2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtSysAudLstTg.PymtSysAudtList2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Payment Decision
   * audit record, a reverse decision audit record or a payment system
   * audit record. Only 1 completed audit record per repeat will be
   * returned.
   * <BR>
   */
  public  GsPymtSysAudtList2[] getPymtSysAudtList2() { return (pymtSysAudtList2); }

  /**
   * <P>The attribute <code>fullRcPymAudLst2</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFRPymtAudtLstTg.FullRcPymAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Recurring Payment
   * audit record or a Recurring Payment System audit record. Only 1
   * completed audit record per repeat will be returned.
   * <BR>
   */
  private GsFullRcurPymtAudtList2[] fullRcPymAudLst2 = null;

  /**
   * <P>Sets the value of the attribute <code>fullRcPymAudLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFRPymtAudtLstTg.FullRcPymAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Recurring Payment
   * audit record or a Recurring Payment System audit record. Only 1
   * completed audit record per repeat will be returned.
   * <BR>
   */
  public  void                      setFullRcPymAudLst2(GsFullRcurPymtAudtList2[] o )  { fullRcPymAudLst2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fullRcPymAudLst2</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFRPymtAudtLstTg.FullRcPymAudLst2Tg</code>.
   * <P>
   * Structure where each repeat will contain either a Recurring Payment
   * audit record or a Recurring Payment System audit record. Only 1
   * completed audit record per repeat will be returned.
   * <BR>
   */
  public  GsFullRcurPymtAudtList2[] getFullRcPymAudLst2() { return (fullRcPymAudLst2); }

  /**
   * <P>The attribute <code>rcurPySysAudtRcr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRcPySysAudLstTg.RcurPySysAudtRcrTg</code>.
   * <P>
   * A repeating structure of recurring payment system audit record.
   * <BR>
   */
  private GsRcurPymtSysAudtRcrd[] rcurPySysAudtRcr = null;

  /**
   * <P>Sets the value of the attribute <code>rcurPySysAudtRcr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRcPySysAudLstTg.RcurPySysAudtRcrTg</code>.
   * <P>
   * A repeating structure of recurring payment system audit record.
   * <BR>
   */
  public  void                    setRcurPySysAudtRcr(GsRcurPymtSysAudtRcrd[] o )  { rcurPySysAudtRcr = o; }

  /**
   * <P>Gets the value of the attribute <code>rcurPySysAudtRcr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRcPySysAudLstTg.RcurPySysAudtRcrTg</code>.
   * <P>
   * A repeating structure of recurring payment system audit record.
   * <BR>
   */
  public  GsRcurPymtSysAudtRcrd[] getRcurPySysAudtRcr() { return (rcurPySysAudtRcr); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtConsumerBillpayAuditInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqServiceRequestSecurity != null )
    {
      reqServiceRequestSecurity_packed = GsSrvcRqstScrty.pack( reqServiceRequestSecurity );
      addArgToGMJI( reqServiceRequestSecurity_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqMaximumNumberRecorded ); 
    addArgToGMJI( reqLastNumberRecorded ); 
    addArgToGMJI( reqCursor ); 

    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    if( reqFINumber != null && reqFINumber.length() > 8 )
      addArgToGMJI( reqFINumber.substring(0,8));
    else
      addArgToGMJI( reqFINumber ); 

    if( reqConsumerAuditReportType != null && reqConsumerAuditReportType.length() > 1 )
      addArgToGMJI( reqConsumerAuditReportType.substring(0,1));
    else
      addArgToGMJI( reqConsumerAuditReportType ); 

    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 

    if( reqSessionOwnerID != null && reqSessionOwnerID.length() > 30 )
      addArgToGMJI( reqSessionOwnerID.substring(0,30));
    else
      addArgToGMJI( reqSessionOwnerID ); 
    GsDate.addPropertiesToGMJI( reqStartDate, this );
    GsDate.addPropertiesToGMJI( reqEndDate, this );

    if( reqSyncToken != null && reqSyncToken.length() > 36 )
      addArgToGMJI( reqSyncToken.substring(0,36));
    else
      addArgToGMJI( reqSyncToken ); 

    if( reqTokenOnlyFlag != null && reqTokenOnlyFlag.length() > 1 )
      addArgToGMJI( reqTokenOnlyFlag.substring(0,1));
    else
      addArgToGMJI( reqTokenOnlyFlag ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );

    if( reqSsnOwnCnsmrId != null && reqSsnOwnCnsmrId.length() > 30 )
      addArgToGMJI( reqSsnOwnCnsmrId.substring(0,30));
    else
      addArgToGMJI( reqSsnOwnCnsmrId ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    payeeAuditRecord = new GsPayeeAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      payeeAuditRecord[ i ] = new GsPayeeAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    singlePaymentAuditRecord = new GsSnglPymtAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      singlePaymentAuditRecord[ i ] = new GsSnglPymtAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    recurringPaymentAuditRecord = new GsRcurPymtAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      recurringPaymentAuditRecord[ i ] = new GsRcurPymtAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    paymentInstanceAuditRecord = new GsPymtInstAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      paymentInstanceAuditRecord[ i ] = new GsPymtInstAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    paymentHistoryChangeRecord = new GsPymtHistChngRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      paymentHistoryChangeRecord[ i ] = new GsPymtHistChngRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    conversionAuditRecord = new GsCnvrAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      conversionAuditRecord[ i ] = new GsCnvrAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    reverseAuditRecord = new GsRvrsAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reverseAuditRecord[ i ] = new GsRvrsAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    pymtDcsnRcrd = new GsPymtDcsnRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      pymtDcsnRcrd[ i ] = new GsPymtDcsnRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    invAudtRcrd = new GsInvAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      invAudtRcrd[ i ] = new GsInvAudtRcrd( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    custRmtAudtDtl = new GsCustRmtAudtDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      custRmtAudtDtl[ i ] = new GsCustRmtAudtDtl( txn );
    }
    syncToken = txn.getNextCharFromGMJO( 36, "syncToken" );
    lostSyncFlag = txn.getNextCharFromGMJO( 1, "lostSyncFlag" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fullPayeeAudLst2 = new GsFullPayeeAudtList2[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fullPayeeAudLst2[ i ] = new GsFullPayeeAudtList2( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fullPymtAudtLst2 = new GsFullPymtAudtList2[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fullPymtAudtLst2[ i ] = new GsFullPymtAudtList2( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    pymtSysAudtList2 = new GsPymtSysAudtList2[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      pymtSysAudtList2[ i ] = new GsPymtSysAudtList2( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fullRcPymAudLst2 = new GsFullRcurPymtAudtList2[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fullRcPymAudLst2[ i ] = new GsFullRcurPymtAudtList2( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    rcurPySysAudtRcr = new GsRcurPymtSysAudtRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      rcurPySysAudtRcr[ i ] = new GsRcurPymtSysAudtRcrd( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqServiceRequestSecurity =" );
    if( reqServiceRequestSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqServiceRequestSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqServiceRequestSecurity[" + j + "] =" );
        if( reqServiceRequestSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqServiceRequestSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqServiceRequestSecurity_packed = " + getReqServiceRequestSecurity_packed() );
    pageWriter.println( prefix + "reqMaximumNumberRecorded = " + getReqMaximumNumberRecorded() );
    pageWriter.println( prefix + "reqLastNumberRecorded = " + getReqLastNumberRecorded() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "reqFINumber = " + getReqFINumber() );
    pageWriter.println( prefix + "reqConsumerAuditReportType = " + getReqConsumerAuditReportType() );
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqSessionOwnerID = " + getReqSessionOwnerID() );

    pageWriter.println( prefix + "reqStartDate =" );
    if( reqStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDate =" );
    if( reqEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSyncToken = " + getReqSyncToken() );
    pageWriter.println( prefix + "reqTokenOnlyFlag = " + getReqTokenOnlyFlag() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSsnOwnCnsmrId = " + getReqSsnOwnCnsmrId() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "payeeAuditRecord =" );
    if( payeeAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < payeeAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "payeeAuditRecord[" + j + "] =" );
        if( payeeAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          payeeAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "singlePaymentAuditRecord =" );
    if( singlePaymentAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < singlePaymentAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "singlePaymentAuditRecord[" + j + "] =" );
        if( singlePaymentAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          singlePaymentAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "recurringPaymentAuditRecord =" );
    if( recurringPaymentAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < recurringPaymentAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "recurringPaymentAuditRecord[" + j + "] =" );
        if( recurringPaymentAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          recurringPaymentAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "paymentInstanceAuditRecord =" );
    if( paymentInstanceAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < paymentInstanceAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "paymentInstanceAuditRecord[" + j + "] =" );
        if( paymentInstanceAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          paymentInstanceAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "paymentHistoryChangeRecord =" );
    if( paymentHistoryChangeRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < paymentHistoryChangeRecord.length; j++ )
      {
        pageWriter.println( prefix + "paymentHistoryChangeRecord[" + j + "] =" );
        if( paymentHistoryChangeRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          paymentHistoryChangeRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "conversionAuditRecord =" );
    if( conversionAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < conversionAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "conversionAuditRecord[" + j + "] =" );
        if( conversionAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          conversionAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reverseAuditRecord =" );
    if( reverseAuditRecord == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reverseAuditRecord.length; j++ )
      {
        pageWriter.println( prefix + "reverseAuditRecord[" + j + "] =" );
        if( reverseAuditRecord[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reverseAuditRecord[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "pymtDcsnRcrd =" );
    if( pymtDcsnRcrd == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < pymtDcsnRcrd.length; j++ )
      {
        pageWriter.println( prefix + "pymtDcsnRcrd[" + j + "] =" );
        if( pymtDcsnRcrd[ j ] == null )
          pageWriter.println( " (null)" );
        else
          pymtDcsnRcrd[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "invAudtRcrd =" );
    if( invAudtRcrd == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < invAudtRcrd.length; j++ )
      {
        pageWriter.println( prefix + "invAudtRcrd[" + j + "] =" );
        if( invAudtRcrd[ j ] == null )
          pageWriter.println( " (null)" );
        else
          invAudtRcrd[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "custRmtAudtDtl =" );
    if( custRmtAudtDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < custRmtAudtDtl.length; j++ )
      {
        pageWriter.println( prefix + "custRmtAudtDtl[" + j + "] =" );
        if( custRmtAudtDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          custRmtAudtDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "syncToken = " + getSyncToken() );
    pageWriter.println( prefix + "lostSyncFlag = " + getLostSyncFlag() );
    try {
      pageWriter.println( prefix + "lostSyncFlag_text = " + getLostSyncFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "lostSyncFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "fullPayeeAudLst2 =" );
    if( fullPayeeAudLst2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fullPayeeAudLst2.length; j++ )
      {
        pageWriter.println( prefix + "fullPayeeAudLst2[" + j + "] =" );
        if( fullPayeeAudLst2[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fullPayeeAudLst2[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fullPymtAudtLst2 =" );
    if( fullPymtAudtLst2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fullPymtAudtLst2.length; j++ )
      {
        pageWriter.println( prefix + "fullPymtAudtLst2[" + j + "] =" );
        if( fullPymtAudtLst2[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fullPymtAudtLst2[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "pymtSysAudtList2 =" );
    if( pymtSysAudtList2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < pymtSysAudtList2.length; j++ )
      {
        pageWriter.println( prefix + "pymtSysAudtList2[" + j + "] =" );
        if( pymtSysAudtList2[ j ] == null )
          pageWriter.println( " (null)" );
        else
          pymtSysAudtList2[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fullRcPymAudLst2 =" );
    if( fullRcPymAudLst2 == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fullRcPymAudLst2.length; j++ )
      {
        pageWriter.println( prefix + "fullRcPymAudLst2[" + j + "] =" );
        if( fullRcPymAudLst2[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fullRcPymAudLst2[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "rcurPySysAudtRcr =" );
    if( rcurPySysAudtRcr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < rcurPySysAudtRcr.length; j++ )
      {
        pageWriter.println( prefix + "rcurPySysAudtRcr[" + j + "] =" );
        if( rcurPySysAudtRcr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          rcurPySysAudtRcr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqServiceRequestSecurity_repeatCounter" );
    reqServiceRequestSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqServiceRequestSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqServiceRequestSecurity[ i ].populateFromURL( txn, req, prefix + "reqServiceRequestSecurity_" + i + "_" );
    }
    reqMaximumNumberRecorded = getLongFromURL( req, prefix + "reqMaximumNumberRecorded" );
    reqLastNumberRecorded = getLongFromURL( req, prefix + "reqLastNumberRecorded" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
    reqFINumber = getCharFromURL( req, prefix + "reqFINumber" );
    reqConsumerAuditReportType = getCharFromURL( req, prefix + "reqConsumerAuditReportType" );
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqSessionOwnerID = getCharFromURL( req, prefix + "reqSessionOwnerID" );
    reqStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStartDate", "GtConsumerBillpayAuditInquiry" );
    reqEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDate", "GtConsumerBillpayAuditInquiry" );
    reqSyncToken = getCharFromURL( req, prefix + "reqSyncToken" );
    reqTokenOnlyFlag = getCharFromURL( req, prefix + "reqTokenOnlyFlag" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtConsumerBillpayAuditInquiry" );
    reqSsnOwnCnsmrId = getCharFromURL( req, prefix + "reqSsnOwnCnsmrId" );
  }
}
