//**********************************************
//
// FILE NAME: GtConsumerMessageConfirmation.java
// TRANSACTION NAME: Consumer Message Confirmation Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Consumer Message Confirmation Transaction</B>
 * <P>IFS ID: <B>cnsmcfrm</B>
 * <P>
 * This transaction is used to provide a definite positive or negative
 * indication by a consumer as to the contents of a message. The purpose
 * of the transaction is to ensure the consumer has actually read a
 * message, or to gain his acceptance of terms and conditions which may
 * include, for example, charges for services such as check copies.
 * <BR>
 * <P><B>CNSMR_MSG_CFRM_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CNSMR_MSG_CFRM_IMSG</B>
 *            <P>
 *            If the 'Confirmation Required' flag is set in the response
 *            of the 'Read an FI initiated Message Transaction' this
 *            implies that the consumer must explicitly accept or reject
 *            the message/e-mail. This message contains this explicit
 *            acceptance or rejection of the message/e-mail by the
 *            consumer. It will be created whether the consumer accepts or
 *            rejects the associated message/e-mail.
 *
 * <P>Reply:   <B>CNSMR_MSG_CFRM_OMSG</B>
 *            <P>
 *            This response message is an indicator that the message has
 *            been received by the messaging service.
 */
public class GtConsumerMessageConfirmation extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtConsumerMessageConfirmation() { }
  public GtConsumerMessageConfirmation( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "cnsmcfrm_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqConfirmationMessageCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.CfrmMsgTpClTg</code>.
   * <P>
   * A code which classifies the type of confirmation message being sent
   * by the consumer in response to a message received. For example, the
   * Confirmation message may indicate that the Consumer has accepted or
   * rejected the Terms and Conditions in the original message.
   */
  private String reqConfirmationMessageCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqConfirmationMessageCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.CfrmMsgTpClTg</code>.
   * <P>
   * A code which classifies the type of confirmation message being sent
   * by the consumer in response to a message received. For example, the
   * Confirmation message may indicate that the Consumer has accepted or
   * rejected the Terms and Conditions in the original message.
   */
  public  void   setReqConfirmationMessageCode( String o ) { reqConfirmationMessageCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConfirmationMessageCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.CfrmMsgTpClTg</code>.
   * <P>
   * A code which classifies the type of confirmation message being sent
   * by the consumer in response to a message received. For example, the
   * Confirmation message may indicate that the Consumer has accepted or
   * rejected the Terms and Conditions in the original message.
   */
  public  String getReqConfirmationMessageCode() { return (reqConfirmationMessageCode); }

  /**
   * <P>The attribute <code>reqPasswordID</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPasswordID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPasswordID( byte[] o ) { reqPasswordID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPasswordID() { return (reqPasswordID); }

  /**
   * <P>The attribute <code>reqPasswordEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPasswordEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPasswordEncryptionType( String o ) { reqPasswordEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPasswordEncryptionType() { return (reqPasswordEncryptionType); }

  /**
   * <P>The attribute <code>reqReauthorizationFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  private String reqReauthorizationFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqReauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  void   setReqReauthorizationFlag( String o ) { reqReauthorizationFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  String getReqReauthorizationFlag() { return (reqReauthorizationFlag); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqMessageSourceID</code> is an alias for the
   * standard message simple element
   * <code>IfsCfrmMsgTg.MsgSrcIDTg</code>.
   */
  private String reqMessageSourceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.MsgSrcIDTg</code>.
   */
  public  void   setReqMessageSourceID( String o ) { reqMessageSourceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCfrmMsgTg.MsgSrcIDTg</code>.
   */
  public  String getReqMessageSourceID() { return (reqMessageSourceID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtConsumerMessageConfirmation );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 

    if( reqConfirmationMessageCode != null && reqConfirmationMessageCode.length() > 1 )
      addArgToGMJI( reqConfirmationMessageCode.substring(0,1));
    else
      addArgToGMJI( reqConfirmationMessageCode ); 
    addArgToGMJI( reqPasswordID ); 

    if( reqPasswordEncryptionType != null && reqPasswordEncryptionType.length() > 1 )
      addArgToGMJI( reqPasswordEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqPasswordEncryptionType ); 

    if( reqReauthorizationFlag != null && reqReauthorizationFlag.length() > 1 )
      addArgToGMJI( reqReauthorizationFlag.substring(0,1));
    else
      addArgToGMJI( reqReauthorizationFlag ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    if( reqMessageSourceID != null && reqMessageSourceID.length() > 64 )
      addArgToGMJI( reqMessageSourceID.substring(0,64));
    else
      addArgToGMJI( reqMessageSourceID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );
    pageWriter.println( prefix + "reqConfirmationMessageCode = " + getReqConfirmationMessageCode() );
    pageWriter.println( prefix + "reqPasswordID = " + getReqPasswordID() );
    pageWriter.println( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
    pageWriter.println( prefix + "reqReauthorizationFlag = " + getReqReauthorizationFlag() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqMessageSourceID = " + getReqMessageSourceID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqConfirmationMessageCode = getCharFromURL( req, prefix + "reqConfirmationMessageCode" );
    reqPasswordID = getBinaryFromURL( req, prefix + "reqPasswordID" );
    reqPasswordEncryptionType = getCharFromURL( req, prefix + "reqPasswordEncryptionType" );
    reqReauthorizationFlag = getCharFromURL( req, prefix + "reqReauthorizationFlag" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqMessageSourceID = getCharFromURL( req, prefix + "reqMessageSourceID" );
  }
}
