//**********************************************
//
// FILE NAME: GtCreditCardDispute.java
// TRANSACTION NAME: Report Credit Card Dispute Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Report Credit Card Dispute Transaction</B>
 * <P>IFS ID: <B>ccdsput</B>
 * <P>
 * This transaction allows the consumer to report a dispute concerning a
 * specific credit card transaction.
 * <BR>
 * <P><B>CC_DSPUT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CC_DSPUT_IMSG</B>
 *            <P>
 *            This request message informs the Financial Institution of a
 *            disputed credit card transaction and requests the Financial
 *            Institution to withhold payment of that transaction. The
 *            consumer inputs transaction identification details such as
 *            the Transaction Origination and Posting Dates, the
 *            Transaction Reference ID, the amount, and a brief
 *            description of the transaction. In addition, the consumer
 *            may input a message giving details of how the dispute has
 *            arisen. The consumer may also include Contact Details should
 *            the Financial Institution need additional information
 *            regarding the dispute.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 *      <TR><TD>reqHomePhone</TD>	<TD>IfsCcDsptTg.CnsmrPhTg.HmPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</TD></TR>
 *      <TR><TD>reqWorkPhone</TD>	<TD>IfsCcDsptTg.CnsmrPhTg.WrkPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</TD></TR>
 *      <TR><TD>reqCnsmrCntcThomePhone</TD>	<TD>CnsmrCntcTg.CntcHomePhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</TD></TR>
 *      <TR><TD>reqCnsmrCntcTworkPhone</TD>	<TD>CnsmrCntcTg.CntcWorkPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</TD></TR>
 *      <TR><TD>reqCnsmrCntcTemailAddress</TD>	<TD>CnsmrCntcTg.CntcEmailAddrIdTg</TD>	<TD>IfsCcDsptTg.CntcEmailAddrIdTg</TD></TR>
 *      <TR><TD>reqCnsmrCntcTfaxNumber</TD>	<TD>CnsmrCntcTg.CntcFaxNbrIdTg</TD>	<TD>IfsCcDsptTg.CntcFaxNbrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CC_DSPUT_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the consumer's Report Credit Card Dispute message
 *            was successfully received by the FI, and may include
 *            Financial Institution and Service Provider Reference
 *            identifiers for future tracing.
 */
public class GtCreditCardDispute extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCreditCardDispute() { }
  public GtCreditCardDispute( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ccdsput_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqCreditCardNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CardAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying the Credit Card Account.
   */
  private String reqCreditCardNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqCreditCardNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CardAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying the Credit Card Account.
   */
  public  void   setReqCreditCardNumber( String o ) { reqCreditCardNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCreditCardNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CardAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying the Credit Card Account.
   */
  public  String getReqCreditCardNumber() { return (reqCreditCardNumber); }

  /**
   * <P>The attribute <code>reqMerchantNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname or alias used to identify an individual or
   * organization which is a Merchant.
   */
  private String reqMerchantNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqMerchantNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname or alias used to identify an individual or
   * organization which is a Merchant.
   */
  public  void   setReqMerchantNickname( String o ) { reqMerchantNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMerchantNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname or alias used to identify an individual or
   * organization which is a Merchant.
   */
  public  String getReqMerchantNickname() { return (reqMerchantNickname); }

  /**
   * <P>The attribute <code>reqMerchantLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming all or part of the name or label by
   * which an individual or Organisation which is a Merchant is addressed.
   */
  private String reqMerchantLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqMerchantLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming all or part of the name or label by
   * which an individual or Organisation which is a Merchant is addressed.
   */
  public  void   setReqMerchantLine1( String o ) { reqMerchantLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMerchantLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.MrchNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming all or part of the name or label by
   * which an individual or Organisation which is a Merchant is addressed.
   */
  public  String getReqMerchantLine1() { return (reqMerchantLine1); }

  /**
   * <P>The attribute <code>reqTransactionOriginalDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnOrigDtTg</code>.
   * <P>
   * The date that a Transaction originally occurred. For example, a
   * Credit Card purchase occurs on January 25, which is the Transaction
   * Origination Date, and the Credit Card Account is subsequently debited
   * on January 27, which is the Transaction Posting Date.
   * <BR>
   */
  private GsDate reqTransactionOriginalDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionOriginalDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnOrigDtTg</code>.
   * <P>
   * The date that a Transaction originally occurred. For example, a
   * Credit Card purchase occurs on January 25, which is the Transaction
   * Origination Date, and the Credit Card Account is subsequently debited
   * on January 27, which is the Transaction Posting Date.
   * <BR>
   */
  public  void   setReqTransactionOriginalDate(GsDate o )  { reqTransactionOriginalDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionOriginalDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnOrigDtTg</code>.
   * <P>
   * The date that a Transaction originally occurred. For example, a
   * Credit Card purchase occurs on January 25, which is the Transaction
   * Origination Date, and the Credit Card Account is subsequently debited
   * on January 27, which is the Transaction Posting Date.
   * <BR>
   */
  public  GsDate getReqTransactionOriginalDate() { return (reqTransactionOriginalDate); }

  /**
   * <P>The attribute <code>reqTransactionPostingDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  private GsDate reqTransactionPostingDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionPostingDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  public  void   setReqTransactionPostingDate(GsDate o )  { reqTransactionPostingDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionPostingDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  public  GsDate getReqTransactionPostingDate() { return (reqTransactionPostingDate); }

  /**
   * <P>The attribute <code>reqTransactionReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a specific transaction.
   */
  private String reqTransactionReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a specific transaction.
   */
  public  void   setReqTransactionReferenceNumber( String o ) { reqTransactionReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a specific transaction.
   */
  public  String getReqTransactionReferenceNumber() { return (reqTransactionReferenceNumber); }

  /**
   * <P>The attribute <code>reqTransactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  private GsCurrency reqTransactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  void       setReqTransactionAmount(GsCurrency o )  { reqTransactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCcDsptTg.CcTxnTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  GsCurrency getReqTransactionAmount() { return (reqTransactionAmount); }

  /**
   * <P>The attribute <code>reqTransactionDescription</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnDescTg</code>.
   * <P>
   * A free-form textual description, entered by a Consumer, of a Credit
   * Card Transaction which they want to report a problem with or get a
   * copy of the corresponding Sales Slip, For example, the Consumer
   * enters: The transaction for about &dollar.100.00 dollars that I wrote
   * in January to pay the Hertz car rental, or simply, Car Rental.
   */
  private String reqTransactionDescription = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnDescTg</code>.
   * <P>
   * A free-form textual description, entered by a Consumer, of a Credit
   * Card Transaction which they want to report a problem with or get a
   * copy of the corresponding Sales Slip, For example, the Consumer
   * enters: The transaction for about &dollar.100.00 dollars that I wrote
   * in January to pay the Hertz car rental, or simply, Car Rental.
   */
  public  void   setReqTransactionDescription( String o ) { reqTransactionDescription = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CcTxnTg.TxnDescTg</code>.
   * <P>
   * A free-form textual description, entered by a Consumer, of a Credit
   * Card Transaction which they want to report a problem with or get a
   * copy of the corresponding Sales Slip, For example, the Consumer
   * enters: The transaction for about &dollar.100.00 dollars that I wrote
   * in January to pay the Hertz car rental, or simply, Car Rental.
   */
  public  String getReqTransactionDescription() { return (reqTransactionDescription); }

  /**
   * <P>The attribute <code>reqMessage</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.DsptTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessage = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.DsptTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessage( String o ) { reqMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.DsptTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessage() { return (reqMessage); }

  /**
   * <P>The attribute <code>reqEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqEmailAddress( String o ) { reqEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqEmailAddress() { return (reqEmailAddress); }

  /**
   * <P>The attribute <code>reqFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqFaxNumber( String o ) { reqFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqFaxNumber() { return (reqFaxNumber); }

  /**
   * <P>The attribute <code>reqDisputeType</code> is an alias for the
   * standard message simple element
   * <code>IfsCcDsptTg.CCDisputeTpClTg</code>.
   * <P>
   * A code assigned by the Financial Institution, or Service Provider
   * classifying the type of problems associated with a Credit Card
   * Transaction.
   */
  private String reqDisputeType = null;

  /**
   * <P>Sets the value of the attribute <code>reqDisputeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CCDisputeTpClTg</code>.
   * <P>
   * A code assigned by the Financial Institution, or Service Provider
   * classifying the type of problems associated with a Credit Card
   * Transaction.
   */
  public  void   setReqDisputeType( String o ) { reqDisputeType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDisputeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCcDsptTg.CCDisputeTpClTg</code>.
   * <P>
   * A code assigned by the Financial Institution, or Service Provider
   * classifying the type of problems associated with a Credit Card
   * Transaction.
   */
  public  String getReqDisputeType() { return (reqDisputeType); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCreditCardDispute );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqCreditCardNumber != null && reqCreditCardNumber.length() > 22 )
      addArgToGMJI( reqCreditCardNumber.substring(0,22));
    else
      addArgToGMJI( reqCreditCardNumber ); 

    if( reqMerchantNickname != null && reqMerchantNickname.length() > 30 )
      addArgToGMJI( reqMerchantNickname.substring(0,30));
    else
      addArgToGMJI( reqMerchantNickname ); 

    if( reqMerchantLine1 != null && reqMerchantLine1.length() > 40 )
      addArgToGMJI( reqMerchantLine1.substring(0,40));
    else
      addArgToGMJI( reqMerchantLine1 ); 
    GsDate.addPropertiesToGMJI( reqTransactionOriginalDate, this );
    GsDate.addPropertiesToGMJI( reqTransactionPostingDate, this );

    if( reqTransactionReferenceNumber != null && reqTransactionReferenceNumber.length() > 23 )
      addArgToGMJI( reqTransactionReferenceNumber.substring(0,23));
    else
      addArgToGMJI( reqTransactionReferenceNumber ); 
    GsCurrency.addPropertiesToGMJI( reqTransactionAmount, this );

    if( reqTransactionDescription != null && reqTransactionDescription.length() > 50 )
      addArgToGMJI( reqTransactionDescription.substring(0,50));
    else
      addArgToGMJI( reqTransactionDescription ); 

    if( reqMessage != null && reqMessage.length() > 3000 )
      addArgToGMJI( reqMessage.substring(0,3000));
    else
      addArgToGMJI( reqMessage ); 

    if( reqEmailAddress != null && reqEmailAddress.length() > 128 )
      addArgToGMJI( reqEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqEmailAddress ); 

    if( reqFaxNumber != null && reqFaxNumber.length() > 15 )
      addArgToGMJI( reqFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqFaxNumber ); 

    if( reqDisputeType != null && reqDisputeType.length() > 3 )
      addArgToGMJI( reqDisputeType.substring(0,3));
    else
      addArgToGMJI( reqDisputeType ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqCreditCardNumber = " + getReqCreditCardNumber() );
    pageWriter.println( prefix + "reqMerchantNickname = " + getReqMerchantNickname() );
    pageWriter.println( prefix + "reqMerchantLine1 = " + getReqMerchantLine1() );

    pageWriter.println( prefix + "reqTransactionOriginalDate =" );
    if( reqTransactionOriginalDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionOriginalDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransactionPostingDate =" );
    if( reqTransactionPostingDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionPostingDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionReferenceNumber = " + getReqTransactionReferenceNumber() );

    pageWriter.println( prefix + "reqTransactionAmount =" );
    if( reqTransactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionDescription = " + getReqTransactionDescription() );
    pageWriter.println( prefix + "reqMessage = " + getReqMessage() );
    pageWriter.println( prefix + "reqEmailAddress = " + getReqEmailAddress() );
    pageWriter.println( prefix + "reqFaxNumber = " + getReqFaxNumber() );
    pageWriter.println( prefix + "reqDisputeType = " + getReqDisputeType() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqCreditCardNumber = getCharFromURL( req, prefix + "reqCreditCardNumber" );
    reqMerchantNickname = getCharFromURL( req, prefix + "reqMerchantNickname" );
    reqMerchantLine1 = getCharFromURL( req, prefix + "reqMerchantLine1" );
    reqTransactionOriginalDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionOriginalDate", "GtCreditCardDispute" );
    reqTransactionPostingDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionPostingDate", "GtCreditCardDispute" );
    reqTransactionReferenceNumber = getCharFromURL( req, prefix + "reqTransactionReferenceNumber" );
    reqTransactionAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionAmount", "GtCreditCardDispute" );
    reqTransactionDescription = getCharFromURL( req, prefix + "reqTransactionDescription" );
    reqMessage = getCharFromURL( req, prefix + "reqMessage" );
    reqEmailAddress = getCharFromURL( req, prefix + "reqEmailAddress" );
    reqFaxNumber = getCharFromURL( req, prefix + "reqFaxNumber" );
    reqDisputeType = getCharFromURL( req, prefix + "reqDisputeType" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
  }
}
