//**********************************************
//
// FILE NAME: GtCustomerEmailToFI.java
// TRANSACTION NAME: Customer Reply or Communication to FI transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Customer Reply or Communication to FI transaction</B>
 * <P>IFS ID: <B>cstemail</B>
 * <P>
 * This transaction enables a consumer to send an unsolicited or reply
 * e-mail message to the FI.
 * <BR>
 * <P><B>CUST_FI_EMAIL</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CUST_FI_IMSG</B>
 *            <P>
 *            This message contains an unsolicited or reply e-mail message
 *            from the Consumer to the Financial Institution containing
 *            contact information, an account identifier, along with the
 *            message identifier and text.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CUST_FI_OMSG</B>
 *            <P>
 *            This output message confirms the status of the original
 *            request to send a reply message or unsolicited message from
 *            the Consumer to the FI.
 */
public class GtCustomerEmailToFI extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtCustomerEmailToFI() { }
  public GtCustomerEmailToFI( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "cstemail_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqMessagetext</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessagetext = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessagetext( String o ) { reqMessagetext = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessagetext() { return (reqMessagetext); }

  /**
   * <P>The attribute <code>reqTopicInformation</code> is an alias for the
   * standard message simple element
   * <code>IfsTopicInfoTg.TopicInfoDtlTg</code>.
   * <P>
   * An alphanumeric string associated with an e-mail or message which
   * describes the subject matter or topic of the email or message.
   */
  private String reqTopicInformation = null;

  /**
   * <P>Sets the value of the attribute <code>reqTopicInformation</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTopicInfoTg.TopicInfoDtlTg</code>.
   * <P>
   * An alphanumeric string associated with an e-mail or message which
   * describes the subject matter or topic of the email or message.
   */
  public  void   setReqTopicInformation( String o ) { reqTopicInformation = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTopicInformation</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTopicInfoTg.TopicInfoDtlTg</code>.
   * <P>
   * An alphanumeric string associated with an e-mail or message which
   * describes the subject matter or topic of the email or message.
   */
  public  String getReqTopicInformation() { return (reqTopicInformation); }

  /**
   * <P>The attribute <code>reqMessageSourceID</code> is an alias for the
   * standard message simple element
   * <code>IfsTopicInfoTg.MsgSrcIDTg</code>.
   */
  private String reqMessageSourceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTopicInfoTg.MsgSrcIDTg</code>.
   */
  public  void   setReqMessageSourceID( String o ) { reqMessageSourceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTopicInfoTg.MsgSrcIDTg</code>.
   */
  public  String getReqMessageSourceID() { return (reqMessageSourceID); }

  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTopicInfoTg.AcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTopicInfoTg.AcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTopicInfoTg.AcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqHomePhone( String o ) { reqHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqHomePhone() { return (reqHomePhone); }

  /**
   * <P>The attribute <code>reqWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqWorkPhone( String o ) { reqWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqWorkPhone() { return (reqWorkPhone); }

  /**
   * <P>The attribute <code>reqEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqEmailAddress( String o ) { reqEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqEmailAddress() { return (reqEmailAddress); }

  /**
   * <P>The attribute <code>reqFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqFaxNumber( String o ) { reqFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqFaxNumber() { return (reqFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqFIProductDescriptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsFIProdTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private int  reqFIProductDescriptionType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFIProdTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void setReqFIProductDescriptionType( int o ) { reqFIProductDescriptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFIProdTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  int  getReqFIProductDescriptionType() { return (reqFIProductDescriptionType); }

  /**
   * <P>The attribute <code>reqFIProductDescriptionText</code> is an alias for the
   * standard message simple element
   * <code>IfsFIProdTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private String reqFIProductDescriptionText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIProductDescriptionText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFIProdTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void   setReqFIProductDescriptionText( String o ) { reqFIProductDescriptionText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIProductDescriptionText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFIProdTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  String getReqFIProductDescriptionText() { return (reqFIProductDescriptionText); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtCustomerEmailToFI );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqMessagetext != null && reqMessagetext.length() > 3000 )
      addArgToGMJI( reqMessagetext.substring(0,3000));
    else
      addArgToGMJI( reqMessagetext ); 

    if( reqTopicInformation != null && reqTopicInformation.length() > 40 )
      addArgToGMJI( reqTopicInformation.substring(0,40));
    else
      addArgToGMJI( reqTopicInformation ); 

    if( reqMessageSourceID != null && reqMessageSourceID.length() > 64 )
      addArgToGMJI( reqMessageSourceID.substring(0,64));
    else
      addArgToGMJI( reqMessageSourceID ); 
    GsAccount.addPropertiesToGMJI( reqAccount, this );

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    if( reqHomePhone != null && reqHomePhone.length() > 15 )
      addArgToGMJI( reqHomePhone.substring(0,15));
    else
      addArgToGMJI( reqHomePhone ); 

    if( reqWorkPhone != null && reqWorkPhone.length() > 15 )
      addArgToGMJI( reqWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqWorkPhone ); 

    if( reqEmailAddress != null && reqEmailAddress.length() > 128 )
      addArgToGMJI( reqEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqEmailAddress ); 

    if( reqFaxNumber != null && reqFaxNumber.length() > 15 )
      addArgToGMJI( reqFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 
    addArgToGMJI( reqFIProductDescriptionType ); 

    if( reqFIProductDescriptionText != null && reqFIProductDescriptionText.length() > 40 )
      addArgToGMJI( reqFIProductDescriptionText.substring(0,40));
    else
      addArgToGMJI( reqFIProductDescriptionText ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMessagetext = " + getReqMessagetext() );
    pageWriter.println( prefix + "reqTopicInformation = " + getReqTopicInformation() );
    pageWriter.println( prefix + "reqMessageSourceID = " + getReqMessageSourceID() );

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqHomePhone = " + getReqHomePhone() );
    pageWriter.println( prefix + "reqWorkPhone = " + getReqWorkPhone() );
    pageWriter.println( prefix + "reqEmailAddress = " + getReqEmailAddress() );
    pageWriter.println( prefix + "reqFaxNumber = " + getReqFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqFIProductDescriptionType = " + getReqFIProductDescriptionType() );
    pageWriter.println( prefix + "reqFIProductDescriptionText = " + getReqFIProductDescriptionText() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtCustomerEmailToFI" );
    reqMessagetext = getCharFromURL( req, prefix + "reqMessagetext" );
    reqTopicInformation = getCharFromURL( req, prefix + "reqTopicInformation" );
    reqMessageSourceID = getCharFromURL( req, prefix + "reqMessageSourceID" );
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtCustomerEmailToFI" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqHomePhone = getCharFromURL( req, prefix + "reqHomePhone" );
    reqWorkPhone = getCharFromURL( req, prefix + "reqWorkPhone" );
    reqEmailAddress = getCharFromURL( req, prefix + "reqEmailAddress" );
    reqFaxNumber = getCharFromURL( req, prefix + "reqFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqFIProductDescriptionType = getLongFromURL( req, prefix + "reqFIProductDescriptionType" );
    reqFIProductDescriptionText = getCharFromURL( req, prefix + "reqFIProductDescriptionText" );
  }
}
