//**********************************************
//
// FILE NAME: GtDeleteBusinessInvoice.java
// TRANSACTION NAME: Delete Business Invoice Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Delete Business Invoice Transaction</B>
 * <P>IFS ID: <B>delbsinv</B>
 * <P>
 * A client may delete an invoice. The invoice and all line items are
 * removed. Any payment instances that pointed to this invoice will need
 * to be modified by the Service Provider so that they are no longer
 * associated with the deleted invoice or its line items.
 * <BR>
 * <P><B>DEL_BUSINESS_INVOICE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>DEL_BUSINESS_INVOICE_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>DEL_BUSINESS_INVOICE_OMSG</B>
 */
public class GtDeleteBusinessInvoice extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtDeleteBusinessInvoice() { }
  public GtDeleteBusinessInvoice( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "delbsinv_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBusInvNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  private String reqBusInvNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  void   setReqBusInvNumber( String o ) { reqBusInvNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusInvNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBusInvNbrIdTg.BusInvNbrIdTg</code>.
   * <P>
   * A series of characters identifying a Business Invoice which has been
   * created.
   */
  public  String getReqBusInvNumber() { return (reqBusInvNumber); }

  /**
   * <P>The attribute <code>reqPymtNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  private String reqPymtNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  void   setReqPymtNbrId( String o ) { reqPymtNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtNbrTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  String getReqPymtNbrId() { return (reqPymtNbrId); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespRefrTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtDeleteBusinessInvoice );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBusInvNumber != null && reqBusInvNumber.length() > 12 )
      addArgToGMJI( reqBusInvNumber.substring(0,12));
    else
      addArgToGMJI( reqBusInvNumber ); 

    if( reqPymtNbrId != null && reqPymtNbrId.length() > 36 )
      addArgToGMJI( reqPymtNbrId.substring(0,36));
    else
      addArgToGMJI( reqPymtNbrId ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBusInvNumber = " + getReqBusInvNumber() );
    pageWriter.println( prefix + "reqPymtNbrId = " + getReqPymtNbrId() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBusInvNumber = getCharFromURL( req, prefix + "reqBusInvNumber" );
    reqPymtNbrId = getCharFromURL( req, prefix + "reqPymtNbrId" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
