//**********************************************
//
// FILE NAME: GtDirectStandingOrderDetail.java
// TRANSACTION NAME: Direct Debit / Standing Order Detail Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Direct Debit / Standing Order Detail Transaction</B>
 * <P>IFS ID: <B>ddsodtl</B>
 * <P>
 * Inquire on the Direct Debit Instructions or Standing Order Instruction
 * for a particular FI Consumer / FI Account / Instruction Type /
 * Beneficiary Name / Beneficiary Reference or on the set of Direct Debit
 * Instructions or Standing Order Instructions described by a subset of
 * these criteria.
 * <BR>
 * <P><B>DIR_DR_STDG_ORDR_DTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>DIR_DR_STDG_ORDR_DTL_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>DIR_DR_STDG_ORDR_DTL_OMSG</B>
 */
public class GtDirectStandingOrderDetail extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtDirectStandingOrderDetail() { }
  public GtDirectStandingOrderDetail( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ddsodtl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqDDSOInd</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRqstDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  private int  reqDDSOInd = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRqstDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  void setReqDDSOInd( int o ) { reqDDSOInd = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRqstDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  int  getReqDDSOInd() { return (reqDDSOInd); }

  /**
   * <P>The attribute <code>reqPayeeNm</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRqstDtlTg.PayeeNmTg</code>.
   */
  private String reqPayeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRqstDtlTg.PayeeNmTg</code>.
   */
  public  void   setReqPayeeNm( String o ) { reqPayeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRqstDtlTg.PayeeNmTg</code>.
   */
  public  String getReqPayeeNm() { return (reqPayeeNm); }

  /**
   * <P>The attribute <code>reqPymtSpclInsr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRqstDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  private GsPymtInfoDtls[] reqPymtSpclInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRqstDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  void             setReqPymtSpclInsr(GsPymtInfoDtls[] o )  { reqPymtSpclInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPymtSpclInsr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRqstDtlTg.PymtSpclInsrTg</code>.
   * <BR>
   */
  public  GsPymtInfoDtls[] getReqPymtSpclInsr() { return (reqPymtSpclInsr); }

  private String reqPymtSpclInsr_packed = null;
  public  void   setReqPymtSpclInsr_packed(String o ) { reqPymtSpclInsr_packed = o; }
  public  String getReqPymtSpclInsr_packed() { return (reqPymtSpclInsr_packed); }


  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>infoDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InfoDtTg</code>.
   * <BR>
   */
  private GsDate infoDt = null;

  /**
   * <P>Sets the value of the attribute <code>infoDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InfoDtTg</code>.
   * <BR>
   */
  public  void   setInfoDt(GsDate o )  { infoDt = o; }

  /**
   * <P>Gets the value of the attribute <code>infoDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InfoDtTg</code>.
   * <BR>
   */
  public  GsDate getInfoDt() { return (infoDt); }

  /**
   * <P>The attribute <code>tmVal</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmValTg</code>.
   */
  private String tmVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmValTg</code>.
   */
  public  void   setTmVal( String o ) { tmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmValTg</code>.
   */
  public  String getTmVal() { return (tmVal); }

  /**
   * <P>The attribute <code>tmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  private String tmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setTmFmtCodeCl( String o ) { tmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.TmFmtCodeClTg</code>.
   */
  public  String getTmFmtCodeCl() { return (tmFmtCodeCl); }

  /**
   * <P>The attribute <code>gmtOfstMins</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  gmtOfstMins = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setGmtOfstMins( int o ) { gmtOfstMins = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.InfoTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getGmtOfstMins() { return (gmtOfstMins); }

  /**
   * <P>The attribute <code>dDSOInd</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  private int  dDSOInd = 0;

  /**
   * <P>Sets the value of the attribute <code>dDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  void setDDSOInd( int o ) { dDSOInd = o; }

  /**
   * <P>Gets the value of the attribute <code>dDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOIndTg</code>.
   * <P>
   * Indicates whether the requested or returned payment is a Direct Debit
   * or a Standing Order.
   */
  public  int  getDDSOInd() { return (dDSOInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>dDSOInd</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOIndTg</code>.
   */
  public  String getDDSOInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsDDSOIndResources", locale,
                       String.valueOf( getDDSOInd() ) );
  }

  /**
   * <P>The attribute <code>dDSOTpCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  private int  dDSOTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>dDSOTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  public  void setDDSOTpCl( int o ) { dDSOTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>dDSOTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOTpClTg</code>.
   * <P>
   * Financial Institution assigned code defining the Direct Debit or
   * Standing Order type.
   */
  public  int  getDDSOTpCl() { return (dDSOTpCl); }

  /**
   * <P>The attribute <code>dDSOStTpCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOStTpClTg</code>.
   * <P>
   * Indicates the lifecycle status of a Direct Debit or a Standing Order.
   */
  private int  dDSOStTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>dDSOStTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOStTpClTg</code>.
   * <P>
   * Indicates the lifecycle status of a Direct Debit or a Standing Order.
   */
  public  void setDDSOStTpCl( int o ) { dDSOStTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>dDSOStTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOStTpClTg</code>.
   * <P>
   * Indicates the lifecycle status of a Direct Debit or a Standing Order.
   */
  public  int  getDDSOStTpCl() { return (dDSOStTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>dDSOStTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.DDSOStTpClTg</code>.
   */
  public  String getDDSOStTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsDDSOStTpClResources", locale,
                       String.valueOf( getDDSOStTpCl() ) );
  }

  /**
   * <P>The attribute <code>payeeNm</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.PayeeNmTg</code>.
   */
  private String payeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.PayeeNmTg</code>.
   */
  public  void   setPayeeNm( String o ) { payeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.PayeeNmTg</code>.
   */
  public  String getPayeeNm() { return (payeeNm); }

  /**
   * <P>The attribute <code>freeformTxt</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.PymtSpclInsrTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String freeformTxt = null;

  /**
   * <P>Sets the value of the attribute <code>freeformTxt</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.PymtSpclInsrTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setFreeformTxt( String o ) { freeformTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>freeformTxt</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.PymtSpclInsrTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getFreeformTxt() { return (freeformTxt); }

  /**
   * <P>The attribute <code>acctId</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.AcctIdTg</code>.
   * <BR>
   */
  private GsAccount acctId = null;

  /**
   * <P>Sets the value of the attribute <code>acctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.AcctIdTg</code>.
   * <BR>
   */
  public  void      setAcctId(GsAccount o )  { acctId = o; }

  /**
   * <P>Gets the value of the attribute <code>acctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.AcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAcctId() { return (acctId); }

  /**
   * <P>The attribute <code>paymentAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  private GsCurrency paymentAmt = null;

  /**
   * <P>Sets the value of the attribute <code>paymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  void       setPaymentAmt(GsCurrency o )  { paymentAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.PaymentAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getPaymentAmt() { return (paymentAmt); }

  /**
   * <P>The attribute <code>initPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  private GsCurrency initPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>initPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  public  void       setInitPymtAmt(GsCurrency o )  { initPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>initPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.InitPymtAmtTg</code>.
   * <P>
   * Initial 'balloon payment' amount for a recurring payment instruction.
   * (See Final Payment Amount).
   * <BR>
   */
  public  GsCurrency getInitPymtAmt() { return (initPymtAmt); }

  /**
   * <P>The attribute <code>fnlPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  private GsCurrency fnlPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>fnlPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  public  void       setFnlPymtAmt(GsCurrency o )  { fnlPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>fnlPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.FnlPymtAmtTg</code>.
   * <P>
   * The amount, value of funds to be paid on the last Payment Instance of
   * a Recurring Payment. The Final Payment Amount may vary from the
   * regular payment amounts. The Final Payment Amount is paid on the Last
   * Payment Date.
   * <BR>
   */
  public  GsCurrency getFnlPymtAmt() { return (fnlPymtAmt); }

  /**
   * <P>The attribute <code>dDSOStrtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOStrtDtTg</code>.
   * <P>
   * The date on which the first debit against the target account
   * occurred.
   * <BR>
   */
  private GsDate dDSOStrtDt = null;

  /**
   * <P>Sets the value of the attribute <code>dDSOStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOStrtDtTg</code>.
   * <P>
   * The date on which the first debit against the target account
   * occurred.
   * <BR>
   */
  public  void   setDDSOStrtDt(GsDate o )  { dDSOStrtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>dDSOStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOStrtDtTg</code>.
   * <P>
   * The date on which the first debit against the target account
   * occurred.
   * <BR>
   */
  public  GsDate getDDSOStrtDt() { return (dDSOStrtDt); }

  /**
   * <P>The attribute <code>nbrPymtsComplVal</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  private int  nbrPymtsComplVal = 0;

  /**
   * <P>Sets the value of the attribute <code>nbrPymtsComplVal</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  public  void setNbrPymtsComplVal( int o ) { nbrPymtsComplVal = o; }

  /**
   * <P>Gets the value of the attribute <code>nbrPymtsComplVal</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  public  int  getNbrPymtsComplVal() { return (nbrPymtsComplVal); }

  /**
   * <P>The attribute <code>freqCl</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String freqCl = null;

  /**
   * <P>Sets the value of the attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setFreqCl( String o ) { freqCl = o; }

  /**
   * <P>Gets the value of the attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getFreqCl() { return (freqCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>freqCl</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.FreqClTg</code>.
   */
  public  String getFreqCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFreqCl() );
  }

  /**
   * <P>The attribute <code>nxtPymtDueDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  private GsDate nxtPymtDueDt = null;

  /**
   * <P>Sets the value of the attribute <code>nxtPymtDueDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  public  void   setNxtPymtDueDt(GsDate o )  { nxtPymtDueDt = o; }

  /**
   * <P>Gets the value of the attribute <code>nxtPymtDueDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtDueDtTg</code>.
   * <P>
   * The scheduled date of the next draft or payment occurrence.
   * <BR>
   */
  public  GsDate getNxtPymtDueDt() { return (nxtPymtDueDt); }

  /**
   * <P>The attribute <code>nxtPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtAmtTg</code>.
   * <BR>
   */
  private GsCurrency nxtPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>nxtPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtAmtTg</code>.
   * <BR>
   */
  public  void       setNxtPymtAmt(GsCurrency o )  { nxtPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>nxtPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.NxtPymtAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getNxtPymtAmt() { return (nxtPymtAmt); }

  /**
   * <P>The attribute <code>nbrPymts</code> is an alias for the
   * standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  private int  nbrPymts = 0;

  /**
   * <P>Sets the value of the attribute <code>nbrPymts</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  public  void setNbrPymts( int o ) { nbrPymts = o; }

  /**
   * <P>Gets the value of the attribute <code>nbrPymts</code>,
   * which is an alias for the standard message simple element
   * <code>DDSOInqrRespDtlTg.NbrPymtsTg</code>.
   * <P>
   * Total number of payments in a payment instruction. In the case of a
   * Direct Debit or Standing Order this field may be used in place of
   * 'Expiry Date' to terminate the payment instruction at the appropriate
   * time.
   */
  public  int  getNbrPymts() { return (nbrPymts); }

  /**
   * <P>The attribute <code>expDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate expDt = null;

  /**
   * <P>Sets the value of the attribute <code>expDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setExpDt(GsDate o )  { expDt = o; }

  /**
   * <P>Gets the value of the attribute <code>expDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getExpDt() { return (expDt); }

  /**
   * <P>The attribute <code>dDSOPymtDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOPymtDtlTg</code>.
   * <BR>
   */
  private GsDdsoPymtDtl[] dDSOPymtDtl = null;

  /**
   * <P>Sets the value of the attribute <code>dDSOPymtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOPymtDtlTg</code>.
   * <BR>
   */
  public  void            setDDSOPymtDtl(GsDdsoPymtDtl[] o )  { dDSOPymtDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>dDSOPymtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DDSOInqrRespDtlTg.DDSOPymtDtlTg</code>.
   * <BR>
   */
  public  GsDdsoPymtDtl[] getDDSOPymtDtl() { return (dDSOPymtDtl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtDirectStandingOrderDetail );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    addArgToGMJI( reqDDSOInd ); 

    if( reqPayeeNm != null && reqPayeeNm.length() > 40 )
      addArgToGMJI( reqPayeeNm.substring(0,40));
    else
      addArgToGMJI( reqPayeeNm ); 
    if( reqPymtSpclInsr != null )
    {
      reqPymtSpclInsr_packed = GsPymtInfoDtls.pack( reqPymtSpclInsr );
      addArgToGMJI( reqPymtSpclInsr_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    accountID = new GsAccount( txn, "accountID" );
    infoDt = new GsDate( txn, "infoDt" );
    tmVal = txn.getNextCharFromGMJO( 10, "tmVal" );
    tmFmtCodeCl = txn.getNextCharFromGMJO( 3, "tmFmtCodeCl" );
    gmtOfstMins = txn.getNextLongFromGMJO( "gmtOfstMins" );
    dDSOInd = txn.getNextLongFromGMJO( "dDSOInd" );
    dDSOTpCl = txn.getNextLongFromGMJO( "dDSOTpCl" );
    dDSOStTpCl = txn.getNextLongFromGMJO( "dDSOStTpCl" );
    payeeNm = txn.getNextNlsCharFromGMJO( 40, "payeeNm" );
    freeformTxt = txn.getNextVarCharFromGMJO( "freeformTxt" );
    acctId = new GsAccount( txn, "acctId" );
    paymentAmt = new GsCurrency( txn, "paymentAmt" );
    initPymtAmt = new GsCurrency( txn, "initPymtAmt" );
    fnlPymtAmt = new GsCurrency( txn, "fnlPymtAmt" );
    dDSOStrtDt = new GsDate( txn, "dDSOStrtDt" );
    nbrPymtsComplVal = txn.getNextLongFromGMJO( "nbrPymtsComplVal" );
    freqCl = txn.getNextCharFromGMJO( 1, "freqCl" );
    nxtPymtDueDt = new GsDate( txn, "nxtPymtDueDt" );
    nxtPymtAmt = new GsCurrency( txn, "nxtPymtAmt" );
    nbrPymts = txn.getNextLongFromGMJO( "nbrPymts" );
    expDt = new GsDate( txn, "expDt" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    dDSOPymtDtl = new GsDdsoPymtDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      dDSOPymtDtl[ i ] = new GsDdsoPymtDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqDDSOInd = " + getReqDDSOInd() );
    pageWriter.println( prefix + "reqPayeeNm = " + getReqPayeeNm() );

    pageWriter.println( prefix + "reqPymtSpclInsr =" );
    if( reqPymtSpclInsr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPymtSpclInsr.length; j++ )
      {
        pageWriter.println( prefix + "reqPymtSpclInsr[" + j + "] =" );
        if( reqPymtSpclInsr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPymtSpclInsr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPymtSpclInsr_packed = " + getReqPymtSpclInsr_packed() );
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "infoDt =" );
    if( infoDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      infoDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmVal = " + getTmVal() );
    pageWriter.println( prefix + "tmFmtCodeCl = " + getTmFmtCodeCl() );
    pageWriter.println( prefix + "gmtOfstMins = " + getGmtOfstMins() );
    pageWriter.println( prefix + "dDSOInd = " + getDDSOInd() );
    try {
      pageWriter.println( prefix + "dDSOInd_text = " + getDDSOInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "dDSOInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "dDSOTpCl = " + getDDSOTpCl() );
    pageWriter.println( prefix + "dDSOStTpCl = " + getDDSOStTpCl() );
    try {
      pageWriter.println( prefix + "dDSOStTpCl_text = " + getDDSOStTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "dDSOStTpCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeNm = " + getPayeeNm() );
    pageWriter.println( prefix + "freeformTxt = " + getFreeformTxt() );

    pageWriter.println( prefix + "acctId =" );
    if( acctId == null ) {
      pageWriter.println( " (null)" );
    } else {
      acctId.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "paymentAmt =" );
    if( paymentAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      paymentAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "initPymtAmt =" );
    if( initPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      initPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fnlPymtAmt =" );
    if( fnlPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      fnlPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "dDSOStrtDt =" );
    if( dDSOStrtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      dDSOStrtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "nbrPymtsComplVal = " + getNbrPymtsComplVal() );
    pageWriter.println( prefix + "freqCl = " + getFreqCl() );
    try {
      pageWriter.println( prefix + "freqCl_text = " + getFreqCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "freqCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "nxtPymtDueDt =" );
    if( nxtPymtDueDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      nxtPymtDueDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "nxtPymtAmt =" );
    if( nxtPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      nxtPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "nbrPymts = " + getNbrPymts() );

    pageWriter.println( prefix + "expDt =" );
    if( expDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      expDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "dDSOPymtDtl =" );
    if( dDSOPymtDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < dDSOPymtDtl.length; j++ )
      {
        pageWriter.println( prefix + "dDSOPymtDtl[" + j + "] =" );
        if( dDSOPymtDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          dDSOPymtDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtDirectStandingOrderDetail" );
    reqDDSOInd = getLongFromURL( req, prefix + "reqDDSOInd" );
    reqPayeeNm = getCharFromURL( req, prefix + "reqPayeeNm" );

    repeatCounter = getLongFromURL( req, prefix + "reqPymtSpclInsr_repeatCounter" );
    reqPymtSpclInsr = new GsPymtInfoDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPymtSpclInsr[ i ] = new GsPymtInfoDtls(getIfsSession());
      reqPymtSpclInsr[ i ].populateFromURL( txn, req, prefix + "reqPymtSpclInsr_" + i + "_" );
    }
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
