//**********************************************
//
// FILE NAME: GtDisclosureAcceptance.java
// TRANSACTION NAME: Agreement On-Line Registration Disclosure Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Agreement On-Line Registration Disclosure Transaction</B>
 * <P>IFS ID: <B>acptdscl</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>DISCLOSURE_ACPT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>DISCLOSURE_ACPT_IMSG</B>
 *            <P>
 *            This message is initiated by the Registration Server (based
 *            on input from the Consumer) and consists of either an
 *            acceptance of or a rejection by the consumer of the
 *            Disclosure Statement (i.e Terms and Conditions) associated
 *            with an IFS Service provided by the FI. When the consumer
 *            accepts the disclosure statement, the consumer's password
 *            must be included in the message. The registration sends this
 *            message to the Core Controller for each acceptance/rejection
 *            of an IFS Service. When the last acceptance or rejection is
 *            solicited from the Consumer, the Registration Server will
 *            mark the message as 'Last Disclosure'.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsDisClsreAcptTg.CnsmrTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsDisClsreAcptTg.CnsmrTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsDisClsreAcptTg.CnsmrTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsDisClsreAcptTg.CnsmrTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>DISCLOSURE_ACPT_OMSG</B>
 *            <P>
 *            This message is initiated by the Financial Institution and
 *            confirms that the registration process for a specific IFS
 *            Service has completed.
 */
public class GtDisclosureAcceptance extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtDisclosureAcceptance() { }
  public GtDisclosureAcceptance( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "acptdscl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqRegisterHandle</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  private int  reqRegisterHandle = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRegisterHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  void setReqRegisterHandle( int o ) { reqRegisterHandle = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRegisterHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  int  getReqRegisterHandle() { return (reqRegisterHandle); }

  /**
   * <P>The attribute <code>reqAcceptanceFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.DisClsreAcptFTg</code>.
   * <P>
   * A code indicating if the Consumer accepts the Terms and Conditions
   * (the Disclosure Text) for a Service. For example, as part of the
   * on-line registration process, the Financial Institution may
   * optionally return a Disclosure Message to the Consumer for each of
   * the Services the Consumer has requested access to. The Consumer will
   * be eligible for a Service only if the Consumer accepts the Disclosure
   * Text.
   */
  private String reqAcceptanceFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcceptanceFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.DisClsreAcptFTg</code>.
   * <P>
   * A code indicating if the Consumer accepts the Terms and Conditions
   * (the Disclosure Text) for a Service. For example, as part of the
   * on-line registration process, the Financial Institution may
   * optionally return a Disclosure Message to the Consumer for each of
   * the Services the Consumer has requested access to. The Consumer will
   * be eligible for a Service only if the Consumer accepts the Disclosure
   * Text.
   */
  public  void   setReqAcceptanceFlag( String o ) { reqAcceptanceFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcceptanceFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.DisClsreAcptFTg</code>.
   * <P>
   * A code indicating if the Consumer accepts the Terms and Conditions
   * (the Disclosure Text) for a Service. For example, as part of the
   * on-line registration process, the Financial Institution may
   * optionally return a Disclosure Message to the Consumer for each of
   * the Services the Consumer has requested access to. The Consumer will
   * be eligible for a Service only if the Consumer accepts the Disclosure
   * Text.
   */
  public  String getReqAcceptanceFlag() { return (reqAcceptanceFlag); }

  /**
   * <P>The attribute <code>reqPasswordID</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPasswordID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPasswordID( byte[] o ) { reqPasswordID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPasswordID() { return (reqPasswordID); }

  /**
   * <P>The attribute <code>reqPasswordEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPasswordEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPasswordEncryptionType( String o ) { reqPasswordEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPasswordEncryptionType() { return (reqPasswordEncryptionType); }

  /**
   * <P>The attribute <code>reqLastDisclosureFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.LastDisClsreFTg</code>.
   * <P>
   * A code indicating if this is the last message in a series of messages
   * containing acceptance or rejection by the consumer of Disclosure
   * Message(s) associated with a Service. For example, during the On-line
   * Registration process, the Financial Institution may optionally return
   * a Disclosure Text to the Consumer for each of the Services the
   * Consumer has requested access to. The Consumer signals acceptance of
   * the Disclosure through the use of the Disclosure Acceptance Flag.
   */
  private String reqLastDisclosureFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqLastDisclosureFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.LastDisClsreFTg</code>.
   * <P>
   * A code indicating if this is the last message in a series of messages
   * containing acceptance or rejection by the consumer of Disclosure
   * Message(s) associated with a Service. For example, during the On-line
   * Registration process, the Financial Institution may optionally return
   * a Disclosure Text to the Consumer for each of the Services the
   * Consumer has requested access to. The Consumer signals acceptance of
   * the Disclosure through the use of the Disclosure Acceptance Flag.
   */
  public  void   setReqLastDisclosureFlag( String o ) { reqLastDisclosureFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastDisclosureFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.LastDisClsreFTg</code>.
   * <P>
   * A code indicating if this is the last message in a series of messages
   * containing acceptance or rejection by the consumer of Disclosure
   * Message(s) associated with a Service. For example, during the On-line
   * Registration process, the Financial Institution may optionally return
   * a Disclosure Text to the Consumer for each of the Services the
   * Consumer has requested access to. The Consumer signals acceptance of
   * the Disclosure through the use of the Disclosure Acceptance Flag.
   */
  public  String getReqLastDisclosureFlag() { return (reqLastDisclosureFlag); }

  /**
   * <P>The attribute <code>reqServiceID</code> is an alias for the
   * standard message simple element
   * <code>IfsDisClsreAcptTg.SrvcIdNbrTg</code>.
   */
  private String reqServiceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.SrvcIdNbrTg</code>.
   */
  public  void   setReqServiceID( String o ) { reqServiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDisClsreAcptTg.SrvcIdNbrTg</code>.
   */
  public  String getReqServiceID() { return (reqServiceID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDClsrActpRespTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>consumerIGNID</code> is an alias for the
   * standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  private String consumerIGNID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerIGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  void   setConsumerIGNID( String o ) { consumerIGNID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerIGNID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the consumer on the IBM Global Network.
   */
  public  String getConsumerIGNID() { return (consumerIGNID); }

  /**
   * <P>The attribute <code>consumerIGNAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnAcctNbrTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the Account Number of the consumer on the IBM Global
   * Network.
   */
  private String consumerIGNAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>consumerIGNAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnAcctNbrTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the Account Number of the consumer on the IBM Global
   * Network.
   */
  public  void   setConsumerIGNAccountNumber( String o ) { consumerIGNAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerIGNAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDClsrActpRespTg.CnsmrIgnAcctNbrTg</code>.
   * <P>
   * An alphanumeric string (assigned by the IBM Global Network) uniquely
   * identifying the Account Number of the consumer on the IBM Global
   * Network.
   */
  public  String getConsumerIGNAccountNumber() { return (consumerIGNAccountNumber); }

  /**
   * <P>The attribute <code>registerHandle</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  private int  registerHandle = 0;

  /**
   * <P>Sets the value of the attribute <code>registerHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  void setRegisterHandle( int o ) { registerHandle = o; }

  /**
   * <P>Gets the value of the attribute <code>registerHandle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstHandleTg.RgstHandleTg</code>.
   * <P>
   * This handle, unique identifier, is generated by the Registration
   * server. It provides a dialog context for the self-registration
   * process and is used to link the three Transactions which form the
   * Self_Registration process (i.e., the Self Registration Transaction,
   * Authorize Online Registration Accounts Transaction and Agree Online
   * Disclosure Transaction).
   */
  public  int  getRegisterHandle() { return (registerHandle); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtDisclosureAcceptance );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqRegisterHandle ); 

    if( reqAcceptanceFlag != null && reqAcceptanceFlag.length() > 1 )
      addArgToGMJI( reqAcceptanceFlag.substring(0,1));
    else
      addArgToGMJI( reqAcceptanceFlag ); 
    addArgToGMJI( reqPasswordID ); 

    if( reqPasswordEncryptionType != null && reqPasswordEncryptionType.length() > 1 )
      addArgToGMJI( reqPasswordEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqPasswordEncryptionType ); 

    if( reqLastDisclosureFlag != null && reqLastDisclosureFlag.length() > 1 )
      addArgToGMJI( reqLastDisclosureFlag.substring(0,1));
    else
      addArgToGMJI( reqLastDisclosureFlag ); 

    if( reqServiceID != null && reqServiceID.length() > 8 )
      addArgToGMJI( reqServiceID.substring(0,8));
    else
      addArgToGMJI( reqServiceID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    consumerIGNID = txn.getNextCharFromGMJO( 8, "consumerIGNID" );
    consumerIGNAccountNumber = txn.getNextCharFromGMJO( 8, "consumerIGNAccountNumber" );
    registerHandle = txn.getNextLongFromGMJO( "registerHandle" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqRegisterHandle = " + getReqRegisterHandle() );
    pageWriter.println( prefix + "reqAcceptanceFlag = " + getReqAcceptanceFlag() );
    pageWriter.println( prefix + "reqPasswordID = " + getReqPasswordID() );
    pageWriter.println( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
    pageWriter.println( prefix + "reqLastDisclosureFlag = " + getReqLastDisclosureFlag() );
    pageWriter.println( prefix + "reqServiceID = " + getReqServiceID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "consumerIGNID = " + getConsumerIGNID() );
    pageWriter.println( prefix + "consumerIGNAccountNumber = " + getConsumerIGNAccountNumber() );
    pageWriter.println( prefix + "registerHandle = " + getRegisterHandle() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqRegisterHandle = getLongFromURL( req, prefix + "reqRegisterHandle" );
    reqAcceptanceFlag = getCharFromURL( req, prefix + "reqAcceptanceFlag" );
    reqPasswordID = getBinaryFromURL( req, prefix + "reqPasswordID" );
    reqPasswordEncryptionType = getCharFromURL( req, prefix + "reqPasswordEncryptionType" );
    reqLastDisclosureFlag = getCharFromURL( req, prefix + "reqLastDisclosureFlag" );
    reqServiceID = getCharFromURL( req, prefix + "reqServiceID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtDisclosureAcceptance" );
  }
}
