//**********************************************
//
// FILE NAME: GtElectronicBillInquiry.java
// TRANSACTION NAME: Electronic Bill Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Electronic Bill Inquiry Transaction</B>
 * <P>IFS ID: <B>ebbilinq</B>
 * <P>
 * Allows a client to retrieve electonric bills.
 * <BR>
 * <P><B>EBILL_BILL_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>EBILL_BILL_INQ_IMSG</B>
 *            <P>
 *            The user must specify the Consumer identifiers and may
 *            refine the selection by specifying the Bill identifier and,
 *            payment status and whether bill counts are to be retruned
 *            only.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>EBILL_BILL_INQ_OMSG</B>
 */
public class GtElectronicBillInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtElectronicBillInquiry() { }
  public GtElectronicBillInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ebbilinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberRecords( int o ) { reqMaximumNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberRecords() { return (reqMaximumNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInqRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqEBillIdentifier</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillInqRqstTg.EBillNbrIdTg</code>.
   */
  private String reqEBillIdentifier = null;

  /**
   * <P>Sets the value of the attribute <code>reqEBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillNbrIdTg</code>.
   */
  public  void   setReqEBillIdentifier( String o ) { reqEBillIdentifier = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEBillIdentifier</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillNbrIdTg</code>.
   */
  public  String getReqEBillIdentifier() { return (reqEBillIdentifier); }

  /**
   * <P>The attribute <code>reqBillState</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillInqRqstTg.EBillStClTg</code>.
   */
  private String reqBillState = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillStClTg</code>.
   */
  public  void   setReqBillState( String o ) { reqBillState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillStClTg</code>.
   */
  public  String getReqBillState() { return (reqBillState); }

  /**
   * <P>The attribute <code>reqPaymentStatus</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillInqRqstTg.EBillPymtStClTg</code>.
   */
  private String reqPaymentStatus = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillPymtStClTg</code>.
   */
  public  void   setReqPaymentStatus( String o ) { reqPaymentStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillPymtStClTg</code>.
   */
  public  String getReqPaymentStatus() { return (reqPaymentStatus); }

  /**
   * <P>The attribute <code>reqCountsFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillInqRqstTg.EBillCountsClTg</code>.
   * <P>
   * A flag on the Electronic Bill Inquiry input message which specifies
   * whether Electronic Bill Counts are to be returned only on the output.
   * If this flag is set to 'N' a list of Electronic Bill Records is also
   * returned. The counts returned are based on the actual records that
   * matched the request selection criteria (Bill State and Bill Payment
   * Status). If no selection criteria is given, then the counts are based
   * on all bills available for that consumer.
   */
  private String reqCountsFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountsFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillCountsClTg</code>.
   * <P>
   * A flag on the Electronic Bill Inquiry input message which specifies
   * whether Electronic Bill Counts are to be returned only on the output.
   * If this flag is set to 'N' a list of Electronic Bill Records is also
   * returned. The counts returned are based on the actual records that
   * matched the request selection criteria (Bill State and Bill Payment
   * Status). If no selection criteria is given, then the counts are based
   * on all bills available for that consumer.
   */
  public  void   setReqCountsFlag( String o ) { reqCountsFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountsFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillInqRqstTg.EBillCountsClTg</code>.
   * <P>
   * A flag on the Electronic Bill Inquiry input message which specifies
   * whether Electronic Bill Counts are to be returned only on the output.
   * If this flag is set to 'N' a list of Electronic Bill Records is also
   * returned. The counts returned are based on the actual records that
   * matched the request selection criteria (Bill State and Bill Payment
   * Status). If no selection criteria is given, then the counts are based
   * on all bills available for that consumer.
   */
  public  String getReqCountsFlag() { return (reqCountsFlag); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCdTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>newBills</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillCountsTg.EBNewValTg</code>.
   */
  private int  newBills = 0;

  /**
   * <P>Sets the value of the attribute <code>newBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBNewValTg</code>.
   */
  public  void setNewBills( int o ) { newBills = o; }

  /**
   * <P>Gets the value of the attribute <code>newBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBNewValTg</code>.
   */
  public  int  getNewBills() { return (newBills); }

  /**
   * <P>The attribute <code>viewedBills</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillCountsTg.EBViewValTg</code>.
   */
  private int  viewedBills = 0;

  /**
   * <P>Sets the value of the attribute <code>viewedBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBViewValTg</code>.
   */
  public  void setViewedBills( int o ) { viewedBills = o; }

  /**
   * <P>Gets the value of the attribute <code>viewedBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBViewValTg</code>.
   */
  public  int  getViewedBills() { return (viewedBills); }

  /**
   * <P>The attribute <code>retiredBills</code> is an alias for the
   * standard message simple element
   * <code>IfsEBillCountsTg.EBRetValTg</code>.
   */
  private int  retiredBills = 0;

  /**
   * <P>Sets the value of the attribute <code>retiredBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBRetValTg</code>.
   */
  public  void setRetiredBills( int o ) { retiredBills = o; }

  /**
   * <P>Gets the value of the attribute <code>retiredBills</code>,
   * which is an alias for the standard message simple element
   * <code>IfsEBillCountsTg.EBRetValTg</code>.
   */
  public  int  getRetiredBills() { return (retiredBills); }

  /**
   * <P>The attribute <code>billSummary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsEBillRecLstTg.EBillRecTg</code>.
   * <BR>
   */
  private GsEbillRec[] billSummary = null;

  /**
   * <P>Sets the value of the attribute <code>billSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillRecLstTg.EBillRecTg</code>.
   * <BR>
   */
  public  void         setBillSummary(GsEbillRec[] o )  { billSummary = o; }

  /**
   * <P>Gets the value of the attribute <code>billSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEBillRecLstTg.EBillRecTg</code>.
   * <BR>
   */
  public  GsEbillRec[] getBillSummary() { return (billSummary); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtElectronicBillInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    if( reqEBillIdentifier != null && reqEBillIdentifier.length() > 36 )
      addArgToGMJI( reqEBillIdentifier.substring(0,36));
    else
      addArgToGMJI( reqEBillIdentifier ); 

    if( reqBillState != null && reqBillState.length() > 1 )
      addArgToGMJI( reqBillState.substring(0,1));
    else
      addArgToGMJI( reqBillState ); 

    if( reqPaymentStatus != null && reqPaymentStatus.length() > 1 )
      addArgToGMJI( reqPaymentStatus.substring(0,1));
    else
      addArgToGMJI( reqPaymentStatus ); 

    if( reqCountsFlag != null && reqCountsFlag.length() > 1 )
      addArgToGMJI( reqCountsFlag.substring(0,1));
    else
      addArgToGMJI( reqCountsFlag ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    newBills = txn.getNextLongFromGMJO( "newBills" );
    viewedBills = txn.getNextLongFromGMJO( "viewedBills" );
    retiredBills = txn.getNextLongFromGMJO( "retiredBills" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    billSummary = new GsEbillRec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      billSummary[ i ] = new GsEbillRec( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumNumberRecords = " + getReqMaximumNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "reqEBillIdentifier = " + getReqEBillIdentifier() );
    pageWriter.println( prefix + "reqBillState = " + getReqBillState() );
    pageWriter.println( prefix + "reqPaymentStatus = " + getReqPaymentStatus() );
    pageWriter.println( prefix + "reqCountsFlag = " + getReqCountsFlag() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
    pageWriter.println( prefix + "newBills = " + getNewBills() );
    pageWriter.println( prefix + "viewedBills = " + getViewedBills() );
    pageWriter.println( prefix + "retiredBills = " + getRetiredBills() );

    pageWriter.println( prefix + "billSummary =" );
    if( billSummary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < billSummary.length; j++ )
      {
        pageWriter.println( prefix + "billSummary[" + j + "] =" );
        if( billSummary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          billSummary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumNumberRecords = getLongFromURL( req, prefix + "reqMaximumNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqEBillIdentifier = getCharFromURL( req, prefix + "reqEBillIdentifier" );
    reqBillState = getCharFromURL( req, prefix + "reqBillState" );
    reqPaymentStatus = getCharFromURL( req, prefix + "reqPaymentStatus" );
    reqCountsFlag = getCharFromURL( req, prefix + "reqCountsFlag" );
  }
}
