//**********************************************
//
// FILE NAME: GtExchangeRateInquiry.java
// TRANSACTION NAME: Exchange Rate Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Exchange Rate Inquiry Transaction</B>
 * <P>IFS ID: <B>exchrate</B>
 * <P>
 * A consumer may inquiry on an exchage rate for a given transaction.
 * <BR>
 * <P><B>EXCH_RATE_INQR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>EXCH_RATE_INQR_IMSG</B>
 *            <P>
 *            The user must enter the Source Account and either the Target
 *            Account or Target Currency code.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>EXCH_RATE_INQR_OMSG</B>
 *            <P>
 *            The Financial Institution responds with an Exchange Rate
 *            between Source and Target currencies, a flag to indicate
 *            whther the rate is an 'Offer' or 'Indication' and a date on
 *            which the offer expires.
 */
public class GtExchangeRateInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtExchangeRateInquiry() { }
  public GtExchangeRateInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "exchrate_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSourceDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount reqSourceDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setReqSourceDetail(GsAccount o )  { reqSourceDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqSourceDetail() { return (reqSourceDetail); }

  /**
   * <P>The attribute <code>reqTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqTargetDetail(GsAccount o )  { reqTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqTargetDetail() { return (reqTargetDetail); }

  /**
   * <P>The attribute <code>reqISOCurrencyCode</code> is an alias for the
   * standard message simple element
   * <code>IfsExchRateRqstTg.IsoCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code of the currency into which funds are to be
   * transferred.
   */
  private String reqISOCurrencyCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRqstTg.IsoCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code of the currency into which funds are to be
   * transferred.
   */
  public  void   setReqISOCurrencyCode( String o ) { reqISOCurrencyCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRqstTg.IsoCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code of the currency into which funds are to be
   * transferred.
   */
  public  String getReqISOCurrencyCode() { return (reqISOCurrencyCode); }

  /**
   * <P>The attribute <code>reqTransactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.TxnAmtTg</code>.
   * <P>
   * The monetary value of the transaction for which an exchange rate is
   * required in the Exchange Rate Inquiry transaction. This will normally
   * be in the currency of the source account, but does not have to be.
   * <BR>
   */
  private GsCurrency reqTransactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.TxnAmtTg</code>.
   * <P>
   * The monetary value of the transaction for which an exchange rate is
   * required in the Exchange Rate Inquiry transaction. This will normally
   * be in the currency of the source account, but does not have to be.
   * <BR>
   */
  public  void       setReqTransactionAmount(GsCurrency o )  { reqTransactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.TxnAmtTg</code>.
   * <P>
   * The monetary value of the transaction for which an exchange rate is
   * required in the Exchange Rate Inquiry transaction. This will normally
   * be in the currency of the source account, but does not have to be.
   * <BR>
   */
  public  GsCurrency getReqTransactionAmount() { return (reqTransactionAmount); }

  /**
   * <P>The attribute <code>reqEffectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  private GsDate reqEffectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  void   setReqEffectiveDate(GsDate o )  { reqEffectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  GsDate getReqEffectiveDate() { return (reqEffectiveDate); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsExchRateRespTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>exchangeRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.TxnExchRateTg.ExchRateTg</code>.
   * <P>
   * The exchange rate recorded at which the foreign currency amount of
   * the transaction may be translated to the currency of the Financial
   * Institution.
   * <BR>
   */
  private GsDecimal exchangeRate = null;

  /**
   * <P>Sets the value of the attribute <code>exchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.TxnExchRateTg.ExchRateTg</code>.
   * <P>
   * The exchange rate recorded at which the foreign currency amount of
   * the transaction may be translated to the currency of the Financial
   * Institution.
   * <BR>
   */
  public  void      setExchangeRate(GsDecimal o )  { exchangeRate = o; }

  /**
   * <P>Gets the value of the attribute <code>exchangeRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.TxnExchRateTg.ExchRateTg</code>.
   * <P>
   * The exchange rate recorded at which the foreign currency amount of
   * the transaction may be translated to the currency of the Financial
   * Institution.
   * <BR>
   */
  public  GsDecimal getExchangeRate() { return (exchangeRate); }

  /**
   * <P>The attribute <code>srcISOCurrencyCode</code> is an alias for the
   * standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.SrcISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code from which an amount is converted in a
   * multi-currency transaction.
   */
  private String srcISOCurrencyCode = null;

  /**
   * <P>Sets the value of the attribute <code>srcISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.SrcISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code from which an amount is converted in a
   * multi-currency transaction.
   */
  public  void   setSrcISOCurrencyCode( String o ) { srcISOCurrencyCode = o; }

  /**
   * <P>Gets the value of the attribute <code>srcISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.SrcISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code from which an amount is converted in a
   * multi-currency transaction.
   */
  public  String getSrcISOCurrencyCode() { return (srcISOCurrencyCode); }

  /**
   * <P>The attribute <code>targetISOCurrencyCode</code> is an alias for the
   * standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.TrgISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code to which an amount is converted in a
   * multi-currency transaction.
   */
  private String targetISOCurrencyCode = null;

  /**
   * <P>Sets the value of the attribute <code>targetISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.TrgISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code to which an amount is converted in a
   * multi-currency transaction.
   */
  public  void   setTargetISOCurrencyCode( String o ) { targetISOCurrencyCode = o; }

  /**
   * <P>Gets the value of the attribute <code>targetISOCurrencyCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.TxnExchRateTg.TrgISOCurrCodeClTg</code>.
   * <P>
   * The ISO Currency code to which an amount is converted in a
   * multi-currency transaction.
   */
  public  String getTargetISOCurrencyCode() { return (targetISOCurrencyCode); }

  /**
   * <P>The attribute <code>exchangeRateType</code> is an alias for the
   * standard message simple element
   * <code>IfsExchRateRespTg.ExchRateTpClTg</code>.
   * <P>
   * A code on the Exchange Rate output message sent by the Financial
   * Institution to indicate whether the Exchange Rate is an Offer or
   * Indication rate. If the rate is an Offer the rate may be used for the
   * transaction specified if the instruction is received before the
   * expiry date. if the rate is an Indication then the rate cannot be
   * used for the transaction specified. The rate is for information only.
   */
  private String exchangeRateType = null;

  /**
   * <P>Sets the value of the attribute <code>exchangeRateType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.ExchRateTpClTg</code>.
   * <P>
   * A code on the Exchange Rate output message sent by the Financial
   * Institution to indicate whether the Exchange Rate is an Offer or
   * Indication rate. If the rate is an Offer the rate may be used for the
   * transaction specified if the instruction is received before the
   * expiry date. if the rate is an Indication then the rate cannot be
   * used for the transaction specified. The rate is for information only.
   */
  public  void   setExchangeRateType( String o ) { exchangeRateType = o; }

  /**
   * <P>Gets the value of the attribute <code>exchangeRateType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.ExchRateTpClTg</code>.
   * <P>
   * A code on the Exchange Rate output message sent by the Financial
   * Institution to indicate whether the Exchange Rate is an Offer or
   * Indication rate. If the rate is an Offer the rate may be used for the
   * transaction specified if the instruction is received before the
   * expiry date. if the rate is an Indication then the rate cannot be
   * used for the transaction specified. The rate is for information only.
   */
  public  String getExchangeRateType() { return (exchangeRateType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>exchangeRateType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsExchRateRespTg.ExchRateTpClTg</code>.
   */
  public  String getExchangeRateType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsExchRateTpClResources", locale, getExchangeRateType() );
  }

  /**
   * <P>The attribute <code>expirationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate expirationDate = null;

  /**
   * <P>Sets the value of the attribute <code>expirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setExpirationDate(GsDate o )  { expirationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>expirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsExchRateRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getExpirationDate() { return (expirationDate); }

  /**
   * <P>The attribute <code>adjustedExchangeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAdjExchDtTg.AdjExchDtTg</code>.
   * <P>
   * if the date input on a Exchange Rate Inquiry transaction is a
   * non-business day, the Financial Institution may reply with an
   * Adjusted Exchange Date which is the date on which the transaction
   * will take place.
   * <BR>
   */
  private GsDate adjustedExchangeDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedExchangeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjExchDtTg.AdjExchDtTg</code>.
   * <P>
   * if the date input on a Exchange Rate Inquiry transaction is a
   * non-business day, the Financial Institution may reply with an
   * Adjusted Exchange Date which is the date on which the transaction
   * will take place.
   * <BR>
   */
  public  void   setAdjustedExchangeDate(GsDate o )  { adjustedExchangeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedExchangeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAdjExchDtTg.AdjExchDtTg</code>.
   * <P>
   * if the date input on a Exchange Rate Inquiry transaction is a
   * non-business day, the Financial Institution may reply with an
   * Adjusted Exchange Date which is the date on which the transaction
   * will take place.
   * <BR>
   */
  public  GsDate getAdjustedExchangeDate() { return (adjustedExchangeDate); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtExchangeRateInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqSourceDetail, this );
    GsAccount.addPropertiesToGMJI( reqTargetDetail, this );

    if( reqISOCurrencyCode != null && reqISOCurrencyCode.length() > 3 )
      addArgToGMJI( reqISOCurrencyCode.substring(0,3));
    else
      addArgToGMJI( reqISOCurrencyCode ); 
    GsCurrency.addPropertiesToGMJI( reqTransactionAmount, this );
    GsDate.addPropertiesToGMJI( reqEffectiveDate, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    exchangeRate = new GsDecimal( txn, "exchangeRate" );
    srcISOCurrencyCode = txn.getNextCharFromGMJO( 3, "srcISOCurrencyCode" );
    targetISOCurrencyCode = txn.getNextCharFromGMJO( 3, "targetISOCurrencyCode" );
    exchangeRateType = txn.getNextCharFromGMJO( 1, "exchangeRateType" );
    expirationDate = new GsDate( txn, "expirationDate" );
    adjustedExchangeDate = new GsDate( txn, "adjustedExchangeDate" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSourceDetail =" );
    if( reqSourceDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSourceDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTargetDetail =" );
    if( reqTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqISOCurrencyCode = " + getReqISOCurrencyCode() );

    pageWriter.println( prefix + "reqTransactionAmount =" );
    if( reqTransactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEffectiveDate =" );
    if( reqEffectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );

    pageWriter.println( prefix + "exchangeRate =" );
    if( exchangeRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      exchangeRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "srcISOCurrencyCode = " + getSrcISOCurrencyCode() );
    pageWriter.println( prefix + "targetISOCurrencyCode = " + getTargetISOCurrencyCode() );
    pageWriter.println( prefix + "exchangeRateType = " + getExchangeRateType() );
    try {
      pageWriter.println( prefix + "exchangeRateType_text = " + getExchangeRateType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "exchangeRateType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "expirationDate =" );
    if( expirationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      expirationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "adjustedExchangeDate =" );
    if( adjustedExchangeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedExchangeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqSourceDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSourceDetail", "GtExchangeRateInquiry" );
    reqTargetDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqTargetDetail", "GtExchangeRateInquiry" );
    reqISOCurrencyCode = getCharFromURL( req, prefix + "reqISOCurrencyCode" );
    reqTransactionAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionAmount", "GtExchangeRateInquiry" );
    reqEffectiveDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffectiveDate", "GtExchangeRateInquiry" );
  }
}
