//**********************************************
//
// FILE NAME: GtFIProfile.java
// TRANSACTION NAME: FI Profile Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>FI Profile Inquiry Transaction</B>
 * <P>IFS ID: <B>fiprof</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>FI_PROFILE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>FI_PROFILE_IMSG</B>
 *            <P>
 *            This message issues a request to retrieve the profile
 *            information for the Financial Institutionstored in IFS.
 *
 * <P>Reply:   <B>FI_PROFILE_OMSG</B>
 *            <P>
 *            This message returns the requested Financial Institution
 *            Profile.
 */
public class GtFIProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtFIProfile() { }
  public GtFIProfile( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "fiprof_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqFINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String reqFINumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setReqFINumber( String o ) { reqFINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getReqFINumber() { return (reqFINumber); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>transactionRoutingingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  private int  transactionRoutingingNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>transactionRoutingingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  public  void setTransactionRoutingingNumber( int o ) { transactionRoutingingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionRoutingingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  public  int  getTransactionRoutingingNumber() { return (transactionRoutingingNumber); }

  /**
   * <P>The attribute <code>fIHoldingCompanyNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  private String fIHoldingCompanyNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIHoldingCompanyNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  public  void   setFIHoldingCompanyNumber( String o ) { fIHoldingCompanyNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIHoldingCompanyNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  public  String getFIHoldingCompanyNumber() { return (fIHoldingCompanyNumber); }

  /**
   * <P>The attribute <code>fINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  private String fINickname = null;

  /**
   * <P>Sets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  void   setFINickname( String o ) { fINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  String getFINickname() { return (fINickname); }

  /**
   * <P>The attribute <code>fILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  private String fILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  public  void   setFILine1( String o ) { fILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  public  String getFILine1() { return (fILine1); }

  /**
   * <P>The attribute <code>fILine2</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  private String fILine2 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  public  void   setFILine2( String o ) { fILine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  public  String getFILine2() { return (fILine2); }

  /**
   * <P>The attribute <code>fIAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  private String fIAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  public  void   setFIAddressLine1( String o ) { fIAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  public  String getFIAddressLine1() { return (fIAddressLine1); }

  /**
   * <P>The attribute <code>fIAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  private String fIAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  public  void   setFIAddressLine2( String o ) { fIAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  public  String getFIAddressLine2() { return (fIAddressLine2); }

  /**
   * <P>The attribute <code>fIAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  private String fIAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  public  void   setFIAddressLine3( String o ) { fIAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  public  String getFIAddressLine3() { return (fIAddressLine3); }

  /**
   * <P>The attribute <code>fICity</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  private String fICity = null;

  /**
   * <P>Sets the value of the attribute <code>fICity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  public  void   setFICity( String o ) { fICity = o; }

  /**
   * <P>Gets the value of the attribute <code>fICity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  public  String getFICity() { return (fICity); }

  /**
   * <P>The attribute <code>fIProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  private String fIProvince = null;

  /**
   * <P>Sets the value of the attribute <code>fIProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  public  void   setFIProvince( String o ) { fIProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  public  String getFIProvince() { return (fIProvince); }

  /**
   * <P>The attribute <code>fIState</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  private String fIState = null;

  /**
   * <P>Sets the value of the attribute <code>fIState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  public  void   setFIState( String o ) { fIState = o; }

  /**
   * <P>Gets the value of the attribute <code>fIState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  public  String getFIState() { return (fIState); }

  /**
   * <P>The attribute <code>fICountry</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  private String fICountry = null;

  /**
   * <P>Sets the value of the attribute <code>fICountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  public  void   setFICountry( String o ) { fICountry = o; }

  /**
   * <P>Gets the value of the attribute <code>fICountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  public  String getFICountry() { return (fICountry); }

  /**
   * <P>The attribute <code>fIZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  private String fIZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>fIZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  public  void   setFIZipCode( String o ) { fIZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>fIZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  public  String getFIZipCode() { return (fIZipCode); }

  /**
   * <P>The attribute <code>fIPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  private String fIPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>fIPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  public  void   setFIPostalCode( String o ) { fIPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>fIPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  public  String getFIPostalCode() { return (fIPostalCode); }

  /**
   * <P>The attribute <code>sessionHistoryRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  private int  sessionHistoryRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>sessionHistoryRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  void setSessionHistoryRetention( int o ) { sessionHistoryRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>sessionHistoryRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  int  getSessionHistoryRetention() { return (sessionHistoryRetention); }

  /**
   * <P>The attribute <code>transactionLogRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  private int  transactionLogRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>transactionLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  void setTransactionLogRetention( int o ) { transactionLogRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  int  getTransactionLogRetention() { return (transactionLogRetention); }

  /**
   * <P>The attribute <code>eventLogRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  private int  eventLogRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>eventLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  public  void setEventLogRetention( int o ) { eventLogRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>eventLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  public  int  getEventLogRetention() { return (eventLogRetention); }

  /**
   * <P>The attribute <code>fIWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  private String fIWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>fIWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  public  void   setFIWorkPhone( String o ) { fIWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>fIWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  public  String getFIWorkPhone() { return (fIWorkPhone); }

  /**
   * <P>The attribute <code>reauthorizationTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  private int  reauthorizationTime = 0;

  /**
   * <P>Sets the value of the attribute <code>reauthorizationTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  public  void setReauthorizationTime( int o ) { reauthorizationTime = o; }

  /**
   * <P>Gets the value of the attribute <code>reauthorizationTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  public  int  getReauthorizationTime() { return (reauthorizationTime); }

  /**
   * <P>The attribute <code>reauthorizationFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  private String reauthorizationFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  void   setReauthorizationFlag( String o ) { reauthorizationFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  String getReauthorizationFlag() { return (reauthorizationFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   */
  public  String getReauthorizationFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsReauthFResources", locale, getReauthorizationFlag() );
  }

  /**
   * <P>The attribute <code>inactiveTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  private int  inactiveTime = 0;

  /**
   * <P>Sets the value of the attribute <code>inactiveTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  public  void setInactiveTime( int o ) { inactiveTime = o; }

  /**
   * <P>Gets the value of the attribute <code>inactiveTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  public  int  getInactiveTime() { return (inactiveTime); }

  /**
   * <P>The attribute <code>webDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  private int  webDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>webDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  public  void setWebDefaultTime( int o ) { webDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>webDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  public  int  getWebDefaultTime() { return (webDefaultTime); }

  /**
   * <P>The attribute <code>pFMDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  private int  pFMDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>pFMDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  public  void setPFMDefaultTime( int o ) { pFMDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>pFMDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  public  int  getPFMDefaultTime() { return (pFMDefaultTime); }

  /**
   * <P>The attribute <code>iVRDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  private int  iVRDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>iVRDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  public  void setIVRDefaultTime( int o ) { iVRDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>iVRDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  public  int  getIVRDefaultTime() { return (iVRDefaultTime); }

  /**
   * <P>The attribute <code>logonTransactionTimeInterval</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  private int  logonTransactionTimeInterval = 0;

  /**
   * <P>Sets the value of the attribute <code>logonTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  public  void setLogonTransactionTimeInterval( int o ) { logonTransactionTimeInterval = o; }

  /**
   * <P>Gets the value of the attribute <code>logonTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  public  int  getLogonTransactionTimeInterval() { return (logonTransactionTimeInterval); }

  /**
   * <P>The attribute <code>businessTransactionTimeInterval</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  private int  businessTransactionTimeInterval = 0;

  /**
   * <P>Sets the value of the attribute <code>businessTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  public  void setBusinessTransactionTimeInterval( int o ) { businessTransactionTimeInterval = o; }

  /**
   * <P>Gets the value of the attribute <code>businessTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  public  int  getBusinessTransactionTimeInterval() { return (businessTransactionTimeInterval); }

  /**
   * <P>The attribute <code>logonAttempts</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  private int  logonAttempts = 0;

  /**
   * <P>Sets the value of the attribute <code>logonAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  public  void setLogonAttempts( int o ) { logonAttempts = o; }

  /**
   * <P>Gets the value of the attribute <code>logonAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  public  int  getLogonAttempts() { return (logonAttempts); }

  /**
   * <P>The attribute <code>businessTransactionAttempts</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  private int  businessTransactionAttempts = 0;

  /**
   * <P>Sets the value of the attribute <code>businessTransactionAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  public  void setBusinessTransactionAttempts( int o ) { businessTransactionAttempts = o; }

  /**
   * <P>Gets the value of the attribute <code>businessTransactionAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  public  int  getBusinessTransactionAttempts() { return (businessTransactionAttempts); }

  /**
   * <P>The attribute <code>fIBackEndAgentQueueName</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  private String fIBackEndAgentQueueName = null;

  /**
   * <P>Sets the value of the attribute <code>fIBackEndAgentQueueName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  public  void   setFIBackEndAgentQueueName( String o ) { fIBackEndAgentQueueName = o; }

  /**
   * <P>Gets the value of the attribute <code>fIBackEndAgentQueueName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  public  String getFIBackEndAgentQueueName() { return (fIBackEndAgentQueueName); }

  /**
   * <P>The attribute <code>transactionRoutingType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  private String transactionRoutingType = null;

  /**
   * <P>Sets the value of the attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  public  void   setTransactionRoutingType( String o ) { transactionRoutingType = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  public  String getTransactionRoutingType() { return (transactionRoutingType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   */
  public  String getTransactionRoutingType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnRoutTpClResources", locale, getTransactionRoutingType() );
  }

  /**
   * <P>The attribute <code>consumerPasswordRetryLimit</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  private int  consumerPasswordRetryLimit = 0;

  /**
   * <P>Sets the value of the attribute <code>consumerPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  public  void setConsumerPasswordRetryLimit( int o ) { consumerPasswordRetryLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  public  int  getConsumerPasswordRetryLimit() { return (consumerPasswordRetryLimit); }

  /**
   * <P>The attribute <code>consumerIGNIDRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  private String consumerIGNIDRequired = null;

  /**
   * <P>Sets the value of the attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  public  void   setConsumerIGNIDRequired( String o ) { consumerIGNIDRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  public  String getConsumerIGNIDRequired() { return (consumerIGNIDRequired); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   */
  public  String getConsumerIGNIDRequired_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrIgnIdRqrdResources", locale, getConsumerIGNIDRequired() );
  }

  /**
   * <P>The attribute <code>auditControlRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  private String auditControlRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  public  void   setAuditControlRequiredFlag( String o ) { auditControlRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  public  String getAuditControlRequiredFlag() { return (auditControlRequiredFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   */
  public  String getAuditControlRequiredFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAudtCntlRqrdFResources", locale, getAuditControlRequiredFlag() );
  }

  /**
   * <P>The attribute <code>auditControlTimeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  private int  auditControlTimeFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>auditControlTimeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  public  void setAuditControlTimeFlag( int o ) { auditControlTimeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>auditControlTimeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  public  int  getAuditControlTimeFlag() { return (auditControlTimeFlag); }

  /**
   * <P>The attribute <code>iGNIDOrderPoint</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  private int  iGNIDOrderPoint = 0;

  /**
   * <P>Sets the value of the attribute <code>iGNIDOrderPoint</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  public  void setIGNIDOrderPoint( int o ) { iGNIDOrderPoint = o; }

  /**
   * <P>Gets the value of the attribute <code>iGNIDOrderPoint</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  public  int  getIGNIDOrderPoint() { return (iGNIDOrderPoint); }

  /**
   * <P>The attribute <code>tCAAlertType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  private String tCAAlertType = null;

  /**
   * <P>Sets the value of the attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  public  void   setTCAAlertType( String o ) { tCAAlertType = o; }

  /**
   * <P>Gets the value of the attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  public  String getTCAAlertType() { return (tCAAlertType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   */
  public  String getTCAAlertType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTCAAlertTpClResources", locale, getTCAAlertType() );
  }

  /**
   * <P>The attribute <code>tCAEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  private String tCAEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>tCAEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  public  void   setTCAEmailAddress( String o ) { tCAEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>tCAEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  public  String getTCAEmailAddress() { return (tCAEmailAddress); }

  /**
   * <P>The attribute <code>lastUsedServerInstance</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  private int  lastUsedServerInstance = 0;

  /**
   * <P>Sets the value of the attribute <code>lastUsedServerInstance</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  public  void setLastUsedServerInstance( int o ) { lastUsedServerInstance = o; }

  /**
   * <P>Gets the value of the attribute <code>lastUsedServerInstance</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  public  int  getLastUsedServerInstance() { return (lastUsedServerInstance); }

  /**
   * <P>The attribute <code>alternateBEAQueue</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  private String alternateBEAQueue = null;

  /**
   * <P>Sets the value of the attribute <code>alternateBEAQueue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  public  void   setAlternateBEAQueue( String o ) { alternateBEAQueue = o; }

  /**
   * <P>Gets the value of the attribute <code>alternateBEAQueue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  public  String getAlternateBEAQueue() { return (alternateBEAQueue); }

  /**
   * <P>The attribute <code>iGNIdentifierOrderQuantity</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  private int  iGNIdentifierOrderQuantity = 0;

  /**
   * <P>Sets the value of the attribute <code>iGNIdentifierOrderQuantity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  public  void setIGNIdentifierOrderQuantity( int o ) { iGNIdentifierOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>iGNIdentifierOrderQuantity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  public  int  getIGNIdentifierOrderQuantity() { return (iGNIdentifierOrderQuantity); }

  /**
   * <P>The attribute <code>clearinghouseFIRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  private String clearinghouseFIRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>clearinghouseFIRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  public  void   setClearinghouseFIRequiredFlag( String o ) { clearinghouseFIRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>clearinghouseFIRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  public  String getClearinghouseFIRequiredFlag() { return (clearinghouseFIRequiredFlag); }

  /**
   * <P>The attribute <code>fIOpLangCl</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  private String fIOpLangCl = null;

  /**
   * <P>Sets the value of the attribute <code>fIOpLangCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  public  void   setFIOpLangCl( String o ) { fIOpLangCl = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpLangCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  public  String getFIOpLangCl() { return (fIOpLangCl); }

  /**
   * <P>The attribute <code>fIOpCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  private String fIOpCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>fIOpCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  public  void   setFIOpCntryCodeCl( String o ) { fIOpCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  public  String getFIOpCntryCodeCl() { return (fIOpCntryCodeCl); }

  /**
   * <P>The attribute <code>fIOpCodePage</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  private int  fIOpCodePage = 0;

  /**
   * <P>Sets the value of the attribute <code>fIOpCodePage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  public  void setFIOpCodePage( int o ) { fIOpCodePage = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpCodePage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  public  int  getFIOpCodePage() { return (fIOpCodePage); }

  /**
   * <P>The attribute <code>empPasswordRetryLimit</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  private int  empPasswordRetryLimit = 0;

  /**
   * <P>Sets the value of the attribute <code>empPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  public  void setEmpPasswordRetryLimit( int o ) { empPasswordRetryLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>empPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  public  int  getEmpPasswordRetryLimit() { return (empPasswordRetryLimit); }

  /**
   * <P>The attribute <code>originalAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  private String originalAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>originalAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  public  void   setOriginalAccountNumber( String o ) { originalAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>originalAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  public  String getOriginalAccountNumber() { return (originalAccountNumber); }

  /**
   * <P>The attribute <code>weekendProcessingIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  private String weekendProcessingIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  public  void   setWeekendProcessingIndicator( String o ) { weekendProcessingIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  public  String getWeekendProcessingIndicator() { return (weekendProcessingIndicator); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   */
  public  String getWeekendProcessingIndicator_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsWkEndProcIndResources", locale, getWeekendProcessingIndicator() );
  }

  /**
   * <P>The attribute <code>fIHolidayAdjustmentProcessingFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on an FI holiday.
   */
  private String fIHolidayAdjustmentProcessingFlag = null;

  /**
   * <P>Sets the value of the attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on an FI holiday.
   */
  public  void   setFIHolidayAdjustmentProcessingFlag( String o ) { fIHolidayAdjustmentProcessingFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on an FI holiday.
   */
  public  String getFIHolidayAdjustmentProcessingFlag() { return (fIHolidayAdjustmentProcessingFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   */
  public  String getFIHolidayAdjustmentProcessingFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsHolAdjProcFResources", locale, getFIHolidayAdjustmentProcessingFlag() );
  }

  /**
   * <P>The attribute <code>endOfDayTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  private GsTime endOfDayTime = null;

  /**
   * <P>Sets the value of the attribute <code>endOfDayTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  public  void   setEndOfDayTime(GsTime o )  { endOfDayTime = o; }

  /**
   * <P>Gets the value of the attribute <code>endOfDayTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  public  GsTime getEndOfDayTime() { return (endOfDayTime); }

  /**
   * <P>The attribute <code>billerCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  private String billerCountry = null;

  /**
   * <P>Sets the value of the attribute <code>billerCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  public  void   setBillerCountry( String o ) { billerCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>billerCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  public  String getBillerCountry() { return (billerCountry); }

  /**
   * <P>The attribute <code>fIDistinguishedName</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  private String fIDistinguishedName = null;

  /**
   * <P>Sets the value of the attribute <code>fIDistinguishedName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  public  void   setFIDistinguishedName( String o ) { fIDistinguishedName = o; }

  /**
   * <P>Gets the value of the attribute <code>fIDistinguishedName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  public  String getFIDistinguishedName() { return (fIDistinguishedName); }

  /**
   * <P>The attribute <code>securityPolicyConsumerType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  private int  securityPolicyConsumerType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  public  void setSecurityPolicyConsumerType( int o ) { securityPolicyConsumerType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  public  int  getSecurityPolicyConsumerType() { return (securityPolicyConsumerType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   */
  public  String getSecurityPolicyConsumerType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyPlcyCnsmrClResources", locale,
                       String.valueOf( getSecurityPolicyConsumerType() ) );
  }

  /**
   * <P>The attribute <code>securityPolicyEmployeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  private int  securityPolicyEmployeeType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  public  void setSecurityPolicyEmployeeType( int o ) { securityPolicyEmployeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  public  int  getSecurityPolicyEmployeeType() { return (securityPolicyEmployeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   */
  public  String getSecurityPolicyEmployeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyPlcyEmplClResources", locale,
                       String.valueOf( getSecurityPolicyEmployeeType() ) );
  }

  /**
   * <P>The attribute <code>fICertificateExpirationMargin</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  private int  fICertificateExpirationMargin = 0;

  /**
   * <P>Sets the value of the attribute <code>fICertificateExpirationMargin</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  public  void setFICertificateExpirationMargin( int o ) { fICertificateExpirationMargin = o; }

  /**
   * <P>Gets the value of the attribute <code>fICertificateExpirationMargin</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  public  int  getFICertificateExpirationMargin() { return (fICertificateExpirationMargin); }

  /**
   * <P>The attribute <code>internetAccessType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  private String internetAccessType = null;

  /**
   * <P>Sets the value of the attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  public  void   setInternetAccessType( String o ) { internetAccessType = o; }

  /**
   * <P>Gets the value of the attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  public  String getInternetAccessType() { return (internetAccessType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   */
  public  String getInternetAccessType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIntrntAccsTpClResources", locale, getInternetAccessType() );
  }

  /**
   * <P>The attribute <code>fICertificateIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  private String fICertificateIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  public  void   setFICertificateIndicator( String o ) { fICertificateIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  public  String getFICertificateIndicator() { return (fICertificateIndicator); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   */
  public  String getFICertificateIndicator_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFICrtfIndResources", locale, getFICertificateIndicator() );
  }

  /**
   * <P>The attribute <code>eurExchRtPrecTg</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  private int  eurExchRtPrecTg = 0;

  /**
   * <P>Sets the value of the attribute <code>eurExchRtPrecTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  public  void setEurExchRtPrecTg( int o ) { eurExchRtPrecTg = o; }

  /**
   * <P>Gets the value of the attribute <code>eurExchRtPrecTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  public  int  getEurExchRtPrecTg() { return (eurExchRtPrecTg); }

  /**
   * <P>The attribute <code>crsClntSprtF</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  private int  crsClntSprtF = 0;

  /**
   * <P>Sets the value of the attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  public  void setCrsClntSprtF( int o ) { crsClntSprtF = o; }

  /**
   * <P>Gets the value of the attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  public  int  getCrsClntSprtF() { return (crsClntSprtF); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   */
  public  String getCrsClntSprtF_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCrsClntSprtFResources", locale,
                       String.valueOf( getCrsClntSprtF() ) );
  }

  /**
   * <P>The attribute <code>fILclCurr</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  private String fILclCurr = null;

  /**
   * <P>Sets the value of the attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  public  void   setFILclCurr( String o ) { fILclCurr = o; }

  /**
   * <P>Gets the value of the attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  public  String getFILclCurr() { return (fILclCurr); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   */
  public  String getFILclCurr_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFILclCurrResources", locale, getFILclCurr() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtFIProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqFINumber != null && reqFINumber.length() > 8 )
      addArgToGMJI( reqFINumber.substring(0,8));
    else
      addArgToGMJI( reqFINumber ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    transactionRoutingingNumber = txn.getNextLongFromGMJO( "transactionRoutingingNumber" );
    fIHoldingCompanyNumber = txn.getNextCharFromGMJO( 8, "fIHoldingCompanyNumber" );
    fINickname = txn.getNextNlsCharFromGMJO( 30, "fINickname" );
    fILine1 = txn.getNextNlsCharFromGMJO( 40, "fILine1" );
    fILine2 = txn.getNextNlsCharFromGMJO( 40, "fILine2" );
    fIAddressLine1 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine1" );
    fIAddressLine2 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine2" );
    fIAddressLine3 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine3" );
    fICity = txn.getNextNlsCharFromGMJO( 30, "fICity" );
    fIProvince = txn.getNextNlsCharFromGMJO( 30, "fIProvince" );
    fIState = txn.getNextCharFromGMJO( 2, "fIState" );
    fICountry = txn.getNextCharFromGMJO( 3, "fICountry" );
    fIZipCode = txn.getNextCharFromGMJO( 9, "fIZipCode" );
    fIPostalCode = txn.getNextCharFromGMJO( 6, "fIPostalCode" );
    sessionHistoryRetention = txn.getNextLongFromGMJO( "sessionHistoryRetention" );
    transactionLogRetention = txn.getNextLongFromGMJO( "transactionLogRetention" );
    eventLogRetention = txn.getNextLongFromGMJO( "eventLogRetention" );
    fIWorkPhone = txn.getNextCharFromGMJO( 15, "fIWorkPhone" );
    reauthorizationTime = txn.getNextLongFromGMJO( "reauthorizationTime" );
    reauthorizationFlag = txn.getNextCharFromGMJO( 1, "reauthorizationFlag" );
    inactiveTime = txn.getNextLongFromGMJO( "inactiveTime" );
    webDefaultTime = txn.getNextLongFromGMJO( "webDefaultTime" );
    pFMDefaultTime = txn.getNextLongFromGMJO( "pFMDefaultTime" );
    iVRDefaultTime = txn.getNextLongFromGMJO( "iVRDefaultTime" );
    logonTransactionTimeInterval = txn.getNextLongFromGMJO( "logonTransactionTimeInterval" );
    businessTransactionTimeInterval = txn.getNextLongFromGMJO( "businessTransactionTimeInterval" );
    logonAttempts = txn.getNextLongFromGMJO( "logonAttempts" );
    businessTransactionAttempts = txn.getNextLongFromGMJO( "businessTransactionAttempts" );
    fIBackEndAgentQueueName = txn.getNextCharFromGMJO( 48, "fIBackEndAgentQueueName" );
    transactionRoutingType = txn.getNextCharFromGMJO( 1, "transactionRoutingType" );
    consumerPasswordRetryLimit = txn.getNextLongFromGMJO( "consumerPasswordRetryLimit" );
    consumerIGNIDRequired = txn.getNextCharFromGMJO( 1, "consumerIGNIDRequired" );
    auditControlRequiredFlag = txn.getNextCharFromGMJO( 1, "auditControlRequiredFlag" );
    auditControlTimeFlag = txn.getNextLongFromGMJO( "auditControlTimeFlag" );
    iGNIDOrderPoint = txn.getNextLongFromGMJO( "iGNIDOrderPoint" );
    tCAAlertType = txn.getNextCharFromGMJO( 1, "tCAAlertType" );
    tCAEmailAddress = txn.getNextCharFromGMJO( 128, "tCAEmailAddress" );
    lastUsedServerInstance = txn.getNextLongFromGMJO( "lastUsedServerInstance" );
    alternateBEAQueue = txn.getNextCharFromGMJO( 48, "alternateBEAQueue" );
    iGNIdentifierOrderQuantity = txn.getNextLongFromGMJO( "iGNIdentifierOrderQuantity" );
    clearinghouseFIRequiredFlag = txn.getNextCharFromGMJO( 1, "clearinghouseFIRequiredFlag" );
    fIOpLangCl = txn.getNextCharFromGMJO( 3, "fIOpLangCl" );
    fIOpCntryCodeCl = txn.getNextCharFromGMJO( 3, "fIOpCntryCodeCl" );
    fIOpCodePage = txn.getNextLongFromGMJO( "fIOpCodePage" );
    empPasswordRetryLimit = txn.getNextLongFromGMJO( "empPasswordRetryLimit" );
    originalAccountNumber = txn.getNextCharFromGMJO( 8, "originalAccountNumber" );
    weekendProcessingIndicator = txn.getNextCharFromGMJO( 7, "weekendProcessingIndicator" );
    fIHolidayAdjustmentProcessingFlag = txn.getNextCharFromGMJO( 1, "fIHolidayAdjustmentProcessingFlag" );
    endOfDayTime = new GsTime( txn, "endOfDayTime" );
    billerCountry = txn.getNextCharFromGMJO( 3, "billerCountry" );
    fIDistinguishedName = txn.getNextCharFromGMJO( 524, "fIDistinguishedName" );
    securityPolicyConsumerType = txn.getNextLongFromGMJO( "securityPolicyConsumerType" );
    securityPolicyEmployeeType = txn.getNextLongFromGMJO( "securityPolicyEmployeeType" );
    fICertificateExpirationMargin = txn.getNextLongFromGMJO( "fICertificateExpirationMargin" );
    internetAccessType = txn.getNextCharFromGMJO( 1, "internetAccessType" );
    fICertificateIndicator = txn.getNextCharFromGMJO( 1, "fICertificateIndicator" );
    eurExchRtPrecTg = txn.getNextLongFromGMJO( "eurExchRtPrecTg" );
    crsClntSprtF = txn.getNextLongFromGMJO( "crsClntSprtF" );
    fILclCurr = txn.getNextCharFromGMJO( 3, "fILclCurr" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqFINumber = " + getReqFINumber() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "transactionRoutingingNumber = " + getTransactionRoutingingNumber() );
    pageWriter.println( prefix + "fIHoldingCompanyNumber = " + getFIHoldingCompanyNumber() );
    pageWriter.println( prefix + "fINickname = " + getFINickname() );
    pageWriter.println( prefix + "fILine1 = " + getFILine1() );
    pageWriter.println( prefix + "fILine2 = " + getFILine2() );
    pageWriter.println( prefix + "fIAddressLine1 = " + getFIAddressLine1() );
    pageWriter.println( prefix + "fIAddressLine2 = " + getFIAddressLine2() );
    pageWriter.println( prefix + "fIAddressLine3 = " + getFIAddressLine3() );
    pageWriter.println( prefix + "fICity = " + getFICity() );
    pageWriter.println( prefix + "fIProvince = " + getFIProvince() );
    pageWriter.println( prefix + "fIState = " + getFIState() );
    pageWriter.println( prefix + "fICountry = " + getFICountry() );
    pageWriter.println( prefix + "fIZipCode = " + getFIZipCode() );
    pageWriter.println( prefix + "fIPostalCode = " + getFIPostalCode() );
    pageWriter.println( prefix + "sessionHistoryRetention = " + getSessionHistoryRetention() );
    pageWriter.println( prefix + "transactionLogRetention = " + getTransactionLogRetention() );
    pageWriter.println( prefix + "eventLogRetention = " + getEventLogRetention() );
    pageWriter.println( prefix + "fIWorkPhone = " + getFIWorkPhone() );
    pageWriter.println( prefix + "reauthorizationTime = " + getReauthorizationTime() );
    pageWriter.println( prefix + "reauthorizationFlag = " + getReauthorizationFlag() );
    try {
      pageWriter.println( prefix + "reauthorizationFlag_text = " + getReauthorizationFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "reauthorizationFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "inactiveTime = " + getInactiveTime() );
    pageWriter.println( prefix + "webDefaultTime = " + getWebDefaultTime() );
    pageWriter.println( prefix + "pFMDefaultTime = " + getPFMDefaultTime() );
    pageWriter.println( prefix + "iVRDefaultTime = " + getIVRDefaultTime() );
    pageWriter.println( prefix + "logonTransactionTimeInterval = " + getLogonTransactionTimeInterval() );
    pageWriter.println( prefix + "businessTransactionTimeInterval = " + getBusinessTransactionTimeInterval() );
    pageWriter.println( prefix + "logonAttempts = " + getLogonAttempts() );
    pageWriter.println( prefix + "businessTransactionAttempts = " + getBusinessTransactionAttempts() );
    pageWriter.println( prefix + "fIBackEndAgentQueueName = " + getFIBackEndAgentQueueName() );
    pageWriter.println( prefix + "transactionRoutingType = " + getTransactionRoutingType() );
    try {
      pageWriter.println( prefix + "transactionRoutingType_text = " + getTransactionRoutingType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transactionRoutingType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerPasswordRetryLimit = " + getConsumerPasswordRetryLimit() );
    pageWriter.println( prefix + "consumerIGNIDRequired = " + getConsumerIGNIDRequired() );
    try {
      pageWriter.println( prefix + "consumerIGNIDRequired_text = " + getConsumerIGNIDRequired_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerIGNIDRequired_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "auditControlRequiredFlag = " + getAuditControlRequiredFlag() );
    try {
      pageWriter.println( prefix + "auditControlRequiredFlag_text = " + getAuditControlRequiredFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "auditControlRequiredFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "auditControlTimeFlag = " + getAuditControlTimeFlag() );
    pageWriter.println( prefix + "iGNIDOrderPoint = " + getIGNIDOrderPoint() );
    pageWriter.println( prefix + "tCAAlertType = " + getTCAAlertType() );
    try {
      pageWriter.println( prefix + "tCAAlertType_text = " + getTCAAlertType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "tCAAlertType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "tCAEmailAddress = " + getTCAEmailAddress() );
    pageWriter.println( prefix + "lastUsedServerInstance = " + getLastUsedServerInstance() );
    pageWriter.println( prefix + "alternateBEAQueue = " + getAlternateBEAQueue() );
    pageWriter.println( prefix + "iGNIdentifierOrderQuantity = " + getIGNIdentifierOrderQuantity() );
    pageWriter.println( prefix + "clearinghouseFIRequiredFlag = " + getClearinghouseFIRequiredFlag() );
    pageWriter.println( prefix + "fIOpLangCl = " + getFIOpLangCl() );
    pageWriter.println( prefix + "fIOpCntryCodeCl = " + getFIOpCntryCodeCl() );
    pageWriter.println( prefix + "fIOpCodePage = " + getFIOpCodePage() );
    pageWriter.println( prefix + "empPasswordRetryLimit = " + getEmpPasswordRetryLimit() );
    pageWriter.println( prefix + "originalAccountNumber = " + getOriginalAccountNumber() );
    pageWriter.println( prefix + "weekendProcessingIndicator = " + getWeekendProcessingIndicator() );
    try {
      pageWriter.println( prefix + "weekendProcessingIndicator_text = " + getWeekendProcessingIndicator_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "weekendProcessingIndicator_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag = " + getFIHolidayAdjustmentProcessingFlag() );
    try {
      pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag_text = " + getFIHolidayAdjustmentProcessingFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "endOfDayTime =" );
    if( endOfDayTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      endOfDayTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "billerCountry = " + getBillerCountry() );
    pageWriter.println( prefix + "fIDistinguishedName = " + getFIDistinguishedName() );
    pageWriter.println( prefix + "securityPolicyConsumerType = " + getSecurityPolicyConsumerType() );
    try {
      pageWriter.println( prefix + "securityPolicyConsumerType_text = " + getSecurityPolicyConsumerType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityPolicyConsumerType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityPolicyEmployeeType = " + getSecurityPolicyEmployeeType() );
    try {
      pageWriter.println( prefix + "securityPolicyEmployeeType_text = " + getSecurityPolicyEmployeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityPolicyEmployeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fICertificateExpirationMargin = " + getFICertificateExpirationMargin() );
    pageWriter.println( prefix + "internetAccessType = " + getInternetAccessType() );
    try {
      pageWriter.println( prefix + "internetAccessType_text = " + getInternetAccessType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "internetAccessType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fICertificateIndicator = " + getFICertificateIndicator() );
    try {
      pageWriter.println( prefix + "fICertificateIndicator_text = " + getFICertificateIndicator_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fICertificateIndicator_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "eurExchRtPrecTg = " + getEurExchRtPrecTg() );
    pageWriter.println( prefix + "crsClntSprtF = " + getCrsClntSprtF() );
    try {
      pageWriter.println( prefix + "crsClntSprtF_text = " + getCrsClntSprtF_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "crsClntSprtF_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fILclCurr = " + getFILclCurr() );
    try {
      pageWriter.println( prefix + "fILclCurr_text = " + getFILclCurr_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fILclCurr_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqFINumber = getCharFromURL( req, prefix + "reqFINumber" );
  }
}
