//**********************************************
//
// FILE NAME: GtGPCustomerMessage.java
// TRANSACTION NAME: General Purpose Customer to FI Communication Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>General Purpose Customer to FI Communication Transaction</B>
 * <P>IFS ID: <B>gpcustfi</B>
 * <P>
 * This generic transaction is defined to be used by an entry device for a
 * customized non-specific communication message to the FI.
 * <BR>
 * <P><B>GP_CUST_FI_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GP_CUST_FI_IMSG</B>
 *            <P>
 *            This request message allows the entry point to send a
 *            non-specific message communication to the FI. The request
 *            message may contain contact details, message text, security
 *            details and repeating generic data fields such as binary
 *            field(s), integer field(s) and text field(s).
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GP_CUST_FI_OMSG</B>
 *            <P>
 *            This response message contains a response code indicating
 *            the status of the request message and may contain
 *            non-specific data fields.
 */
public class GtGPCustomerMessage extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGPCustomerMessage() { }
  public GtGPCustomerMessage( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gpcustfi_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  private byte[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  void   setReqSecurity( byte[] o ) { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  byte[] getReqSecurity() { return (reqSecurity); }

  /**
   * <P>The attribute <code>reqEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  private String reqEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  void   setReqEncryptionType( String o ) { reqEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstScrtyTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  String getReqEncryptionType() { return (reqEncryptionType); }

  /**
   * <P>The attribute <code>reqHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqHomePhone( String o ) { reqHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqHomePhone() { return (reqHomePhone); }

  /**
   * <P>The attribute <code>reqWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqWorkPhone( String o ) { reqWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqWorkPhone() { return (reqWorkPhone); }

  /**
   * <P>The attribute <code>reqEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqEmailAddress( String o ) { reqEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqEmailAddress() { return (reqEmailAddress); }

  /**
   * <P>The attribute <code>reqFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqFaxNumber( String o ) { reqFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqFaxNumber() { return (reqFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCntcInfoTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqMessagetext</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessagetext = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessagetext( String o ) { reqMessagetext = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessagetext() { return (reqMessagetext); }

  /**
   * <P>The attribute <code>reqGenericInteger</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  private GsGenericInt[] reqGenericInteger = null;

  /**
   * <P>Sets the value of the attribute <code>reqGenericInteger</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  public  void           setReqGenericInteger(GsGenericInt[] o )  { reqGenericInteger = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGenericInteger</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  public  GsGenericInt[] getReqGenericInteger() { return (reqGenericInteger); }

  private String reqGenericInteger_packed = null;
  public  void   setReqGenericInteger_packed(String o ) { reqGenericInteger_packed = o; }
  public  String getReqGenericInteger_packed() { return (reqGenericInteger_packed); }


  /**
   * <P>The attribute <code>reqGenericBinary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  private GsGenericBinary[] reqGenericBinary = null;

  /**
   * <P>Sets the value of the attribute <code>reqGenericBinary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  public  void              setReqGenericBinary(GsGenericBinary[] o )  { reqGenericBinary = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGenericBinary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  public  GsGenericBinary[] getReqGenericBinary() { return (reqGenericBinary); }

  private String reqGenericBinary_packed = null;
  public  void   setReqGenericBinary_packed(String o ) { reqGenericBinary_packed = o; }
  public  String getReqGenericBinary_packed() { return (reqGenericBinary_packed); }


  /**
   * <P>The attribute <code>reqGenericText</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  private GsGenericTxt[] reqGenericText = null;

  /**
   * <P>Sets the value of the attribute <code>reqGenericText</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  public  void           setReqGenericText(GsGenericTxt[] o )  { reqGenericText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGenericText</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  public  GsGenericTxt[] getReqGenericText() { return (reqGenericText); }

  private String reqGenericText_packed = null;
  public  void   setReqGenericText_packed(String o ) { reqGenericText_packed = o; }
  public  String getReqGenericText_packed() { return (reqGenericText_packed); }


  /**
   * <P>The attribute <code>reqTransactionSubType</code> is an alias for the
   * standard message simple element
   * <code>IfsTxnSubTpClTg.TxnSubTpClTg</code>.
   * <P>
   * A code which distinguishes actual functional transactions using
   * generic transaction types. The code can also be used by the
   * rule-based algorithm or the exit routine to route these transactions
   * to different hosts.
   */
  private String reqTransactionSubType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionSubType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnSubTpClTg.TxnSubTpClTg</code>.
   * <P>
   * A code which distinguishes actual functional transactions using
   * generic transaction types. The code can also be used by the
   * rule-based algorithm or the exit routine to route these transactions
   * to different hosts.
   */
  public  void   setReqTransactionSubType( String o ) { reqTransactionSubType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionSubType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTxnSubTpClTg.TxnSubTpClTg</code>.
   * <P>
   * A code which distinguishes actual functional transactions using
   * generic transaction types. The code can also be used by the
   * rule-based algorithm or the exit routine to route these transactions
   * to different hosts.
   */
  public  String getReqTransactionSubType() { return (reqTransactionSubType); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>genericInteger</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  private GsGenericInt[] genericInteger = null;

  /**
   * <P>Sets the value of the attribute <code>genericInteger</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  public  void           setGenericInteger(GsGenericInt[] o )  { genericInteger = o; }

  /**
   * <P>Gets the value of the attribute <code>genericInteger</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericIntTg</code>.
   * <P>
   * A repeating structure each containing a integer type field.
   * <BR>
   */
  public  GsGenericInt[] getGenericInteger() { return (genericInteger); }

  /**
   * <P>The attribute <code>genericBinary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  private GsGenericBinary[] genericBinary = null;

  /**
   * <P>Sets the value of the attribute <code>genericBinary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  public  void              setGenericBinary(GsGenericBinary[] o )  { genericBinary = o; }

  /**
   * <P>Gets the value of the attribute <code>genericBinary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericBinaryTg</code>.
   * <P>
   * A repeating structure each containing a binary type field.
   * <BR>
   */
  public  GsGenericBinary[] getGenericBinary() { return (genericBinary); }

  /**
   * <P>The attribute <code>genericText</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  private GsGenericTxt[] genericText = null;

  /**
   * <P>Sets the value of the attribute <code>genericText</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  public  void           setGenericText(GsGenericTxt[] o )  { genericText = o; }

  /**
   * <P>Gets the value of the attribute <code>genericText</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsGenericDataTg.GenericTxtTg</code>.
   * <P>
   * A repeating structure each containing a character string type field.
   * <BR>
   */
  public  GsGenericTxt[] getGenericText() { return (genericText); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGPCustomerMessage );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqSecurity ); 

    if( reqEncryptionType != null && reqEncryptionType.length() > 1 )
      addArgToGMJI( reqEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqEncryptionType ); 

    if( reqHomePhone != null && reqHomePhone.length() > 15 )
      addArgToGMJI( reqHomePhone.substring(0,15));
    else
      addArgToGMJI( reqHomePhone ); 

    if( reqWorkPhone != null && reqWorkPhone.length() > 15 )
      addArgToGMJI( reqWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqWorkPhone ); 

    if( reqEmailAddress != null && reqEmailAddress.length() > 128 )
      addArgToGMJI( reqEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqEmailAddress ); 

    if( reqFaxNumber != null && reqFaxNumber.length() > 15 )
      addArgToGMJI( reqFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 

    if( reqMessagetext != null && reqMessagetext.length() > 3000 )
      addArgToGMJI( reqMessagetext.substring(0,3000));
    else
      addArgToGMJI( reqMessagetext ); 
    if( reqGenericInteger != null )
    {
      reqGenericInteger_packed = GsGenericInt.pack( reqGenericInteger );
      addArgToGMJI( reqGenericInteger_packed );
    } else {
      addArgToGMJI();
    }
    if( reqGenericBinary != null )
    {
      reqGenericBinary_packed = GsGenericBinary.pack( reqGenericBinary );
      addArgToGMJI( reqGenericBinary_packed );
    } else {
      addArgToGMJI();
    }
    if( reqGenericText != null )
    {
      reqGenericText_packed = GsGenericTxt.pack( reqGenericText );
      addArgToGMJI( reqGenericText_packed );
    } else {
      addArgToGMJI();
    }

    if( reqTransactionSubType != null && reqTransactionSubType.length() > 8 )
      addArgToGMJI( reqTransactionSubType.substring(0,8));
    else
      addArgToGMJI( reqTransactionSubType ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    genericInteger = new GsGenericInt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      genericInteger[ i ] = new GsGenericInt( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    genericBinary = new GsGenericBinary[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      genericBinary[ i ] = new GsGenericBinary( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    genericText = new GsGenericTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      genericText[ i ] = new GsGenericTxt( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqSecurity = " + getReqSecurity() );
    pageWriter.println( prefix + "reqEncryptionType = " + getReqEncryptionType() );
    pageWriter.println( prefix + "reqHomePhone = " + getReqHomePhone() );
    pageWriter.println( prefix + "reqWorkPhone = " + getReqWorkPhone() );
    pageWriter.println( prefix + "reqEmailAddress = " + getReqEmailAddress() );
    pageWriter.println( prefix + "reqFaxNumber = " + getReqFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqMessagetext = " + getReqMessagetext() );

    pageWriter.println( prefix + "reqGenericInteger =" );
    if( reqGenericInteger == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqGenericInteger.length; j++ )
      {
        pageWriter.println( prefix + "reqGenericInteger[" + j + "] =" );
        if( reqGenericInteger[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqGenericInteger[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqGenericInteger_packed = " + getReqGenericInteger_packed() );

    pageWriter.println( prefix + "reqGenericBinary =" );
    if( reqGenericBinary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqGenericBinary.length; j++ )
      {
        pageWriter.println( prefix + "reqGenericBinary[" + j + "] =" );
        if( reqGenericBinary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqGenericBinary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqGenericBinary_packed = " + getReqGenericBinary_packed() );

    pageWriter.println( prefix + "reqGenericText =" );
    if( reqGenericText == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqGenericText.length; j++ )
      {
        pageWriter.println( prefix + "reqGenericText[" + j + "] =" );
        if( reqGenericText[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqGenericText[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqGenericText_packed = " + getReqGenericText_packed() );
    pageWriter.println( prefix + "reqTransactionSubType = " + getReqTransactionSubType() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "genericInteger =" );
    if( genericInteger == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < genericInteger.length; j++ )
      {
        pageWriter.println( prefix + "genericInteger[" + j + "] =" );
        if( genericInteger[ j ] == null )
          pageWriter.println( " (null)" );
        else
          genericInteger[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "genericBinary =" );
    if( genericBinary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < genericBinary.length; j++ )
      {
        pageWriter.println( prefix + "genericBinary[" + j + "] =" );
        if( genericBinary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          genericBinary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "genericText =" );
    if( genericText == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < genericText.length; j++ )
      {
        pageWriter.println( prefix + "genericText[" + j + "] =" );
        if( genericText[ j ] == null )
          pageWriter.println( " (null)" );
        else
          genericText[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqSecurity = getBinaryFromURL( req, prefix + "reqSecurity" );
    reqEncryptionType = getCharFromURL( req, prefix + "reqEncryptionType" );
    reqHomePhone = getCharFromURL( req, prefix + "reqHomePhone" );
    reqWorkPhone = getCharFromURL( req, prefix + "reqWorkPhone" );
    reqEmailAddress = getCharFromURL( req, prefix + "reqEmailAddress" );
    reqFaxNumber = getCharFromURL( req, prefix + "reqFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqMessagetext = getCharFromURL( req, prefix + "reqMessagetext" );

    repeatCounter = getLongFromURL( req, prefix + "reqGenericInteger_repeatCounter" );
    reqGenericInteger = new GsGenericInt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqGenericInteger[ i ] = new GsGenericInt(getIfsSession());
      reqGenericInteger[ i ].populateFromURL( txn, req, prefix + "reqGenericInteger_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqGenericBinary_repeatCounter" );
    reqGenericBinary = new GsGenericBinary[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqGenericBinary[ i ] = new GsGenericBinary(getIfsSession());
      reqGenericBinary[ i ].populateFromURL( txn, req, prefix + "reqGenericBinary_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqGenericText_repeatCounter" );
    reqGenericText = new GsGenericTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqGenericText[ i ] = new GsGenericTxt(getIfsSession());
      reqGenericText[ i ].populateFromURL( txn, req, prefix + "reqGenericText_" + i + "_" );
    }
    reqTransactionSubType = getCharFromURL( req, prefix + "reqTransactionSubType" );
  }
}
