//**********************************************
//
// FILE NAME: GtGetEuroExchangeRate.java
// TRANSACTION NAME: Get Euro Exchange Rates Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Euro Exchange Rates Inquiry Transaction</B>
 * <P>IFS ID: <B>geteurrt</B>
 * <P>
 * A consumer may make a request to view Exchange Rates between the local
 * currency of each EMU member state and the Euro.
 * <BR>
 * <P><B>GET_EUR_EXCH_RT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_EUR_EXCH_RT_IMSG</B>
 *
 * <P>Reply:   <B>GET_EUR_EXCH_RT_OMSG</B>
 */
public class GtGetEuroExchangeRate extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetEuroExchangeRate() { setContainsRespCode( 0 ); }
  public GtGetEuroExchangeRate( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "geteurrt_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

// response message fields/setters/getters

  /**
   * <P>The attribute <code>eurExchRt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsEurExchRtLstTg.EurExchRtTg</code>.
   * <P>
   * The Euro Exchange Rate indicates the currency code and the exchange
   * rate as 1 Euro = x local currency. The value of x is expressed in 6
   * significant figures.
   * <BR>
   */
  private GsEurExchRt[] eurExchRt = null;

  /**
   * <P>Sets the value of the attribute <code>eurExchRt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEurExchRtLstTg.EurExchRtTg</code>.
   * <P>
   * The Euro Exchange Rate indicates the currency code and the exchange
   * rate as 1 Euro = x local currency. The value of x is expressed in 6
   * significant figures.
   * <BR>
   */
  public  void          setEurExchRt(GsEurExchRt[] o )  { eurExchRt = o; }

  /**
   * <P>Gets the value of the attribute <code>eurExchRt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsEurExchRtLstTg.EurExchRtTg</code>.
   * <P>
   * The Euro Exchange Rate indicates the currency code and the exchange
   * rate as 1 Euro = x local currency. The value of x is expressed in 6
   * significant figures.
   * <BR>
   */
  public  GsEurExchRt[] getEurExchRt() { return (eurExchRt); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetEuroExchangeRate );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    eurExchRt = new GsEurExchRt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      eurExchRt[ i ] = new GsEurExchRt( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "eurExchRt =" );
    if( eurExchRt == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < eurExchRt.length; j++ )
      {
        pageWriter.println( prefix + "eurExchRt[" + j + "] =" );
        if( eurExchRt[ j ] == null )
          pageWriter.println( " (null)" );
        else
          eurExchRt[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
  }
}
