//**********************************************
//
// FILE NAME: GtGetExchangeCalendar.java
// TRANSACTION NAME: Get Exchange calendar
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Exchange calendar</B>
 * <P>IFS ID: <B>gexchcal</B>
 * <P>
 * This Transaciton will return information for each market, or exchange
 * supported by the investment service provider. The data shows the
 * operating hours of the exchange and the days it does not trade. An FI
 * could input all days, including w/e's when the exchange is closed or
 * alternatively use the system calendar to identify w/e days and only
 * include holidays, disasters etc. in the table. The values for Market
 * code will be taken from Reuters encoding. Check DCR 510 and 538 for
 * source and values.
 * <BR>
 * <P><B>GET_EXCH_CAL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_EXCH_CAL_IMSG</B>
 *
 * <P>Reply:   <B>GET_EXCH_CAL_OMSG</B>
 */
public class GtGetExchangeCalendar extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetExchangeCalendar() { }
  public GtGetExchangeCalendar( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gexchcal_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqFINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String reqFINumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setReqFINumber( String o ) { reqFINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getReqFINumber() { return (reqFINumber); }

  /**
   * <P>The attribute <code>reqIfsMrktCdStr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>GetExchReqTg.IfsMrktCdStrTg</code>.
   * <BR>
   */
  private GsMrktCdStruc[] reqIfsMrktCdStr = null;

  /**
   * <P>Sets the value of the attribute <code>reqIfsMrktCdStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GetExchReqTg.IfsMrktCdStrTg</code>.
   * <BR>
   */
  public  void            setReqIfsMrktCdStr(GsMrktCdStruc[] o )  { reqIfsMrktCdStr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIfsMrktCdStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GetExchReqTg.IfsMrktCdStrTg</code>.
   * <BR>
   */
  public  GsMrktCdStruc[] getReqIfsMrktCdStr() { return (reqIfsMrktCdStr); }

  private String reqIfsMrktCdStr_packed = null;
  public  void   setReqIfsMrktCdStr_packed(String o ) { reqIfsMrktCdStr_packed = o; }
  public  String getReqIfsMrktCdStr_packed() { return (reqIfsMrktCdStr_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>gExchRespDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>GetExchRespTg.GExchRespDtlTg</code>.
   * <BR>
   */
  private GsGetExchRespDtl[] gExchRespDtl = null;

  /**
   * <P>Sets the value of the attribute <code>gExchRespDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GetExchRespTg.GExchRespDtlTg</code>.
   * <BR>
   */
  public  void               setGExchRespDtl(GsGetExchRespDtl[] o )  { gExchRespDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>gExchRespDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GetExchRespTg.GExchRespDtlTg</code>.
   * <BR>
   */
  public  GsGetExchRespDtl[] getGExchRespDtl() { return (gExchRespDtl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetExchangeCalendar );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqFINumber != null && reqFINumber.length() > 8 )
      addArgToGMJI( reqFINumber.substring(0,8));
    else
      addArgToGMJI( reqFINumber ); 
    if( reqIfsMrktCdStr != null )
    {
      reqIfsMrktCdStr_packed = GsMrktCdStruc.pack( reqIfsMrktCdStr );
      addArgToGMJI( reqIfsMrktCdStr_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    gExchRespDtl = new GsGetExchRespDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      gExchRespDtl[ i ] = new GsGetExchRespDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqFINumber = " + getReqFINumber() );

    pageWriter.println( prefix + "reqIfsMrktCdStr =" );
    if( reqIfsMrktCdStr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqIfsMrktCdStr.length; j++ )
      {
        pageWriter.println( prefix + "reqIfsMrktCdStr[" + j + "] =" );
        if( reqIfsMrktCdStr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqIfsMrktCdStr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIfsMrktCdStr_packed = " + getReqIfsMrktCdStr_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "gExchRespDtl =" );
    if( gExchRespDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < gExchRespDtl.length; j++ )
      {
        pageWriter.println( prefix + "gExchRespDtl[" + j + "] =" );
        if( gExchRespDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          gExchRespDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqFINumber = getCharFromURL( req, prefix + "reqFINumber" );

    repeatCounter = getLongFromURL( req, prefix + "reqIfsMrktCdStr_repeatCounter" );
    reqIfsMrktCdStr = new GsMrktCdStruc[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqIfsMrktCdStr[ i ] = new GsMrktCdStruc(getIfsSession());
      reqIfsMrktCdStr[ i ].populateFromURL( txn, req, prefix + "reqIfsMrktCdStr_" + i + "_" );
    }
  }
}
