//**********************************************
//
// FILE NAME: GtGetFIStaffProfile.java
// TRANSACTION NAME: CSR - Staff Profile Request Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>CSR - Staff Profile Request Transaction</B>
 * <P>IFS ID: <B>csgfistf</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>GET_FISTAFF_PRFL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_FISTAFF_PRFL_IMSG</B>
 *
 * <P>Reply:   <B>GET_FISTAFF_PRFL_OMSG</B>
 */
public class GtGetFIStaffProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetFIStaffProfile() { setContainsRespCode( 0 ); }
  public GtGetFIStaffProfile( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "csgfistf_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqStaffLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a Staff
   * Member. For example, the individual called John S. Smith has a Staff
   * Last Name of Smith.
   */
  private String reqStaffLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqStaffLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a Staff
   * Member. For example, the individual called John S. Smith has a Staff
   * Last Name of Smith.
   */
  public  void   setReqStaffLastName( String o ) { reqStaffLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStaffLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a Staff
   * Member. For example, the individual called John S. Smith has a Staff
   * Last Name of Smith.
   */
  public  String getReqStaffLastName() { return (reqStaffLastName); }

  /**
   * <P>The attribute <code>reqStaffID</code> is an alias for the
   * standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffIdTg</code>.
   * <P>
   * The identifier assigned to a staff member by a FI held on the staff
   * profile record.
   */
  private String reqStaffID = null;

  /**
   * <P>Sets the value of the attribute <code>reqStaffID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffIdTg</code>.
   * <P>
   * The identifier assigned to a staff member by a FI held on the staff
   * profile record.
   */
  public  void   setReqStaffID( String o ) { reqStaffID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStaffID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.StaffIdTg</code>.
   * <P>
   * The identifier assigned to a staff member by a FI held on the staff
   * profile record.
   */
  public  String getReqStaffID() { return (reqStaffID); }

  /**
   * <P>The attribute <code>reqCompanyID</code> is an alias for the
   * standard message simple element
   * <code>IfsFiStafPrflRqsTg.CoIdTg</code>.
   * <P>
   * A series of characters which identifies a Company.
   */
  private String reqCompanyID = null;

  /**
   * <P>Sets the value of the attribute <code>reqCompanyID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.CoIdTg</code>.
   * <P>
   * A series of characters which identifies a Company.
   */
  public  void   setReqCompanyID( String o ) { reqCompanyID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCompanyID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiStafPrflRqsTg.CoIdTg</code>.
   * <P>
   * A series of characters which identifies a Company.
   */
  public  String getReqCompanyID() { return (reqCompanyID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>staffDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFiStafPrflRspTg.StaffDtlTg</code>.
   * <P>
   * Information associated with a staff member (i.e., name, identifier
   * etc.) held on the staff profile record.
   * <BR>
   */
  private GsStaffPrflItem[] staffDetail = null;

  /**
   * <P>Sets the value of the attribute <code>staffDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiStafPrflRspTg.StaffDtlTg</code>.
   * <P>
   * Information associated with a staff member (i.e., name, identifier
   * etc.) held on the staff profile record.
   * <BR>
   */
  public  void              setStaffDetail(GsStaffPrflItem[] o )  { staffDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>staffDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiStafPrflRspTg.StaffDtlTg</code>.
   * <P>
   * Information associated with a staff member (i.e., name, identifier
   * etc.) held on the staff profile record.
   * <BR>
   */
  public  GsStaffPrflItem[] getStaffDetail() { return (staffDetail); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetFIStaffProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqStaffLastName != null && reqStaffLastName.length() > 30 )
      addArgToGMJI( reqStaffLastName.substring(0,30));
    else
      addArgToGMJI( reqStaffLastName ); 

    if( reqStaffID != null && reqStaffID.length() > 30 )
      addArgToGMJI( reqStaffID.substring(0,30));
    else
      addArgToGMJI( reqStaffID ); 

    if( reqCompanyID != null && reqCompanyID.length() > 10 )
      addArgToGMJI( reqCompanyID.substring(0,10));
    else
      addArgToGMJI( reqCompanyID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    staffDetail = new GsStaffPrflItem[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      staffDetail[ i ] = new GsStaffPrflItem( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqStaffLastName = " + getReqStaffLastName() );
    pageWriter.println( prefix + "reqStaffID = " + getReqStaffID() );
    pageWriter.println( prefix + "reqCompanyID = " + getReqCompanyID() );

    pageWriter.println( prefix + "staffDetail =" );
    if( staffDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < staffDetail.length; j++ )
      {
        pageWriter.println( prefix + "staffDetail[" + j + "] =" );
        if( staffDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          staffDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqStaffLastName = getCharFromURL( req, prefix + "reqStaffLastName" );
    reqStaffID = getCharFromURL( req, prefix + "reqStaffID" );
    reqCompanyID = getCharFromURL( req, prefix + "reqCompanyID" );
  }
}
