//**********************************************
//
// FILE NAME: GtGetMultiAcctPaymentProfile.java
// TRANSACTION NAME: Get Multiple Account Payment Service Profile Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Multiple Account Payment Service Profile Transaction</B>
 * <P>IFS ID: <B>gmapsprf</B>
 * <P>
 * This transaction will provide for the retrieval of the new service
 * profile details.
 * <BR>
 * <P><B>GET_MULTI_AC_PSRVC_PF_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_MULTI_ACCT_SRVC_PRFL_IMSG</B>
 *
 * <P>Reply:   <B>GET_MULTI_ACCT_SRVC_PRFL_OMSG</B>
 */
public class GtGetMultiAcctPaymentProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetMultiAcctPaymentProfile() { }
  public GtGetMultiAcctPaymentProfile( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gmapsprf_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>multiAccPymCtfTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  private GsTime multiAccPymCtfTm = null;

  /**
   * <P>Sets the value of the attribute <code>multiAccPymCtfTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  public  void   setMultiAccPymCtfTm(GsTime o )  { multiAccPymCtfTm = o; }

  /**
   * <P>Gets the value of the attribute <code>multiAccPymCtfTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  public  GsTime getMultiAccPymCtfTm() { return (multiAccPymCtfTm); }

  /**
   * <P>The attribute <code>multiAccPymDspTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  private GsTime multiAccPymDspTm = null;

  /**
   * <P>Sets the value of the attribute <code>multiAccPymDspTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  public  void   setMultiAccPymDspTm(GsTime o )  { multiAccPymDspTm = o; }

  /**
   * <P>Gets the value of the attribute <code>multiAccPymDspTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  public  GsTime getMultiAccPymDspTm() { return (multiAccPymDspTm); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetMultiAcctPaymentProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    multiAccPymCtfTm = new GsTime( txn, "multiAccPymCtfTm" );
    multiAccPymDspTm = new GsTime( txn, "multiAccPymDspTm" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "multiAccPymCtfTm =" );
    if( multiAccPymCtfTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      multiAccPymCtfTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "multiAccPymDspTm =" );
    if( multiAccPymDspTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      multiAccPymDspTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
  }
}
