//**********************************************
//
// FILE NAME: GtGetNoPayAdvice.java
// TRANSACTION NAME: Get No-Pay Advice Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get No-Pay Advice Transaction</B>
 * <P>IFS ID: <B>gnpayadv</B>
 * <P>
 * A consumer may request details of a No-Pay Advice issued by a Financial
 * Institution when a payment is rejected or held.
 * <BR>
 * <P><B>GET_NO_PAY_ADVC_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_NO_PAY_ADVC_IMSG</B>
 *            <P>
 *            This request message allows a consumer to request details of
 *            a No-Pay Advice generated by the Financial Institution to
 *            notify the consumer that a payment has been rejected or held
 *            by the FI. A Message Identifier must be provided.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_NO_PAY_ADVC_OMSG</B>
 *            <P>
 *            This response message provides full details of the generated
 *            No-Pay Advice.
 */
public class GtGetNoPayAdvice extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetNoPayAdvice() { }
  public GtGetNoPayAdvice( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gnpayadv_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumberID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumberID = null;

  /**
   * <P>Sets the value of the attribute <code>fINumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumberID( String o ) { fINumberID = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumberID() { return (fINumberID); }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>payeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String payeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setPayeeNumber( String o ) { payeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getPayeeNumber() { return (payeeNumber); }

  /**
   * <P>The attribute <code>paymentNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  private String paymentNumber = null;

  /**
   * <P>Sets the value of the attribute <code>paymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  void   setPaymentNumber( String o ) { paymentNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment engine, uniquely
   * identifying a payment instance.
   */
  public  String getPaymentNumber() { return (paymentNumber); }

  /**
   * <P>The attribute <code>paymentDefinition</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  private String paymentDefinition = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDefinition</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  void   setPaymentDefinition( String o ) { paymentDefinition = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDefinition</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  String getPaymentDefinition() { return (paymentDefinition); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>accountSourceDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount accountSourceDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setAccountSourceDetail(GsAccount o )  { accountSourceDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountSourceDetail() { return (accountSourceDetail); }

  /**
   * <P>The attribute <code>paymentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  private GsCurrency paymentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>paymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  public  void       setPaymentAmount(GsCurrency o )  { paymentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PaymentAmtTg</code>.
   * <P>
   * The amount, value of funds which was/will be paid in a Payment
   * Transaction.
   * <BR>
   */
  public  GsCurrency getPaymentAmount() { return (paymentAmount); }

  /**
   * <P>The attribute <code>paymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  private GsDate paymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  void   setPaymentDate(GsDate o )  { paymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  GsDate getPaymentDate() { return (paymentDate); }

  /**
   * <P>The attribute <code>adjustedPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  private GsDate adjustedPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjustedPaymentDate(GsDate o )  { adjustedPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AdjPymtDtTg</code>.
   * <P>
   * The date on which the next payment instance of a recurring Payment
   * Definition (or only Payment Instance of a single Definition) is
   * scheduled to occur. The Adjusted Payment Date may differ from the
   * Payment Date requested by the consumer if the consumer requested
   * Payment Date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjustedPaymentDate() { return (adjustedPaymentDate); }

  /**
   * <P>The attribute <code>paymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  private String paymentType = null;

  /**
   * <P>Sets the value of the attribute <code>paymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  void   setPaymentType( String o ) { paymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  String getPaymentType() { return (paymentType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtTpClTg</code>.
   */
  public  String getPaymentType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtTpClResources", locale, getPaymentType() );
  }

  /**
   * <P>The attribute <code>paymentCategoryDescription</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  private String paymentCategoryDescription = null;

  /**
   * <P>Sets the value of the attribute <code>paymentCategoryDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  void   setPaymentCategoryDescription( String o ) { paymentCategoryDescription = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentCategoryDescription</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  String getPaymentCategoryDescription() { return (paymentCategoryDescription); }

  /**
   * <P>The attribute <code>paymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  private String paymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>paymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  void   setPaymentMemo( String o ) { paymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  String getPaymentMemo() { return (paymentMemo); }

  /**
   * <P>The attribute <code>paymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String paymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>paymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setPaymentNickname( String o ) { paymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getPaymentNickname() { return (paymentNickname); }

  /**
   * <P>The attribute <code>frequency</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment Instance is agreed to transpire. For
   * example, a Consumer may specify that a bill must be paid monthly.
   */
  private String frequency = null;

  /**
   * <P>Sets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment Instance is agreed to transpire. For
   * example, a Consumer may specify that a bill must be paid monthly.
   */
  public  void   setFrequency( String o ) { frequency = o; }

  /**
   * <P>Gets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment Instance is agreed to transpire. For
   * example, a Consumer may specify that a bill must be paid monthly.
   */
  public  String getFrequency() { return (frequency); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FreqClTg</code>.
   */
  public  String getFrequency_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFrequency() );
  }

  /**
   * <P>The attribute <code>totalPaymentValue</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  private int  totalPaymentValue = 0;

  /**
   * <P>Sets the value of the attribute <code>totalPaymentValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  public  void setTotalPaymentValue( int o ) { totalPaymentValue = o; }

  /**
   * <P>Gets the value of the attribute <code>totalPaymentValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.TotPymtValTg</code>.
   * <P>
   * The number of payment or transfer instances (for a Recurring Payment
   * or Transfer) that will be created as a result of defining the
   * Recurring Payment or Transfer Definition.
   */
  public  int  getTotalPaymentValue() { return (totalPaymentValue); }

  /**
   * <P>The attribute <code>numberPaymentsComplete</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  private int  numberPaymentsComplete = 0;

  /**
   * <P>Sets the value of the attribute <code>numberPaymentsComplete</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  public  void setNumberPaymentsComplete( int o ) { numberPaymentsComplete = o; }

  /**
   * <P>Gets the value of the attribute <code>numberPaymentsComplete</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.NbrPymtsComplValTg</code>.
   * <P>
   * A value indicating how many payments have been made by the consumer
   * on a loan repayment or line of credit arrangement.
   */
  public  int  getNumberPaymentsComplete() { return (numberPaymentsComplete); }

  /**
   * <P>The attribute <code>payeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  private String payeeType = null;

  /**
   * <P>Sets the value of the attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  void   setPayeeType( String o ) { payeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  String getPayeeType() { return (payeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeTpClTg</code>.
   */
  public  String getPayeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeTpClResources", locale, getPayeeType() );
  }

  /**
   * <P>The attribute <code>billerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String billerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>billerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setBillerNumber( String o ) { billerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>billerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getBillerNumber() { return (billerNumber); }

  /**
   * <P>The attribute <code>billerAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  private String billerAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>billerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  void   setBillerAccountNumber( String o ) { billerAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>billerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  String getBillerAccountNumber() { return (billerAccountNumber); }

  /**
   * <P>The attribute <code>actualRemitName</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitNmTg</code>.
   * <P>
   * The name which the remittance note for this Payment was actually sent
   * to. The actual payment will also be addressed to this name.
   */
  private String actualRemitName = null;

  /**
   * <P>Sets the value of the attribute <code>actualRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitNmTg</code>.
   * <P>
   * The name which the remittance note for this Payment was actually sent
   * to. The actual payment will also be addressed to this name.
   */
  public  void   setActualRemitName( String o ) { actualRemitName = o; }

  /**
   * <P>Gets the value of the attribute <code>actualRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitNmTg</code>.
   * <P>
   * The name which the remittance note for this Payment was actually sent
   * to. The actual payment will also be addressed to this name.
   */
  public  String getActualRemitName() { return (actualRemitName); }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * Payee address line 1 if payee type=F, or actual remittance address
   * line 1 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically.
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * Payee address line 1 if payee type=F, or actual remittance address
   * line 1 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically.
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * Payee address line 1 if payee type=F, or actual remittance address
   * line 1 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically.
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * Payee address line 2 if payee type=F, or actual remittance address
   * line 2 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * Payee address line 2 if payee type=F, or actual remittance address
   * line 2 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * Payee address line 2 if payee type=F, or actual remittance address
   * line 2 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * Payee address line 3 if payee type=F, or actual remittance address
   * line 3 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * Payee address line 3 if payee type=F, or actual remittance address
   * line 3 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * Payee address line 3 if payee type=F, or actual remittance address
   * line 3 if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CityNmTg</code>.
   * <P>
   * Payee address city if payee type=F, or actual remittance address city
   * if payee type=B. Part of the address to which the payment remittance
   * data will be sent and possibly the actual payment depending on
   * whether the payee is paid via check or electronically
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CityNmTg</code>.
   * <P>
   * Payee address city if payee type=F, or actual remittance address city
   * if payee type=B. Part of the address to which the payment remittance
   * data will be sent and possibly the actual payment depending on
   * whether the payee is paid via check or electronically
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CityNmTg</code>.
   * <P>
   * Payee address city if payee type=F, or actual remittance address city
   * if payee type=B. Part of the address to which the payment remittance
   * data will be sent and possibly the actual payment depending on
   * whether the payee is paid via check or electronically
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ProvNmTg</code>.
   * <P>
   * Payee address province if payee type=F, or actual remittance address
   * province if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ProvNmTg</code>.
   * <P>
   * Payee address province if payee type=F, or actual remittance address
   * province if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ProvNmTg</code>.
   * <P>
   * Payee address province if payee type=F, or actual remittance address
   * province if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * Payee address state if payee type=F, or actual remittance address
   * state if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * Payee address state if payee type=F, or actual remittance address
   * state if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * Payee address state if payee type=F, or actual remittance address
   * state if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * Payee address country code if payee type=F, or actual remittance
   * address country code if payee type=B. Part of the address to which
   * the payment remittance data will be sent and possibly the actual
   * payment depending on whether the payee is paid via check or
   * electronically
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * Payee address country code if payee type=F, or actual remittance
   * address country code if payee type=B. Part of the address to which
   * the payment remittance data will be sent and possibly the actual
   * payment depending on whether the payee is paid via check or
   * electronically
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * Payee address country code if payee type=F, or actual remittance
   * address country code if payee type=B. Part of the address to which
   * the payment remittance data will be sent and possibly the actual
   * payment depending on whether the payee is paid via check or
   * electronically
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * Payee address zip code if payee type=F, or actual remittance address
   * zip code if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * Payee address zip code if payee type=F, or actual remittance address
   * zip code if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * Payee address zip code if payee type=F, or actual remittance address
   * zip code if payee type=B. Part of the address to which the payment
   * remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * Payee address postal code if payee type=F, or actual remittance
   * address postal if payee type=B. Part of the address to which the
   * payment remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * Payee address postal code if payee type=F, or actual remittance
   * address postal if payee type=B. Part of the address to which the
   * payment remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.ActRemitAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * Payee address postal code if payee type=F, or actual remittance
   * address postal if payee type=B. Part of the address to which the
   * payment remittance data will be sent and possibly the actual payment
   * depending on whether the payee is paid via check or electronically
   */
  public  String getPostalCode() { return (postalCode); }

  /**
   * <P>The attribute <code>nickname</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  private String nickname = null;

  /**
   * <P>Sets the value of the attribute <code>nickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  void   setNickname( String o ) { nickname = o; }

  /**
   * <P>Gets the value of the attribute <code>nickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  String getNickname() { return (nickname); }

  /**
   * <P>The attribute <code>line1</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  private String line1 = null;

  /**
   * <P>Sets the value of the attribute <code>line1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  void   setLine1( String o ) { line1 = o; }

  /**
   * <P>Gets the value of the attribute <code>line1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  String getLine1() { return (line1); }

  /**
   * <P>The attribute <code>chargeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String chargeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>chargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setChargeNumber( String o ) { chargeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>chargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getChargeNumber() { return (chargeNumber); }

  /**
   * <P>The attribute <code>addrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String addrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setAddrLine1Nm( String o ) { addrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getAddrLine1Nm() { return (addrLine1Nm); }

  /**
   * <P>The attribute <code>addrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String addrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setAddrLine2Nm( String o ) { addrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getAddrLine2Nm() { return (addrLine2Nm); }

  /**
   * <P>The attribute <code>addrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String addrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setAddrLine3Nm( String o ) { addrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getAddrLine3Nm() { return (addrLine3Nm); }

  /**
   * <P>The attribute <code>cityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String cityNm = null;

  /**
   * <P>Sets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setCityNm( String o ) { cityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getCityNm() { return (cityNm); }

  /**
   * <P>The attribute <code>provNm</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String provNm = null;

  /**
   * <P>Sets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setProvNm( String o ) { provNm = o; }

  /**
   * <P>Gets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getProvNm() { return (provNm); }

  /**
   * <P>The attribute <code>stateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String stateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setStateCodeCl( String o ) { stateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getStateCodeCl() { return (stateCodeCl); }

  /**
   * <P>The attribute <code>cntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String cntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setCntryCodeCl( String o ) { cntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getCntryCodeCl() { return (cntryCodeCl); }

  /**
   * <P>The attribute <code>zipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String zipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setZipCodeCl( String o ) { zipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getZipCodeCl() { return (zipCodeCl); }

  /**
   * <P>The attribute <code>pstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String pstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setPstCodeCl( String o ) { pstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getPstCodeCl() { return (pstCodeCl); }

  /**
   * <P>The attribute <code>paymentOption</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtOptTpTg</code>.
   * <P>
   * A code, indicating how the payment was or will be made to a Payee.
   */
  private String paymentOption = null;

  /**
   * <P>Sets the value of the attribute <code>paymentOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtOptTpTg</code>.
   * <P>
   * A code, indicating how the payment was or will be made to a Payee.
   */
  public  void   setPaymentOption( String o ) { paymentOption = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtOptTpTg</code>.
   * <P>
   * A code, indicating how the payment was or will be made to a Payee.
   */
  public  String getPaymentOption() { return (paymentOption); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtOptTpTg</code>.
   */
  public  String getPaymentOption_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtOptTpResources", locale, getPaymentOption() );
  }

  /**
   * <P>The attribute <code>paymentRecordType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRcrdTpClTg</code>.
   * <P>
   * A code, indicating the format or type of Payment Record which was
   * created for the Payment Instance in the payment file sent or to be
   * sent to the Biller.
   */
  private String paymentRecordType = null;

  /**
   * <P>Sets the value of the attribute <code>paymentRecordType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRcrdTpClTg</code>.
   * <P>
   * A code, indicating the format or type of Payment Record which was
   * created for the Payment Instance in the payment file sent or to be
   * sent to the Biller.
   */
  public  void   setPaymentRecordType( String o ) { paymentRecordType = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentRecordType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRcrdTpClTg</code>.
   * <P>
   * A code, indicating the format or type of Payment Record which was
   * created for the Payment Instance in the payment file sent or to be
   * sent to the Biller.
   */
  public  String getPaymentRecordType() { return (paymentRecordType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentRecordType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRcrdTpClTg</code>.
   */
  public  String getPaymentRecordType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtRcrdTpClResources", locale, getPaymentRecordType() );
  }

  /**
   * <P>The attribute <code>remitOption</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.RemitOptTpClTg</code>.
   * <P>
   * A code, indicating if a record in a separate payment remittance file
   * was/will be created for this specific payment instance.
   */
  private String remitOption = null;

  /**
   * <P>Sets the value of the attribute <code>remitOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitOptTpClTg</code>.
   * <P>
   * A code, indicating if a record in a separate payment remittance file
   * was/will be created for this specific payment instance.
   */
  public  void   setRemitOption( String o ) { remitOption = o; }

  /**
   * <P>Gets the value of the attribute <code>remitOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitOptTpClTg</code>.
   * <P>
   * A code, indicating if a record in a separate payment remittance file
   * was/will be created for this specific payment instance.
   */
  public  String getRemitOption() { return (remitOption); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>remitOption</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitOptTpClTg</code>.
   */
  public  String getRemitOption_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRemitOptTpClResources", locale, getRemitOption() );
  }

  /**
   * <P>The attribute <code>remitFileDistributionType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.RemitFleDstTpClTg</code>.
   * <P>
   * A code, indicating how the file (if any) containing the Payment
   * Remittance record for that Payment Instance was distributed to the
   * biller.
   */
  private String remitFileDistributionType = null;

  /**
   * <P>Sets the value of the attribute <code>remitFileDistributionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitFleDstTpClTg</code>.
   * <P>
   * A code, indicating how the file (if any) containing the Payment
   * Remittance record for that Payment Instance was distributed to the
   * biller.
   */
  public  void   setRemitFileDistributionType( String o ) { remitFileDistributionType = o; }

  /**
   * <P>Gets the value of the attribute <code>remitFileDistributionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitFleDstTpClTg</code>.
   * <P>
   * A code, indicating how the file (if any) containing the Payment
   * Remittance record for that Payment Instance was distributed to the
   * biller.
   */
  public  String getRemitFileDistributionType() { return (remitFileDistributionType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>remitFileDistributionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.RemitFleDstTpClTg</code>.
   */
  public  String getRemitFileDistributionType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRemitFleDstTpClResources", locale, getRemitFileDistributionType() );
  }

  /**
   * <P>The attribute <code>submissionNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.SubmissionNbrTg</code>.
   * <P>
   * The number of times this Payment Instance has been submitted for
   * processing including this submission.
   */
  private int  submissionNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>submissionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.SubmissionNbrTg</code>.
   * <P>
   * The number of times this Payment Instance has been submitted for
   * processing including this submission.
   */
  public  void setSubmissionNumber( int o ) { submissionNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>submissionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.SubmissionNbrTg</code>.
   * <P>
   * The number of times this Payment Instance has been submitted for
   * processing including this submission.
   */
  public  int  getSubmissionNumber() { return (submissionNumber); }

  /**
   * <P>The attribute <code>accountTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount accountTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setAccountTargetDetail(GsAccount o )  { accountTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountTargetDetail() { return (accountTargetDetail); }

  /**
   * <P>The attribute <code>fIRoutingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  private String fIRoutingNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  void   setFIRoutingNumber( String o ) { fIRoutingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIRoutingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  String getFIRoutingNumber() { return (fIRoutingNumber); }

  /**
   * <P>The attribute <code>fINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  private String fINickname = null;

  /**
   * <P>Sets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  void   setFINickname( String o ) { fINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  String getFINickname() { return (fINickname); }

  /**
   * <P>The attribute <code>fILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  private String fILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  void   setFILine1( String o ) { fILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  String getFILine1() { return (fILine1); }

  /**
   * <P>The attribute <code>paymentDefinitionCreationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDefnCrtnDtTg</code>.
   * <P>
   * The date on which the consumer created the Payment Definition.
   * <BR>
   */
  private GsDate paymentDefinitionCreationDate = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDefinitionCreationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDefnCrtnDtTg</code>.
   * <P>
   * The date on which the consumer created the Payment Definition.
   * <BR>
   */
  public  void   setPaymentDefinitionCreationDate(GsDate o )  { paymentDefinitionCreationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDefinitionCreationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.PymtDefnCrtnDtTg</code>.
   * <P>
   * The date on which the consumer created the Payment Definition.
   * <BR>
   */
  public  GsDate getPaymentDefinitionCreationDate() { return (paymentDefinitionCreationDate); }

  /**
   * <P>The attribute <code>originalPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.OrigPymtDtTg</code>.
   * <P>
   * The original Payment Date requested by the user for a Payment
   * Instance. This may have been subsequently adjusted by the FI or
   * Payment Engine if for example,the requested payment date was a non
   * Business date.
   * <BR>
   */
  private GsDate originalPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>originalPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.OrigPymtDtTg</code>.
   * <P>
   * The original Payment Date requested by the user for a Payment
   * Instance. This may have been subsequently adjusted by the FI or
   * Payment Engine if for example,the requested payment date was a non
   * Business date.
   * <BR>
   */
  public  void   setOriginalPaymentDate(GsDate o )  { originalPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>originalPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.OrigPymtDtTg</code>.
   * <P>
   * The original Payment Date requested by the user for a Payment
   * Instance. This may have been subsequently adjusted by the FI or
   * Payment Engine if for example,the requested payment date was a non
   * Business date.
   * <BR>
   */
  public  GsDate getOriginalPaymentDate() { return (originalPaymentDate); }

  /**
   * <P>The attribute <code>invoiceID</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  private String invoiceID = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  public  void   setInvoiceID( String o ) { invoiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by a Payee, uniquely identifying an
   * Invoice.
   */
  public  String getInvoiceID() { return (invoiceID); }

  /**
   * <P>The attribute <code>invoiceAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  private GsCurrency invoiceAmount = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  public  void       setInvoiceAmount(GsCurrency o )  { invoiceAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceAmtTg</code>.
   * <P>
   * The amount, value of Funds documented on the Invoice.
   * <BR>
   */
  public  GsCurrency getInvoiceAmount() { return (invoiceAmount); }

  /**
   * <P>The attribute <code>invoiceDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  private GsDate invoiceDate = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  void   setInvoiceDate(GsDate o )  { invoiceDate = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDtTg</code>.
   * <P>
   * The date on which the Invoice was issued by the Payee to the
   * Consumer.
   * <BR>
   */
  public  GsDate getInvoiceDate() { return (invoiceDate); }

  /**
   * <P>The attribute <code>invoiceDiscountPercent</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  private GsDecimal invoiceDiscountPercent = null;

  /**
   * <P>Sets the value of the attribute <code>invoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  public  void      setInvoiceDiscountPercent(GsDecimal o )  { invoiceDiscountPercent = o; }

  /**
   * <P>Gets the value of the attribute <code>invoiceDiscountPercent</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsNoPayAdvcTg.InvoiceDtlTg.InvoiceDiscPctTg</code>.
   * <P>
   * The percentage which the Invoice Amount may be discounted by the
   * Consumer or Payee.
   * <BR>
   */
  public  GsDecimal getInvoiceDiscountPercent() { return (invoiceDiscountPercent); }

  /**
   * <P>The attribute <code>originalType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.OrigTpClTg</code>.
   * <P>
   * A code, indicating the type of (IFS) component which initiated the
   * message. This is stored in the Gold Message Header.
   */
  private int  originalType = 0;

  /**
   * <P>Sets the value of the attribute <code>originalType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.OrigTpClTg</code>.
   * <P>
   * A code, indicating the type of (IFS) component which initiated the
   * message. This is stored in the Gold Message Header.
   */
  public  void setOriginalType( int o ) { originalType = o; }

  /**
   * <P>Gets the value of the attribute <code>originalType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.OrigTpClTg</code>.
   * <P>
   * A code, indicating the type of (IFS) component which initiated the
   * message. This is stored in the Gold Message Header.
   */
  public  int  getOriginalType() { return (originalType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>originalType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.OrigTpClTg</code>.
   */
  public  String getOriginalType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrigTpClResources", locale,
                       String.valueOf( getOriginalType() ) );
  }

  /**
   * <P>The attribute <code>paymentDiscountType</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDcsnTpTg</code>.
   * <P>
   * A code, returned by the Financial Institution, classifying the action
   * that should be taken with the payment.
   */
  private String paymentDiscountType = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDiscountType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDcsnTpTg</code>.
   * <P>
   * A code, returned by the Financial Institution, classifying the action
   * that should be taken with the payment.
   */
  public  void   setPaymentDiscountType( String o ) { paymentDiscountType = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDiscountType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDcsnTpTg</code>.
   * <P>
   * A code, returned by the Financial Institution, classifying the action
   * that should be taken with the payment.
   */
  public  String getPaymentDiscountType() { return (paymentDiscountType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentDiscountType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtDcsnTpTg</code>.
   */
  public  String getPaymentDiscountType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtDcsnTpResources", locale, getPaymentDiscountType() );
  }

  /**
   * <P>The attribute <code>fIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String fIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setFIReferenceNumber( String o ) { fIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getFIReferenceNumber() { return (fIReferenceNumber); }

  /**
   * <P>The attribute <code>paymentRejectResponse</code> is an alias for the
   * standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  private String paymentRejectResponse = null;

  /**
   * <P>Sets the value of the attribute <code>paymentRejectResponse</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  public  void   setPaymentRejectResponse( String o ) { paymentRejectResponse = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentRejectResponse</code>,
   * which is an alias for the standard message simple element
   * <code>IfsNoPayAdvcTg.PymtRjctRespTg</code>.
   * <P>
   * The Payment Reject Response Code will provide additional detail on
   * why the Payment was rejected or Held over.
   */
  public  String getPaymentRejectResponse() { return (paymentRejectResponse); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetNoPayAdvice );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fINumberID = txn.getNextCharFromGMJO( 8, "fINumberID" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    payeeNumber = txn.getNextCharFromGMJO( 11, "payeeNumber" );
    paymentNumber = txn.getNextCharFromGMJO( 36, "paymentNumber" );
    paymentDefinition = txn.getNextCharFromGMJO( 36, "paymentDefinition" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    accountSourceDetail = new GsAccount( txn, "accountSourceDetail" );
    paymentAmount = new GsCurrency( txn, "paymentAmount" );
    paymentDate = new GsDate( txn, "paymentDate" );
    adjustedPaymentDate = new GsDate( txn, "adjustedPaymentDate" );
    paymentType = txn.getNextCharFromGMJO( 1, "paymentType" );
    paymentCategoryDescription = txn.getNextNlsCharFromGMJO( 40, "paymentCategoryDescription" );
    paymentMemo = txn.getNextNlsCharFromGMJO( 40, "paymentMemo" );
    paymentNickname = txn.getNextNlsCharFromGMJO( 30, "paymentNickname" );
    frequency = txn.getNextCharFromGMJO( 1, "frequency" );
    totalPaymentValue = txn.getNextLongFromGMJO( "totalPaymentValue" );
    numberPaymentsComplete = txn.getNextLongFromGMJO( "numberPaymentsComplete" );
    payeeType = txn.getNextCharFromGMJO( 1, "payeeType" );
    billerNumber = txn.getNextCharFromGMJO( 20, "billerNumber" );
    billerAccountNumber = txn.getNextCharFromGMJO( 30, "billerAccountNumber" );
    actualRemitName = txn.getNextNlsCharFromGMJO( 40, "actualRemitName" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    nickname = txn.getNextNlsCharFromGMJO( 30, "nickname" );
    line1 = txn.getNextNlsCharFromGMJO( 40, "line1" );
    chargeNumber = txn.getNextCharFromGMJO( 30, "chargeNumber" );
    addrLine1Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine1Nm" );
    addrLine2Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine2Nm" );
    addrLine3Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine3Nm" );
    cityNm = txn.getNextNlsCharFromGMJO( 30, "cityNm" );
    provNm = txn.getNextNlsCharFromGMJO( 30, "provNm" );
    stateCodeCl = txn.getNextCharFromGMJO( 2, "stateCodeCl" );
    cntryCodeCl = txn.getNextCharFromGMJO( 3, "cntryCodeCl" );
    zipCodeCl = txn.getNextCharFromGMJO( 9, "zipCodeCl" );
    pstCodeCl = txn.getNextCharFromGMJO( 6, "pstCodeCl" );
    paymentOption = txn.getNextCharFromGMJO( 1, "paymentOption" );
    paymentRecordType = txn.getNextCharFromGMJO( 1, "paymentRecordType" );
    remitOption = txn.getNextCharFromGMJO( 1, "remitOption" );
    remitFileDistributionType = txn.getNextCharFromGMJO( 1, "remitFileDistributionType" );
    submissionNumber = txn.getNextLongFromGMJO( "submissionNumber" );
    accountTargetDetail = new GsAccount( txn, "accountTargetDetail" );
    fIRoutingNumber = txn.getNextCharFromGMJO( 9, "fIRoutingNumber" );
    fINickname = txn.getNextNlsCharFromGMJO( 30, "fINickname" );
    fILine1 = txn.getNextNlsCharFromGMJO( 40, "fILine1" );
    paymentDefinitionCreationDate = new GsDate( txn, "paymentDefinitionCreationDate" );
    originalPaymentDate = new GsDate( txn, "originalPaymentDate" );
    invoiceID = txn.getNextCharFromGMJO( 24, "invoiceID" );
    invoiceAmount = new GsCurrency( txn, "invoiceAmount" );
    invoiceDate = new GsDate( txn, "invoiceDate" );
    invoiceDiscountPercent = new GsDecimal( txn, "invoiceDiscountPercent" );
    originalType = txn.getNextLongFromGMJO( "originalType" );
    paymentDiscountType = txn.getNextCharFromGMJO( 1, "paymentDiscountType" );
    fIReferenceNumber = txn.getNextCharFromGMJO( 12, "fIReferenceNumber" );
    paymentRejectResponse = txn.getNextCharFromGMJO( 3, "paymentRejectResponse" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumberID = " + getFINumberID() );
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "payeeNumber = " + getPayeeNumber() );
    pageWriter.println( prefix + "paymentNumber = " + getPaymentNumber() );
    pageWriter.println( prefix + "paymentDefinition = " + getPaymentDefinition() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );

    pageWriter.println( prefix + "accountSourceDetail =" );
    if( accountSourceDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountSourceDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "paymentAmount =" );
    if( paymentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      paymentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "paymentDate =" );
    if( paymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      paymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "adjustedPaymentDate =" );
    if( adjustedPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "paymentType = " + getPaymentType() );
    try {
      pageWriter.println( prefix + "paymentType_text = " + getPaymentType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "paymentCategoryDescription = " + getPaymentCategoryDescription() );
    pageWriter.println( prefix + "paymentMemo = " + getPaymentMemo() );
    pageWriter.println( prefix + "paymentNickname = " + getPaymentNickname() );
    pageWriter.println( prefix + "frequency = " + getFrequency() );
    try {
      pageWriter.println( prefix + "frequency_text = " + getFrequency_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "frequency_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalPaymentValue = " + getTotalPaymentValue() );
    pageWriter.println( prefix + "numberPaymentsComplete = " + getNumberPaymentsComplete() );
    pageWriter.println( prefix + "payeeType = " + getPayeeType() );
    try {
      pageWriter.println( prefix + "payeeType_text = " + getPayeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "billerNumber = " + getBillerNumber() );
    pageWriter.println( prefix + "billerAccountNumber = " + getBillerAccountNumber() );
    pageWriter.println( prefix + "actualRemitName = " + getActualRemitName() );
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );
    pageWriter.println( prefix + "nickname = " + getNickname() );
    pageWriter.println( prefix + "line1 = " + getLine1() );
    pageWriter.println( prefix + "chargeNumber = " + getChargeNumber() );
    pageWriter.println( prefix + "addrLine1Nm = " + getAddrLine1Nm() );
    pageWriter.println( prefix + "addrLine2Nm = " + getAddrLine2Nm() );
    pageWriter.println( prefix + "addrLine3Nm = " + getAddrLine3Nm() );
    pageWriter.println( prefix + "cityNm = " + getCityNm() );
    pageWriter.println( prefix + "provNm = " + getProvNm() );
    pageWriter.println( prefix + "stateCodeCl = " + getStateCodeCl() );
    pageWriter.println( prefix + "cntryCodeCl = " + getCntryCodeCl() );
    pageWriter.println( prefix + "zipCodeCl = " + getZipCodeCl() );
    pageWriter.println( prefix + "pstCodeCl = " + getPstCodeCl() );
    pageWriter.println( prefix + "paymentOption = " + getPaymentOption() );
    try {
      pageWriter.println( prefix + "paymentOption_text = " + getPaymentOption_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentOption_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "paymentRecordType = " + getPaymentRecordType() );
    try {
      pageWriter.println( prefix + "paymentRecordType_text = " + getPaymentRecordType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentRecordType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "remitOption = " + getRemitOption() );
    try {
      pageWriter.println( prefix + "remitOption_text = " + getRemitOption_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "remitOption_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "remitFileDistributionType = " + getRemitFileDistributionType() );
    try {
      pageWriter.println( prefix + "remitFileDistributionType_text = " + getRemitFileDistributionType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "remitFileDistributionType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "submissionNumber = " + getSubmissionNumber() );

    pageWriter.println( prefix + "accountTargetDetail =" );
    if( accountTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fIRoutingNumber = " + getFIRoutingNumber() );
    pageWriter.println( prefix + "fINickname = " + getFINickname() );
    pageWriter.println( prefix + "fILine1 = " + getFILine1() );

    pageWriter.println( prefix + "paymentDefinitionCreationDate =" );
    if( paymentDefinitionCreationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      paymentDefinitionCreationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "originalPaymentDate =" );
    if( originalPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      originalPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "invoiceID = " + getInvoiceID() );

    pageWriter.println( prefix + "invoiceAmount =" );
    if( invoiceAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      invoiceAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "invoiceDate =" );
    if( invoiceDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      invoiceDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "invoiceDiscountPercent =" );
    if( invoiceDiscountPercent == null ) {
      pageWriter.println( " (null)" );
    } else {
      invoiceDiscountPercent.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "originalType = " + getOriginalType() );
    try {
      pageWriter.println( prefix + "originalType_text = " + getOriginalType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "originalType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "paymentDiscountType = " + getPaymentDiscountType() );
    try {
      pageWriter.println( prefix + "paymentDiscountType_text = " + getPaymentDiscountType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentDiscountType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIReferenceNumber = " + getFIReferenceNumber() );
    pageWriter.println( prefix + "paymentRejectResponse = " + getPaymentRejectResponse() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
  }
}
