//**********************************************
//
// FILE NAME: GtGetOrderCompletionAdvice.java
// TRANSACTION NAME: Get Order Completion Advice
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Order Completion Advice</B>
 * <P>IFS ID: <B>gordcomp</B>
 * <P>
 * This transaction is used by the web page to retrieve the order
 * completion advice message stored in the IFS Messaging Server. Messages
 * are retrieved by Message ID.
 * <BR>
 * <P><B>GET_ORD_COMPL_ADV_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_ORD_COMPL_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_ORD_COMPL_OMSG</B>
 */
public class GtGetOrderCompletionAdvice extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetOrderCompletionAdvice() { }
  public GtGetOrderCompletionAdvice( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gordcomp_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>GOComplReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>GOComplReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>GOComplReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>symbol</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String symbol = null;

  /**
   * <P>Sets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setSymbol( String o ) { symbol = o; }

  /**
   * <P>Gets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getSymbol() { return (symbol); }

  /**
   * <P>The attribute <code>symbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String symbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setSymbolSuffix( String o ) { symbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getSymbolSuffix() { return (symbolSuffix); }

  /**
   * <P>The attribute <code>consumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String consumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setConsumerSecurityID( String o ) { consumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getConsumerSecurityID() { return (consumerSecurityID); }

  /**
   * <P>The attribute <code>securityIDSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  securityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setSecurityIDSource( int o ) { securityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getSecurityIDSource() { return (securityIDSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getSecurityIDSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getSecurityIDSource() ) );
  }

  /**
   * <P>The attribute <code>mrktCode</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String mrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setMrktCode( String o ) { mrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getMrktCode() { return (mrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMrktCode() );
  }

  /**
   * <P>The attribute <code>securityDesc</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String securityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setSecurityDesc( String o ) { securityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getSecurityDesc() { return (securityDesc); }

  /**
   * <P>The attribute <code>securityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] securityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setSecurityDescAlternate( byte[] o ) { securityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getSecurityDescAlternate() { return (securityDescAlternate); }

  /**
   * <P>The attribute <code>scrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String scrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setScrtyDescNLS( String o ) { scrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getScrtyDescNLS() { return (scrtyDescNLS); }

  /**
   * <P>The attribute <code>orderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate orderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setOrderOpenDate(GsDate o )  { orderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getOrderOpenDate() { return (orderOpenDate); }

  /**
   * <P>The attribute <code>transactionSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String transactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setTransactionSource( String o ) { transactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getTransactionSource() { return (transactionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   */
  public  String getTransactionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getTransactionSource() );
  }

  /**
   * <P>The attribute <code>issuer</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String issuer = null;

  /**
   * <P>Sets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setIssuer( String o ) { issuer = o; }

  /**
   * <P>Gets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getIssuer() { return (issuer); }

  /**
   * <P>The attribute <code>securityType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  securityType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setSecurityType( int o ) { securityType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getSecurityType() { return (securityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   */
  public  String getSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getSecurityType() ) );
  }

  /**
   * <P>The attribute <code>completionState</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  private int  completionState = 0;

  /**
   * <P>Sets the value of the attribute <code>completionState</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  public  void setCompletionState( int o ) { completionState = o; }

  /**
   * <P>Gets the value of the attribute <code>completionState</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  public  int  getCompletionState() { return (completionState); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>completionState</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  public  String getCompletionState_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsComplStCLResources", locale,
                       String.valueOf( getCompletionState() ) );
  }

  /**
   * <P>The attribute <code>orderID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String orderID = null;

  /**
   * <P>Sets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setOrderID( String o ) { orderID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getOrderID() { return (orderID); }

  /**
   * <P>The attribute <code>orderStatus</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  orderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setOrderStatus( int o ) { orderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getOrderStatus() { return (orderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   */
  public  String getOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>orderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String orderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setOrderReferenceID( String o ) { orderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getOrderReferenceID() { return (orderReferenceID); }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>settlementType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  settlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setSettlementType( int o ) { settlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getSettlementType() { return (settlementType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   */
  public  String getSettlementType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlTpClResources", locale,
                       String.valueOf( getSettlementType() ) );
  }

  /**
   * <P>The attribute <code>futureSettlement</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate futureSettlement = null;

  /**
   * <P>Sets the value of the attribute <code>futureSettlement</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setFutureSettlement(GsDate o )  { futureSettlement = o; }

  /**
   * <P>Gets the value of the attribute <code>futureSettlement</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getFutureSettlement() { return (futureSettlement); }

  /**
   * <P>The attribute <code>settlementInstructionSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  private int  settlementInstructionSource = 0;

  /**
   * <P>Sets the value of the attribute <code>settlementInstructionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  public  void setSettlementInstructionSource( int o ) { settlementInstructionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementInstructionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  public  int  getSettlementInstructionSource() { return (settlementInstructionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>settlementInstructionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   */
  public  String getSettlementInstructionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlInstrSrcResources", locale,
                       String.valueOf( getSettlementInstructionSource() ) );
  }

  /**
   * <P>The attribute <code>settlementInstruction</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  private String settlementInstruction = null;

  /**
   * <P>Sets the value of the attribute <code>settlementInstruction</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  public  void   setSettlementInstruction( String o ) { settlementInstruction = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementInstruction</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  public  String getSettlementInstruction() { return (settlementInstruction); }

  /**
   * <P>The attribute <code>orderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  private int  orderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  void setOrderRejectReason( int o ) { orderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  int  getOrderRejectReason() { return (orderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   */
  public  String getOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>side</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  side = 0;

  /**
   * <P>Sets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setSide( int o ) { side = o; }

  /**
   * <P>Gets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getSide() { return (side); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   */
  public  String getSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSide() ) );
  }

  /**
   * <P>The attribute <code>orderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal orderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setOrderQuantity(GsDecimal o )  { orderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getOrderQuantity() { return (orderQuantity); }

  /**
   * <P>The attribute <code>filledOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  private GsDecimal filledOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  void      setFilledOrderQuantity(GsDecimal o )  { filledOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  GsDecimal getFilledOrderQuantity() { return (filledOrderQuantity); }

  /**
   * <P>The attribute <code>orderType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  orderType = 0;

  /**
   * <P>Sets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setOrderType( int o ) { orderType = o; }

  /**
   * <P>Gets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getOrderType() { return (orderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   */
  public  String getOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getOrderType() ) );
  }

  /**
   * <P>The attribute <code>price</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  private GsCurrency price = null;

  /**
   * <P>Sets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  void       setPrice(GsCurrency o )  { price = o; }

  /**
   * <P>Gets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  GsCurrency getPrice() { return (price); }

  /**
   * <P>The attribute <code>tradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate tradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setTradeDate(GsDate o )  { tradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getTradeDate() { return (tradeDate); }

  /**
   * <P>The attribute <code>timestamp</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private String timestamp = null;

  /**
   * <P>Sets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void   setTimestamp( String o ) { timestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  String getTimestamp() { return (timestamp); }

  /**
   * <P>The attribute <code>gMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private int  gMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void setGMTOffsetMinutes( int o ) { gMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  int  getGMTOffsetMinutes() { return (gMTOffsetMinutes); }

  /**
   * <P>The attribute <code>feeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] feeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setFeeDtl(GsFeeDtl[] o )  { feeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDtl() { return (feeDtl); }

  /**
   * <P>The attribute <code>executionInstructions</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String executionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setExecutionInstructions( String o ) { executionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getExecutionInstructions() { return (executionInstructions); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetOrderCompletionAdvice );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    symbol = txn.getNextCharFromGMJO( 12, "symbol" );
    symbolSuffix = txn.getNextCharFromGMJO( 6, "symbolSuffix" );
    consumerSecurityID = txn.getNextCharFromGMJO( 12, "consumerSecurityID" );
    securityIDSource = txn.getNextLongFromGMJO( "securityIDSource" );
    mrktCode = txn.getNextCharFromGMJO( 3, "mrktCode" );
    securityDesc = txn.getNextNlsCharFromGMJO( 50, "securityDesc" );
    securityDescAlternate = txn.getNextBinaryItemFromGMJO( "securityDescAlternate" );
    scrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "scrtyDescNLS" );
    orderOpenDate = new GsDate( txn, "orderOpenDate" );
    transactionSource = txn.getNextCharFromGMJO( 1, "transactionSource" );
    issuer = txn.getNextNlsCharFromGMJO( 50, "issuer" );
    securityType = txn.getNextLongFromGMJO( "securityType" );
    completionState = txn.getNextLongFromGMJO( "completionState" );
    orderID = txn.getNextCharFromGMJO( 16, "orderID" );
    orderStatus = txn.getNextLongFromGMJO( "orderStatus" );
    orderReferenceID = txn.getNextCharFromGMJO( 16, "orderReferenceID" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    settlementType = txn.getNextLongFromGMJO( "settlementType" );
    futureSettlement = new GsDate( txn, "futureSettlement" );
    settlementInstructionSource = txn.getNextLongFromGMJO( "settlementInstructionSource" );
    settlementInstruction = txn.getNextNlsCharFromGMJO( 50, "settlementInstruction" );
    orderRejectReason = txn.getNextLongFromGMJO( "orderRejectReason" );
    side = txn.getNextLongFromGMJO( "side" );
    orderQuantity = new GsDecimal( txn, "orderQuantity" );
    filledOrderQuantity = new GsDecimal( txn, "filledOrderQuantity" );
    orderType = txn.getNextLongFromGMJO( "orderType" );
    price = new GsCurrency( txn, "price" );
    tradeDate = new GsDate( txn, "tradeDate" );
    timestamp = txn.getNextCharFromGMJO( 26, "timestamp" );
    gMTOffsetMinutes = txn.getNextLongFromGMJO( "gMTOffsetMinutes" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDtl[ i ] = new GsFeeDtl( txn );
    }
    executionInstructions = txn.getNextVarCharFromGMJO( "executionInstructions" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "symbol = " + getSymbol() );
    pageWriter.println( prefix + "symbolSuffix = " + getSymbolSuffix() );
    pageWriter.println( prefix + "consumerSecurityID = " + getConsumerSecurityID() );
    pageWriter.println( prefix + "securityIDSource = " + getSecurityIDSource() );
    try {
      pageWriter.println( prefix + "securityIDSource_text = " + getSecurityIDSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityIDSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mrktCode = " + getMrktCode() );
    try {
      pageWriter.println( prefix + "mrktCode_text = " + getMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mrktCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityDesc = " + getSecurityDesc() );
    pageWriter.println( prefix + "securityDescAlternate = " + getSecurityDescAlternate() );
    pageWriter.println( prefix + "scrtyDescNLS = " + getScrtyDescNLS() );

    pageWriter.println( prefix + "orderOpenDate =" );
    if( orderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transactionSource = " + getTransactionSource() );
    try {
      pageWriter.println( prefix + "transactionSource_text = " + getTransactionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transactionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "issuer = " + getIssuer() );
    pageWriter.println( prefix + "securityType = " + getSecurityType() );
    try {
      pageWriter.println( prefix + "securityType_text = " + getSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "completionState = " + getCompletionState() );
    try {
      pageWriter.println( prefix + "completionState_text = " + getCompletionState_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "completionState_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderID = " + getOrderID() );
    pageWriter.println( prefix + "orderStatus = " + getOrderStatus() );
    try {
      pageWriter.println( prefix + "orderStatus_text = " + getOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderReferenceID = " + getOrderReferenceID() );

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "settlementType = " + getSettlementType() );
    try {
      pageWriter.println( prefix + "settlementType_text = " + getSettlementType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "settlementType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "futureSettlement =" );
    if( futureSettlement == null ) {
      pageWriter.println( " (null)" );
    } else {
      futureSettlement.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "settlementInstructionSource = " + getSettlementInstructionSource() );
    try {
      pageWriter.println( prefix + "settlementInstructionSource_text = " + getSettlementInstructionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "settlementInstructionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "settlementInstruction = " + getSettlementInstruction() );
    pageWriter.println( prefix + "orderRejectReason = " + getOrderRejectReason() );
    try {
      pageWriter.println( prefix + "orderRejectReason_text = " + getOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "side = " + getSide() );
    try {
      pageWriter.println( prefix + "side_text = " + getSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "side_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "orderQuantity =" );
    if( orderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "filledOrderQuantity =" );
    if( filledOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      filledOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderType = " + getOrderType() );
    try {
      pageWriter.println( prefix + "orderType_text = " + getOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "price =" );
    if( price == null ) {
      pageWriter.println( " (null)" );
    } else {
      price.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "tradeDate =" );
    if( tradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      tradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "timestamp = " + getTimestamp() );
    pageWriter.println( prefix + "gMTOffsetMinutes = " + getGMTOffsetMinutes() );

    pageWriter.println( prefix + "feeDtl =" );
    if( feeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDtl.length; j++ )
      {
        pageWriter.println( prefix + "feeDtl[" + j + "] =" );
        if( feeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "executionInstructions = " + getExecutionInstructions() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
  }
}
