//**********************************************
//
// FILE NAME: GtGetSecuritiesDescriptions.java
// TRANSACTION NAME: Get Security Descriptions Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Security Descriptions Transaction</B>
 * <P>IFS ID: <B>gsecdesc</B>
 * <P>
 * This transaction allows a device (especially a PFM) to retrieve all the
 * descriptive information about securities held by a consumer. It is
 * useful when formatting positions and statements. If the back office
 * cannot use consumer ID as the index to identify all the information
 * needed to reply, then the requestor will provide IFS Account ID.
 * Depending on the consumer's account structure it may then be necessary
 * to submit one GET transaction per account.
 * <BR>
 * <P><B>GET_SEC_DESC_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_SEC_DESC_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_SEC_DESC_OMSG</B>
 */
public class GtGetSecuritiesDescriptions extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetSecuritiesDescriptions() { }
  public GtGetSecuritiesDescriptions( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gsecdesc_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqIfsScrtyDscStr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.IfsScrtyDscStrTg</code>.
   * <BR>
   */
  private GsScrtyDscStr[] reqIfsScrtyDscStr = null;

  /**
   * <P>Sets the value of the attribute <code>reqIfsScrtyDscStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.IfsScrtyDscStrTg</code>.
   * <BR>
   */
  public  void            setReqIfsScrtyDscStr(GsScrtyDscStr[] o )  { reqIfsScrtyDscStr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIfsScrtyDscStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.IfsScrtyDscStrTg</code>.
   * <BR>
   */
  public  GsScrtyDscStr[] getReqIfsScrtyDscStr() { return (reqIfsScrtyDscStr); }

  private String reqIfsScrtyDscStr_packed = null;
  public  void   setReqIfsScrtyDscStr_packed(String o ) { reqIfsScrtyDscStr_packed = o; }
  public  String getReqIfsScrtyDscStr_packed() { return (reqIfsScrtyDscStr_packed); }


  /**
   * <P>The attribute <code>reqInvestmentSecurityID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.InvSecIDTg</code>.
   * <P>
   * This structure is used to identify a security in an Investment
   * category message. A security is identified by using one or more of
   * the four fields in the structure. Typically, the security symbol is
   * used for identification (ScrtySymCxTg). It may optionally have a
   * security suffix (SymSfxCxTg) to indicate a preferred stock, warrant,
   * etc. Securities are also identified by an identifier (SecIdCxTg),
   * such as a CUSIP on U.S. exchanges. The identifier and a code that
   * indicates the type of identifier (ScrtyIdScrCxTg) are optional fields
   * in the Investment Securities ID structure.
   * <BR>
   */
  private GsInvSecId[] reqInvestmentSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentSecurityID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.InvSecIDTg</code>.
   * <P>
   * This structure is used to identify a security in an Investment
   * category message. A security is identified by using one or more of
   * the four fields in the structure. Typically, the security symbol is
   * used for identification (ScrtySymCxTg). It may optionally have a
   * security suffix (SymSfxCxTg) to indicate a preferred stock, warrant,
   * etc. Securities are also identified by an identifier (SecIdCxTg),
   * such as a CUSIP on U.S. exchanges. The identifier and a code that
   * indicates the type of identifier (ScrtyIdScrCxTg) are optional fields
   * in the Investment Securities ID structure.
   * <BR>
   */
  public  void         setReqInvestmentSecurityID(GsInvSecId[] o )  { reqInvestmentSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentSecurityID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>GSecDescReqTg.InvSecIDTg</code>.
   * <P>
   * This structure is used to identify a security in an Investment
   * category message. A security is identified by using one or more of
   * the four fields in the structure. Typically, the security symbol is
   * used for identification (ScrtySymCxTg). It may optionally have a
   * security suffix (SymSfxCxTg) to indicate a preferred stock, warrant,
   * etc. Securities are also identified by an identifier (SecIdCxTg),
   * such as a CUSIP on U.S. exchanges. The identifier and a code that
   * indicates the type of identifier (ScrtyIdScrCxTg) are optional fields
   * in the Investment Securities ID structure.
   * <BR>
   */
  public  GsInvSecId[] getReqInvestmentSecurityID() { return (reqInvestmentSecurityID); }

  private String reqInvestmentSecurityID_packed = null;
  public  void   setReqInvestmentSecurityID_packed(String o ) { reqInvestmentSecurityID_packed = o; }
  public  String getReqInvestmentSecurityID_packed() { return (reqInvestmentSecurityID_packed); }


  /**
   * <P>The attribute <code>reqMaximumNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberRecords( int o ) { reqMaximumNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberRecords() { return (reqMaximumNumberRecords); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>GSecDescReqTg.IfsTxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>debtDesc</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.DebtDescStrTg</code>.
   * <BR>
   */
  private GsInvDebtDescStr[] debtDesc = null;

  /**
   * <P>Sets the value of the attribute <code>debtDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.DebtDescStrTg</code>.
   * <BR>
   */
  public  void               setDebtDesc(GsInvDebtDescStr[] o )  { debtDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>debtDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.DebtDescStrTg</code>.
   * <BR>
   */
  public  GsInvDebtDescStr[] getDebtDesc() { return (debtDesc); }

  /**
   * <P>The attribute <code>mutualFundDesc</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.MFDescStrTg</code>.
   * <BR>
   */
  private GsMfutDescStr[] mutualFundDesc = null;

  /**
   * <P>Sets the value of the attribute <code>mutualFundDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.MFDescStrTg</code>.
   * <BR>
   */
  public  void            setMutualFundDesc(GsMfutDescStr[] o )  { mutualFundDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>mutualFundDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.MFDescStrTg</code>.
   * <BR>
   */
  public  GsMfutDescStr[] getMutualFundDesc() { return (mutualFundDesc); }

  /**
   * <P>The attribute <code>optionsDesc</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OptsDescStrTg</code>.
   * <BR>
   */
  private GsInvOptsDescStr[] optionsDesc = null;

  /**
   * <P>Sets the value of the attribute <code>optionsDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OptsDescStrTg</code>.
   * <BR>
   */
  public  void               setOptionsDesc(GsInvOptsDescStr[] o )  { optionsDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>optionsDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OptsDescStrTg</code>.
   * <BR>
   */
  public  GsInvOptsDescStr[] getOptionsDesc() { return (optionsDesc); }

  /**
   * <P>The attribute <code>stockDesc</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.StoDescStrTg</code>.
   * <BR>
   */
  private GsStkDescStr[] stockDesc = null;

  /**
   * <P>Sets the value of the attribute <code>stockDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.StoDescStrTg</code>.
   * <BR>
   */
  public  void           setStockDesc(GsStkDescStr[] o )  { stockDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>stockDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.StoDescStrTg</code>.
   * <BR>
   */
  public  GsStkDescStr[] getStockDesc() { return (stockDesc); }

  /**
   * <P>The attribute <code>otherDesc</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OthDescStrTg</code>.
   * <BR>
   */
  private GsInvOthDescStr[] otherDesc = null;

  /**
   * <P>Sets the value of the attribute <code>otherDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OthDescStrTg</code>.
   * <BR>
   */
  public  void              setOtherDesc(GsInvOthDescStr[] o )  { otherDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>otherDesc</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>ScrtyDescStrTg.OthDescStrTg</code>.
   * <BR>
   */
  public  GsInvOthDescStr[] getOtherDesc() { return (otherDesc); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetSecuritiesDescriptions );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    if( reqIfsScrtyDscStr != null )
    {
      reqIfsScrtyDscStr_packed = GsScrtyDscStr.pack( reqIfsScrtyDscStr );
      addArgToGMJI( reqIfsScrtyDscStr_packed );
    } else {
      addArgToGMJI();
    }
    if( reqInvestmentSecurityID != null )
    {
      reqInvestmentSecurityID_packed = GsInvSecId.pack( reqInvestmentSecurityID );
      addArgToGMJI( reqInvestmentSecurityID_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqMaximumNumberRecords ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    debtDesc = new GsInvDebtDescStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      debtDesc[ i ] = new GsInvDebtDescStr( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    mutualFundDesc = new GsMfutDescStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      mutualFundDesc[ i ] = new GsMfutDescStr( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    optionsDesc = new GsInvOptsDescStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      optionsDesc[ i ] = new GsInvOptsDescStr( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    stockDesc = new GsStkDescStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      stockDesc[ i ] = new GsStkDescStr( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    otherDesc = new GsInvOthDescStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      otherDesc[ i ] = new GsInvOthDescStr( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqIfsScrtyDscStr =" );
    if( reqIfsScrtyDscStr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqIfsScrtyDscStr.length; j++ )
      {
        pageWriter.println( prefix + "reqIfsScrtyDscStr[" + j + "] =" );
        if( reqIfsScrtyDscStr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqIfsScrtyDscStr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIfsScrtyDscStr_packed = " + getReqIfsScrtyDscStr_packed() );

    pageWriter.println( prefix + "reqInvestmentSecurityID =" );
    if( reqInvestmentSecurityID == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqInvestmentSecurityID.length; j++ )
      {
        pageWriter.println( prefix + "reqInvestmentSecurityID[" + j + "] =" );
        if( reqInvestmentSecurityID[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqInvestmentSecurityID[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInvestmentSecurityID_packed = " + getReqInvestmentSecurityID_packed() );
    pageWriter.println( prefix + "reqMaximumNumberRecords = " + getReqMaximumNumberRecords() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "debtDesc =" );
    if( debtDesc == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < debtDesc.length; j++ )
      {
        pageWriter.println( prefix + "debtDesc[" + j + "] =" );
        if( debtDesc[ j ] == null )
          pageWriter.println( " (null)" );
        else
          debtDesc[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "mutualFundDesc =" );
    if( mutualFundDesc == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < mutualFundDesc.length; j++ )
      {
        pageWriter.println( prefix + "mutualFundDesc[" + j + "] =" );
        if( mutualFundDesc[ j ] == null )
          pageWriter.println( " (null)" );
        else
          mutualFundDesc[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "optionsDesc =" );
    if( optionsDesc == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < optionsDesc.length; j++ )
      {
        pageWriter.println( prefix + "optionsDesc[" + j + "] =" );
        if( optionsDesc[ j ] == null )
          pageWriter.println( " (null)" );
        else
          optionsDesc[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "stockDesc =" );
    if( stockDesc == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < stockDesc.length; j++ )
      {
        pageWriter.println( prefix + "stockDesc[" + j + "] =" );
        if( stockDesc[ j ] == null )
          pageWriter.println( " (null)" );
        else
          stockDesc[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "otherDesc =" );
    if( otherDesc == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < otherDesc.length; j++ )
      {
        pageWriter.println( prefix + "otherDesc[" + j + "] =" );
        if( otherDesc[ j ] == null )
          pageWriter.println( " (null)" );
        else
          otherDesc[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtGetSecuritiesDescriptions" );

    repeatCounter = getLongFromURL( req, prefix + "reqIfsScrtyDscStr_repeatCounter" );
    reqIfsScrtyDscStr = new GsScrtyDscStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqIfsScrtyDscStr[ i ] = new GsScrtyDscStr(getIfsSession());
      reqIfsScrtyDscStr[ i ].populateFromURL( txn, req, prefix + "reqIfsScrtyDscStr_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqInvestmentSecurityID_repeatCounter" );
    reqInvestmentSecurityID = new GsInvSecId[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqInvestmentSecurityID[ i ] = new GsInvSecId(getIfsSession());
      reqInvestmentSecurityID[ i ].populateFromURL( txn, req, prefix + "reqInvestmentSecurityID_" + i + "_" );
    }
    reqMaximumNumberRecords = getLongFromURL( req, prefix + "reqMaximumNumberRecords" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
