//**********************************************
//
// FILE NAME: GtGetTransferDateAdjustment.java
// TRANSACTION NAME: Get Transfer Date Adjustment Advice Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Transfer Date Adjustment Advice Transaction</B>
 * <P>IFS ID: <B>gtfrdtav</B>
 * <P>
 * This transaction allows a consumer to retrieve Transfer Adjustment
 * Advice messages sent by the FI or the IFS Transfer Service. This
 * generally occurs at the time the consumer initiates an IFS session as
 * part of the retrieval of mail.
 * <BR>
 * <P><B>GET_TFR_DT_ADJ_ADVC_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_TFR_DT_ADJ_ADVC_IMSG</B>
 *            <P>
 *            This request message allows a consumer to retrieve a
 *            specific transfer adjustment advice.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_TFR_DT_ADJ_ADVC_OMSG</B>
 *            <P>
 *            This response message contains information on the specific
 *            Transfer Date Adjustment Advice indicated in the request
 *            message.
 */
public class GtGetTransferDateAdjustment extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetTransferDateAdjustment() { }
  public GtGetTransferDateAdjustment( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "gtfrdtav_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>transferNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  private String transferNumber = null;

  /**
   * <P>Sets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  void   setTransferNumber( String o ) { transferNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>transferNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or
   * Service Provider, uniquely identifying a transfer instance or
   * transfer definition.
   */
  public  String getTransferNumber() { return (transferNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>accountSourceDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount accountSourceDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setAccountSourceDetail(GsAccount o )  { accountSourceDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountSourceDetail() { return (accountSourceDetail); }

  /**
   * <P>The attribute <code>accountTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount accountTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setAccountTargetDetail(GsAccount o )  { accountTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountTargetDetail() { return (accountTargetDetail); }

  /**
   * <P>The attribute <code>transactionAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  private GsCurrency transactionAmount = null;

  /**
   * <P>Sets the value of the attribute <code>transactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  void       setTransactionAmount(GsCurrency o )  { transactionAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  GsCurrency getTransactionAmount() { return (transactionAmount); }

  /**
   * <P>The attribute <code>effectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  private GsDate effectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  void   setEffectiveDate(GsDate o )  { effectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  GsDate getEffectiveDate() { return (effectiveDate); }

  /**
   * <P>The attribute <code>adjustedTransferDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  private GsDate adjustedTransferDate = null;

  /**
   * <P>Sets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  void   setAdjustedTransferDate(GsDate o )  { adjustedTransferDate = o; }

  /**
   * <P>Gets the value of the attribute <code>adjustedTransferDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrDtAdjAdvcTg.AdjTfrDtTg</code>.
   * <P>
   * The date, on which a single transfer, or next instance of a recurring
   * transfer will occur or is intended to occur. The Adjusted Transfer
   * Date may differ from the Transfer Date requested by the consumer if
   * the consumer requested date falls on a non-business day.
   * <BR>
   */
  public  GsDate getAdjustedTransferDate() { return (adjustedTransferDate); }

  /**
   * <P>The attribute <code>transferType</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrTpClTg</code>.
   * <P>
   * Classifies Transfer definitions based on whether the Transfer occurs
   * once or multiple times. For example, a single transfer is used to
   * transfer money from a savings account to a checking account for a
   * one-time purchase. A recurring transfer is used to transfer money
   * form a checking account to a savings account on a regular basis to
   * accumulate savings.
   */
  private String transferType = null;

  /**
   * <P>Sets the value of the attribute <code>transferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrTpClTg</code>.
   * <P>
   * Classifies Transfer definitions based on whether the Transfer occurs
   * once or multiple times. For example, a single transfer is used to
   * transfer money from a savings account to a checking account for a
   * one-time purchase. A recurring transfer is used to transfer money
   * form a checking account to a savings account on a regular basis to
   * accumulate savings.
   */
  public  void   setTransferType( String o ) { transferType = o; }

  /**
   * <P>Gets the value of the attribute <code>transferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrTpClTg</code>.
   * <P>
   * Classifies Transfer definitions based on whether the Transfer occurs
   * once or multiple times. For example, a single transfer is used to
   * transfer money from a savings account to a checking account for a
   * one-time purchase. A recurring transfer is used to transfer money
   * form a checking account to a savings account on a regular basis to
   * accumulate savings.
   */
  public  String getTransferType() { return (transferType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrTpClTg</code>.
   */
  public  String getTransferType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTfrTpClResources", locale, getTransferType() );
  }

  /**
   * <P>The attribute <code>transferNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  private String transferNickname = null;

  /**
   * <P>Sets the value of the attribute <code>transferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  void   setTransferNickname( String o ) { transferNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>transferNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TfrNckNTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, providing a
   * user-friendly, informal method of identifying a Transfer. For
   * example, a Recurring Transfer which occurs monthly may have a
   * Transfer Nickname of 'Paul's Savings'.
   */
  public  String getTransferNickname() { return (transferNickname); }

  /**
   * <P>The attribute <code>frequency</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String frequency = null;

  /**
   * <P>Sets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setFrequency( String o ) { frequency = o; }

  /**
   * <P>Gets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getFrequency() { return (frequency); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.FreqClTg</code>.
   */
  public  String getFrequency_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFrequency() );
  }

  /**
   * <P>The attribute <code>totalTransferValue</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TotTfrValTg</code>.
   * <P>
   * The total number of transfers in the series.
   */
  private int  totalTransferValue = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransferValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TotTfrValTg</code>.
   * <P>
   * The total number of transfers in the series.
   */
  public  void setTotalTransferValue( int o ) { totalTransferValue = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransferValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.TotTfrValTg</code>.
   * <P>
   * The total number of transfers in the series.
   */
  public  int  getTotalTransferValue() { return (totalTransferValue); }

  /**
   * <P>The attribute <code>numberTransferCompleteValue</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.NbrTfrComplValTg</code>.
   * <P>
   * The number of transfers completed in the series.
   */
  private int  numberTransferCompleteValue = 0;

  /**
   * <P>Sets the value of the attribute <code>numberTransferCompleteValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.NbrTfrComplValTg</code>.
   * <P>
   * The number of transfers completed in the series.
   */
  public  void setNumberTransferCompleteValue( int o ) { numberTransferCompleteValue = o; }

  /**
   * <P>Gets the value of the attribute <code>numberTransferCompleteValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrDtAdjAdvcTg.NbrTfrComplValTg</code>.
   * <P>
   * The number of transfers completed in the series.
   */
  public  int  getNumberTransferCompleteValue() { return (numberTransferCompleteValue); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetTransferDateAdjustment );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    transferNumber = txn.getNextCharFromGMJO( 6, "transferNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    accountSourceDetail = new GsAccount( txn, "accountSourceDetail" );
    accountTargetDetail = new GsAccount( txn, "accountTargetDetail" );
    transactionAmount = new GsCurrency( txn, "transactionAmount" );
    effectiveDate = new GsDate( txn, "effectiveDate" );
    adjustedTransferDate = new GsDate( txn, "adjustedTransferDate" );
    transferType = txn.getNextCharFromGMJO( 1, "transferType" );
    transferNickname = txn.getNextNlsCharFromGMJO( 30, "transferNickname" );
    frequency = txn.getNextCharFromGMJO( 1, "frequency" );
    totalTransferValue = txn.getNextLongFromGMJO( "totalTransferValue" );
    numberTransferCompleteValue = txn.getNextLongFromGMJO( "numberTransferCompleteValue" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "transferNumber = " + getTransferNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );

    pageWriter.println( prefix + "accountSourceDetail =" );
    if( accountSourceDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountSourceDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "accountTargetDetail =" );
    if( accountTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "transactionAmount =" );
    if( transactionAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      transactionAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "effectiveDate =" );
    if( effectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      effectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "adjustedTransferDate =" );
    if( adjustedTransferDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjustedTransferDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transferType = " + getTransferType() );
    try {
      pageWriter.println( prefix + "transferType_text = " + getTransferType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transferType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "transferNickname = " + getTransferNickname() );
    pageWriter.println( prefix + "frequency = " + getFrequency() );
    try {
      pageWriter.println( prefix + "frequency_text = " + getFrequency_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "frequency_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransferValue = " + getTotalTransferValue() );
    pageWriter.println( prefix + "numberTransferCompleteValue = " + getNumberTransferCompleteValue() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
  }
}
