//**********************************************
//
// FILE NAME: GtInvestmentAccountDetail.java
// TRANSACTION NAME: Investment Account Detail
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Account Detail</B>
 * <P>IFS ID: <B>iacctdtl</B>
 * <P>
 * The Investment Account Detail Transaction is processed by the
 * Investment Service Provider. The input message identifies the
 * investment account for which the detail should be returned. The output
 * message contains data about the account, its balances, and positions
 * within it, if any.
 * <BR>
 * <P><B>INV_ACCTDTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ACCTDTL_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ACCTDTL_OMSG</B>
 */
public class GtInvestmentAccountDetail extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentAccountDetail() { }
  public GtInvestmentAccountDetail( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "iacctdtl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqAccountDetailIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  private String reqAccountDetailIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountDetailIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  public  void   setReqAccountDetailIndicator( String o ) { reqAccountDetailIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountDetailIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAcctDtlIndTg.AcctDtlIndTg</code>.
   * <P>
   * A code which indicates which details are to be retrieved in the
   * Account Detail transaction.
   */
  public  String getReqAccountDetailIndicator() { return (reqAccountDetailIndicator); }

  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>investmentAccountValue</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  private GsInvAcctVal[] investmentAccountValue = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountValue</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  public  void           setInvestmentAccountValue(GsInvAcctVal[] o )  { investmentAccountValue = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountValue</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  public  GsInvAcctVal[] getInvestmentAccountValue() { return (investmentAccountValue); }

  /**
   * <P>The attribute <code>investmentAccountSummary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  private GsInvActSumm[] investmentAccountSummary = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  public  void           setInvestmentAccountSummary(GsInvActSumm[] o )  { investmentAccountSummary = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  public  GsInvActSumm[] getInvestmentAccountSummary() { return (investmentAccountSummary); }

  /**
   * <P>The attribute <code>investmentIncomeSummary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  private GsInvIncSumm[] investmentIncomeSummary = null;

  /**
   * <P>Sets the value of the attribute <code>investmentIncomeSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  public  void           setInvestmentIncomeSummary(GsInvIncSumm[] o )  { investmentIncomeSummary = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentIncomeSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  public  GsInvIncSumm[] getInvestmentIncomeSummary() { return (investmentIncomeSummary); }

  /**
   * <P>The attribute <code>investmentAccountDetailSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  private GsInvAcctDtlSec[] investmentAccountDetailSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountDetailSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  public  void              setInvestmentAccountDetailSecurity(GsInvAcctDtlSec[] o )  { investmentAccountDetailSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountDetailSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  public  GsInvAcctDtlSec[] getInvestmentAccountDetailSecurity() { return (investmentAccountDetailSecurity); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentAccountDetail );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqAccountDetailIndicator != null && reqAccountDetailIndicator.length() > 1 )
      addArgToGMJI( reqAccountDetailIndicator.substring(0,1));
    else
      addArgToGMJI( reqAccountDetailIndicator ); 
    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    accountID = new GsAccount( txn, "accountID" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountValue = new GsInvAcctVal[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountValue[ i ] = new GsInvAcctVal( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountSummary = new GsInvActSumm[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountSummary[ i ] = new GsInvActSumm( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentIncomeSummary = new GsInvIncSumm[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentIncomeSummary[ i ] = new GsInvIncSumm( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountDetailSecurity = new GsInvAcctDtlSec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountDetailSecurity[ i ] = new GsInvAcctDtlSec( txn );
    }
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAccountDetailIndicator = " + getReqAccountDetailIndicator() );
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountValue =" );
    if( investmentAccountValue == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountValue.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountValue[" + j + "] =" );
        if( investmentAccountValue[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountValue[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountSummary =" );
    if( investmentAccountSummary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountSummary.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountSummary[" + j + "] =" );
        if( investmentAccountSummary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountSummary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentIncomeSummary =" );
    if( investmentIncomeSummary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentIncomeSummary.length; j++ )
      {
        pageWriter.println( prefix + "investmentIncomeSummary[" + j + "] =" );
        if( investmentIncomeSummary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentIncomeSummary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountDetailSecurity =" );
    if( investmentAccountDetailSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountDetailSecurity.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountDetailSecurity[" + j + "] =" );
        if( investmentAccountDetailSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountDetailSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentAccountDetail" );
    reqAccountDetailIndicator = getCharFromURL( req, prefix + "reqAccountDetailIndicator" );
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
