//**********************************************
//
// FILE NAME: GtInvestmentAccountHistory.java
// TRANSACTION NAME: Investment Account History
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Account History</B>
 * <P>IFS ID: <B>iaccthst</B>
 * <P>
 * The Investment Account History Transaction is used to request the
 * transaction history of an investment account. The input message may
 * specify a date range, a value range or a specific security ID to limit
 * the amount of data returned. The output message is complex. The
 * Investment History Response Summary structure contains information
 * pertaining to all of the transactions. Within this structure is a
 * repeating structure Inv History Response Detail, that is repeated for
 * each transaction in the account. This contains information common to
 * all transaction types. Every Inv History Detail has an Investment
 * History Header and none or one Inv History Detail structures.The
 * Investment Txn ID in the Inv History Detail structure indicates the
 * type of transaction that this detail structure is reporting on. The
 * Investment TXN ID identifies the structure that is used to reference
 * the data about the transaction. For example, the Investment Txn ID
 * value for Buy Stock is associated with the STOCK Structure that
 * contains the fields relevant to a buy stock transaction.
 * <BR>
 * <P><B>INV_ACCTHST_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ACCT_HIST_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ACCT_HIST_OMSG</B>
 */
public class GtInvestmentAccountHistory extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentAccountHistory() { }
  public GtInvestmentAccountHistory( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "iaccthst_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  private GsDate reqStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  void   setReqStartDate(GsDate o )  { reqStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  GsDate getReqStartDate() { return (reqStartDate); }

  /**
   * <P>The attribute <code>reqEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  private GsDate reqEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  void   setReqEndDate(GsDate o )  { reqEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnPstDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  GsDate getReqEndDate() { return (reqEndDate); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvtrnReqDtlTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqTransactionProductType</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnPrdTpClTg</code>.
   */
  private String reqTransactionProductType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionProductType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnPrdTpClTg</code>.
   */
  public  void   setReqTransactionProductType( String o ) { reqTransactionProductType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionProductType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnPrdTpClTg</code>.
   */
  public  String getReqTransactionProductType() { return (reqTransactionProductType); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String reqTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setReqTransactionSource( String o ) { reqTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getReqTransactionSource() { return (reqTransactionSource); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqTxnTrdCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnTrdClTg</code>.
   * <P>
   * A code to indicate whether the output message is to return
   * transactions associated with buying or selling a security.
   */
  private int  reqTxnTrdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnTrdCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnTrdClTg</code>.
   * <P>
   * A code to indicate whether the output message is to return
   * transactions associated with buying or selling a security.
   */
  public  void setReqTxnTrdCl( int o ) { reqTxnTrdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnTrdCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvtrnReqDtlTg.TxnTrdClTg</code>.
   * <P>
   * A code to indicate whether the output message is to return
   * transactions associated with buying or selling a security.
   */
  public  int  getReqTxnTrdCl() { return (reqTxnTrdCl); }

  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>infoDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  private GsDate infoDate = null;

  /**
   * <P>Sets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  void   setInfoDate(GsDate o )  { infoDate = o; }

  /**
   * <P>Gets the value of the attribute <code>infoDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InfoDtTg</code>.
   * <P>
   * The date on which the last update to the account details information
   * (such as Account Balance Information) took place. It indicates how
   * current the information returned about the Account is.
   * <BR>
   */
  public  GsDate getInfoDate() { return (infoDate); }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>chargeAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  private GsAccount chargeAccount = null;

  /**
   * <P>Sets the value of the attribute <code>chargeAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  public  void      setChargeAccount(GsAccount o )  { chargeAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>chargeAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  public  GsAccount getChargeAccount() { return (chargeAccount); }

  /**
   * <P>The attribute <code>investmentHistRespDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.IfsInvHstRespDtlTg</code>.
   * <P>
   * This structure is repeated for each transaction history item in the
   * account. There is one item for each combination of Transaction
   * Origination Date and Investment Txn ID.
   * <BR>
   */
  private GsInvHistRespDtl[] investmentHistRespDetail = null;

  /**
   * <P>Sets the value of the attribute <code>investmentHistRespDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.IfsInvHstRespDtlTg</code>.
   * <P>
   * This structure is repeated for each transaction history item in the
   * account. There is one item for each combination of Transaction
   * Origination Date and Investment Txn ID.
   * <BR>
   */
  public  void               setInvestmentHistRespDetail(GsInvHistRespDtl[] o )  { investmentHistRespDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentHistRespDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvHstRespSTg.IfsInvHstRespDtlTg</code>.
   * <P>
   * This structure is repeated for each transaction history item in the
   * account. There is one item for each combination of Transaction
   * Origination Date and Investment Txn ID.
   * <BR>
   */
  public  GsInvHistRespDtl[] getInvestmentHistRespDetail() { return (investmentHistRespDetail); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentAccountHistory );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsDate.addPropertiesToGMJI( reqStartDate, this );
    GsDate.addPropertiesToGMJI( reqEndDate, this );
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );

    if( reqTransactionProductType != null && reqTransactionProductType.length() > 1 )
      addArgToGMJI( reqTransactionProductType.substring(0,1));
    else
      addArgToGMJI( reqTransactionProductType ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 

    if( reqTransactionSource != null && reqTransactionSource.length() > 1 )
      addArgToGMJI( reqTransactionSource.substring(0,1));
    else
      addArgToGMJI( reqTransactionSource ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 
    addArgToGMJI( reqTxnTrdCl ); 
    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    infoDate = new GsDate( txn, "infoDate" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    chargeAccount = new GsAccount( txn, "chargeAccount" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentHistRespDetail = new GsInvHistRespDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentHistRespDetail[ i ] = new GsInvHistRespDtl( txn );
    }
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqStartDate =" );
    if( reqStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDate =" );
    if( reqEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionProductType = " + getReqTransactionProductType() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqTransactionSource = " + getReqTransactionSource() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqTxnTrdCl = " + getReqTxnTrdCl() );
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "infoDate =" );
    if( infoDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      infoDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "chargeAccount =" );
    if( chargeAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      chargeAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentHistRespDetail =" );
    if( investmentHistRespDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentHistRespDetail.length; j++ )
      {
        pageWriter.println( prefix + "investmentHistRespDetail[" + j + "] =" );
        if( investmentHistRespDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentHistRespDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentAccountHistory" );
    reqStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStartDate", "GtInvestmentAccountHistory" );
    reqEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDate", "GtInvestmentAccountHistory" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtInvestmentAccountHistory" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtInvestmentAccountHistory" );
    reqTransactionProductType = getCharFromURL( req, prefix + "reqTransactionProductType" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqTransactionSource = getCharFromURL( req, prefix + "reqTransactionSource" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqTxnTrdCl = getLongFromURL( req, prefix + "reqTxnTrdCl" );
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
