//**********************************************
//
// FILE NAME: GtInvestmentOrderCancel.java
// TRANSACTION NAME: Investment Order Cancel Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Order Cancel Transaction</B>
 * <P>IFS ID: <B>iordcanc</B>
 * <P>
 * The Order Cancel transaction requests the cancellation of all of the
 * remaining quantity of an existing order. Note that the Order
 * Cancel/Replace transaction should be used to partially cancel(reduce)
 * an order. The cancel request specifies the Investmnet Order Id of the
 * order being cancelled.
 * <BR>
 * <P><B>INV_ORD_CANC_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ORD_CANC_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ORD_CANC_OMSG</B>
 */
public class GtInvestmentOrderCancel extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentOrderCancel() { }
  public GtInvestmentOrderCancel( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "iordcanc_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqPasswordID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPasswordID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPasswordID( byte[] o ) { reqPasswordID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPasswordID() { return (reqPasswordID); }

  /**
   * <P>The attribute <code>reqSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  private byte[] reqSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  void   setReqSecurityID( byte[] o ) { reqSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  byte[] getReqSecurityID() { return (reqSecurityID); }

  /**
   * <P>The attribute <code>reqPasswordEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPasswordEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPasswordEncryptionType( String o ) { reqPasswordEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPasswordEncryptionType() { return (reqPasswordEncryptionType); }

  /**
   * <P>The attribute <code>reqSecurityEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  private String reqSecurityEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  void   setReqSecurityEncryptionType( String o ) { reqSecurityEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  String getReqSecurityEncryptionType() { return (reqSecurityEncryptionType); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String reqIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setReqIssuer( String o ) { reqIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getReqIssuer() { return (reqIssuer); }

  /**
   * <P>The attribute <code>reqSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqSecurityDesc( String o ) { reqSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqSecurityDesc() { return (reqSecurityDesc); }

  /**
   * <P>The attribute <code>reqScrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] reqScrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setReqScrtyDescAlt( byte[] o ) { reqScrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getReqScrtyDescAlt() { return (reqScrtyDescAlt); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqSecurityType( int o ) { reqSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqSecurityType() { return (reqSecurityType); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqSettlementAccount(GsAccount o )  { reqSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqSettlementAccount() { return (reqSettlementAccount); }

  /**
   * <P>The attribute <code>reqExpireDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate reqExpireDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setReqExpireDate(GsDate o )  { reqExpireDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getReqExpireDate() { return (reqExpireDate); }

  /**
   * <P>The attribute <code>reqPutOrCall</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  private int  reqPutOrCall = 0;

  /**
   * <P>Sets the value of the attribute <code>reqPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  void setReqPutOrCall( int o ) { reqPutOrCall = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  int  getReqPutOrCall() { return (reqPutOrCall); }

  /**
   * <P>The attribute <code>reqStrikePrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  private GsCurrency reqStrikePrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  void       setReqStrikePrice(GsCurrency o )  { reqStrikePrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  GsCurrency getReqStrikePrice() { return (reqStrikePrice); }

  /**
   * <P>The attribute <code>reqSide</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  reqSide = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setReqSide( int o ) { reqSide = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getReqSide() { return (reqSide); }

  /**
   * <P>The attribute <code>reqOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal reqOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setReqOrderQuantity(GsDecimal o )  { reqOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getReqOrderQuantity() { return (reqOrderQuantity); }

  /**
   * <P>The attribute <code>reqCashOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsCurrency reqCashOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void       setReqCashOrderQuantity(GsCurrency o )  { reqCashOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsCurrency getReqCashOrderQuantity() { return (reqCashOrderQuantity); }

  /**
   * <P>The attribute <code>reqExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String reqExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setReqExecutionInstructions( String o ) { reqExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getReqExecutionInstructions() { return (reqExecutionInstructions); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>securityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  securityType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setSecurityType( int o ) { securityType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getSecurityType() { return (securityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.ScrtyTpClTg</code>.
   */
  public  String getSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getSecurityType() ) );
  }

  /**
   * <P>The attribute <code>orderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String orderID = null;

  /**
   * <P>Sets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setOrderID( String o ) { orderID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getOrderID() { return (orderID); }

  /**
   * <P>The attribute <code>orderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String orderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setOrderReferenceID( String o ) { orderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getOrderReferenceID() { return (orderReferenceID); }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdCanRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>orderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  orderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setOrderStatus( int o ) { orderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getOrderStatus() { return (orderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.OrdStatClTg</code>.
   */
  public  String getOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>executionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String executionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setExecutionInstructions( String o ) { executionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getExecutionInstructions() { return (executionInstructions); }

  /**
   * <P>The attribute <code>cancelRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnClTg</code>.
   * <P>
   * Reason for Cancel/Rejection. Default is Null (0).
   */
  private int  cancelRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>cancelRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnClTg</code>.
   * <P>
   * Reason for Cancel/Rejection. Default is Null (0).
   */
  public  void setCancelRejectReason( int o ) { cancelRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>cancelRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnClTg</code>.
   * <P>
   * Reason for Cancel/Rejection. Default is Null (0).
   */
  public  int  getCancelRejectReason() { return (cancelRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>cancelRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnClTg</code>.
   */
  public  String getCancelRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCanRejRsnClResources", locale,
                       String.valueOf( getCancelRejectReason() ) );
  }

  /**
   * <P>The attribute <code>cancelRejectReasonText</code> is an alias for the
   * standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnTxtTg</code>.
   * <P>
   * Text for describing reason for rejection.
   */
  private String cancelRejectReasonText = null;

  /**
   * <P>Sets the value of the attribute <code>cancelRejectReasonText</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnTxtTg</code>.
   * <P>
   * Text for describing reason for rejection.
   */
  public  void   setCancelRejectReasonText( String o ) { cancelRejectReasonText = o; }

  /**
   * <P>Gets the value of the attribute <code>cancelRejectReasonText</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdCanRespTg.CanRejRsnTxtTg</code>.
   * <P>
   * Text for describing reason for rejection.
   */
  public  String getCancelRejectReasonText() { return (cancelRejectReasonText); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentOrderCancel );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 
    addArgToGMJI( reqPasswordID ); 
    addArgToGMJI( reqSecurityID ); 

    if( reqPasswordEncryptionType != null && reqPasswordEncryptionType.length() > 1 )
      addArgToGMJI( reqPasswordEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqPasswordEncryptionType ); 

    if( reqSecurityEncryptionType != null && reqSecurityEncryptionType.length() > 1 )
      addArgToGMJI( reqSecurityEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqSecurityEncryptionType ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 

    if( reqIssuer != null && reqIssuer.length() > 50 )
      addArgToGMJI( reqIssuer.substring(0,50));
    else
      addArgToGMJI( reqIssuer ); 

    if( reqSecurityDesc != null && reqSecurityDesc.length() > 50 )
      addArgToGMJI( reqSecurityDesc.substring(0,50));
    else
      addArgToGMJI( reqSecurityDesc ); 
    addArgToGMJI( reqScrtyDescAlt ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 
    addArgToGMJI( reqSecurityType ); 

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsAccount.addPropertiesToGMJI( reqSettlementAccount, this );
    GsDate.addPropertiesToGMJI( reqExpireDate, this );
    addArgToGMJI( reqPutOrCall ); 
    GsCurrency.addPropertiesToGMJI( reqStrikePrice, this );
    addArgToGMJI( reqSide ); 
    GsDecimal.addPropertiesToGMJI( reqOrderQuantity, this );
    GsCurrency.addPropertiesToGMJI( reqCashOrderQuantity, this );
    addArgToGMJI( reqExecutionInstructions ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    securityType = txn.getNextLongFromGMJO( "securityType" );
    orderID = txn.getNextCharFromGMJO( 16, "orderID" );
    orderReferenceID = txn.getNextCharFromGMJO( 16, "orderReferenceID" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    orderStatus = txn.getNextLongFromGMJO( "orderStatus" );
    executionInstructions = txn.getNextVarCharFromGMJO( "executionInstructions" );
    cancelRejectReason = txn.getNextLongFromGMJO( "cancelRejectReason" );
    cancelRejectReasonText = txn.getNextNlsCharFromGMJO( 50, "cancelRejectReasonText" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );
    pageWriter.println( prefix + "reqPasswordID = " + getReqPasswordID() );
    pageWriter.println( prefix + "reqSecurityID = " + getReqSecurityID() );
    pageWriter.println( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
    pageWriter.println( prefix + "reqSecurityEncryptionType = " + getReqSecurityEncryptionType() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqIssuer = " + getReqIssuer() );
    pageWriter.println( prefix + "reqSecurityDesc = " + getReqSecurityDesc() );
    pageWriter.println( prefix + "reqScrtyDescAlt = " + getReqScrtyDescAlt() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );
    pageWriter.println( prefix + "reqSecurityType = " + getReqSecurityType() );
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqSettlementAccount =" );
    if( reqSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqExpireDate =" );
    if( reqExpireDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqExpireDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPutOrCall = " + getReqPutOrCall() );

    pageWriter.println( prefix + "reqStrikePrice =" );
    if( reqStrikePrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStrikePrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSide = " + getReqSide() );

    pageWriter.println( prefix + "reqOrderQuantity =" );
    if( reqOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCashOrderQuantity =" );
    if( reqCashOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCashOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqExecutionInstructions = " + getReqExecutionInstructions() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "securityType = " + getSecurityType() );
    try {
      pageWriter.println( prefix + "securityType_text = " + getSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderID = " + getOrderID() );
    pageWriter.println( prefix + "orderReferenceID = " + getOrderReferenceID() );

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderStatus = " + getOrderStatus() );
    try {
      pageWriter.println( prefix + "orderStatus_text = " + getOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "executionInstructions = " + getExecutionInstructions() );
    pageWriter.println( prefix + "cancelRejectReason = " + getCancelRejectReason() );
    try {
      pageWriter.println( prefix + "cancelRejectReason_text = " + getCancelRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "cancelRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "cancelRejectReasonText = " + getCancelRejectReasonText() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqPasswordID = getBinaryFromURL( req, prefix + "reqPasswordID" );
    reqSecurityID = getBinaryFromURL( req, prefix + "reqSecurityID" );
    reqPasswordEncryptionType = getCharFromURL( req, prefix + "reqPasswordEncryptionType" );
    reqSecurityEncryptionType = getCharFromURL( req, prefix + "reqSecurityEncryptionType" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqIssuer = getCharFromURL( req, prefix + "reqIssuer" );
    reqSecurityDesc = getCharFromURL( req, prefix + "reqSecurityDesc" );
    reqScrtyDescAlt = getBinaryFromURL( req, prefix + "reqScrtyDescAlt" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqSecurityType = getLongFromURL( req, prefix + "reqSecurityType" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentOrderCancel" );
    reqSettlementAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSettlementAccount", "GtInvestmentOrderCancel" );
    reqExpireDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqExpireDate", "GtInvestmentOrderCancel" );
    reqPutOrCall = getLongFromURL( req, prefix + "reqPutOrCall" );
    reqStrikePrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqStrikePrice", "GtInvestmentOrderCancel" );
    reqSide = getLongFromURL( req, prefix + "reqSide" );
    reqOrderQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderQuantity", "GtInvestmentOrderCancel" );
    reqCashOrderQuantity = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCashOrderQuantity", "GtInvestmentOrderCancel" );
    reqExecutionInstructions = getCharFromURL( req, prefix + "reqExecutionInstructions" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
