//**********************************************
//
// FILE NAME: GtInvestmentOrderFixedIncome.java
// TRANSACTION NAME: Investment Order - Fixed Income Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Order - Fixed Income Transaction</B>
 * <P>IFS ID: <B>invordfi</B>
 * <P>
 * This transaction is used to initiate a trade for a fixed income
 * investment. Fixed income investments are primarily bonds.
 * <BR>
 * <P><B>INV_ORD_FX_INC_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ORD_FIX_INC_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ORD_FIX_INC_OMSG</B>
 */
public class GtInvestmentOrderFixedIncome extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentOrderFixedIncome() { }
  public GtInvestmentOrderFixedIncome( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "invordfi_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageNm</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageNm( String o ) { reqBrokerageNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageNm() { return (reqBrokerageNm); }

  /**
   * <P>The attribute <code>reqLstNm</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqLstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqLstNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqLstNm( String o ) { reqLstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLstNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqLstNm() { return (reqLstNm); }

  /**
   * <P>The attribute <code>reqFrstNm</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqFrstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqFrstNm( String o ) { reqFrstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqFrstNm() { return (reqFrstNm); }

  /**
   * <P>The attribute <code>reqMdlNm</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqMdlNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqMdlNm( String o ) { reqMdlNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqMdlNm() { return (reqMdlNm); }

  /**
   * <P>The attribute <code>reqBrokOffID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokOffID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokOffID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokOffID( String o ) { reqBrokOffID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokOffID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokOffID() { return (reqBrokOffID); }

  /**
   * <P>The attribute <code>reqCnsmrInvCat</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqCnsmrInvCat = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqCnsmrInvCat( int o ) { reqCnsmrInvCat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqCnsmrInvCat() { return (reqCnsmrInvCat); }

  /**
   * <P>The attribute <code>reqBrokEmAddr</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokEmAddr = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokEmAddr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokEmAddr( String o ) { reqBrokEmAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokEmAddr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokEmAddr() { return (reqBrokEmAddr); }

  /**
   * <P>The attribute <code>reqPswdId</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPswdId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPswdId( byte[] o ) { reqPswdId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPswdId() { return (reqPswdId); }

  /**
   * <P>The attribute <code>reqScrtyId</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  private byte[] reqScrtyId = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyId</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  void   setReqScrtyId( byte[] o ) { reqScrtyId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyId</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  byte[] getReqScrtyId() { return (reqScrtyId); }

  /**
   * <P>The attribute <code>reqPswdEncryptTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPswdEncryptTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPswdEncryptTpCl( String o ) { reqPswdEncryptTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPswdEncryptTpCl() { return (reqPswdEncryptTpCl); }

  /**
   * <P>The attribute <code>reqScrtyEncryptTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  private String reqScrtyEncryptTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  void   setReqScrtyEncryptTpCl( String o ) { reqScrtyEncryptTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  String getReqScrtyEncryptTpCl() { return (reqScrtyEncryptTpCl); }

  /**
   * <P>The attribute <code>reqScrtySym</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqScrtySym( String o ) { reqScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqScrtySym() { return (reqScrtySym); }

  /**
   * <P>The attribute <code>reqSymSfx</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymSfx( String o ) { reqSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymSfx() { return (reqSymSfx); }

  /**
   * <P>The attribute <code>reqSecID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqSecID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqSecID( String o ) { reqSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqSecID() { return (reqSecID); }

  /**
   * <P>The attribute <code>reqScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqScrtyIDSrc( int o ) { reqScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqScrtyIDSrc() { return (reqScrtyIDSrc); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqScrtyDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqScrtyDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqScrtyDesc( String o ) { reqScrtyDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqScrtyDesc() { return (reqScrtyDesc); }

  /**
   * <P>The attribute <code>reqScrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] reqScrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setReqScrtyDescAlt( byte[] o ) { reqScrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getReqScrtyDescAlt() { return (reqScrtyDescAlt); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String reqIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setReqIssuer( String o ) { reqIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getReqIssuer() { return (reqIssuer); }

  /**
   * <P>The attribute <code>reqScrtyTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqScrtyTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqScrtyTpCl( int o ) { reqScrtyTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqScrtyTpCl() { return (reqScrtyTpCl); }

  /**
   * <P>The attribute <code>reqAcctIdDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.AcctIdDtlTg</code>.
   * <BR>
   */
  private GsAccount reqAcctIdDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcctIdDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.AcctIdDtlTg</code>.
   * <BR>
   */
  public  void      setReqAcctIdDtl(GsAccount o )  { reqAcctIdDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcctIdDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.AcctIdDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqAcctIdDtl() { return (reqAcctIdDtl); }

  /**
   * <P>The attribute <code>reqInvSetlAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqInvSetlAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqInvSetlAcct(GsAccount o )  { reqInvSetlAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqInvSetlAcct() { return (reqInvSetlAcct); }

  /**
   * <P>The attribute <code>reqDtInvOrdOpn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate reqDtInvOrdOpn = null;

  /**
   * <P>Sets the value of the attribute <code>reqDtInvOrdOpn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setReqDtInvOrdOpn(GsDate o )  { reqDtInvOrdOpn = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDtInvOrdOpn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getReqDtInvOrdOpn() { return (reqDtInvOrdOpn); }

  /**
   * <P>The attribute <code>reqTxnSrceVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String reqTxnSrceVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnSrceVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setReqTxnSrceVal( String o ) { reqTxnSrceVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnSrceVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getReqTxnSrceVal() { return (reqTxnSrceVal); }

  /**
   * <P>The attribute <code>reqMrecPr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  private GsCurrency reqMrecPr = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrecPr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  public  void       setReqMrecPr(GsCurrency o )  { reqMrecPr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrecPr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  public  GsCurrency getReqMrecPr() { return (reqMrecPr); }

  /**
   * <P>The attribute <code>reqTmInForCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  private int  reqTmInForCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTmInForCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  void setReqTmInForCl( int o ) { reqTmInForCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmInForCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  int  getReqTmInForCl() { return (reqTmInForCl); }

  /**
   * <P>The attribute <code>reqOrdQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal reqOrdQty = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrdQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setReqOrdQty(GsDecimal o )  { reqOrdQty = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrdQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getReqOrdQty() { return (reqOrdQty); }

  /**
   * <P>The attribute <code>reqCOrdQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsCurrency reqCOrdQty = null;

  /**
   * <P>Sets the value of the attribute <code>reqCOrdQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void       setReqCOrdQty(GsCurrency o )  { reqCOrdQty = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCOrdQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsCurrency getReqCOrdQty() { return (reqCOrdQty); }

  /**
   * <P>The attribute <code>reqSideCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  reqSideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setReqSideCl( int o ) { reqSideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getReqSideCl() { return (reqSideCl); }

  /**
   * <P>The attribute <code>reqExcInstr</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String reqExcInstr = null;

  /**
   * <P>Sets the value of the attribute <code>reqExcInstr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setReqExcInstr( String o ) { reqExcInstr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExcInstr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getReqExcInstr() { return (reqExcInstr); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>securityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  securityType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setSecurityType( int o ) { securityType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getSecurityType() { return (securityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyTpClTg</code>.
   */
  public  String getSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getSecurityType() ) );
  }

  /**
   * <P>The attribute <code>orderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String orderID = null;

  /**
   * <P>Sets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setOrderID( String o ) { orderID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getOrderID() { return (orderID); }

  /**
   * <P>The attribute <code>orderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  orderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setOrderStatus( int o ) { orderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getOrderStatus() { return (orderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdStatClTg</code>.
   */
  public  String getOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>orderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String orderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setOrderReferenceID( String o ) { orderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getOrderReferenceID() { return (orderReferenceID); }

  /**
   * <P>The attribute <code>orderReplyStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  private int  orderReplyStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  void setOrderReplyStatus( int o ) { orderReplyStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  int  getOrderReplyStatus() { return (orderReplyStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvOrdRepStTg</code>.
   */
  public  String getOrderReplyStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getOrderReplyStatus() ) );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>orderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate orderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setOrderOpenDate(GsDate o )  { orderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getOrderOpenDate() { return (orderOpenDate); }

  /**
   * <P>The attribute <code>transactionSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String transactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setTransactionSource( String o ) { transactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getTransactionSource() { return (transactionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TxnSrceValTg</code>.
   */
  public  String getTransactionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getTransactionSource() );
  }

  /**
   * <P>The attribute <code>symbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String symbol = null;

  /**
   * <P>Sets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setSymbol( String o ) { symbol = o; }

  /**
   * <P>Gets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getSymbol() { return (symbol); }

  /**
   * <P>The attribute <code>symbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String symbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setSymbolSuffix( String o ) { symbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getSymbolSuffix() { return (symbolSuffix); }

  /**
   * <P>The attribute <code>consumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String consumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setConsumerSecurityID( String o ) { consumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getConsumerSecurityID() { return (consumerSecurityID); }

  /**
   * <P>The attribute <code>securityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  securityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setSecurityIDSource( int o ) { securityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getSecurityIDSource() { return (securityIDSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getSecurityIDSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getSecurityIDSource() ) );
  }

  /**
   * <P>The attribute <code>mrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String mrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setMrktCode( String o ) { mrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getMrktCode() { return (mrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMrktCode() );
  }

  /**
   * <P>The attribute <code>securityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String securityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setSecurityDesc( String o ) { securityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getSecurityDesc() { return (securityDesc); }

  /**
   * <P>The attribute <code>securityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] securityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setSecurityDescAlternate( byte[] o ) { securityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getSecurityDescAlternate() { return (securityDescAlternate); }

  /**
   * <P>The attribute <code>scrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String scrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setScrtyDescNLS( String o ) { scrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getScrtyDescNLS() { return (scrtyDescNLS); }

  /**
   * <P>The attribute <code>orderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  private int  orderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  void setOrderRejectReason( int o ) { orderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  int  getOrderRejectReason() { return (orderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdRejRsnClTg</code>.
   */
  public  String getOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>side</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  side = 0;

  /**
   * <P>Sets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setSide( int o ) { side = o; }

  /**
   * <P>Gets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getSide() { return (side); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.SideClTg</code>.
   */
  public  String getSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSide() ) );
  }

  /**
   * <P>The attribute <code>orderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal orderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setOrderQuantity(GsDecimal o )  { orderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getOrderQuantity() { return (orderQuantity); }

  /**
   * <P>The attribute <code>orderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  orderType = 0;

  /**
   * <P>Sets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setOrderType( int o ) { orderType = o; }

  /**
   * <P>Gets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getOrderType() { return (orderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdTpClTg</code>.
   */
  public  String getOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getOrderType() ) );
  }

  /**
   * <P>The attribute <code>unitPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  private GsCurrency unitPrice = null;

  /**
   * <P>Sets the value of the attribute <code>unitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  void       setUnitPrice(GsCurrency o )  { unitPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>unitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  GsCurrency getUnitPrice() { return (unitPrice); }

  /**
   * <P>The attribute <code>tradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate tradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setTradeDate(GsDate o )  { tradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getTradeDate() { return (tradeDate); }

  /**
   * <P>The attribute <code>timestamp</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private String timestamp = null;

  /**
   * <P>Sets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void   setTimestamp( String o ) { timestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>timestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  String getTimestamp() { return (timestamp); }

  /**
   * <P>The attribute <code>gMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private int  gMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void setGMTOffsetMinutes( int o ) { gMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  int  getGMTOffsetMinutes() { return (gMTOffsetMinutes); }

  /**
   * <P>The attribute <code>feeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] feeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setFeeDtl(GsFeeDtl[] o )  { feeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDtl() { return (feeDtl); }

  /**
   * <P>The attribute <code>executionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String executionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setExecutionInstructions( String o ) { executionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getExecutionInstructions() { return (executionInstructions); }

  /**
   * <P>The attribute <code>ordChngAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  private int  ordChngAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  void setOrdChngAlwdCl( int o ) { ordChngAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  int  getOrdChngAlwdCl() { return (ordChngAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getOrdChngAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getOrdChngAlwdCl() ) );
  }

  /**
   * <P>The attribute <code>ordCanAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  private int  ordCanAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  void setOrdCanAlwdCl( int o ) { ordCanAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  int  getOrdCanAlwdCl() { return (ordCanAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getOrdCanAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getOrdCanAlwdCl() ) );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentOrderFixedIncome );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageNm != null && reqBrokerageNm.length() > 35 )
      addArgToGMJI( reqBrokerageNm.substring(0,35));
    else
      addArgToGMJI( reqBrokerageNm ); 

    if( reqLstNm != null && reqLstNm.length() > 30 )
      addArgToGMJI( reqLstNm.substring(0,30));
    else
      addArgToGMJI( reqLstNm ); 

    if( reqFrstNm != null && reqFrstNm.length() > 30 )
      addArgToGMJI( reqFrstNm.substring(0,30));
    else
      addArgToGMJI( reqFrstNm ); 

    if( reqMdlNm != null && reqMdlNm.length() > 30 )
      addArgToGMJI( reqMdlNm.substring(0,30));
    else
      addArgToGMJI( reqMdlNm ); 

    if( reqBrokOffID != null && reqBrokOffID.length() > 10 )
      addArgToGMJI( reqBrokOffID.substring(0,10));
    else
      addArgToGMJI( reqBrokOffID ); 
    addArgToGMJI( reqCnsmrInvCat ); 

    if( reqBrokEmAddr != null && reqBrokEmAddr.length() > 128 )
      addArgToGMJI( reqBrokEmAddr.substring(0,128));
    else
      addArgToGMJI( reqBrokEmAddr ); 
    addArgToGMJI( reqPswdId ); 
    addArgToGMJI( reqScrtyId ); 

    if( reqPswdEncryptTpCl != null && reqPswdEncryptTpCl.length() > 1 )
      addArgToGMJI( reqPswdEncryptTpCl.substring(0,1));
    else
      addArgToGMJI( reqPswdEncryptTpCl ); 

    if( reqScrtyEncryptTpCl != null && reqScrtyEncryptTpCl.length() > 1 )
      addArgToGMJI( reqScrtyEncryptTpCl.substring(0,1));
    else
      addArgToGMJI( reqScrtyEncryptTpCl ); 

    if( reqScrtySym != null && reqScrtySym.length() > 12 )
      addArgToGMJI( reqScrtySym.substring(0,12));
    else
      addArgToGMJI( reqScrtySym ); 

    if( reqSymSfx != null && reqSymSfx.length() > 6 )
      addArgToGMJI( reqSymSfx.substring(0,6));
    else
      addArgToGMJI( reqSymSfx ); 

    if( reqSecID != null && reqSecID.length() > 12 )
      addArgToGMJI( reqSecID.substring(0,12));
    else
      addArgToGMJI( reqSecID ); 
    addArgToGMJI( reqScrtyIDSrc ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 

    if( reqScrtyDesc != null && reqScrtyDesc.length() > 50 )
      addArgToGMJI( reqScrtyDesc.substring(0,50));
    else
      addArgToGMJI( reqScrtyDesc ); 
    addArgToGMJI( reqScrtyDescAlt ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 

    if( reqIssuer != null && reqIssuer.length() > 50 )
      addArgToGMJI( reqIssuer.substring(0,50));
    else
      addArgToGMJI( reqIssuer ); 
    addArgToGMJI( reqScrtyTpCl ); 
    GsAccount.addPropertiesToGMJI( reqAcctIdDtl, this );
    GsAccount.addPropertiesToGMJI( reqInvSetlAcct, this );
    GsDate.addPropertiesToGMJI( reqDtInvOrdOpn, this );

    if( reqTxnSrceVal != null && reqTxnSrceVal.length() > 1 )
      addArgToGMJI( reqTxnSrceVal.substring(0,1));
    else
      addArgToGMJI( reqTxnSrceVal ); 
    GsCurrency.addPropertiesToGMJI( reqMrecPr, this );
    addArgToGMJI( reqTmInForCl ); 
    GsDecimal.addPropertiesToGMJI( reqOrdQty, this );
    GsCurrency.addPropertiesToGMJI( reqCOrdQty, this );
    addArgToGMJI( reqSideCl ); 
    addArgToGMJI( reqExcInstr ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    securityType = txn.getNextLongFromGMJO( "securityType" );
    orderID = txn.getNextCharFromGMJO( 16, "orderID" );
    orderStatus = txn.getNextLongFromGMJO( "orderStatus" );
    orderReferenceID = txn.getNextCharFromGMJO( 16, "orderReferenceID" );
    orderReplyStatus = txn.getNextLongFromGMJO( "orderReplyStatus" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    orderOpenDate = new GsDate( txn, "orderOpenDate" );
    transactionSource = txn.getNextCharFromGMJO( 1, "transactionSource" );
    symbol = txn.getNextCharFromGMJO( 12, "symbol" );
    symbolSuffix = txn.getNextCharFromGMJO( 6, "symbolSuffix" );
    consumerSecurityID = txn.getNextCharFromGMJO( 12, "consumerSecurityID" );
    securityIDSource = txn.getNextLongFromGMJO( "securityIDSource" );
    mrktCode = txn.getNextCharFromGMJO( 3, "mrktCode" );
    securityDesc = txn.getNextNlsCharFromGMJO( 50, "securityDesc" );
    securityDescAlternate = txn.getNextBinaryItemFromGMJO( "securityDescAlternate" );
    scrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "scrtyDescNLS" );
    orderRejectReason = txn.getNextLongFromGMJO( "orderRejectReason" );
    side = txn.getNextLongFromGMJO( "side" );
    orderQuantity = new GsDecimal( txn, "orderQuantity" );
    orderType = txn.getNextLongFromGMJO( "orderType" );
    unitPrice = new GsCurrency( txn, "unitPrice" );
    tradeDate = new GsDate( txn, "tradeDate" );
    timestamp = txn.getNextCharFromGMJO( 26, "timestamp" );
    gMTOffsetMinutes = txn.getNextLongFromGMJO( "gMTOffsetMinutes" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDtl[ i ] = new GsFeeDtl( txn );
    }
    executionInstructions = txn.getNextVarCharFromGMJO( "executionInstructions" );
    ordChngAlwdCl = txn.getNextLongFromGMJO( "ordChngAlwdCl" );
    ordCanAlwdCl = txn.getNextLongFromGMJO( "ordCanAlwdCl" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageNm = " + getReqBrokerageNm() );
    pageWriter.println( prefix + "reqLstNm = " + getReqLstNm() );
    pageWriter.println( prefix + "reqFrstNm = " + getReqFrstNm() );
    pageWriter.println( prefix + "reqMdlNm = " + getReqMdlNm() );
    pageWriter.println( prefix + "reqBrokOffID = " + getReqBrokOffID() );
    pageWriter.println( prefix + "reqCnsmrInvCat = " + getReqCnsmrInvCat() );
    pageWriter.println( prefix + "reqBrokEmAddr = " + getReqBrokEmAddr() );
    pageWriter.println( prefix + "reqPswdId = " + getReqPswdId() );
    pageWriter.println( prefix + "reqScrtyId = " + getReqScrtyId() );
    pageWriter.println( prefix + "reqPswdEncryptTpCl = " + getReqPswdEncryptTpCl() );
    pageWriter.println( prefix + "reqScrtyEncryptTpCl = " + getReqScrtyEncryptTpCl() );
    pageWriter.println( prefix + "reqScrtySym = " + getReqScrtySym() );
    pageWriter.println( prefix + "reqSymSfx = " + getReqSymSfx() );
    pageWriter.println( prefix + "reqSecID = " + getReqSecID() );
    pageWriter.println( prefix + "reqScrtyIDSrc = " + getReqScrtyIDSrc() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqScrtyDesc = " + getReqScrtyDesc() );
    pageWriter.println( prefix + "reqScrtyDescAlt = " + getReqScrtyDescAlt() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );
    pageWriter.println( prefix + "reqIssuer = " + getReqIssuer() );
    pageWriter.println( prefix + "reqScrtyTpCl = " + getReqScrtyTpCl() );

    pageWriter.println( prefix + "reqAcctIdDtl =" );
    if( reqAcctIdDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAcctIdDtl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvSetlAcct =" );
    if( reqInvSetlAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvSetlAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqDtInvOrdOpn =" );
    if( reqDtInvOrdOpn == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDtInvOrdOpn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTxnSrceVal = " + getReqTxnSrceVal() );

    pageWriter.println( prefix + "reqMrecPr =" );
    if( reqMrecPr == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMrecPr.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTmInForCl = " + getReqTmInForCl() );

    pageWriter.println( prefix + "reqOrdQty =" );
    if( reqOrdQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrdQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCOrdQty =" );
    if( reqCOrdQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCOrdQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSideCl = " + getReqSideCl() );
    pageWriter.println( prefix + "reqExcInstr = " + getReqExcInstr() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "securityType = " + getSecurityType() );
    try {
      pageWriter.println( prefix + "securityType_text = " + getSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderID = " + getOrderID() );
    pageWriter.println( prefix + "orderStatus = " + getOrderStatus() );
    try {
      pageWriter.println( prefix + "orderStatus_text = " + getOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderReferenceID = " + getOrderReferenceID() );
    pageWriter.println( prefix + "orderReplyStatus = " + getOrderReplyStatus() );
    try {
      pageWriter.println( prefix + "orderReplyStatus_text = " + getOrderReplyStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderReplyStatus_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "orderOpenDate =" );
    if( orderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transactionSource = " + getTransactionSource() );
    try {
      pageWriter.println( prefix + "transactionSource_text = " + getTransactionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transactionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "symbol = " + getSymbol() );
    pageWriter.println( prefix + "symbolSuffix = " + getSymbolSuffix() );
    pageWriter.println( prefix + "consumerSecurityID = " + getConsumerSecurityID() );
    pageWriter.println( prefix + "securityIDSource = " + getSecurityIDSource() );
    try {
      pageWriter.println( prefix + "securityIDSource_text = " + getSecurityIDSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityIDSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mrktCode = " + getMrktCode() );
    try {
      pageWriter.println( prefix + "mrktCode_text = " + getMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mrktCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityDesc = " + getSecurityDesc() );
    pageWriter.println( prefix + "securityDescAlternate = " + getSecurityDescAlternate() );
    pageWriter.println( prefix + "scrtyDescNLS = " + getScrtyDescNLS() );
    pageWriter.println( prefix + "orderRejectReason = " + getOrderRejectReason() );
    try {
      pageWriter.println( prefix + "orderRejectReason_text = " + getOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "side = " + getSide() );
    try {
      pageWriter.println( prefix + "side_text = " + getSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "side_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "orderQuantity =" );
    if( orderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderType = " + getOrderType() );
    try {
      pageWriter.println( prefix + "orderType_text = " + getOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "unitPrice =" );
    if( unitPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      unitPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "tradeDate =" );
    if( tradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      tradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "timestamp = " + getTimestamp() );
    pageWriter.println( prefix + "gMTOffsetMinutes = " + getGMTOffsetMinutes() );

    pageWriter.println( prefix + "feeDtl =" );
    if( feeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDtl.length; j++ )
      {
        pageWriter.println( prefix + "feeDtl[" + j + "] =" );
        if( feeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "executionInstructions = " + getExecutionInstructions() );
    pageWriter.println( prefix + "ordChngAlwdCl = " + getOrdChngAlwdCl() );
    try {
      pageWriter.println( prefix + "ordChngAlwdCl_text = " + getOrdChngAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordChngAlwdCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ordCanAlwdCl = " + getOrdCanAlwdCl() );
    try {
      pageWriter.println( prefix + "ordCanAlwdCl_text = " + getOrdCanAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordCanAlwdCl_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageNm = getCharFromURL( req, prefix + "reqBrokerageNm" );
    reqLstNm = getCharFromURL( req, prefix + "reqLstNm" );
    reqFrstNm = getCharFromURL( req, prefix + "reqFrstNm" );
    reqMdlNm = getCharFromURL( req, prefix + "reqMdlNm" );
    reqBrokOffID = getCharFromURL( req, prefix + "reqBrokOffID" );
    reqCnsmrInvCat = getLongFromURL( req, prefix + "reqCnsmrInvCat" );
    reqBrokEmAddr = getCharFromURL( req, prefix + "reqBrokEmAddr" );
    reqPswdId = getBinaryFromURL( req, prefix + "reqPswdId" );
    reqScrtyId = getBinaryFromURL( req, prefix + "reqScrtyId" );
    reqPswdEncryptTpCl = getCharFromURL( req, prefix + "reqPswdEncryptTpCl" );
    reqScrtyEncryptTpCl = getCharFromURL( req, prefix + "reqScrtyEncryptTpCl" );
    reqScrtySym = getCharFromURL( req, prefix + "reqScrtySym" );
    reqSymSfx = getCharFromURL( req, prefix + "reqSymSfx" );
    reqSecID = getCharFromURL( req, prefix + "reqSecID" );
    reqScrtyIDSrc = getLongFromURL( req, prefix + "reqScrtyIDSrc" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqScrtyDesc = getCharFromURL( req, prefix + "reqScrtyDesc" );
    reqScrtyDescAlt = getBinaryFromURL( req, prefix + "reqScrtyDescAlt" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqIssuer = getCharFromURL( req, prefix + "reqIssuer" );
    reqScrtyTpCl = getLongFromURL( req, prefix + "reqScrtyTpCl" );
    reqAcctIdDtl = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAcctIdDtl", "GtInvestmentOrderFixedIncome" );
    reqInvSetlAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqInvSetlAcct", "GtInvestmentOrderFixedIncome" );
    reqDtInvOrdOpn = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqDtInvOrdOpn", "GtInvestmentOrderFixedIncome" );
    reqTxnSrceVal = getCharFromURL( req, prefix + "reqTxnSrceVal" );
    reqMrecPr = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqMrecPr", "GtInvestmentOrderFixedIncome" );
    reqTmInForCl = getLongFromURL( req, prefix + "reqTmInForCl" );
    reqOrdQty = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOrdQty", "GtInvestmentOrderFixedIncome" );
    reqCOrdQty = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCOrdQty", "GtInvestmentOrderFixedIncome" );
    reqSideCl = getLongFromURL( req, prefix + "reqSideCl" );
    reqExcInstr = getCharFromURL( req, prefix + "reqExcInstr" );
  }
}
