//**********************************************
//
// FILE NAME: GtInvestmentOrderStatusInquiry.java
// TRANSACTION NAME: Investment Order Status Inquiry
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Order Status Inquiry</B>
 * <P>IFS ID: <B>iordinq</B>
 * <P>
 * The Order Status Inquiry transaction is sent to the back office which
 * uses the search fields to locate the order. The input Message may
 * contain one of three fields: Investment Order ID to request a specific
 * order, IFS Account ID to request all the orders open for an account, or
 * Investment Securities ID with IFS Account ID to return the open orders
 * for a particular security within a specified IFS Account ID. The
 * response to the input message has the same content as the appropriate
 * Investment Order Output Message.
 * <BR>
 * <P><B>INV_ORD_STAT_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ORD_STAT_INQ_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ORD_STAT_INQ_OMSG</B>
 */
public class GtInvestmentOrderStatusInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentOrderStatusInquiry() { }
  public GtInvestmentOrderStatusInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "iordinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdInqReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqSecurityType( int o ) { reqSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqSecurityType() { return (reqSecurityType); }

  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>invTrnCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdInqRespTg.InvTrnClTg</code>.
   * <P>
   * A code indicating the class of investment transaction.
   */
  private int  invTrnCl = 0;

  /**
   * <P>Sets the value of the attribute <code>invTrnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqRespTg.InvTrnClTg</code>.
   * <P>
   * A code indicating the class of investment transaction.
   */
  public  void setInvTrnCl( int o ) { invTrnCl = o; }

  /**
   * <P>Gets the value of the attribute <code>invTrnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqRespTg.InvTrnClTg</code>.
   * <P>
   * A code indicating the class of investment transaction.
   */
  public  int  getInvTrnCl() { return (invTrnCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invTrnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdInqRespTg.InvTrnClTg</code>.
   */
  public  String getInvTrnCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvTrnClResources", locale,
                       String.valueOf( getInvTrnCl() ) );
  }

  /**
   * <P>The attribute <code>stockOrder</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdSRespTg</code>.
   * <BR>
   */
  private GsInvOrdStoResp[] stockOrder = null;

  /**
   * <P>Sets the value of the attribute <code>stockOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdSRespTg</code>.
   * <BR>
   */
  public  void              setStockOrder(GsInvOrdStoResp[] o )  { stockOrder = o; }

  /**
   * <P>Gets the value of the attribute <code>stockOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdSRespTg</code>.
   * <BR>
   */
  public  GsInvOrdStoResp[] getStockOrder() { return (stockOrder); }

  /**
   * <P>The attribute <code>mutualFundOrder</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdMFRespTg</code>.
   * <BR>
   */
  private GsInvOrdMfutResp[] mutualFundOrder = null;

  /**
   * <P>Sets the value of the attribute <code>mutualFundOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdMFRespTg</code>.
   * <BR>
   */
  public  void               setMutualFundOrder(GsInvOrdMfutResp[] o )  { mutualFundOrder = o; }

  /**
   * <P>Gets the value of the attribute <code>mutualFundOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdMFRespTg</code>.
   * <BR>
   */
  public  GsInvOrdMfutResp[] getMutualFundOrder() { return (mutualFundOrder); }

  /**
   * <P>The attribute <code>fixedIncomeOrder</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdFIRespTg</code>.
   * <BR>
   */
  private GsInvOrdFiResp[] fixedIncomeOrder = null;

  /**
   * <P>Sets the value of the attribute <code>fixedIncomeOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdFIRespTg</code>.
   * <BR>
   */
  public  void             setFixedIncomeOrder(GsInvOrdFiResp[] o )  { fixedIncomeOrder = o; }

  /**
   * <P>Gets the value of the attribute <code>fixedIncomeOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdFIRespTg</code>.
   * <BR>
   */
  public  GsInvOrdFiResp[] getFixedIncomeOrder() { return (fixedIncomeOrder); }

  /**
   * <P>The attribute <code>optionsOrder</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdOptRespTg</code>.
   * <BR>
   */
  private GsInvOrdOptResp[] optionsOrder = null;

  /**
   * <P>Sets the value of the attribute <code>optionsOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdOptRespTg</code>.
   * <BR>
   */
  public  void              setOptionsOrder(GsInvOrdOptResp[] o )  { optionsOrder = o; }

  /**
   * <P>Gets the value of the attribute <code>optionsOrder</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdInqRespTg.InvOrdOptRespTg</code>.
   * <BR>
   */
  public  GsInvOrdOptResp[] getOptionsOrder() { return (optionsOrder); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentOrderStatusInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 
    addArgToGMJI( reqSecurityType ); 
    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    invTrnCl = txn.getNextLongFromGMJO( "invTrnCl" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    stockOrder = new GsInvOrdStoResp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      stockOrder[ i ] = new GsInvOrdStoResp( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    mutualFundOrder = new GsInvOrdMfutResp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      mutualFundOrder[ i ] = new GsInvOrdMfutResp( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fixedIncomeOrder = new GsInvOrdFiResp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fixedIncomeOrder[ i ] = new GsInvOrdFiResp( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    optionsOrder = new GsInvOrdOptResp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      optionsOrder[ i ] = new GsInvOrdOptResp( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqSecurityType = " + getReqSecurityType() );
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "invTrnCl = " + getInvTrnCl() );
    try {
      pageWriter.println( prefix + "invTrnCl_text = " + getInvTrnCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invTrnCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "stockOrder =" );
    if( stockOrder == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < stockOrder.length; j++ )
      {
        pageWriter.println( prefix + "stockOrder[" + j + "] =" );
        if( stockOrder[ j ] == null )
          pageWriter.println( " (null)" );
        else
          stockOrder[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "mutualFundOrder =" );
    if( mutualFundOrder == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < mutualFundOrder.length; j++ )
      {
        pageWriter.println( prefix + "mutualFundOrder[" + j + "] =" );
        if( mutualFundOrder[ j ] == null )
          pageWriter.println( " (null)" );
        else
          mutualFundOrder[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fixedIncomeOrder =" );
    if( fixedIncomeOrder == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fixedIncomeOrder.length; j++ )
      {
        pageWriter.println( prefix + "fixedIncomeOrder[" + j + "] =" );
        if( fixedIncomeOrder[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fixedIncomeOrder[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "optionsOrder =" );
    if( optionsOrder == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < optionsOrder.length; j++ )
      {
        pageWriter.println( prefix + "optionsOrder[" + j + "] =" );
        if( optionsOrder[ j ] == null )
          pageWriter.println( " (null)" );
        else
          optionsOrder[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentOrderStatusInquiry" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqSecurityType = getLongFromURL( req, prefix + "reqSecurityType" );
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
