//**********************************************
//
// FILE NAME: GtInvestmentOrderStock.java
// TRANSACTION NAME: Investment Order - Stock   Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Order - Stock   Transaction</B>
 * <P>IFS ID: <B>invords</B>
 * <P>
 * This transaction is used to buy or sell stocks. It is processed by the
 * Investment Service Provider who validates the order information,
 * records it by assigning it an Investment Order ID, and sends it onto an
 * exchange for execution. The input message contains codes, quantities,
 * and prices that define the order. The output message can be used by the
 * service provider to tell the user the order is received and awaiting
 * execution or can be used to record the immediate execution of the
 * order. How the ouput message is used affects the content of the
 * message. For example, if the order is not executed then there is no
 * Filled Order Quantity, Price or Fees data present. Before creating an
 * Investment Order - Stock transaction, the web page must assist the user
 * in identifying the investment account, the description of the security,
 * its recent price, and ensure that the consumer qualifies to make the
 * order.
 * <BR>
 * <P><B>INV_ORD_STOCK_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ORD_STOCK_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ORD_STOCK_OMSG</B>
 */
public class GtInvestmentOrderStock extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentOrderStock() { }
  public GtInvestmentOrderStock( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "invords_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqPasswordID</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPasswordID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPasswordID( byte[] o ) { reqPasswordID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPasswordID() { return (reqPasswordID); }

  /**
   * <P>The attribute <code>reqSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  private byte[] reqSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  void   setReqSecurityID( byte[] o ) { reqSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  byte[] getReqSecurityID() { return (reqSecurityID); }

  /**
   * <P>The attribute <code>reqPasswordEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPasswordEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPasswordEncryptionType( String o ) { reqPasswordEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPasswordEncryptionType() { return (reqPasswordEncryptionType); }

  /**
   * <P>The attribute <code>reqSecurityEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  private String reqSecurityEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  void   setReqSecurityEncryptionType( String o ) { reqSecurityEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  String getReqSecurityEncryptionType() { return (reqSecurityEncryptionType); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqSecurityType( int o ) { reqSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqSecurityType() { return (reqSecurityType); }

  /**
   * <P>The attribute <code>reqSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqSecurityDesc( String o ) { reqSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqSecurityDesc() { return (reqSecurityDesc); }

  /**
   * <P>The attribute <code>reqScrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] reqScrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setReqScrtyDescAlt( byte[] o ) { reqScrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getReqScrtyDescAlt() { return (reqScrtyDescAlt); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String reqIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setReqIssuer( String o ) { reqIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getReqIssuer() { return (reqIssuer); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqSettlementAccount(GsAccount o )  { reqSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqSettlementAccount() { return (reqSettlementAccount); }

  /**
   * <P>The attribute <code>reqSecurityRegistration</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  private int  reqSecurityRegistration = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  void setReqSecurityRegistration( int o ) { reqSecurityRegistration = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  int  getReqSecurityRegistration() { return (reqSecurityRegistration); }

  /**
   * <P>The attribute <code>reqSettlementType</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  reqSettlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setReqSettlementType( int o ) { reqSettlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getReqSettlementType() { return (reqSettlementType); }

  /**
   * <P>The attribute <code>reqFutureSettlementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate reqFutureSettlementDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setReqFutureSettlementDate(GsDate o )  { reqFutureSettlementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getReqFutureSettlementDate() { return (reqFutureSettlementDate); }

  /**
   * <P>The attribute <code>reqOrderType</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  reqOrderType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setReqOrderType( int o ) { reqOrderType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getReqOrderType() { return (reqOrderType); }

  /**
   * <P>The attribute <code>reqOrderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate reqOrderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setReqOrderOpenDate(GsDate o )  { reqOrderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getReqOrderOpenDate() { return (reqOrderOpenDate); }

  /**
   * <P>The attribute <code>reqTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String reqTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setReqTransactionSource( String o ) { reqTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getReqTransactionSource() { return (reqTransactionSource); }

  /**
   * <P>The attribute <code>reqMostRecentPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  private GsCurrency reqMostRecentPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqMostRecentPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  public  void       setReqMostRecentPrice(GsCurrency o )  { reqMostRecentPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMostRecentPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MrecPrTg</code>.
   * <P>
   * Last closing Price of security.
   * <BR>
   */
  public  GsCurrency getReqMostRecentPrice() { return (reqMostRecentPrice); }

  /**
   * <P>The attribute <code>reqTimeInForce</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  private int  reqTimeInForce = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  void setReqTimeInForce( int o ) { reqTimeInForce = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  int  getReqTimeInForce() { return (reqTimeInForce); }

  /**
   * <P>The attribute <code>reqTimestamp</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private String reqTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void   setReqTimestamp( String o ) { reqTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  String getReqTimestamp() { return (reqTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqStopPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  private GsCurrency reqStopPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  void       setReqStopPrice(GsCurrency o )  { reqStopPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  GsCurrency getReqStopPrice() { return (reqStopPrice); }

  /**
   * <P>The attribute <code>reqLimitPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  private GsCurrency reqLimitPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqLimitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  public  void       setReqLimitPrice(GsCurrency o )  { reqLimitPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLimitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  public  GsCurrency getReqLimitPrice() { return (reqLimitPrice); }

  /**
   * <P>The attribute <code>reqMinimumQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  private GsDecimal reqMinimumQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqMinimumQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  public  void      setReqMinimumQuantity(GsDecimal o )  { reqMinimumQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMinimumQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  public  GsDecimal getReqMinimumQuantity() { return (reqMinimumQuantity); }

  /**
   * <P>The attribute <code>reqOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal reqOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setReqOrderQuantity(GsDecimal o )  { reqOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getReqOrderQuantity() { return (reqOrderQuantity); }

  /**
   * <P>The attribute <code>reqCashOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvordsReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsCurrency reqCashOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void       setReqCashOrderQuantity(GsCurrency o )  { reqCashOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvordsReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsCurrency getReqCashOrderQuantity() { return (reqCashOrderQuantity); }

  /**
   * <P>The attribute <code>reqSide</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  reqSide = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setReqSide( int o ) { reqSide = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getReqSide() { return (reqSide); }

  /**
   * <P>The attribute <code>reqExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvordsReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String reqExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setReqExecutionInstructions( String o ) { reqExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvordsReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getReqExecutionInstructions() { return (reqExecutionInstructions); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>securityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  securityType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setSecurityType( int o ) { securityType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getSecurityType() { return (securityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyTpClTg</code>.
   */
  public  String getSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getSecurityType() ) );
  }

  /**
   * <P>The attribute <code>orderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String orderID = null;

  /**
   * <P>Sets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setOrderID( String o ) { orderID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getOrderID() { return (orderID); }

  /**
   * <P>The attribute <code>orderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  orderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setOrderStatus( int o ) { orderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getOrderStatus() { return (orderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdStatClTg</code>.
   */
  public  String getOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>orderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String orderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setOrderReferenceID( String o ) { orderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getOrderReferenceID() { return (orderReferenceID); }

  /**
   * <P>The attribute <code>orderReplyStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  private int  orderReplyStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  void setOrderReplyStatus( int o ) { orderReplyStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  int  getOrderReplyStatus() { return (orderReplyStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvOrdRepStTg</code>.
   */
  public  String getOrderReplyStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getOrderReplyStatus() ) );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>securityRegistration</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  private int  securityRegistration = 0;

  /**
   * <P>Sets the value of the attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  void setSecurityRegistration( int o ) { securityRegistration = o; }

  /**
   * <P>Gets the value of the attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  int  getSecurityRegistration() { return (securityRegistration); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyRegTg</code>.
   */
  public  String getSecurityRegistration_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyRegResources", locale,
                       String.valueOf( getSecurityRegistration() ) );
  }

  /**
   * <P>The attribute <code>settlementAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  private GsCurrency settlementAmount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  void       setSettlementAmount(GsCurrency o )  { settlementAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  GsCurrency getSettlementAmount() { return (settlementAmount); }

  /**
   * <P>The attribute <code>cashHoldAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  private GsCurrency cashHoldAmount = null;

  /**
   * <P>Sets the value of the attribute <code>cashHoldAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  public  void       setCashHoldAmount(GsCurrency o )  { cashHoldAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>cashHoldAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  public  GsCurrency getCashHoldAmount() { return (cashHoldAmount); }

  /**
   * <P>The attribute <code>symbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String symbol = null;

  /**
   * <P>Sets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setSymbol( String o ) { symbol = o; }

  /**
   * <P>Gets the value of the attribute <code>symbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getSymbol() { return (symbol); }

  /**
   * <P>The attribute <code>symbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String symbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setSymbolSuffix( String o ) { symbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getSymbolSuffix() { return (symbolSuffix); }

  /**
   * <P>The attribute <code>consumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String consumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setConsumerSecurityID( String o ) { consumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getConsumerSecurityID() { return (consumerSecurityID); }

  /**
   * <P>The attribute <code>securityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  securityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setSecurityIDSource( int o ) { securityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getSecurityIDSource() { return (securityIDSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getSecurityIDSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getSecurityIDSource() ) );
  }

  /**
   * <P>The attribute <code>mrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String mrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setMrktCode( String o ) { mrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getMrktCode() { return (mrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMrktCode() );
  }

  /**
   * <P>The attribute <code>securityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String securityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setSecurityDesc( String o ) { securityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getSecurityDesc() { return (securityDesc); }

  /**
   * <P>The attribute <code>securityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] securityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setSecurityDescAlternate( byte[] o ) { securityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getSecurityDescAlternate() { return (securityDescAlternate); }

  /**
   * <P>The attribute <code>scrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String scrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setScrtyDescNLS( String o ) { scrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getScrtyDescNLS() { return (scrtyDescNLS); }

  /**
   * <P>The attribute <code>orderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate orderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setOrderOpenDate(GsDate o )  { orderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getOrderOpenDate() { return (orderOpenDate); }

  /**
   * <P>The attribute <code>transactionSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String transactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setTransactionSource( String o ) { transactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getTransactionSource() { return (transactionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TxnSrceValTg</code>.
   */
  public  String getTransactionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getTransactionSource() );
  }

  /**
   * <P>The attribute <code>issuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String issuer = null;

  /**
   * <P>Sets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setIssuer( String o ) { issuer = o; }

  /**
   * <P>Gets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getIssuer() { return (issuer); }

  /**
   * <P>The attribute <code>settlementType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  settlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setSettlementType( int o ) { settlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getSettlementType() { return (settlementType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SetlTpClTg</code>.
   */
  public  String getSettlementType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlTpClResources", locale,
                       String.valueOf( getSettlementType() ) );
  }

  /**
   * <P>The attribute <code>futureSettlementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate futureSettlementDate = null;

  /**
   * <P>Sets the value of the attribute <code>futureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setFutureSettlementDate(GsDate o )  { futureSettlementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>futureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getFutureSettlementDate() { return (futureSettlementDate); }

  /**
   * <P>The attribute <code>orderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  private int  orderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  void setOrderRejectReason( int o ) { orderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  int  getOrderRejectReason() { return (orderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdRejRsnClTg</code>.
   */
  public  String getOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>side</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  side = 0;

  /**
   * <P>Sets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setSide( int o ) { side = o; }

  /**
   * <P>Gets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getSide() { return (side); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.SideClTg</code>.
   */
  public  String getSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSide() ) );
  }

  /**
   * <P>The attribute <code>orderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal orderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setOrderQuantity(GsDecimal o )  { orderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getOrderQuantity() { return (orderQuantity); }

  /**
   * <P>The attribute <code>filledOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  private GsDecimal filledOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  void      setFilledOrderQuantity(GsDecimal o )  { filledOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  GsDecimal getFilledOrderQuantity() { return (filledOrderQuantity); }

  /**
   * <P>The attribute <code>orderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  orderType = 0;

  /**
   * <P>Sets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setOrderType( int o ) { orderType = o; }

  /**
   * <P>Gets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getOrderType() { return (orderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdTpClTg</code>.
   */
  public  String getOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getOrderType() ) );
  }

  /**
   * <P>The attribute <code>price</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  private GsCurrency price = null;

  /**
   * <P>Sets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  void       setPrice(GsCurrency o )  { price = o; }

  /**
   * <P>Gets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  GsCurrency getPrice() { return (price); }

  /**
   * <P>The attribute <code>stopPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * Stop Price entered in the order.
   * <BR>
   */
  private GsCurrency stopPrice = null;

  /**
   * <P>Sets the value of the attribute <code>stopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * Stop Price entered in the order.
   * <BR>
   */
  public  void       setStopPrice(GsCurrency o )  { stopPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>stopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * Stop Price entered in the order.
   * <BR>
   */
  public  GsCurrency getStopPrice() { return (stopPrice); }

  /**
   * <P>The attribute <code>timeInForce</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  private int  timeInForce = 0;

  /**
   * <P>Sets the value of the attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  void setTimeInForce( int o ) { timeInForce = o; }

  /**
   * <P>Gets the value of the attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  int  getTimeInForce() { return (timeInForce); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TmInForClTg</code>.
   */
  public  String getTimeInForce_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTmInForClResources", locale,
                       String.valueOf( getTimeInForce() ) );
  }

  /**
   * <P>The attribute <code>expireTimestamp</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private String expireTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>expireTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void   setExpireTimestamp( String o ) { expireTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>expireTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  String getExpireTimestamp() { return (expireTimestamp); }

  /**
   * <P>The attribute <code>expireGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private int  expireGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>expireGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void setExpireGMTOffsetMinutes( int o ) { expireGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>expireGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  int  getExpireGMTOffsetMinutes() { return (expireGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>tradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate tradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setTradeDate(GsDate o )  { tradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getTradeDate() { return (tradeDate); }

  /**
   * <P>The attribute <code>transactionTimestamp</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private String transactionTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>transactionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void   setTransactionTimestamp( String o ) { transactionTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  String getTransactionTimestamp() { return (transactionTimestamp); }

  /**
   * <P>The attribute <code>transactionGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private int  transactionGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>transactionGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void setTransactionGMTOffsetMinutes( int o ) { transactionGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  int  getTransactionGMTOffsetMinutes() { return (transactionGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>feeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] feeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setFeeDtl(GsFeeDtl[] o )  { feeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDtl() { return (feeDtl); }

  /**
   * <P>The attribute <code>executionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String executionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setExecutionInstructions( String o ) { executionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getExecutionInstructions() { return (executionInstructions); }

  /**
   * <P>The attribute <code>ordChngAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  private int  ordChngAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  void setOrdChngAlwdCl( int o ) { ordChngAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  int  getOrdChngAlwdCl() { return (ordChngAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getOrdChngAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getOrdChngAlwdCl() ) );
  }

  /**
   * <P>The attribute <code>ordCanAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  private int  ordCanAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  void setOrdCanAlwdCl( int o ) { ordCanAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  int  getOrdCanAlwdCl() { return (ordCanAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdSRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getOrdCanAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getOrdCanAlwdCl() ) );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentOrderStock );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 
    addArgToGMJI( reqPasswordID ); 
    addArgToGMJI( reqSecurityID ); 

    if( reqPasswordEncryptionType != null && reqPasswordEncryptionType.length() > 1 )
      addArgToGMJI( reqPasswordEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqPasswordEncryptionType ); 

    if( reqSecurityEncryptionType != null && reqSecurityEncryptionType.length() > 1 )
      addArgToGMJI( reqSecurityEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqSecurityEncryptionType ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 
    addArgToGMJI( reqSecurityType ); 

    if( reqSecurityDesc != null && reqSecurityDesc.length() > 50 )
      addArgToGMJI( reqSecurityDesc.substring(0,50));
    else
      addArgToGMJI( reqSecurityDesc ); 
    addArgToGMJI( reqScrtyDescAlt ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 

    if( reqIssuer != null && reqIssuer.length() > 50 )
      addArgToGMJI( reqIssuer.substring(0,50));
    else
      addArgToGMJI( reqIssuer ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsAccount.addPropertiesToGMJI( reqSettlementAccount, this );
    addArgToGMJI( reqSecurityRegistration ); 
    addArgToGMJI( reqSettlementType ); 
    GsDate.addPropertiesToGMJI( reqFutureSettlementDate, this );
    addArgToGMJI( reqOrderType ); 
    GsDate.addPropertiesToGMJI( reqOrderOpenDate, this );

    if( reqTransactionSource != null && reqTransactionSource.length() > 1 )
      addArgToGMJI( reqTransactionSource.substring(0,1));
    else
      addArgToGMJI( reqTransactionSource ); 
    GsCurrency.addPropertiesToGMJI( reqMostRecentPrice, this );
    addArgToGMJI( reqTimeInForce ); 

    if( reqTimestamp != null && reqTimestamp.length() > 26 )
      addArgToGMJI( reqTimestamp.substring(0,26));
    else
      addArgToGMJI( reqTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 
    GsCurrency.addPropertiesToGMJI( reqStopPrice, this );
    GsCurrency.addPropertiesToGMJI( reqLimitPrice, this );
    GsDecimal.addPropertiesToGMJI( reqMinimumQuantity, this );
    GsDecimal.addPropertiesToGMJI( reqOrderQuantity, this );
    GsCurrency.addPropertiesToGMJI( reqCashOrderQuantity, this );
    addArgToGMJI( reqSide ); 
    addArgToGMJI( reqExecutionInstructions ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    securityType = txn.getNextLongFromGMJO( "securityType" );
    orderID = txn.getNextCharFromGMJO( 16, "orderID" );
    orderStatus = txn.getNextLongFromGMJO( "orderStatus" );
    orderReferenceID = txn.getNextCharFromGMJO( 16, "orderReferenceID" );
    orderReplyStatus = txn.getNextLongFromGMJO( "orderReplyStatus" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    securityRegistration = txn.getNextLongFromGMJO( "securityRegistration" );
    settlementAmount = new GsCurrency( txn, "settlementAmount" );
    cashHoldAmount = new GsCurrency( txn, "cashHoldAmount" );
    symbol = txn.getNextCharFromGMJO( 12, "symbol" );
    symbolSuffix = txn.getNextCharFromGMJO( 6, "symbolSuffix" );
    consumerSecurityID = txn.getNextCharFromGMJO( 12, "consumerSecurityID" );
    securityIDSource = txn.getNextLongFromGMJO( "securityIDSource" );
    mrktCode = txn.getNextCharFromGMJO( 3, "mrktCode" );
    securityDesc = txn.getNextNlsCharFromGMJO( 50, "securityDesc" );
    securityDescAlternate = txn.getNextBinaryItemFromGMJO( "securityDescAlternate" );
    scrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "scrtyDescNLS" );
    orderOpenDate = new GsDate( txn, "orderOpenDate" );
    transactionSource = txn.getNextCharFromGMJO( 1, "transactionSource" );
    issuer = txn.getNextNlsCharFromGMJO( 50, "issuer" );
    settlementType = txn.getNextLongFromGMJO( "settlementType" );
    futureSettlementDate = new GsDate( txn, "futureSettlementDate" );
    orderRejectReason = txn.getNextLongFromGMJO( "orderRejectReason" );
    side = txn.getNextLongFromGMJO( "side" );
    orderQuantity = new GsDecimal( txn, "orderQuantity" );
    filledOrderQuantity = new GsDecimal( txn, "filledOrderQuantity" );
    orderType = txn.getNextLongFromGMJO( "orderType" );
    price = new GsCurrency( txn, "price" );
    stopPrice = new GsCurrency( txn, "stopPrice" );
    timeInForce = txn.getNextLongFromGMJO( "timeInForce" );
    expireTimestamp = txn.getNextCharFromGMJO( 26, "expireTimestamp" );
    expireGMTOffsetMinutes = txn.getNextLongFromGMJO( "expireGMTOffsetMinutes" );
    tradeDate = new GsDate( txn, "tradeDate" );
    transactionTimestamp = txn.getNextCharFromGMJO( 26, "transactionTimestamp" );
    transactionGMTOffsetMinutes = txn.getNextLongFromGMJO( "transactionGMTOffsetMinutes" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDtl[ i ] = new GsFeeDtl( txn );
    }
    executionInstructions = txn.getNextVarCharFromGMJO( "executionInstructions" );
    ordChngAlwdCl = txn.getNextLongFromGMJO( "ordChngAlwdCl" );
    ordCanAlwdCl = txn.getNextLongFromGMJO( "ordCanAlwdCl" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );
    pageWriter.println( prefix + "reqPasswordID = " + getReqPasswordID() );
    pageWriter.println( prefix + "reqSecurityID = " + getReqSecurityID() );
    pageWriter.println( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
    pageWriter.println( prefix + "reqSecurityEncryptionType = " + getReqSecurityEncryptionType() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqSecurityType = " + getReqSecurityType() );
    pageWriter.println( prefix + "reqSecurityDesc = " + getReqSecurityDesc() );
    pageWriter.println( prefix + "reqScrtyDescAlt = " + getReqScrtyDescAlt() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );
    pageWriter.println( prefix + "reqIssuer = " + getReqIssuer() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqSettlementAccount =" );
    if( reqSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurityRegistration = " + getReqSecurityRegistration() );
    pageWriter.println( prefix + "reqSettlementType = " + getReqSettlementType() );

    pageWriter.println( prefix + "reqFutureSettlementDate =" );
    if( reqFutureSettlementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFutureSettlementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqOrderType = " + getReqOrderType() );

    pageWriter.println( prefix + "reqOrderOpenDate =" );
    if( reqOrderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionSource = " + getReqTransactionSource() );

    pageWriter.println( prefix + "reqMostRecentPrice =" );
    if( reqMostRecentPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMostRecentPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTimeInForce = " + getReqTimeInForce() );
    pageWriter.println( prefix + "reqTimestamp = " + getReqTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );

    pageWriter.println( prefix + "reqStopPrice =" );
    if( reqStopPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStopPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLimitPrice =" );
    if( reqLimitPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLimitPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMinimumQuantity =" );
    if( reqMinimumQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMinimumQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqOrderQuantity =" );
    if( reqOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCashOrderQuantity =" );
    if( reqCashOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCashOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSide = " + getReqSide() );
    pageWriter.println( prefix + "reqExecutionInstructions = " + getReqExecutionInstructions() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "securityType = " + getSecurityType() );
    try {
      pageWriter.println( prefix + "securityType_text = " + getSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderID = " + getOrderID() );
    pageWriter.println( prefix + "orderStatus = " + getOrderStatus() );
    try {
      pageWriter.println( prefix + "orderStatus_text = " + getOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderReferenceID = " + getOrderReferenceID() );
    pageWriter.println( prefix + "orderReplyStatus = " + getOrderReplyStatus() );
    try {
      pageWriter.println( prefix + "orderReplyStatus_text = " + getOrderReplyStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderReplyStatus_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "securityRegistration = " + getSecurityRegistration() );
    try {
      pageWriter.println( prefix + "securityRegistration_text = " + getSecurityRegistration_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityRegistration_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "settlementAmount =" );
    if( settlementAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "cashHoldAmount =" );
    if( cashHoldAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      cashHoldAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "symbol = " + getSymbol() );
    pageWriter.println( prefix + "symbolSuffix = " + getSymbolSuffix() );
    pageWriter.println( prefix + "consumerSecurityID = " + getConsumerSecurityID() );
    pageWriter.println( prefix + "securityIDSource = " + getSecurityIDSource() );
    try {
      pageWriter.println( prefix + "securityIDSource_text = " + getSecurityIDSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityIDSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mrktCode = " + getMrktCode() );
    try {
      pageWriter.println( prefix + "mrktCode_text = " + getMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mrktCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityDesc = " + getSecurityDesc() );
    pageWriter.println( prefix + "securityDescAlternate = " + getSecurityDescAlternate() );
    pageWriter.println( prefix + "scrtyDescNLS = " + getScrtyDescNLS() );

    pageWriter.println( prefix + "orderOpenDate =" );
    if( orderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transactionSource = " + getTransactionSource() );
    try {
      pageWriter.println( prefix + "transactionSource_text = " + getTransactionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transactionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "issuer = " + getIssuer() );
    pageWriter.println( prefix + "settlementType = " + getSettlementType() );
    try {
      pageWriter.println( prefix + "settlementType_text = " + getSettlementType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "settlementType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "futureSettlementDate =" );
    if( futureSettlementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      futureSettlementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderRejectReason = " + getOrderRejectReason() );
    try {
      pageWriter.println( prefix + "orderRejectReason_text = " + getOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "side = " + getSide() );
    try {
      pageWriter.println( prefix + "side_text = " + getSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "side_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "orderQuantity =" );
    if( orderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "filledOrderQuantity =" );
    if( filledOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      filledOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderType = " + getOrderType() );
    try {
      pageWriter.println( prefix + "orderType_text = " + getOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "price =" );
    if( price == null ) {
      pageWriter.println( " (null)" );
    } else {
      price.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "stopPrice =" );
    if( stopPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      stopPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "timeInForce = " + getTimeInForce() );
    try {
      pageWriter.println( prefix + "timeInForce_text = " + getTimeInForce_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "timeInForce_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "expireTimestamp = " + getExpireTimestamp() );
    pageWriter.println( prefix + "expireGMTOffsetMinutes = " + getExpireGMTOffsetMinutes() );

    pageWriter.println( prefix + "tradeDate =" );
    if( tradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      tradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transactionTimestamp = " + getTransactionTimestamp() );
    pageWriter.println( prefix + "transactionGMTOffsetMinutes = " + getTransactionGMTOffsetMinutes() );

    pageWriter.println( prefix + "feeDtl =" );
    if( feeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDtl.length; j++ )
      {
        pageWriter.println( prefix + "feeDtl[" + j + "] =" );
        if( feeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "executionInstructions = " + getExecutionInstructions() );
    pageWriter.println( prefix + "ordChngAlwdCl = " + getOrdChngAlwdCl() );
    try {
      pageWriter.println( prefix + "ordChngAlwdCl_text = " + getOrdChngAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordChngAlwdCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ordCanAlwdCl = " + getOrdCanAlwdCl() );
    try {
      pageWriter.println( prefix + "ordCanAlwdCl_text = " + getOrdCanAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordCanAlwdCl_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqPasswordID = getBinaryFromURL( req, prefix + "reqPasswordID" );
    reqSecurityID = getBinaryFromURL( req, prefix + "reqSecurityID" );
    reqPasswordEncryptionType = getCharFromURL( req, prefix + "reqPasswordEncryptionType" );
    reqSecurityEncryptionType = getCharFromURL( req, prefix + "reqSecurityEncryptionType" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqSecurityType = getLongFromURL( req, prefix + "reqSecurityType" );
    reqSecurityDesc = getCharFromURL( req, prefix + "reqSecurityDesc" );
    reqScrtyDescAlt = getBinaryFromURL( req, prefix + "reqScrtyDescAlt" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqIssuer = getCharFromURL( req, prefix + "reqIssuer" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentOrderStock" );
    reqSettlementAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSettlementAccount", "GtInvestmentOrderStock" );
    reqSecurityRegistration = getLongFromURL( req, prefix + "reqSecurityRegistration" );
    reqSettlementType = getLongFromURL( req, prefix + "reqSettlementType" );
    reqFutureSettlementDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqFutureSettlementDate", "GtInvestmentOrderStock" );
    reqOrderType = getLongFromURL( req, prefix + "reqOrderType" );
    reqOrderOpenDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderOpenDate", "GtInvestmentOrderStock" );
    reqTransactionSource = getCharFromURL( req, prefix + "reqTransactionSource" );
    reqMostRecentPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqMostRecentPrice", "GtInvestmentOrderStock" );
    reqTimeInForce = getLongFromURL( req, prefix + "reqTimeInForce" );
    reqTimestamp = getCharFromURL( req, prefix + "reqTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );
    reqStopPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqStopPrice", "GtInvestmentOrderStock" );
    reqLimitPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLimitPrice", "GtInvestmentOrderStock" );
    reqMinimumQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqMinimumQuantity", "GtInvestmentOrderStock" );
    reqOrderQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderQuantity", "GtInvestmentOrderStock" );
    reqCashOrderQuantity = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCashOrderQuantity", "GtInvestmentOrderStock" );
    reqSide = getLongFromURL( req, prefix + "reqSide" );
    reqExecutionInstructions = getCharFromURL( req, prefix + "reqExecutionInstructions" );
  }
}
