//**********************************************
//
// FILE NAME: GtListFIMessages.java
// TRANSACTION NAME: List FI initiated Messages Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>List FI initiated Messages Transaction</B>
 * <P>IFS ID: <B>listmsg</B>
 * <P>
 * This transaction allows a consumer to request a list of all messages
 * sent by the Financial Institution to them which reside in the
 * consumer's mailbox.
 * <BR>
 * <P><B>LIST_FI_MSG</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>LIST_FI_IMSG</B>
 *            <P>
 *            This message requests the Financial Institution to return
 *            the list of messages sent by the Financial Institution to
 *            the consumer.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>LIST_FI_OMSG</B>
 *            <P>
 *            This message returns summary information for each of the
 *            messages sent by the Financial Institution to the Consumer.
 *            This information includes the message identifier, message
 *            description, creation date, expiry date, number and other
 *            details.
 */
public class GtListFIMessages extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtListFIMessages() { }
  public GtListFIMessages( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "listmsg_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumRecordNumber( int o ) { reqMaximumRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumRecordNumber() { return (reqMaximumRecordNumber); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRqstTg.MsgRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqMessageTypeReturnFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgTpRtnDtlTg.MsgTpRetFTg</code>.
   * <P>
   * Input indicator telling the receiver what type of messages to return.
   * '0'(or not specified) = Return all messages. '1' = Return only 'new'
   * messages (incl all broadcast msgs) '2' Return only 'read' messages
   * (incl all broadcast msgs)
   */
  private int  reqMessageTypeReturnFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMessageTypeReturnFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTpRtnDtlTg.MsgTpRetFTg</code>.
   * <P>
   * Input indicator telling the receiver what type of messages to return.
   * '0'(or not specified) = Return all messages. '1' = Return only 'new'
   * messages (incl all broadcast msgs) '2' Return only 'read' messages
   * (incl all broadcast msgs)
   */
  public  void setReqMessageTypeReturnFlag( int o ) { reqMessageTypeReturnFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageTypeReturnFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTpRtnDtlTg.MsgTpRetFTg</code>.
   * <P>
   * Input indicator telling the receiver what type of messages to return.
   * '0'(or not specified) = Return all messages. '1' = Return only 'new'
   * messages (incl all broadcast msgs) '2' Return only 'read' messages
   * (incl all broadcast msgs)
   */
  public  int  getReqMessageTypeReturnFlag() { return (reqMessageTypeReturnFlag); }

  /**
   * <P>The attribute <code>reqReturnTypeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgTpRtnDtlTg.RetTypFTg</code>.
   * <P>
   * Input indicator telling the receiver whether to return just counts or
   * messages. '0' (not specified) = Return all messages. '1' = Return
   * only 'counts'. '2' = Return only 'yes/no' indicator.
   */
  private int  reqReturnTypeFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>reqReturnTypeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTpRtnDtlTg.RetTypFTg</code>.
   * <P>
   * Input indicator telling the receiver whether to return just counts or
   * messages. '0' (not specified) = Return all messages. '1' = Return
   * only 'counts'. '2' = Return only 'yes/no' indicator.
   */
  public  void setReqReturnTypeFlag( int o ) { reqReturnTypeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReturnTypeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTpRtnDtlTg.RetTypFTg</code>.
   * <P>
   * Input indicator telling the receiver whether to return just counts or
   * messages. '0' (not specified) = Return all messages. '1' = Return
   * only 'counts'. '2' = Return only 'yes/no' indicator.
   */
  public  int  getReqReturnTypeFlag() { return (reqReturnTypeFlag); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.MsgRecInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>fIMessage</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsListMsgRespTg.FiMsgTg</code>.
   * <P>
   * The text associated with a communication originating from the
   * Financial Institution (for example, a bill pay problem).
   * <BR>
   */
  private GsMsgDtl[] fIMessage = null;

  /**
   * <P>Sets the value of the attribute <code>fIMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsListMsgRespTg.FiMsgTg</code>.
   * <P>
   * The text associated with a communication originating from the
   * Financial Institution (for example, a bill pay problem).
   * <BR>
   */
  public  void       setFIMessage(GsMsgDtl[] o )  { fIMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>fIMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsListMsgRespTg.FiMsgTg</code>.
   * <P>
   * The text associated with a communication originating from the
   * Financial Institution (for example, a bill pay problem).
   * <BR>
   */
  public  GsMsgDtl[] getFIMessage() { return (fIMessage); }

  /**
   * <P>The attribute <code>countNewMessages</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntNewMsgTg</code>.
   * <P>
   * Count of 'new ' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  private int  countNewMessages = 0;

  /**
   * <P>Sets the value of the attribute <code>countNewMessages</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntNewMsgTg</code>.
   * <P>
   * Count of 'new ' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  public  void setCountNewMessages( int o ) { countNewMessages = o; }

  /**
   * <P>Gets the value of the attribute <code>countNewMessages</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntNewMsgTg</code>.
   * <P>
   * Count of 'new ' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  public  int  getCountNewMessages() { return (countNewMessages); }

  /**
   * <P>The attribute <code>countReadMessages</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntRdMsgTg</code>.
   * <P>
   * Count of 'read' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  private int  countReadMessages = 0;

  /**
   * <P>Sets the value of the attribute <code>countReadMessages</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntRdMsgTg</code>.
   * <P>
   * Count of 'read' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  public  void setCountReadMessages( int o ) { countReadMessages = o; }

  /**
   * <P>Gets the value of the attribute <code>countReadMessages</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.CntRdMsgTg</code>.
   * <P>
   * Count of 'read' messages. This field is only valid if the 'return
   * type' input field specified 'return only counts'.
   */
  public  int  getCountReadMessages() { return (countReadMessages); }

  /**
   * <P>The attribute <code>messageExistsFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.MsgExistFTg</code>.
   * <P>
   * Indicator that messages exist. counts cannot be used. This field is
   * only valid if the 'return type' input field specified 'return
   * yes/no'. '0' = No viewable messages exist for this consumer. '1' =
   * Messages exist for this user.
   */
  private int  messageExistsFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>messageExistsFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.MsgExistFTg</code>.
   * <P>
   * Indicator that messages exist. counts cannot be used. This field is
   * only valid if the 'return type' input field specified 'return
   * yes/no'. '0' = No viewable messages exist for this consumer. '1' =
   * Messages exist for this user.
   */
  public  void setMessageExistsFlag( int o ) { messageExistsFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>messageExistsFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsListMsgRespTg.IfsMsgStatDtlTg.MsgExistFTg</code>.
   * <P>
   * Indicator that messages exist. counts cannot be used. This field is
   * only valid if the 'return type' input field specified 'return
   * yes/no'. '0' = No viewable messages exist for this consumer. '1' =
   * Messages exist for this user.
   */
  public  int  getMessageExistsFlag() { return (messageExistsFlag); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtListFIMessages );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumRecordNumber ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 
    addArgToGMJI( reqMessageTypeReturnFlag ); 
    addArgToGMJI( reqReturnTypeFlag ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fIMessage = new GsMsgDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fIMessage[ i ] = new GsMsgDtl( txn );
    }
    countNewMessages = txn.getNextLongFromGMJO( "countNewMessages" );
    countReadMessages = txn.getNextLongFromGMJO( "countReadMessages" );
    messageExistsFlag = txn.getNextLongFromGMJO( "messageExistsFlag" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumRecordNumber = " + getReqMaximumRecordNumber() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqMessageTypeReturnFlag = " + getReqMessageTypeReturnFlag() );
    pageWriter.println( prefix + "reqReturnTypeFlag = " + getReqReturnTypeFlag() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "fIMessage =" );
    if( fIMessage == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fIMessage.length; j++ )
      {
        pageWriter.println( prefix + "fIMessage[" + j + "] =" );
        if( fIMessage[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fIMessage[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "countNewMessages = " + getCountNewMessages() );
    pageWriter.println( prefix + "countReadMessages = " + getCountReadMessages() );
    pageWriter.println( prefix + "messageExistsFlag = " + getMessageExistsFlag() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumRecordNumber = getLongFromURL( req, prefix + "reqMaximumRecordNumber" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqMessageTypeReturnFlag = getLongFromURL( req, prefix + "reqMessageTypeReturnFlag" );
    reqReturnTypeFlag = getLongFromURL( req, prefix + "reqReturnTypeFlag" );
  }
}
