//**********************************************
//
// FILE NAME: GtLoanAdvance.java
// TRANSACTION NAME: Loan Advance
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Loan Advance</B>
 * <P>IFS ID: <B>loanadv</B>
 * <P>
 * This transaction allows a consumer to request that funds be credited to
 * their deposit account and the liability incremented on their credit
 * line.
 * <BR>
 * <P><B>LOAN_ADV_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>LOAN_ADV_IMSG</B>
 *            <P>
 *            The consumer nominates the account from which funds are to
 *            be taken. The consumer also enters the amount of the
 *            transaction and designates the accounts where funds are to
 *            be credited.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>LOAN_ADV_OMSG</B>
 */
public class GtLoanAdvance extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtLoanAdvance() { }
  public GtLoanAdvance( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "loanadv_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAcctSrceDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount reqAcctSrceDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcctSrceDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setReqAcctSrceDtl(GsAccount o )  { reqAcctSrceDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcctSrceDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqAcctSrceDtl() { return (reqAcctSrceDtl); }

  /**
   * <P>The attribute <code>reqAcctTrgtDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqAcctTrgtDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcctTrgtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqAcctTrgtDtl(GsAccount o )  { reqAcctTrgtDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcctTrgtDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqAcctTrgtDtl() { return (reqAcctTrgtDtl); }

  /**
   * <P>The attribute <code>reqTxnAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  private GsCurrency reqTxnAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  void       setReqTxnAmt(GsCurrency o )  { reqTxnAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.TxnAmtTg</code>.
   * <P>
   * The amount, monetary value of a transaction expressed in the currency
   * of the Financial Institution.
   * <BR>
   */
  public  GsCurrency getReqTxnAmt() { return (reqTxnAmt); }

  /**
   * <P>The attribute <code>reqEffDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  private GsDate reqEffDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqEffDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  void   setReqEffDt(GsDate o )  { reqEffDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEffDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLoanAdvRqstTg.EffDtTg</code>.
   * <P>
   * The date upon which an action commences. For example, the Effective
   * Date of an interest rate is the first day on which that interest rate
   * begins. Likewise, the effective date of a transfer is the actual date
   * on which the transfer is executed.
   * <BR>
   */
  public  GsDate getReqEffDt() { return (reqEffDt); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtLoanAdvance );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAcctSrceDtl, this );
    GsAccount.addPropertiesToGMJI( reqAcctTrgtDtl, this );
    GsCurrency.addPropertiesToGMJI( reqTxnAmt, this );
    GsDate.addPropertiesToGMJI( reqEffDt, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAcctSrceDtl =" );
    if( reqAcctSrceDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAcctSrceDtl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqAcctTrgtDtl =" );
    if( reqAcctTrgtDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAcctTrgtDtl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTxnAmt =" );
    if( reqTxnAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTxnAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEffDt =" );
    if( reqEffDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEffDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAcctSrceDtl = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAcctSrceDtl", "GtLoanAdvance" );
    reqAcctTrgtDtl = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAcctTrgtDtl", "GtLoanAdvance" );
    reqTxnAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTxnAmt", "GtLoanAdvance" );
    reqEffDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEffDt", "GtLoanAdvance" );
  }
}
