//**********************************************
//
// FILE NAME: GtMultiAccountPayment.java
// TRANSACTION NAME: Multiple Account Payment Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Multiple Account Payment Transaction</B>
 * <P>IFS ID: <B>mpmtadd</B>
 * <P>
 * This transaction is the actual payment to be processed by the FI and is
 * routed directly to it via the dispatch process in the TSP. It is
 * populated from the information provided by the consumer via the
 * Multiple Account Payment Definition.
 * <BR>
 * <P><B>MULTI_ACCT_PYMT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>MULTI_ACCT_PYMT_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>MULTI_ACCT_PYMT_OMSG</B>
 */
public class GtMultiAccountPayment extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtMultiAccountPayment() { }
  public GtMultiAccountPayment( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "mpmtadd_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMultiAccPymCapDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapDtTg</code>.
   * <P>
   * The date the instruction was originally captured.
   * <BR>
   */
  private GsDate reqMultiAccPymCapDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAccPymCapDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapDtTg</code>.
   * <P>
   * The date the instruction was originally captured.
   * <BR>
   */
  public  void   setReqMultiAccPymCapDt(GsDate o )  { reqMultiAccPymCapDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAccPymCapDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapDtTg</code>.
   * <P>
   * The date the instruction was originally captured.
   * <BR>
   */
  public  GsDate getReqMultiAccPymCapDt() { return (reqMultiAccPymCapDt); }

  /**
   * <P>The attribute <code>reqMultiAccPymCapTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapTmTg</code>.
   * <P>
   * The time the instruction was originally captured.
   * <BR>
   */
  private GsTime reqMultiAccPymCapTm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAccPymCapTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapTmTg</code>.
   * <P>
   * The time the instruction was originally captured.
   * <BR>
   */
  public  void   setReqMultiAccPymCapTm(GsTime o )  { reqMultiAccPymCapTm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAccPymCapTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapTmTg</code>.
   * <P>
   * The time the instruction was originally captured.
   * <BR>
   */
  public  GsTime getReqMultiAccPymCapTm() { return (reqMultiAccPymCapTm); }

  /**
   * <P>The attribute <code>reqMultiAccPymCapId</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator entering the transaction.
   */
  private String reqMultiAccPymCapId = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAccPymCapId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator entering the transaction.
   */
  public  void   setReqMultiAccPymCapId( String o ) { reqMultiAccPymCapId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAccPymCapId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAccPymCapIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator entering the transaction.
   */
  public  String getReqMultiAccPymCapId() { return (reqMultiAccPymCapId); }

  /**
   * <P>The attribute <code>reqMultiAcPymAprvDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvDtTg</code>.
   * <P>
   * The date the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  private GsDate reqMultiAcPymAprvDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcPymAprvDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvDtTg</code>.
   * <P>
   * The date the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  public  void   setReqMultiAcPymAprvDt(GsDate o )  { reqMultiAcPymAprvDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcPymAprvDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvDtTg</code>.
   * <P>
   * The date the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  public  GsDate getReqMultiAcPymAprvDt() { return (reqMultiAcPymAprvDt); }

  /**
   * <P>The attribute <code>reqMultiAcPymAprvTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvTmTg</code>.
   * <P>
   * The time the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  private GsTime reqMultiAcPymAprvTm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcPymAprvTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvTmTg</code>.
   * <P>
   * The time the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  public  void   setReqMultiAcPymAprvTm(GsTime o )  { reqMultiAcPymAprvTm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcPymAprvTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvTmTg</code>.
   * <P>
   * The time the transaction was approved if entered by a secondary
   * consumer requiring approval.
   * <BR>
   */
  public  GsTime getReqMultiAcPymAprvTm() { return (reqMultiAcPymAprvTm); }

  /**
   * <P>The attribute <code>reqMultiAcPymAprvId</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator approving the transaction, if
   * necessary.
   */
  private String reqMultiAcPymAprvId = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcPymAprvId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator approving the transaction, if
   * necessary.
   */
  public  void   setReqMultiAcPymAprvId( String o ) { reqMultiAcPymAprvId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcPymAprvId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcPymAprvIdTg</code>.
   * <P>
   * The Consumer Identifier of the operator approving the transaction, if
   * necessary.
   */
  public  String getReqMultiAcPymAprvId() { return (reqMultiAcPymAprvId); }

  /**
   * <P>The attribute <code>reqMultiAcctPymAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymAcctTg</code>.
   * <P>
   * The funding account identification for this Multiple Account Payment.
   * <BR>
   */
  private GsAccount reqMultiAcctPymAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcctPymAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymAcctTg</code>.
   * <P>
   * The funding account identification for this Multiple Account Payment.
   * <BR>
   */
  public  void      setReqMultiAcctPymAcct(GsAccount o )  { reqMultiAcctPymAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcctPymAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymAcctTg</code>.
   * <P>
   * The funding account identification for this Multiple Account Payment.
   * <BR>
   */
  public  GsAccount getReqMultiAcctPymAcct() { return (reqMultiAcctPymAcct); }

  /**
   * <P>The attribute <code>reqMultiAcctPymtAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtAmtTg</code>.
   * <P>
   * The amound of funds to be withdrawn from the Multiple Account Payment
   * Account and distributed to one or more beneficiary accounts.
   * <BR>
   */
  private GsCurrency reqMultiAcctPymtAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcctPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtAmtTg</code>.
   * <P>
   * The amound of funds to be withdrawn from the Multiple Account Payment
   * Account and distributed to one or more beneficiary accounts.
   * <BR>
   */
  public  void       setReqMultiAcctPymtAmt(GsCurrency o )  { reqMultiAcctPymtAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcctPymtAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtAmtTg</code>.
   * <P>
   * The amound of funds to be withdrawn from the Multiple Account Payment
   * Account and distributed to one or more beneficiary accounts.
   * <BR>
   */
  public  GsCurrency getReqMultiAcctPymtAmt() { return (reqMultiAcctPymtAmt); }

  /**
   * <P>The attribute <code>reqMultiAcctPymtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtDtTg</code>.
   * <P>
   * The consumer enters the date on which it is desired that the Multiple
   * Account Payment take place.
   * <BR>
   */
  private GsDate reqMultiAcctPymtDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcctPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtDtTg</code>.
   * <P>
   * The consumer enters the date on which it is desired that the Multiple
   * Account Payment take place.
   * <BR>
   */
  public  void   setReqMultiAcctPymtDt(GsDate o )  { reqMultiAcctPymtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcctPymtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymDtlsTg.MultiAcctPymtDtTg</code>.
   * <P>
   * The consumer enters the date on which it is desired that the Multiple
   * Account Payment take place.
   * <BR>
   */
  public  GsDate getReqMultiAcctPymtDt() { return (reqMultiAcctPymtDt); }

  /**
   * <P>The attribute <code>reqMultiAcctPAcRefr</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcctPAcRefrTg</code>.
   * <P>
   * The consumer may enter a description in this field that is intended
   * to appear on the statement of the debit account as a transaction
   * description.
   */
  private String reqMultiAcctPAcRefr = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcctPAcRefr</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcctPAcRefrTg</code>.
   * <P>
   * The consumer may enter a description in this field that is intended
   * to appear on the statement of the debit account as a transaction
   * description.
   */
  public  void   setReqMultiAcctPAcRefr( String o ) { reqMultiAcctPAcRefr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcctPAcRefr</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.MultiAcctPAcRefrTg</code>.
   * <P>
   * The consumer may enter a description in this field that is intended
   * to appear on the statement of the debit account as a transaction
   * description.
   */
  public  String getReqMultiAcctPAcRefr() { return (reqMultiAcctPAcRefr); }

  /**
   * <P>The attribute <code>reqBusnNm</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  private String reqBusnNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusnNm</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  void   setReqBusnNm( String o ) { reqBusnNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnNm</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  String getReqBusnNm() { return (reqBusnNm); }

  /**
   * <P>The attribute <code>reqDscrData</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.DscrDataTg</code>.
   * <P>
   * Allows originating companies and/or banks to include codes of
   * significance only to them. This enables specialized handling of the
   * entry.
   */
  private String reqDscrData = null;

  /**
   * <P>Sets the value of the attribute <code>reqDscrData</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.DscrDataTg</code>.
   * <P>
   * Allows originating companies and/or banks to include codes of
   * significance only to them. This enables specialized handling of the
   * entry.
   */
  public  void   setReqDscrData( String o ) { reqDscrData = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDscrData</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.DscrDataTg</code>.
   * <P>
   * Allows originating companies and/or banks to include codes of
   * significance only to them. This enables specialized handling of the
   * entry.
   */
  public  String getReqDscrData() { return (reqDscrData); }

  /**
   * <P>The attribute <code>reqBusnIdTpCl</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  private int  reqBusnIdTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBusnIdTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  void setReqBusnIdTpCl( int o ) { reqBusnIdTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnIdTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  int  getReqBusnIdTpCl() { return (reqBusnIdTpCl); }

  /**
   * <P>The attribute <code>reqBusnId</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  private String reqBusnId = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusnId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  void   setReqBusnId( String o ) { reqBusnId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnId</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  String getReqBusnId() { return (reqBusnId); }

  /**
   * <P>The attribute <code>reqStdEntrTpCl</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.StdEntrTpClTg</code>.
   * <P>
   * A mnemonic which permits various kinds of entries to be
   * distinguished. For payroll applications, the alphabetic mnemonic to
   * identify entries is 'PPD'.
   */
  private String reqStdEntrTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStdEntrTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.StdEntrTpClTg</code>.
   * <P>
   * A mnemonic which permits various kinds of entries to be
   * distinguished. For payroll applications, the alphabetic mnemonic to
   * identify entries is 'PPD'.
   */
  public  void   setReqStdEntrTpCl( String o ) { reqStdEntrTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStdEntrTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.StdEntrTpClTg</code>.
   * <P>
   * A mnemonic which permits various kinds of entries to be
   * distinguished. For payroll applications, the alphabetic mnemonic to
   * identify entries is 'PPD'.
   */
  public  String getReqStdEntrTpCl() { return (reqStdEntrTpCl); }

  /**
   * <P>The attribute <code>reqCoEntrDesc</code> is an alias for the
   * standard message simple element
   * <code>MultiAcctPymDtlsTg.CoEntrDescTg</code>.
   * <P>
   * The originating company establishes the value of this field to
   * provide a description of the entry to be displayed back to the
   * receiver. For example, "GAS BILL", "REG SALARY", "INS PREM", etc.
   */
  private String reqCoEntrDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqCoEntrDesc</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.CoEntrDescTg</code>.
   * <P>
   * The originating company establishes the value of this field to
   * provide a description of the entry to be displayed back to the
   * receiver. For example, "GAS BILL", "REG SALARY", "INS PREM", etc.
   */
  public  void   setReqCoEntrDesc( String o ) { reqCoEntrDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCoEntrDesc</code>,
   * which is an alias for the standard message simple element
   * <code>MultiAcctPymDtlsTg.CoEntrDescTg</code>.
   * <P>
   * The originating company establishes the value of this field to
   * provide a description of the entry to be displayed back to the
   * receiver. For example, "GAS BILL", "REG SALARY", "INS PREM", etc.
   */
  public  String getReqCoEntrDesc() { return (reqCoEntrDesc); }

  /**
   * <P>The attribute <code>reqMultiAcctBenDtls</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAcctPymBenfTg.MultiAcctBenDtlsTg</code>.
   * <BR>
   */
  private GsMultiAcctBenfDtls[] reqMultiAcctBenDtls = null;

  /**
   * <P>Sets the value of the attribute <code>reqMultiAcctBenDtls</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymBenfTg.MultiAcctBenDtlsTg</code>.
   * <BR>
   */
  public  void                  setReqMultiAcctBenDtls(GsMultiAcctBenfDtls[] o )  { reqMultiAcctBenDtls = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMultiAcctBenDtls</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAcctPymBenfTg.MultiAcctBenDtlsTg</code>.
   * <BR>
   */
  public  GsMultiAcctBenfDtls[] getReqMultiAcctBenDtls() { return (reqMultiAcctBenDtls); }

  private String reqMultiAcctBenDtls_packed = null;
  public  void   setReqMultiAcctBenDtls_packed(String o ) { reqMultiAcctBenDtls_packed = o; }
  public  String getReqMultiAcctBenDtls_packed() { return (reqMultiAcctBenDtls_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>adjMultiAccPymDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>AdjMultiAcPDtDtlTg.AdjMultiAccPymDtTg</code>.
   * <P>
   * When the Multiple Account Payment is processed by the FI, or the
   * Multiple Account Payment Definition is processed either by the IFS
   * TSP or the FI, the requested date of the Multiple Account Payment may
   * be adjusted to reflect the FI holiday processing schedule. In the
   * case of the Multiple Account Payment, this adjustment would reflect
   * the FI's intent to process the Multiple Account Payment on a day
   * other than the day indicated in the input message delivered from the
   * TSP. In the case of the Multiple Account Payment Definition processed
   * by the TSP, this would reflect the anticipated date on which the TSP
   * would deliver the Multiple Account payment to the FI.
   * <BR>
   */
  private GsDate adjMultiAccPymDt = null;

  /**
   * <P>Sets the value of the attribute <code>adjMultiAccPymDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AdjMultiAcPDtDtlTg.AdjMultiAccPymDtTg</code>.
   * <P>
   * When the Multiple Account Payment is processed by the FI, or the
   * Multiple Account Payment Definition is processed either by the IFS
   * TSP or the FI, the requested date of the Multiple Account Payment may
   * be adjusted to reflect the FI holiday processing schedule. In the
   * case of the Multiple Account Payment, this adjustment would reflect
   * the FI's intent to process the Multiple Account Payment on a day
   * other than the day indicated in the input message delivered from the
   * TSP. In the case of the Multiple Account Payment Definition processed
   * by the TSP, this would reflect the anticipated date on which the TSP
   * would deliver the Multiple Account payment to the FI.
   * <BR>
   */
  public  void   setAdjMultiAccPymDt(GsDate o )  { adjMultiAccPymDt = o; }

  /**
   * <P>Gets the value of the attribute <code>adjMultiAccPymDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>AdjMultiAcPDtDtlTg.AdjMultiAccPymDtTg</code>.
   * <P>
   * When the Multiple Account Payment is processed by the FI, or the
   * Multiple Account Payment Definition is processed either by the IFS
   * TSP or the FI, the requested date of the Multiple Account Payment may
   * be adjusted to reflect the FI holiday processing schedule. In the
   * case of the Multiple Account Payment, this adjustment would reflect
   * the FI's intent to process the Multiple Account Payment on a day
   * other than the day indicated in the input message delivered from the
   * TSP. In the case of the Multiple Account Payment Definition processed
   * by the TSP, this would reflect the anticipated date on which the TSP
   * would deliver the Multiple Account payment to the FI.
   * <BR>
   */
  public  GsDate getAdjMultiAccPymDt() { return (adjMultiAccPymDt); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtMultiAccountPayment );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsDate.addPropertiesToGMJI( reqMultiAccPymCapDt, this );
    GsTime.addPropertiesToGMJI( reqMultiAccPymCapTm, this );

    if( reqMultiAccPymCapId != null && reqMultiAccPymCapId.length() > 30 )
      addArgToGMJI( reqMultiAccPymCapId.substring(0,30));
    else
      addArgToGMJI( reqMultiAccPymCapId ); 
    GsDate.addPropertiesToGMJI( reqMultiAcPymAprvDt, this );
    GsTime.addPropertiesToGMJI( reqMultiAcPymAprvTm, this );

    if( reqMultiAcPymAprvId != null && reqMultiAcPymAprvId.length() > 30 )
      addArgToGMJI( reqMultiAcPymAprvId.substring(0,30));
    else
      addArgToGMJI( reqMultiAcPymAprvId ); 
    GsAccount.addPropertiesToGMJI( reqMultiAcctPymAcct, this );
    GsCurrency.addPropertiesToGMJI( reqMultiAcctPymtAmt, this );
    GsDate.addPropertiesToGMJI( reqMultiAcctPymtDt, this );

    if( reqMultiAcctPAcRefr != null && reqMultiAcctPAcRefr.length() > 40 )
      addArgToGMJI( reqMultiAcctPAcRefr.substring(0,40));
    else
      addArgToGMJI( reqMultiAcctPAcRefr ); 
    addArgToGMJI( reqBusnNm ); 

    if( reqDscrData != null && reqDscrData.length() > 20 )
      addArgToGMJI( reqDscrData.substring(0,20));
    else
      addArgToGMJI( reqDscrData ); 
    addArgToGMJI( reqBusnIdTpCl ); 

    if( reqBusnId != null && reqBusnId.length() > 20 )
      addArgToGMJI( reqBusnId.substring(0,20));
    else
      addArgToGMJI( reqBusnId ); 

    if( reqStdEntrTpCl != null && reqStdEntrTpCl.length() > 3 )
      addArgToGMJI( reqStdEntrTpCl.substring(0,3));
    else
      addArgToGMJI( reqStdEntrTpCl ); 

    if( reqCoEntrDesc != null && reqCoEntrDesc.length() > 10 )
      addArgToGMJI( reqCoEntrDesc.substring(0,10));
    else
      addArgToGMJI( reqCoEntrDesc ); 
    if( reqMultiAcctBenDtls != null )
    {
      reqMultiAcctBenDtls_packed = GsMultiAcctBenfDtls.pack( reqMultiAcctBenDtls );
      addArgToGMJI( reqMultiAcctBenDtls_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    adjMultiAccPymDt = new GsDate( txn, "adjMultiAccPymDt" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqMultiAccPymCapDt =" );
    if( reqMultiAccPymCapDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAccPymCapDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMultiAccPymCapTm =" );
    if( reqMultiAccPymCapTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAccPymCapTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMultiAccPymCapId = " + getReqMultiAccPymCapId() );

    pageWriter.println( prefix + "reqMultiAcPymAprvDt =" );
    if( reqMultiAcPymAprvDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAcPymAprvDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMultiAcPymAprvTm =" );
    if( reqMultiAcPymAprvTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAcPymAprvTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMultiAcPymAprvId = " + getReqMultiAcPymAprvId() );

    pageWriter.println( prefix + "reqMultiAcctPymAcct =" );
    if( reqMultiAcctPymAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAcctPymAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMultiAcctPymtAmt =" );
    if( reqMultiAcctPymtAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAcctPymtAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMultiAcctPymtDt =" );
    if( reqMultiAcctPymtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMultiAcctPymtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMultiAcctPAcRefr = " + getReqMultiAcctPAcRefr() );
    pageWriter.println( prefix + "reqBusnNm = " + getReqBusnNm() );
    pageWriter.println( prefix + "reqDscrData = " + getReqDscrData() );
    pageWriter.println( prefix + "reqBusnIdTpCl = " + getReqBusnIdTpCl() );
    pageWriter.println( prefix + "reqBusnId = " + getReqBusnId() );
    pageWriter.println( prefix + "reqStdEntrTpCl = " + getReqStdEntrTpCl() );
    pageWriter.println( prefix + "reqCoEntrDesc = " + getReqCoEntrDesc() );

    pageWriter.println( prefix + "reqMultiAcctBenDtls =" );
    if( reqMultiAcctBenDtls == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqMultiAcctBenDtls.length; j++ )
      {
        pageWriter.println( prefix + "reqMultiAcctBenDtls[" + j + "] =" );
        if( reqMultiAcctBenDtls[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqMultiAcctBenDtls[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMultiAcctBenDtls_packed = " + getReqMultiAcctBenDtls_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "adjMultiAccPymDt =" );
    if( adjMultiAccPymDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      adjMultiAccPymDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMultiAccPymCapDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAccPymCapDt", "GtMultiAccountPayment" );
    reqMultiAccPymCapTm = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAccPymCapTm", "GtMultiAccountPayment" );
    reqMultiAccPymCapId = getCharFromURL( req, prefix + "reqMultiAccPymCapId" );
    reqMultiAcPymAprvDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAcPymAprvDt", "GtMultiAccountPayment" );
    reqMultiAcPymAprvTm = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAcPymAprvTm", "GtMultiAccountPayment" );
    reqMultiAcPymAprvId = getCharFromURL( req, prefix + "reqMultiAcPymAprvId" );
    reqMultiAcctPymAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAcctPymAcct", "GtMultiAccountPayment" );
    reqMultiAcctPymtAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAcctPymtAmt", "GtMultiAccountPayment" );
    reqMultiAcctPymtDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqMultiAcctPymtDt", "GtMultiAccountPayment" );
    reqMultiAcctPAcRefr = getCharFromURL( req, prefix + "reqMultiAcctPAcRefr" );
    reqBusnNm = getCharFromURL( req, prefix + "reqBusnNm" );
    reqDscrData = getCharFromURL( req, prefix + "reqDscrData" );
    reqBusnIdTpCl = getLongFromURL( req, prefix + "reqBusnIdTpCl" );
    reqBusnId = getCharFromURL( req, prefix + "reqBusnId" );
    reqStdEntrTpCl = getCharFromURL( req, prefix + "reqStdEntrTpCl" );
    reqCoEntrDesc = getCharFromURL( req, prefix + "reqCoEntrDesc" );

    repeatCounter = getLongFromURL( req, prefix + "reqMultiAcctBenDtls_repeatCounter" );
    reqMultiAcctBenDtls = new GsMultiAcctBenfDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqMultiAcctBenDtls[ i ] = new GsMultiAcctBenfDtls(getIfsSession());
      reqMultiAcctBenDtls[ i ].populateFromURL( txn, req, prefix + "reqMultiAcctBenDtls_" + i + "_" );
    }
  }
}
