//**********************************************
//
// FILE NAME: GtMultiplePaymentBeneficiaryInquiry.java
// TRANSACTION NAME: Multiple Payment Beneficiary Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Multiple Payment Beneficiary Inquiry Transaction</B>
 * <P>IFS ID: <B>inqmpben</B>
 * <P>
 * This transaction is used to inquire on a beneficiary for Multiple
 * Credit or Debit (MULTIPMT) payments.
 * <BR>
 * <P><B>INQR_MP_BENF_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INQR_MP_BENF_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INQR_MP_BENF_OMSG</B>
 */
public class GtMultiplePaymentBeneficiaryInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtMultiplePaymentBeneficiaryInquiry() { }
  public GtMultiplePaymentBeneficiaryInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "inqmpben_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeName</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  private String reqPayeeName = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  void   setReqPayeeName( String o ) { reqPayeeName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  String getReqPayeeName() { return (reqPayeeName); }

  /**
   * <P>The attribute <code>reqPayeeNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  private String reqPayeeNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  void   setReqPayeeNickname( String o ) { reqPayeeNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  String getReqPayeeNickname() { return (reqPayeeNickname); }

  /**
   * <P>The attribute <code>reqPayeeInquiryDeliveryMonth</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeInqrDlvyMthTg</code>.
   * <P>
   * The delivery method specified by the Consumer to be used when
   * returning Payee information details. If no method is specified then
   * the Payee Information will be returned in the inquiry response
   * message.
   */
  private String reqPayeeInquiryDeliveryMonth = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeInquiryDeliveryMonth</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeInqrDlvyMthTg</code>.
   * <P>
   * The delivery method specified by the Consumer to be used when
   * returning Payee information details. If no method is specified then
   * the Payee Information will be returned in the inquiry response
   * message.
   */
  public  void   setReqPayeeInquiryDeliveryMonth( String o ) { reqPayeeInquiryDeliveryMonth = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeInquiryDeliveryMonth</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeInqrDlvyMthTg</code>.
   * <P>
   * The delivery method specified by the Consumer to be used when
   * returning Payee information details. If no method is specified then
   * the Payee Information will be returned in the inquiry response
   * message.
   */
  public  String getReqPayeeInquiryDeliveryMonth() { return (reqPayeeInquiryDeliveryMonth); }

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqMaximumRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumRecordNumber( int o ) { reqMaximumRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumRecordNumber() { return (reqMaximumRecordNumber); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqTg.PayeeRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqDfltAcctId</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>DfltAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqDfltAcctId = null;

  /**
   * <P>Sets the value of the attribute <code>reqDfltAcctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DfltAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqDfltAcctId(GsAccount o )  { reqDfltAcctId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDfltAcctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>DfltAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqDfltAcctId() { return (reqDfltAcctId); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>payeeInquiryResponseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String payeeInquiryResponseCode = null;

  /**
   * <P>Sets the value of the attribute <code>payeeInquiryResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setPayeeInquiryResponseCode( String o ) { payeeInquiryResponseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeInquiryResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getPayeeInquiryResponseCode() { return (payeeInquiryResponseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeInquiryResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.RespCodeClTg</code>.
   */
  public  String getPayeeInquiryResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getPayeeInquiryResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeInqRespTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeInqRespTg.PayeeSndValTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>payeeInquiry</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeInqRespTg.PayeeInqRespDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * specific Payee.
   * <BR>
   */
  private GsPayeeInfo[] payeeInquiry = null;

  /**
   * <P>Sets the value of the attribute <code>payeeInquiry</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeInqRespTg.PayeeInqRespDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * specific Payee.
   * <BR>
   */
  public  void          setPayeeInquiry(GsPayeeInfo[] o )  { payeeInquiry = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeInquiry</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeInqRespTg.PayeeInqRespDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * specific Payee.
   * <BR>
   */
  public  GsPayeeInfo[] getPayeeInquiry() { return (payeeInquiry); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtMultiplePaymentBeneficiaryInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeName != null && reqPayeeName.length() > 40 )
      addArgToGMJI( reqPayeeName.substring(0,40));
    else
      addArgToGMJI( reqPayeeName ); 

    if( reqPayeeNickname != null && reqPayeeNickname.length() > 30 )
      addArgToGMJI( reqPayeeNickname.substring(0,30));
    else
      addArgToGMJI( reqPayeeNickname ); 

    if( reqPayeeInquiryDeliveryMonth != null && reqPayeeInquiryDeliveryMonth.length() > 1 )
      addArgToGMJI( reqPayeeInquiryDeliveryMonth.substring(0,1));
    else
      addArgToGMJI( reqPayeeInquiryDeliveryMonth ); 

    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 
    addArgToGMJI( reqMaximumRecordNumber ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 
    GsAccount.addPropertiesToGMJI( reqDfltAcctId, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    payeeInquiryResponseCode = txn.getNextCharFromGMJO( 3, "payeeInquiryResponseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    payeeInquiry = new GsPayeeInfo[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      payeeInquiry[ i ] = new GsPayeeInfo( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeName = " + getReqPayeeName() );
    pageWriter.println( prefix + "reqPayeeNickname = " + getReqPayeeNickname() );
    pageWriter.println( prefix + "reqPayeeInquiryDeliveryMonth = " + getReqPayeeInquiryDeliveryMonth() );
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqMaximumRecordNumber = " + getReqMaximumRecordNumber() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );

    pageWriter.println( prefix + "reqDfltAcctId =" );
    if( reqDfltAcctId == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDfltAcctId.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "payeeInquiryResponseCode = " + getPayeeInquiryResponseCode() );
    try {
      pageWriter.println( prefix + "payeeInquiryResponseCode_text = " + getPayeeInquiryResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeInquiryResponseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "payeeInquiry =" );
    if( payeeInquiry == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < payeeInquiry.length; j++ )
      {
        pageWriter.println( prefix + "payeeInquiry[" + j + "] =" );
        if( payeeInquiry[ j ] == null )
          pageWriter.println( " (null)" );
        else
          payeeInquiry[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeName = getCharFromURL( req, prefix + "reqPayeeName" );
    reqPayeeNickname = getCharFromURL( req, prefix + "reqPayeeNickname" );
    reqPayeeInquiryDeliveryMonth = getCharFromURL( req, prefix + "reqPayeeInquiryDeliveryMonth" );
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqMaximumRecordNumber = getLongFromURL( req, prefix + "reqMaximumRecordNumber" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqDfltAcctId = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqDfltAcctId", "GtMultiplePaymentBeneficiaryInquiry" );
  }
}
