//**********************************************
//
// FILE NAME: GtOrderCheckBook.java
// TRANSACTION NAME: Check Book Reorder Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Check Book Reorder Transaction</B>
 * <P>IFS ID: <B>chkbook</B>
 * <P>
 * This transaction allows the consumer to re-order checks from the FI.
 * The key for identifying which consumer account the checks relate to is
 * the Account Identifier.
 * <BR>
 * <P><B>CHK_BOOK_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CHK_BOOK_IMSG</B>
 *            <P>
 *            This request message requests an order of checks from the
 *            FI. The consumer specifies check details, for example, check
 *            book style; delivery method; number of checks; and mailing
 *            information. The consumer may also be required to input a
 *            Password, PIN or other security item depending on the FI's
 *            security policy.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CHK_BOOK_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the consumer's check re-order message was
 *            successfully received by the FI, and may include Financial
 *            Institution and Service Provider Reference Identifiers for
 *            future tracing.
 */
public class GtOrderCheckBook extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtOrderCheckBook() { }
  public GtOrderCheckBook( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "chkbook_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqSecurity(GsSrvcRqstScrty[] o )  { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqSecurity() { return (reqSecurity); }

  private String reqSecurity_packed = null;
  public  void   setReqSecurity_packed(String o ) { reqSecurity_packed = o; }
  public  String getReqSecurity_packed() { return (reqSecurity_packed); }


  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.AcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.AcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsChkBookRqstTg.AcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqConsumerNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.NckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name, short name or
   * nickname (as distinct from the more formal legal name) for a
   * Consumer.
   */
  private String reqConsumerNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.NckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name, short name or
   * nickname (as distinct from the more formal legal name) for a
   * Consumer.
   */
  public  void   setReqConsumerNickname( String o ) { reqConsumerNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.NckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name, short name or
   * nickname (as distinct from the more formal legal name) for a
   * Consumer.
   */
  public  String getReqConsumerNickname() { return (reqConsumerNickname); }

  /**
   * <P>The attribute <code>reqConsumerLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming the name (first, middle and last) of
   * the Consumer.
   */
  private String reqConsumerLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming the name (first, middle and last) of
   * the Consumer.
   */
  public  void   setReqConsumerLine1( String o ) { reqConsumerLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrNmTg.Line1NmTg</code>.
   * <P>
   * An alphanumeric string forming the name (first, middle and last) of
   * the Consumer.
   */
  public  String getReqConsumerLine1() { return (reqConsumerLine1); }

  /**
   * <P>The attribute <code>reqConsumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  private String reqConsumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  public  void   setReqConsumerAccountName( String o ) { reqConsumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  public  String getReqConsumerAccountName() { return (reqConsumerAccountName); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqNumberCheck</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.NbrChkValTg</code>.
   * <P>
   * The number of Checks requested by the Consumer when ordering a new
   * Check Book.
   */
  private int  reqNumberCheck = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNumberCheck</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.NbrChkValTg</code>.
   * <P>
   * The number of Checks requested by the Consumer when ordering a new
   * Check Book.
   */
  public  void setReqNumberCheck( int o ) { reqNumberCheck = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNumberCheck</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.NbrChkValTg</code>.
   * <P>
   * The number of Checks requested by the Consumer when ordering a new
   * Check Book.
   */
  public  int  getReqNumberCheck() { return (reqNumberCheck); }

  /**
   * <P>The attribute <code>reqCheckBookStyle</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.ChkBkStlClTg</code>.
   * <P>
   * A code (assigned by the Financial Institution) classifying the
   * appearance and form of a Check Book and its constituent Checks. For
   * example, the 'Standard' Check Book Style displays the Financial
   * Institution logo on plain-colored paper. The 'Picture' Check Book
   * Style displays a floral motif.
   */
  private String reqCheckBookStyle = null;

  /**
   * <P>Sets the value of the attribute <code>reqCheckBookStyle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.ChkBkStlClTg</code>.
   * <P>
   * A code (assigned by the Financial Institution) classifying the
   * appearance and form of a Check Book and its constituent Checks. For
   * example, the 'Standard' Check Book Style displays the Financial
   * Institution logo on plain-colored paper. The 'Picture' Check Book
   * Style displays a floral motif.
   */
  public  void   setReqCheckBookStyle( String o ) { reqCheckBookStyle = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckBookStyle</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.ChkBkStlClTg</code>.
   * <P>
   * A code (assigned by the Financial Institution) classifying the
   * appearance and form of a Check Book and its constituent Checks. For
   * example, the 'Standard' Check Book Style displays the Financial
   * Institution logo on plain-colored paper. The 'Picture' Check Book
   * Style displays a floral motif.
   */
  public  String getReqCheckBookStyle() { return (reqCheckBookStyle); }

  /**
   * <P>The attribute <code>reqDeliveryMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsChkBookRqstTg.DlvyMethIndTg</code>.
   * <P>
   * A code classifying what method should be used when delivering a new
   * Check Book to the Consumer. For example, the Consumer may select the
   * regular mail option rather than other more expeditious and costly
   * means of having the new Check Book sent.
   */
  private String reqDeliveryMethod = null;

  /**
   * <P>Sets the value of the attribute <code>reqDeliveryMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.DlvyMethIndTg</code>.
   * <P>
   * A code classifying what method should be used when delivering a new
   * Check Book to the Consumer. For example, the Consumer may select the
   * regular mail option rather than other more expeditious and costly
   * means of having the new Check Book sent.
   */
  public  void   setReqDeliveryMethod( String o ) { reqDeliveryMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDeliveryMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsChkBookRqstTg.DlvyMethIndTg</code>.
   * <P>
   * A code classifying what method should be used when delivering a new
   * Check Book to the Consumer. For example, the Consumer may select the
   * regular mail option rather than other more expeditious and costly
   * means of having the new Check Book sent.
   */
  public  String getReqDeliveryMethod() { return (reqDeliveryMethod); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtOrderCheckBook );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqSecurity != null )
    {
      reqSecurity_packed = GsSrvcRqstScrty.pack( reqSecurity );
      addArgToGMJI( reqSecurity_packed );
    } else {
      addArgToGMJI();
    }
    GsAccount.addPropertiesToGMJI( reqAccount, this );

    if( reqConsumerNickname != null && reqConsumerNickname.length() > 30 )
      addArgToGMJI( reqConsumerNickname.substring(0,30));
    else
      addArgToGMJI( reqConsumerNickname ); 

    if( reqConsumerLine1 != null && reqConsumerLine1.length() > 40 )
      addArgToGMJI( reqConsumerLine1.substring(0,40));
    else
      addArgToGMJI( reqConsumerLine1 ); 

    if( reqConsumerAccountName != null && reqConsumerAccountName.length() > 40 )
      addArgToGMJI( reqConsumerAccountName.substring(0,40));
    else
      addArgToGMJI( reqConsumerAccountName ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 
    addArgToGMJI( reqNumberCheck ); 

    if( reqCheckBookStyle != null && reqCheckBookStyle.length() > 8 )
      addArgToGMJI( reqCheckBookStyle.substring(0,8));
    else
      addArgToGMJI( reqCheckBookStyle ); 

    if( reqDeliveryMethod != null && reqDeliveryMethod.length() > 3 )
      addArgToGMJI( reqDeliveryMethod.substring(0,3));
    else
      addArgToGMJI( reqDeliveryMethod ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSecurity =" );
    if( reqSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqSecurity[" + j + "] =" );
        if( reqSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurity_packed = " + getReqSecurity_packed() );

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqConsumerNickname = " + getReqConsumerNickname() );
    pageWriter.println( prefix + "reqConsumerLine1 = " + getReqConsumerLine1() );
    pageWriter.println( prefix + "reqConsumerAccountName = " + getReqConsumerAccountName() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqNumberCheck = " + getReqNumberCheck() );
    pageWriter.println( prefix + "reqCheckBookStyle = " + getReqCheckBookStyle() );
    pageWriter.println( prefix + "reqDeliveryMethod = " + getReqDeliveryMethod() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqSecurity_repeatCounter" );
    reqSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqSecurity[ i ].populateFromURL( txn, req, prefix + "reqSecurity_" + i + "_" );
    }
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtOrderCheckBook" );
    reqConsumerNickname = getCharFromURL( req, prefix + "reqConsumerNickname" );
    reqConsumerLine1 = getCharFromURL( req, prefix + "reqConsumerLine1" );
    reqConsumerAccountName = getCharFromURL( req, prefix + "reqConsumerAccountName" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqNumberCheck = getLongFromURL( req, prefix + "reqNumberCheck" );
    reqCheckBookStyle = getCharFromURL( req, prefix + "reqCheckBookStyle" );
    reqDeliveryMethod = getCharFromURL( req, prefix + "reqDeliveryMethod" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
  }
}
