//**********************************************
//
// FILE NAME: GtOrderCompletionAdvice.java
// TRANSACTION NAME: Order Completion Advice Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Order Completion Advice Transaction</B>
 * <P>IFS ID: <B>ordcompl</B>
 * <P>
 * THis transaction is generated by the back office or the brokerage at
 * the end of the day to tell the consumer the status of an order that was
 * executed that day. It is meant to be stored by the IFS Message Server.
 * The consumer would then retrieve the message at Logon when notified
 * that messages are waiting.
 * <BR>
 * <P><B>ORD_COMPL_ADV_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>ORD_COMPL_ADV_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>ORD_COMPL_ADV_OMSG</B>
 */
public class GtOrderCompletionAdvice extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtOrderCompletionAdvice() { }
  public GtOrderCompletionAdvice( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ordcompl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqSecurityDesc( String o ) { reqSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqSecurityDesc() { return (reqSecurityDesc); }

  /**
   * <P>The attribute <code>reqSecurityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] reqSecurityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setReqSecurityDescAlternate( byte[] o ) { reqSecurityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getReqSecurityDescAlternate() { return (reqSecurityDescAlternate); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqOrderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate reqOrderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setReqOrderOpenDate(GsDate o )  { reqOrderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getReqOrderOpenDate() { return (reqOrderOpenDate); }

  /**
   * <P>The attribute <code>reqTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String reqTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setReqTransactionSource( String o ) { reqTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getReqTransactionSource() { return (reqTransactionSource); }

  /**
   * <P>The attribute <code>reqIssuer</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String reqIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setReqIssuer( String o ) { reqIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getReqIssuer() { return (reqIssuer); }

  /**
   * <P>The attribute <code>reqSecurityType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqSecurityType( int o ) { reqSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqSecurityType() { return (reqSecurityType); }

  /**
   * <P>The attribute <code>reqCompletionState</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  private int  reqCompletionState = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCompletionState</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  public  void setReqCompletionState( int o ) { reqCompletionState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCompletionState</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ComplStCL</code>.
   */
  public  int  getReqCompletionState() { return (reqCompletionState); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

  /**
   * <P>The attribute <code>reqOrderStatus</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  reqOrderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setReqOrderStatus( int o ) { reqOrderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getReqOrderStatus() { return (reqOrderStatus); }

  /**
   * <P>The attribute <code>reqOrderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String reqOrderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setReqOrderReferenceID( String o ) { reqOrderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getReqOrderReferenceID() { return (reqOrderReferenceID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqSettlementAccount(GsAccount o )  { reqSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqSettlementAccount() { return (reqSettlementAccount); }

  /**
   * <P>The attribute <code>reqSettlementType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  reqSettlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setReqSettlementType( int o ) { reqSettlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getReqSettlementType() { return (reqSettlementType); }

  /**
   * <P>The attribute <code>reqFutureSettlement</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate reqFutureSettlement = null;

  /**
   * <P>Sets the value of the attribute <code>reqFutureSettlement</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setReqFutureSettlement(GsDate o )  { reqFutureSettlement = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFutureSettlement</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getReqFutureSettlement() { return (reqFutureSettlement); }

  /**
   * <P>The attribute <code>reqSettlementInstructionSource</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  private int  reqSettlementInstructionSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementInstructionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  public  void setReqSettlementInstructionSource( int o ) { reqSettlementInstructionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementInstructionSource</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrSrcTg</code>.
   * <P>
   * 1 = Broker 2 = Institution (back office)
   */
  public  int  getReqSettlementInstructionSource() { return (reqSettlementInstructionSource); }

  /**
   * <P>The attribute <code>reqSettlementInstruction</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  private String reqSettlementInstruction = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementInstruction</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  public  void   setReqSettlementInstruction( String o ) { reqSettlementInstruction = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementInstruction</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SetlInstrTg</code>.
   * <P>
   * Free form text. Instructions for delivery or receipt of security.
   */
  public  String getReqSettlementInstruction() { return (reqSettlementInstruction); }

  /**
   * <P>The attribute <code>reqOrderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  private int  reqOrderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  void setReqOrderRejectReason( int o ) { reqOrderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  int  getReqOrderRejectReason() { return (reqOrderRejectReason); }

  /**
   * <P>The attribute <code>reqSide</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  reqSide = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setReqSide( int o ) { reqSide = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getReqSide() { return (reqSide); }

  /**
   * <P>The attribute <code>reqOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal reqOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setReqOrderQuantity(GsDecimal o )  { reqOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getReqOrderQuantity() { return (reqOrderQuantity); }

  /**
   * <P>The attribute <code>reqFilledOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  private GsDecimal reqFilledOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqFilledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  void      setReqFilledOrderQuantity(GsDecimal o )  { reqFilledOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFilledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  GsDecimal getReqFilledOrderQuantity() { return (reqFilledOrderQuantity); }

  /**
   * <P>The attribute <code>reqOrderType</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  reqOrderType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setReqOrderType( int o ) { reqOrderType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getReqOrderType() { return (reqOrderType); }

  /**
   * <P>The attribute <code>reqPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  private GsCurrency reqPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  void       setReqPrice(GsCurrency o )  { reqPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  GsCurrency getReqPrice() { return (reqPrice); }

  /**
   * <P>The attribute <code>reqTradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate reqTradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setReqTradeDate(GsDate o )  { reqTradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getReqTradeDate() { return (reqTradeDate); }

  /**
   * <P>The attribute <code>reqTimestamp</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private String reqTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void   setReqTimestamp( String o ) { reqTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  String getReqTimestamp() { return (reqTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] reqFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setReqFeeDtl(GsFeeDtl[] o )  { reqFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>OrdComplAdvReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getReqFeeDtl() { return (reqFeeDtl); }

  private String reqFeeDtl_packed = null;
  public  void   setReqFeeDtl_packed(String o ) { reqFeeDtl_packed = o; }
  public  String getReqFeeDtl_packed() { return (reqFeeDtl_packed); }


  /**
   * <P>The attribute <code>reqExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String reqExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setReqExecutionInstructions( String o ) { reqExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>OrdComplAdvReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getReqExecutionInstructions() { return (reqExecutionInstructions); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtOrderCompletionAdvice );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 

    if( reqSecurityDesc != null && reqSecurityDesc.length() > 50 )
      addArgToGMJI( reqSecurityDesc.substring(0,50));
    else
      addArgToGMJI( reqSecurityDesc ); 
    addArgToGMJI( reqSecurityDescAlternate ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 
    GsDate.addPropertiesToGMJI( reqOrderOpenDate, this );

    if( reqTransactionSource != null && reqTransactionSource.length() > 1 )
      addArgToGMJI( reqTransactionSource.substring(0,1));
    else
      addArgToGMJI( reqTransactionSource ); 

    if( reqIssuer != null && reqIssuer.length() > 50 )
      addArgToGMJI( reqIssuer.substring(0,50));
    else
      addArgToGMJI( reqIssuer ); 
    addArgToGMJI( reqSecurityType ); 
    addArgToGMJI( reqCompletionState ); 

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 
    addArgToGMJI( reqOrderStatus ); 

    if( reqOrderReferenceID != null && reqOrderReferenceID.length() > 16 )
      addArgToGMJI( reqOrderReferenceID.substring(0,16));
    else
      addArgToGMJI( reqOrderReferenceID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsAccount.addPropertiesToGMJI( reqSettlementAccount, this );
    addArgToGMJI( reqSettlementType ); 
    GsDate.addPropertiesToGMJI( reqFutureSettlement, this );
    addArgToGMJI( reqSettlementInstructionSource ); 

    if( reqSettlementInstruction != null && reqSettlementInstruction.length() > 50 )
      addArgToGMJI( reqSettlementInstruction.substring(0,50));
    else
      addArgToGMJI( reqSettlementInstruction ); 
    addArgToGMJI( reqOrderRejectReason ); 
    addArgToGMJI( reqSide ); 
    GsDecimal.addPropertiesToGMJI( reqOrderQuantity, this );
    GsDecimal.addPropertiesToGMJI( reqFilledOrderQuantity, this );
    addArgToGMJI( reqOrderType ); 
    GsCurrency.addPropertiesToGMJI( reqPrice, this );
    GsDate.addPropertiesToGMJI( reqTradeDate, this );

    if( reqTimestamp != null && reqTimestamp.length() > 26 )
      addArgToGMJI( reqTimestamp.substring(0,26));
    else
      addArgToGMJI( reqTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 
    if( reqFeeDtl != null )
    {
      reqFeeDtl_packed = GsFeeDtl.pack( reqFeeDtl );
      addArgToGMJI( reqFeeDtl_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqExecutionInstructions ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqSecurityDesc = " + getReqSecurityDesc() );
    pageWriter.println( prefix + "reqSecurityDescAlternate = " + getReqSecurityDescAlternate() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );

    pageWriter.println( prefix + "reqOrderOpenDate =" );
    if( reqOrderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionSource = " + getReqTransactionSource() );
    pageWriter.println( prefix + "reqIssuer = " + getReqIssuer() );
    pageWriter.println( prefix + "reqSecurityType = " + getReqSecurityType() );
    pageWriter.println( prefix + "reqCompletionState = " + getReqCompletionState() );
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );
    pageWriter.println( prefix + "reqOrderStatus = " + getReqOrderStatus() );
    pageWriter.println( prefix + "reqOrderReferenceID = " + getReqOrderReferenceID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqSettlementAccount =" );
    if( reqSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSettlementType = " + getReqSettlementType() );

    pageWriter.println( prefix + "reqFutureSettlement =" );
    if( reqFutureSettlement == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFutureSettlement.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSettlementInstructionSource = " + getReqSettlementInstructionSource() );
    pageWriter.println( prefix + "reqSettlementInstruction = " + getReqSettlementInstruction() );
    pageWriter.println( prefix + "reqOrderRejectReason = " + getReqOrderRejectReason() );
    pageWriter.println( prefix + "reqSide = " + getReqSide() );

    pageWriter.println( prefix + "reqOrderQuantity =" );
    if( reqOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFilledOrderQuantity =" );
    if( reqFilledOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFilledOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqOrderType = " + getReqOrderType() );

    pageWriter.println( prefix + "reqPrice =" );
    if( reqPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTradeDate =" );
    if( reqTradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTimestamp = " + getReqTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );

    pageWriter.println( prefix + "reqFeeDtl =" );
    if( reqFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqFeeDtl[" + j + "] =" );
        if( reqFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFeeDtl_packed = " + getReqFeeDtl_packed() );
    pageWriter.println( prefix + "reqExecutionInstructions = " + getReqExecutionInstructions() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqSecurityDesc = getCharFromURL( req, prefix + "reqSecurityDesc" );
    reqSecurityDescAlternate = getBinaryFromURL( req, prefix + "reqSecurityDescAlternate" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqOrderOpenDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderOpenDate", "GtOrderCompletionAdvice" );
    reqTransactionSource = getCharFromURL( req, prefix + "reqTransactionSource" );
    reqIssuer = getCharFromURL( req, prefix + "reqIssuer" );
    reqSecurityType = getLongFromURL( req, prefix + "reqSecurityType" );
    reqCompletionState = getLongFromURL( req, prefix + "reqCompletionState" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
    reqOrderStatus = getLongFromURL( req, prefix + "reqOrderStatus" );
    reqOrderReferenceID = getCharFromURL( req, prefix + "reqOrderReferenceID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtOrderCompletionAdvice" );
    reqSettlementAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSettlementAccount", "GtOrderCompletionAdvice" );
    reqSettlementType = getLongFromURL( req, prefix + "reqSettlementType" );
    reqFutureSettlement = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqFutureSettlement", "GtOrderCompletionAdvice" );
    reqSettlementInstructionSource = getLongFromURL( req, prefix + "reqSettlementInstructionSource" );
    reqSettlementInstruction = getCharFromURL( req, prefix + "reqSettlementInstruction" );
    reqOrderRejectReason = getLongFromURL( req, prefix + "reqOrderRejectReason" );
    reqSide = getLongFromURL( req, prefix + "reqSide" );
    reqOrderQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderQuantity", "GtOrderCompletionAdvice" );
    reqFilledOrderQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqFilledOrderQuantity", "GtOrderCompletionAdvice" );
    reqOrderType = getLongFromURL( req, prefix + "reqOrderType" );
    reqPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPrice", "GtOrderCompletionAdvice" );
    reqTradeDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTradeDate", "GtOrderCompletionAdvice" );
    reqTimestamp = getCharFromURL( req, prefix + "reqTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );

    repeatCounter = getLongFromURL( req, prefix + "reqFeeDtl_repeatCounter" );
    reqFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqFeeDtl[ i ] = new GsFeeDtl(getIfsSession());
      reqFeeDtl[ i ].populateFromURL( txn, req, prefix + "reqFeeDtl_" + i + "_" );
    }
    reqExecutionInstructions = getCharFromURL( req, prefix + "reqExecutionInstructions" );
  }
}
