//**********************************************
//
// FILE NAME: GtPayeeDetail.java
// TRANSACTION NAME: Payee Detail Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Payee Detail Inquiry Transaction</B>
 * <P>IFS ID: <B>payeedtl</B>
 * <P>
 * This transaction allows a consumer to retrieve detailed information
 * about a payee (identified by the Payee identifier), regardless of type.
 * <BR>
 * <P><B>PAYEE_DTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>PAYEE_DTL_IMSG</B>
 *            <P>
 *            This message allows a consumer to retrieve detailed
 *            information about a payee, regardless of Payee type. The
 *            Payee is identified by the Payee Identifier. The information
 *            returned for each Payee varies depending on the type of
 *            payee i.e. Free-form payee, a Biller Account Payee, or
 *            Interbank Transfer Payees. However, certain fields are
 *            returned regardless of the Payee type such as Payee type,
 *            Payee nickname, default details such as funding account,
 *            payment category. Other information returned is specific per
 *            Payee type for example, Payee name and address details are
 *            returned for a free-form Payee, destination Financial
 *            Institution name and account number are returned for
 *            Interbank Transfer Payees.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>PAYEE_DTL_OMSG</B>
 *            <P>
 *            This message is sent to the Consumer or CSR who requested
 *            the Payee information and contains detailed Payee
 *            information.
 */
public class GtPayeeDetail extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtPayeeDetail() { }
  public GtPayeeDetail( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "payeedtl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeIdTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeIdTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeIdTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqPayeeNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeIdTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  private String reqPayeeNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeIdTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  void   setReqPayeeNickname( String o ) { reqPayeeNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeIdTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  String getReqPayeeNickname() { return (reqPayeeNickname); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>payeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String payeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setPayeeNumber( String o ) { payeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getPayeeNumber() { return (payeeNumber); }

  /**
   * <P>The attribute <code>nickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  private String nickname = null;

  /**
   * <P>Sets the value of the attribute <code>nickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  void   setNickname( String o ) { nickname = o; }

  /**
   * <P>Gets the value of the attribute <code>nickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  String getNickname() { return (nickname); }

  /**
   * <P>The attribute <code>line1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  private String line1 = null;

  /**
   * <P>Sets the value of the attribute <code>line1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  void   setLine1( String o ) { line1 = o; }

  /**
   * <P>Gets the value of the attribute <code>line1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  String getLine1() { return (line1); }

  /**
   * <P>The attribute <code>chargeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String chargeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>chargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setChargeNumber( String o ) { chargeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>chargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getChargeNumber() { return (chargeNumber); }

  /**
   * <P>The attribute <code>addrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String addrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setAddrLine1Nm( String o ) { addrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getAddrLine1Nm() { return (addrLine1Nm); }

  /**
   * <P>The attribute <code>addrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String addrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setAddrLine2Nm( String o ) { addrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getAddrLine2Nm() { return (addrLine2Nm); }

  /**
   * <P>The attribute <code>addrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String addrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setAddrLine3Nm( String o ) { addrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getAddrLine3Nm() { return (addrLine3Nm); }

  /**
   * <P>The attribute <code>cityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String cityNm = null;

  /**
   * <P>Sets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setCityNm( String o ) { cityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getCityNm() { return (cityNm); }

  /**
   * <P>The attribute <code>provNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String provNm = null;

  /**
   * <P>Sets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setProvNm( String o ) { provNm = o; }

  /**
   * <P>Gets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getProvNm() { return (provNm); }

  /**
   * <P>The attribute <code>stateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String stateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setStateCodeCl( String o ) { stateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getStateCodeCl() { return (stateCodeCl); }

  /**
   * <P>The attribute <code>cntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String cntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setCntryCodeCl( String o ) { cntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getCntryCodeCl() { return (cntryCodeCl); }

  /**
   * <P>The attribute <code>zipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String zipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setZipCodeCl( String o ) { zipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getZipCodeCl() { return (zipCodeCl); }

  /**
   * <P>The attribute <code>pstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String pstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setPstCodeCl( String o ) { pstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeBascDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getPstCodeCl() { return (pstCodeCl); }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 1.
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 2.
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Payee. See Address Line 3.
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Payee. See City.
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Payee. See Province.
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Payee. See State Code.
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Payee. See Country Code.
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Payee. See Zip Code.
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Payee. See Postal Code for definition.
   */
  public  String getPostalCode() { return (postalCode); }

  /**
   * <P>The attribute <code>defaultAccountNumber</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  private GsAccount defaultAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>defaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  void      setDefaultAccountNumber(GsAccount o )  { defaultAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>defaultAccountNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.DfltAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getDefaultAccountNumber() { return (defaultAccountNumber); }

  /**
   * <P>The attribute <code>paymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  private String paymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>paymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  public  void   setPaymentCategory( String o ) { paymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtCatDescTg</code>.
   * <P>
   * The Payment Category nominated by the Consumer as the Default Payment
   * Category for a Payee. The default Payment Category is displayed to
   * the user when defining payment details.
   */
  public  String getPaymentCategory() { return (paymentCategory); }

  /**
   * <P>The attribute <code>paymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  private String paymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>paymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  public  void   setPaymentMemo( String o ) { paymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.DfltPymtTg.PymtMemoNmTg</code>.
   * <P>
   * The Payment Memo identified by the Consumer as the Default Payment
   * Memo for the Payee. The Default Payment Memo is displayed to the user
   * when defining payment details.
   */
  public  String getPaymentMemo() { return (paymentMemo); }

  /**
   * <P>The attribute <code>payeeWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  private String payeeWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>payeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  void   setPayeeWorkPhone( String o ) { payeeWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeWrkPhNbrTg</code>.
   * <P>
   * An alphanumeric string identifying the phone number of an individual
   * or organizations defined as a Payee. The payee phone number is an
   * optional Gold field but is required by IFS if multiple client support
   * including OFX PFMs is desired.
   */
  public  String getPayeeWorkPhone() { return (payeeWorkPhone); }

  /**
   * <P>The attribute <code>privatePayeeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  private String privatePayeeFlag = null;

  /**
   * <P>Sets the value of the attribute <code>privatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  void   setPrivatePayeeFlag( String o ) { privatePayeeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>privatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   * <P>
   * A code indicating if a freeform Payee (a personal payee added by the
   * Consumer) is Private. The payee is eligible to be promoted to a
   * biller if the Financial Institution/Payment Engine chooses to do so.
   * Private payees (N), are not eligible for promotion to a biller.
   */
  public  String getPrivatePayeeFlag() { return (privatePayeeFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>privatePayeeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PrvtPayeeFTg</code>.
   */
  public  String getPrivatePayeeFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPrvtPayeeFResources", locale, getPrivatePayeeFlag() );
  }

  /**
   * <P>The attribute <code>payeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  private String payeeType = null;

  /**
   * <P>Sets the value of the attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  void   setPayeeType( String o ) { payeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  String getPayeeType() { return (payeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.PayeeTpClTg</code>.
   */
  public  String getPayeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeTpClResources", locale, getPayeeType() );
  }

  /**
   * <P>The attribute <code>billerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String billerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>billerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setBillerNumber( String o ) { billerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>billerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getBillerNumber() { return (billerNumber); }

  /**
   * <P>The attribute <code>billerAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  private String billerAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>billerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  void   setBillerAccountNumber( String o ) { billerAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>billerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  String getBillerAccountNumber() { return (billerAccountNumber); }

  /**
   * <P>The attribute <code>routingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  private String routingNumber = null;

  /**
   * <P>Sets the value of the attribute <code>routingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  void   setRoutingNumber( String o ) { routingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>routingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiRoutNbrIdTg</code>.
   * <P>
   * The Financial Institution Federal Reserve Bank number for an
   * interbank transfer payee.
   */
  public  String getRoutingNumber() { return (routingNumber); }

  /**
   * <P>The attribute <code>fINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  private String fINickname = null;

  /**
   * <P>Sets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  void   setFINickname( String o ) { fINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  String getFINickname() { return (fINickname); }

  /**
   * <P>The attribute <code>fILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  private String fILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  void   setFILine1( String o ) { fILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Destination Financial Institution associated with an
   * Interbank Transfer Payee. See Financial Institution Name Line 1.
   */
  public  String getFILine1() { return (fILine1); }

  /**
   * <P>The attribute <code>accountTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount accountTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setAccountTargetDetail(GsAccount o )  { accountTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPayeeRqstTg.PayeeDtlTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getAccountTargetDetail() { return (accountTargetDetail); }

  /**
   * <P>The attribute <code>clearinghouseTypeID</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  private int  clearinghouseTypeID = 0;

  /**
   * <P>Sets the value of the attribute <code>clearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  void setClearinghouseTypeID( int o ) { clearinghouseTypeID = o; }

  /**
   * <P>Gets the value of the attribute <code>clearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeRqstTg.PayeeDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  int  getClearinghouseTypeID() { return (clearinghouseTypeID); }

  /**
   * <P>The attribute <code>standardDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  private int  standardDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  void setStandardDeliveryTime( int o ) { standardDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  int  getStandardDeliveryTime() { return (standardDeliveryTime); }

  /**
   * <P>The attribute <code>expeditedDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  private int  expeditedDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  void setExpeditedDeliveryTime( int o ) { expeditedDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>expeditedDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDlvyDtlTg.ExpdDlvyTmValTg</code>.
   * <P>
   * The length of time, in days, for a priority or expedited Payment to
   * reach the Payee. For example, the Expedited Delivery Time for a
   * certain Payee is 2 days, whereas the Standard Delivery Time for the
   * same Payee is 4 days.
   */
  public  int  getExpeditedDeliveryTime() { return (expeditedDeliveryTime); }

  /**
   * <P>The attribute <code>paymentRemitName</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtRemitNmTg.PymtRemitNmTg</code>.
   * <P>
   * An alphanumeric string identifying the individual nominated by the
   * Biller to whom the Payments and Payment Remittance Data should be
   * sent. It is the name identified in the 'make payable to' line in the
   * Customer Bill. If not supplied the Biller Name will be used.
   */
  private String paymentRemitName = null;

  /**
   * <P>Sets the value of the attribute <code>paymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtRemitNmTg.PymtRemitNmTg</code>.
   * <P>
   * An alphanumeric string identifying the individual nominated by the
   * Biller to whom the Payments and Payment Remittance Data should be
   * sent. It is the name identified in the 'make payable to' line in the
   * Customer Bill. If not supplied the Biller Name will be used.
   */
  public  void   setPaymentRemitName( String o ) { paymentRemitName = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentRemitName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtRemitNmTg.PymtRemitNmTg</code>.
   * <P>
   * An alphanumeric string identifying the individual nominated by the
   * Biller to whom the Payments and Payment Remittance Data should be
   * sent. It is the name identified in the 'make payable to' line in the
   * Customer Bill. If not supplied the Biller Name will be used.
   */
  public  String getPaymentRemitName() { return (paymentRemitName); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>payeeNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNmAltTg</code>.
   * <P>
   * Payee Name in alternate language.
   */
  private String payeeNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNmAltTg</code>.
   * <P>
   * Payee Name in alternate language.
   */
  public  void   setPayeeNmAlt( String o ) { payeeNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNmAltTg</code>.
   * <P>
   * Payee Name in alternate language.
   */
  public  String getPayeeNmAlt() { return (payeeNmAlt); }

  /**
   * <P>The attribute <code>payeeNckNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNckNmAltTg</code>.
   * <P>
   * Payee Nickname in alternate language.
   */
  private String payeeNckNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>payeeNckNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNckNmAltTg</code>.
   * <P>
   * Payee Nickname in alternate language.
   */
  public  void   setPayeeNckNmAlt( String o ) { payeeNckNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeNckNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.IfsPayeeNmDtlAltTg.PayeeNckNmAltTg</code>.
   * <P>
   * Payee Nickname in alternate language.
   */
  public  String getPayeeNckNmAlt() { return (payeeNckNmAlt); }

  /**
   * <P>The attribute <code>payeeAddrAltTAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine1NmTg</code>.
   */
  private String payeeAddrAltTAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine1NmTg</code>.
   */
  public  void   setPayeeAddrAltTAddrLine1Nm( String o ) { payeeAddrAltTAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine1NmTg</code>.
   */
  public  String getPayeeAddrAltTAddrLine1Nm() { return (payeeAddrAltTAddrLine1Nm); }

  /**
   * <P>The attribute <code>payeeAddrAltTAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine2NmTg</code>.
   */
  private String payeeAddrAltTAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine2NmTg</code>.
   */
  public  void   setPayeeAddrAltTAddrLine2Nm( String o ) { payeeAddrAltTAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine2NmTg</code>.
   */
  public  String getPayeeAddrAltTAddrLine2Nm() { return (payeeAddrAltTAddrLine2Nm); }

  /**
   * <P>The attribute <code>payeeAddrAltTAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine3NmTg</code>.
   */
  private String payeeAddrAltTAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine3NmTg</code>.
   */
  public  void   setPayeeAddrAltTAddrLine3Nm( String o ) { payeeAddrAltTAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.AddrLine3NmTg</code>.
   */
  public  String getPayeeAddrAltTAddrLine3Nm() { return (payeeAddrAltTAddrLine3Nm); }

  /**
   * <P>The attribute <code>payeeAddrAltTCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CityNmTg</code>.
   */
  private String payeeAddrAltTCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CityNmTg</code>.
   */
  public  void   setPayeeAddrAltTCityNm( String o ) { payeeAddrAltTCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CityNmTg</code>.
   */
  public  String getPayeeAddrAltTCityNm() { return (payeeAddrAltTCityNm); }

  /**
   * <P>The attribute <code>payeeAddrAltTProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ProvNmTg</code>.
   */
  private String payeeAddrAltTProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ProvNmTg</code>.
   */
  public  void   setPayeeAddrAltTProvNm( String o ) { payeeAddrAltTProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ProvNmTg</code>.
   */
  public  String getPayeeAddrAltTProvNm() { return (payeeAddrAltTProvNm); }

  /**
   * <P>The attribute <code>payeeAddrAltTStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.StateCodeClTg</code>.
   */
  private String payeeAddrAltTStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.StateCodeClTg</code>.
   */
  public  void   setPayeeAddrAltTStateCodeCl( String o ) { payeeAddrAltTStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.StateCodeClTg</code>.
   */
  public  String getPayeeAddrAltTStateCodeCl() { return (payeeAddrAltTStateCodeCl); }

  /**
   * <P>The attribute <code>payeeAddrAltTCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CntryCodeClTg</code>.
   */
  private String payeeAddrAltTCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CntryCodeClTg</code>.
   */
  public  void   setPayeeAddrAltTCntryCodeCl( String o ) { payeeAddrAltTCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.CntryCodeClTg</code>.
   */
  public  String getPayeeAddrAltTCntryCodeCl() { return (payeeAddrAltTCntryCodeCl); }

  /**
   * <P>The attribute <code>payeeAddrAltTZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ZipCodeClTg</code>.
   */
  private String payeeAddrAltTZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ZipCodeClTg</code>.
   */
  public  void   setPayeeAddrAltTZipCodeCl( String o ) { payeeAddrAltTZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.ZipCodeClTg</code>.
   */
  public  String getPayeeAddrAltTZipCodeCl() { return (payeeAddrAltTZipCodeCl); }

  /**
   * <P>The attribute <code>payeeAddrAltTPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.PstCodeClTg</code>.
   */
  private String payeeAddrAltTPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>payeeAddrAltTPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.PstCodeClTg</code>.
   */
  public  void   setPayeeAddrAltTPstCodeCl( String o ) { payeeAddrAltTPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeAddrAltTPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPayeeDtlAltTg.PayeeAddrAltTg.PstCodeClTg</code>.
   */
  public  String getPayeeAddrAltTPstCodeCl() { return (payeeAddrAltTPstCodeCl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtPayeeDetail );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqPayeeNickname != null && reqPayeeNickname.length() > 30 )
      addArgToGMJI( reqPayeeNickname.substring(0,30));
    else
      addArgToGMJI( reqPayeeNickname ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    payeeNumber = txn.getNextCharFromGMJO( 11, "payeeNumber" );
    nickname = txn.getNextNlsCharFromGMJO( 30, "nickname" );
    line1 = txn.getNextNlsCharFromGMJO( 40, "line1" );
    chargeNumber = txn.getNextCharFromGMJO( 30, "chargeNumber" );
    addrLine1Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine1Nm" );
    addrLine2Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine2Nm" );
    addrLine3Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine3Nm" );
    cityNm = txn.getNextNlsCharFromGMJO( 30, "cityNm" );
    provNm = txn.getNextNlsCharFromGMJO( 30, "provNm" );
    stateCodeCl = txn.getNextCharFromGMJO( 2, "stateCodeCl" );
    cntryCodeCl = txn.getNextCharFromGMJO( 3, "cntryCodeCl" );
    zipCodeCl = txn.getNextCharFromGMJO( 9, "zipCodeCl" );
    pstCodeCl = txn.getNextCharFromGMJO( 6, "pstCodeCl" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    defaultAccountNumber = new GsAccount( txn, "defaultAccountNumber" );
    paymentCategory = txn.getNextNlsCharFromGMJO( 40, "paymentCategory" );
    paymentMemo = txn.getNextNlsCharFromGMJO( 40, "paymentMemo" );
    payeeWorkPhone = txn.getNextCharFromGMJO( 15, "payeeWorkPhone" );
    privatePayeeFlag = txn.getNextCharFromGMJO( 1, "privatePayeeFlag" );
    payeeType = txn.getNextCharFromGMJO( 1, "payeeType" );
    billerNumber = txn.getNextCharFromGMJO( 20, "billerNumber" );
    billerAccountNumber = txn.getNextCharFromGMJO( 30, "billerAccountNumber" );
    routingNumber = txn.getNextCharFromGMJO( 9, "routingNumber" );
    fINickname = txn.getNextNlsCharFromGMJO( 30, "fINickname" );
    fILine1 = txn.getNextNlsCharFromGMJO( 40, "fILine1" );
    accountTargetDetail = new GsAccount( txn, "accountTargetDetail" );
    clearinghouseTypeID = txn.getNextLongFromGMJO( "clearinghouseTypeID" );
    standardDeliveryTime = txn.getNextLongFromGMJO( "standardDeliveryTime" );
    expeditedDeliveryTime = txn.getNextLongFromGMJO( "expeditedDeliveryTime" );
    paymentRemitName = txn.getNextNlsCharFromGMJO( 40, "paymentRemitName" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    payeeNmAlt = txn.getNextNlsCharFromGMJO( 40, "payeeNmAlt" );
    payeeNckNmAlt = txn.getNextNlsCharFromGMJO( 30, "payeeNckNmAlt" );
    payeeAddrAltTAddrLine1Nm = txn.getNextNlsCharFromGMJO( 40, "payeeAddrAltTAddrLine1Nm" );
    payeeAddrAltTAddrLine2Nm = txn.getNextNlsCharFromGMJO( 40, "payeeAddrAltTAddrLine2Nm" );
    payeeAddrAltTAddrLine3Nm = txn.getNextNlsCharFromGMJO( 40, "payeeAddrAltTAddrLine3Nm" );
    payeeAddrAltTCityNm = txn.getNextNlsCharFromGMJO( 30, "payeeAddrAltTCityNm" );
    payeeAddrAltTProvNm = txn.getNextNlsCharFromGMJO( 30, "payeeAddrAltTProvNm" );
    payeeAddrAltTStateCodeCl = txn.getNextCharFromGMJO( 2, "payeeAddrAltTStateCodeCl" );
    payeeAddrAltTCntryCodeCl = txn.getNextCharFromGMJO( 3, "payeeAddrAltTCntryCodeCl" );
    payeeAddrAltTZipCodeCl = txn.getNextCharFromGMJO( 9, "payeeAddrAltTZipCodeCl" );
    payeeAddrAltTPstCodeCl = txn.getNextCharFromGMJO( 6, "payeeAddrAltTPstCodeCl" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqPayeeNickname = " + getReqPayeeNickname() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeNumber = " + getPayeeNumber() );
    pageWriter.println( prefix + "nickname = " + getNickname() );
    pageWriter.println( prefix + "line1 = " + getLine1() );
    pageWriter.println( prefix + "chargeNumber = " + getChargeNumber() );
    pageWriter.println( prefix + "addrLine1Nm = " + getAddrLine1Nm() );
    pageWriter.println( prefix + "addrLine2Nm = " + getAddrLine2Nm() );
    pageWriter.println( prefix + "addrLine3Nm = " + getAddrLine3Nm() );
    pageWriter.println( prefix + "cityNm = " + getCityNm() );
    pageWriter.println( prefix + "provNm = " + getProvNm() );
    pageWriter.println( prefix + "stateCodeCl = " + getStateCodeCl() );
    pageWriter.println( prefix + "cntryCodeCl = " + getCntryCodeCl() );
    pageWriter.println( prefix + "zipCodeCl = " + getZipCodeCl() );
    pageWriter.println( prefix + "pstCodeCl = " + getPstCodeCl() );
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );

    pageWriter.println( prefix + "defaultAccountNumber =" );
    if( defaultAccountNumber == null ) {
      pageWriter.println( " (null)" );
    } else {
      defaultAccountNumber.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "paymentCategory = " + getPaymentCategory() );
    pageWriter.println( prefix + "paymentMemo = " + getPaymentMemo() );
    pageWriter.println( prefix + "payeeWorkPhone = " + getPayeeWorkPhone() );
    pageWriter.println( prefix + "privatePayeeFlag = " + getPrivatePayeeFlag() );
    try {
      pageWriter.println( prefix + "privatePayeeFlag_text = " + getPrivatePayeeFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "privatePayeeFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeType = " + getPayeeType() );
    try {
      pageWriter.println( prefix + "payeeType_text = " + getPayeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "billerNumber = " + getBillerNumber() );
    pageWriter.println( prefix + "billerAccountNumber = " + getBillerAccountNumber() );
    pageWriter.println( prefix + "routingNumber = " + getRoutingNumber() );
    pageWriter.println( prefix + "fINickname = " + getFINickname() );
    pageWriter.println( prefix + "fILine1 = " + getFILine1() );

    pageWriter.println( prefix + "accountTargetDetail =" );
    if( accountTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "clearinghouseTypeID = " + getClearinghouseTypeID() );
    pageWriter.println( prefix + "standardDeliveryTime = " + getStandardDeliveryTime() );
    pageWriter.println( prefix + "expeditedDeliveryTime = " + getExpeditedDeliveryTime() );
    pageWriter.println( prefix + "paymentRemitName = " + getPaymentRemitName() );
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
    pageWriter.println( prefix + "payeeNmAlt = " + getPayeeNmAlt() );
    pageWriter.println( prefix + "payeeNckNmAlt = " + getPayeeNckNmAlt() );
    pageWriter.println( prefix + "payeeAddrAltTAddrLine1Nm = " + getPayeeAddrAltTAddrLine1Nm() );
    pageWriter.println( prefix + "payeeAddrAltTAddrLine2Nm = " + getPayeeAddrAltTAddrLine2Nm() );
    pageWriter.println( prefix + "payeeAddrAltTAddrLine3Nm = " + getPayeeAddrAltTAddrLine3Nm() );
    pageWriter.println( prefix + "payeeAddrAltTCityNm = " + getPayeeAddrAltTCityNm() );
    pageWriter.println( prefix + "payeeAddrAltTProvNm = " + getPayeeAddrAltTProvNm() );
    pageWriter.println( prefix + "payeeAddrAltTStateCodeCl = " + getPayeeAddrAltTStateCodeCl() );
    pageWriter.println( prefix + "payeeAddrAltTCntryCodeCl = " + getPayeeAddrAltTCntryCodeCl() );
    pageWriter.println( prefix + "payeeAddrAltTZipCodeCl = " + getPayeeAddrAltTZipCodeCl() );
    pageWriter.println( prefix + "payeeAddrAltTPstCodeCl = " + getPayeeAddrAltTPstCodeCl() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqPayeeNickname = getCharFromURL( req, prefix + "reqPayeeNickname" );
  }
}
