//**********************************************
//
// FILE NAME: GtPaymentDefinitionInquiry.java
// TRANSACTION NAME: Payment Definition Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Payment Definition Inquiry Transaction</B>
 * <P>IFS ID: <B>pymtdefi</B>
 * <P>
 * This transaction retrieves a list of all current payment definitions,
 * both single and recurring.
 * <BR>
 * <P><B>PYMT_DEFN_INQR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>PYMT_DEFN_INQR_IMSG</B>
 *            <P>
 *            This message allows a consumer or CSR to retrieve a list of
 *            all current payment definitions, both single and recurring.
 *            A Single Payment definition is the same as its (only)
 *            pending payment instance except the payment date in the
 *            definition is the original one requested by the consumer
 *            whereas the payment date in the pending payment instance may
 *            have been adjusted if the consumer's requested date fell on
 *            a Financial Institution holiday. The information for a
 *            recurring payment definition includes, for example, the
 *            frequency of payment, the number of payments remaining in
 *            the series, final payment amount and final payment date.
 *            Since a Payment list can contain a large number of payments,
 *            the requestor can use the Maximum Number of Payments field
 *            below to indicate how many payments should be transmitted.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>PYMT_DEFN_INQR_OMSG</B>
 *            <P>
 *            This message is sent to the CSR or Consumer and contains the
 *            Payments Definitions requested. The More flag indicates the
 *            there were more Payment Definitions retrieved then sent in
 *            this current message.
 */
public class GtPaymentDefinitionInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtPaymentDefinitionInquiry() { }
  public GtPaymentDefinitionInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "pymtdefi_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumRecordNumber( int o ) { reqMaximumRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumRecordNumber() { return (reqMaximumRecordNumber); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqPaymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  private String reqPaymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  public  void   setReqPaymentType( String o ) { reqPaymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  public  String getReqPaymentType() { return (reqPaymentType); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQRqTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqPaymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String reqPaymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setReqPaymentNickname( String o ) { reqPaymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getReqPaymentNickname() { return (reqPaymentNickname); }

  /**
   * <P>The attribute <code>reqPaymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  private String reqPaymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  void   setReqPaymentCategory( String o ) { reqPaymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  String getReqPaymentCategory() { return (reqPaymentCategory); }

  /**
   * <P>The attribute <code>reqPaymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  private String reqPaymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  void   setReqPaymentMemo( String o ) { reqPaymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  String getReqPaymentMemo() { return (reqPaymentMemo); }

  /**
   * <P>The attribute <code>reqPaymentDefinitionID</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  private String reqPaymentDefinitionID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  void   setReqPaymentDefinitionID( String o ) { reqPaymentDefinitionID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtDefnInQRqTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  String getReqPaymentDefinitionID() { return (reqPaymentDefinitionID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>paymentDefinition</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQReTg.PymtDefnDtlTg</code>.
   * <P>
   * Details of a Payment Definition.
   * <BR>
   */
  private GsPymtDefnDtl[] paymentDefinition = null;

  /**
   * <P>Sets the value of the attribute <code>paymentDefinition</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQReTg.PymtDefnDtlTg</code>.
   * <P>
   * Details of a Payment Definition.
   * <BR>
   */
  public  void            setPaymentDefinition(GsPymtDefnDtl[] o )  { paymentDefinition = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentDefinition</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtDefnInQReTg.PymtDefnDtlTg</code>.
   * <P>
   * Details of a Payment Definition.
   * <BR>
   */
  public  GsPymtDefnDtl[] getPaymentDefinition() { return (paymentDefinition); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtPaymentDefinitionInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumRecordNumber ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 
    GsAccount.addPropertiesToGMJI( reqAccount, this );

    if( reqPaymentType != null && reqPaymentType.length() > 1 )
      addArgToGMJI( reqPaymentType.substring(0,1));
    else
      addArgToGMJI( reqPaymentType ); 
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );

    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqPaymentNickname != null && reqPaymentNickname.length() > 30 )
      addArgToGMJI( reqPaymentNickname.substring(0,30));
    else
      addArgToGMJI( reqPaymentNickname ); 

    if( reqPaymentCategory != null && reqPaymentCategory.length() > 40 )
      addArgToGMJI( reqPaymentCategory.substring(0,40));
    else
      addArgToGMJI( reqPaymentCategory ); 

    if( reqPaymentMemo != null && reqPaymentMemo.length() > 40 )
      addArgToGMJI( reqPaymentMemo.substring(0,40));
    else
      addArgToGMJI( reqPaymentMemo ); 

    if( reqPaymentDefinitionID != null && reqPaymentDefinitionID.length() > 36 )
      addArgToGMJI( reqPaymentDefinitionID.substring(0,36));
    else
      addArgToGMJI( reqPaymentDefinitionID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    paymentDefinition = new GsPymtDefnDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      paymentDefinition[ i ] = new GsPymtDefnDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumRecordNumber = " + getReqMaximumRecordNumber() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentType = " + getReqPaymentType() );

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqPaymentNickname = " + getReqPaymentNickname() );
    pageWriter.println( prefix + "reqPaymentCategory = " + getReqPaymentCategory() );
    pageWriter.println( prefix + "reqPaymentMemo = " + getReqPaymentMemo() );
    pageWriter.println( prefix + "reqPaymentDefinitionID = " + getReqPaymentDefinitionID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "paymentDefinition =" );
    if( paymentDefinition == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < paymentDefinition.length; j++ )
      {
        pageWriter.println( prefix + "paymentDefinition[" + j + "] =" );
        if( paymentDefinition[ j ] == null )
          pageWriter.println( " (null)" );
        else
          paymentDefinition[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumRecordNumber = getLongFromURL( req, prefix + "reqMaximumRecordNumber" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtPaymentDefinitionInquiry" );
    reqPaymentType = getCharFromURL( req, prefix + "reqPaymentType" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtPaymentDefinitionInquiry" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtPaymentDefinitionInquiry" );
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqPaymentNickname = getCharFromURL( req, prefix + "reqPaymentNickname" );
    reqPaymentCategory = getCharFromURL( req, prefix + "reqPaymentCategory" );
    reqPaymentMemo = getCharFromURL( req, prefix + "reqPaymentMemo" );
    reqPaymentDefinitionID = getCharFromURL( req, prefix + "reqPaymentDefinitionID" );
  }
}
