//**********************************************
//
// FILE NAME: GtPaymentInquiry.java
// TRANSACTION NAME: Payment Instance Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Payment Instance Inquiry Transaction</B>
 * <P>IFS ID: <B>payinq</B>
 * <P>
 * This transaction retrieves a list of pending payment instances and/or
 * completed payment instances based on search criteria entered such as
 * payee identifier, payee name, funding account.
 * <BR>
 * <P><B>PAYMENT_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>PAYMENT_INQ_IMSG</B>
 *            <P>
 *            This message allows a consumer to retrieve information on
 *            Pending Payments or Completed Payments. The consumer may use
 *            the 'maximum number of fields' to indicate how many payments
 *            should be transmitted. The consumer may also specify other
 *            search criteria such as funding account, payment definition
 *            identifier, payment nickname, payment date range, payment
 *            amount range, payee identifier, biller number, reference
 *            numbers.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>PAYMENT_INQ_OMSG</B>
 *            <P>
 *            This message is returned to the Consumer or CSR and consists
 *            of Payment information for each Pending or Historical
 *            payment instance retrieved. The More flag indicates if more
 *            Payment instances met the search criteria then were returned
 *            in this message.
 */
public class GtPaymentInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtPaymentInquiry() { }
  public GtPaymentInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "payinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaximumNumberRecorded</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumNumberRecorded = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumNumberRecorded( int o ) { reqMaximumNumberRecorded = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumNumberRecorded() { return (reqMaximumNumberRecorded); }

  /**
   * <P>The attribute <code>reqLastNumberRecorded</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecorded = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecorded( int o ) { reqLastNumberRecorded = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecorded</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecorded() { return (reqLastNumberRecorded); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqPaymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  private String reqPaymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  public  void   setReqPaymentType( String o ) { reqPaymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtTpIndTg</code>.
   * <P>
   * A code identifying the type of payment definitions to be returned on
   * a payment definition inquiry.
   */
  public  String getReqPaymentType() { return (reqPaymentType); }

  /**
   * <P>The attribute <code>reqTransactionStateIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.TxnStIndTg</code>.
   * <P>
   * A code identifying the type of payments requested to be retrieved in
   * a Payment Inquiry Transaction.
   */
  private String reqTransactionStateIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionStateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.TxnStIndTg</code>.
   * <P>
   * A code identifying the type of payments requested to be retrieved in
   * a Payment Inquiry Transaction.
   */
  public  void   setReqTransactionStateIndicator( String o ) { reqTransactionStateIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionStateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.TxnStIndTg</code>.
   * <P>
   * A code identifying the type of payments requested to be retrieved in
   * a Payment Inquiry Transaction.
   */
  public  String getReqTransactionStateIndicator() { return (reqTransactionStateIndicator); }

  /**
   * <P>The attribute <code>reqPaymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String reqPaymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setReqPaymentNickname( String o ) { reqPaymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getReqPaymentNickname() { return (reqPaymentNickname); }

  /**
   * <P>The attribute <code>reqPaymentDefinitionID</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  private String reqPaymentDefinitionID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  void   setReqPaymentDefinitionID( String o ) { reqPaymentDefinitionID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDefinitionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtDefnIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a Payment Definition. A Payment Definition results in the
   * creation of one Payment Instance or multiple Payment Instances (a
   * recurring payment definition).
   */
  public  String getReqPaymentDefinitionID() { return (reqPaymentDefinitionID); }

  /**
   * <P>The attribute <code>reqPaymentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  private String reqPaymentCategory = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  void   setReqPaymentCategory( String o ) { reqPaymentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtCatDescTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer categorizing payments
   * into groups which are meaningful to the consumer.
   */
  public  String getReqPaymentCategory() { return (reqPaymentCategory); }

  /**
   * <P>The attribute <code>reqPaymentMemo</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  private String reqPaymentMemo = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  void   setReqPaymentMemo( String o ) { reqPaymentMemo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentMemo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtMemoNmTg</code>.
   * <P>
   * An alphanumeric string, assigned by the consumer, which describes the
   * Payment. It may assist the Payee in identifying the Payer and reason
   * for Payment. If the Consumer's Payee Account Number is not provided
   * for a Payment, the Payment Memo is printed in the Memo line of a
   * paper check or provided as remittance data for electronic payments.
   */
  public  String getReqPaymentMemo() { return (reqPaymentMemo); }

  /**
   * <P>The attribute <code>reqPaymentDueDateRangeStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date Start Date of
   * 01/01/1997 contains all Payment transactions which are due after 1st
   * of January 1997 up to and including a specified Payment Due Date End
   * Date.
   * <BR>
   */
  private GsDate reqPaymentDueDateRangeStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDueDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date Start Date of
   * 01/01/1997 contains all Payment transactions which are due after 1st
   * of January 1997 up to and including a specified Payment Due Date End
   * Date.
   * <BR>
   */
  public  void   setReqPaymentDueDateRangeStartDate(GsDate o )  { reqPaymentDueDateRangeStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDueDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date Start Date of
   * 01/01/1997 contains all Payment transactions which are due after 1st
   * of January 1997 up to and including a specified Payment Due Date End
   * Date.
   * <BR>
   */
  public  GsDate getReqPaymentDueDateRangeStartDate() { return (reqPaymentDueDateRangeStartDate); }

  /**
   * <P>The attribute <code>reqPaymentDueDateRangeEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date End Date of 01/01/1999
   * contains all Payment transactions which are due from a requested
   * Payment Due Date Start Date up to and including the 1st of January
   * 1999.
   * <BR>
   */
  private GsDate reqPaymentDueDateRangeEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDueDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date End Date of 01/01/1999
   * contains all Payment transactions which are due from a requested
   * Payment Due Date Start Date up to and including the 1st of January
   * 1999.
   * <BR>
   */
  public  void   setReqPaymentDueDateRangeEndDate(GsDate o )  { reqPaymentDueDateRangeEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDueDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDueDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment is due to the payee. For example, the set of payment
   * transactions displayed with a Payment Due Date End Date of 01/01/1999
   * contains all Payment transactions which are due from a requested
   * Payment Due Date Start Date up to and including the 1st of January
   * 1999.
   * <BR>
   */
  public  GsDate getReqPaymentDueDateRangeEndDate() { return (reqPaymentDueDateRangeEndDate); }

  /**
   * <P>The attribute <code>reqPaymentDateRangeStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment transaction is generated.
   * <BR>
   */
  private GsDate reqPaymentDateRangeStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment transaction is generated.
   * <BR>
   */
  public  void   setReqPaymentDateRangeStartDate(GsDate o )  { reqPaymentDateRangeStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a payment transaction is generated.
   * <BR>
   */
  public  GsDate getReqPaymentDateRangeStartDate() { return (reqPaymentDateRangeStartDate); }

  /**
   * <P>The attribute <code>reqPaymentDateRangeEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment transaction is generated.
   * <BR>
   */
  private GsDate reqPaymentDateRangeEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment transaction is generated.
   * <BR>
   */
  public  void   setReqPaymentDateRangeEndDate(GsDate o )  { reqPaymentDateRangeEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a payment transaction is generated.
   * <BR>
   */
  public  GsDate getReqPaymentDateRangeEndDate() { return (reqPaymentDateRangeEndDate); }

  /**
   * <P>The attribute <code>reqPaymentAmountRangeLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqPaymentAmountRangeLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmountRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqPaymentAmountRangeLowAmount(GsCurrency o )  { reqPaymentAmountRangeLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmountRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmountRangeLowAmount() { return (reqPaymentAmountRangeLowAmount); }

  /**
   * <P>The attribute <code>reqPaymentAmountRangeHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqPaymentAmountRangeHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmountRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqPaymentAmountRangeHighAmount(GsCurrency o )  { reqPaymentAmountRangeHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmountRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRqstTg.PymtAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of payment
   * transactions. For example, the set of payment transactions displayed
   * with payment amounts between a Low Amount of &dollar.1,000.00 USD and
   * a High Amount of &dollar.5,000.00 USD, will include all the
   * transactions with amounts within the &dollar.1,000.00 -
   * &dollar.5,000.00 USD range, but exclude transactions with amounts
   * less than &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmountRangeHighAmount() { return (reqPaymentAmountRangeHighAmount); }

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  private String reqNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  void   setReqNickname( String o ) { reqNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias used to identify an individual or
   * organization as distinct from the more formal or legal name.:p.For
   * example, :q.Nat West:eq. is the short name for :q.National
   * Westminster Bank:eq.
   */
  public  String getReqNickname() { return (reqNickname); }

  /**
   * <P>The attribute <code>reqLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  private String reqLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  void   setReqLine1( String o ) { reqLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.NmTg.Line1NmTg</code>.
   * <P>
   * A number of characters up to a specified maximum that is used for
   * storing part or all of the name of label by which an Individual or
   * Organization is addressed or known.
   */
  public  String getReqLine1() { return (reqLine1); }

  /**
   * <P>The attribute <code>reqChargeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String reqChargeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setReqChargeNumber( String o ) { reqChargeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getReqChargeNumber() { return (reqChargeNumber); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PayeeComDtlTg.PayeeAddrTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqReferenceNumber( String o ) { reqReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqReferenceNumber() { return (reqReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqBillerNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  private String reqBillerNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  void   setReqBillerNumber( String o ) { reqBillerNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.BillerNbrIdTg</code>.
   * <P>
   * An alphanumeric string assigned by the Financial Institution/Payment
   * Engine uniquely identifying a Biller. The Biller Identifier Number
   * cannot be changed. A Biller may be a single company or a specific
   * division or location within a company that is considered autonomous
   * from a Billing perspective.
   */
  public  String getReqBillerNumber() { return (reqBillerNumber); }

  /**
   * <P>The attribute <code>reqPaymentInquiryDeliveryMonth</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtInqrDlvyMthTg</code>.
   * <P>
   * A code indicating how the payment information requested by a consumer
   * should be delivered to the consumer. If this field is not specified,
   * the payment information will be returned in the Payment Inquiry
   * Output Message.
   */
  private String reqPaymentInquiryDeliveryMonth = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentInquiryDeliveryMonth</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtInqrDlvyMthTg</code>.
   * <P>
   * A code indicating how the payment information requested by a consumer
   * should be delivered to the consumer. If this field is not specified,
   * the payment information will be returned in the Payment Inquiry
   * Output Message.
   */
  public  void   setReqPaymentInquiryDeliveryMonth( String o ) { reqPaymentInquiryDeliveryMonth = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentInquiryDeliveryMonth</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtInqrDlvyMthTg</code>.
   * <P>
   * A code indicating how the payment information requested by a consumer
   * should be delivered to the consumer. If this field is not specified,
   * the payment information will be returned in the Payment Inquiry
   * Output Message.
   */
  public  String getReqPaymentInquiryDeliveryMonth() { return (reqPaymentInquiryDeliveryMonth); }

  /**
   * <P>The attribute <code>reqConsumerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqConsumerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqConsumerLastName( String o ) { reqConsumerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqConsumerLastName() { return (reqConsumerLastName); }

  /**
   * <P>The attribute <code>reqConsumerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqConsumerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqConsumerFirstName( String o ) { reqConsumerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqConsumerFirstName() { return (reqConsumerFirstName); }

  /**
   * <P>The attribute <code>reqConsumerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String reqConsumerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setReqConsumerMiddleName( String o ) { reqConsumerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getReqConsumerMiddleName() { return (reqConsumerMiddleName); }

  /**
   * <P>The attribute <code>reqConsumerSuffix</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String reqConsumerSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setReqConsumerSuffix( String o ) { reqConsumerSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getReqConsumerSuffix() { return (reqConsumerSuffix); }

  /**
   * <P>The attribute <code>reqCheckNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  private int  reqCheckNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  public  void setReqCheckNumber( int o ) { reqCheckNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.ChkSrlNbrIdTg</code>.
   * <P>
   * The serial number uniquely identifying the check or document issued
   * on behalf of the consumer in place of a paper check.
   */
  public  int  getReqCheckNumber() { return (reqCheckNumber); }

  /**
   * <P>The attribute <code>reqFIDebitTraceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.FiDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Debit Transaction which resulted from a
   * completed payment.
   */
  private String reqFIDebitTraceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIDebitTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Debit Transaction which resulted from a
   * completed payment.
   */
  public  void   setReqFIDebitTraceNumber( String o ) { reqFIDebitTraceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIDebitTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Debit Transaction which resulted from a
   * completed payment.
   */
  public  String getReqFIDebitTraceNumber() { return (reqFIDebitTraceNumber); }

  /**
   * <P>The attribute <code>reqFICreditTraceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.FiCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Credit Transaction which resulted from a
   * completed payment.
   */
  private String reqFICreditTraceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFICreditTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Credit Transaction which resulted from a
   * completed payment.
   */
  public  void   setReqFICreditTraceNumber( String o ) { reqFICreditTraceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFICreditTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.FiCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying the Credit Transaction which resulted from a
   * completed payment.
   */
  public  String getReqFICreditTraceNumber() { return (reqFICreditTraceNumber); }

  /**
   * <P>The attribute <code>reqVoucherNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.IntegVouchNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, to an occurrence of a
   * Check, as opposed to the real serial number assigned by the Financial
   * Institution referred to as Check Number.
   */
  private String reqVoucherNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqVoucherNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegVouchNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, to an occurrence of a
   * Check, as opposed to the real serial number assigned by the Financial
   * Institution referred to as Check Number.
   */
  public  void   setReqVoucherNumber( String o ) { reqVoucherNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqVoucherNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegVouchNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, to an occurrence of a
   * Check, as opposed to the real serial number assigned by the Financial
   * Institution referred to as Check Number.
   */
  public  String getReqVoucherNumber() { return (reqVoucherNumber); }

  /**
   * <P>The attribute <code>reqDebitTraceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.IntegDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Debit Transaction which resulted from a completed Payment.
   */
  private String reqDebitTraceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqDebitTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Debit Transaction which resulted from a completed Payment.
   */
  public  void   setReqDebitTraceNumber( String o ) { reqDebitTraceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDebitTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegDrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Debit Transaction which resulted from a completed Payment.
   */
  public  String getReqDebitTraceNumber() { return (reqDebitTraceNumber); }

  /**
   * <P>The attribute <code>reqCreditTraceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.IntegCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Credit Transaction which resulted from a completed Payment.
   */
  private String reqCreditTraceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqCreditTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Credit Transaction which resulted from a completed Payment.
   */
  public  void   setReqCreditTraceNumber( String o ) { reqCreditTraceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCreditTraceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.IntegCrTrcNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by Integrion, uniquely identifying
   * the Credit Transaction which resulted from a completed Payment.
   */
  public  String getReqCreditTraceNumber() { return (reqCreditTraceNumber); }

  /**
   * <P>The attribute <code>reqPaymentNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  private String reqPaymentNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  void   setReqPaymentNumber( String o ) { reqPaymentNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRqstTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  String getReqPaymentNumber() { return (reqPaymentNumber); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.MsgRespTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPymtInqRespTg.HistPymtSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>historyPayment</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPymtInqRespTg.HistPymtDtlTg</code>.
   * <P>
   * Details of past payment transactions.
   * <BR>
   */
  private GsPymtDtl[] historyPayment = null;

  /**
   * <P>Sets the value of the attribute <code>historyPayment</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRespTg.HistPymtDtlTg</code>.
   * <P>
   * Details of past payment transactions.
   * <BR>
   */
  public  void        setHistoryPayment(GsPymtDtl[] o )  { historyPayment = o; }

  /**
   * <P>Gets the value of the attribute <code>historyPayment</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPymtInqRespTg.HistPymtDtlTg</code>.
   * <P>
   * Details of past payment transactions.
   * <BR>
   */
  public  GsPymtDtl[] getHistoryPayment() { return (historyPayment); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtPaymentInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaximumNumberRecorded ); 
    addArgToGMJI( reqLastNumberRecorded ); 
    addArgToGMJI( reqCursor ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );

    if( reqPaymentType != null && reqPaymentType.length() > 1 )
      addArgToGMJI( reqPaymentType.substring(0,1));
    else
      addArgToGMJI( reqPaymentType ); 

    if( reqTransactionStateIndicator != null && reqTransactionStateIndicator.length() > 1 )
      addArgToGMJI( reqTransactionStateIndicator.substring(0,1));
    else
      addArgToGMJI( reqTransactionStateIndicator ); 

    if( reqPaymentNickname != null && reqPaymentNickname.length() > 30 )
      addArgToGMJI( reqPaymentNickname.substring(0,30));
    else
      addArgToGMJI( reqPaymentNickname ); 

    if( reqPaymentDefinitionID != null && reqPaymentDefinitionID.length() > 36 )
      addArgToGMJI( reqPaymentDefinitionID.substring(0,36));
    else
      addArgToGMJI( reqPaymentDefinitionID ); 

    if( reqPaymentCategory != null && reqPaymentCategory.length() > 40 )
      addArgToGMJI( reqPaymentCategory.substring(0,40));
    else
      addArgToGMJI( reqPaymentCategory ); 

    if( reqPaymentMemo != null && reqPaymentMemo.length() > 40 )
      addArgToGMJI( reqPaymentMemo.substring(0,40));
    else
      addArgToGMJI( reqPaymentMemo ); 
    GsDate.addPropertiesToGMJI( reqPaymentDueDateRangeStartDate, this );
    GsDate.addPropertiesToGMJI( reqPaymentDueDateRangeEndDate, this );
    GsDate.addPropertiesToGMJI( reqPaymentDateRangeStartDate, this );
    GsDate.addPropertiesToGMJI( reqPaymentDateRangeEndDate, this );
    GsCurrency.addPropertiesToGMJI( reqPaymentAmountRangeLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqPaymentAmountRangeHighAmount, this );

    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqNickname != null && reqNickname.length() > 30 )
      addArgToGMJI( reqNickname.substring(0,30));
    else
      addArgToGMJI( reqNickname ); 

    if( reqLine1 != null && reqLine1.length() > 40 )
      addArgToGMJI( reqLine1.substring(0,40));
    else
      addArgToGMJI( reqLine1 ); 

    if( reqChargeNumber != null && reqChargeNumber.length() > 30 )
      addArgToGMJI( reqChargeNumber.substring(0,30));
    else
      addArgToGMJI( reqChargeNumber ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    if( reqReferenceNumber != null && reqReferenceNumber.length() > 12 )
      addArgToGMJI( reqReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    if( reqBillerNumber != null && reqBillerNumber.length() > 20 )
      addArgToGMJI( reqBillerNumber.substring(0,20));
    else
      addArgToGMJI( reqBillerNumber ); 

    if( reqPaymentInquiryDeliveryMonth != null && reqPaymentInquiryDeliveryMonth.length() > 1 )
      addArgToGMJI( reqPaymentInquiryDeliveryMonth.substring(0,1));
    else
      addArgToGMJI( reqPaymentInquiryDeliveryMonth ); 

    if( reqConsumerLastName != null && reqConsumerLastName.length() > 30 )
      addArgToGMJI( reqConsumerLastName.substring(0,30));
    else
      addArgToGMJI( reqConsumerLastName ); 

    if( reqConsumerFirstName != null && reqConsumerFirstName.length() > 30 )
      addArgToGMJI( reqConsumerFirstName.substring(0,30));
    else
      addArgToGMJI( reqConsumerFirstName ); 

    if( reqConsumerMiddleName != null && reqConsumerMiddleName.length() > 20 )
      addArgToGMJI( reqConsumerMiddleName.substring(0,20));
    else
      addArgToGMJI( reqConsumerMiddleName ); 

    if( reqConsumerSuffix != null && reqConsumerSuffix.length() > 8 )
      addArgToGMJI( reqConsumerSuffix.substring(0,8));
    else
      addArgToGMJI( reqConsumerSuffix ); 
    addArgToGMJI( reqCheckNumber ); 

    if( reqFIDebitTraceNumber != null && reqFIDebitTraceNumber.length() > 7 )
      addArgToGMJI( reqFIDebitTraceNumber.substring(0,7));
    else
      addArgToGMJI( reqFIDebitTraceNumber ); 

    if( reqFICreditTraceNumber != null && reqFICreditTraceNumber.length() > 7 )
      addArgToGMJI( reqFICreditTraceNumber.substring(0,7));
    else
      addArgToGMJI( reqFICreditTraceNumber ); 

    if( reqVoucherNumber != null && reqVoucherNumber.length() > 8 )
      addArgToGMJI( reqVoucherNumber.substring(0,8));
    else
      addArgToGMJI( reqVoucherNumber ); 

    if( reqDebitTraceNumber != null && reqDebitTraceNumber.length() > 7 )
      addArgToGMJI( reqDebitTraceNumber.substring(0,7));
    else
      addArgToGMJI( reqDebitTraceNumber ); 

    if( reqCreditTraceNumber != null && reqCreditTraceNumber.length() > 7 )
      addArgToGMJI( reqCreditTraceNumber.substring(0,7));
    else
      addArgToGMJI( reqCreditTraceNumber ); 

    if( reqPaymentNumber != null && reqPaymentNumber.length() > 36 )
      addArgToGMJI( reqPaymentNumber.substring(0,36));
    else
      addArgToGMJI( reqPaymentNumber ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    historyPayment = new GsPymtDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      historyPayment[ i ] = new GsPymtDtl( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaximumNumberRecorded = " + getReqMaximumNumberRecorded() );
    pageWriter.println( prefix + "reqLastNumberRecorded = " + getReqLastNumberRecorded() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentType = " + getReqPaymentType() );
    pageWriter.println( prefix + "reqTransactionStateIndicator = " + getReqTransactionStateIndicator() );
    pageWriter.println( prefix + "reqPaymentNickname = " + getReqPaymentNickname() );
    pageWriter.println( prefix + "reqPaymentDefinitionID = " + getReqPaymentDefinitionID() );
    pageWriter.println( prefix + "reqPaymentCategory = " + getReqPaymentCategory() );
    pageWriter.println( prefix + "reqPaymentMemo = " + getReqPaymentMemo() );

    pageWriter.println( prefix + "reqPaymentDueDateRangeStartDate =" );
    if( reqPaymentDueDateRangeStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDueDateRangeStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentDueDateRangeEndDate =" );
    if( reqPaymentDueDateRangeEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDueDateRangeEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentDateRangeStartDate =" );
    if( reqPaymentDateRangeStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDateRangeStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentDateRangeEndDate =" );
    if( reqPaymentDateRangeEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDateRangeEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentAmountRangeLowAmount =" );
    if( reqPaymentAmountRangeLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmountRangeLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentAmountRangeHighAmount =" );
    if( reqPaymentAmountRangeHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmountRangeHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqNickname = " + getReqNickname() );
    pageWriter.println( prefix + "reqLine1 = " + getReqLine1() );
    pageWriter.println( prefix + "reqChargeNumber = " + getReqChargeNumber() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "reqReferenceNumber = " + getReqReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqBillerNumber = " + getReqBillerNumber() );
    pageWriter.println( prefix + "reqPaymentInquiryDeliveryMonth = " + getReqPaymentInquiryDeliveryMonth() );
    pageWriter.println( prefix + "reqConsumerLastName = " + getReqConsumerLastName() );
    pageWriter.println( prefix + "reqConsumerFirstName = " + getReqConsumerFirstName() );
    pageWriter.println( prefix + "reqConsumerMiddleName = " + getReqConsumerMiddleName() );
    pageWriter.println( prefix + "reqConsumerSuffix = " + getReqConsumerSuffix() );
    pageWriter.println( prefix + "reqCheckNumber = " + getReqCheckNumber() );
    pageWriter.println( prefix + "reqFIDebitTraceNumber = " + getReqFIDebitTraceNumber() );
    pageWriter.println( prefix + "reqFICreditTraceNumber = " + getReqFICreditTraceNumber() );
    pageWriter.println( prefix + "reqVoucherNumber = " + getReqVoucherNumber() );
    pageWriter.println( prefix + "reqDebitTraceNumber = " + getReqDebitTraceNumber() );
    pageWriter.println( prefix + "reqCreditTraceNumber = " + getReqCreditTraceNumber() );
    pageWriter.println( prefix + "reqPaymentNumber = " + getReqPaymentNumber() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "historyPayment =" );
    if( historyPayment == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < historyPayment.length; j++ )
      {
        pageWriter.println( prefix + "historyPayment[" + j + "] =" );
        if( historyPayment[ j ] == null )
          pageWriter.println( " (null)" );
        else
          historyPayment[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaximumNumberRecorded = getLongFromURL( req, prefix + "reqMaximumNumberRecorded" );
    reqLastNumberRecorded = getLongFromURL( req, prefix + "reqLastNumberRecorded" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtPaymentInquiry" );
    reqPaymentType = getCharFromURL( req, prefix + "reqPaymentType" );
    reqTransactionStateIndicator = getCharFromURL( req, prefix + "reqTransactionStateIndicator" );
    reqPaymentNickname = getCharFromURL( req, prefix + "reqPaymentNickname" );
    reqPaymentDefinitionID = getCharFromURL( req, prefix + "reqPaymentDefinitionID" );
    reqPaymentCategory = getCharFromURL( req, prefix + "reqPaymentCategory" );
    reqPaymentMemo = getCharFromURL( req, prefix + "reqPaymentMemo" );
    reqPaymentDueDateRangeStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDueDateRangeStartDate", "GtPaymentInquiry" );
    reqPaymentDueDateRangeEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDueDateRangeEndDate", "GtPaymentInquiry" );
    reqPaymentDateRangeStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDateRangeStartDate", "GtPaymentInquiry" );
    reqPaymentDateRangeEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDateRangeEndDate", "GtPaymentInquiry" );
    reqPaymentAmountRangeLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmountRangeLowAmount", "GtPaymentInquiry" );
    reqPaymentAmountRangeHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmountRangeHighAmount", "GtPaymentInquiry" );
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqNickname = getCharFromURL( req, prefix + "reqNickname" );
    reqLine1 = getCharFromURL( req, prefix + "reqLine1" );
    reqChargeNumber = getCharFromURL( req, prefix + "reqChargeNumber" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqReferenceNumber = getCharFromURL( req, prefix + "reqReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqBillerNumber = getCharFromURL( req, prefix + "reqBillerNumber" );
    reqPaymentInquiryDeliveryMonth = getCharFromURL( req, prefix + "reqPaymentInquiryDeliveryMonth" );
    reqConsumerLastName = getCharFromURL( req, prefix + "reqConsumerLastName" );
    reqConsumerFirstName = getCharFromURL( req, prefix + "reqConsumerFirstName" );
    reqConsumerMiddleName = getCharFromURL( req, prefix + "reqConsumerMiddleName" );
    reqConsumerSuffix = getCharFromURL( req, prefix + "reqConsumerSuffix" );
    reqCheckNumber = getLongFromURL( req, prefix + "reqCheckNumber" );
    reqFIDebitTraceNumber = getCharFromURL( req, prefix + "reqFIDebitTraceNumber" );
    reqFICreditTraceNumber = getCharFromURL( req, prefix + "reqFICreditTraceNumber" );
    reqVoucherNumber = getCharFromURL( req, prefix + "reqVoucherNumber" );
    reqDebitTraceNumber = getCharFromURL( req, prefix + "reqDebitTraceNumber" );
    reqCreditTraceNumber = getCharFromURL( req, prefix + "reqCreditTraceNumber" );
    reqPaymentNumber = getCharFromURL( req, prefix + "reqPaymentNumber" );
  }
}
