//**********************************************
//
// FILE NAME: GtPendingMultiAcctPaymentInquiry.java
// TRANSACTION NAME: Pending Multiple Account Payment Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Pending Multiple Account Payment Inquiry Transaction</B>
 * <P>IFS ID: <B>mpmtinq</B>
 * <P>
 * This transaction provides a list of pending Multiple Account Payments
 * to the consumer. If a secondary consumer initiates the request, the
 * returned list will include all payments for the associated primary
 * consumer. The input request includes a range of dates (referring to the
 * value date assigned at the time the definition is established) that
 * constrain the inquiry results. The input request will also include a
 * range of amounts (referring to the amount provided at the time the
 * definition is established) that constrain the inquiry results.
 * <BR>
 * <P><B>PNDG_MULTI_AC_PYM_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>PNDG_MULTI_ACCT_PYMT_INQ_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>PNDG_MULTI_ACCT_PYMT_INQ_OMSG</B>
 */
public class GtPendingMultiAcctPaymentInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtPendingMultiAcctPaymentInquiry() { }
  public GtPendingMultiAcctPaymentInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "mpmtinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqFundAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundAcct(GsAccount o )  { reqFundAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundAcct() { return (reqFundAcct); }

  /**
   * <P>The attribute <code>reqStrtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  private GsDate reqStrtDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  void   setReqStrtDt(GsDate o )  { reqStrtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  GsDate getReqStrtDt() { return (reqStrtDt); }

  /**
   * <P>The attribute <code>reqEndDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  private GsDate reqEndDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  void   setReqEndDt(GsDate o )  { reqEndDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  GsDate getReqEndDt() { return (reqEndDt); }

  /**
   * <P>The attribute <code>reqLowAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmt(GsCurrency o )  { reqLowAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmt() { return (reqLowAmt); }

  /**
   * <P>The attribute <code>reqHighAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  private GsCurrency reqHighAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  void       setReqHighAmt(GsCurrency o )  { reqHighAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  GsCurrency getReqHighAmt() { return (reqHighAmt); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>pndgMultiAcPDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>PndgMultiAcPListTg.PndgMultiAcPDtlTg</code>.
   * <BR>
   */
  private GsPndgMultiAcctPymtDtl[] pndgMultiAcPDtl = null;

  /**
   * <P>Sets the value of the attribute <code>pndgMultiAcPDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PndgMultiAcPListTg.PndgMultiAcPDtlTg</code>.
   * <BR>
   */
  public  void                     setPndgMultiAcPDtl(GsPndgMultiAcctPymtDtl[] o )  { pndgMultiAcPDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>pndgMultiAcPDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>PndgMultiAcPListTg.PndgMultiAcPDtlTg</code>.
   * <BR>
   */
  public  GsPndgMultiAcctPymtDtl[] getPndgMultiAcPDtl() { return (pndgMultiAcPDtl); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtPendingMultiAcctPaymentInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 
    GsAccount.addPropertiesToGMJI( reqFundAcct, this );
    GsDate.addPropertiesToGMJI( reqStrtDt, this );
    GsDate.addPropertiesToGMJI( reqEndDt, this );
    GsCurrency.addPropertiesToGMJI( reqLowAmt, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmt, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    pndgMultiAcPDtl = new GsPndgMultiAcctPymtDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      pndgMultiAcPDtl[ i ] = new GsPndgMultiAcctPymtDtl( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );

    pageWriter.println( prefix + "reqFundAcct =" );
    if( reqFundAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqStrtDt =" );
    if( reqStrtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStrtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDt =" );
    if( reqEndDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLowAmt =" );
    if( reqLowAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmt =" );
    if( reqHighAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );

    pageWriter.println( prefix + "pndgMultiAcPDtl =" );
    if( pndgMultiAcPDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < pndgMultiAcPDtl.length; j++ )
      {
        pageWriter.println( prefix + "pndgMultiAcPDtl[" + j + "] =" );
        if( pndgMultiAcPDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          pndgMultiAcPDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqFundAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundAcct", "GtPendingMultiAcctPaymentInquiry" );
    reqStrtDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStrtDt", "GtPendingMultiAcctPaymentInquiry" );
    reqEndDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDt", "GtPendingMultiAcctPaymentInquiry" );
    reqLowAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmt", "GtPendingMultiAcctPaymentInquiry" );
    reqHighAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmt", "GtPendingMultiAcctPaymentInquiry" );
  }
}
