//**********************************************
//
// FILE NAME: GtQueryPostedTransactions.java
// TRANSACTION NAME: Query Posted Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Query Posted Transaction</B>
 * <P>IFS ID: <B>qrypostx</B>
 * <P>
 * This transaction allows a consumer to submit an inquiry regarding a
 * specific transaction or group of transactions posted to (or perhaps not
 * posted to) an account. The inquiry results may be delivered to the
 * consumer in a separate message, via e-mail or via FAX etc.
 * <BR>
 * <P><B>QUERY_PSTD_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>QUERY_PSTD_IMSG</B>
 *            <P>
 *            This request message contains a information on a specific
 *            transaction or a group of transactions posted to (or perhaps
 *            not posted to) a consumer's account. Identifying criteria
 *            input by the consumer may include the Account Identifier,
 *            the date on which the transaction was posted to the account,
 *            the Financial Institution and Service Provider Reference
 *            Identifiers of the transaction, and the transaction amount.
 *            It may also include consumer contact information.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>QUERY_PSTD_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the request message was successfully received by the
 *            FI. It may also contain a Financial Institution and Service
 *            Provider Reference identifier for future tracing.
 */
public class GtQueryPostedTransactions extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtQueryPostedTransactions() { }
  public GtQueryPostedTransactions( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "qrypostx_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqTransactionPostedDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  private GsDate reqTransactionPostedDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionPostedDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  public  void   setReqTransactionPostedDate(GsDate o )  { reqTransactionPostedDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionPostedDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnPstDtTg</code>.
   * <P>
   * The date that a Transaction is processed against an Account. For
   * example, a Credit Card purchase occurs on January 25, which is the
   * Transaction Origination Date, and the Credit Card Account is
   * subsequently debited on January 27, which is the Transaction Posting
   * Date.
   * <BR>
   */
  public  GsDate getReqTransactionPostedDate() { return (reqTransactionPostedDate); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryPstTxnRqstTg.TxnAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of account
   * transactions.:p.For example, the set of transactions displayed with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all transactions with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude transactions with
   * amounts above 5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqTransactionTypeIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  private String reqTransactionTypeIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionTypeIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  public  void   setReqTransactionTypeIndicator( String o ) { reqTransactionTypeIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionTypeIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.TxnTpIndTg</code>.
   * <P>
   * An indicator or classifier of Accounting Transactions based on their
   * effect on the Financial Institution's accounts. The Transaction Type
   * Indicator includes a value for 'All' Transactions. For example, in
   * the Account Transaction History Inquiry Input, the Transaction Type
   * Indicator indicates which category (or all) of the Transactions are
   * required to be displayed.
   */
  public  String getReqTransactionTypeIndicator() { return (reqTransactionTypeIndicator); }

  /**
   * <P>The attribute <code>reqQueryPostedTransactionType</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.QueryPstdTxnTpClTg</code>.
   * <P>
   * The transaction type requested in the Query Posted transactions
   * request.
   */
  private String reqQueryPostedTransactionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqQueryPostedTransactionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.QueryPstdTxnTpClTg</code>.
   * <P>
   * The transaction type requested in the Query Posted transactions
   * request.
   */
  public  void   setReqQueryPostedTransactionType( String o ) { reqQueryPostedTransactionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqQueryPostedTransactionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.QueryPstdTxnTpClTg</code>.
   * <P>
   * The transaction type requested in the Query Posted transactions
   * request.
   */
  public  String getReqQueryPostedTransactionType() { return (reqQueryPostedTransactionType); }

  /**
   * <P>The attribute <code>reqContactHomePhoneNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactHomePhoneNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactHomePhoneNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactHomePhoneNumber( String o ) { reqContactHomePhoneNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactHomePhoneNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactHomePhoneNumber() { return (reqContactHomePhoneNumber); }

  /**
   * <P>The attribute <code>reqContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactWorkPhone( String o ) { reqContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactWorkPhone() { return (reqContactWorkPhone); }

  /**
   * <P>The attribute <code>reqContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqContactEmailAddress( String o ) { reqContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqContactEmailAddress() { return (reqContactEmailAddress); }

  /**
   * <P>The attribute <code>reqContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactFaxNumber( String o ) { reqContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactFaxNumber() { return (reqContactFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqProblemText</code> is an alias for the
   * standard message simple element
   * <code>IfsQryPstTxnRqstTg.PrblmTxt</code>.
   * <P>
   * Free Form text entered by the Consumer describing a problem they wish
   * to report to the Financial Institution or Service Provider.
   */
  private String reqProblemText = null;

  /**
   * <P>Sets the value of the attribute <code>reqProblemText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.PrblmTxt</code>.
   * <P>
   * Free Form text entered by the Consumer describing a problem they wish
   * to report to the Financial Institution or Service Provider.
   */
  public  void   setReqProblemText( String o ) { reqProblemText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProblemText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryPstTxnRqstTg.PrblmTxt</code>.
   * <P>
   * Free Form text entered by the Consumer describing a problem they wish
   * to report to the Financial Institution or Service Provider.
   */
  public  String getReqProblemText() { return (reqProblemText); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtQueryPostedTransactions );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsDate.addPropertiesToGMJI( reqTransactionPostedDate, this );

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );

    if( reqTransactionTypeIndicator != null && reqTransactionTypeIndicator.length() > 3 )
      addArgToGMJI( reqTransactionTypeIndicator.substring(0,3));
    else
      addArgToGMJI( reqTransactionTypeIndicator ); 

    if( reqQueryPostedTransactionType != null && reqQueryPostedTransactionType.length() > 3 )
      addArgToGMJI( reqQueryPostedTransactionType.substring(0,3));
    else
      addArgToGMJI( reqQueryPostedTransactionType ); 

    if( reqContactHomePhoneNumber != null && reqContactHomePhoneNumber.length() > 15 )
      addArgToGMJI( reqContactHomePhoneNumber.substring(0,15));
    else
      addArgToGMJI( reqContactHomePhoneNumber ); 

    if( reqContactWorkPhone != null && reqContactWorkPhone.length() > 15 )
      addArgToGMJI( reqContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqContactWorkPhone ); 

    if( reqContactEmailAddress != null && reqContactEmailAddress.length() > 128 )
      addArgToGMJI( reqContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqContactEmailAddress ); 

    if( reqContactFaxNumber != null && reqContactFaxNumber.length() > 15 )
      addArgToGMJI( reqContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqContactFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 

    if( reqProblemText != null && reqProblemText.length() > 3000 )
      addArgToGMJI( reqProblemText.substring(0,3000));
    else
      addArgToGMJI( reqProblemText ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransactionPostedDate =" );
    if( reqTransactionPostedDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransactionPostedDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransactionTypeIndicator = " + getReqTransactionTypeIndicator() );
    pageWriter.println( prefix + "reqQueryPostedTransactionType = " + getReqQueryPostedTransactionType() );
    pageWriter.println( prefix + "reqContactHomePhoneNumber = " + getReqContactHomePhoneNumber() );
    pageWriter.println( prefix + "reqContactWorkPhone = " + getReqContactWorkPhone() );
    pageWriter.println( prefix + "reqContactEmailAddress = " + getReqContactEmailAddress() );
    pageWriter.println( prefix + "reqContactFaxNumber = " + getReqContactFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqProblemText = " + getReqProblemText() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtQueryPostedTransactions" );
    reqTransactionPostedDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTransactionPostedDate", "GtQueryPostedTransactions" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtQueryPostedTransactions" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtQueryPostedTransactions" );
    reqTransactionTypeIndicator = getCharFromURL( req, prefix + "reqTransactionTypeIndicator" );
    reqQueryPostedTransactionType = getCharFromURL( req, prefix + "reqQueryPostedTransactionType" );
    reqContactHomePhoneNumber = getCharFromURL( req, prefix + "reqContactHomePhoneNumber" );
    reqContactWorkPhone = getCharFromURL( req, prefix + "reqContactWorkPhone" );
    reqContactEmailAddress = getCharFromURL( req, prefix + "reqContactEmailAddress" );
    reqContactFaxNumber = getCharFromURL( req, prefix + "reqContactFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqProblemText = getCharFromURL( req, prefix + "reqProblemText" );
  }
}
