//**********************************************
//
// FILE NAME: GtQueryTechnicalProblem.java
// TRANSACTION NAME: Query Technical Problem Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Query Technical Problem Transaction</B>
 * <P>IFS ID: <B>qrytchpb</B>
 * <P>
 * This transaction allows the consumer to report a technical problem
 * affecting his/her ability to use the system.
 * <BR>
 * <P><B>QUERY_TECH_PRBLM_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>QUERY_TECH_PRBLM_IMSG</B>
 *            <P>
 *            This request message allows the consumer to report a
 *            technical problem affecting his/her ability to use the
 *            system. The consumer inputs details relating to the problem
 *            such as the Technical Problem type, the date and time on
 *            which the problem occurred, the name of the Internet Service
 *            Provider through which the consumer connects to the system,
 *            etc.. The consumer may also include contact information.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>QUERY_TECH_PRBLM_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the consumer's Query Technical Problem request was
 *            successfully received by the FI. It may include the
 *            Financial Institution and Service Provider Reference
 *            Identifiers for future tracing.
 */
public class GtQueryTechnicalProblem extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtQueryTechnicalProblem() { }
  public GtQueryTechnicalProblem( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "qrytchpb_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqTechnicalProblemType</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTpClTg</code>.
   * <P>
   * A code which classifies the technical problem recorded within the
   * system.
   */
  private String reqTechnicalProblemType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTechnicalProblemType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTpClTg</code>.
   * <P>
   * A code which classifies the technical problem recorded within the
   * system.
   */
  public  void   setReqTechnicalProblemType( String o ) { reqTechnicalProblemType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTechnicalProblemType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTpClTg</code>.
   * <P>
   * A code which classifies the technical problem recorded within the
   * system.
   */
  public  String getReqTechnicalProblemType() { return (reqTechnicalProblemType); }

  /**
   * <P>The attribute <code>reqProblemDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmDtTg</code>.
   * <P>
   * The date on which a technical problem occurred in the system.
   * <BR>
   */
  private GsDate reqProblemDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqProblemDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmDtTg</code>.
   * <P>
   * The date on which a technical problem occurred in the system.
   * <BR>
   */
  public  void   setReqProblemDate(GsDate o )  { reqProblemDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProblemDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmDtTg</code>.
   * <P>
   * The date on which a technical problem occurred in the system.
   * <BR>
   */
  public  GsDate getReqProblemDate() { return (reqProblemDate); }

  /**
   * <P>The attribute <code>reqProblemTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmTmTg</code>.
   * <P>
   * The time at which a technical problem occurred in the system.
   * <BR>
   */
  private GsTime reqProblemTime = null;

  /**
   * <P>Sets the value of the attribute <code>reqProblemTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmTmTg</code>.
   * <P>
   * The time at which a technical problem occurred in the system.
   * <BR>
   */
  public  void   setReqProblemTime(GsTime o )  { reqProblemTime = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProblemTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.PrblmTmTg</code>.
   * <P>
   * The time at which a technical problem occurred in the system.
   * <BR>
   */
  public  GsTime getReqProblemTime() { return (reqProblemTime); }

  /**
   * <P>The attribute <code>reqInternetServiceProvider</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IntrntSrvcPrvdNmTg</code>.
   * <P>
   * The name of the Organisation or Company which provides the Internet
   * Service.
   */
  private String reqInternetServiceProvider = null;

  /**
   * <P>Sets the value of the attribute <code>reqInternetServiceProvider</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IntrntSrvcPrvdNmTg</code>.
   * <P>
   * The name of the Organisation or Company which provides the Internet
   * Service.
   */
  public  void   setReqInternetServiceProvider( String o ) { reqInternetServiceProvider = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInternetServiceProvider</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IntrntSrvcPrvdNmTg</code>.
   * <P>
   * The name of the Organisation or Company which provides the Internet
   * Service.
   */
  public  String getReqInternetServiceProvider() { return (reqInternetServiceProvider); }

  /**
   * <P>The attribute <code>reqOperatorSystemVerificationNumber</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.OperSystVerNbrIdTg</code>.
   * <P>
   * The version number of the Operating System.
   * <BR>
   */
  private GsDecimal reqOperatorSystemVerificationNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqOperatorSystemVerificationNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.OperSystVerNbrIdTg</code>.
   * <P>
   * The version number of the Operating System.
   * <BR>
   */
  public  void      setReqOperatorSystemVerificationNumber(GsDecimal o )  { reqOperatorSystemVerificationNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOperatorSystemVerificationNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.OperSystVerNbrIdTg</code>.
   * <P>
   * The version number of the Operating System.
   * <BR>
   */
  public  GsDecimal getReqOperatorSystemVerificationNumber() { return (reqOperatorSystemVerificationNumber); }

  /**
   * <P>The attribute <code>reqBrowserVersionNumber</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.BrwserVersNbrIdTg</code>.
   * <P>
   * The version number of a browser on a Web Server.
   * <BR>
   */
  private GsDecimal reqBrowserVersionNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrowserVersionNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.BrwserVersNbrIdTg</code>.
   * <P>
   * The version number of a browser on a Web Server.
   * <BR>
   */
  public  void      setReqBrowserVersionNumber(GsDecimal o )  { reqBrowserVersionNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrowserVersionNumber</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsQryTchPrbRqstTg.BrwserVersNbrIdTg</code>.
   * <P>
   * The version number of a browser on a Web Server.
   * <BR>
   */
  public  GsDecimal getReqBrowserVersionNumber() { return (reqBrowserVersionNumber); }

  /**
   * <P>The attribute <code>reqModemInfo</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.ModemInfoTg</code>.
   * <P>
   * A text field containing a summary description or technical
   * information for a modem.
   */
  private String reqModemInfo = null;

  /**
   * <P>Sets the value of the attribute <code>reqModemInfo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.ModemInfoTg</code>.
   * <P>
   * A text field containing a summary description or technical
   * information for a modem.
   */
  public  void   setReqModemInfo( String o ) { reqModemInfo = o; }

  /**
   * <P>Gets the value of the attribute <code>reqModemInfo</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.ModemInfoTg</code>.
   * <P>
   * A text field containing a summary description or technical
   * information for a modem.
   */
  public  String getReqModemInfo() { return (reqModemInfo); }

  /**
   * <P>The attribute <code>reqContactHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactHomePhone( String o ) { reqContactHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactHomePhone() { return (reqContactHomePhone); }

  /**
   * <P>The attribute <code>reqContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactWorkPhone( String o ) { reqContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactWorkPhone() { return (reqContactWorkPhone); }

  /**
   * <P>The attribute <code>reqContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqContactEmailAddress( String o ) { reqContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqContactEmailAddress() { return (reqContactEmailAddress); }

  /**
   * <P>The attribute <code>reqContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactFaxNumber( String o ) { reqContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactFaxNumber() { return (reqContactFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqTechnicalProblemText</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTxtTg</code>.
   * <P>
   * A textual description of a technical problem being queried.
   */
  private String reqTechnicalProblemText = null;

  /**
   * <P>Sets the value of the attribute <code>reqTechnicalProblemText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTxtTg</code>.
   * <P>
   * A textual description of a technical problem being queried.
   */
  public  void   setReqTechnicalProblemText( String o ) { reqTechnicalProblemText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTechnicalProblemText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.TechPrblmTxtTg</code>.
   * <P>
   * A textual description of a technical problem being queried.
   */
  public  String getReqTechnicalProblemText() { return (reqTechnicalProblemText); }

  /**
   * <P>The attribute <code>reqSoftwarePaidName</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   * <P>
   * The software product name used to identify the end-user client
   * software to technical support.
   */
  private String reqSoftwarePaidName = null;

  /**
   * <P>Sets the value of the attribute <code>reqSoftwarePaidName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   * <P>
   * The software product name used to identify the end-user client
   * software to technical support.
   */
  public  void   setReqSoftwarePaidName( String o ) { reqSoftwarePaidName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSoftwarePaidName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   * <P>
   * The software product name used to identify the end-user client
   * software to technical support.
   */
  public  String getReqSoftwarePaidName() { return (reqSoftwarePaidName); }

  /**
   * <P>The attribute <code>reqSoftwarePaidVersionNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  private String reqSoftwarePaidVersionNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqSoftwarePaidVersionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  public  void   setReqSoftwarePaidVersionNumber( String o ) { reqSoftwarePaidVersionNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSoftwarePaidVersionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  public  String getReqSoftwarePaidVersionNumber() { return (reqSoftwarePaidVersionNumber); }

  /**
   * <P>The attribute <code>reqOperatingSystemName</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  private String reqOperatingSystemName = null;

  /**
   * <P>Sets the value of the attribute <code>reqOperatingSystemName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  public  void   setReqOperatingSystemName( String o ) { reqOperatingSystemName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOperatingSystemName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  public  String getReqOperatingSystemName() { return (reqOperatingSystemName); }

  /**
   * <P>The attribute <code>reqTimestamp</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  private String reqTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  void   setReqTimestamp( String o ) { reqTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  String getReqTimestamp() { return (reqTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsQryTchPrbRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtQueryTechnicalProblem );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqTechnicalProblemType != null && reqTechnicalProblemType.length() > 3 )
      addArgToGMJI( reqTechnicalProblemType.substring(0,3));
    else
      addArgToGMJI( reqTechnicalProblemType ); 
    GsDate.addPropertiesToGMJI( reqProblemDate, this );
    GsTime.addPropertiesToGMJI( reqProblemTime, this );

    if( reqInternetServiceProvider != null && reqInternetServiceProvider.length() > 40 )
      addArgToGMJI( reqInternetServiceProvider.substring(0,40));
    else
      addArgToGMJI( reqInternetServiceProvider ); 
    GsDecimal.addPropertiesToGMJI( reqOperatorSystemVerificationNumber, this );
    GsDecimal.addPropertiesToGMJI( reqBrowserVersionNumber, this );

    if( reqModemInfo != null && reqModemInfo.length() > 40 )
      addArgToGMJI( reqModemInfo.substring(0,40));
    else
      addArgToGMJI( reqModemInfo ); 

    if( reqContactHomePhone != null && reqContactHomePhone.length() > 15 )
      addArgToGMJI( reqContactHomePhone.substring(0,15));
    else
      addArgToGMJI( reqContactHomePhone ); 

    if( reqContactWorkPhone != null && reqContactWorkPhone.length() > 15 )
      addArgToGMJI( reqContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqContactWorkPhone ); 

    if( reqContactEmailAddress != null && reqContactEmailAddress.length() > 128 )
      addArgToGMJI( reqContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqContactEmailAddress ); 

    if( reqContactFaxNumber != null && reqContactFaxNumber.length() > 15 )
      addArgToGMJI( reqContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqContactFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 
    addArgToGMJI( reqTechnicalProblemText ); 

    if( reqSoftwarePaidName != null && reqSoftwarePaidName.length() > 32 )
      addArgToGMJI( reqSoftwarePaidName.substring(0,32));
    else
      addArgToGMJI( reqSoftwarePaidName ); 

    if( reqSoftwarePaidVersionNumber != null && reqSoftwarePaidVersionNumber.length() > 12 )
      addArgToGMJI( reqSoftwarePaidVersionNumber.substring(0,12));
    else
      addArgToGMJI( reqSoftwarePaidVersionNumber ); 

    if( reqOperatingSystemName != null && reqOperatingSystemName.length() > 16 )
      addArgToGMJI( reqOperatingSystemName.substring(0,16));
    else
      addArgToGMJI( reqOperatingSystemName ); 

    if( reqTimestamp != null && reqTimestamp.length() > 26 )
      addArgToGMJI( reqTimestamp.substring(0,26));
    else
      addArgToGMJI( reqTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTechnicalProblemType = " + getReqTechnicalProblemType() );

    pageWriter.println( prefix + "reqProblemDate =" );
    if( reqProblemDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqProblemDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqProblemTime =" );
    if( reqProblemTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqProblemTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInternetServiceProvider = " + getReqInternetServiceProvider() );

    pageWriter.println( prefix + "reqOperatorSystemVerificationNumber =" );
    if( reqOperatorSystemVerificationNumber == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOperatorSystemVerificationNumber.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqBrowserVersionNumber =" );
    if( reqBrowserVersionNumber == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqBrowserVersionNumber.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqModemInfo = " + getReqModemInfo() );
    pageWriter.println( prefix + "reqContactHomePhone = " + getReqContactHomePhone() );
    pageWriter.println( prefix + "reqContactWorkPhone = " + getReqContactWorkPhone() );
    pageWriter.println( prefix + "reqContactEmailAddress = " + getReqContactEmailAddress() );
    pageWriter.println( prefix + "reqContactFaxNumber = " + getReqContactFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqTechnicalProblemText = " + getReqTechnicalProblemText() );
    pageWriter.println( prefix + "reqSoftwarePaidName = " + getReqSoftwarePaidName() );
    pageWriter.println( prefix + "reqSoftwarePaidVersionNumber = " + getReqSoftwarePaidVersionNumber() );
    pageWriter.println( prefix + "reqOperatingSystemName = " + getReqOperatingSystemName() );
    pageWriter.println( prefix + "reqTimestamp = " + getReqTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtQueryTechnicalProblem" );
    reqTechnicalProblemType = getCharFromURL( req, prefix + "reqTechnicalProblemType" );
    reqProblemDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqProblemDate", "GtQueryTechnicalProblem" );
    reqProblemTime = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqProblemTime", "GtQueryTechnicalProblem" );
    reqInternetServiceProvider = getCharFromURL( req, prefix + "reqInternetServiceProvider" );
    reqOperatorSystemVerificationNumber = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOperatorSystemVerificationNumber", "GtQueryTechnicalProblem" );
    reqBrowserVersionNumber = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqBrowserVersionNumber", "GtQueryTechnicalProblem" );
    reqModemInfo = getCharFromURL( req, prefix + "reqModemInfo" );
    reqContactHomePhone = getCharFromURL( req, prefix + "reqContactHomePhone" );
    reqContactWorkPhone = getCharFromURL( req, prefix + "reqContactWorkPhone" );
    reqContactEmailAddress = getCharFromURL( req, prefix + "reqContactEmailAddress" );
    reqContactFaxNumber = getCharFromURL( req, prefix + "reqContactFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqTechnicalProblemText = getCharFromURL( req, prefix + "reqTechnicalProblemText" );
    reqSoftwarePaidName = getCharFromURL( req, prefix + "reqSoftwarePaidName" );
    reqSoftwarePaidVersionNumber = getCharFromURL( req, prefix + "reqSoftwarePaidVersionNumber" );
    reqOperatingSystemName = getCharFromURL( req, prefix + "reqOperatingSystemName" );
    reqTimestamp = getCharFromURL( req, prefix + "reqTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );
  }
}
