//**********************************************
//
// FILE NAME: GtReadMessage.java
// TRANSACTION NAME: Read an FI Initiated Message Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Read an FI Initiated Message Transaction</B>
 * <P>IFS ID: <B>readmsg</B>
 * <P>
 * This transaction allows a consumer to retrieve the text of a specific
 * message sent by the Financial Institution and residing in the
 * consumer's mailbox.
 * <BR>
 * <P><B>GET_FI_MSG</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_FI_IMSG</B>
 *            <P>
 *            This message requests the Financial Institution to return a
 *            specific message initiated by the Financial Institution and
 *            sent to a Consumer.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_FI_OMSG</B>
 *            <P>
 *            This message contains the specific message or e-mail sent by
 *            the Financial Institution to the Consumer which was
 *            requested by the consumer. The message information returned
 *            includes the actual message itself and other message details
 *            such as the message identifier, creation date, expiry date.
 */
public class GtReadMessage extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtReadMessage() { }
  public GtReadMessage( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "readmsg_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMessageID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String reqMessageID = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setReqMessageID( String o ) { reqMessageID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgIdTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getReqMessageID() { return (reqMessageID); }

  /**
   * <P>The attribute <code>reqFIReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumber( String o ) { reqFIReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumber() { return (reqFIReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiRefrDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>messageNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.MsgNbrTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  private String messageNumber = null;

  /**
   * <P>Sets the value of the attribute <code>messageNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgNbrTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  void   setMessageNumber( String o ) { messageNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>messageNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgNbrTg.MsgNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Message.
   */
  public  String getMessageNumber() { return (messageNumber); }

  /**
   * <P>The attribute <code>creationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgCrtnDtTg</code>.
   * <P>
   * The date, assigned by the system where the Message originated,
   * indicating the date when the Message was initiated. Messages can
   * either originate from the Financial Institution or the Financial
   * Institution Consumer.
   * <BR>
   */
  private GsDate creationDate = null;

  /**
   * <P>Sets the value of the attribute <code>creationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgCrtnDtTg</code>.
   * <P>
   * The date, assigned by the system where the Message originated,
   * indicating the date when the Message was initiated. Messages can
   * either originate from the Financial Institution or the Financial
   * Institution Consumer.
   * <BR>
   */
  public  void   setCreationDate(GsDate o )  { creationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>creationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgCrtnDtTg</code>.
   * <P>
   * The date, assigned by the system where the Message originated,
   * indicating the date when the Message was initiated. Messages can
   * either originate from the Financial Institution or the Financial
   * Institution Consumer.
   * <BR>
   */
  public  GsDate getCreationDate() { return (creationDate); }

  /**
   * <P>The attribute <code>expirationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgExpDtTg</code>.
   * <P>
   * The date, assigned by the Financial Institution, when a Message (sent
   * either to or from the Financial Institution) becomes void.
   * <BR>
   */
  private GsDate expirationDate = null;

  /**
   * <P>Sets the value of the attribute <code>expirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgExpDtTg</code>.
   * <P>
   * The date, assigned by the Financial Institution, when a Message (sent
   * either to or from the Financial Institution) becomes void.
   * <BR>
   */
  public  void   setExpirationDate(GsDate o )  { expirationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>expirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.MsgExpDtTg</code>.
   * <P>
   * The date, assigned by the Financial Institution, when a Message (sent
   * either to or from the Financial Institution) becomes void.
   * <BR>
   */
  public  GsDate getExpirationDate() { return (expirationDate); }

  /**
   * <P>The attribute <code>description</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrTg</code>.
   * <P>
   * A short description of a message sent by the Financial Institution.
   * The summary list of Financial Institution-Initiated Messages shows
   * the Message Description, but not the Message text. The Message text
   * can only be displayed by selecting the individual Message to be
   * retrieved for display.
   */
  private String description = null;

  /**
   * <P>Sets the value of the attribute <code>description</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrTg</code>.
   * <P>
   * A short description of a message sent by the Financial Institution.
   * The summary list of Financial Institution-Initiated Messages shows
   * the Message Description, but not the Message text. The Message text
   * can only be displayed by selecting the individual Message to be
   * retrieved for display.
   */
  public  void   setDescription( String o ) { description = o; }

  /**
   * <P>Gets the value of the attribute <code>description</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrTg</code>.
   * <P>
   * A short description of a message sent by the Financial Institution.
   * The summary list of Financial Institution-Initiated Messages shows
   * the Message Description, but not the Message text. The Message text
   * can only be displayed by selecting the individual Message to be
   * retrieved for display.
   */
  public  String getDescription() { return (description); }

  /**
   * <P>The attribute <code>msgDescrAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrAltTg</code>.
   * <P>
   * Contains message description in alternate language.
   */
  private String msgDescrAlt = null;

  /**
   * <P>Sets the value of the attribute <code>msgDescrAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrAltTg</code>.
   * <P>
   * Contains message description in alternate language.
   */
  public  void   setMsgDescrAlt( String o ) { msgDescrAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>msgDescrAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgDescrAltTg</code>.
   * <P>
   * Contains message description in alternate language.
   */
  public  String getMsgDescrAlt() { return (msgDescrAlt); }

  /**
   * <P>The attribute <code>confirmationRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.CfrmRqrdFTg</code>.
   * <P>
   * A flag which indicates if a confirmation message is required from a
   * user in response to a message sent.
   */
  private String confirmationRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>confirmationRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.CfrmRqrdFTg</code>.
   * <P>
   * A flag which indicates if a confirmation message is required from a
   * user in response to a message sent.
   */
  public  void   setConfirmationRequiredFlag( String o ) { confirmationRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>confirmationRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.CfrmRqrdFTg</code>.
   * <P>
   * A flag which indicates if a confirmation message is required from a
   * user in response to a message sent.
   */
  public  String getConfirmationRequiredFlag() { return (confirmationRequiredFlag); }

  /**
   * <P>The attribute <code>readMessageFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.ReadMsgFTg</code>.
   * <P>
   * A flag associated with a Message which indicates if the message has
   * been read.
   */
  private String readMessageFlag = null;

  /**
   * <P>Sets the value of the attribute <code>readMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.ReadMsgFTg</code>.
   * <P>
   * A flag associated with a Message which indicates if the message has
   * been read.
   */
  public  void   setReadMessageFlag( String o ) { readMessageFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>readMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.ReadMsgFTg</code>.
   * <P>
   * A flag associated with a Message which indicates if the message has
   * been read.
   */
  public  String getReadMessageFlag() { return (readMessageFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>readMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.ReadMsgFTg</code>.
   */
  public  String getReadMessageFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsReadMsgFResources", locale, getReadMessageFlag() );
  }

  /**
   * <P>The attribute <code>requestType</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  private String requestType = null;

  /**
   * <P>Sets the value of the attribute <code>requestType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  public  void   setRequestType( String o ) { requestType = o; }

  /**
   * <P>Gets the value of the attribute <code>requestType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  public  String getRequestType() { return (requestType); }

  /**
   * <P>The attribute <code>broadcastMessageFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.BrdcstMsgFTg</code>.
   * <P>
   * Indicates that this is a broadcast Message. 1 = this is a broadcast
   * message, 0 or 'not specified' = this is not a broadcast message.
   */
  private int  broadcastMessageFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>broadcastMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.BrdcstMsgFTg</code>.
   * <P>
   * Indicates that this is a broadcast Message. 1 = this is a broadcast
   * message, 0 or 'not specified' = this is not a broadcast message.
   */
  public  void setBroadcastMessageFlag( int o ) { broadcastMessageFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>broadcastMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.BrdcstMsgFTg</code>.
   * <P>
   * Indicates that this is a broadcast Message. 1 = this is a broadcast
   * message, 0 or 'not specified' = this is not a broadcast message.
   */
  public  int  getBroadcastMessageFlag() { return (broadcastMessageFlag); }

  /**
   * <P>The attribute <code>messageTypeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.MsgTpFTg</code>.
   * <P>
   * FI defiend field - Suggestions would be '1' = Operational Field, '2'
   * = Marketing message. This field could also be used to do some clever
   * comparisons with fields in the consumer profile.
   */
  private int  messageTypeFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>messageTypeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgTpFTg</code>.
   * <P>
   * FI defiend field - Suggestions would be '1' = Operational Field, '2'
   * = Marketing message. This field could also be used to do some clever
   * comparisons with fields in the consumer profile.
   */
  public  void setMessageTypeFlag( int o ) { messageTypeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>messageTypeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgTpFTg</code>.
   * <P>
   * FI defiend field - Suggestions would be '1' = Operational Field, '2'
   * = Marketing message. This field could also be used to do some clever
   * comparisons with fields in the consumer profile.
   */
  public  int  getMessageTypeFlag() { return (messageTypeFlag); }

  /**
   * <P>The attribute <code>messageSourceID</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgDtlTg.MsgSrcIDTg</code>.
   */
  private String messageSourceID = null;

  /**
   * <P>Sets the value of the attribute <code>messageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgSrcIDTg</code>.
   */
  public  void   setMessageSourceID( String o ) { messageSourceID = o; }

  /**
   * <P>Gets the value of the attribute <code>messageSourceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgDtlTg.MsgSrcIDTg</code>.
   */
  public  String getMessageSourceID() { return (messageSourceID); }

  /**
   * <P>The attribute <code>account</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.AcctTg</code>.
   * <BR>
   */
  private GsAccount account = null;

  /**
   * <P>Sets the value of the attribute <code>account</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.AcctTg</code>.
   * <BR>
   */
  public  void      setAccount(GsAccount o )  { account = o; }

  /**
   * <P>Gets the value of the attribute <code>account</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgDtlTg.AcctTg</code>.
   * <BR>
   */
  public  GsAccount getAccount() { return (account); }

  /**
   * <P>The attribute <code>messagetext</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String messagetext = null;

  /**
   * <P>Sets the value of the attribute <code>messagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setMessagetext( String o ) { messagetext = o; }

  /**
   * <P>Gets the value of the attribute <code>messagetext</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgTxTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getMessagetext() { return (messagetext); }

  /**
   * <P>The attribute <code>ifsMsgTxtAlt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsMsgTxtAltDtlTg.IfsMsgTxtAltTg</code>.
   * <BR>
   */
  private GsMsgTxtAlt[] ifsMsgTxtAlt = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMsgTxtAlt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgTxtAltDtlTg.IfsMsgTxtAltTg</code>.
   * <BR>
   */
  public  void          setIfsMsgTxtAlt(GsMsgTxtAlt[] o )  { ifsMsgTxtAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMsgTxtAlt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsMsgTxtAltDtlTg.IfsMsgTxtAltTg</code>.
   * <BR>
   */
  public  GsMsgTxtAlt[] getIfsMsgTxtAlt() { return (ifsMsgTxtAlt); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtReadMessage );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqMessageID != null && reqMessageID.length() > 8 )
      addArgToGMJI( reqMessageID.substring(0,8));
    else
      addArgToGMJI( reqMessageID ); 

    if( reqFIReferenceNumber != null && reqFIReferenceNumber.length() > 12 )
      addArgToGMJI( reqFIReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    messageNumber = txn.getNextCharFromGMJO( 8, "messageNumber" );
    creationDate = new GsDate( txn, "creationDate" );
    expirationDate = new GsDate( txn, "expirationDate" );
    description = txn.getNextNlsCharFromGMJO( 40, "description" );
    msgDescrAlt = txn.getNextNlsCharFromGMJO( 40, "msgDescrAlt" );
    confirmationRequiredFlag = txn.getNextCharFromGMJO( 1, "confirmationRequiredFlag" );
    readMessageFlag = txn.getNextCharFromGMJO( 1, "readMessageFlag" );
    requestType = txn.getNextCharFromGMJO( 8, "requestType" );
    broadcastMessageFlag = txn.getNextLongFromGMJO( "broadcastMessageFlag" );
    messageTypeFlag = txn.getNextLongFromGMJO( "messageTypeFlag" );
    messageSourceID = txn.getNextCharFromGMJO( 64, "messageSourceID" );
    account = new GsAccount( txn, "account" );
    messagetext = txn.getNextNlsCharFromGMJO( 3000, "messagetext" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsMsgTxtAlt = new GsMsgTxtAlt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsMsgTxtAlt[ i ] = new GsMsgTxtAlt( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMessageID = " + getReqMessageID() );
    pageWriter.println( prefix + "reqFIReferenceNumber = " + getReqFIReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "messageNumber = " + getMessageNumber() );

    pageWriter.println( prefix + "creationDate =" );
    if( creationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      creationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "expirationDate =" );
    if( expirationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      expirationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "description = " + getDescription() );
    pageWriter.println( prefix + "msgDescrAlt = " + getMsgDescrAlt() );
    pageWriter.println( prefix + "confirmationRequiredFlag = " + getConfirmationRequiredFlag() );
    pageWriter.println( prefix + "readMessageFlag = " + getReadMessageFlag() );
    try {
      pageWriter.println( prefix + "readMessageFlag_text = " + getReadMessageFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "readMessageFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "requestType = " + getRequestType() );
    pageWriter.println( prefix + "broadcastMessageFlag = " + getBroadcastMessageFlag() );
    pageWriter.println( prefix + "messageTypeFlag = " + getMessageTypeFlag() );
    pageWriter.println( prefix + "messageSourceID = " + getMessageSourceID() );

    pageWriter.println( prefix + "account =" );
    if( account == null ) {
      pageWriter.println( " (null)" );
    } else {
      account.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "messagetext = " + getMessagetext() );

    pageWriter.println( prefix + "ifsMsgTxtAlt =" );
    if( ifsMsgTxtAlt == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsMsgTxtAlt.length; j++ )
      {
        pageWriter.println( prefix + "ifsMsgTxtAlt[" + j + "] =" );
        if( ifsMsgTxtAlt[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsMsgTxtAlt[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMessageID = getCharFromURL( req, prefix + "reqMessageID" );
    reqFIReferenceNumber = getCharFromURL( req, prefix + "reqFIReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
  }
}
