//**********************************************
//
// FILE NAME: GtReadUndeliveredMessage.java
// TRANSACTION NAME: Get Undelivered Message Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get Undelivered Message Transaction</B>
 * <P>IFS ID: <B>ccumsg</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>GET_UNDLVD_MSG_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_UNDLVD_MSG_IMSG</B>
 *
 * <P>Reply:   <B>GET_UNDLVD_MSG_OMSG</B>
 */
public class GtReadUndeliveredMessage extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtReadUndeliveredMessage() { setContainsRespCode( 0 ); }
  public GtReadUndeliveredMessage( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ccumsg_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqUserSessionNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.UserSsnNbrTg</code>.
   * <P>
   * A series of characters or numbers which identifies the user session.
   */
  private int  reqUserSessionNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqUserSessionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.UserSsnNbrTg</code>.
   * <P>
   * A series of characters or numbers which identifies the user session.
   */
  public  void setReqUserSessionNumber( int o ) { reqUserSessionNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqUserSessionNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.UserSsnNbrTg</code>.
   * <P>
   * A series of characters or numbers which identifies the user session.
   */
  public  int  getReqUserSessionNumber() { return (reqUserSessionNumber); }

  /**
   * <P>The attribute <code>reqSessionID</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.SsnIdTg</code>.
   * <P>
   * A number which identifies a session in one of the IFS components.
   */
  private String reqSessionID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSessionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.SsnIdTg</code>.
   * <P>
   * A number which identifies a session in one of the IFS components.
   */
  public  void   setReqSessionID( String o ) { reqSessionID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSessionID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.SsnIdTg</code>.
   * <P>
   * A number which identifies a session in one of the IFS components.
   */
  public  String getReqSessionID() { return (reqSessionID); }

  /**
   * <P>The attribute <code>reqFINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String reqFINumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setReqFINumber( String o ) { reqFINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgSsnKeyTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getReqFINumber() { return (reqFINumber); }

  /**
   * <P>The attribute <code>reqServiceRequestReferenceID</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.SrvcRqstRfrIdTg</code>.
   * <P>
   * A series of characters and/or digits which is stored in the Gold
   * Message Header and uniquely identifies the specific instance of a
   * Service Request or transaction provided through IFS.
   */
  private int  reqServiceRequestReferenceID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqServiceRequestReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.SrvcRqstRfrIdTg</code>.
   * <P>
   * A series of characters and/or digits which is stored in the Gold
   * Message Header and uniquely identifies the specific instance of a
   * Service Request or transaction provided through IFS.
   */
  public  void setReqServiceRequestReferenceID( int o ) { reqServiceRequestReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceRequestReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.SrvcRqstRfrIdTg</code>.
   * <P>
   * A series of characters and/or digits which is stored in the Gold
   * Message Header and uniquely identifies the specific instance of a
   * Service Request or transaction provided through IFS.
   */
  public  int  getReqServiceRequestReferenceID() { return (reqServiceRequestReferenceID); }

  /**
   * <P>The attribute <code>reqRequestType</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  private String reqRequestType = null;

  /**
   * <P>Sets the value of the attribute <code>reqRequestType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  public  void   setReqRequestType( String o ) { reqRequestType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRequestType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.RequesttypeTg</code>.
   * <P>
   * A series of characters uniquely identifying the transaction type. For
   * example, LOGON is the request type for a Logon transaction.
   */
  public  String getReqRequestType() { return (reqRequestType); }

  /**
   * <P>The attribute <code>reqTransactionTimestamp</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.TxnTmstpValTg</code>.
   * <P>
   * A character string which holds the timestamp value of a transaction.
   */
  private String reqTransactionTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransactionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.TxnTmstpValTg</code>.
   * <P>
   * A character string which holds the timestamp value of a transaction.
   */
  public  void   setReqTransactionTimestamp( String o ) { reqTransactionTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransactionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.TxnTmstpValTg</code>.
   * <P>
   * A character string which holds the timestamp value of a transaction.
   */
  public  String getReqTransactionTimestamp() { return (reqTransactionTimestamp); }

  /**
   * <P>The attribute <code>reqMessageMode</code> is an alias for the
   * standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgModeTpClTg</code>.
   * <P>
   * An identifier held in the message header which identifies the message
   * mode.
   */
  private int  reqMessageMode = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMessageMode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgModeTpClTg</code>.
   * <P>
   * An identifier held in the message header which identifies the message
   * mode.
   */
  public  void setReqMessageMode( int o ) { reqMessageMode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageMode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUndlvdMsgDtlTg.MsgModeTpClTg</code>.
   * <P>
   * An identifier held in the message header which identifies the message
   * mode.
   */
  public  int  getReqMessageMode() { return (reqMessageMode); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>goldMessage</code> is an alias for the
   * standard message simple element
   * <code>IfsMsgBitStreamTg.GoldMsgTg</code>.
   * <P>
   * A variable length structure containing a message coded in the Gold
   * format.
   */
  private byte[] goldMessage = null;

  /**
   * <P>Sets the value of the attribute <code>goldMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgBitStreamTg.GoldMsgTg</code>.
   * <P>
   * A variable length structure containing a message coded in the Gold
   * format.
   */
  public  void   setGoldMessage( byte[] o ) { goldMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>goldMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsMsgBitStreamTg.GoldMsgTg</code>.
   * <P>
   * A variable length structure containing a message coded in the Gold
   * format.
   */
  public  byte[] getGoldMessage() { return (goldMessage); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtReadUndeliveredMessage );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 
    addArgToGMJI( reqUserSessionNumber ); 

    if( reqSessionID != null && reqSessionID.length() > 8 )
      addArgToGMJI( reqSessionID.substring(0,8));
    else
      addArgToGMJI( reqSessionID ); 

    if( reqFINumber != null && reqFINumber.length() > 8 )
      addArgToGMJI( reqFINumber.substring(0,8));
    else
      addArgToGMJI( reqFINumber ); 
    addArgToGMJI( reqServiceRequestReferenceID ); 

    if( reqRequestType != null && reqRequestType.length() > 8 )
      addArgToGMJI( reqRequestType.substring(0,8));
    else
      addArgToGMJI( reqRequestType ); 

    if( reqTransactionTimestamp != null && reqTransactionTimestamp.length() > 33 )
      addArgToGMJI( reqTransactionTimestamp.substring(0,33));
    else
      addArgToGMJI( reqTransactionTimestamp ); 
    addArgToGMJI( reqMessageMode ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    goldMessage = txn.getNextBinaryItemFromGMJO( "goldMessage" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqUserSessionNumber = " + getReqUserSessionNumber() );
    pageWriter.println( prefix + "reqSessionID = " + getReqSessionID() );
    pageWriter.println( prefix + "reqFINumber = " + getReqFINumber() );
    pageWriter.println( prefix + "reqServiceRequestReferenceID = " + getReqServiceRequestReferenceID() );
    pageWriter.println( prefix + "reqRequestType = " + getReqRequestType() );
    pageWriter.println( prefix + "reqTransactionTimestamp = " + getReqTransactionTimestamp() );
    pageWriter.println( prefix + "reqMessageMode = " + getReqMessageMode() );
    pageWriter.println( prefix + "goldMessage = " + getGoldMessage() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqUserSessionNumber = getLongFromURL( req, prefix + "reqUserSessionNumber" );
    reqSessionID = getCharFromURL( req, prefix + "reqSessionID" );
    reqFINumber = getCharFromURL( req, prefix + "reqFINumber" );
    reqServiceRequestReferenceID = getLongFromURL( req, prefix + "reqServiceRequestReferenceID" );
    reqRequestType = getCharFromURL( req, prefix + "reqRequestType" );
    reqTransactionTimestamp = getCharFromURL( req, prefix + "reqTransactionTimestamp" );
    reqMessageMode = getLongFromURL( req, prefix + "reqMessageMode" );
  }
}
