//**********************************************
//
// FILE NAME: GtRegisterInquiry.java
// TRANSACTION NAME: Register Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Register Inquiry Transaction</B>
 * <P>IFS ID: <B>reginq</B>
 * <P>
 * Request contents of the register for a consumer. The entire register
 * can be returned on the response but optional selection criteria are
 * also allowed to reduce the number of records. These will include: a
 * specific Register Entry Identifier, an Account Number/Type and/or a
 * date range. The service will be responsible for filtering the inquiry
 * results based on the optional selection criteria. Selection criteria
 * are ANDed together if more than one is supplied. Specifying a specific
 * Register Entry Identifier overrides account or date selections since
 * the inquiry is asking for one specific entry. When returning category
 * information with an entry, the service is responsible for supplying all
 * categories associated with the register entry.
 * <BR>
 * <P><B>RGSTR_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>RGSTR_INQ_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>RGSTR_INQ_OMSG</B>
 */
public class GtRegisterInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtRegisterInquiry() { }
  public GtRegisterInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "reginq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaxNbrRecVal</code> is an alias for the
   * standard message simple element
   * <code>RgstrRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNbrRecVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNbrRecVal</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNbrRecVal( int o ) { reqMaxNbrRecVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNbrRecVal</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNbrRecVal() { return (reqMaxNbrRecVal); }

  /**
   * <P>The attribute <code>reqCrsr</code> is an alias for the
   * standard message simple element
   * <code>RgstrRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCrsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCrsr</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCrsr( byte[] o ) { reqCrsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrsr</code>,
   * which is an alias for the standard message simple element
   * <code>RgstrRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCrsr() { return (reqCrsr); }

  /**
   * <P>The attribute <code>reqRgstrAcctDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * The account for which the register is to be returned.
   * <BR>
   */
  private GsAccount reqRgstrAcctDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * The account for which the register is to be returned.
   * <BR>
   */
  public  void      setReqRgstrAcctDtl(GsAccount o )  { reqRgstrAcctDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>RgstrAcctDtlTg</code>.
   * <P>
   * The account for which the register is to be returned.
   * <BR>
   */
  public  GsAccount getReqRgstrAcctDtl() { return (reqRgstrAcctDtl); }

  /**
   * <P>The attribute <code>reqStrtDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  private GsDate reqStrtDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  void   setReqStrtDt(GsDate o )  { reqStrtDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStrtDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  GsDate getReqStrtDt() { return (reqStrtDt); }

  /**
   * <P>The attribute <code>reqEndDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  private GsDate reqEndDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  void   setReqEndDt(GsDate o )  { reqEndDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrSrchDtlsTg.RgstrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  GsDate getReqEndDt() { return (reqEndDt); }

  /**
   * <P>The attribute <code>reqRgstrEntrNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  private String reqRgstrEntrNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  public  void   setReqRgstrEntrNbrId( String o ) { reqRgstrEntrNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrNbrIdTg</code>.
   * <P>
   * Register entry identifier assigned by the service.
   */
  public  String getReqRgstrEntrNbrId() { return (reqRgstrEntrNbrId); }

  /**
   * <P>The attribute <code>reqRgstrCatNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrCatNbrIdTg</code>.
   */
  private String reqRgstrCatNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrCatNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrCatNbrIdTg</code>.
   */
  public  void   setReqRgstrCatNbrId( String o ) { reqRgstrCatNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrCatNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrCatNbrIdTg</code>.
   */
  public  String getReqRgstrCatNbrId() { return (reqRgstrCatNbrId); }

  /**
   * <P>The attribute <code>reqRgstrEntrDescTxt</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  private String reqRgstrEntrDescTxt = null;

  /**
   * <P>Sets the value of the attribute <code>reqRgstrEntrDescTxt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  public  void   setReqRgstrEntrDescTxt( String o ) { reqRgstrEntrDescTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRgstrEntrDescTxt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrSrchDtlsTg.RgstrEntrDescTxtTg</code>.
   * <P>
   * Optional Transaction Description of Payee name search criteria.
   */
  public  String getReqRgstrEntrDescTxt() { return (reqRgstrEntrDescTxt); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>rgstrRunBalVal</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrRunBalValTg</code>.
   * <P>
   * Running balance of the register for an account.
   * <BR>
   */
  private GsCurrency rgstrRunBalVal = null;

  /**
   * <P>Sets the value of the attribute <code>rgstrRunBalVal</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrRunBalValTg</code>.
   * <P>
   * Running balance of the register for an account.
   * <BR>
   */
  public  void       setRgstrRunBalVal(GsCurrency o )  { rgstrRunBalVal = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrRunBalVal</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrRunBalValTg</code>.
   * <P>
   * Running balance of the register for an account.
   * <BR>
   */
  public  GsCurrency getRgstrRunBalVal() { return (rgstrRunBalVal); }

  /**
   * <P>The attribute <code>rgstrRcnclDtTTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  private String rgstrRcnclDtTTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>rgstrRcnclDtTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  public  void   setRgstrRcnclDtTTmstpVal( String o ) { rgstrRcnclDtTTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrRcnclDtTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  public  String getRgstrRcnclDtTTmstpVal() { return (rgstrRcnclDtTTmstpVal); }

  /**
   * <P>The attribute <code>rgstrRcnclDtTGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  private int  rgstrRcnclDtTGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>rgstrRcnclDtTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  public  void setRgstrRcnclDtTGmtOfstMinsVal( int o ) { rgstrRcnclDtTGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrRcnclDtTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRgstrEntrTg.RgstrRcnclDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: RgstrRcnclDtCxTg
   */
  public  int  getRgstrRcnclDtTGmtOfstMinsVal() { return (rgstrRcnclDtTGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>rgstrEntrDtls</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrEntrDtlsTg</code>.
   * <BR>
   */
  private GsRgstrEntrDtls[] rgstrEntrDtls = null;

  /**
   * <P>Sets the value of the attribute <code>rgstrEntrDtls</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrEntrDtlsTg</code>.
   * <BR>
   */
  public  void              setRgstrEntrDtls(GsRgstrEntrDtls[] o )  { rgstrEntrDtls = o; }

  /**
   * <P>Gets the value of the attribute <code>rgstrEntrDtls</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsRgstrEntrTg.RgstrEntrDtlsTg</code>.
   * <BR>
   */
  public  GsRgstrEntrDtls[] getRgstrEntrDtls() { return (rgstrEntrDtls); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtRegisterInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaxNbrRecVal ); 
    addArgToGMJI( reqCrsr ); 
    GsAccount.addPropertiesToGMJI( reqRgstrAcctDtl, this );
    GsDate.addPropertiesToGMJI( reqStrtDt, this );
    GsDate.addPropertiesToGMJI( reqEndDt, this );

    if( reqRgstrEntrNbrId != null && reqRgstrEntrNbrId.length() > 36 )
      addArgToGMJI( reqRgstrEntrNbrId.substring(0,36));
    else
      addArgToGMJI( reqRgstrEntrNbrId ); 

    if( reqRgstrCatNbrId != null && reqRgstrCatNbrId.length() > 36 )
      addArgToGMJI( reqRgstrCatNbrId.substring(0,36));
    else
      addArgToGMJI( reqRgstrCatNbrId ); 

    if( reqRgstrEntrDescTxt != null && reqRgstrEntrDescTxt.length() > 90 )
      addArgToGMJI( reqRgstrEntrDescTxt.substring(0,90));
    else
      addArgToGMJI( reqRgstrEntrDescTxt ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    rgstrRunBalVal = new GsCurrency( txn, "rgstrRunBalVal" );
    rgstrRcnclDtTTmstpVal = txn.getNextCharFromGMJO( 26, "rgstrRcnclDtTTmstpVal" );
    rgstrRcnclDtTGmtOfstMinsVal = txn.getNextLongFromGMJO( "rgstrRcnclDtTGmtOfstMinsVal" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    rgstrEntrDtls = new GsRgstrEntrDtls[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      rgstrEntrDtls[ i ] = new GsRgstrEntrDtls( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaxNbrRecVal = " + getReqMaxNbrRecVal() );
    pageWriter.println( prefix + "reqCrsr = " + getReqCrsr() );

    pageWriter.println( prefix + "reqRgstrAcctDtl =" );
    if( reqRgstrAcctDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqRgstrAcctDtl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqStrtDt =" );
    if( reqStrtDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStrtDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDt =" );
    if( reqEndDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqRgstrEntrNbrId = " + getReqRgstrEntrNbrId() );
    pageWriter.println( prefix + "reqRgstrCatNbrId = " + getReqRgstrCatNbrId() );
    pageWriter.println( prefix + "reqRgstrEntrDescTxt = " + getReqRgstrEntrDescTxt() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );

    pageWriter.println( prefix + "rgstrRunBalVal =" );
    if( rgstrRunBalVal == null ) {
      pageWriter.println( " (null)" );
    } else {
      rgstrRunBalVal.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "rgstrRcnclDtTTmstpVal = " + getRgstrRcnclDtTTmstpVal() );
    pageWriter.println( prefix + "rgstrRcnclDtTGmtOfstMinsVal = " + getRgstrRcnclDtTGmtOfstMinsVal() );

    pageWriter.println( prefix + "rgstrEntrDtls =" );
    if( rgstrEntrDtls == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < rgstrEntrDtls.length; j++ )
      {
        pageWriter.println( prefix + "rgstrEntrDtls[" + j + "] =" );
        if( rgstrEntrDtls[ j ] == null )
          pageWriter.println( " (null)" );
        else
          rgstrEntrDtls[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaxNbrRecVal = getLongFromURL( req, prefix + "reqMaxNbrRecVal" );
    reqCrsr = getBinaryFromURL( req, prefix + "reqCrsr" );
    reqRgstrAcctDtl = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqRgstrAcctDtl", "GtRegisterInquiry" );
    reqStrtDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStrtDt", "GtRegisterInquiry" );
    reqEndDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDt", "GtRegisterInquiry" );
    reqRgstrEntrNbrId = getCharFromURL( req, prefix + "reqRgstrEntrNbrId" );
    reqRgstrCatNbrId = getCharFromURL( req, prefix + "reqRgstrCatNbrId" );
    reqRgstrEntrDescTxt = getCharFromURL( req, prefix + "reqRgstrEntrDescTxt" );
  }
}
