//**********************************************
//
// FILE NAME: GtReportBillPayProblem.java
// TRANSACTION NAME: Report Bill Pay Problem Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Report Bill Pay Problem Transaction</B>
 * <P>IFS ID: <B>billprob</B>
 * <P>
 * This transaction enables the consumer to report a problem with a
 * payment transaction.
 * <BR>
 * <P><B>BP_PROBLEM_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>BP_PROBLEM_IMSG</B>
 *            <P>
 *            This message is initiated by the consumer. It is used to
 *            notify the Financial Institution of a problem regarding a
 *            specific payment. The consumer inputs payment details such
 *            as payment date, funding account, payee name, payment amount
 *            and reference numbers. The consumer may also include contact
 *            details and a free form message outlining the problem.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 *      <TR><TD>reqWorkPhone</TD>	<TD>IfsBillPyPrblmTg.WrkPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</TD></TR>
 *      <TR><TD>reqHomePhone</TD>	<TD>IfsBillPyPrblmTg.HmPhNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</TD></TR>
 *      <TR><TD>reqFaxNumber</TD>	<TD>IfsBillPyPrblmTg.FaxNbrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.FaxNbrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>BP_PROBLEM_OMSG</B>
 *            <P>
 *            This message is sent by the Financial Institution to the
 *            consumer and acknowledges receipt of the problem. The
 *            message also contains a reference number for future tracing.
 */
public class GtReportBillPayProblem extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtReportBillPayProblem() { }
  public GtReportBillPayProblem( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "billprob_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqPayeeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  private String reqPayeeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  void   setReqPayeeNumber( String o ) { reqPayeeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution or Bill
   * Payment Engine, uniquely identifying Payee, a recipient of Payments.
   */
  public  String getReqPayeeNumber() { return (reqPayeeNumber); }

  /**
   * <P>The attribute <code>reqPayeeNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  private String reqPayeeNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  void   setReqPayeeNickname( String o ) { reqPayeeNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTg.PayeeNckNmTg</code>.
   * <P>
   * An alphanumeric string forming the common name or nickname (as
   * distinct from the more formal legal name) for a Payee. For example, a
   * consumer may refer to the National Pensions Trust as NPT.
   */
  public  String getReqPayeeNickname() { return (reqPayeeNickname); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqPaymentNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  private String reqPaymentNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  void   setReqPaymentNumber( String o ) { reqPaymentNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  String getReqPaymentNumber() { return (reqPaymentNumber); }

  /**
   * <P>The attribute <code>reqPaymentNickname</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  private String reqPaymentNickname = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  void   setReqPaymentNickname( String o ) { reqPaymentNickname = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentNickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTg.PymtNckNmTg</code>.
   * <P>
   * An alphanumeric string assigned by the consumer that serves as an
   * informal identifier for the Payment Instance or definition.
   */
  public  String getReqPaymentNickname() { return (reqPaymentNickname); }

  /**
   * <P>The attribute <code>reqPaymentDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  private GsDate reqPaymentDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  void   setReqPaymentDate(GsDate o )  { reqPaymentDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtDtTg</code>.
   * <P>
   * The date in which the consumer wishes/wished the payment to take
   * place. This may subsequently be adjusted by the Financial Institution
   * if the requested payment date falls on a non-business day.
   * <BR>
   */
  public  GsDate getReqPaymentDate() { return (reqPaymentDate); }

  /**
   * <P>The attribute <code>reqPaymentAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  private GsCurrency reqPaymentAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  public  void       setReqPaymentAmount(GsCurrency o )  { reqPaymentAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyPrblmTg.PymtAmtTg</code>.
   * <P>
   * See Payment Amount.
   * <BR>
   */
  public  GsCurrency getReqPaymentAmount() { return (reqPaymentAmount); }

  /**
   * <P>The attribute <code>reqReferenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqReferenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqReferenceNumber( String o ) { reqReferenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqReferenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqReferenceNumber() { return (reqReferenceNumber); }

  /**
   * <P>The attribute <code>reqServiceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String reqServiceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setReqServiceProviderReference( String o ) { reqServiceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getReqServiceProviderReference() { return (reqServiceProviderReference); }

  /**
   * <P>The attribute <code>reqPaymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  private String reqPaymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  void   setReqPaymentType( String o ) { reqPaymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PymtTpClTg</code>.
   * <P>
   * A code classifying Payments based on whether the Payment occurs once
   * or multiple times. For example, electricity consumption is paid by a
   * Recurring Payment.
   */
  public  String getReqPaymentType() { return (reqPaymentType); }

  /**
   * <P>The attribute <code>reqProblemReason</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PrblmRsnClTg</code>.
   * <P>
   * A code classifying the problem, relating to a payment instance, which
   * the Consumer is reporting to the Financial Institution.
   */
  private String reqProblemReason = null;

  /**
   * <P>Sets the value of the attribute <code>reqProblemReason</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PrblmRsnClTg</code>.
   * <P>
   * A code classifying the problem, relating to a payment instance, which
   * the Consumer is reporting to the Financial Institution.
   */
  public  void   setReqProblemReason( String o ) { reqProblemReason = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProblemReason</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PrblmRsnClTg</code>.
   * <P>
   * A code classifying the problem, relating to a payment instance, which
   * the Consumer is reporting to the Financial Institution.
   */
  public  String getReqProblemReason() { return (reqProblemReason); }

  /**
   * <P>The attribute <code>reqMessage</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.BillPyPrblmTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessage = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.BillPyPrblmTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessage( String o ) { reqMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.BillPyPrblmTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessage() { return (reqMessage); }

  /**
   * <P>The attribute <code>reqPayeeName</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  private String reqPayeeName = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  void   setReqPayeeName( String o ) { reqPayeeName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeNmTg</code>.
   * <P>
   * The name which an Individual or Organization who has been defined as
   * a Payee is addressed or known.
   */
  public  String getReqPayeeName() { return (reqPayeeName); }

  /**
   * <P>The attribute <code>reqCntcEmailAddrId</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqCntcEmailAddrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcEmailAddrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqCntcEmailAddrId( String o ) { reqCntcEmailAddrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcEmailAddrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqCntcEmailAddrId() { return (reqCntcEmailAddrId); }

  /**
   * <P>The attribute <code>reqPayeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  private String reqPayeeType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  void   setReqPayeeType( String o ) { reqPayeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPayeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.PayeeTpClTg</code>.
   * <P>
   * A code classifying Payees. A biller payee is a payee defined by the
   * consumer which refers to a specific biller about which the Financial
   * Institution/payment engine knows detailed information regarding
   * preferred payment and remittance data methods. Additional facilities
   * are provided to billers. Also known as Billing Account Payee. For
   * example, individual consumer payments may be consolidated. A Free
   * Form Payee is a Payee defined by the consumer but about whom the
   * Financial Institution/payment engine knows nothing. The consumer must
   * supply detailed payment directions (such as Name and Address). An
   * Interbank Transfer Payee is a Payee added by a Consumer whose Account
   * is located at an external Financial Institution.
   */
  public  String getReqPayeeType() { return (reqPayeeType); }

  /**
   * <P>The attribute <code>reqBillerAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  private String reqBillerAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  void   setReqBillerAccountNumber( String o ) { reqBillerAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBillerAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.BillerAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account Number with
   * the Biller. For example, the Telephone Company may be defined as a
   * Biller and the Consumer's Telephone Number may be used as the Biller
   * Account Number for that Consumer.
   */
  public  String getReqBillerAccountNumber() { return (reqBillerAccountNumber); }

  /**
   * <P>The attribute <code>reqChargeNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  private String reqChargeNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  void   setReqChargeNumber( String o ) { reqChargeNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChargeNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.ChrgNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the Consumer's Account number with
   * the Payee. For example,a Consumer may define the Telephone Company as
   * a Payee and the Consumer's Telephone number may be used as the
   * Consumer's Payee Account Number. If the Consumer's Payee Account
   * Number is provided for a Payment, it is printed in the Memo Line of a
   * paper check, or provided as remittance data for electronic payments.
   * If the Consumer's Payee Account Number is not provided for a Payment,
   * the Payment Memo is printed in the Memo Line of a paper check or
   * provided as remittance data for electronic payments.
   */
  public  String getReqChargeNumber() { return (reqChargeNumber); }

  /**
   * <P>The attribute <code>reqCntchomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntchomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntchomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntchomePhone( String o ) { reqCntchomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntchomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntchomePhone() { return (reqCntchomePhone); }

  /**
   * <P>The attribute <code>reqCntcworkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntcworkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcworkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntcworkPhone( String o ) { reqCntcworkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcworkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntcworkPhone() { return (reqCntcworkPhone); }

  /**
   * <P>The attribute <code>reqCnsmrCntcTCntcemailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  private String reqCnsmrCntcTCntcemailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcTCntcemailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  public  void   setReqCnsmrCntcTCntcemailAddress( String o ) { reqCnsmrCntcTCntcemailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcTCntcemailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  public  String getReqCnsmrCntcTCntcemailAddress() { return (reqCnsmrCntcTCntcemailAddress); }

  /**
   * <P>The attribute <code>reqCntcfaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntcfaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcfaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntcfaxNumber( String o ) { reqCntcfaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcfaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntcfaxNumber() { return (reqCntcfaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyPrblmTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtReportBillPayProblem );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqPayeeNumber != null && reqPayeeNumber.length() > 11 )
      addArgToGMJI( reqPayeeNumber.substring(0,11));
    else
      addArgToGMJI( reqPayeeNumber ); 

    if( reqPayeeNickname != null && reqPayeeNickname.length() > 30 )
      addArgToGMJI( reqPayeeNickname.substring(0,30));
    else
      addArgToGMJI( reqPayeeNickname ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );

    if( reqPaymentNumber != null && reqPaymentNumber.length() > 36 )
      addArgToGMJI( reqPaymentNumber.substring(0,36));
    else
      addArgToGMJI( reqPaymentNumber ); 

    if( reqPaymentNickname != null && reqPaymentNickname.length() > 30 )
      addArgToGMJI( reqPaymentNickname.substring(0,30));
    else
      addArgToGMJI( reqPaymentNickname ); 
    GsDate.addPropertiesToGMJI( reqPaymentDate, this );
    GsCurrency.addPropertiesToGMJI( reqPaymentAmount, this );

    if( reqReferenceNumber != null && reqReferenceNumber.length() > 12 )
      addArgToGMJI( reqReferenceNumber.substring(0,12));
    else
      addArgToGMJI( reqReferenceNumber ); 

    if( reqServiceProviderReference != null && reqServiceProviderReference.length() > 36 )
      addArgToGMJI( reqServiceProviderReference.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderReference ); 

    if( reqPaymentType != null && reqPaymentType.length() > 1 )
      addArgToGMJI( reqPaymentType.substring(0,1));
    else
      addArgToGMJI( reqPaymentType ); 

    if( reqProblemReason != null && reqProblemReason.length() > 1 )
      addArgToGMJI( reqProblemReason.substring(0,1));
    else
      addArgToGMJI( reqProblemReason ); 

    if( reqMessage != null && reqMessage.length() > 3000 )
      addArgToGMJI( reqMessage.substring(0,3000));
    else
      addArgToGMJI( reqMessage ); 

    if( reqPayeeName != null && reqPayeeName.length() > 40 )
      addArgToGMJI( reqPayeeName.substring(0,40));
    else
      addArgToGMJI( reqPayeeName ); 

    if( reqCntcEmailAddrId != null && reqCntcEmailAddrId.length() > 128 )
      addArgToGMJI( reqCntcEmailAddrId.substring(0,128));
    else
      addArgToGMJI( reqCntcEmailAddrId ); 

    if( reqPayeeType != null && reqPayeeType.length() > 1 )
      addArgToGMJI( reqPayeeType.substring(0,1));
    else
      addArgToGMJI( reqPayeeType ); 

    if( reqBillerAccountNumber != null && reqBillerAccountNumber.length() > 30 )
      addArgToGMJI( reqBillerAccountNumber.substring(0,30));
    else
      addArgToGMJI( reqBillerAccountNumber ); 

    if( reqChargeNumber != null && reqChargeNumber.length() > 30 )
      addArgToGMJI( reqChargeNumber.substring(0,30));
    else
      addArgToGMJI( reqChargeNumber ); 

    if( reqCntchomePhone != null && reqCntchomePhone.length() > 15 )
      addArgToGMJI( reqCntchomePhone.substring(0,15));
    else
      addArgToGMJI( reqCntchomePhone ); 

    if( reqCntcworkPhone != null && reqCntcworkPhone.length() > 15 )
      addArgToGMJI( reqCntcworkPhone.substring(0,15));
    else
      addArgToGMJI( reqCntcworkPhone ); 

    if( reqCnsmrCntcTCntcemailAddress != null && reqCnsmrCntcTCntcemailAddress.length() > 128 )
      addArgToGMJI( reqCnsmrCntcTCntcemailAddress.substring(0,128));
    else
      addArgToGMJI( reqCnsmrCntcTCntcemailAddress ); 

    if( reqCntcfaxNumber != null && reqCntcfaxNumber.length() > 15 )
      addArgToGMJI( reqCntcfaxNumber.substring(0,15));
    else
      addArgToGMJI( reqCntcfaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqPayeeNumber = " + getReqPayeeNumber() );
    pageWriter.println( prefix + "reqPayeeNickname = " + getReqPayeeNickname() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPaymentNumber = " + getReqPaymentNumber() );
    pageWriter.println( prefix + "reqPaymentNickname = " + getReqPaymentNickname() );

    pageWriter.println( prefix + "reqPaymentDate =" );
    if( reqPaymentDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqPaymentAmount =" );
    if( reqPaymentAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqPaymentAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqReferenceNumber = " + getReqReferenceNumber() );
    pageWriter.println( prefix + "reqServiceProviderReference = " + getReqServiceProviderReference() );
    pageWriter.println( prefix + "reqPaymentType = " + getReqPaymentType() );
    pageWriter.println( prefix + "reqProblemReason = " + getReqProblemReason() );
    pageWriter.println( prefix + "reqMessage = " + getReqMessage() );
    pageWriter.println( prefix + "reqPayeeName = " + getReqPayeeName() );
    pageWriter.println( prefix + "reqCntcEmailAddrId = " + getReqCntcEmailAddrId() );
    pageWriter.println( prefix + "reqPayeeType = " + getReqPayeeType() );
    pageWriter.println( prefix + "reqBillerAccountNumber = " + getReqBillerAccountNumber() );
    pageWriter.println( prefix + "reqChargeNumber = " + getReqChargeNumber() );
    pageWriter.println( prefix + "reqCntchomePhone = " + getReqCntchomePhone() );
    pageWriter.println( prefix + "reqCntcworkPhone = " + getReqCntcworkPhone() );
    pageWriter.println( prefix + "reqCnsmrCntcTCntcemailAddress = " + getReqCnsmrCntcTCntcemailAddress() );
    pageWriter.println( prefix + "reqCntcfaxNumber = " + getReqCntcfaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqPayeeNumber = getCharFromURL( req, prefix + "reqPayeeNumber" );
    reqPayeeNickname = getCharFromURL( req, prefix + "reqPayeeNickname" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtReportBillPayProblem" );
    reqPaymentNumber = getCharFromURL( req, prefix + "reqPaymentNumber" );
    reqPaymentNickname = getCharFromURL( req, prefix + "reqPaymentNickname" );
    reqPaymentDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentDate", "GtReportBillPayProblem" );
    reqPaymentAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqPaymentAmount", "GtReportBillPayProblem" );
    reqReferenceNumber = getCharFromURL( req, prefix + "reqReferenceNumber" );
    reqServiceProviderReference = getCharFromURL( req, prefix + "reqServiceProviderReference" );
    reqPaymentType = getCharFromURL( req, prefix + "reqPaymentType" );
    reqProblemReason = getCharFromURL( req, prefix + "reqProblemReason" );
    reqMessage = getCharFromURL( req, prefix + "reqMessage" );
    reqPayeeName = getCharFromURL( req, prefix + "reqPayeeName" );
    reqCntcEmailAddrId = getCharFromURL( req, prefix + "reqCntcEmailAddrId" );
    reqPayeeType = getCharFromURL( req, prefix + "reqPayeeType" );
    reqBillerAccountNumber = getCharFromURL( req, prefix + "reqBillerAccountNumber" );
    reqChargeNumber = getCharFromURL( req, prefix + "reqChargeNumber" );
    reqCntchomePhone = getCharFromURL( req, prefix + "reqCntchomePhone" );
    reqCntcworkPhone = getCharFromURL( req, prefix + "reqCntcworkPhone" );
    reqCnsmrCntcTCntcemailAddress = getCharFromURL( req, prefix + "reqCnsmrCntcTCntcemailAddress" );
    reqCntcfaxNumber = getCharFromURL( req, prefix + "reqCntcfaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
  }
}
