//**********************************************
//
// FILE NAME: GtReportLostCard.java
// TRANSACTION NAME: Report Lost Card Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Report Lost Card Transaction</B>
 * <P>IFS ID: <B>lostcard</B>
 * <P>
 * This transaction allows a consumer to report a Credit Card lost or
 * stolen.
 * <BR>
 * <P><B>LOST_CARD_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>LOST_CARD_IMSG</B>
 *            <P>
 *            This request message allows the consumer to report a Credit
 *            Card as lost or stolen. Credit Card details such as card
 *            type, number and the date and time of loss may be entered.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>LOST_CARD_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the request message was successfully received by the
 *            FI and may include the Financial Institution and Service
 *            Provider Reference identifiers for future tracing.
 */
public class GtReportLostCard extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtReportLostCard() { }
  public GtReportLostCard( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "lostcard_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqCardNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsLostCardDtlTg.CardNbrIdTg</code>.
   * <P>
   * The character string which identifies a Credit Card.
   */
  private String reqCardNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqCardNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsLostCardDtlTg.CardNbrIdTg</code>.
   * <P>
   * The character string which identifies a Credit Card.
   */
  public  void   setReqCardNumber( String o ) { reqCardNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCardNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsLostCardDtlTg.CardNbrIdTg</code>.
   * <P>
   * The character string which identifies a Credit Card.
   */
  public  String getReqCardNumber() { return (reqCardNumber); }

  /**
   * <P>The attribute <code>reqCardType</code> is an alias for the
   * standard message simple element
   * <code>IfsLostCardDtlTg.CardTpClTg</code>.
   * <P>
   * A code which indicates the type of Credit Card.
   */
  private String reqCardType = null;

  /**
   * <P>Sets the value of the attribute <code>reqCardType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsLostCardDtlTg.CardTpClTg</code>.
   * <P>
   * A code which indicates the type of Credit Card.
   */
  public  void   setReqCardType( String o ) { reqCardType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCardType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsLostCardDtlTg.CardTpClTg</code>.
   * <P>
   * A code which indicates the type of Credit Card.
   */
  public  String getReqCardType() { return (reqCardType); }

  /**
   * <P>The attribute <code>reqLostCardDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardDtTg</code>.
   * <P>
   * The date on which a Credit Card was lost.
   * <BR>
   */
  private GsDate reqLostCardDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqLostCardDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardDtTg</code>.
   * <P>
   * The date on which a Credit Card was lost.
   * <BR>
   */
  public  void   setReqLostCardDate(GsDate o )  { reqLostCardDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLostCardDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardDtTg</code>.
   * <P>
   * The date on which a Credit Card was lost.
   * <BR>
   */
  public  GsDate getReqLostCardDate() { return (reqLostCardDate); }

  /**
   * <P>The attribute <code>reqLostCardTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardTmTg</code>.
   * <P>
   * The time at which a Credit Card was lost.
   * <BR>
   */
  private GsTime reqLostCardTime = null;

  /**
   * <P>Sets the value of the attribute <code>reqLostCardTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardTmTg</code>.
   * <P>
   * The time at which a Credit Card was lost.
   * <BR>
   */
  public  void   setReqLostCardTime(GsTime o )  { reqLostCardTime = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLostCardTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.LostCardTmTg</code>.
   * <P>
   * The time at which a Credit Card was lost.
   * <BR>
   */
  public  GsTime getReqLostCardTime() { return (reqLostCardTime); }

  /**
   * <P>The attribute <code>reqMessage</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.CardMsgTg</code>.
   * <P>
   * A repeating structure each containing textual information about a
   * lost Credit Card.
   * <BR>
   */
  private GsMsgTxt[] reqMessage = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.CardMsgTg</code>.
   * <P>
   * A repeating structure each containing textual information about a
   * lost Credit Card.
   * <BR>
   */
  public  void       setReqMessage(GsMsgTxt[] o )  { reqMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsLostCardDtlTg.CardMsgTg</code>.
   * <P>
   * A repeating structure each containing textual information about a
   * lost Credit Card.
   * <BR>
   */
  public  GsMsgTxt[] getReqMessage() { return (reqMessage); }

  private String reqMessage_packed = null;
  public  void   setReqMessage_packed(String o ) { reqMessage_packed = o; }
  public  String getReqMessage_packed() { return (reqMessage_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtReportLostCard );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqCardNumber != null && reqCardNumber.length() > 22 )
      addArgToGMJI( reqCardNumber.substring(0,22));
    else
      addArgToGMJI( reqCardNumber ); 

    if( reqCardType != null && reqCardType.length() > 3 )
      addArgToGMJI( reqCardType.substring(0,3));
    else
      addArgToGMJI( reqCardType ); 
    GsDate.addPropertiesToGMJI( reqLostCardDate, this );
    GsTime.addPropertiesToGMJI( reqLostCardTime, this );
    if( reqMessage != null )
    {
      reqMessage_packed = GsMsgTxt.pack( reqMessage );
      addArgToGMJI( reqMessage_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqCardNumber = " + getReqCardNumber() );
    pageWriter.println( prefix + "reqCardType = " + getReqCardType() );

    pageWriter.println( prefix + "reqLostCardDate =" );
    if( reqLostCardDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLostCardDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLostCardTime =" );
    if( reqLostCardTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLostCardTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMessage =" );
    if( reqMessage == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqMessage.length; j++ )
      {
        pageWriter.println( prefix + "reqMessage[" + j + "] =" );
        if( reqMessage[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqMessage[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMessage_packed = " + getReqMessage_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtReportLostCard" );
    reqCardNumber = getCharFromURL( req, prefix + "reqCardNumber" );
    reqCardType = getCharFromURL( req, prefix + "reqCardType" );
    reqLostCardDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqLostCardDate", "GtReportLostCard" );
    reqLostCardTime = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqLostCardTime", "GtReportLostCard" );

    repeatCounter = getLongFromURL( req, prefix + "reqMessage_repeatCounter" );
    reqMessage = new GsMsgTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqMessage[ i ] = new GsMsgTxt(getIfsSession());
      reqMessage[ i ].populateFromURL( txn, req, prefix + "reqMessage_" + i + "_" );
    }
  }
}
