//**********************************************
//
// FILE NAME: GtResetInvalidLogonAttempts.java
// TRANSACTION NAME: Reset Consumer Security Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Reset Consumer Security Transaction</B>
 * <P>IFS ID: <B>rscnscrt</B>
 * <P>
 * This transaction resets the Consumer Status field which has been set to
 * 'Revoked' (i.e following a number of invalid password attempts) to
 * 'Active' and resets the number of invalid password attempts to zero.
 * <BR>
 * <P><B>RSET_CNSMR_SCRTY_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>RSET_CNSMR_SCRTY_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>RSET_CNSMR_SCRTY_OMSG</B>
 */
public class GtResetInvalidLogonAttempts extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtResetInvalidLogonAttempts() { }
  public GtResetInvalidLogonAttempts( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "rscnscrt_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtResetInvalidLogonAttempts );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
  }
}
