//**********************************************
//
// FILE NAME: GtResetSecondaryConsumer.java
// TRANSACTION NAME: Reset Secondary Consumer Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Reset Secondary Consumer Transaction</B>
 * <P>IFS ID: <B>rstssecn</B>
 * <P>
 * Reset the logon capability of a secondary consumer. This transaction
 * enables the requestor (a primary consumer, consumer with 'secondary
 * consumer maintenance authority', SCR OBO or CTW), to unrevoke a revoked
 * secondary consumer. A revoked secondary consumer is one whose ability
 * to logon has been temporarily revoked after 3 unsuccessful logon
 * attempts. This message will be sent to the FI and when a successful
 * response is received by the TDM, the TDM will also update the
 * consumer's status in the IFS_USR table. The primary consumer will also
 * be able to reset the secondary consumer's PIN at the same time.
 * <BR>
 * <P><B>RSET_SEC_CNSMR</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>RSET_SECN_CNSMR_IMSG</B>
 *            <P>
 *            This message is used by the primary consumer to reset a
 *            secondary consumer's ID back to 'open' status from 'revoked'
 *            status. It can also be used to change the PIN / Password at
 *            the same time.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>PrimCnsmrIdDtlTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>PrimCnsmrIdDtlTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>RSET_SECN_CNSMR_OMSG</B>
 */
public class GtResetSecondaryConsumer extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtResetSecondaryConsumer() { }
  public GtResetSecondaryConsumer( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "rstssecn_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTconsumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTconsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTconsumerID( String o ) { reqSCCnsmrIdDtlTconsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTconsumerID() { return (reqSCCnsmrIdDtlTconsumerID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTchangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTchangeableConsumerID( String o ) { reqSCCnsmrIdDtlTchangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTchangeableConsumerID() { return (reqSCCnsmrIdDtlTchangeableConsumerID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTpermUserID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTpermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTpermUserID( String o ) { reqSCCnsmrIdDtlTpermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTpermUserID() { return (reqSCCnsmrIdDtlTpermUserID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTprimCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTprimCnsmrID( String o ) { reqSCCnsmrIdDtlTprimCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTprimCnsmrID() { return (reqSCCnsmrIdDtlTprimCnsmrID); }

  /**
   * <P>The attribute <code>reqPswdId</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  private byte[] reqPswdId = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  public  void   setReqPswdId( byte[] o ) { reqPswdId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdId</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdIdTg</code>.
   * <P>
   * Secondary Consumer's password.
   */
  public  byte[] getReqPswdId() { return (reqPswdId); }

  /**
   * <P>The attribute <code>reqPswdEncryptTpCl</code> is an alias for the
   * standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPswdEncryptTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPswdEncryptTpCl( String o ) { reqPswdEncryptTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPswdEncryptTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>SecnCnsmrPswdDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPswdEncryptTpCl() { return (reqPswdEncryptTpCl); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtResetSecondaryConsumer );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqSCCnsmrIdDtlTconsumerID != null && reqSCCnsmrIdDtlTconsumerID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTconsumerID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTconsumerID ); 

    if( reqSCCnsmrIdDtlTchangeableConsumerID != null && reqSCCnsmrIdDtlTchangeableConsumerID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTchangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTchangeableConsumerID ); 

    if( reqSCCnsmrIdDtlTpermUserID != null && reqSCCnsmrIdDtlTpermUserID.length() > 57 )
      addArgToGMJI( reqSCCnsmrIdDtlTpermUserID.substring(0,57));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTpermUserID ); 

    if( reqSCCnsmrIdDtlTprimCnsmrID != null && reqSCCnsmrIdDtlTprimCnsmrID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTprimCnsmrID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTprimCnsmrID ); 
    addArgToGMJI( reqPswdId ); 

    if( reqPswdEncryptTpCl != null && reqPswdEncryptTpCl.length() > 1 )
      addArgToGMJI( reqPswdEncryptTpCl.substring(0,1));
    else
      addArgToGMJI( reqPswdEncryptTpCl ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTconsumerID = " + getReqSCCnsmrIdDtlTconsumerID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTchangeableConsumerID = " + getReqSCCnsmrIdDtlTchangeableConsumerID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTpermUserID = " + getReqSCCnsmrIdDtlTpermUserID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTprimCnsmrID = " + getReqSCCnsmrIdDtlTprimCnsmrID() );
    pageWriter.println( prefix + "reqPswdId = " + getReqPswdId() );
    pageWriter.println( prefix + "reqPswdEncryptTpCl = " + getReqPswdEncryptTpCl() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqSCCnsmrIdDtlTconsumerID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTconsumerID" );
    reqSCCnsmrIdDtlTchangeableConsumerID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTchangeableConsumerID" );
    reqSCCnsmrIdDtlTpermUserID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTpermUserID" );
    reqSCCnsmrIdDtlTprimCnsmrID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTprimCnsmrID" );
    reqPswdId = getBinaryFromURL( req, prefix + "reqPswdId" );
    reqPswdEncryptTpCl = getCharFromURL( req, prefix + "reqPswdEncryptTpCl" );
  }
}
