//**********************************************
//
// FILE NAME: GtSecondaryConsumerInqiry.java
// TRANSACTION NAME: Secondary Consumer Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Secondary Consumer Inquiry Transaction</B>
 * <P>IFS ID: <B>secninq</B>
 * <P>
 * This transaction enables the requestor (a primary consumer, consumer
 * with 'secondary consumer maintenance authority', SCR OBO or CTW) to get
 * a list of all secondary consumer's for a primary consumer.
 * <BR>
 * <P><B>SEC_CNSMR_INQ</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>SECN_CNSMR_INQ_IMSG</B>
 *            <P>
 *            This message is routed to the FI. The FI is responsible for
 *            determining which secondary consumers are related to the
 *            requesting primary consumer if the inquiry is not for a
 *            specific secondary consumer. If the requestor only asks for
 *            a list of secondary consumers (not full profile data), the
 *            FI includes a profile wiht only the IFS_CNSMR_ID structure
 *            inside of IFS_CNSMR_PRFL_DTL filled in.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>PrimCnsmrIdDtlTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>PrimCnsmrIdDtlTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>PrimCnsmrIdDtlTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>SECN_CNSMR_INQ_OMSG</B>
 */
public class GtSecondaryConsumerInqiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtSecondaryConsumerInqiry() { }
  public GtSecondaryConsumerInqiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "secninq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqMaxNbrRecVal</code> is an alias for the
   * standard message simple element
   * <code>SecnRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNbrRecVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNbrRecVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNbrRecVal( int o ) { reqMaxNbrRecVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNbrRecVal</code>,
   * which is an alias for the standard message simple element
   * <code>SecnRepeatCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNbrRecVal() { return (reqMaxNbrRecVal); }

  /**
   * <P>The attribute <code>reqCrsr</code> is an alias for the
   * standard message simple element
   * <code>SecnRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCrsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCrsr</code>,
   * which is an alias for the standard message simple element
   * <code>SecnRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCrsr( byte[] o ) { reqCrsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrsr</code>,
   * which is an alias for the standard message simple element
   * <code>SecnRepeatCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCrsr() { return (reqCrsr); }

  /**
   * <P>The attribute <code>reqFullPrflF</code> is an alias for the
   * standard message simple element
   * <code>IfsFullPrflDtlTg.FullPrflFTg</code>.
   * <P>
   * Indicates if full profile data should come back on response for each
   * secondary consumer. Default if not supplied is False.
   */
  private int  reqFullPrflF = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFullPrflF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFullPrflDtlTg.FullPrflFTg</code>.
   * <P>
   * Indicates if full profile data should come back on response for each
   * secondary consumer. Default if not supplied is False.
   */
  public  void setReqFullPrflF( int o ) { reqFullPrflF = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFullPrflF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFullPrflDtlTg.FullPrflFTg</code>.
   * <P>
   * Indicates if full profile data should come back on response for each
   * secondary consumer. Default if not supplied is False.
   */
  public  int  getReqFullPrflF() { return (reqFullPrflF); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTconsumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTconsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTconsumerID( String o ) { reqSCCnsmrIdDtlTconsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTconsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.CnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTconsumerID() { return (reqSCCnsmrIdDtlTconsumerID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTchangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTchangeableConsumerID( String o ) { reqSCCnsmrIdDtlTchangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTchangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.ChCnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTchangeableConsumerID() { return (reqSCCnsmrIdDtlTchangeableConsumerID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTpermUserID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTpermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTpermUserID( String o ) { reqSCCnsmrIdDtlTpermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTpermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PermUserIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTpermUserID() { return (reqSCCnsmrIdDtlTpermUserID); }

  /**
   * <P>The attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  private String reqSCCnsmrIdDtlTprimCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  public  void   setReqSCCnsmrIdDtlTprimCnsmrID( String o ) { reqSCCnsmrIdDtlTprimCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSCCnsmrIdDtlTprimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>SCCnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   */
  public  String getReqSCCnsmrIdDtlTprimCnsmrID() { return (reqSCCnsmrIdDtlTprimCnsmrID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRepeatInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>secnCnsmrPrflDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSecnCnsmrLstTg.SecnCnsmrPrflDtlTg</code>.
   * <P>
   * Repeating structure for each secondary consumer.
   * <BR>
   */
  private GsCnsmrPrflDtl[] secnCnsmrPrflDtl = null;

  /**
   * <P>Sets the value of the attribute <code>secnCnsmrPrflDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSecnCnsmrLstTg.SecnCnsmrPrflDtlTg</code>.
   * <P>
   * Repeating structure for each secondary consumer.
   * <BR>
   */
  public  void             setSecnCnsmrPrflDtl(GsCnsmrPrflDtl[] o )  { secnCnsmrPrflDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>secnCnsmrPrflDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSecnCnsmrLstTg.SecnCnsmrPrflDtlTg</code>.
   * <P>
   * Repeating structure for each secondary consumer.
   * <BR>
   */
  public  GsCnsmrPrflDtl[] getSecnCnsmrPrflDtl() { return (secnCnsmrPrflDtl); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtSecondaryConsumerInqiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqMaxNbrRecVal ); 
    addArgToGMJI( reqCrsr ); 
    addArgToGMJI( reqFullPrflF ); 

    if( reqSCCnsmrIdDtlTconsumerID != null && reqSCCnsmrIdDtlTconsumerID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTconsumerID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTconsumerID ); 

    if( reqSCCnsmrIdDtlTchangeableConsumerID != null && reqSCCnsmrIdDtlTchangeableConsumerID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTchangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTchangeableConsumerID ); 

    if( reqSCCnsmrIdDtlTpermUserID != null && reqSCCnsmrIdDtlTpermUserID.length() > 57 )
      addArgToGMJI( reqSCCnsmrIdDtlTpermUserID.substring(0,57));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTpermUserID ); 

    if( reqSCCnsmrIdDtlTprimCnsmrID != null && reqSCCnsmrIdDtlTprimCnsmrID.length() > 30 )
      addArgToGMJI( reqSCCnsmrIdDtlTprimCnsmrID.substring(0,30));
    else
      addArgToGMJI( reqSCCnsmrIdDtlTprimCnsmrID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    secnCnsmrPrflDtl = new GsCnsmrPrflDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      secnCnsmrPrflDtl[ i ] = new GsCnsmrPrflDtl( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqMaxNbrRecVal = " + getReqMaxNbrRecVal() );
    pageWriter.println( prefix + "reqCrsr = " + getReqCrsr() );
    pageWriter.println( prefix + "reqFullPrflF = " + getReqFullPrflF() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTconsumerID = " + getReqSCCnsmrIdDtlTconsumerID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTchangeableConsumerID = " + getReqSCCnsmrIdDtlTchangeableConsumerID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTpermUserID = " + getReqSCCnsmrIdDtlTpermUserID() );
    pageWriter.println( prefix + "reqSCCnsmrIdDtlTprimCnsmrID = " + getReqSCCnsmrIdDtlTprimCnsmrID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "secnCnsmrPrflDtl =" );
    if( secnCnsmrPrflDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < secnCnsmrPrflDtl.length; j++ )
      {
        pageWriter.println( prefix + "secnCnsmrPrflDtl[" + j + "] =" );
        if( secnCnsmrPrflDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          secnCnsmrPrflDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqMaxNbrRecVal = getLongFromURL( req, prefix + "reqMaxNbrRecVal" );
    reqCrsr = getBinaryFromURL( req, prefix + "reqCrsr" );
    reqFullPrflF = getLongFromURL( req, prefix + "reqFullPrflF" );
    reqSCCnsmrIdDtlTconsumerID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTconsumerID" );
    reqSCCnsmrIdDtlTchangeableConsumerID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTchangeableConsumerID" );
    reqSCCnsmrIdDtlTpermUserID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTpermUserID" );
    reqSCCnsmrIdDtlTprimCnsmrID = getCharFromURL( req, prefix + "reqSCCnsmrIdDtlTprimCnsmrID" );
  }
}
