//**********************************************
//
// FILE NAME: GtServiceProfile.java
// TRANSACTION NAME: Service Profile Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Service Profile Inquiry Transaction</B>
 * <P>IFS ID: <B>srvcprof</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>SRVC_PROFILE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>SRVC_PROFILE_IMSG</B>
 *            <P>
 *            This message allows a CSR to request a Service Profile
 *            (stored within IFS) based upon a service identifier. The
 *            message is sent to IGATE which retrieves the details.
 *            Information stored for each Service includes, for
 *            example,the Service Name, the Effective Date and End Date,
 *            Service Timeout values.
 *
 * <P>Reply:   <B>SRVC_PROFILE_OMSG</B>
 *            <P>
 *            This message is sent by IGATE to the CTW and contains the
 *            requested Service Profile.
 */
public class GtServiceProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtServiceProfile() { }
  public GtServiceProfile( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "srvcprof_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqServiceID</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  private String reqServiceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  public  void   setReqServiceID( String o ) { reqServiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  public  String getReqServiceID() { return (reqServiceID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>serviceProfileResponseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.RespCodeClTg</code>.
   * <P>
   * This is a redundant field. The Response Code field should be used
   * instead.
   */
  private String serviceProfileResponseCode = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProfileResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.RespCodeClTg</code>.
   * <P>
   * This is a redundant field. The Response Code field should be used
   * instead.
   */
  public  void   setServiceProfileResponseCode( String o ) { serviceProfileResponseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProfileResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.RespCodeClTg</code>.
   * <P>
   * This is a redundant field. The Response Code field should be used
   * instead.
   */
  public  String getServiceProfileResponseCode() { return (serviceProfileResponseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceProfileResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.RespCodeClTg</code>.
   */
  public  String getServiceProfileResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getServiceProfileResponseCode() );
  }

  /**
   * <P>The attribute <code>serviceProfilefIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.FiProcIndTg</code>.
   * <P>
   * See FI Processing Indicator. This is used when returning the list of
   * Service Profiles as part of the WEBSTART Transaction.
   */
  private String serviceProfilefIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProfilefIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.FiProcIndTg</code>.
   * <P>
   * See FI Processing Indicator. This is used when returning the list of
   * Service Profiles as part of the WEBSTART Transaction.
   */
  public  void   setServiceProfilefIProcInd( String o ) { serviceProfilefIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProfilefIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.FiProcIndTg</code>.
   * <P>
   * See FI Processing Indicator. This is used when returning the list of
   * Service Profiles as part of the WEBSTART Transaction.
   */
  public  String getServiceProfilefIProcInd() { return (serviceProfilefIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceProfilefIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcPrflRespTg.FiProcIndTg</code>.
   */
  public  String getServiceProfilefIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getServiceProfilefIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRespTg.SrvcDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>serviceProfile</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSrvcRespTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  private GsSrvcPrflItem[] serviceProfile = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRespTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  public  void             setServiceProfile(GsSrvcPrflItem[] o )  { serviceProfile = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRespTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  public  GsSrvcPrflItem[] getServiceProfile() { return (serviceProfile); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtServiceProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqServiceID != null && reqServiceID.length() > 8 )
      addArgToGMJI( reqServiceID.substring(0,8));
    else
      addArgToGMJI( reqServiceID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    serviceProfileResponseCode = txn.getNextCharFromGMJO( 3, "serviceProfileResponseCode" );
    serviceProfilefIProcInd = txn.getNextCharFromGMJO( 1, "serviceProfilefIProcInd" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    serviceProfile = new GsSrvcPrflItem[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      serviceProfile[ i ] = new GsSrvcPrflItem( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqServiceID = " + getReqServiceID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "serviceProfileResponseCode = " + getServiceProfileResponseCode() );
    try {
      pageWriter.println( prefix + "serviceProfileResponseCode_text = " + getServiceProfileResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceProfileResponseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "serviceProfilefIProcInd = " + getServiceProfilefIProcInd() );
    try {
      pageWriter.println( prefix + "serviceProfilefIProcInd_text = " + getServiceProfilefIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceProfilefIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "serviceProfile =" );
    if( serviceProfile == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < serviceProfile.length; j++ )
      {
        pageWriter.println( prefix + "serviceProfile[" + j + "] =" );
        if( serviceProfile[ j ] == null )
          pageWriter.println( " (null)" );
        else
          serviceProfile[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqServiceID = getCharFromURL( req, prefix + "reqServiceID" );
  }
}
