//**********************************************
//
// FILE NAME: GtSettleToAccount.java
// TRANSACTION NAME: Settle to account
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Settle to account</B>
 * <P>IFS ID: <B>settlact</B>
 * <P>
 * THis transaction is used between the back office service and the
 * banking service to credit or debit a consumer's funds as a result of
 * the settlement of a trade. It is sent from the Investment Service
 * Provider through the TDM to the FI's corebanking service provider.
 * <BR>
 * <P><B>SETTL_2_ACCT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>SETTL_2_ACCT_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>SETTL_2_ACCT_OMSG</B>
 */
public class GtSettleToAccount extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtSettleToAccount() { }
  public GtSettleToAccount( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "settlact_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqInvSetlAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqInvSetlAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqInvSetlAcct(GsAccount o )  { reqInvSetlAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqInvSetlAcct() { return (reqInvSetlAcct); }

  /**
   * <P>The attribute <code>reqInvChrgAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  private GsAccount reqInvChrgAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvChrgAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  public  void      setReqInvChrgAcct(GsAccount o )  { reqInvChrgAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvChrgAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvChrgAcctTg</code>.
   * <P>
   * AN existing bank account that is used to pay fees and charges related
   * to investments.
   * <BR>
   */
  public  GsAccount getReqInvChrgAcct() { return (reqInvChrgAcct); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqSettlementType</code> is an alias for the
   * standard message simple element
   * <code>IfsSettlAcctReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  reqSettlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setReqSettlementType( int o ) { reqSettlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSettlAcctReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getReqSettlementType() { return (reqSettlementType); }

  /**
   * <P>The attribute <code>reqTradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate reqTradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setReqTradeDate(GsDate o )  { reqTradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getReqTradeDate() { return (reqTradeDate); }

  /**
   * <P>The attribute <code>reqSettlementAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  private GsCurrency reqSettlementAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  void       setReqSettlementAmount(GsCurrency o )  { reqSettlementAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  GsCurrency getReqSettlementAmount() { return (reqSettlementAmount); }

  /**
   * <P>The attribute <code>reqFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] reqFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setReqFeeDtl(GsFeeDtl[] o )  { reqFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSettlAcctReqTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getReqFeeDtl() { return (reqFeeDtl); }

  private String reqFeeDtl_packed = null;
  public  void   setReqFeeDtl_packed(String o ) { reqFeeDtl_packed = o; }
  public  String getReqFeeDtl_packed() { return (reqFeeDtl_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtSettleToAccount );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsAccount.addPropertiesToGMJI( reqInvSetlAcct, this );
    GsAccount.addPropertiesToGMJI( reqInvChrgAcct, this );

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 
    addArgToGMJI( reqSettlementType ); 
    GsDate.addPropertiesToGMJI( reqTradeDate, this );
    GsCurrency.addPropertiesToGMJI( reqSettlementAmount, this );
    if( reqFeeDtl != null )
    {
      reqFeeDtl_packed = GsFeeDtl.pack( reqFeeDtl );
      addArgToGMJI( reqFeeDtl_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvSetlAcct =" );
    if( reqInvSetlAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvSetlAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvChrgAcct =" );
    if( reqInvChrgAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvChrgAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqSettlementType = " + getReqSettlementType() );

    pageWriter.println( prefix + "reqTradeDate =" );
    if( reqTradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqSettlementAmount =" );
    if( reqSettlementAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSettlementAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFeeDtl =" );
    if( reqFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqFeeDtl[" + j + "] =" );
        if( reqFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFeeDtl_packed = " + getReqFeeDtl_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtSettleToAccount" );
    reqInvSetlAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqInvSetlAcct", "GtSettleToAccount" );
    reqInvChrgAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqInvChrgAcct", "GtSettleToAccount" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqSettlementType = getLongFromURL( req, prefix + "reqSettlementType" );
    reqTradeDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTradeDate", "GtSettleToAccount" );
    reqSettlementAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqSettlementAmount", "GtSettleToAccount" );

    repeatCounter = getLongFromURL( req, prefix + "reqFeeDtl_repeatCounter" );
    reqFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqFeeDtl[ i ] = new GsFeeDtl(getIfsSession());
      reqFeeDtl[ i ].populateFromURL( txn, req, prefix + "reqFeeDtl_" + i + "_" );
    }
  }
}
