//**********************************************
//
// FILE NAME: GtSmallBusinessCreditApplication.java
// TRANSACTION NAME: Small Business Credit Application
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Small Business Credit Application</B>
 * <P>IFS ID: <B>crappl</B>
 * <P>
 * This transaction allows a consumer to request and possibly pre-qualify
 * for a loan or line of credit.
 * <BR>
 * <P><B>CR_APPL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>CR_APPL_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCrApplRqstTg.CnsmrTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCrApplRqstTg.CnsmrTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCrApplRqstTg.CnsmrTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCrApplRqstTg.CnsmrTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>CR_APPL_OMSG</B>
 */
public class GtSmallBusinessCreditApplication extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtSmallBusinessCreditApplication() { }
  public GtSmallBusinessCreditApplication( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "crappl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqCnsmrLastNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqCnsmrLastNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrLastNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqCnsmrLastNm( String o ) { reqCnsmrLastNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrLastNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqCnsmrLastNm() { return (reqCnsmrLastNm); }

  /**
   * <P>The attribute <code>reqCnsmrFrstNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqCnsmrFrstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqCnsmrFrstNm( String o ) { reqCnsmrFrstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqCnsmrFrstNm() { return (reqCnsmrFrstNm); }

  /**
   * <P>The attribute <code>reqCnsmrMdlNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String reqCnsmrMdlNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setReqCnsmrMdlNm( String o ) { reqCnsmrMdlNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getReqCnsmrMdlNm() { return (reqCnsmrMdlNm); }

  /**
   * <P>The attribute <code>reqCnsmrPfx</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrPfxTg</code>.
   * <P>
   * Social title of a Consumer e.g. Mr, Ms, etc.
   */
  private String reqCnsmrPfx = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrPfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrPfxTg</code>.
   * <P>
   * Social title of a Consumer e.g. Mr, Ms, etc.
   */
  public  void   setReqCnsmrPfx( String o ) { reqCnsmrPfx = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrPfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrPfxTg</code>.
   * <P>
   * Social title of a Consumer e.g. Mr, Ms, etc.
   */
  public  String getReqCnsmrPfx() { return (reqCnsmrPfx); }

  /**
   * <P>The attribute <code>reqCnsmrSfxTp</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String reqCnsmrSfxTp = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrSfxTp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setReqCnsmrSfxTp( String o ) { reqCnsmrSfxTp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrSfxTp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CntcNmDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getReqCnsmrSfxTp() { return (reqCnsmrSfxTp); }

  /**
   * <P>The attribute <code>reqHmPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqHmPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqHmPhNbrId( String o ) { reqHmPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqHmPhNbrId() { return (reqHmPhNbrId); }

  /**
   * <P>The attribute <code>reqWrkPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqWrkPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqWrkPhNbrId( String o ) { reqWrkPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqWrkPhNbrId() { return (reqWrkPhNbrId); }

  /**
   * <P>The attribute <code>reqCrApplPurpTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpTpClTg</code>.
   * <P>
   * A code describing the reason for the credit request.
   */
  private int  reqCrApplPurpTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCrApplPurpTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpTpClTg</code>.
   * <P>
   * A code describing the reason for the credit request.
   */
  public  void setReqCrApplPurpTpCl( int o ) { reqCrApplPurpTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrApplPurpTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpTpClTg</code>.
   * <P>
   * A code describing the reason for the credit request.
   */
  public  int  getReqCrApplPurpTpCl() { return (reqCrApplPurpTpCl); }

  /**
   * <P>The attribute <code>reqCrApplPurpDescr</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpDescrTg</code>.
   * <P>
   * Free form textual description of the purpose for the loan.
   */
  private String reqCrApplPurpDescr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCrApplPurpDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpDescrTg</code>.
   * <P>
   * Free form textual description of the purpose for the loan.
   */
  public  void   setReqCrApplPurpDescr( String o ) { reqCrApplPurpDescr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrApplPurpDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplPurpDescrTg</code>.
   * <P>
   * Free form textual description of the purpose for the loan.
   */
  public  String getReqCrApplPurpDescr() { return (reqCrApplPurpDescr); }

  /**
   * <P>The attribute <code>reqCrApplLnTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CrApplLnTpClTg</code>.
   * <P>
   * A code which is aoociated with the Type of Loan Applied for.
   */
  private int  reqCrApplLnTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCrApplLnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplLnTpClTg</code>.
   * <P>
   * A code which is aoociated with the Type of Loan Applied for.
   */
  public  void setReqCrApplLnTpCl( int o ) { reqCrApplLnTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrApplLnTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplLnTpClTg</code>.
   * <P>
   * A code which is aoociated with the Type of Loan Applied for.
   */
  public  int  getReqCrApplLnTpCl() { return (reqCrApplLnTpCl); }

  /**
   * <P>The attribute <code>reqSecInd</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.SecIndTg</code>.
   * <P>
   * A flag which indicates whether a secured or unsecured loan is being
   * applied for.
   */
  private int  reqSecInd = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.SecIndTg</code>.
   * <P>
   * A flag which indicates whether a secured or unsecured loan is being
   * applied for.
   */
  public  void setReqSecInd( int o ) { reqSecInd = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.SecIndTg</code>.
   * <P>
   * A flag which indicates whether a secured or unsecured loan is being
   * applied for.
   */
  public  int  getReqSecInd() { return (reqSecInd); }

  /**
   * <P>The attribute <code>reqCrApplRqstAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.CrApplRqstAmtTg</code>.
   * <BR>
   */
  private GsCurrency reqCrApplRqstAmt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCrApplRqstAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.CrApplRqstAmtTg</code>.
   * <BR>
   */
  public  void       setReqCrApplRqstAmt(GsCurrency o )  { reqCrApplRqstAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCrApplRqstAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.CrApplRqstAmtTg</code>.
   * <BR>
   */
  public  GsCurrency getReqCrApplRqstAmt() { return (reqCrApplRqstAmt); }

  /**
   * <P>The attribute <code>reqTermVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g., 1, 2, 3) for which a Loan is
   * effective. This field is used in conjunction with the Loan Term
   * Period field. At the end of the period calculated from the two
   * fields, the Loan has matured and the Loan Principal and any
   * additional charges must be repaid in full. For example, a value of 48
   * in the Loan Term Value field and a value of 2 in the Loan Term Period
   * field indicates a loan of 48 months duration.
   */
  private int  reqTermVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g., 1, 2, 3) for which a Loan is
   * effective. This field is used in conjunction with the Loan Term
   * Period field. At the end of the period calculated from the two
   * fields, the Loan has matured and the Loan Principal and any
   * additional charges must be repaid in full. For example, a value of 48
   * in the Loan Term Value field and a value of 2 in the Loan Term Period
   * field indicates a loan of 48 months duration.
   */
  public  void setReqTermVal( int o ) { reqTermVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g., 1, 2, 3) for which a Loan is
   * effective. This field is used in conjunction with the Loan Term
   * Period field. At the end of the period calculated from the two
   * fields, the Loan has matured and the Loan Principal and any
   * additional charges must be repaid in full. For example, a value of 48
   * in the Loan Term Value field and a value of 2 in the Loan Term Period
   * field indicates a loan of 48 months duration.
   */
  public  int  getReqTermVal() { return (reqTermVal); }

  /**
   * <P>The attribute <code>reqTermPeriodTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, month, years) for which a Loan
   * is effective. This field is used in conjunction with the Loan Term
   * Value field. At the end of the period calculated from the two fields,
   * the Loan has matured and the Loan Principal and any additional
   * charges must be repaid in full. For example, a value of 48 in the
   * Loan Term Value field and a value of 2 in the Loan Term Period field
   * indicates a loan of 48 months duration.
   */
  private int  reqTermPeriodTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermPeriodTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, month, years) for which a Loan
   * is effective. This field is used in conjunction with the Loan Term
   * Value field. At the end of the period calculated from the two fields,
   * the Loan has matured and the Loan Principal and any additional
   * charges must be repaid in full. For example, a value of 48 in the
   * Loan Term Value field and a value of 2 in the Loan Term Period field
   * indicates a loan of 48 months duration.
   */
  public  void setReqTermPeriodTpCl( int o ) { reqTermPeriodTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermPeriodTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CrApplRqLnTrmDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, month, years) for which a Loan
   * is effective. This field is used in conjunction with the Loan Term
   * Value field. At the end of the period calculated from the two fields,
   * the Loan has matured and the Loan Principal and any additional
   * charges must be repaid in full. For example, a value of 48 in the
   * Loan Term Value field and a value of 2 in the Loan Term Period field
   * indicates a loan of 48 months duration.
   */
  public  int  getReqTermPeriodTpCl() { return (reqTermPeriodTpCl); }

  /**
   * <P>The attribute <code>reqRpymtTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.RpymtTpClTg</code>.
   */
  private int  reqRpymtTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRpymtTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.RpymtTpClTg</code>.
   */
  public  void setReqRpymtTpCl( int o ) { reqRpymtTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRpymtTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.RpymtTpClTg</code>.
   */
  public  int  getReqRpymtTpCl() { return (reqRpymtTpCl); }

  /**
   * <P>The attribute <code>reqLglBusNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusNmTg</code>.
   * <P>
   * The full legal business name of the business that is the beneficiary
   * of the requested loan.
   */
  private String reqLglBusNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqLglBusNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusNmTg</code>.
   * <P>
   * The full legal business name of the business that is the beneficiary
   * of the requested loan.
   */
  public  void   setReqLglBusNm( String o ) { reqLglBusNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLglBusNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusNmTg</code>.
   * <P>
   * The full legal business name of the business that is the beneficiary
   * of the requested loan.
   */
  public  String getReqLglBusNm() { return (reqLglBusNm); }

  /**
   * <P>The attribute <code>reqBusTaxNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusTaxNbrIdTg</code>.
   * <P>
   * The IRS Business Tax Identifier of the business that is the
   * beneficiary of the requested loan.
   */
  private String reqBusTaxNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusTaxNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusTaxNbrIdTg</code>.
   * <P>
   * The IRS Business Tax Identifier of the business that is the
   * beneficiary of the requested loan.
   */
  public  void   setReqBusTaxNbrId( String o ) { reqBusTaxNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusTaxNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusTaxNbrIdTg</code>.
   * <P>
   * The IRS Business Tax Identifier of the business that is the
   * beneficiary of the requested loan.
   */
  public  String getReqBusTaxNbrId() { return (reqBusTaxNbrId); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglBusAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqBusFndDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusFndDtTg</code>.
   * <P>
   * The date on which the bunsiness that is the beneficiary of the
   * requested loan was legally constituted.
   * <BR>
   */
  private GsDate reqBusFndDt = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusFndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusFndDtTg</code>.
   * <P>
   * The date on which the bunsiness that is the beneficiary of the
   * requested loan was legally constituted.
   * <BR>
   */
  public  void   setReqBusFndDt(GsDate o )  { reqBusFndDt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusFndDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusFndDtTg</code>.
   * <P>
   * The date on which the bunsiness that is the beneficiary of the
   * requested loan was legally constituted.
   * <BR>
   */
  public  GsDate getReqBusFndDt() { return (reqBusFndDt); }

  /**
   * <P>The attribute <code>reqBusLglDesgTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgTpClTg</code>.
   * <P>
   * The legal type of the business that is the beneficiary of the request
   * loan.
   */
  private int  reqBusLglDesgTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBusLglDesgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgTpClTg</code>.
   * <P>
   * The legal type of the business that is the beneficiary of the request
   * loan.
   */
  public  void setReqBusLglDesgTpCl( int o ) { reqBusLglDesgTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusLglDesgTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgTpClTg</code>.
   * <P>
   * The legal type of the business that is the beneficiary of the request
   * loan.
   */
  public  int  getReqBusLglDesgTpCl() { return (reqBusLglDesgTpCl); }

  /**
   * <P>The attribute <code>reqBusLglDesgDescr</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgDescrTg</code>.
   * <P>
   * Free form description of the type of business requesting the loan.
   */
  private String reqBusLglDesgDescr = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusLglDesgDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgDescrTg</code>.
   * <P>
   * Free form description of the type of business requesting the loan.
   */
  public  void   setReqBusLglDesgDescr( String o ) { reqBusLglDesgDescr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusLglDesgDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.BusLglDesgDescrTg</code>.
   * <P>
   * Free form description of the type of business requesting the loan.
   */
  public  String getReqBusLglDesgDescr() { return (reqBusLglDesgDescr); }

  /**
   * <P>The attribute <code>reqSICTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.SICTpClTg</code>.
   * <P>
   * Business's Standard Industrail Code for classification..
   */
  private String reqSICTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqSICTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.SICTpClTg</code>.
   * <P>
   * Business's Standard Industrail Code for classification..
   */
  public  void   setReqSICTpCl( String o ) { reqSICTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSICTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.SICTpClTg</code>.
   * <P>
   * Business's Standard Industrail Code for classification..
   */
  public  String getReqSICTpCl() { return (reqSICTpCl); }

  /**
   * <P>The attribute <code>reqProdSrvcDescr</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.ProdSrvcDescrTg</code>.
   * <P>
   * Free form text description of the products and services provided by
   * the business that is the beneficiary of the loan.
   */
  private String reqProdSrvcDescr = null;

  /**
   * <P>Sets the value of the attribute <code>reqProdSrvcDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.ProdSrvcDescrTg</code>.
   * <P>
   * Free form text description of the products and services provided by
   * the business that is the beneficiary of the loan.
   */
  public  void   setReqProdSrvcDescr( String o ) { reqProdSrvcDescr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProdSrvcDescr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.ProdSrvcDescrTg</code>.
   * <P>
   * Free form text description of the products and services provided by
   * the business that is the beneficiary of the loan.
   */
  public  String getReqProdSrvcDescr() { return (reqProdSrvcDescr); }

  /**
   * <P>The attribute <code>reqTotNbrEmplVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.TotNbrEmplValTg</code>.
   */
  private int  reqTotNbrEmplVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTotNbrEmplVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.TotNbrEmplValTg</code>.
   */
  public  void setReqTotNbrEmplVal( int o ) { reqTotNbrEmplVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTotNbrEmplVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.TotNbrEmplValTg</code>.
   */
  public  int  getReqTotNbrEmplVal() { return (reqTotNbrEmplVal); }

  /**
   * <P>The attribute <code>reqPrevLnInfoDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.PrevLnInfoDtlTg</code>.
   * <P>
   * Repeating structure containing data items describing the previous
   * loans that the beneficiary business has had from the Financial
   * Institution.
   * <BR>
   */
  private GsPrevLnInfoDtl[] reqPrevLnInfoDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrevLnInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.PrevLnInfoDtlTg</code>.
   * <P>
   * Repeating structure containing data items describing the previous
   * loans that the beneficiary business has had from the Financial
   * Institution.
   * <BR>
   */
  public  void              setReqPrevLnInfoDtl(GsPrevLnInfoDtl[] o )  { reqPrevLnInfoDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrevLnInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.PrevLnInfoDtlTg</code>.
   * <P>
   * Repeating structure containing data items describing the previous
   * loans that the beneficiary business has had from the Financial
   * Institution.
   * <BR>
   */
  public  GsPrevLnInfoDtl[] getReqPrevLnInfoDtl() { return (reqPrevLnInfoDtl); }

  private String reqPrevLnInfoDtl_packed = null;
  public  void   setReqPrevLnInfoDtl_packed(String o ) { reqPrevLnInfoDtl_packed = o; }
  public  String getReqPrevLnInfoDtl_packed() { return (reqPrevLnInfoDtl_packed); }


  /**
   * <P>The attribute <code>reqLglOblgInfoDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglOblgInfoDtlTg</code>.
   * <P>
   * A group of data items describing any outstanding legal obligations
   * against the business that is the beneficiary of the requested loan.
   * <BR>
   */
  private GsLglOblgInfoDtl[] reqLglOblgInfoDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqLglOblgInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglOblgInfoDtlTg</code>.
   * <P>
   * A group of data items describing any outstanding legal obligations
   * against the business that is the beneficiary of the requested loan.
   * <BR>
   */
  public  void               setReqLglOblgInfoDtl(GsLglOblgInfoDtl[] o )  { reqLglOblgInfoDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLglOblgInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusPrflDtlTg.LglOblgInfoDtlTg</code>.
   * <P>
   * A group of data items describing any outstanding legal obligations
   * against the business that is the beneficiary of the requested loan.
   * <BR>
   */
  public  GsLglOblgInfoDtl[] getReqLglOblgInfoDtl() { return (reqLglOblgInfoDtl); }

  private String reqLglOblgInfoDtl_packed = null;
  public  void   setReqLglOblgInfoDtl_packed(String o ) { reqLglOblgInfoDtl_packed = o; }
  public  String getReqLglOblgInfoDtl_packed() { return (reqLglOblgInfoDtl_packed); }


  /**
   * <P>The attribute <code>reqGrntrInfoDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.GrntrInfoDtlTg</code>.
   * <P>
   * A group of data items describing a Guarantor of the requested loan.
   * <BR>
   */
  private GsGrntrInfoDtl[] reqGrntrInfoDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqGrntrInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.GrntrInfoDtlTg</code>.
   * <P>
   * A group of data items describing a Guarantor of the requested loan.
   * <BR>
   */
  public  void             setReqGrntrInfoDtl(GsGrntrInfoDtl[] o )  { reqGrntrInfoDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGrntrInfoDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.GrntrInfoDtlTg</code>.
   * <P>
   * A group of data items describing a Guarantor of the requested loan.
   * <BR>
   */
  public  GsGrntrInfoDtl[] getReqGrntrInfoDtl() { return (reqGrntrInfoDtl); }

  private String reqGrntrInfoDtl_packed = null;
  public  void   setReqGrntrInfoDtl_packed(String o ) { reqGrntrInfoDtl_packed = o; }
  public  String getReqGrntrInfoDtl_packed() { return (reqGrntrInfoDtl_packed); }


  /**
   * <P>The attribute <code>reqAcctIdDtl</code> is an alias for the
   * standard message structured element (repeated IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.AcctIdDtlTg</code>.
   * <P>
   * A repeating structure containing data items identifying the deposit
   * and laon accounts that the business requesting the loan has with the
   * Financial Institution.
   * <BR>
   */
  private GsAccount[] reqAcctIdDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcctIdDtl</code>,
   * which is an alias for the standard message structured element (repeated IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.AcctIdDtlTg</code>.
   * <P>
   * A repeating structure containing data items identifying the deposit
   * and laon accounts that the business requesting the loan has with the
   * Financial Institution.
   * <BR>
   */
  public  void        setReqAcctIdDtl(GsAccount[] o )  { reqAcctIdDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcctIdDtl</code>,
   * which is an alias for the standard message structured element (repeated IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.AcctIdDtlTg</code>.
   * <P>
   * A repeating structure containing data items identifying the deposit
   * and laon accounts that the business requesting the loan has with the
   * Financial Institution.
   * <BR>
   */
  public  GsAccount[] getReqAcctIdDtl() { return (reqAcctIdDtl); }

  private String reqAcctIdDtl_packed = null;
  public  void   setReqAcctIdDtl_packed(String o ) { reqAcctIdDtl_packed = o; }
  public  String getReqAcctIdDtl_packed() { return (reqAcctIdDtl_packed); }


  /**
   * <P>The attribute <code>reqNonFIDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.NonFIDtlTg</code>.
   * <BR>
   */
  private GsNonFiDtl[] reqNonFIDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqNonFIDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.NonFIDtlTg</code>.
   * <BR>
   */
  public  void         setReqNonFIDtl(GsNonFiDtl[] o )  { reqNonFIDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNonFIDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.BusFnclSummDtlTg.NonFIDtlTg</code>.
   * <BR>
   */
  public  GsNonFiDtl[] getReqNonFIDtl() { return (reqNonFIDtl); }

  private String reqNonFIDtl_packed = null;
  public  void   setReqNonFIDtl_packed(String o ) { reqNonFIDtl_packed = o; }
  public  String getReqNonFIDtl_packed() { return (reqNonFIDtl_packed); }


  /**
   * <P>The attribute <code>reqColatDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.ColatDtlTg</code>.
   * <P>
   * Repeating structure containing data items which describe assets owned
   * by the business requesting the loan that are to be used as collateral
   * for the loan.
   * <BR>
   */
  private GsColatDtl[] reqColatDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqColatDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.ColatDtlTg</code>.
   * <P>
   * Repeating structure containing data items which describe assets owned
   * by the business requesting the loan that are to be used as collateral
   * for the loan.
   * <BR>
   */
  public  void         setReqColatDtl(GsColatDtl[] o )  { reqColatDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqColatDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCrApplRqstTg.ColatDtlTg</code>.
   * <P>
   * Repeating structure containing data items which describe assets owned
   * by the business requesting the loan that are to be used as collateral
   * for the loan.
   * <BR>
   */
  public  GsColatDtl[] getReqColatDtl() { return (reqColatDtl); }

  private String reqColatDtl_packed = null;
  public  void   setReqColatDtl_packed(String o ) { reqColatDtl_packed = o; }
  public  String getReqColatDtl_packed() { return (reqColatDtl_packed); }


  /**
   * <P>The attribute <code>reqCntcHomePhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntcHomePhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcHomePhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntcHomePhNbrId( String o ) { reqCntcHomePhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcHomePhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntcHomePhNbrId() { return (reqCntcHomePhNbrId); }

  /**
   * <P>The attribute <code>reqCntcWorkPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntcWorkPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcWorkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntcWorkPhNbrId( String o ) { reqCntcWorkPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcWorkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntcWorkPhNbrId() { return (reqCntcWorkPhNbrId); }

  /**
   * <P>The attribute <code>reqCntcEmailAddrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqCntcEmailAddrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcEmailAddrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqCntcEmailAddrId( String o ) { reqCntcEmailAddrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcEmailAddrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqCntcEmailAddrId() { return (reqCntcEmailAddrId); }

  /**
   * <P>The attribute <code>reqCntcFaxNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqCntcFaxNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntcFaxNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqCntcFaxNbrId( String o ) { reqCntcFaxNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntcFaxNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqCntcFaxNbrId() { return (reqCntcFaxNbrId); }

  /**
   * <P>The attribute <code>reqRespPathInd</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqRespPathInd = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRespPathInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqRespPathInd( int o ) { reqRespPathInd = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRespPathInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqRespPathInd() { return (reqRespPathInd); }

  /**
   * <P>The attribute <code>reqCnsmrCntcReq</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqCnsmrCntcReq = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcReq</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqCnsmrCntcReq( int o ) { reqCnsmrCntcReq = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcReq</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqCnsmrCntcReq() { return (reqCnsmrCntcReq); }

  /**
   * <P>The attribute <code>reqCnsmrCntcOpt</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqCnsmrCntcOpt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcOpt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqCnsmrCntcOpt( String o ) { reqCnsmrCntcOpt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcOpt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqCnsmrCntcOpt() { return (reqCnsmrCntcOpt); }

  /**
   * <P>The attribute <code>reqTmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqTmVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqTmVal( String o ) { reqTmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqTmVal() { return (reqTmVal); }

  /**
   * <P>The attribute <code>reqTmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqTmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqTmFmtCodeCl( String o ) { reqTmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqTmFmtCodeCl() { return (reqTmFmtCodeCl); }

  /**
   * <P>The attribute <code>reqGmtOfstMins</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqGmtOfstMins = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqGmtOfstMins( int o ) { reqGmtOfstMins = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqGmtOfstMins() { return (reqGmtOfstMins); }

  /**
   * <P>The attribute <code>reqCnsmrCntcEnTmTTmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqCnsmrCntcEnTmTTmVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcEnTmTTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqCnsmrCntcEnTmTTmVal( String o ) { reqCnsmrCntcEnTmTTmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcEnTmTTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqCnsmrCntcEnTmTTmVal() { return (reqCnsmrCntcEnTmTTmVal); }

  /**
   * <P>The attribute <code>reqCnsmrCntcEnTmTTmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqCnsmrCntcEnTmTTmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcEnTmTTmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqCnsmrCntcEnTmTTmFmtCodeCl( String o ) { reqCnsmrCntcEnTmTTmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcEnTmTTmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqCnsmrCntcEnTmTTmFmtCodeCl() { return (reqCnsmrCntcEnTmTTmFmtCodeCl); }

  /**
   * <P>The attribute <code>reqCnsmrCntcEnTmTGmtOfstMins</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqCnsmrCntcEnTmTGmtOfstMins = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrCntcEnTmTGmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqCnsmrCntcEnTmTGmtOfstMins( int o ) { reqCnsmrCntcEnTmTGmtOfstMins = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrCntcEnTmTGmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqCnsmrCntcEnTmTGmtOfstMins() { return (reqCnsmrCntcEnTmTGmtOfstMins); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String reqCnsmrAddrDtlTAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setReqCnsmrAddrDtlTAddrLine1Nm( String o ) { reqCnsmrAddrDtlTAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getReqCnsmrAddrDtlTAddrLine1Nm() { return (reqCnsmrAddrDtlTAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String reqCnsmrAddrDtlTAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setReqCnsmrAddrDtlTAddrLine2Nm( String o ) { reqCnsmrAddrDtlTAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getReqCnsmrAddrDtlTAddrLine2Nm() { return (reqCnsmrAddrDtlTAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String reqCnsmrAddrDtlTAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setReqCnsmrAddrDtlTAddrLine3Nm( String o ) { reqCnsmrAddrDtlTAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getReqCnsmrAddrDtlTAddrLine3Nm() { return (reqCnsmrAddrDtlTAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String reqCnsmrAddrDtlTCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setReqCnsmrAddrDtlTCityNm( String o ) { reqCnsmrAddrDtlTCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getReqCnsmrAddrDtlTCityNm() { return (reqCnsmrAddrDtlTCityNm); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  private String reqCnsmrAddrDtlTProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  void   setReqCnsmrAddrDtlTProvNm( String o ) { reqCnsmrAddrDtlTProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  String getReqCnsmrAddrDtlTProvNm() { return (reqCnsmrAddrDtlTProvNm); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String reqCnsmrAddrDtlTStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setReqCnsmrAddrDtlTStateCodeCl( String o ) { reqCnsmrAddrDtlTStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getReqCnsmrAddrDtlTStateCodeCl() { return (reqCnsmrAddrDtlTStateCodeCl); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String reqCnsmrAddrDtlTCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setReqCnsmrAddrDtlTCntryCodeCl( String o ) { reqCnsmrAddrDtlTCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getReqCnsmrAddrDtlTCntryCodeCl() { return (reqCnsmrAddrDtlTCntryCodeCl); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  private String reqCnsmrAddrDtlTZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  void   setReqCnsmrAddrDtlTZipCodeCl( String o ) { reqCnsmrAddrDtlTZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  String getReqCnsmrAddrDtlTZipCodeCl() { return (reqCnsmrAddrDtlTZipCodeCl); }

  /**
   * <P>The attribute <code>reqCnsmrAddrDtlTPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  private String reqCnsmrAddrDtlTPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrAddrDtlTPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  void   setReqCnsmrAddrDtlTPstCodeCl( String o ) { reqCnsmrAddrDtlTPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrAddrDtlTPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCrApplRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  String getReqCnsmrAddrDtlTPstCodeCl() { return (reqCnsmrAddrDtlTPstCodeCl); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtSmallBusinessCreditApplication );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqCnsmrLastNm != null && reqCnsmrLastNm.length() > 30 )
      addArgToGMJI( reqCnsmrLastNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrLastNm ); 

    if( reqCnsmrFrstNm != null && reqCnsmrFrstNm.length() > 30 )
      addArgToGMJI( reqCnsmrFrstNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrFrstNm ); 

    if( reqCnsmrMdlNm != null && reqCnsmrMdlNm.length() > 20 )
      addArgToGMJI( reqCnsmrMdlNm.substring(0,20));
    else
      addArgToGMJI( reqCnsmrMdlNm ); 

    if( reqCnsmrPfx != null && reqCnsmrPfx.length() > 8 )
      addArgToGMJI( reqCnsmrPfx.substring(0,8));
    else
      addArgToGMJI( reqCnsmrPfx ); 

    if( reqCnsmrSfxTp != null && reqCnsmrSfxTp.length() > 8 )
      addArgToGMJI( reqCnsmrSfxTp.substring(0,8));
    else
      addArgToGMJI( reqCnsmrSfxTp ); 

    if( reqHmPhNbrId != null && reqHmPhNbrId.length() > 15 )
      addArgToGMJI( reqHmPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqHmPhNbrId ); 

    if( reqWrkPhNbrId != null && reqWrkPhNbrId.length() > 15 )
      addArgToGMJI( reqWrkPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqWrkPhNbrId ); 
    addArgToGMJI( reqCrApplPurpTpCl ); 
    addArgToGMJI( reqCrApplPurpDescr ); 
    addArgToGMJI( reqCrApplLnTpCl ); 
    addArgToGMJI( reqSecInd ); 
    GsCurrency.addPropertiesToGMJI( reqCrApplRqstAmt, this );
    addArgToGMJI( reqTermVal ); 
    addArgToGMJI( reqTermPeriodTpCl ); 
    addArgToGMJI( reqRpymtTpCl ); 

    if( reqLglBusNm != null && reqLglBusNm.length() > 90 )
      addArgToGMJI( reqLglBusNm.substring(0,90));
    else
      addArgToGMJI( reqLglBusNm ); 

    if( reqBusTaxNbrId != null && reqBusTaxNbrId.length() > 9 )
      addArgToGMJI( reqBusTaxNbrId.substring(0,9));
    else
      addArgToGMJI( reqBusTaxNbrId ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 
    GsDate.addPropertiesToGMJI( reqBusFndDt, this );
    addArgToGMJI( reqBusLglDesgTpCl ); 
    addArgToGMJI( reqBusLglDesgDescr ); 

    if( reqSICTpCl != null && reqSICTpCl.length() > 4 )
      addArgToGMJI( reqSICTpCl.substring(0,4));
    else
      addArgToGMJI( reqSICTpCl ); 
    addArgToGMJI( reqProdSrvcDescr ); 
    addArgToGMJI( reqTotNbrEmplVal ); 
    if( reqPrevLnInfoDtl != null )
    {
      reqPrevLnInfoDtl_packed = GsPrevLnInfoDtl.pack( reqPrevLnInfoDtl );
      addArgToGMJI( reqPrevLnInfoDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqLglOblgInfoDtl != null )
    {
      reqLglOblgInfoDtl_packed = GsLglOblgInfoDtl.pack( reqLglOblgInfoDtl );
      addArgToGMJI( reqLglOblgInfoDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqGrntrInfoDtl != null )
    {
      reqGrntrInfoDtl_packed = GsGrntrInfoDtl.pack( reqGrntrInfoDtl );
      addArgToGMJI( reqGrntrInfoDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqAcctIdDtl != null )
    {
      if( reqAcctIdDtl.length == 0 )
        reqAcctIdDtl_packed = "000000000000";
      else
      {
        reqAcctIdDtl_packed = IfsTxn.packLong( reqAcctIdDtl.length );   // Count

        for( int j = 0; j < reqAcctIdDtl.length; j++ )
        {
          reqAcctIdDtl_packed += IfsTxn.packLong( j )  /* GoldIndex */
            + GsAccount.pack( reqAcctIdDtl[ j ] );
        }
      }
      addArgToGMJI( reqAcctIdDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqNonFIDtl != null )
    {
      reqNonFIDtl_packed = GsNonFiDtl.pack( reqNonFIDtl );
      addArgToGMJI( reqNonFIDtl_packed );
    } else {
      addArgToGMJI();
    }
    if( reqColatDtl != null )
    {
      reqColatDtl_packed = GsColatDtl.pack( reqColatDtl );
      addArgToGMJI( reqColatDtl_packed );
    } else {
      addArgToGMJI();
    }

    if( reqCntcHomePhNbrId != null && reqCntcHomePhNbrId.length() > 15 )
      addArgToGMJI( reqCntcHomePhNbrId.substring(0,15));
    else
      addArgToGMJI( reqCntcHomePhNbrId ); 

    if( reqCntcWorkPhNbrId != null && reqCntcWorkPhNbrId.length() > 15 )
      addArgToGMJI( reqCntcWorkPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqCntcWorkPhNbrId ); 

    if( reqCntcEmailAddrId != null && reqCntcEmailAddrId.length() > 128 )
      addArgToGMJI( reqCntcEmailAddrId.substring(0,128));
    else
      addArgToGMJI( reqCntcEmailAddrId ); 

    if( reqCntcFaxNbrId != null && reqCntcFaxNbrId.length() > 15 )
      addArgToGMJI( reqCntcFaxNbrId.substring(0,15));
    else
      addArgToGMJI( reqCntcFaxNbrId ); 
    addArgToGMJI( reqRespPathInd ); 
    addArgToGMJI( reqCnsmrCntcReq ); 

    if( reqCnsmrCntcOpt != null && reqCnsmrCntcOpt.length() > 1 )
      addArgToGMJI( reqCnsmrCntcOpt.substring(0,1));
    else
      addArgToGMJI( reqCnsmrCntcOpt ); 

    if( reqTmVal != null && reqTmVal.length() > 10 )
      addArgToGMJI( reqTmVal.substring(0,10));
    else
      addArgToGMJI( reqTmVal ); 

    if( reqTmFmtCodeCl != null && reqTmFmtCodeCl.length() > 3 )
      addArgToGMJI( reqTmFmtCodeCl.substring(0,3));
    else
      addArgToGMJI( reqTmFmtCodeCl ); 
    addArgToGMJI( reqGmtOfstMins ); 

    if( reqCnsmrCntcEnTmTTmVal != null && reqCnsmrCntcEnTmTTmVal.length() > 10 )
      addArgToGMJI( reqCnsmrCntcEnTmTTmVal.substring(0,10));
    else
      addArgToGMJI( reqCnsmrCntcEnTmTTmVal ); 

    if( reqCnsmrCntcEnTmTTmFmtCodeCl != null && reqCnsmrCntcEnTmTTmFmtCodeCl.length() > 3 )
      addArgToGMJI( reqCnsmrCntcEnTmTTmFmtCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCnsmrCntcEnTmTTmFmtCodeCl ); 
    addArgToGMJI( reqCnsmrCntcEnTmTGmtOfstMins ); 
    addArgToGMJI( reqFreeFormText ); 

    if( reqCnsmrAddrDtlTAddrLine1Nm != null && reqCnsmrAddrDtlTAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine1Nm ); 

    if( reqCnsmrAddrDtlTAddrLine2Nm != null && reqCnsmrAddrDtlTAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine2Nm ); 

    if( reqCnsmrAddrDtlTAddrLine3Nm != null && reqCnsmrAddrDtlTAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqCnsmrAddrDtlTAddrLine3Nm ); 

    if( reqCnsmrAddrDtlTCityNm != null && reqCnsmrAddrDtlTCityNm.length() > 30 )
      addArgToGMJI( reqCnsmrAddrDtlTCityNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrAddrDtlTCityNm ); 

    if( reqCnsmrAddrDtlTProvNm != null && reqCnsmrAddrDtlTProvNm.length() > 30 )
      addArgToGMJI( reqCnsmrAddrDtlTProvNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrAddrDtlTProvNm ); 

    if( reqCnsmrAddrDtlTStateCodeCl != null && reqCnsmrAddrDtlTStateCodeCl.length() > 2 )
      addArgToGMJI( reqCnsmrAddrDtlTStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqCnsmrAddrDtlTStateCodeCl ); 

    if( reqCnsmrAddrDtlTCntryCodeCl != null && reqCnsmrAddrDtlTCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCnsmrAddrDtlTCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCnsmrAddrDtlTCntryCodeCl ); 

    if( reqCnsmrAddrDtlTZipCodeCl != null && reqCnsmrAddrDtlTZipCodeCl.length() > 9 )
      addArgToGMJI( reqCnsmrAddrDtlTZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqCnsmrAddrDtlTZipCodeCl ); 

    if( reqCnsmrAddrDtlTPstCodeCl != null && reqCnsmrAddrDtlTPstCodeCl.length() > 6 )
      addArgToGMJI( reqCnsmrAddrDtlTPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqCnsmrAddrDtlTPstCodeCl ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqCnsmrLastNm = " + getReqCnsmrLastNm() );
    pageWriter.println( prefix + "reqCnsmrFrstNm = " + getReqCnsmrFrstNm() );
    pageWriter.println( prefix + "reqCnsmrMdlNm = " + getReqCnsmrMdlNm() );
    pageWriter.println( prefix + "reqCnsmrPfx = " + getReqCnsmrPfx() );
    pageWriter.println( prefix + "reqCnsmrSfxTp = " + getReqCnsmrSfxTp() );
    pageWriter.println( prefix + "reqHmPhNbrId = " + getReqHmPhNbrId() );
    pageWriter.println( prefix + "reqWrkPhNbrId = " + getReqWrkPhNbrId() );
    pageWriter.println( prefix + "reqCrApplPurpTpCl = " + getReqCrApplPurpTpCl() );
    pageWriter.println( prefix + "reqCrApplPurpDescr = " + getReqCrApplPurpDescr() );
    pageWriter.println( prefix + "reqCrApplLnTpCl = " + getReqCrApplLnTpCl() );
    pageWriter.println( prefix + "reqSecInd = " + getReqSecInd() );

    pageWriter.println( prefix + "reqCrApplRqstAmt =" );
    if( reqCrApplRqstAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCrApplRqstAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTermVal = " + getReqTermVal() );
    pageWriter.println( prefix + "reqTermPeriodTpCl = " + getReqTermPeriodTpCl() );
    pageWriter.println( prefix + "reqRpymtTpCl = " + getReqRpymtTpCl() );
    pageWriter.println( prefix + "reqLglBusNm = " + getReqLglBusNm() );
    pageWriter.println( prefix + "reqBusTaxNbrId = " + getReqBusTaxNbrId() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );

    pageWriter.println( prefix + "reqBusFndDt =" );
    if( reqBusFndDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqBusFndDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqBusLglDesgTpCl = " + getReqBusLglDesgTpCl() );
    pageWriter.println( prefix + "reqBusLglDesgDescr = " + getReqBusLglDesgDescr() );
    pageWriter.println( prefix + "reqSICTpCl = " + getReqSICTpCl() );
    pageWriter.println( prefix + "reqProdSrvcDescr = " + getReqProdSrvcDescr() );
    pageWriter.println( prefix + "reqTotNbrEmplVal = " + getReqTotNbrEmplVal() );

    pageWriter.println( prefix + "reqPrevLnInfoDtl =" );
    if( reqPrevLnInfoDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPrevLnInfoDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqPrevLnInfoDtl[" + j + "] =" );
        if( reqPrevLnInfoDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPrevLnInfoDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPrevLnInfoDtl_packed = " + getReqPrevLnInfoDtl_packed() );

    pageWriter.println( prefix + "reqLglOblgInfoDtl =" );
    if( reqLglOblgInfoDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqLglOblgInfoDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqLglOblgInfoDtl[" + j + "] =" );
        if( reqLglOblgInfoDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqLglOblgInfoDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqLglOblgInfoDtl_packed = " + getReqLglOblgInfoDtl_packed() );

    pageWriter.println( prefix + "reqGrntrInfoDtl =" );
    if( reqGrntrInfoDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqGrntrInfoDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqGrntrInfoDtl[" + j + "] =" );
        if( reqGrntrInfoDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqGrntrInfoDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqGrntrInfoDtl_packed = " + getReqGrntrInfoDtl_packed() );

    pageWriter.println( prefix + "reqAcctIdDtl =" );
    if( reqAcctIdDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqAcctIdDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqAcctIdDtl[" + j + "] =" );
        if( reqAcctIdDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqAcctIdDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAcctIdDtl_packed = " + getReqAcctIdDtl_packed() );

    pageWriter.println( prefix + "reqNonFIDtl =" );
    if( reqNonFIDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqNonFIDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqNonFIDtl[" + j + "] =" );
        if( reqNonFIDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqNonFIDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqNonFIDtl_packed = " + getReqNonFIDtl_packed() );

    pageWriter.println( prefix + "reqColatDtl =" );
    if( reqColatDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqColatDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqColatDtl[" + j + "] =" );
        if( reqColatDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqColatDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqColatDtl_packed = " + getReqColatDtl_packed() );
    pageWriter.println( prefix + "reqCntcHomePhNbrId = " + getReqCntcHomePhNbrId() );
    pageWriter.println( prefix + "reqCntcWorkPhNbrId = " + getReqCntcWorkPhNbrId() );
    pageWriter.println( prefix + "reqCntcEmailAddrId = " + getReqCntcEmailAddrId() );
    pageWriter.println( prefix + "reqCntcFaxNbrId = " + getReqCntcFaxNbrId() );
    pageWriter.println( prefix + "reqRespPathInd = " + getReqRespPathInd() );
    pageWriter.println( prefix + "reqCnsmrCntcReq = " + getReqCnsmrCntcReq() );
    pageWriter.println( prefix + "reqCnsmrCntcOpt = " + getReqCnsmrCntcOpt() );
    pageWriter.println( prefix + "reqTmVal = " + getReqTmVal() );
    pageWriter.println( prefix + "reqTmFmtCodeCl = " + getReqTmFmtCodeCl() );
    pageWriter.println( prefix + "reqGmtOfstMins = " + getReqGmtOfstMins() );
    pageWriter.println( prefix + "reqCnsmrCntcEnTmTTmVal = " + getReqCnsmrCntcEnTmTTmVal() );
    pageWriter.println( prefix + "reqCnsmrCntcEnTmTTmFmtCodeCl = " + getReqCnsmrCntcEnTmTTmFmtCodeCl() );
    pageWriter.println( prefix + "reqCnsmrCntcEnTmTGmtOfstMins = " + getReqCnsmrCntcEnTmTGmtOfstMins() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTAddrLine1Nm = " + getReqCnsmrAddrDtlTAddrLine1Nm() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTAddrLine2Nm = " + getReqCnsmrAddrDtlTAddrLine2Nm() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTAddrLine3Nm = " + getReqCnsmrAddrDtlTAddrLine3Nm() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTCityNm = " + getReqCnsmrAddrDtlTCityNm() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTProvNm = " + getReqCnsmrAddrDtlTProvNm() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTStateCodeCl = " + getReqCnsmrAddrDtlTStateCodeCl() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTCntryCodeCl = " + getReqCnsmrAddrDtlTCntryCodeCl() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTZipCodeCl = " + getReqCnsmrAddrDtlTZipCodeCl() );
    pageWriter.println( prefix + "reqCnsmrAddrDtlTPstCodeCl = " + getReqCnsmrAddrDtlTPstCodeCl() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqCnsmrLastNm = getCharFromURL( req, prefix + "reqCnsmrLastNm" );
    reqCnsmrFrstNm = getCharFromURL( req, prefix + "reqCnsmrFrstNm" );
    reqCnsmrMdlNm = getCharFromURL( req, prefix + "reqCnsmrMdlNm" );
    reqCnsmrPfx = getCharFromURL( req, prefix + "reqCnsmrPfx" );
    reqCnsmrSfxTp = getCharFromURL( req, prefix + "reqCnsmrSfxTp" );
    reqHmPhNbrId = getCharFromURL( req, prefix + "reqHmPhNbrId" );
    reqWrkPhNbrId = getCharFromURL( req, prefix + "reqWrkPhNbrId" );
    reqCrApplPurpTpCl = getLongFromURL( req, prefix + "reqCrApplPurpTpCl" );
    reqCrApplPurpDescr = getCharFromURL( req, prefix + "reqCrApplPurpDescr" );
    reqCrApplLnTpCl = getLongFromURL( req, prefix + "reqCrApplLnTpCl" );
    reqSecInd = getLongFromURL( req, prefix + "reqSecInd" );
    reqCrApplRqstAmt = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCrApplRqstAmt", "GtSmallBusinessCreditApplication" );
    reqTermVal = getLongFromURL( req, prefix + "reqTermVal" );
    reqTermPeriodTpCl = getLongFromURL( req, prefix + "reqTermPeriodTpCl" );
    reqRpymtTpCl = getLongFromURL( req, prefix + "reqRpymtTpCl" );
    reqLglBusNm = getCharFromURL( req, prefix + "reqLglBusNm" );
    reqBusTaxNbrId = getCharFromURL( req, prefix + "reqBusTaxNbrId" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqBusFndDt = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqBusFndDt", "GtSmallBusinessCreditApplication" );
    reqBusLglDesgTpCl = getLongFromURL( req, prefix + "reqBusLglDesgTpCl" );
    reqBusLglDesgDescr = getCharFromURL( req, prefix + "reqBusLglDesgDescr" );
    reqSICTpCl = getCharFromURL( req, prefix + "reqSICTpCl" );
    reqProdSrvcDescr = getCharFromURL( req, prefix + "reqProdSrvcDescr" );
    reqTotNbrEmplVal = getLongFromURL( req, prefix + "reqTotNbrEmplVal" );

    repeatCounter = getLongFromURL( req, prefix + "reqPrevLnInfoDtl_repeatCounter" );
    reqPrevLnInfoDtl = new GsPrevLnInfoDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPrevLnInfoDtl[ i ] = new GsPrevLnInfoDtl(getIfsSession());
      reqPrevLnInfoDtl[ i ].populateFromURL( txn, req, prefix + "reqPrevLnInfoDtl_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqLglOblgInfoDtl_repeatCounter" );
    reqLglOblgInfoDtl = new GsLglOblgInfoDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqLglOblgInfoDtl[ i ] = new GsLglOblgInfoDtl(getIfsSession());
      reqLglOblgInfoDtl[ i ].populateFromURL( txn, req, prefix + "reqLglOblgInfoDtl_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqGrntrInfoDtl_repeatCounter" );
    reqGrntrInfoDtl = new GsGrntrInfoDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqGrntrInfoDtl[ i ] = new GsGrntrInfoDtl(getIfsSession());
      reqGrntrInfoDtl[ i ].populateFromURL( txn, req, prefix + "reqGrntrInfoDtl_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqAcctIdDtl_repeatCounter" );
    reqAcctIdDtl = new GsAccount[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqAcctIdDtl[ i ] = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAcctIdDtl_" + i, "GtSmallBusinessCreditApplication" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqNonFIDtl_repeatCounter" );
    reqNonFIDtl = new GsNonFiDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqNonFIDtl[ i ] = new GsNonFiDtl(getIfsSession());
      reqNonFIDtl[ i ].populateFromURL( txn, req, prefix + "reqNonFIDtl_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqColatDtl_repeatCounter" );
    reqColatDtl = new GsColatDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqColatDtl[ i ] = new GsColatDtl(getIfsSession());
      reqColatDtl[ i ].populateFromURL( txn, req, prefix + "reqColatDtl_" + i + "_" );
    }
    reqCntcHomePhNbrId = getCharFromURL( req, prefix + "reqCntcHomePhNbrId" );
    reqCntcWorkPhNbrId = getCharFromURL( req, prefix + "reqCntcWorkPhNbrId" );
    reqCntcEmailAddrId = getCharFromURL( req, prefix + "reqCntcEmailAddrId" );
    reqCntcFaxNbrId = getCharFromURL( req, prefix + "reqCntcFaxNbrId" );
    reqRespPathInd = getLongFromURL( req, prefix + "reqRespPathInd" );
    reqCnsmrCntcReq = getLongFromURL( req, prefix + "reqCnsmrCntcReq" );
    reqCnsmrCntcOpt = getCharFromURL( req, prefix + "reqCnsmrCntcOpt" );
    reqTmVal = getCharFromURL( req, prefix + "reqTmVal" );
    reqTmFmtCodeCl = getCharFromURL( req, prefix + "reqTmFmtCodeCl" );
    reqGmtOfstMins = getLongFromURL( req, prefix + "reqGmtOfstMins" );
    reqCnsmrCntcEnTmTTmVal = getCharFromURL( req, prefix + "reqCnsmrCntcEnTmTTmVal" );
    reqCnsmrCntcEnTmTTmFmtCodeCl = getCharFromURL( req, prefix + "reqCnsmrCntcEnTmTTmFmtCodeCl" );
    reqCnsmrCntcEnTmTGmtOfstMins = getLongFromURL( req, prefix + "reqCnsmrCntcEnTmTGmtOfstMins" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqCnsmrAddrDtlTAddrLine1Nm = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTAddrLine1Nm" );
    reqCnsmrAddrDtlTAddrLine2Nm = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTAddrLine2Nm" );
    reqCnsmrAddrDtlTAddrLine3Nm = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTAddrLine3Nm" );
    reqCnsmrAddrDtlTCityNm = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTCityNm" );
    reqCnsmrAddrDtlTProvNm = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTProvNm" );
    reqCnsmrAddrDtlTStateCodeCl = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTStateCodeCl" );
    reqCnsmrAddrDtlTCntryCodeCl = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTCntryCodeCl" );
    reqCnsmrAddrDtlTZipCodeCl = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTZipCodeCl" );
    reqCnsmrAddrDtlTPstCodeCl = getCharFromURL( req, prefix + "reqCnsmrAddrDtlTPstCodeCl" );
  }
}
