//**********************************************
//
// FILE NAME: GtStopCheckPayment.java
// TRANSACTION NAME: Stop Cheque Payment Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Stop Cheque Payment Transaction</B>
 * <P>IFS ID: <B>stpckpmt</B>
 * <P>
 * This transaction allows a consumer to place a stop payment on a check..
 * The consumer may stop a specific check or a range of checks. The check,
 * or range of checks, may be identified by number or amount.
 * <BR>
 * <P><B>STOP_CHK_PYMT_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>STOP_CHK_PYMT_IMSG</B>
 *            <P>
 *            This request message allows the consumer to specify details
 *            of a check or a range of checks which the consumer wishes to
 *            place a stop order against. The check, or range of checks,
 *            may be identified by number or amount.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>STOP_CHK_PYMT_OMSG</B>
 *            <P>
 *            This response message contains the Response Code indicating
 *            whether the Statement Copy Order request message was
 *            successfully received by the FI. It may also contain the
 *            Financial Institution and Service Provider Reference
 *            identifiers for future tracing.
 */
public class GtStopCheckPayment extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtStopCheckPayment() { }
  public GtStopCheckPayment( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "stpckpmt_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsAcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqContactHomePhoneNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactHomePhoneNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactHomePhoneNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactHomePhoneNumber( String o ) { reqContactHomePhoneNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactHomePhoneNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactHomePhoneNumber() { return (reqContactHomePhoneNumber); }

  /**
   * <P>The attribute <code>reqContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactWorkPhone( String o ) { reqContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactWorkPhone() { return (reqContactWorkPhone); }

  /**
   * <P>The attribute <code>reqContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  private String reqContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  void   setReqContactEmailAddress( String o ) { reqContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The electronic mailing address where the Requester (which may be the
   * Consumer) may be contacted.
   */
  public  String getReqContactEmailAddress() { return (reqContactEmailAddress); }

  /**
   * <P>The attribute <code>reqContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactFaxNumber( String o ) { reqContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactFaxNumber() { return (reqContactFaxNumber); }

  /**
   * <P>The attribute <code>reqRespPathIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqRespPathIndicator = 0;

  /**
   * <P>Sets the value of the attribute <code>reqRespPathIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqRespPathIndicator( int o ) { reqRespPathIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqRespPathIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqRespPathIndicator() { return (reqRespPathIndicator); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqCheckIssueStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a check is issued. For example, the set of check payment transactions
   * Check Issue Start Date of 01/01/1997 contains all Check Payment
   * transactions which are issued on or after 1st of January 1997 up to
   * and including a specified Check Issue End Date.
   * <BR>
   */
  private GsDate reqCheckIssueStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqCheckIssueStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a check is issued. For example, the set of check payment transactions
   * Check Issue Start Date of 01/01/1997 contains all Check Payment
   * transactions which are issued on or after 1st of January 1997 up to
   * and including a specified Check Issue End Date.
   * <BR>
   */
  public  void   setReqCheckIssueStartDate(GsDate o )  { reqCheckIssueStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckIssueStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.StrtDtTg</code>.
   * <P>
   * The lower (earliest) date in a date range representing the date when
   * a check is issued. For example, the set of check payment transactions
   * Check Issue Start Date of 01/01/1997 contains all Check Payment
   * transactions which are issued on or after 1st of January 1997 up to
   * and including a specified Check Issue End Date.
   * <BR>
   */
  public  GsDate getReqCheckIssueStartDate() { return (reqCheckIssueStartDate); }

  /**
   * <P>The attribute <code>reqCheckIssueEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a check payment is issued. For example, the set of check payment
   * transactions stopped with a Check Issue End Date of 01/01/1999
   * contains all Check Payment transactions which are issued from a
   * requested Check Issue Start Date up to and including the 1st of
   * January 1999.
   * <BR>
   */
  private GsDate reqCheckIssueEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqCheckIssueEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a check payment is issued. For example, the set of check payment
   * transactions stopped with a Check Issue End Date of 01/01/1999
   * contains all Check Payment transactions which are issued from a
   * requested Check Issue Start Date up to and including the 1st of
   * January 1999.
   * <BR>
   */
  public  void   setReqCheckIssueEndDate(GsDate o )  { reqCheckIssueEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckIssueEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkIssDtRngTg.EndDtTg</code>.
   * <P>
   * The upper (most recent) date in a date range representing the date
   * when a check payment is issued. For example, the set of check payment
   * transactions stopped with a Check Issue End Date of 01/01/1999
   * contains all Check Payment transactions which are issued from a
   * requested Check Issue Start Date up to and including the 1st of
   * January 1999.
   * <BR>
   */
  public  GsDate getReqCheckIssueEndDate() { return (reqCheckIssueEndDate); }

  /**
   * <P>The attribute <code>reqCheckNumberLow</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  private int  reqCheckNumberLow = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCheckNumberLow</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  public  void setReqCheckNumberLow( int o ) { reqCheckNumberLow = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckNumberLow</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.LowSrlNbrIdTg</code>.
   * <P>
   * The lowest serial number of a check that is to be included in the
   * response to a transaction history inquiry message. 'From Check
   * Number' and 'To Check Number' are paired to define a range of check
   * numbers that are to be retrieved from the transaction history. For
   * example, specifying 1234 as the 'From Check Number' and 1256 as the
   * 'To Check Number' in a transaction history inquiry, will result in
   * all checks in the transaction history file starting with 1234 and
   * ending with 1256 to be returned.
   */
  public  int  getReqCheckNumberLow() { return (reqCheckNumberLow); }

  /**
   * <P>The attribute <code>reqCheckNumberHigh</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  private int  reqCheckNumberHigh = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCheckNumberHigh</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  public  void setReqCheckNumberHigh( int o ) { reqCheckNumberHigh = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckNumberHigh</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkNbrRngTg.HighSrlNbrIdTg</code>.
   * <P>
   * The highest serial number on a check that is to be included in the
   * response to a transaction history inquiry message. From Check number
   * and To Check Number are paired to define a range of check numbers
   * that are to be retrieved from transaction history.
   */
  public  int  getReqCheckNumberHigh() { return (reqCheckNumberHigh); }

  /**
   * <P>The attribute <code>reqCheckRangeLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payments stopped with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all check payments with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude check payments with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  private GsCurrency reqCheckRangeLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqCheckRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payments stopped with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all check payments with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude check payments with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  void       setReqCheckRangeLowAmount(GsCurrency o )  { reqCheckRangeLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payments stopped with
   * amounts between a Low Amount of 1,000.00 USD and High Amount of
   * 5,000.00 USD will include all check payments with amounts between the
   * 1,000.00 - 5,000.00 USD range but will exclude check payments with
   * amounts less than 1,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqCheckRangeLowAmount() { return (reqCheckRangeLowAmount); }

  /**
   * <P>The attribute <code>reqCheckRangeHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payment transactions
   * stopped with amounts between a Low Amount of 1,000.00 USD and High
   * Amount of 5,000.00 USD will include all check payments with amounts
   * between the 1,000.00 - 5,000.00 USD range but will exclude check
   * payments with amounts above 5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqCheckRangeHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqCheckRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payment transactions
   * stopped with amounts between a Low Amount of 1,000.00 USD and High
   * Amount of 5,000.00 USD will include all check payments with amounts
   * between the 1,000.00 - 5,000.00 USD range but will exclude check
   * payments with amounts above 5,000.00 USD.
   * <BR>
   */
  public  void       setReqCheckRangeHighAmount(GsCurrency o )  { reqCheckRangeHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCheckRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.ChkAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a request to stop check
   * payments.:p.For example, the set of check payment transactions
   * stopped with amounts between a Low Amount of 1,000.00 USD and High
   * Amount of 5,000.00 USD will include all check payments with amounts
   * between the 1,000.00 - 5,000.00 USD range but will exclude check
   * payments with amounts above 5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqCheckRangeHighAmount() { return (reqCheckRangeHighAmount); }

  /**
   * <P>The attribute <code>reqMessage</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopChkPymtMsgTg</code>.
   * <P>
   * Details associated with a Stop Check Payment.
   * <BR>
   */
  private GsMsgTxt[] reqMessage = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopChkPymtMsgTg</code>.
   * <P>
   * Details associated with a Stop Check Payment.
   * <BR>
   */
  public  void       setReqMessage(GsMsgTxt[] o )  { reqMessage = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessage</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopChkPymtMsgTg</code>.
   * <P>
   * Details associated with a Stop Check Payment.
   * <BR>
   */
  public  GsMsgTxt[] getReqMessage() { return (reqMessage); }

  private String reqMessage_packed = null;
  public  void   setReqMessage_packed(String o ) { reqMessage_packed = o; }
  public  String getReqMessage_packed() { return (reqMessage_packed); }


  /**
   * <P>The attribute <code>reqStopPaymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtTpCl</code>.
   * <P>
   * A code which identifies the kind of Stop Payment Order being
   * implemented. A Financial Institution may support more than 1 Stop
   * Payment Order type.
   */
  private String reqStopPaymentType = null;

  /**
   * <P>Sets the value of the attribute <code>reqStopPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtTpCl</code>.
   * <P>
   * A code which identifies the kind of Stop Payment Order being
   * implemented. A Financial Institution may support more than 1 Stop
   * Payment Order type.
   */
  public  void   setReqStopPaymentType( String o ) { reqStopPaymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStopPaymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtTpCl</code>.
   * <P>
   * A code which identifies the kind of Stop Payment Order being
   * implemented. A Financial Institution may support more than 1 Stop
   * Payment Order type.
   */
  public  String getReqStopPaymentType() { return (reqStopPaymentType); }

  /**
   * <P>The attribute <code>reqStopPaymentDaysValue</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtDaysValTg</code>.
   * <P>
   * The number of days after which a Stop Payment Order expires.
   */
  private int  reqStopPaymentDaysValue = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStopPaymentDaysValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtDaysValTg</code>.
   * <P>
   * The number of days after which a Stop Payment Order expires.
   */
  public  void setReqStopPaymentDaysValue( int o ) { reqStopPaymentDaysValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStopPaymentDaysValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.StopPymtDaysValTg</code>.
   * <P>
   * The number of days after which a Stop Payment Order expires.
   */
  public  int  getReqStopPaymentDaysValue() { return (reqStopPaymentDaysValue); }

  /**
   * <P>The attribute <code>reqStopPaymentExpirationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopPymtExpDtTg</code>.
   * <P>
   * The date on which a Stop Payment Order is to expire.
   * <BR>
   */
  private GsDate reqStopPaymentExpirationDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqStopPaymentExpirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopPymtExpDtTg</code>.
   * <P>
   * The date on which a Stop Payment Order is to expire.
   * <BR>
   */
  public  void   setReqStopPaymentExpirationDate(GsDate o )  { reqStopPaymentExpirationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStopPaymentExpirationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsStopChkPymtTg.StopPymtExpDtTg</code>.
   * <P>
   * The date on which a Stop Payment Order is to expire.
   * <BR>
   */
  public  GsDate getReqStopPaymentExpirationDate() { return (reqStopPaymentExpirationDate); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The portion of an address that identifies a Geographic Area within
   * the United States and is used for Postal addresses.:q.Zip Code:eq.
   * may also be written as :q.Zipcode:eq..
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqChkPayeeNm</code> is an alias for the
   * standard message simple element
   * <code>IfsStopChkPymtTg.ChkPayeeNmTg</code>.
   * <P>
   * The payee name on the check to be stopped.
   */
  private String reqChkPayeeNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqChkPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkPayeeNmTg</code>.
   * <P>
   * The payee name on the check to be stopped.
   */
  public  void   setReqChkPayeeNm( String o ) { reqChkPayeeNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChkPayeeNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsStopChkPymtTg.ChkPayeeNmTg</code>.
   * <P>
   * The payee name on the check to be stopped.
   */
  public  String getReqChkPayeeNm() { return (reqChkPayeeNm); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtStopCheckPayment );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccountID, this );

    if( reqContactHomePhoneNumber != null && reqContactHomePhoneNumber.length() > 15 )
      addArgToGMJI( reqContactHomePhoneNumber.substring(0,15));
    else
      addArgToGMJI( reqContactHomePhoneNumber ); 

    if( reqContactWorkPhone != null && reqContactWorkPhone.length() > 15 )
      addArgToGMJI( reqContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqContactWorkPhone ); 

    if( reqContactEmailAddress != null && reqContactEmailAddress.length() > 128 )
      addArgToGMJI( reqContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqContactEmailAddress ); 

    if( reqContactFaxNumber != null && reqContactFaxNumber.length() > 15 )
      addArgToGMJI( reqContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqContactFaxNumber ); 
    addArgToGMJI( reqRespPathIndicator ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 
    GsDate.addPropertiesToGMJI( reqCheckIssueStartDate, this );
    GsDate.addPropertiesToGMJI( reqCheckIssueEndDate, this );
    addArgToGMJI( reqCheckNumberLow ); 
    addArgToGMJI( reqCheckNumberHigh ); 
    GsCurrency.addPropertiesToGMJI( reqCheckRangeLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqCheckRangeHighAmount, this );
    if( reqMessage != null )
    {
      reqMessage_packed = GsMsgTxt.pack( reqMessage );
      addArgToGMJI( reqMessage_packed );
    } else {
      addArgToGMJI();
    }

    if( reqStopPaymentType != null && reqStopPaymentType.length() > 1 )
      addArgToGMJI( reqStopPaymentType.substring(0,1));
    else
      addArgToGMJI( reqStopPaymentType ); 
    addArgToGMJI( reqStopPaymentDaysValue ); 
    GsDate.addPropertiesToGMJI( reqStopPaymentExpirationDate, this );

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqChkPayeeNm != null && reqChkPayeeNm.length() > 50 )
      addArgToGMJI( reqChkPayeeNm.substring(0,50));
    else
      addArgToGMJI( reqChkPayeeNm ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqContactHomePhoneNumber = " + getReqContactHomePhoneNumber() );
    pageWriter.println( prefix + "reqContactWorkPhone = " + getReqContactWorkPhone() );
    pageWriter.println( prefix + "reqContactEmailAddress = " + getReqContactEmailAddress() );
    pageWriter.println( prefix + "reqContactFaxNumber = " + getReqContactFaxNumber() );
    pageWriter.println( prefix + "reqRespPathIndicator = " + getReqRespPathIndicator() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );

    pageWriter.println( prefix + "reqCheckIssueStartDate =" );
    if( reqCheckIssueStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCheckIssueStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCheckIssueEndDate =" );
    if( reqCheckIssueEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCheckIssueEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqCheckNumberLow = " + getReqCheckNumberLow() );
    pageWriter.println( prefix + "reqCheckNumberHigh = " + getReqCheckNumberHigh() );

    pageWriter.println( prefix + "reqCheckRangeLowAmount =" );
    if( reqCheckRangeLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCheckRangeLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCheckRangeHighAmount =" );
    if( reqCheckRangeHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCheckRangeHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMessage =" );
    if( reqMessage == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqMessage.length; j++ )
      {
        pageWriter.println( prefix + "reqMessage[" + j + "] =" );
        if( reqMessage[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqMessage[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMessage_packed = " + getReqMessage_packed() );
    pageWriter.println( prefix + "reqStopPaymentType = " + getReqStopPaymentType() );
    pageWriter.println( prefix + "reqStopPaymentDaysValue = " + getReqStopPaymentDaysValue() );

    pageWriter.println( prefix + "reqStopPaymentExpirationDate =" );
    if( reqStopPaymentExpirationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStopPaymentExpirationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqChkPayeeNm = " + getReqChkPayeeNm() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtStopCheckPayment" );
    reqContactHomePhoneNumber = getCharFromURL( req, prefix + "reqContactHomePhoneNumber" );
    reqContactWorkPhone = getCharFromURL( req, prefix + "reqContactWorkPhone" );
    reqContactEmailAddress = getCharFromURL( req, prefix + "reqContactEmailAddress" );
    reqContactFaxNumber = getCharFromURL( req, prefix + "reqContactFaxNumber" );
    reqRespPathIndicator = getLongFromURL( req, prefix + "reqRespPathIndicator" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqCheckIssueStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqCheckIssueStartDate", "GtStopCheckPayment" );
    reqCheckIssueEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqCheckIssueEndDate", "GtStopCheckPayment" );
    reqCheckNumberLow = getLongFromURL( req, prefix + "reqCheckNumberLow" );
    reqCheckNumberHigh = getLongFromURL( req, prefix + "reqCheckNumberHigh" );
    reqCheckRangeLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCheckRangeLowAmount", "GtStopCheckPayment" );
    reqCheckRangeHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCheckRangeHighAmount", "GtStopCheckPayment" );

    repeatCounter = getLongFromURL( req, prefix + "reqMessage_repeatCounter" );
    reqMessage = new GsMsgTxt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqMessage[ i ] = new GsMsgTxt(getIfsSession());
      reqMessage[ i ].populateFromURL( txn, req, prefix + "reqMessage_" + i + "_" );
    }
    reqStopPaymentType = getCharFromURL( req, prefix + "reqStopPaymentType" );
    reqStopPaymentDaysValue = getLongFromURL( req, prefix + "reqStopPaymentDaysValue" );
    reqStopPaymentExpirationDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStopPaymentExpirationDate", "GtStopCheckPayment" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqChkPayeeNm = getCharFromURL( req, prefix + "reqChkPayeeNm" );
  }
}
