//**********************************************
//
// FILE NAME: GtSvcProvOnlineEnroll.java
// TRANSACTION NAME: Service Provider Online Enrollment Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Service Provider Online Enrollment Transaction</B>
 * <P>IFS ID: <B>spolenr</B>
 * <P>
 * Consumer online enrollment in a service.
 * <BR>
 * <P><B>SRVC_PROVD_OL_ENR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>SRVC_PROVD_OL_ENR_IMSG</B>
 *            <P>
 *            This message will be used to send an online enrollment
 *            request for a particular service to a service provider. This
 *            message cannot be used to change or delete the enrollment
 *            data for an already enrolled consumer for a service.
 *
 * <P>Reply:   <B>SRVC_PROVD_OL_ENR_OMSG</B>
 */
public class GtSvcProvOnlineEnroll extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtSvcProvOnlineEnroll() { }
  public GtSvcProvOnlineEnroll( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "spolenr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

  /**
   * <P>The attribute <code>reqPermUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String reqPermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setReqPermUserID( String o ) { reqPermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getReqPermUserID() { return (reqPermUserID); }

  /**
   * <P>The attribute <code>reqPrimCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String reqPrimCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPrimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setReqPrimCnsmrID( String o ) { reqPrimCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPrimCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getReqPrimCnsmrID() { return (reqPrimCnsmrID); }

  /**
   * <P>The attribute <code>reqServiceID</code> is an alias for the
   * standard message simple element
   * <code>SrvcOlEnrTg.SrvcIdNbrTg</code>.
   */
  private String reqServiceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>SrvcOlEnrTg.SrvcIdNbrTg</code>.
   */
  public  void   setReqServiceID( String o ) { reqServiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>SrvcOlEnrTg.SrvcIdNbrTg</code>.
   */
  public  String getReqServiceID() { return (reqServiceID); }

  /**
   * <P>The attribute <code>reqCnsmrTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String reqCnsmrTpCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setReqCnsmrTpCl( String o ) { reqCnsmrTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getReqCnsmrTpCl() { return (reqCnsmrTpCl); }

  /**
   * <P>The attribute <code>reqBusnNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  private String reqBusnNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusnNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  void   setReqBusnNm( String o ) { reqBusnNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  String getReqBusnNm() { return (reqBusnNm); }

  /**
   * <P>The attribute <code>reqCnsmrLastNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String reqCnsmrLastNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrLastNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setReqCnsmrLastNm( String o ) { reqCnsmrLastNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrLastNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getReqCnsmrLastNm() { return (reqCnsmrLastNm); }

  /**
   * <P>The attribute <code>reqCnsmrMdlNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String reqCnsmrMdlNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setReqCnsmrMdlNm( String o ) { reqCnsmrMdlNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getReqCnsmrMdlNm() { return (reqCnsmrMdlNm); }

  /**
   * <P>The attribute <code>reqCnsmrFrstNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String reqCnsmrFrstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setReqCnsmrFrstNm( String o ) { reqCnsmrFrstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getReqCnsmrFrstNm() { return (reqCnsmrFrstNm); }

  /**
   * <P>The attribute <code>reqCnsmrSfxTp</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String reqCnsmrSfxTp = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrSfxTp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setReqCnsmrSfxTp( String o ) { reqCnsmrSfxTp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrSfxTp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getReqCnsmrSfxTp() { return (reqCnsmrSfxTp); }

  /**
   * <P>The attribute <code>reqUserSocScrtyId</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.UserSocScrtyIdTg</code>.
   */
  private String reqUserSocScrtyId = null;

  /**
   * <P>Sets the value of the attribute <code>reqUserSocScrtyId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.UserSocScrtyIdTg</code>.
   */
  public  void   setReqUserSocScrtyId( String o ) { reqUserSocScrtyId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqUserSocScrtyId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.UserSocScrtyIdTg</code>.
   */
  public  String getReqUserSocScrtyId() { return (reqUserSocScrtyId); }

  /**
   * <P>The attribute <code>reqBusnId</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  private String reqBusnId = null;

  /**
   * <P>Sets the value of the attribute <code>reqBusnId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  void   setReqBusnId( String o ) { reqBusnId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  String getReqBusnId() { return (reqBusnId); }

  /**
   * <P>The attribute <code>reqBusnIdTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  private int  reqBusnIdTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqBusnIdTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  void setReqBusnIdTpCl( int o ) { reqBusnIdTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBusnIdTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  int  getReqBusnIdTpCl() { return (reqBusnIdTpCl); }

  /**
   * <P>The attribute <code>reqAddrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String reqAddrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setReqAddrLine1Nm( String o ) { reqAddrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getReqAddrLine1Nm() { return (reqAddrLine1Nm); }

  /**
   * <P>The attribute <code>reqAddrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String reqAddrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setReqAddrLine2Nm( String o ) { reqAddrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getReqAddrLine2Nm() { return (reqAddrLine2Nm); }

  /**
   * <P>The attribute <code>reqAddrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String reqAddrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setReqAddrLine3Nm( String o ) { reqAddrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getReqAddrLine3Nm() { return (reqAddrLine3Nm); }

  /**
   * <P>The attribute <code>reqCityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String reqCityNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setReqCityNm( String o ) { reqCityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getReqCityNm() { return (reqCityNm); }

  /**
   * <P>The attribute <code>reqProvNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String reqProvNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setReqProvNm( String o ) { reqProvNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getReqProvNm() { return (reqProvNm); }

  /**
   * <P>The attribute <code>reqStateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String reqStateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setReqStateCodeCl( String o ) { reqStateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getReqStateCodeCl() { return (reqStateCodeCl); }

  /**
   * <P>The attribute <code>reqCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String reqCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setReqCntryCodeCl( String o ) { reqCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getReqCntryCodeCl() { return (reqCntryCodeCl); }

  /**
   * <P>The attribute <code>reqZipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  private String reqZipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  public  void   setReqZipCodeCl( String o ) { reqZipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   */
  public  String getReqZipCodeCl() { return (reqZipCodeCl); }

  /**
   * <P>The attribute <code>reqPstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String reqPstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setReqPstCodeCl( String o ) { reqPstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getReqPstCodeCl() { return (reqPstCodeCl); }

  /**
   * <P>The attribute <code>reqHmPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  private String reqHmPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  void   setReqHmPhNbrId( String o ) { reqHmPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   */
  public  String getReqHmPhNbrId() { return (reqHmPhNbrId); }

  /**
   * <P>The attribute <code>reqWrkPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  private String reqWrkPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  void   setReqWrkPhNbrId( String o ) { reqWrkPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   */
  public  String getReqWrkPhNbrId() { return (reqWrkPhNbrId); }

  /**
   * <P>The attribute <code>reqCnsmrSignupSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  private String reqCnsmrSignupSrc = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrSignupSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  void   setReqCnsmrSignupSrc( String o ) { reqCnsmrSignupSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrSignupSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  String getReqCnsmrSignupSrc() { return (reqCnsmrSignupSrc); }

  /**
   * <P>The attribute <code>reqSwPdNmCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   */
  private String reqSwPdNmCl = null;

  /**
   * <P>Sets the value of the attribute <code>reqSwPdNmCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   */
  public  void   setReqSwPdNmCl( String o ) { reqSwPdNmCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSwPdNmCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdNmClTg</code>.
   */
  public  String getReqSwPdNmCl() { return (reqSwPdNmCl); }

  /**
   * <P>The attribute <code>reqSwPdVersNbr</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  private String reqSwPdVersNbr = null;

  /**
   * <P>Sets the value of the attribute <code>reqSwPdVersNbr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  public  void   setReqSwPdVersNbr( String o ) { reqSwPdVersNbr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSwPdVersNbr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.SwPdVersNbrTg</code>.
   * <P>
   * A number which identifies the level of the end-user client software
   * product to the manufacturer's technical support personnel.
   */
  public  String getReqSwPdVersNbr() { return (reqSwPdVersNbr); }

  /**
   * <P>The attribute <code>reqOperSystNm</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  private String reqOperSystNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqOperSystNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  public  void   setReqOperSystNm( String o ) { reqOperSystNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOperSystNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.OperSystNmTg</code>.
   * <P>
   * A string which identifies the operating system on which the user has
   * installed the product.
   */
  public  String getReqOperSystNm() { return (reqOperSystNm); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.IfsCnsmrPdDtlTg.ClientDtTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ClientDtCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>reqCnsmrEmailAddr</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String reqCnsmrEmailAddr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setReqCnsmrEmailAddr( String o ) { reqCnsmrEmailAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getReqCnsmrEmailAddr() { return (reqCnsmrEmailAddr); }

  /**
   * <P>The attribute <code>reqSrvcCnsmrCat</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcCnsmrCatTg</code>.
   * <P>
   * Service category for the consumer.
   */
  private String reqSrvcCnsmrCat = null;

  /**
   * <P>Sets the value of the attribute <code>reqSrvcCnsmrCat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcCnsmrCatTg</code>.
   * <P>
   * Service category for the consumer.
   */
  public  void   setReqSrvcCnsmrCat( String o ) { reqSrvcCnsmrCat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSrvcCnsmrCat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcCnsmrCatTg</code>.
   * <P>
   * Service category for the consumer.
   */
  public  String getReqSrvcCnsmrCat() { return (reqSrvcCnsmrCat); }

  /**
   * <P>The attribute <code>reqFiEmpTpInd</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  private String reqFiEmpTpInd = null;

  /**
   * <P>Sets the value of the attribute <code>reqFiEmpTpInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  void   setReqFiEmpTpInd( String o ) { reqFiEmpTpInd = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFiEmpTpInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  String getReqFiEmpTpInd() { return (reqFiEmpTpInd); }

  /**
   * <P>The attribute <code>reqSrvcBillClss</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcBillClssTg</code>.
   */
  private String reqSrvcBillClss = null;

  /**
   * <P>Sets the value of the attribute <code>reqSrvcBillClss</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcBillClssTg</code>.
   */
  public  void   setReqSrvcBillClss( String o ) { reqSrvcBillClss = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSrvcBillClss</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcBillClssTg</code>.
   */
  public  String getReqSrvcBillClss() { return (reqSrvcBillClss); }

  /**
   * <P>The attribute <code>reqTxnAuthInqTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthInqTpClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Inquiry functions with
   * the specified IFS Service Provider against the specified FI Account
   * (if in the context of the Consumer / Account / Service Provider
   * relationship) or other Service Provider entity (if in the context of
   * the Consumer / Service Provider relationship). Service Requests
   * implementing "Inquiry" functions are identified by Service Request
   * Class = 2.
   */
  private int  reqTxnAuthInqTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAuthInqTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthInqTpClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Inquiry functions with
   * the specified IFS Service Provider against the specified FI Account
   * (if in the context of the Consumer / Account / Service Provider
   * relationship) or other Service Provider entity (if in the context of
   * the Consumer / Service Provider relationship). Service Requests
   * implementing "Inquiry" functions are identified by Service Request
   * Class = 2.
   */
  public  void setReqTxnAuthInqTpCl( int o ) { reqTxnAuthInqTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAuthInqTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthInqTpClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Inquiry functions with
   * the specified IFS Service Provider against the specified FI Account
   * (if in the context of the Consumer / Account / Service Provider
   * relationship) or other Service Provider entity (if in the context of
   * the Consumer / Service Provider relationship). Service Requests
   * implementing "Inquiry" functions are identified by Service Request
   * Class = 2.
   */
  public  int  getReqTxnAuthInqTpCl() { return (reqTxnAuthInqTpCl); }

  /**
   * <P>The attribute <code>reqTxnAuthNonDlrCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthNonDlrClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Non-Dollar Update
   * functions with the specified IFS Service against the specified FI
   * Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Non-dollar
   * updates are changes other than debits or credits. (e.g. Nickname
   * changes, Account Addresses, Bill State Changes, etc.). Service
   * Requests implementing "Non-Dollar Update" functions are identified by
   * Service Request Class = 4.
   */
  private int  reqTxnAuthNonDlrCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAuthNonDlrCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthNonDlrClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Non-Dollar Update
   * functions with the specified IFS Service against the specified FI
   * Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Non-dollar
   * updates are changes other than debits or credits. (e.g. Nickname
   * changes, Account Addresses, Bill State Changes, etc.). Service
   * Requests implementing "Non-Dollar Update" functions are identified by
   * Service Request Class = 4.
   */
  public  void setReqTxnAuthNonDlrCl( int o ) { reqTxnAuthNonDlrCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAuthNonDlrCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthNonDlrClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Non-Dollar Update
   * functions with the specified IFS Service against the specified FI
   * Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Non-dollar
   * updates are changes other than debits or credits. (e.g. Nickname
   * changes, Account Addresses, Bill State Changes, etc.). Service
   * Requests implementing "Non-Dollar Update" functions are identified by
   * Service Request Class = 4.
   */
  public  int  getReqTxnAuthNonDlrCl() { return (reqTxnAuthNonDlrCl); }

  /**
   * <P>The attribute <code>reqTxnAuthRstNonDCl</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthRstNonDClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Restricted Non-Dollar
   * update functions with the specified IFS Service against the specified
   * FI Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Restricted
   * Non-Dollar updates are changes other than debits or credits that
   * still present a possibility of loss. (e.g. Payee Maintenance, Biller
   * Delivery Account Maintenance, etc.). Service Requests implementing
   * "Non-Dollar Update" funcionts are identified by the Service Provider.
   * Service Requests implementing "Non-Dollar Update" functions are
   * identified by Service Request Class = 4.
   */
  private int  reqTxnAuthRstNonDCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAuthRstNonDCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthRstNonDClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Restricted Non-Dollar
   * update functions with the specified IFS Service against the specified
   * FI Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Restricted
   * Non-Dollar updates are changes other than debits or credits that
   * still present a possibility of loss. (e.g. Payee Maintenance, Biller
   * Delivery Account Maintenance, etc.). Service Requests implementing
   * "Non-Dollar Update" funcionts are identified by the Service Provider.
   * Service Requests implementing "Non-Dollar Update" functions are
   * identified by Service Request Class = 4.
   */
  public  void setReqTxnAuthRstNonDCl( int o ) { reqTxnAuthRstNonDCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAuthRstNonDCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthRstNonDClTg</code>.
   * <P>
   * Indicates whether an FI Consumer can perform Restricted Non-Dollar
   * update functions with the specified IFS Service against the specified
   * FI Account (if in the context of the Consumer / Account / Service
   * Provider relationship) or other Service Provider entity (if in the
   * context of the Consumer / Service Provider relationship). Restricted
   * Non-Dollar updates are changes other than debits or credits that
   * still present a possibility of loss. (e.g. Payee Maintenance, Biller
   * Delivery Account Maintenance, etc.). Service Requests implementing
   * "Non-Dollar Update" funcionts are identified by the Service Provider.
   * Service Requests implementing "Non-Dollar Update" functions are
   * identified by Service Request Class = 4.
   */
  public  int  getReqTxnAuthRstNonDCl() { return (reqTxnAuthRstNonDCl); }

  /**
   * <P>The attribute <code>reqTxnAuthStrctMsgC</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthStrctMsgCTg</code>.
   * <P>
   * Indicates whether an FI Consumer can originate structured-message
   * type IFS Service requests with the indicated IFS Service Provider on
   * behalf of the indicated FI Account (if in the context of the Consumer
   * / Account / Service Provider relationship) or other Service Provider
   * entity (if in the context of the Consumer / Service Provider
   * relationship). For example: Can a Core Banking Order Checks message
   * be issued for Account 1234 by John Doe? Service Requests implementing
   * "Structured Message" functions are identified by Service Request
   * Class = 5.
   */
  private int  reqTxnAuthStrctMsgC = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTxnAuthStrctMsgC</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthStrctMsgCTg</code>.
   * <P>
   * Indicates whether an FI Consumer can originate structured-message
   * type IFS Service requests with the indicated IFS Service Provider on
   * behalf of the indicated FI Account (if in the context of the Consumer
   * / Account / Service Provider relationship) or other Service Provider
   * entity (if in the context of the Consumer / Service Provider
   * relationship). For example: Can a Core Banking Order Checks message
   * be issued for Account 1234 by John Doe? Service Requests implementing
   * "Structured Message" functions are identified by Service Request
   * Class = 5.
   */
  public  void setReqTxnAuthStrctMsgC( int o ) { reqTxnAuthStrctMsgC = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTxnAuthStrctMsgC</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SrvcOlEnrRuleTg.TxnAuthStrctMsgCTg</code>.
   * <P>
   * Indicates whether an FI Consumer can originate structured-message
   * type IFS Service requests with the indicated IFS Service Provider on
   * behalf of the indicated FI Account (if in the context of the Consumer
   * / Account / Service Provider relationship) or other Service Provider
   * entity (if in the context of the Consumer / Service Provider
   * relationship). For example: Can a Core Banking Order Checks message
   * be issued for Account 1234 by John Doe? Service Requests implementing
   * "Structured Message" functions are identified by Service Request
   * Class = 5.
   */
  public  int  getReqTxnAuthStrctMsgC() { return (reqTxnAuthStrctMsgC); }

  /**
   * <P>The attribute <code>reqSrvcAcctOlEnrRul</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSpOlEnrRqstTg.SrvcAcctOlEnrRulTg</code>.
   * <BR>
   */
  private GsSrvcAcctOlEnrRules[] reqSrvcAcctOlEnrRul = null;

  /**
   * <P>Sets the value of the attribute <code>reqSrvcAcctOlEnrRul</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSpOlEnrRqstTg.SrvcAcctOlEnrRulTg</code>.
   * <BR>
   */
  public  void                   setReqSrvcAcctOlEnrRul(GsSrvcAcctOlEnrRules[] o )  { reqSrvcAcctOlEnrRul = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSrvcAcctOlEnrRul</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSpOlEnrRqstTg.SrvcAcctOlEnrRulTg</code>.
   * <BR>
   */
  public  GsSrvcAcctOlEnrRules[] getReqSrvcAcctOlEnrRul() { return (reqSrvcAcctOlEnrRul); }

  private String reqSrvcAcctOlEnrRul_packed = null;
  public  void   setReqSrvcAcctOlEnrRul_packed(String o ) { reqSrvcAcctOlEnrRul_packed = o; }
  public  String getReqSrvcAcctOlEnrRul_packed() { return (reqSrvcAcctOlEnrRul_packed); }


  /**
   * <P>The attribute <code>reqSecCnsmrMntAuthF</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  private int  reqSecCnsmrMntAuthF = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  void setReqSecCnsmrMntAuthF( int o ) { reqSecCnsmrMntAuthF = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecCnsmrMntAuthF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  int  getReqSecCnsmrMntAuthF() { return (reqSecCnsmrMntAuthF); }

  /**
   * <P>The attribute <code>reqCnsmrLastNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrLastNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrLastNmAlt( String o ) { reqCnsmrLastNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrLastNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrLastNmAlt() { return (reqCnsmrLastNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrMdlNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrMdlNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrMdlNmAlt( String o ) { reqCnsmrMdlNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrMdlNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrMdlNmAlt() { return (reqCnsmrMdlNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrFrstNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String reqCnsmrFrstNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setReqCnsmrFrstNmAlt( String o ) { reqCnsmrFrstNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrFrstNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getReqCnsmrFrstNmAlt() { return (reqCnsmrFrstNmAlt); }

  /**
   * <P>The attribute <code>reqCnsmrSfxTpAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  private String reqCnsmrSfxTpAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  void   setReqCnsmrSfxTpAlt( String o ) { reqCnsmrSfxTpAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrSfxTpAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSpOlEnrRqstTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  String getReqCnsmrSfxTpAlt() { return (reqCnsmrSfxTpAlt); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtSvcProvOnlineEnroll );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    if( reqPermUserID != null && reqPermUserID.length() > 57 )
      addArgToGMJI( reqPermUserID.substring(0,57));
    else
      addArgToGMJI( reqPermUserID ); 

    if( reqPrimCnsmrID != null && reqPrimCnsmrID.length() > 30 )
      addArgToGMJI( reqPrimCnsmrID.substring(0,30));
    else
      addArgToGMJI( reqPrimCnsmrID ); 

    if( reqServiceID != null && reqServiceID.length() > 8 )
      addArgToGMJI( reqServiceID.substring(0,8));
    else
      addArgToGMJI( reqServiceID ); 

    if( reqCnsmrTpCl != null && reqCnsmrTpCl.length() > 1 )
      addArgToGMJI( reqCnsmrTpCl.substring(0,1));
    else
      addArgToGMJI( reqCnsmrTpCl ); 
    addArgToGMJI( reqBusnNm ); 

    if( reqCnsmrLastNm != null && reqCnsmrLastNm.length() > 30 )
      addArgToGMJI( reqCnsmrLastNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrLastNm ); 

    if( reqCnsmrMdlNm != null && reqCnsmrMdlNm.length() > 20 )
      addArgToGMJI( reqCnsmrMdlNm.substring(0,20));
    else
      addArgToGMJI( reqCnsmrMdlNm ); 

    if( reqCnsmrFrstNm != null && reqCnsmrFrstNm.length() > 30 )
      addArgToGMJI( reqCnsmrFrstNm.substring(0,30));
    else
      addArgToGMJI( reqCnsmrFrstNm ); 

    if( reqCnsmrSfxTp != null && reqCnsmrSfxTp.length() > 8 )
      addArgToGMJI( reqCnsmrSfxTp.substring(0,8));
    else
      addArgToGMJI( reqCnsmrSfxTp ); 

    if( reqUserSocScrtyId != null && reqUserSocScrtyId.length() > 9 )
      addArgToGMJI( reqUserSocScrtyId.substring(0,9));
    else
      addArgToGMJI( reqUserSocScrtyId ); 

    if( reqBusnId != null && reqBusnId.length() > 20 )
      addArgToGMJI( reqBusnId.substring(0,20));
    else
      addArgToGMJI( reqBusnId ); 
    addArgToGMJI( reqBusnIdTpCl ); 

    if( reqAddrLine1Nm != null && reqAddrLine1Nm.length() > 40 )
      addArgToGMJI( reqAddrLine1Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine1Nm ); 

    if( reqAddrLine2Nm != null && reqAddrLine2Nm.length() > 40 )
      addArgToGMJI( reqAddrLine2Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine2Nm ); 

    if( reqAddrLine3Nm != null && reqAddrLine3Nm.length() > 40 )
      addArgToGMJI( reqAddrLine3Nm.substring(0,40));
    else
      addArgToGMJI( reqAddrLine3Nm ); 

    if( reqCityNm != null && reqCityNm.length() > 30 )
      addArgToGMJI( reqCityNm.substring(0,30));
    else
      addArgToGMJI( reqCityNm ); 

    if( reqProvNm != null && reqProvNm.length() > 30 )
      addArgToGMJI( reqProvNm.substring(0,30));
    else
      addArgToGMJI( reqProvNm ); 

    if( reqStateCodeCl != null && reqStateCodeCl.length() > 2 )
      addArgToGMJI( reqStateCodeCl.substring(0,2));
    else
      addArgToGMJI( reqStateCodeCl ); 

    if( reqCntryCodeCl != null && reqCntryCodeCl.length() > 3 )
      addArgToGMJI( reqCntryCodeCl.substring(0,3));
    else
      addArgToGMJI( reqCntryCodeCl ); 

    if( reqZipCodeCl != null && reqZipCodeCl.length() > 9 )
      addArgToGMJI( reqZipCodeCl.substring(0,9));
    else
      addArgToGMJI( reqZipCodeCl ); 

    if( reqPstCodeCl != null && reqPstCodeCl.length() > 6 )
      addArgToGMJI( reqPstCodeCl.substring(0,6));
    else
      addArgToGMJI( reqPstCodeCl ); 

    if( reqHmPhNbrId != null && reqHmPhNbrId.length() > 15 )
      addArgToGMJI( reqHmPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqHmPhNbrId ); 

    if( reqWrkPhNbrId != null && reqWrkPhNbrId.length() > 15 )
      addArgToGMJI( reqWrkPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqWrkPhNbrId ); 

    if( reqCnsmrSignupSrc != null && reqCnsmrSignupSrc.length() > 3 )
      addArgToGMJI( reqCnsmrSignupSrc.substring(0,3));
    else
      addArgToGMJI( reqCnsmrSignupSrc ); 

    if( reqSwPdNmCl != null && reqSwPdNmCl.length() > 32 )
      addArgToGMJI( reqSwPdNmCl.substring(0,32));
    else
      addArgToGMJI( reqSwPdNmCl ); 

    if( reqSwPdVersNbr != null && reqSwPdVersNbr.length() > 12 )
      addArgToGMJI( reqSwPdVersNbr.substring(0,12));
    else
      addArgToGMJI( reqSwPdVersNbr ); 

    if( reqOperSystNm != null && reqOperSystNm.length() > 16 )
      addArgToGMJI( reqOperSystNm.substring(0,16));
    else
      addArgToGMJI( reqOperSystNm ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    if( reqCnsmrEmailAddr != null && reqCnsmrEmailAddr.length() > 128 )
      addArgToGMJI( reqCnsmrEmailAddr.substring(0,128));
    else
      addArgToGMJI( reqCnsmrEmailAddr ); 

    if( reqSrvcCnsmrCat != null && reqSrvcCnsmrCat.length() > 30 )
      addArgToGMJI( reqSrvcCnsmrCat.substring(0,30));
    else
      addArgToGMJI( reqSrvcCnsmrCat ); 

    if( reqFiEmpTpInd != null && reqFiEmpTpInd.length() > 3 )
      addArgToGMJI( reqFiEmpTpInd.substring(0,3));
    else
      addArgToGMJI( reqFiEmpTpInd ); 

    if( reqSrvcBillClss != null && reqSrvcBillClss.length() > 10 )
      addArgToGMJI( reqSrvcBillClss.substring(0,10));
    else
      addArgToGMJI( reqSrvcBillClss ); 
    addArgToGMJI( reqTxnAuthInqTpCl ); 
    addArgToGMJI( reqTxnAuthNonDlrCl ); 
    addArgToGMJI( reqTxnAuthRstNonDCl ); 
    addArgToGMJI( reqTxnAuthStrctMsgC ); 
    if( reqSrvcAcctOlEnrRul != null )
    {
      reqSrvcAcctOlEnrRul_packed = GsSrvcAcctOlEnrRules.pack( reqSrvcAcctOlEnrRul );
      addArgToGMJI( reqSrvcAcctOlEnrRul_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqSecCnsmrMntAuthF ); 

    if( reqCnsmrLastNmAlt != null && reqCnsmrLastNmAlt.length() > 30 )
      addArgToGMJI( reqCnsmrLastNmAlt.substring(0,30));
    else
      addArgToGMJI( reqCnsmrLastNmAlt ); 

    if( reqCnsmrMdlNmAlt != null && reqCnsmrMdlNmAlt.length() > 20 )
      addArgToGMJI( reqCnsmrMdlNmAlt.substring(0,20));
    else
      addArgToGMJI( reqCnsmrMdlNmAlt ); 

    if( reqCnsmrFrstNmAlt != null && reqCnsmrFrstNmAlt.length() > 30 )
      addArgToGMJI( reqCnsmrFrstNmAlt.substring(0,30));
    else
      addArgToGMJI( reqCnsmrFrstNmAlt ); 

    if( reqCnsmrSfxTpAlt != null && reqCnsmrSfxTpAlt.length() > 8 )
      addArgToGMJI( reqCnsmrSfxTpAlt.substring(0,8));
    else
      addArgToGMJI( reqCnsmrSfxTpAlt ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "reqPermUserID = " + getReqPermUserID() );
    pageWriter.println( prefix + "reqPrimCnsmrID = " + getReqPrimCnsmrID() );
    pageWriter.println( prefix + "reqServiceID = " + getReqServiceID() );
    pageWriter.println( prefix + "reqCnsmrTpCl = " + getReqCnsmrTpCl() );
    pageWriter.println( prefix + "reqBusnNm = " + getReqBusnNm() );
    pageWriter.println( prefix + "reqCnsmrLastNm = " + getReqCnsmrLastNm() );
    pageWriter.println( prefix + "reqCnsmrMdlNm = " + getReqCnsmrMdlNm() );
    pageWriter.println( prefix + "reqCnsmrFrstNm = " + getReqCnsmrFrstNm() );
    pageWriter.println( prefix + "reqCnsmrSfxTp = " + getReqCnsmrSfxTp() );
    pageWriter.println( prefix + "reqUserSocScrtyId = " + getReqUserSocScrtyId() );
    pageWriter.println( prefix + "reqBusnId = " + getReqBusnId() );
    pageWriter.println( prefix + "reqBusnIdTpCl = " + getReqBusnIdTpCl() );
    pageWriter.println( prefix + "reqAddrLine1Nm = " + getReqAddrLine1Nm() );
    pageWriter.println( prefix + "reqAddrLine2Nm = " + getReqAddrLine2Nm() );
    pageWriter.println( prefix + "reqAddrLine3Nm = " + getReqAddrLine3Nm() );
    pageWriter.println( prefix + "reqCityNm = " + getReqCityNm() );
    pageWriter.println( prefix + "reqProvNm = " + getReqProvNm() );
    pageWriter.println( prefix + "reqStateCodeCl = " + getReqStateCodeCl() );
    pageWriter.println( prefix + "reqCntryCodeCl = " + getReqCntryCodeCl() );
    pageWriter.println( prefix + "reqZipCodeCl = " + getReqZipCodeCl() );
    pageWriter.println( prefix + "reqPstCodeCl = " + getReqPstCodeCl() );
    pageWriter.println( prefix + "reqHmPhNbrId = " + getReqHmPhNbrId() );
    pageWriter.println( prefix + "reqWrkPhNbrId = " + getReqWrkPhNbrId() );
    pageWriter.println( prefix + "reqCnsmrSignupSrc = " + getReqCnsmrSignupSrc() );
    pageWriter.println( prefix + "reqSwPdNmCl = " + getReqSwPdNmCl() );
    pageWriter.println( prefix + "reqSwPdVersNbr = " + getReqSwPdVersNbr() );
    pageWriter.println( prefix + "reqOperSystNm = " + getReqOperSystNm() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "reqCnsmrEmailAddr = " + getReqCnsmrEmailAddr() );
    pageWriter.println( prefix + "reqSrvcCnsmrCat = " + getReqSrvcCnsmrCat() );
    pageWriter.println( prefix + "reqFiEmpTpInd = " + getReqFiEmpTpInd() );
    pageWriter.println( prefix + "reqSrvcBillClss = " + getReqSrvcBillClss() );
    pageWriter.println( prefix + "reqTxnAuthInqTpCl = " + getReqTxnAuthInqTpCl() );
    pageWriter.println( prefix + "reqTxnAuthNonDlrCl = " + getReqTxnAuthNonDlrCl() );
    pageWriter.println( prefix + "reqTxnAuthRstNonDCl = " + getReqTxnAuthRstNonDCl() );
    pageWriter.println( prefix + "reqTxnAuthStrctMsgC = " + getReqTxnAuthStrctMsgC() );

    pageWriter.println( prefix + "reqSrvcAcctOlEnrRul =" );
    if( reqSrvcAcctOlEnrRul == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSrvcAcctOlEnrRul.length; j++ )
      {
        pageWriter.println( prefix + "reqSrvcAcctOlEnrRul[" + j + "] =" );
        if( reqSrvcAcctOlEnrRul[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSrvcAcctOlEnrRul[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSrvcAcctOlEnrRul_packed = " + getReqSrvcAcctOlEnrRul_packed() );
    pageWriter.println( prefix + "reqSecCnsmrMntAuthF = " + getReqSecCnsmrMntAuthF() );
    pageWriter.println( prefix + "reqCnsmrLastNmAlt = " + getReqCnsmrLastNmAlt() );
    pageWriter.println( prefix + "reqCnsmrMdlNmAlt = " + getReqCnsmrMdlNmAlt() );
    pageWriter.println( prefix + "reqCnsmrFrstNmAlt = " + getReqCnsmrFrstNmAlt() );
    pageWriter.println( prefix + "reqCnsmrSfxTpAlt = " + getReqCnsmrSfxTpAlt() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
    reqPermUserID = getCharFromURL( req, prefix + "reqPermUserID" );
    reqPrimCnsmrID = getCharFromURL( req, prefix + "reqPrimCnsmrID" );
    reqServiceID = getCharFromURL( req, prefix + "reqServiceID" );
    reqCnsmrTpCl = getCharFromURL( req, prefix + "reqCnsmrTpCl" );
    reqBusnNm = getCharFromURL( req, prefix + "reqBusnNm" );
    reqCnsmrLastNm = getCharFromURL( req, prefix + "reqCnsmrLastNm" );
    reqCnsmrMdlNm = getCharFromURL( req, prefix + "reqCnsmrMdlNm" );
    reqCnsmrFrstNm = getCharFromURL( req, prefix + "reqCnsmrFrstNm" );
    reqCnsmrSfxTp = getCharFromURL( req, prefix + "reqCnsmrSfxTp" );
    reqUserSocScrtyId = getCharFromURL( req, prefix + "reqUserSocScrtyId" );
    reqBusnId = getCharFromURL( req, prefix + "reqBusnId" );
    reqBusnIdTpCl = getLongFromURL( req, prefix + "reqBusnIdTpCl" );
    reqAddrLine1Nm = getCharFromURL( req, prefix + "reqAddrLine1Nm" );
    reqAddrLine2Nm = getCharFromURL( req, prefix + "reqAddrLine2Nm" );
    reqAddrLine3Nm = getCharFromURL( req, prefix + "reqAddrLine3Nm" );
    reqCityNm = getCharFromURL( req, prefix + "reqCityNm" );
    reqProvNm = getCharFromURL( req, prefix + "reqProvNm" );
    reqStateCodeCl = getCharFromURL( req, prefix + "reqStateCodeCl" );
    reqCntryCodeCl = getCharFromURL( req, prefix + "reqCntryCodeCl" );
    reqZipCodeCl = getCharFromURL( req, prefix + "reqZipCodeCl" );
    reqPstCodeCl = getCharFromURL( req, prefix + "reqPstCodeCl" );
    reqHmPhNbrId = getCharFromURL( req, prefix + "reqHmPhNbrId" );
    reqWrkPhNbrId = getCharFromURL( req, prefix + "reqWrkPhNbrId" );
    reqCnsmrSignupSrc = getCharFromURL( req, prefix + "reqCnsmrSignupSrc" );
    reqSwPdNmCl = getCharFromURL( req, prefix + "reqSwPdNmCl" );
    reqSwPdVersNbr = getCharFromURL( req, prefix + "reqSwPdVersNbr" );
    reqOperSystNm = getCharFromURL( req, prefix + "reqOperSystNm" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
    reqCnsmrEmailAddr = getCharFromURL( req, prefix + "reqCnsmrEmailAddr" );
    reqSrvcCnsmrCat = getCharFromURL( req, prefix + "reqSrvcCnsmrCat" );
    reqFiEmpTpInd = getCharFromURL( req, prefix + "reqFiEmpTpInd" );
    reqSrvcBillClss = getCharFromURL( req, prefix + "reqSrvcBillClss" );
    reqTxnAuthInqTpCl = getLongFromURL( req, prefix + "reqTxnAuthInqTpCl" );
    reqTxnAuthNonDlrCl = getLongFromURL( req, prefix + "reqTxnAuthNonDlrCl" );
    reqTxnAuthRstNonDCl = getLongFromURL( req, prefix + "reqTxnAuthRstNonDCl" );
    reqTxnAuthStrctMsgC = getLongFromURL( req, prefix + "reqTxnAuthStrctMsgC" );

    repeatCounter = getLongFromURL( req, prefix + "reqSrvcAcctOlEnrRul_repeatCounter" );
    reqSrvcAcctOlEnrRul = new GsSrvcAcctOlEnrRules[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSrvcAcctOlEnrRul[ i ] = new GsSrvcAcctOlEnrRules(getIfsSession());
      reqSrvcAcctOlEnrRul[ i ].populateFromURL( txn, req, prefix + "reqSrvcAcctOlEnrRul_" + i + "_" );
    }
    reqSecCnsmrMntAuthF = getLongFromURL( req, prefix + "reqSecCnsmrMntAuthF" );
    reqCnsmrLastNmAlt = getCharFromURL( req, prefix + "reqCnsmrLastNmAlt" );
    reqCnsmrMdlNmAlt = getCharFromURL( req, prefix + "reqCnsmrMdlNmAlt" );
    reqCnsmrFrstNmAlt = getCharFromURL( req, prefix + "reqCnsmrFrstNmAlt" );
    reqCnsmrSfxTpAlt = getCharFromURL( req, prefix + "reqCnsmrSfxTpAlt" );
  }
}
