//**********************************************
//
// FILE NAME: GtTermDepositAccountRequest.java
// TRANSACTION NAME: Term Deposit Account Request Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Term Deposit Account Request Transaction</B>
 * <P>IFS ID: <B>tdeprqst</B>
 * <P>
 * This transaction allows a consumer to inquire on a deposit on a Term
 * Account.
 * <BR>
 * <P><B>TERM_DEP_RQST_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TERM_DEP_RQST_IMSG</B>
 *            <P>
 *            This request message allows the consumer to inquire on a
 *            deposit on a Term Account. Details of the deposit including
 *            interest account details and funding account details may be
 *            input.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TERM_DEP_RQST_OMSG</B>
 *            <P>
 *            This response message provides details of the requested
 *            deposit on a Term Account.
 */
public class GtTermDepositAccountRequest extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTermDepositAccountRequest() { }
  public GtTermDepositAccountRequest( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tdeprqst_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqTermValue</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  private int  reqTermValue = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  void setReqTermValue( int o ) { reqTermValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  int  getReqTermValue() { return (reqTermValue); }

  /**
   * <P>The attribute <code>reqTermPeriodType</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  private int  reqTermPeriodType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  void setReqTermPeriodType( int o ) { reqTermPeriodType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  int  getReqTermPeriodType() { return (reqTermPeriodType); }

  /**
   * <P>The attribute <code>reqFrequency</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String reqFrequency = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setReqFrequency( String o ) { reqFrequency = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getReqFrequency() { return (reqFrequency); }

  /**
   * <P>The attribute <code>reqInterestRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal reqInterestRate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInterestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setReqInterestRate(GsDecimal o )  { reqInterestRate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInterestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getReqInterestRate() { return (reqInterestRate); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqDepTermAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  private GsCurrency reqDepTermAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  void       setReqDepTermAmount(GsCurrency o )  { reqDepTermAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  GsCurrency getReqDepTermAmount() { return (reqDepTermAmount); }

  /**
   * <P>The attribute <code>reqMatInsr</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  private String reqMatInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  void   setReqMatInsr( String o ) { reqMatInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  String getReqMatInsr() { return (reqMatInsr); }

  /**
   * <P>The attribute <code>reqMatPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  private String reqMatPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  void   setReqMatPymtMethod( String o ) { reqMatPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  String getReqMatPymtMethod() { return (reqMatPymtMethod); }

  /**
   * <P>The attribute <code>reqMatAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.MatAcctTg</code>.
   * <BR>
   */
  private GsAccount reqMatAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.MatAcctTg</code>.
   * <BR>
   */
  public  void      setReqMatAccount(GsAccount o )  { reqMatAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.MatAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqMatAccount() { return (reqMatAccount); }

  /**
   * <P>The attribute <code>reqIntPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  private String reqIntPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>reqIntPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  void   setReqIntPymtMethod( String o ) { reqIntPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIntPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  String getReqIntPymtMethod() { return (reqIntPymtMethod); }

  /**
   * <P>The attribute <code>reqIntAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntAcctTg</code>.
   * <BR>
   */
  private GsAccount reqIntAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqIntAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntAcctTg</code>.
   * <BR>
   */
  public  void      setReqIntAccount(GsAccount o )  { reqIntAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIntAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlTg.IntAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqIntAccount() { return (reqIntAccount); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>term</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  private int  term = 0;

  /**
   * <P>Sets the value of the attribute <code>term</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  void setTerm( int o ) { term = o; }

  /**
   * <P>Gets the value of the attribute <code>term</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  int  getTerm() { return (term); }

  /**
   * <P>The attribute <code>termPeriodType</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  private int  termPeriodType = 0;

  /**
   * <P>Sets the value of the attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  void setTermPeriodType( int o ) { termPeriodType = o; }

  /**
   * <P>Gets the value of the attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  int  getTermPeriodType() { return (termPeriodType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   */
  public  String getTermPeriodType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTermPeriodTpClResources", locale,
                       String.valueOf( getTermPeriodType() ) );
  }

  /**
   * <P>The attribute <code>frequency</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String frequency = null;

  /**
   * <P>Sets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setFrequency( String o ) { frequency = o; }

  /**
   * <P>Gets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getFrequency() { return (frequency); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.FreqClTg</code>.
   */
  public  String getFrequency_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFrequency() );
  }

  /**
   * <P>The attribute <code>interestRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal interestRate = null;

  /**
   * <P>Sets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setInterestRate(GsDecimal o )  { interestRate = o; }

  /**
   * <P>Gets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getInterestRate() { return (interestRate); }

  /**
   * <P>The attribute <code>fundAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount fundAccount = null;

  /**
   * <P>Sets the value of the attribute <code>fundAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setFundAccount(GsAccount o )  { fundAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>fundAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getFundAccount() { return (fundAccount); }

  /**
   * <P>The attribute <code>depTermAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  private GsCurrency depTermAmount = null;

  /**
   * <P>Sets the value of the attribute <code>depTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  void       setDepTermAmount(GsCurrency o )  { depTermAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  GsCurrency getDepTermAmount() { return (depTermAmount); }

  /**
   * <P>The attribute <code>depMatDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  private GsDate depMatDate = null;

  /**
   * <P>Sets the value of the attribute <code>depMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  void   setDepMatDate(GsDate o )  { depMatDate = o; }

  /**
   * <P>Gets the value of the attribute <code>depMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  GsDate getDepMatDate() { return (depMatDate); }

  /**
   * <P>The attribute <code>matInsr</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  private String matInsr = null;

  /**
   * <P>Sets the value of the attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  void   setMatInsr( String o ) { matInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  String getMatInsr() { return (matInsr); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatInsrTpClTg</code>.
   */
  public  String getMatInsr_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMatInsrTpClResources", locale, getMatInsr() );
  }

  /**
   * <P>The attribute <code>matPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  private String matPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  void   setMatPymtMethod( String o ) { matPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  String getMatPymtMethod() { return (matPymtMethod); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.MatPymtMethTpClTg</code>.
   */
  public  String getMatPymtMethod_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMatPymtMethTpClResources", locale, getMatPymtMethod() );
  }

  /**
   * <P>The attribute <code>matAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.MatAcctTg</code>.
   * <BR>
   */
  private GsAccount matAccount = null;

  /**
   * <P>Sets the value of the attribute <code>matAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.MatAcctTg</code>.
   * <BR>
   */
  public  void      setMatAccount(GsAccount o )  { matAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>matAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.MatAcctTg</code>.
   * <BR>
   */
  public  GsAccount getMatAccount() { return (matAccount); }

  /**
   * <P>The attribute <code>depTermIntPybl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  private GsCurrency depTermIntPybl = null;

  /**
   * <P>Sets the value of the attribute <code>depTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  void       setDepTermIntPybl(GsCurrency o )  { depTermIntPybl = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  GsCurrency getDepTermIntPybl() { return (depTermIntPybl); }

  /**
   * <P>The attribute <code>intPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  private String intPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  void   setIntPymtMethod( String o ) { intPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  String getIntPymtMethod() { return (intPymtMethod); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.IntPymtMethTpClTg</code>.
   */
  public  String getIntPymtMethod_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIntPymtMethTpClResources", locale, getIntPymtMethod() );
  }

  /**
   * <P>The attribute <code>intAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntAcctTg</code>.
   * <BR>
   */
  private GsAccount intAccount = null;

  /**
   * <P>Sets the value of the attribute <code>intAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntAcctTg</code>.
   * <BR>
   */
  public  void      setIntAccount(GsAccount o )  { intAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>intAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermDtlRspTg.IntAcctTg</code>.
   * <BR>
   */
  public  GsAccount getIntAccount() { return (intAccount); }

  /**
   * <P>The attribute <code>accountName</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  private String accountName = null;

  /**
   * <P>Sets the value of the attribute <code>accountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  void   setAccountName( String o ) { accountName = o; }

  /**
   * <P>Gets the value of the attribute <code>accountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  String getAccountName() { return (accountName); }

  /**
   * <P>The attribute <code>consumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  private String consumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>consumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  void   setConsumerAccountName( String o ) { consumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  String getConsumerAccountName() { return (consumerAccountName); }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermDtlRspTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  String getPostalCode() { return (postalCode); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTermDepositAccountRequest );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqTermValue ); 
    addArgToGMJI( reqTermPeriodType ); 

    if( reqFrequency != null && reqFrequency.length() > 1 )
      addArgToGMJI( reqFrequency.substring(0,1));
    else
      addArgToGMJI( reqFrequency ); 
    GsDecimal.addPropertiesToGMJI( reqInterestRate, this );
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );
    GsCurrency.addPropertiesToGMJI( reqDepTermAmount, this );

    if( reqMatInsr != null && reqMatInsr.length() > 1 )
      addArgToGMJI( reqMatInsr.substring(0,1));
    else
      addArgToGMJI( reqMatInsr ); 

    if( reqMatPymtMethod != null && reqMatPymtMethod.length() > 1 )
      addArgToGMJI( reqMatPymtMethod.substring(0,1));
    else
      addArgToGMJI( reqMatPymtMethod ); 
    GsAccount.addPropertiesToGMJI( reqMatAccount, this );

    if( reqIntPymtMethod != null && reqIntPymtMethod.length() > 1 )
      addArgToGMJI( reqIntPymtMethod.substring(0,1));
    else
      addArgToGMJI( reqIntPymtMethod ); 
    GsAccount.addPropertiesToGMJI( reqIntAccount, this );

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    term = txn.getNextLongFromGMJO( "term" );
    termPeriodType = txn.getNextLongFromGMJO( "termPeriodType" );
    frequency = txn.getNextCharFromGMJO( 1, "frequency" );
    interestRate = new GsDecimal( txn, "interestRate" );
    fundAccount = new GsAccount( txn, "fundAccount" );
    depTermAmount = new GsCurrency( txn, "depTermAmount" );
    depMatDate = new GsDate( txn, "depMatDate" );
    matInsr = txn.getNextCharFromGMJO( 1, "matInsr" );
    matPymtMethod = txn.getNextCharFromGMJO( 1, "matPymtMethod" );
    matAccount = new GsAccount( txn, "matAccount" );
    depTermIntPybl = new GsCurrency( txn, "depTermIntPybl" );
    intPymtMethod = txn.getNextCharFromGMJO( 1, "intPymtMethod" );
    intAccount = new GsAccount( txn, "intAccount" );
    accountName = txn.getNextNlsCharFromGMJO( 40, "accountName" );
    consumerAccountName = txn.getNextNlsCharFromGMJO( 40, "consumerAccountName" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqTermValue = " + getReqTermValue() );
    pageWriter.println( prefix + "reqTermPeriodType = " + getReqTermPeriodType() );
    pageWriter.println( prefix + "reqFrequency = " + getReqFrequency() );

    pageWriter.println( prefix + "reqInterestRate =" );
    if( reqInterestRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInterestRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqDepTermAmount =" );
    if( reqDepTermAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDepTermAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMatInsr = " + getReqMatInsr() );
    pageWriter.println( prefix + "reqMatPymtMethod = " + getReqMatPymtMethod() );

    pageWriter.println( prefix + "reqMatAccount =" );
    if( reqMatAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMatAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIntPymtMethod = " + getReqIntPymtMethod() );

    pageWriter.println( prefix + "reqIntAccount =" );
    if( reqIntAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqIntAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "term = " + getTerm() );
    pageWriter.println( prefix + "termPeriodType = " + getTermPeriodType() );
    try {
      pageWriter.println( prefix + "termPeriodType_text = " + getTermPeriodType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "termPeriodType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "frequency = " + getFrequency() );
    try {
      pageWriter.println( prefix + "frequency_text = " + getFrequency_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "frequency_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "interestRate =" );
    if( interestRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      interestRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fundAccount =" );
    if( fundAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      fundAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depTermAmount =" );
    if( depTermAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      depTermAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depMatDate =" );
    if( depMatDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      depMatDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "matInsr = " + getMatInsr() );
    try {
      pageWriter.println( prefix + "matInsr_text = " + getMatInsr_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "matInsr_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "matPymtMethod = " + getMatPymtMethod() );
    try {
      pageWriter.println( prefix + "matPymtMethod_text = " + getMatPymtMethod_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "matPymtMethod_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "matAccount =" );
    if( matAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      matAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depTermIntPybl =" );
    if( depTermIntPybl == null ) {
      pageWriter.println( " (null)" );
    } else {
      depTermIntPybl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "intPymtMethod = " + getIntPymtMethod() );
    try {
      pageWriter.println( prefix + "intPymtMethod_text = " + getIntPymtMethod_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "intPymtMethod_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "intAccount =" );
    if( intAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      intAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "accountName = " + getAccountName() );
    pageWriter.println( prefix + "consumerAccountName = " + getConsumerAccountName() );
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqTermValue = getLongFromURL( req, prefix + "reqTermValue" );
    reqTermPeriodType = getLongFromURL( req, prefix + "reqTermPeriodType" );
    reqFrequency = getCharFromURL( req, prefix + "reqFrequency" );
    reqInterestRate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqInterestRate", "GtTermDepositAccountRequest" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtTermDepositAccountRequest" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtTermDepositAccountRequest" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtTermDepositAccountRequest" );
    reqDepTermAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqDepTermAmount", "GtTermDepositAccountRequest" );
    reqMatInsr = getCharFromURL( req, prefix + "reqMatInsr" );
    reqMatPymtMethod = getCharFromURL( req, prefix + "reqMatPymtMethod" );
    reqMatAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqMatAccount", "GtTermDepositAccountRequest" );
    reqIntPymtMethod = getCharFromURL( req, prefix + "reqIntPymtMethod" );
    reqIntAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqIntAccount", "GtTermDepositAccountRequest" );
  }
}
