//**********************************************
//
// FILE NAME: GtTermDepositOpen.java
// TRANSACTION NAME: Term Deposit Confirm Account Open Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Term Deposit Confirm Account Open Transaction</B>
 * <P>IFS ID: <B>tdepopn</B>
 * <P>
 * This transaction allows a consumer to open a Term Deposit Account using
 * funds form another consumer account as the source of the first deposit.
 * <BR>
 * <P><B>TERM_DEP_OPN_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TERM_DEP_OPN_IMSG</B>
 *            <P>
 *            This request message allows the consumer to provide the
 *            information necessary for the FI to accept the transaction
 *            as a valid account opening transaction for a Term Deposit
 *            Account. Details of the account open request include account
 *            mailing instructions.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TERM_DEP_OPN_OMSG</B>
 *            <P>
 *            This response message provides details of the account terms
 *            including the certificate number, the tax file number
 *            identifier and payment identifier.
 */
public class GtTermDepositOpen extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTermDepositOpen() { }
  public GtTermDepositOpen( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tdepopn_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqTermValue</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  private int  reqTermValue = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  void setReqTermValue( int o ) { reqTermValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  int  getReqTermValue() { return (reqTermValue); }

  /**
   * <P>The attribute <code>reqTermPeriodType</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  private int  reqTermPeriodType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  void setReqTermPeriodType( int o ) { reqTermPeriodType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  int  getReqTermPeriodType() { return (reqTermPeriodType); }

  /**
   * <P>The attribute <code>reqFrequency</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String reqFrequency = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setReqFrequency( String o ) { reqFrequency = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getReqFrequency() { return (reqFrequency); }

  /**
   * <P>The attribute <code>reqInterestRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal reqInterestRate = null;

  /**
   * <P>Sets the value of the attribute <code>reqInterestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setReqInterestRate(GsDecimal o )  { reqInterestRate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInterestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getReqInterestRate() { return (reqInterestRate); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqDepTermAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  private GsCurrency reqDepTermAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  void       setReqDepTermAmount(GsCurrency o )  { reqDepTermAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  GsCurrency getReqDepTermAmount() { return (reqDepTermAmount); }

  /**
   * <P>The attribute <code>reqDepMatDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  private GsDate reqDepMatDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqDepMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  void   setReqDepMatDate(GsDate o )  { reqDepMatDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDepMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  GsDate getReqDepMatDate() { return (reqDepMatDate); }

  /**
   * <P>The attribute <code>reqMatInsr</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  private String reqMatInsr = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  void   setReqMatInsr( String o ) { reqMatInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  String getReqMatInsr() { return (reqMatInsr); }

  /**
   * <P>The attribute <code>reqMatPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  private String reqMatPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  void   setReqMatPymtMethod( String o ) { reqMatPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  String getReqMatPymtMethod() { return (reqMatPymtMethod); }

  /**
   * <P>The attribute <code>reqMatAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.MatAcctTg</code>.
   * <BR>
   */
  private GsAccount reqMatAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqMatAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.MatAcctTg</code>.
   * <BR>
   */
  public  void      setReqMatAccount(GsAccount o )  { reqMatAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMatAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.MatAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqMatAccount() { return (reqMatAccount); }

  /**
   * <P>The attribute <code>reqDepTermIntPybl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  private GsCurrency reqDepTermIntPybl = null;

  /**
   * <P>Sets the value of the attribute <code>reqDepTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  void       setReqDepTermIntPybl(GsCurrency o )  { reqDepTermIntPybl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDepTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  GsCurrency getReqDepTermIntPybl() { return (reqDepTermIntPybl); }

  /**
   * <P>The attribute <code>reqIntPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  private String reqIntPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>reqIntPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  void   setReqIntPymtMethod( String o ) { reqIntPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIntPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  String getReqIntPymtMethod() { return (reqIntPymtMethod); }

  /**
   * <P>The attribute <code>reqIntAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntAcctTg</code>.
   * <BR>
   */
  private GsAccount reqIntAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqIntAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntAcctTg</code>.
   * <BR>
   */
  public  void      setReqIntAccount(GsAccount o )  { reqIntAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIntAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnTg.IntAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqIntAccount() { return (reqIntAccount); }

  /**
   * <P>The attribute <code>reqTaxFileNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  private String reqTaxFileNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqTaxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  void   setReqTaxFileNumber( String o ) { reqTaxFileNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTaxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  String getReqTaxFileNumber() { return (reqTaxFileNumber); }

  /**
   * <P>The attribute <code>reqAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  private String reqAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  void   setReqAccountName( String o ) { reqAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  String getReqAccountName() { return (reqAccountName); }

  /**
   * <P>The attribute <code>reqConsumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  private String reqConsumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  void   setReqConsumerAccountName( String o ) { reqConsumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which identifies the Consumer Account for mailing
   * purposes.
   */
  public  String getReqConsumerAccountName() { return (reqConsumerAccountName); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1. .
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2. .
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3. .
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City. .
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province. .
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code. .
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code. .
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code. .
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnTg.CnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code. .
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>term</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  private int  term = 0;

  /**
   * <P>Sets the value of the attribute <code>term</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  void setTerm( int o ) { term = o; }

  /**
   * <P>Gets the value of the attribute <code>term</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  int  getTerm() { return (term); }

  /**
   * <P>The attribute <code>termPeriodType</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  private int  termPeriodType = 0;

  /**
   * <P>Sets the value of the attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  void setTermPeriodType( int o ) { termPeriodType = o; }

  /**
   * <P>Gets the value of the attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  int  getTermPeriodType() { return (termPeriodType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>termPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   */
  public  String getTermPeriodType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTermPeriodTpClResources", locale,
                       String.valueOf( getTermPeriodType() ) );
  }

  /**
   * <P>The attribute <code>frequency</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String frequency = null;

  /**
   * <P>Sets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setFrequency( String o ) { frequency = o; }

  /**
   * <P>Gets the value of the attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getFrequency() { return (frequency); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>frequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.FreqClTg</code>.
   */
  public  String getFrequency_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFreqClResources", locale, getFrequency() );
  }

  /**
   * <P>The attribute <code>interestRate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  private GsDecimal interestRate = null;

  /**
   * <P>Sets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  void      setInterestRate(GsDecimal o )  { interestRate = o; }

  /**
   * <P>Gets the value of the attribute <code>interestRate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntRateTg</code>.
   * <P>
   * A decimal number representation of the rate at which interest is
   * earned by, or charged to an Account.
   * <BR>
   */
  public  GsDecimal getInterestRate() { return (interestRate); }

  /**
   * <P>The attribute <code>fundAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount fundAccount = null;

  /**
   * <P>Sets the value of the attribute <code>fundAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setFundAccount(GsAccount o )  { fundAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>fundAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getFundAccount() { return (fundAccount); }

  /**
   * <P>The attribute <code>depTermAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  private GsCurrency depTermAmount = null;

  /**
   * <P>Sets the value of the attribute <code>depTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  void       setDepTermAmount(GsCurrency o )  { depTermAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  GsCurrency getDepTermAmount() { return (depTermAmount); }

  /**
   * <P>The attribute <code>depMatDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  private GsDate depMatDate = null;

  /**
   * <P>Sets the value of the attribute <code>depMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  void   setDepMatDate(GsDate o )  { depMatDate = o; }

  /**
   * <P>Gets the value of the attribute <code>depMatDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepMatDtTg</code>.
   * <P>
   * The date on which deposits to the Savings Account are due to be paid
   * to the account holder.
   * <BR>
   */
  public  GsDate getDepMatDate() { return (depMatDate); }

  /**
   * <P>The attribute <code>matInsr</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  private String matInsr = null;

  /**
   * <P>Sets the value of the attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  void   setMatInsr( String o ) { matInsr = o; }

  /**
   * <P>Gets the value of the attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatInsrTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the type of instruction to
   * be carried out when the Dposit Term reaches maturity, e.g whether a
   * cheque is to be issue or the amount re-invested etc.
   */
  public  String getMatInsr() { return (matInsr); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>matInsr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatInsrTpClTg</code>.
   */
  public  String getMatInsr_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMatInsrTpClResources", locale, getMatInsr() );
  }

  /**
   * <P>The attribute <code>matPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  private String matPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  void   setMatPymtMethod( String o ) { matPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used when the Deposit Term reaches maturity.
   */
  public  String getMatPymtMethod() { return (matPymtMethod); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>matPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.MatPymtMethTpClTg</code>.
   */
  public  String getMatPymtMethod_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMatPymtMethTpClResources", locale, getMatPymtMethod() );
  }

  /**
   * <P>The attribute <code>matAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.MatAcctTg</code>.
   * <BR>
   */
  private GsAccount matAccount = null;

  /**
   * <P>Sets the value of the attribute <code>matAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.MatAcctTg</code>.
   * <BR>
   */
  public  void      setMatAccount(GsAccount o )  { matAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>matAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.MatAcctTg</code>.
   * <BR>
   */
  public  GsAccount getMatAccount() { return (matAccount); }

  /**
   * <P>The attribute <code>depTermIntPybl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  private GsCurrency depTermIntPybl = null;

  /**
   * <P>Sets the value of the attribute <code>depTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  void       setDepTermIntPybl(GsCurrency o )  { depTermIntPybl = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermIntPybl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.DepTermIntPyblTg</code>.
   * <P>
   * A value containing the amount of Interest payable on a deposit term
   * amount.
   * <BR>
   */
  public  GsCurrency getDepTermIntPybl() { return (depTermIntPybl); }

  /**
   * <P>The attribute <code>intPymtMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  private String intPymtMethod = null;

  /**
   * <P>Sets the value of the attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  void   setIntPymtMethod( String o ) { intPymtMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.IntPymtMethTpClTg</code>.
   * <P>
   * A code specified by the FI which indicates the payment method to be
   * used on the interest payable on the deposit.
   */
  public  String getIntPymtMethod() { return (intPymtMethod); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>intPymtMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.IntPymtMethTpClTg</code>.
   */
  public  String getIntPymtMethod_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIntPymtMethTpClResources", locale, getIntPymtMethod() );
  }

  /**
   * <P>The attribute <code>intAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntAcctTg</code>.
   * <BR>
   */
  private GsAccount intAccount = null;

  /**
   * <P>Sets the value of the attribute <code>intAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntAcctTg</code>.
   * <BR>
   */
  public  void      setIntAccount(GsAccount o )  { intAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>intAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOpnRspTg.IntAcctTg</code>.
   * <BR>
   */
  public  GsAccount getIntAccount() { return (intAccount); }

  /**
   * <P>The attribute <code>taxFileNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  private String taxFileNumber = null;

  /**
   * <P>Sets the value of the attribute <code>taxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  void   setTaxFileNumber( String o ) { taxFileNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>taxFileNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.TaxFileNbrIdTg</code>.
   * <P>
   * A character string which identifies the Tax file.
   */
  public  String getTaxFileNumber() { return (taxFileNumber); }

  /**
   * <P>The attribute <code>depTermCrtfNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermCrtfNbrIdTg</code>.
   * <P>
   * A series of characters which identifies the Deposit Term Certificate.
   */
  private String depTermCrtfNumber = null;

  /**
   * <P>Sets the value of the attribute <code>depTermCrtfNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermCrtfNbrIdTg</code>.
   * <P>
   * A series of characters which identifies the Deposit Term Certificate.
   */
  public  void   setDepTermCrtfNumber( String o ) { depTermCrtfNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermCrtfNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.DepTermCrtfNbrIdTg</code>.
   * <P>
   * A series of characters which identifies the Deposit Term Certificate.
   */
  public  String getDepTermCrtfNumber() { return (depTermCrtfNumber); }

  /**
   * <P>The attribute <code>paymentNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermOpnRspTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  private String paymentNumber = null;

  /**
   * <P>Sets the value of the attribute <code>paymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  void   setPaymentNumber( String o ) { paymentNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermOpnRspTg.PymtNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Payment Engine, uniquely
   * identifying a payment instance. For example, a payment definition for
   * a recurring (weekly) payment will give rise to a payment instance
   * every week, each with a unique Payment Identifier.
   */
  public  String getPaymentNumber() { return (paymentNumber); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTermDepositOpen );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    addArgToGMJI( reqTermValue ); 
    addArgToGMJI( reqTermPeriodType ); 

    if( reqFrequency != null && reqFrequency.length() > 1 )
      addArgToGMJI( reqFrequency.substring(0,1));
    else
      addArgToGMJI( reqFrequency ); 
    GsDecimal.addPropertiesToGMJI( reqInterestRate, this );
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );
    GsCurrency.addPropertiesToGMJI( reqDepTermAmount, this );
    GsDate.addPropertiesToGMJI( reqDepMatDate, this );

    if( reqMatInsr != null && reqMatInsr.length() > 1 )
      addArgToGMJI( reqMatInsr.substring(0,1));
    else
      addArgToGMJI( reqMatInsr ); 

    if( reqMatPymtMethod != null && reqMatPymtMethod.length() > 1 )
      addArgToGMJI( reqMatPymtMethod.substring(0,1));
    else
      addArgToGMJI( reqMatPymtMethod ); 
    GsAccount.addPropertiesToGMJI( reqMatAccount, this );
    GsCurrency.addPropertiesToGMJI( reqDepTermIntPybl, this );

    if( reqIntPymtMethod != null && reqIntPymtMethod.length() > 1 )
      addArgToGMJI( reqIntPymtMethod.substring(0,1));
    else
      addArgToGMJI( reqIntPymtMethod ); 
    GsAccount.addPropertiesToGMJI( reqIntAccount, this );

    if( reqTaxFileNumber != null && reqTaxFileNumber.length() > 12 )
      addArgToGMJI( reqTaxFileNumber.substring(0,12));
    else
      addArgToGMJI( reqTaxFileNumber ); 

    if( reqAccountName != null && reqAccountName.length() > 40 )
      addArgToGMJI( reqAccountName.substring(0,40));
    else
      addArgToGMJI( reqAccountName ); 

    if( reqConsumerAccountName != null && reqConsumerAccountName.length() > 40 )
      addArgToGMJI( reqConsumerAccountName.substring(0,40));
    else
      addArgToGMJI( reqConsumerAccountName ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    term = txn.getNextLongFromGMJO( "term" );
    termPeriodType = txn.getNextLongFromGMJO( "termPeriodType" );
    frequency = txn.getNextCharFromGMJO( 1, "frequency" );
    interestRate = new GsDecimal( txn, "interestRate" );
    fundAccount = new GsAccount( txn, "fundAccount" );
    depTermAmount = new GsCurrency( txn, "depTermAmount" );
    depMatDate = new GsDate( txn, "depMatDate" );
    matInsr = txn.getNextCharFromGMJO( 1, "matInsr" );
    matPymtMethod = txn.getNextCharFromGMJO( 1, "matPymtMethod" );
    matAccount = new GsAccount( txn, "matAccount" );
    depTermIntPybl = new GsCurrency( txn, "depTermIntPybl" );
    intPymtMethod = txn.getNextCharFromGMJO( 1, "intPymtMethod" );
    intAccount = new GsAccount( txn, "intAccount" );
    taxFileNumber = txn.getNextCharFromGMJO( 12, "taxFileNumber" );
    depTermCrtfNumber = txn.getNextCharFromGMJO( 10, "depTermCrtfNumber" );
    paymentNumber = txn.getNextCharFromGMJO( 36, "paymentNumber" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqTermValue = " + getReqTermValue() );
    pageWriter.println( prefix + "reqTermPeriodType = " + getReqTermPeriodType() );
    pageWriter.println( prefix + "reqFrequency = " + getReqFrequency() );

    pageWriter.println( prefix + "reqInterestRate =" );
    if( reqInterestRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInterestRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqDepTermAmount =" );
    if( reqDepTermAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDepTermAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqDepMatDate =" );
    if( reqDepMatDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDepMatDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqMatInsr = " + getReqMatInsr() );
    pageWriter.println( prefix + "reqMatPymtMethod = " + getReqMatPymtMethod() );

    pageWriter.println( prefix + "reqMatAccount =" );
    if( reqMatAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMatAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqDepTermIntPybl =" );
    if( reqDepTermIntPybl == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDepTermIntPybl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqIntPymtMethod = " + getReqIntPymtMethod() );

    pageWriter.println( prefix + "reqIntAccount =" );
    if( reqIntAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqIntAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTaxFileNumber = " + getReqTaxFileNumber() );
    pageWriter.println( prefix + "reqAccountName = " + getReqAccountName() );
    pageWriter.println( prefix + "reqConsumerAccountName = " + getReqConsumerAccountName() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "term = " + getTerm() );
    pageWriter.println( prefix + "termPeriodType = " + getTermPeriodType() );
    try {
      pageWriter.println( prefix + "termPeriodType_text = " + getTermPeriodType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "termPeriodType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "frequency = " + getFrequency() );
    try {
      pageWriter.println( prefix + "frequency_text = " + getFrequency_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "frequency_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "interestRate =" );
    if( interestRate == null ) {
      pageWriter.println( " (null)" );
    } else {
      interestRate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fundAccount =" );
    if( fundAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      fundAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depTermAmount =" );
    if( depTermAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      depTermAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depMatDate =" );
    if( depMatDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      depMatDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "matInsr = " + getMatInsr() );
    try {
      pageWriter.println( prefix + "matInsr_text = " + getMatInsr_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "matInsr_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "matPymtMethod = " + getMatPymtMethod() );
    try {
      pageWriter.println( prefix + "matPymtMethod_text = " + getMatPymtMethod_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "matPymtMethod_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "matAccount =" );
    if( matAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      matAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "depTermIntPybl =" );
    if( depTermIntPybl == null ) {
      pageWriter.println( " (null)" );
    } else {
      depTermIntPybl.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "intPymtMethod = " + getIntPymtMethod() );
    try {
      pageWriter.println( prefix + "intPymtMethod_text = " + getIntPymtMethod_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "intPymtMethod_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "intAccount =" );
    if( intAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      intAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "taxFileNumber = " + getTaxFileNumber() );
    pageWriter.println( prefix + "depTermCrtfNumber = " + getDepTermCrtfNumber() );
    pageWriter.println( prefix + "paymentNumber = " + getPaymentNumber() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqTermValue = getLongFromURL( req, prefix + "reqTermValue" );
    reqTermPeriodType = getLongFromURL( req, prefix + "reqTermPeriodType" );
    reqFrequency = getCharFromURL( req, prefix + "reqFrequency" );
    reqInterestRate = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqInterestRate", "GtTermDepositOpen" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtTermDepositOpen" );
    reqDepTermAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqDepTermAmount", "GtTermDepositOpen" );
    reqDepMatDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqDepMatDate", "GtTermDepositOpen" );
    reqMatInsr = getCharFromURL( req, prefix + "reqMatInsr" );
    reqMatPymtMethod = getCharFromURL( req, prefix + "reqMatPymtMethod" );
    reqMatAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqMatAccount", "GtTermDepositOpen" );
    reqDepTermIntPybl = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqDepTermIntPybl", "GtTermDepositOpen" );
    reqIntPymtMethod = getCharFromURL( req, prefix + "reqIntPymtMethod" );
    reqIntAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqIntAccount", "GtTermDepositOpen" );
    reqTaxFileNumber = getCharFromURL( req, prefix + "reqTaxFileNumber" );
    reqAccountName = getCharFromURL( req, prefix + "reqAccountName" );
    reqConsumerAccountName = getCharFromURL( req, prefix + "reqConsumerAccountName" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
  }
}
