//**********************************************
//
// FILE NAME: GtTermDepositTermsInquiry.java
// TRANSACTION NAME: Term Deposit Terms Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Term Deposit Terms Inquiry Transaction</B>
 * <P>IFS ID: <B>tdepinqr</B>
 * <P>
 * This transaction allows a consumer to inquire on the rules applicable
 * to deposits to term accounts so that a consumer opening a term account
 * can be aware of them.
 * <BR>
 * <P><B>TERM_DEP_INQR_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TERM_DEP_INQR_IMSG</B>
 *            <P>
 *            This request message allows the consumer to inquire on term
 *            deposit details. Deposit value, frequency and period type
 *            may be input.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TERM_DEP_INQR_OMSG</B>
 *            <P>
 *            This response message provides details of the rules
 *            associated with term deposits based on various criteria
 *            including the amount associated with the deposit.
 */
public class GtTermDepositTermsInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTermDepositTermsInquiry() { }
  public GtTermDepositTermsInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tdepinqr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqDepTermAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermInqrTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  private GsCurrency reqDepTermAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermInqrTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  void       setReqDepTermAmount(GsCurrency o )  { reqDepTermAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDepTermAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermInqrTg.DepTermAmtTg</code>.
   * <P>
   * A value containing a deposit amount for a specific term on an
   * account.
   * <BR>
   */
  public  GsCurrency getReqDepTermAmount() { return (reqDepTermAmount); }

  /**
   * <P>The attribute <code>reqTermValue</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  private int  reqTermValue = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  void setReqTermValue( int o ) { reqTermValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermValTg</code>.
   * <P>
   * The number of time periods (e.g. 1, 2, 3) for which a deposit is
   * required to remain on deposit before withdrawals are permitted. This
   * field is used in conjunction with the Deposit Term Periods field. For
   * example, a value of 30 in the Deposit Term Value field and a value of
   * 1 in the Deposit Term Periods field indicates that a deposit must
   * remain on deposit for 30 days before withdrawals can be made against
   * it.
   */
  public  int  getReqTermValue() { return (reqTermValue); }

  /**
   * <P>The attribute <code>reqTermPeriodType</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  private int  reqTermPeriodType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  void setReqTermPeriodType( int o ) { reqTermPeriodType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTermPeriodType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.DepTermDtlTg.TermPeriodTpClTg</code>.
   * <P>
   * The type of time periods (e.g., days, months, years) for which a
   * deposit is required to remain on deposit before withdrawals are
   * permitted. This field is used in conjunction with the Deposit Term
   * Value field. For example, a value of 30 in the Deposit Term Value
   * field and a value of 1 in the Deposit Term Periods field indicates
   * that a deposit must remain on deposit for 30 days before withdrawals
   * can be made against it.
   */
  public  int  getReqTermPeriodType() { return (reqTermPeriodType); }

  /**
   * <P>The attribute <code>reqFrequency</code> is an alias for the
   * standard message simple element
   * <code>IfsDepTermInqrTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  private String reqFrequency = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  void   setReqFrequency( String o ) { reqFrequency = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrequency</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDepTermInqrTg.FreqClTg</code>.
   * <P>
   * Identifies a Single Condition that specifies a given time span, at
   * which upon recurrence, a Payment or Transfer is agreed to transpire.
   * For example, a Consumer may specify that a bill must be paid monthly,
   * a Financial Institution may specify that electronic transmissions to
   * a payment network will be performed daily, or that employees will be
   * paid bi-weekly. In practice, one would expect to find this structured
   * with other conditions; for example, tax withholdings will be
   * transferred to the central government bank monthly.
   */
  public  String getReqFrequency() { return (reqFrequency); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>depTermOpt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsDepTermOptRspTg.DepTermOptTg</code>.
   * <P>
   * A repeating structure each containing deposit term details.
   * <BR>
   */
  private GsDepTermOpt[] depTermOpt = null;

  /**
   * <P>Sets the value of the attribute <code>depTermOpt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOptRspTg.DepTermOptTg</code>.
   * <P>
   * A repeating structure each containing deposit term details.
   * <BR>
   */
  public  void           setDepTermOpt(GsDepTermOpt[] o )  { depTermOpt = o; }

  /**
   * <P>Gets the value of the attribute <code>depTermOpt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsDepTermOptRspTg.DepTermOptTg</code>.
   * <P>
   * A repeating structure each containing deposit term details.
   * <BR>
   */
  public  GsDepTermOpt[] getDepTermOpt() { return (depTermOpt); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTermDepositTermsInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsCurrency.addPropertiesToGMJI( reqDepTermAmount, this );
    addArgToGMJI( reqTermValue ); 
    addArgToGMJI( reqTermPeriodType ); 

    if( reqFrequency != null && reqFrequency.length() > 1 )
      addArgToGMJI( reqFrequency.substring(0,1));
    else
      addArgToGMJI( reqFrequency ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    depTermOpt = new GsDepTermOpt[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      depTermOpt[ i ] = new GsDepTermOpt( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqDepTermAmount =" );
    if( reqDepTermAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqDepTermAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTermValue = " + getReqTermValue() );
    pageWriter.println( prefix + "reqTermPeriodType = " + getReqTermPeriodType() );
    pageWriter.println( prefix + "reqFrequency = " + getReqFrequency() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "depTermOpt =" );
    if( depTermOpt == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < depTermOpt.length; j++ )
      {
        pageWriter.println( prefix + "depTermOpt[" + j + "] =" );
        if( depTermOpt[ j ] == null )
          pageWriter.println( " (null)" );
        else
          depTermOpt[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqDepTermAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqDepTermAmount", "GtTermDepositTermsInquiry" );
    reqTermValue = getLongFromURL( req, prefix + "reqTermValue" );
    reqTermPeriodType = getLongFromURL( req, prefix + "reqTermPeriodType" );
    reqFrequency = getCharFromURL( req, prefix + "reqFrequency" );
  }
}
