//**********************************************
//
// FILE NAME: GtTradeDisputeMessage.java
// TRANSACTION NAME: Trade Dispute Transaction Message
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Trade Dispute Transaction Message</B>
 * <P>IFS ID: <B>trdisp</B>
 * <P>
 * This transaction is used by a customer to dispute some aspect of a
 * trade. It is a structured message that is sent to the IFS Messaging
 * Server for processing by the FI's investment or brokerage service
 * department.
 * <BR>
 * <P><B>TRADE_DISP</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TRADE_DISP_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TRADE_DISP_OMSG</B>
 */
public class GtTradeDisputeMessage extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTradeDisputeMessage() { }
  public GtTradeDisputeMessage( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "trdisp_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageNm</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageNm( String o ) { reqBrokerageNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageNm() { return (reqBrokerageNm); }

  /**
   * <P>The attribute <code>reqLstNm</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqLstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqLstNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqLstNm( String o ) { reqLstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLstNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqLstNm() { return (reqLstNm); }

  /**
   * <P>The attribute <code>reqFrstNm</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqFrstNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqFrstNm( String o ) { reqFrstNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFrstNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqFrstNm() { return (reqFrstNm); }

  /**
   * <P>The attribute <code>reqMdlNm</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqMdlNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqMdlNm( String o ) { reqMdlNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMdlNm</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqMdlNm() { return (reqMdlNm); }

  /**
   * <P>The attribute <code>reqBrokOffID</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokOffID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokOffID</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokOffID( String o ) { reqBrokOffID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokOffID</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokOffID() { return (reqBrokOffID); }

  /**
   * <P>The attribute <code>reqCnsmrInvCat</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqCnsmrInvCat = 0;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqCnsmrInvCat( int o ) { reqCnsmrInvCat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqCnsmrInvCat() { return (reqCnsmrInvCat); }

  /**
   * <P>The attribute <code>reqBrokEmAddr</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokEmAddr = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokEmAddr</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokEmAddr( String o ) { reqBrokEmAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokEmAddr</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokEmAddr() { return (reqBrokEmAddr); }

  /**
   * <P>The attribute <code>reqScrtyTpCl</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqScrtyTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqScrtyTpCl( int o ) { reqScrtyTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqScrtyTpCl() { return (reqScrtyTpCl); }

  /**
   * <P>The attribute <code>reqAcctId</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAcctId = null;

  /**
   * <P>Sets the value of the attribute <code>reqAcctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAcctId(GsAccount o )  { reqAcctId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAcctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAcctId() { return (reqAcctId); }

  /**
   * <P>The attribute <code>reqInvSetlAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqInvSetlAcct = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqInvSetlAcct(GsAccount o )  { reqInvSetlAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>TrDspReqTg.IfsTradDspTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqInvSetlAcct() { return (reqInvSetlAcct); }

  /**
   * <P>The attribute <code>reqScrtyDesc</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqScrtyDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqScrtyDesc( String o ) { reqScrtyDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqScrtyDesc() { return (reqScrtyDesc); }

  /**
   * <P>The attribute <code>reqScrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] reqScrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setReqScrtyDescAlt( byte[] o ) { reqScrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getReqScrtyDescAlt() { return (reqScrtyDescAlt); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqTradDspTpCl</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.TradDspTpCl</code>.
   * <P>
   * Values Assigned by the FI to describe the dispute.
   */
  private int  reqTradDspTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTradDspTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.TradDspTpCl</code>.
   * <P>
   * Values Assigned by the FI to describe the dispute.
   */
  public  void setReqTradDspTpCl( int o ) { reqTradDspTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTradDspTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.TradDspTpCl</code>.
   * <P>
   * Values Assigned by the FI to describe the dispute.
   */
  public  int  getReqTradDspTpCl() { return (reqTradDspTpCl); }

  /**
   * <P>The attribute <code>reqHmPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqHmPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqHmPhNbrId( String o ) { reqHmPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHmPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqHmPhNbrId() { return (reqHmPhNbrId); }

  /**
   * <P>The attribute <code>reqWrkPhNbrId</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String reqWrkPhNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setReqWrkPhNbrId( String o ) { reqWrkPhNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>reqWrkPhNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getReqWrkPhNbrId() { return (reqWrkPhNbrId); }

  /**
   * <P>The attribute <code>reqCnsmrEmailAddr</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String reqCnsmrEmailAddr = null;

  /**
   * <P>Sets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setReqCnsmrEmailAddr( String o ) { reqCnsmrEmailAddr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCnsmrEmailAddr</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getReqCnsmrEmailAddr() { return (reqCnsmrEmailAddr); }

  /**
   * <P>The attribute <code>reqDispute</code> is an alias for the
   * standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.DisputeTg</code>.
   * <P>
   * Text description of hte problem.
   */
  private String reqDispute = null;

  /**
   * <P>Sets the value of the attribute <code>reqDispute</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.DisputeTg</code>.
   * <P>
   * Text description of hte problem.
   */
  public  void   setReqDispute( String o ) { reqDispute = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDispute</code>,
   * which is an alias for the standard message simple element
   * <code>TrDspReqTg.IfsTradDspTg.DisputeTg</code>.
   * <P>
   * Text description of hte problem.
   */
  public  String getReqDispute() { return (reqDispute); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTradeDisputeMessage );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageNm != null && reqBrokerageNm.length() > 35 )
      addArgToGMJI( reqBrokerageNm.substring(0,35));
    else
      addArgToGMJI( reqBrokerageNm ); 

    if( reqLstNm != null && reqLstNm.length() > 30 )
      addArgToGMJI( reqLstNm.substring(0,30));
    else
      addArgToGMJI( reqLstNm ); 

    if( reqFrstNm != null && reqFrstNm.length() > 30 )
      addArgToGMJI( reqFrstNm.substring(0,30));
    else
      addArgToGMJI( reqFrstNm ); 

    if( reqMdlNm != null && reqMdlNm.length() > 30 )
      addArgToGMJI( reqMdlNm.substring(0,30));
    else
      addArgToGMJI( reqMdlNm ); 

    if( reqBrokOffID != null && reqBrokOffID.length() > 10 )
      addArgToGMJI( reqBrokOffID.substring(0,10));
    else
      addArgToGMJI( reqBrokOffID ); 
    addArgToGMJI( reqCnsmrInvCat ); 

    if( reqBrokEmAddr != null && reqBrokEmAddr.length() > 128 )
      addArgToGMJI( reqBrokEmAddr.substring(0,128));
    else
      addArgToGMJI( reqBrokEmAddr ); 
    addArgToGMJI( reqScrtyTpCl ); 
    GsAccount.addPropertiesToGMJI( reqAcctId, this );
    GsAccount.addPropertiesToGMJI( reqInvSetlAcct, this );

    if( reqScrtyDesc != null && reqScrtyDesc.length() > 50 )
      addArgToGMJI( reqScrtyDesc.substring(0,50));
    else
      addArgToGMJI( reqScrtyDesc ); 
    addArgToGMJI( reqScrtyDescAlt ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 
    addArgToGMJI( reqTradDspTpCl ); 

    if( reqHmPhNbrId != null && reqHmPhNbrId.length() > 15 )
      addArgToGMJI( reqHmPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqHmPhNbrId ); 

    if( reqWrkPhNbrId != null && reqWrkPhNbrId.length() > 15 )
      addArgToGMJI( reqWrkPhNbrId.substring(0,15));
    else
      addArgToGMJI( reqWrkPhNbrId ); 

    if( reqCnsmrEmailAddr != null && reqCnsmrEmailAddr.length() > 128 )
      addArgToGMJI( reqCnsmrEmailAddr.substring(0,128));
    else
      addArgToGMJI( reqCnsmrEmailAddr ); 

    if( reqDispute != null && reqDispute.length() > 3000 )
      addArgToGMJI( reqDispute.substring(0,3000));
    else
      addArgToGMJI( reqDispute ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageNm = " + getReqBrokerageNm() );
    pageWriter.println( prefix + "reqLstNm = " + getReqLstNm() );
    pageWriter.println( prefix + "reqFrstNm = " + getReqFrstNm() );
    pageWriter.println( prefix + "reqMdlNm = " + getReqMdlNm() );
    pageWriter.println( prefix + "reqBrokOffID = " + getReqBrokOffID() );
    pageWriter.println( prefix + "reqCnsmrInvCat = " + getReqCnsmrInvCat() );
    pageWriter.println( prefix + "reqBrokEmAddr = " + getReqBrokEmAddr() );
    pageWriter.println( prefix + "reqScrtyTpCl = " + getReqScrtyTpCl() );

    pageWriter.println( prefix + "reqAcctId =" );
    if( reqAcctId == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAcctId.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqInvSetlAcct =" );
    if( reqInvSetlAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqInvSetlAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqScrtyDesc = " + getReqScrtyDesc() );
    pageWriter.println( prefix + "reqScrtyDescAlt = " + getReqScrtyDescAlt() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );
    pageWriter.println( prefix + "reqTradDspTpCl = " + getReqTradDspTpCl() );
    pageWriter.println( prefix + "reqHmPhNbrId = " + getReqHmPhNbrId() );
    pageWriter.println( prefix + "reqWrkPhNbrId = " + getReqWrkPhNbrId() );
    pageWriter.println( prefix + "reqCnsmrEmailAddr = " + getReqCnsmrEmailAddr() );
    pageWriter.println( prefix + "reqDispute = " + getReqDispute() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageNm = getCharFromURL( req, prefix + "reqBrokerageNm" );
    reqLstNm = getCharFromURL( req, prefix + "reqLstNm" );
    reqFrstNm = getCharFromURL( req, prefix + "reqFrstNm" );
    reqMdlNm = getCharFromURL( req, prefix + "reqMdlNm" );
    reqBrokOffID = getCharFromURL( req, prefix + "reqBrokOffID" );
    reqCnsmrInvCat = getLongFromURL( req, prefix + "reqCnsmrInvCat" );
    reqBrokEmAddr = getCharFromURL( req, prefix + "reqBrokEmAddr" );
    reqScrtyTpCl = getLongFromURL( req, prefix + "reqScrtyTpCl" );
    reqAcctId = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAcctId", "GtTradeDisputeMessage" );
    reqInvSetlAcct = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqInvSetlAcct", "GtTradeDisputeMessage" );
    reqScrtyDesc = getCharFromURL( req, prefix + "reqScrtyDesc" );
    reqScrtyDescAlt = getBinaryFromURL( req, prefix + "reqScrtyDescAlt" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqTradDspTpCl = getLongFromURL( req, prefix + "reqTradDspTpCl" );
    reqHmPhNbrId = getCharFromURL( req, prefix + "reqHmPhNbrId" );
    reqWrkPhNbrId = getCharFromURL( req, prefix + "reqWrkPhNbrId" );
    reqCnsmrEmailAddr = getCharFromURL( req, prefix + "reqCnsmrEmailAddr" );
    reqDispute = getCharFromURL( req, prefix + "reqDispute" );
  }
}
