//**********************************************
//
// FILE NAME: GtTransactionProfile.java
// TRANSACTION NAME: Transaction Profile
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Transaction Profile</B>
 * <P>IFS ID: <B>tranprfl</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>TXN_PROFILE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TXN_PROFILE_IMSG</B>
 *
 * <P>Reply:   <B>TXN_PROFILE_OMSG</B>
 */
public class GtTransactionProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTransactionProfile() { }
  public GtTransactionProfile( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tranprfl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqServiceID</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  private String reqServiceID = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  public  void   setReqServiceID( String o ) { reqServiceID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcTg.SrvcIdNbrTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Service such as
   * 'Corebank'.
   */
  public  String getReqServiceID() { return (reqServiceID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>serviceRequestResponseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String serviceRequestResponseCode = null;

  /**
   * <P>Sets the value of the attribute <code>serviceRequestResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setServiceRequestResponseCode( String o ) { serviceRequestResponseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceRequestResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getServiceRequestResponseCode() { return (serviceRequestResponseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceRequestResponseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.RespCodeClTg</code>.
   */
  public  String getServiceRequestResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getServiceRequestResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstRespTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsSrvcRqstRespTg.SrvcRqstDtlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>serviceRequestProfile</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstRespTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  private GsSrvcRqstItem[] serviceRequestProfile = null;

  /**
   * <P>Sets the value of the attribute <code>serviceRequestProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstRespTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  public  void             setServiceRequestProfile(GsSrvcRqstItem[] o )  { serviceRequestProfile = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceRequestProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstRespTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  public  GsSrvcRqstItem[] getServiceRequestProfile() { return (serviceRequestProfile); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTransactionProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqServiceID != null && reqServiceID.length() > 8 )
      addArgToGMJI( reqServiceID.substring(0,8));
    else
      addArgToGMJI( reqServiceID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    serviceRequestResponseCode = txn.getNextCharFromGMJO( 3, "serviceRequestResponseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    serviceRequestProfile = new GsSrvcRqstItem[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      serviceRequestProfile[ i ] = new GsSrvcRqstItem( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqServiceID = " + getReqServiceID() );
    pageWriter.println( prefix + "serviceRequestResponseCode = " + getServiceRequestResponseCode() );
    try {
      pageWriter.println( prefix + "serviceRequestResponseCode_text = " + getServiceRequestResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceRequestResponseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "serviceRequestProfile =" );
    if( serviceRequestProfile == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < serviceRequestProfile.length; j++ )
      {
        pageWriter.println( prefix + "serviceRequestProfile[" + j + "] =" );
        if( serviceRequestProfile[ j ] == null )
          pageWriter.println( " (null)" );
        else
          serviceRequestProfile[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqServiceID = getCharFromURL( req, prefix + "reqServiceID" );
  }
}
