//**********************************************
//
// FILE NAME: GtTransferHistoryInquiry.java
// TRANSACTION NAME: Transfer Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Transfer Inquiry Transaction</B>
 * <P>IFS ID: <B>tfrinq</B>
 * <P>
 * This transaction allows a consumer to retrieve information for either
 * pending or completed transfers.
 * <BR>
 * <P><B>TFR_INQ_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TFR_INQ_IMSG</B>
 *            <P>
 *            This request message allows a consumer to request
 *            information on Transfers. The consumer may specify search
 *            criteria such as Transfer Status (i.e., pending or historic
 *            transfers), Transfer Type (i.e., single or recurring
 *            transfers), a date range, an amount range and a specific
 *            source account. Information returned for each transfer
 *            includes the transfer amount and source and target accounts.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TFR_INQ_OMSG</B>
 *            <P>
 *            This response message is sent to the consumer and contains
 *            transfer details for each of the transfers retrieved.
 */
public class GtTransferHistoryInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTransferHistoryInquiry() { }
  public GtTransferHistoryInquiry( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tfrinq_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqSecurity(GsSrvcRqstScrty[] o )  { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqSecurity() { return (reqSecurity); }

  private String reqSecurity_packed = null;
  public  void   setReqSecurity_packed(String o ) { reqSecurity_packed = o; }
  public  String getReqSecurity_packed() { return (reqSecurity_packed); }


  /**
   * <P>The attribute <code>reqMaximumRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaximumRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaximumRecordNumber( int o ) { reqMaximumRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaximumRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaximumRecordNumber() { return (reqMaximumRecordNumber); }

  /**
   * <P>The attribute <code>reqLastRecordNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastRecordNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastRecordNumber( int o ) { reqLastRecordNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastRecordNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastRecordNumber() { return (reqLastRecordNumber); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrRecCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

  /**
   * <P>The attribute <code>reqFundingAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.FundAcctTg</code>.
   * <BR>
   */
  private GsAccount reqFundingAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.FundAcctTg</code>.
   * <BR>
   */
  public  void      setReqFundingAccount(GsAccount o )  { reqFundingAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFundingAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.FundAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqFundingAccount() { return (reqFundingAccount); }

  /**
   * <P>The attribute <code>reqTransferDateRangeStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  private GsDate reqTransferDateRangeStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  public  void   setReqTransferDateRangeStartDate(GsDate o )  { reqTransferDateRangeStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferDateRangeStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.StrtDtTg</code>.
   * <P>
   * The first date to be included in a date range. That is, it is the
   * oldest date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  public  GsDate getReqTransferDateRangeStartDate() { return (reqTransferDateRangeStartDate); }

  /**
   * <P>The attribute <code>reqTransferDateRangeEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the most
   * recent date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  private GsDate reqTransferDateRangeEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the most
   * recent date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  public  void   setReqTransferDateRangeEndDate(GsDate o )  { reqTransferDateRangeEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferDateRangeEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date to be included in a date range. That is, it is the most
   * recent date in the requested period for a transfer inquiry. Transfer
   * End Date and Transfer Start Date are paired to define a range of
   * transfer dates that are to be retrieved. For example, specifying
   * January 11 1997 as the Transfer Start Date and January 23 1997 as the
   * Transfer End Date in a request for transfer history would result in
   * returning the transfers executed on January 11 through the 23rd
   * inclusive. For pending transfers, it would result in returning the
   * transfers expected to be executed on January 11 through the 23rd
   * inclusive.
   * <BR>
   */
  public  GsDate getReqTransferDateRangeEndDate() { return (reqTransferDateRangeEndDate); }

  /**
   * <P>The attribute <code>reqTransferAmountRangeLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lowest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  private GsCurrency reqTransferAmountRangeLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferAmountRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lowest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  public  void       setReqTransferAmountRangeLowAmount(GsCurrency o )  { reqTransferAmountRangeLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferAmountRangeLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lowest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  public  GsCurrency getReqTransferAmountRangeLowAmount() { return (reqTransferAmountRangeLowAmount); }

  /**
   * <P>The attribute <code>reqTransferAmountRangeHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The highest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  private GsCurrency reqTransferAmountRangeHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferAmountRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The highest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  public  void       setReqTransferAmountRangeHighAmount(GsCurrency o )  { reqTransferAmountRangeHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferAmountRangeHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrInqTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The highest valued transfer that will be retrieved on a transfer
   * inquiry. Transfer Low Amount and Transfer High Amount are paired to
   * form a range of values for selecting transfer history or pending
   * transfers.
   * <BR>
   */
  public  GsCurrency getReqTransferAmountRangeHighAmount() { return (reqTransferAmountRangeHighAmount); }

  /**
   * <P>The attribute <code>reqTransferType</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrInqTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  private String reqTransferType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  public  void   setReqTransferType( String o ) { reqTransferType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  public  String getReqTransferType() { return (reqTransferType); }

  /**
   * <P>The attribute <code>reqTransferStateIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrInqTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  private String reqTransferStateIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferStateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  public  void   setReqTransferStateIndicator( String o ) { reqTransferStateIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferStateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrInqTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  public  String getReqTransferStateIndicator() { return (reqTransferStateIndicator); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.MsgRespTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrRespTg.TfrSndTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>transferInformationDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrInfoDtTg</code>.
   * <P>
   * The date of the last update to the transfers in a transfer inquiry
   * output message. Typically, this is the last posting date.
   * <BR>
   */
  private GsDate transferInformationDate = null;

  /**
   * <P>Sets the value of the attribute <code>transferInformationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrInfoDtTg</code>.
   * <P>
   * The date of the last update to the transfers in a transfer inquiry
   * output message. Typically, this is the last posting date.
   * <BR>
   */
  public  void   setTransferInformationDate(GsDate o )  { transferInformationDate = o; }

  /**
   * <P>Gets the value of the attribute <code>transferInformationDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrInfoDtTg</code>.
   * <P>
   * The date of the last update to the transfers in a transfer inquiry
   * output message. Typically, this is the last posting date.
   * <BR>
   */
  public  GsDate getTransferInformationDate() { return (transferInformationDate); }

  /**
   * <P>The attribute <code>transferHistoryDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrHistDtlTg</code>.
   * <P>
   * A repeating structure each containing details of a pending or
   * historical transfer which may include transfer accounts, amount, date
   * etc.
   * <BR>
   */
  private GsTfrDtl[] transferHistoryDetail = null;

  /**
   * <P>Sets the value of the attribute <code>transferHistoryDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrHistDtlTg</code>.
   * <P>
   * A repeating structure each containing details of a pending or
   * historical transfer which may include transfer accounts, amount, date
   * etc.
   * <BR>
   */
  public  void       setTransferHistoryDetail(GsTfrDtl[] o )  { transferHistoryDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>transferHistoryDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrRespTg.TfrHistDtlTg</code>.
   * <P>
   * A repeating structure each containing details of a pending or
   * historical transfer which may include transfer accounts, amount, date
   * etc.
   * <BR>
   */
  public  GsTfrDtl[] getTransferHistoryDetail() { return (transferHistoryDetail); }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTransferHistoryInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    if( reqSecurity != null )
    {
      reqSecurity_packed = GsSrvcRqstScrty.pack( reqSecurity );
      addArgToGMJI( reqSecurity_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqMaximumRecordNumber ); 
    addArgToGMJI( reqLastRecordNumber ); 
    addArgToGMJI( reqCursor ); 
    GsAccount.addPropertiesToGMJI( reqFundingAccount, this );
    GsDate.addPropertiesToGMJI( reqTransferDateRangeStartDate, this );
    GsDate.addPropertiesToGMJI( reqTransferDateRangeEndDate, this );
    GsCurrency.addPropertiesToGMJI( reqTransferAmountRangeLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqTransferAmountRangeHighAmount, this );

    if( reqTransferType != null && reqTransferType.length() > 1 )
      addArgToGMJI( reqTransferType.substring(0,1));
    else
      addArgToGMJI( reqTransferType ); 

    if( reqTransferStateIndicator != null && reqTransferStateIndicator.length() > 1 )
      addArgToGMJI( reqTransferStateIndicator.substring(0,1));
    else
      addArgToGMJI( reqTransferStateIndicator ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    transferInformationDate = new GsDate( txn, "transferInformationDate" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    transferHistoryDetail = new GsTfrDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      transferHistoryDetail[ i ] = new GsTfrDtl( txn );
    }
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSecurity =" );
    if( reqSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqSecurity[" + j + "] =" );
        if( reqSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurity_packed = " + getReqSecurity_packed() );
    pageWriter.println( prefix + "reqMaximumRecordNumber = " + getReqMaximumRecordNumber() );
    pageWriter.println( prefix + "reqLastRecordNumber = " + getReqLastRecordNumber() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );

    pageWriter.println( prefix + "reqFundingAccount =" );
    if( reqFundingAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFundingAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransferDateRangeStartDate =" );
    if( reqTransferDateRangeStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransferDateRangeStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransferDateRangeEndDate =" );
    if( reqTransferDateRangeEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransferDateRangeEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransferAmountRangeLowAmount =" );
    if( reqTransferAmountRangeLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransferAmountRangeLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTransferAmountRangeHighAmount =" );
    if( reqTransferAmountRangeHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTransferAmountRangeHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransferType = " + getReqTransferType() );
    pageWriter.println( prefix + "reqTransferStateIndicator = " + getReqTransferStateIndicator() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "transferInformationDate =" );
    if( transferInformationDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      transferInformationDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "transferHistoryDetail =" );
    if( transferHistoryDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < transferHistoryDetail.length; j++ )
      {
        pageWriter.println( prefix + "transferHistoryDetail[" + j + "] =" );
        if( transferHistoryDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          transferHistoryDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;

    repeatCounter = getLongFromURL( req, prefix + "reqSecurity_repeatCounter" );
    reqSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqSecurity[ i ].populateFromURL( txn, req, prefix + "reqSecurity_" + i + "_" );
    }
    reqMaximumRecordNumber = getLongFromURL( req, prefix + "reqMaximumRecordNumber" );
    reqLastRecordNumber = getLongFromURL( req, prefix + "reqLastRecordNumber" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
    reqFundingAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqFundingAccount", "GtTransferHistoryInquiry" );
    reqTransferDateRangeStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTransferDateRangeStartDate", "GtTransferHistoryInquiry" );
    reqTransferDateRangeEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqTransferDateRangeEndDate", "GtTransferHistoryInquiry" );
    reqTransferAmountRangeLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransferAmountRangeLowAmount", "GtTransferHistoryInquiry" );
    reqTransferAmountRangeHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqTransferAmountRangeHighAmount", "GtTransferHistoryInquiry" );
    reqTransferType = getCharFromURL( req, prefix + "reqTransferType" );
    reqTransferStateIndicator = getCharFromURL( req, prefix + "reqTransferStateIndicator" );
  }
}
