//**********************************************
//
// FILE NAME: GtTransferProblem.java
// TRANSACTION NAME: Report Transfer Problem Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Report Transfer Problem Transaction</B>
 * <P>IFS ID: <B>tfrprob</B>
 * <P>
 * This transaction is similar to report a bill pay problem.
 * <BR>
 * <P><B>TFR_PROBLEM_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>TFR_PROBLEM_IMSG</B>
 *            <P>
 *            This message is similar to report a bill pay problem, report
 *            a transaction problem etc. This message will normally flow
 *            to the message server.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>TFR_PROBLEM_OMSG</B>
 */
public class GtTransferProblem extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtTransferProblem() { }
  public GtTransferProblem( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "tfrprob_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSourceDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  private GsAccount reqSourceDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  void      setReqSourceDetail(GsAccount o )  { reqSourceDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSourceDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctSrceDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqSourceDetail() { return (reqSourceDetail); }

  /**
   * <P>The attribute <code>reqTargetDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  private GsAccount reqTargetDetail = null;

  /**
   * <P>Sets the value of the attribute <code>reqTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  void      setReqTargetDetail(GsAccount o )  { reqTargetDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTargetDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.AcctTrgtDtlTg</code>.
   * <BR>
   */
  public  GsAccount getReqTargetDetail() { return (reqTargetDetail); }

  /**
   * <P>The attribute <code>reqStartDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  private GsDate reqStartDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  void   setReqStartDate(GsDate o )  { reqStartDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.StrtDtTg</code>.
   * <BR>
   */
  public  GsDate getReqStartDate() { return (reqStartDate); }

  /**
   * <P>The attribute <code>reqEndDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  private GsDate reqEndDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  void   setReqEndDate(GsDate o )  { reqEndDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrDtRngTg.EndDtTg</code>.
   * <P>
   * The last date of a request period.
   * <BR>
   */
  public  GsDate getReqEndDate() { return (reqEndDate); }

  /**
   * <P>The attribute <code>reqLowAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  private GsCurrency reqLowAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  void       setReqLowAmount(GsCurrency o )  { reqLowAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLowAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.LowAmtTg</code>.
   * <P>
   * The lower monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD.
   * <BR>
   */
  public  GsCurrency getReqLowAmount() { return (reqLowAmount); }

  /**
   * <P>The attribute <code>reqHighAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  private GsCurrency reqHighAmount = null;

  /**
   * <P>Sets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  void       setReqHighAmount(GsCurrency o )  { reqHighAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqHighAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrProbTg.TfrAmtRngTg.HighAmtTg</code>.
   * <P>
   * The upper monetary boundary of a range in a requested view of
   * specific transactions. For example, the set of transactions displayed
   * with amounts between a Low Amount of &dollar.1,000.00 USD and a High
   * Amount of &dollar.5,000.00 USD, will include all the transactions
   * with amounts within the &dollar.1,000.00 - &dollar.5,000.00 USD
   * range, but exclude transactions with amounts less than
   * &dollar.1,000.00 USD or greater than &dollar.5,000.00 USD. This field
   * is optional and if not supplied the engine does an exact match on the
   * low amount when searching.
   * <BR>
   */
  public  GsCurrency getReqHighAmount() { return (reqHighAmount); }

  /**
   * <P>The attribute <code>reqTransferType</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  private String reqTransferType = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  public  void   setReqTransferType( String o ) { reqTransferType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrTpIndTg</code>.
   * <P>
   * A selection code classifying the types of transfer definitions to be
   * retrieved on a Pending Transfer Inquiry.
   */
  public  String getReqTransferType() { return (reqTransferType); }

  /**
   * <P>The attribute <code>reqTransferStatus</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  private String reqTransferStatus = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  public  void   setReqTransferStatus( String o ) { reqTransferStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferStatus</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrStIndTg</code>.
   * <P>
   * A selection code identifying what type of transfer inquiry is being
   * requested.. A transfer inquiry can either request a list of pending
   * transfers or a list of historical transfers.
   */
  public  String getReqTransferStatus() { return (reqTransferStatus); }

  /**
   * <P>The attribute <code>reqContactHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactHomePhone( String o ) { reqContactHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The home phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactHomePhone() { return (reqContactHomePhone); }

  /**
   * <P>The attribute <code>reqContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactWorkPhone( String o ) { reqContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The work phone number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactWorkPhone() { return (reqContactWorkPhone); }

  /**
   * <P>The attribute <code>reqContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  private String reqContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  public  void   setReqContactEmailAddress( String o ) { reqContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcEmailAddrIdTg</code>.
   */
  public  String getReqContactEmailAddress() { return (reqContactEmailAddress); }

  /**
   * <P>The attribute <code>reqContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  private String reqContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  void   setReqContactFaxNumber( String o ) { reqContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The facsimile number where the Requester (which may be the Consumer)
   * may be contacted.
   */
  public  String getReqContactFaxNumber() { return (reqContactFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * A code which indicates the channel through which the Financial
   * Institution will communicate to the consumer. This communication
   * could be an acknowledgement of the request, confirmation of
   * execution, a statement of terms and conditions or any other
   * appropriate communication.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqContactRequired( int o ) { reqContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqContactRequired() { return (reqContactRequired); }

  /**
   * <P>The attribute <code>reqContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqContactOptional( String o ) { reqContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqContactOptional() { return (reqContactOptional); }

  /**
   * <P>The attribute <code>reqStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqStartTimeValue( String o ) { reqStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqStartTimeValue() { return (reqStartTimeValue); }

  /**
   * <P>The attribute <code>reqStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqStartTimeFormat( String o ) { reqStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqStartTimeFormat() { return (reqStartTimeFormat); }

  /**
   * <P>The attribute <code>reqStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqStartTimeGMTOffsetMinutes( int o ) { reqStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqStartTimeGMTOffsetMinutes() { return (reqStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqEndTimeValue( String o ) { reqEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqEndTimeValue() { return (reqEndTimeValue); }

  /**
   * <P>The attribute <code>reqEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqEndTimeFormat( String o ) { reqEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqEndTimeFormat() { return (reqEndTimeFormat); }

  /**
   * <P>The attribute <code>reqEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqEndTimeGMTOffsetMinutes( int o ) { reqEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqEndTimeGMTOffsetMinutes() { return (reqEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqFreeFormText( String o ) { reqFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.CnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqFreeFormText() { return (reqFreeFormText); }

  /**
   * <P>The attribute <code>reqTransferReasonCode</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.TfrRsnCdTg</code>.
   */
  private String reqTransferReasonCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqTransferReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrRsnCdTg</code>.
   */
  public  void   setReqTransferReasonCode( String o ) { reqTransferReasonCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTransferReasonCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.TfrRsnCdTg</code>.
   */
  public  String getReqTransferReasonCode() { return (reqTransferReasonCode); }

  /**
   * <P>The attribute <code>reqMessageText</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  private String reqMessageText = null;

  /**
   * <P>Sets the value of the attribute <code>reqMessageText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  void   setReqMessageText( String o ) { reqMessageText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMessageText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.MsgTxTg</code>.
   * <P>
   * Free form text entered, for example, by a Consumer, Financial
   * Institution or Service Provider. This text may for example, describe
   * a query or a problem which the Consumer wishes to report, send to
   * their Financial Institution. The Message text is left justified.
   */
  public  String getReqMessageText() { return (reqMessageText); }

  /**
   * <P>The attribute <code>reqFIReferenceNumberID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String reqFIReferenceNumberID = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIReferenceNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReqFIReferenceNumberID( String o ) { reqFIReferenceNumberID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIReferenceNumberID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReqFIReferenceNumberID() { return (reqFIReferenceNumberID); }

  /**
   * <P>The attribute <code>reqServiceProviderRefID</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrProbTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String reqServiceProviderRefID = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceProviderRefID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setReqServiceProviderRefID( String o ) { reqServiceProviderRefID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceProviderRefID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrProbTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getReqServiceProviderRefID() { return (reqServiceProviderRefID); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtTransferProblem );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqSourceDetail, this );
    GsAccount.addPropertiesToGMJI( reqTargetDetail, this );
    GsDate.addPropertiesToGMJI( reqStartDate, this );
    GsDate.addPropertiesToGMJI( reqEndDate, this );
    GsCurrency.addPropertiesToGMJI( reqLowAmount, this );
    GsCurrency.addPropertiesToGMJI( reqHighAmount, this );

    if( reqTransferType != null && reqTransferType.length() > 1 )
      addArgToGMJI( reqTransferType.substring(0,1));
    else
      addArgToGMJI( reqTransferType ); 

    if( reqTransferStatus != null && reqTransferStatus.length() > 1 )
      addArgToGMJI( reqTransferStatus.substring(0,1));
    else
      addArgToGMJI( reqTransferStatus ); 

    if( reqContactHomePhone != null && reqContactHomePhone.length() > 15 )
      addArgToGMJI( reqContactHomePhone.substring(0,15));
    else
      addArgToGMJI( reqContactHomePhone ); 

    if( reqContactWorkPhone != null && reqContactWorkPhone.length() > 15 )
      addArgToGMJI( reqContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqContactWorkPhone ); 

    if( reqContactEmailAddress != null && reqContactEmailAddress.length() > 128 )
      addArgToGMJI( reqContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqContactEmailAddress ); 

    if( reqContactFaxNumber != null && reqContactFaxNumber.length() > 15 )
      addArgToGMJI( reqContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqContactFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqContactRequired ); 

    if( reqContactOptional != null && reqContactOptional.length() > 1 )
      addArgToGMJI( reqContactOptional.substring(0,1));
    else
      addArgToGMJI( reqContactOptional ); 

    if( reqStartTimeValue != null && reqStartTimeValue.length() > 10 )
      addArgToGMJI( reqStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqStartTimeValue ); 

    if( reqStartTimeFormat != null && reqStartTimeFormat.length() > 3 )
      addArgToGMJI( reqStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqStartTimeFormat ); 
    addArgToGMJI( reqStartTimeGMTOffsetMinutes ); 

    if( reqEndTimeValue != null && reqEndTimeValue.length() > 10 )
      addArgToGMJI( reqEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqEndTimeValue ); 

    if( reqEndTimeFormat != null && reqEndTimeFormat.length() > 3 )
      addArgToGMJI( reqEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqEndTimeFormat ); 
    addArgToGMJI( reqEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqFreeFormText ); 

    if( reqTransferReasonCode != null && reqTransferReasonCode.length() > 1 )
      addArgToGMJI( reqTransferReasonCode.substring(0,1));
    else
      addArgToGMJI( reqTransferReasonCode ); 

    if( reqMessageText != null && reqMessageText.length() > 3000 )
      addArgToGMJI( reqMessageText.substring(0,3000));
    else
      addArgToGMJI( reqMessageText ); 

    if( reqFIReferenceNumberID != null && reqFIReferenceNumberID.length() > 12 )
      addArgToGMJI( reqFIReferenceNumberID.substring(0,12));
    else
      addArgToGMJI( reqFIReferenceNumberID ); 

    if( reqServiceProviderRefID != null && reqServiceProviderRefID.length() > 36 )
      addArgToGMJI( reqServiceProviderRefID.substring(0,36));
    else
      addArgToGMJI( reqServiceProviderRefID ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqSourceDetail =" );
    if( reqSourceDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSourceDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqTargetDetail =" );
    if( reqTargetDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqTargetDetail.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqStartDate =" );
    if( reqStartDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStartDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqEndDate =" );
    if( reqEndDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqEndDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqLowAmount =" );
    if( reqLowAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLowAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqHighAmount =" );
    if( reqHighAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqHighAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTransferType = " + getReqTransferType() );
    pageWriter.println( prefix + "reqTransferStatus = " + getReqTransferStatus() );
    pageWriter.println( prefix + "reqContactHomePhone = " + getReqContactHomePhone() );
    pageWriter.println( prefix + "reqContactWorkPhone = " + getReqContactWorkPhone() );
    pageWriter.println( prefix + "reqContactEmailAddress = " + getReqContactEmailAddress() );
    pageWriter.println( prefix + "reqContactFaxNumber = " + getReqContactFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqContactRequired = " + getReqContactRequired() );
    pageWriter.println( prefix + "reqContactOptional = " + getReqContactOptional() );
    pageWriter.println( prefix + "reqStartTimeValue = " + getReqStartTimeValue() );
    pageWriter.println( prefix + "reqStartTimeFormat = " + getReqStartTimeFormat() );
    pageWriter.println( prefix + "reqStartTimeGMTOffsetMinutes = " + getReqStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqEndTimeValue = " + getReqEndTimeValue() );
    pageWriter.println( prefix + "reqEndTimeFormat = " + getReqEndTimeFormat() );
    pageWriter.println( prefix + "reqEndTimeGMTOffsetMinutes = " + getReqEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqFreeFormText = " + getReqFreeFormText() );
    pageWriter.println( prefix + "reqTransferReasonCode = " + getReqTransferReasonCode() );
    pageWriter.println( prefix + "reqMessageText = " + getReqMessageText() );
    pageWriter.println( prefix + "reqFIReferenceNumberID = " + getReqFIReferenceNumberID() );
    pageWriter.println( prefix + "reqServiceProviderRefID = " + getReqServiceProviderRefID() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqSourceDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSourceDetail", "GtTransferProblem" );
    reqTargetDetail = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqTargetDetail", "GtTransferProblem" );
    reqStartDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqStartDate", "GtTransferProblem" );
    reqEndDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqEndDate", "GtTransferProblem" );
    reqLowAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLowAmount", "GtTransferProblem" );
    reqHighAmount = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqHighAmount", "GtTransferProblem" );
    reqTransferType = getCharFromURL( req, prefix + "reqTransferType" );
    reqTransferStatus = getCharFromURL( req, prefix + "reqTransferStatus" );
    reqContactHomePhone = getCharFromURL( req, prefix + "reqContactHomePhone" );
    reqContactWorkPhone = getCharFromURL( req, prefix + "reqContactWorkPhone" );
    reqContactEmailAddress = getCharFromURL( req, prefix + "reqContactEmailAddress" );
    reqContactFaxNumber = getCharFromURL( req, prefix + "reqContactFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqContactRequired = getLongFromURL( req, prefix + "reqContactRequired" );
    reqContactOptional = getCharFromURL( req, prefix + "reqContactOptional" );
    reqStartTimeValue = getCharFromURL( req, prefix + "reqStartTimeValue" );
    reqStartTimeFormat = getCharFromURL( req, prefix + "reqStartTimeFormat" );
    reqStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqStartTimeGMTOffsetMinutes" );
    reqEndTimeValue = getCharFromURL( req, prefix + "reqEndTimeValue" );
    reqEndTimeFormat = getCharFromURL( req, prefix + "reqEndTimeFormat" );
    reqEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqEndTimeGMTOffsetMinutes" );
    reqFreeFormText = getCharFromURL( req, prefix + "reqFreeFormText" );
    reqTransferReasonCode = getCharFromURL( req, prefix + "reqTransferReasonCode" );
    reqMessageText = getCharFromURL( req, prefix + "reqMessageText" );
    reqFIReferenceNumberID = getCharFromURL( req, prefix + "reqFIReferenceNumberID" );
    reqServiceProviderRefID = getCharFromURL( req, prefix + "reqServiceProviderRefID" );
  }
}
