//**********************************************
//
// FILE NAME: GtUpdateClearinghouseType.java
// TRANSACTION NAME: Update clearinghouse Type Table
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Update clearinghouse Type Table</B>
 * <P>IFS ID: <B>uclhstyp</B>
 * <P>
 * The CLEARINGHOUSE_TYPE table will be maintained via CTW/IGATE via this
 * Transaction. The CTW will generate the value of the Clearinghouse Type
 * Id on an ' add' action by incrementing the previously highest value by
 * one.
 * <BR>
 * <P><B>UPDT_CLHS_TP_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>UPDT_CLHS_TYP_IMSG</B>
 *
 * <P>Reply:   <B>UPDT_CLHS_TYP_OMSG</B>
 */
public class GtUpdateClearinghouseType extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUpdateClearinghouseType() { }
  public GtUpdateClearinghouseType( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "uclhstyp_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqClearinghouseTypeID</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  private int  reqClearinghouseTypeID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  void setReqClearinghouseTypeID( int o ) { reqClearinghouseTypeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqClearinghouseTypeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpIDTg</code>.
   * <P>
   * Unique Identifier for CLEARINGHOUSE_TYPE table. Numeric value greater
   * than zero. value generated by the CTW on 'Add' Action.
   */
  public  int  getReqClearinghouseTypeID() { return (reqClearinghouseTypeID); }

  /**
   * <P>The attribute <code>reqClearinghouseTypeDesc</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpDescTg</code>.
   * <P>
   * text description of the Clearinghouse Type.
   */
  private String reqClearinghouseTypeDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqClearinghouseTypeDesc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpDescTg</code>.
   * <P>
   * text description of the Clearinghouse Type.
   */
  public  void   setReqClearinghouseTypeDesc( String o ) { reqClearinghouseTypeDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqClearinghouseTypeDesc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtClhsTpDtlTg.ClhsTpDescTg</code>.
   * <P>
   * text description of the Clearinghouse Type.
   */
  public  String getReqClearinghouseTypeDesc() { return (reqClearinghouseTypeDesc); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUpdateClearinghouseType );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 
    addArgToGMJI( reqClearinghouseTypeID ); 

    if( reqClearinghouseTypeDesc != null && reqClearinghouseTypeDesc.length() > 40 )
      addArgToGMJI( reqClearinghouseTypeDesc.substring(0,40));
    else
      addArgToGMJI( reqClearinghouseTypeDesc ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqClearinghouseTypeID = " + getReqClearinghouseTypeID() );
    pageWriter.println( prefix + "reqClearinghouseTypeDesc = " + getReqClearinghouseTypeDesc() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqClearinghouseTypeID = getLongFromURL( req, prefix + "reqClearinghouseTypeID" );
    reqClearinghouseTypeDesc = getCharFromURL( req, prefix + "reqClearinghouseTypeDesc" );
  }
}
