//**********************************************
//
// FILE NAME: GtUpdateConsumerDetail.java
// TRANSACTION NAME: Update Consumer Details Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Update Consumer Details Transaction</B>
 * <P>IFS ID: <B>ucnsmrdl</B>
 * <P>
 * This transaction allows a consumer to update details (for
 * example,Address, Telephone Number) stored in their Consumer Profile in
 * the FI.
 * <BR>
 * <P><B>UPDT_CNSMR_DTL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>UPDT_CNSMR_DTL_IMSG</B>
 *            <P>
 *            This message requests the Financial Institution to update
 *            some information associated with a Consumer's profile stored
 *            in the Financial Institution such as Consumer's address,
 *            Consumer's Telephone, Fax number.
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>UPDT_CNSMR_DTL_OMSG</B>
 *            <P>
 *            This message returns a response code indicating whether the
 *            request to update Consumer's profile information in the
 *            Financial Institution was successful. A Financial
 *            Institution Reference Number and a Service Provider
 *            Reference Number may also be returned to facilitate future
 *            tracing.
 */
public class GtUpdateConsumerDetail extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUpdateConsumerDetail() { }
  public GtUpdateConsumerDetail( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ucnsmrdl_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctTg</code>.
   * <BR>
   */
  private GsAccount reqAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctTg</code>.
   * <BR>
   */
  public  void      setReqAccount(GsAccount o )  { reqAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctTg</code>.
   * <BR>
   */
  public  GsAccount getReqAccount() { return (reqAccount); }

  /**
   * <P>The attribute <code>reqFIProductDescriptionType</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private int  reqFIProductDescriptionType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqFIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void setReqFIProductDescriptionType( int o ) { reqFIProductDescriptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIProductDescriptionType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FIProdDescrTpClTg</code>.
   * <P>
   * A code used by the FI to associate an Account with a product. An
   * account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,a Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  int  getReqFIProductDescriptionType() { return (reqFIProductDescriptionType); }

  /**
   * <P>The attribute <code>reqSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  private GsSrvcRqstScrty[] reqSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  void              setReqSecurity(GsSrvcRqstScrty[] o )  { reqSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsUpdtCnsmrRqstTg.SrvcRqstScrtyTg</code>.
   * <P>
   * A repeating structure contains a variable number (may be zero) of
   * Security Identifiers and associated Security Encryption Flags.
   * <BR>
   */
  public  GsSrvcRqstScrty[] getReqSecurity() { return (reqSecurity); }

  private String reqSecurity_packed = null;
  public  void   setReqSecurity_packed(String o ) { reqSecurity_packed = o; }
  public  String getReqSecurity_packed() { return (reqSecurity_packed); }


  /**
   * <P>The attribute <code>reqAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  private String reqAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  void   setReqAccountName( String o ) { reqAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.AcctNmTg</code>.
   * <P>
   * A character string which is the full name of an owner of an Account.
   */
  public  String getReqAccountName() { return (reqAccountName); }

  /**
   * <P>The attribute <code>reqNewAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewAcctNmTg</code>.
   * <P>
   * The new or updated string of characters which will identify the owner
   * of the Account.
   */
  private String reqNewAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewAcctNmTg</code>.
   * <P>
   * The new or updated string of characters which will identify the owner
   * of the Account.
   */
  public  void   setReqNewAccountName( String o ) { reqNewAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewAcctNmTg</code>.
   * <P>
   * The new or updated string of characters which will identify the owner
   * of the Account.
   */
  public  String getReqNewAccountName() { return (reqNewAccountName); }

  /**
   * <P>The attribute <code>reqConsumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  private String reqConsumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  public  void   setReqConsumerAccountName( String o ) { reqConsumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAcctNmTg</code>.
   * <P>
   * A character string which is the full name of the Consumer who owns
   * the Account.
   */
  public  String getReqConsumerAccountName() { return (reqConsumerAccountName); }

  /**
   * <P>The attribute <code>reqNewConsumerAccountName</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctNmTg</code>.
   * <P>
   * The new or updated name of the Consumer who owns the Account.
   */
  private String reqNewConsumerAccountName = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctNmTg</code>.
   * <P>
   * The new or updated name of the Consumer who owns the Account.
   */
  public  void   setReqNewConsumerAccountName( String o ) { reqNewConsumerAccountName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewConsumerAccountName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctNmTg</code>.
   * <P>
   * The new or updated name of the Consumer who owns the Account.
   */
  public  String getReqNewConsumerAccountName() { return (reqNewConsumerAccountName); }

  /**
   * <P>The attribute <code>reqOldAccountAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 1.
   */
  private String reqOldAccountAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 1.
   */
  public  void   setReqOldAccountAddressLine1( String o ) { reqOldAccountAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 1.
   */
  public  String getReqOldAccountAddressLine1() { return (reqOldAccountAddressLine1); }

  /**
   * <P>The attribute <code>reqOldAccountAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 2.
   */
  private String reqOldAccountAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 2.
   */
  public  void   setReqOldAccountAddressLine2( String o ) { reqOldAccountAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 2.
   */
  public  String getReqOldAccountAddressLine2() { return (reqOldAccountAddressLine2); }

  /**
   * <P>The attribute <code>reqOldAccountAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 3.
   */
  private String reqOldAccountAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 3.
   */
  public  void   setReqOldAccountAddressLine3( String o ) { reqOldAccountAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The previous address of the Consumer. See Address Line 3.
   */
  public  String getReqOldAccountAddressLine3() { return (reqOldAccountAddressLine3); }

  /**
   * <P>The attribute <code>reqOldAccountCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The previous address of the Consumer. See City.
   */
  private String reqOldAccountCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The previous address of the Consumer. See City.
   */
  public  void   setReqOldAccountCity( String o ) { reqOldAccountCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The previous address of the Consumer. See City.
   */
  public  String getReqOldAccountCity() { return (reqOldAccountCity); }

  /**
   * <P>The attribute <code>reqOldAccountProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Province.
   */
  private String reqOldAccountProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Province.
   */
  public  void   setReqOldAccountProvince( String o ) { reqOldAccountProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Province.
   */
  public  String getReqOldAccountProvince() { return (reqOldAccountProvince); }

  /**
   * <P>The attribute <code>reqOldAccountState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  private String reqOldAccountState = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  public  void   setReqOldAccountState( String o ) { reqOldAccountState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  public  String getReqOldAccountState() { return (reqOldAccountState); }

  /**
   * <P>The attribute <code>reqOldAccountCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The previous address of the Consumer. See Country Code.
   */
  private String reqOldAccountCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The previous address of the Consumer. See Country Code.
   */
  public  void   setReqOldAccountCountry( String o ) { reqOldAccountCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The previous address of the Consumer. See Country Code.
   */
  public  String getReqOldAccountCountry() { return (reqOldAccountCountry); }

  /**
   * <P>The attribute <code>reqOldAccountZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  private String reqOldAccountZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  void   setReqOldAccountZipCode( String o ) { reqOldAccountZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  String getReqOldAccountZipCode() { return (reqOldAccountZipCode); }

  /**
   * <P>The attribute <code>reqOldAccountPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  private String reqOldAccountPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  void   setReqOldAccountPostalCode( String o ) { reqOldAccountPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The previous address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  String getReqOldAccountPostalCode() { return (reqOldAccountPostalCode); }

  /**
   * <P>The attribute <code>reqNewAccountAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String reqNewAccountAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setReqNewAccountAddressLine1( String o ) { reqNewAccountAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getReqNewAccountAddressLine1() { return (reqNewAccountAddressLine1); }

  /**
   * <P>The attribute <code>reqNewAccountAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String reqNewAccountAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setReqNewAccountAddressLine2( String o ) { reqNewAccountAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getReqNewAccountAddressLine2() { return (reqNewAccountAddressLine2); }

  /**
   * <P>The attribute <code>reqNewAccountAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String reqNewAccountAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setReqNewAccountAddressLine3( String o ) { reqNewAccountAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getReqNewAccountAddressLine3() { return (reqNewAccountAddressLine3); }

  /**
   * <P>The attribute <code>reqNewAccountCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String reqNewAccountCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setReqNewAccountCity( String o ) { reqNewAccountCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getReqNewAccountCity() { return (reqNewAccountCity); }

  /**
   * <P>The attribute <code>reqNewAccountProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String reqNewAccountProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setReqNewAccountProvince( String o ) { reqNewAccountProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getReqNewAccountProvince() { return (reqNewAccountProvince); }

  /**
   * <P>The attribute <code>reqNewAccountState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String reqNewAccountState = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setReqNewAccountState( String o ) { reqNewAccountState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getReqNewAccountState() { return (reqNewAccountState); }

  /**
   * <P>The attribute <code>reqNewAccountCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String reqNewAccountCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setReqNewAccountCountry( String o ) { reqNewAccountCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getReqNewAccountCountry() { return (reqNewAccountCountry); }

  /**
   * <P>The attribute <code>reqNewAccountZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String reqNewAccountZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setReqNewAccountZipCode( String o ) { reqNewAccountZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getReqNewAccountZipCode() { return (reqNewAccountZipCode); }

  /**
   * <P>The attribute <code>reqNewAccountPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String reqNewAccountPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setReqNewAccountPostalCode( String o ) { reqNewAccountPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAcctAddrTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getReqNewAccountPostalCode() { return (reqNewAccountPostalCode); }

  /**
   * <P>The attribute <code>reqAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String reqAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setReqAddressLine1( String o ) { reqAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getReqAddressLine1() { return (reqAddressLine1); }

  /**
   * <P>The attribute <code>reqAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String reqAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setReqAddressLine2( String o ) { reqAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getReqAddressLine2() { return (reqAddressLine2); }

  /**
   * <P>The attribute <code>reqAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String reqAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setReqAddressLine3( String o ) { reqAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getReqAddressLine3() { return (reqAddressLine3); }

  /**
   * <P>The attribute <code>reqCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String reqCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setReqCity( String o ) { reqCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getReqCity() { return (reqCity); }

  /**
   * <P>The attribute <code>reqProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String reqProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setReqProvince( String o ) { reqProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getReqProvince() { return (reqProvince); }

  /**
   * <P>The attribute <code>reqState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String reqState = null;

  /**
   * <P>Sets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setReqState( String o ) { reqState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getReqState() { return (reqState); }

  /**
   * <P>The attribute <code>reqCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String reqCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setReqCountry( String o ) { reqCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getReqCountry() { return (reqCountry); }

  /**
   * <P>The attribute <code>reqZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String reqZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setReqZipCode( String o ) { reqZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getReqZipCode() { return (reqZipCode); }

  /**
   * <P>The attribute <code>reqPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String reqPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setReqPostalCode( String o ) { reqPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getReqPostalCode() { return (reqPostalCode); }

  /**
   * <P>The attribute <code>reqNewAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 1. .
   */
  private String reqNewAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 1. .
   */
  public  void   setReqNewAddressLine1( String o ) { reqNewAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 1. .
   */
  public  String getReqNewAddressLine1() { return (reqNewAddressLine1); }

  /**
   * <P>The attribute <code>reqNewAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 2. .
   */
  private String reqNewAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 2. .
   */
  public  void   setReqNewAddressLine2( String o ) { reqNewAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 2. .
   */
  public  String getReqNewAddressLine2() { return (reqNewAddressLine2); }

  /**
   * <P>The attribute <code>reqNewAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 3. .
   */
  private String reqNewAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 3. .
   */
  public  void   setReqNewAddressLine3( String o ) { reqNewAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Address Line 3. .
   */
  public  String getReqNewAddressLine3() { return (reqNewAddressLine3); }

  /**
   * <P>The attribute <code>reqNewCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See City. .
   */
  private String reqNewCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See City. .
   */
  public  void   setReqNewCity( String o ) { reqNewCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated address of the Consumer. See City. .
   */
  public  String getReqNewCity() { return (reqNewCity); }

  /**
   * <P>The attribute <code>reqNewProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  private String reqNewProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  void   setReqNewProvince( String o ) { reqNewProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  String getReqNewProvince() { return (reqNewProvince); }

  /**
   * <P>The attribute <code>reqNewState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code. .
   */
  private String reqNewState = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code. .
   */
  public  void   setReqNewState( String o ) { reqNewState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code. .
   */
  public  String getReqNewState() { return (reqNewState); }

  /**
   * <P>The attribute <code>reqNewCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Country Code. .
   */
  private String reqNewCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Country Code. .
   */
  public  void   setReqNewCountry( String o ) { reqNewCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer. See Country Code. .
   */
  public  String getReqNewCountry() { return (reqNewCountry); }

  /**
   * <P>The attribute <code>reqNewZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code. .
   */
  private String reqNewZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code. .
   */
  public  void   setReqNewZipCode( String o ) { reqNewZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code. .
   */
  public  String getReqNewZipCode() { return (reqNewZipCode); }

  /**
   * <P>The attribute <code>reqNewPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code. .
   */
  private String reqNewPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code. .
   */
  public  void   setReqNewPostalCode( String o ) { reqNewPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code. .
   */
  public  String getReqNewPostalCode() { return (reqNewPostalCode); }

  /**
   * <P>The attribute <code>reqMailAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 1. .
   */
  private String reqMailAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 1. .
   */
  public  void   setReqMailAddressLine1( String o ) { reqMailAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 1. .
   */
  public  String getReqMailAddressLine1() { return (reqMailAddressLine1); }

  /**
   * <P>The attribute <code>reqMailAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 2. .
   */
  private String reqMailAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 2. .
   */
  public  void   setReqMailAddressLine2( String o ) { reqMailAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 2. .
   */
  public  String getReqMailAddressLine2() { return (reqMailAddressLine2); }

  /**
   * <P>The attribute <code>reqMailAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 3. .
   */
  private String reqMailAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 3. .
   */
  public  void   setReqMailAddressLine3( String o ) { reqMailAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The mailing address of the Consumer. See Address Line 3. .
   */
  public  String getReqMailAddressLine3() { return (reqMailAddressLine3); }

  /**
   * <P>The attribute <code>reqMailCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CityNmTg</code>.
   * <P>
   * The mailing address of the Consumer. See City. .
   */
  private String reqMailCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CityNmTg</code>.
   * <P>
   * The mailing address of the Consumer. See City. .
   */
  public  void   setReqMailCity( String o ) { reqMailCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CityNmTg</code>.
   * <P>
   * The mailing address of the Consumer. See City. .
   */
  public  String getReqMailCity() { return (reqMailCity); }

  /**
   * <P>The attribute <code>reqMailProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  private String reqMailProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  void   setReqMailProvince( String o ) { reqMailProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Province. .
   */
  public  String getReqMailProvince() { return (reqMailProvince); }

  /**
   * <P>The attribute <code>reqMailState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  private String reqMailState = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  public  void   setReqMailState( String o ) { reqMailState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See State Code.
   */
  public  String getReqMailState() { return (reqMailState); }

  /**
   * <P>The attribute <code>reqMailCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer. See Country Code.
   */
  private String reqMailCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer. See Country Code.
   */
  public  void   setReqMailCountry( String o ) { reqMailCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer. See Country Code.
   */
  public  String getReqMailCountry() { return (reqMailCountry); }

  /**
   * <P>The attribute <code>reqMailZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  private String reqMailZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  void   setReqMailZipCode( String o ) { reqMailZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Zip Code.
   */
  public  String getReqMailZipCode() { return (reqMailZipCode); }

  /**
   * <P>The attribute <code>reqMailPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  private String reqMailPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMailPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  void   setReqMailPostalCode( String o ) { reqMailPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMailPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrMailAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The mailing address of the Consumer to be used in general
   * correspondence with the Consumer. See Postal Code.
   */
  public  String getReqMailPostalCode() { return (reqMailPostalCode); }

  /**
   * <P>The attribute <code>reqNewMailAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 1. .
   */
  private String reqNewMailAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 1. .
   */
  public  void   setReqNewMailAddressLine1( String o ) { reqNewMailAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 1. .
   */
  public  String getReqNewMailAddressLine1() { return (reqNewMailAddressLine1); }

  /**
   * <P>The attribute <code>reqNewMailAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 2. .
   */
  private String reqNewMailAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 2. .
   */
  public  void   setReqNewMailAddressLine2( String o ) { reqNewMailAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 2. .
   */
  public  String getReqNewMailAddressLine2() { return (reqNewMailAddressLine2); }

  /**
   * <P>The attribute <code>reqNewMailAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 3. .
   */
  private String reqNewMailAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 3. .
   */
  public  void   setReqNewMailAddressLine3( String o ) { reqNewMailAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Address Line
   * 3. .
   */
  public  String getReqNewMailAddressLine3() { return (reqNewMailAddressLine3); }

  /**
   * <P>The attribute <code>reqNewMailCity</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See City. .
   */
  private String reqNewMailCity = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See City. .
   */
  public  void   setReqNewMailCity( String o ) { reqNewMailCity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailCity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CityNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See City. .
   */
  public  String getReqNewMailCity() { return (reqNewMailCity); }

  /**
   * <P>The attribute <code>reqNewMailProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Province. .
   */
  private String reqNewMailProvince = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Province. .
   */
  public  void   setReqNewMailProvince( String o ) { reqNewMailProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ProvNmTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Province. .
   */
  public  String getReqNewMailProvince() { return (reqNewMailProvince); }

  /**
   * <P>The attribute <code>reqNewMailState</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See State Code. .
   */
  private String reqNewMailState = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See State Code. .
   */
  public  void   setReqNewMailState( String o ) { reqNewMailState = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.StateCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See State Code. .
   */
  public  String getReqNewMailState() { return (reqNewMailState); }

  /**
   * <P>The attribute <code>reqNewMailCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Country Code.
   * .
   */
  private String reqNewMailCountry = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Country Code.
   * .
   */
  public  void   setReqNewMailCountry( String o ) { reqNewMailCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer. See Country Code.
   * .
   */
  public  String getReqNewMailCountry() { return (reqNewMailCountry); }

  /**
   * <P>The attribute <code>reqNewMailZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Zip Code. .
   */
  private String reqNewMailZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Zip Code. .
   */
  public  void   setReqNewMailZipCode( String o ) { reqNewMailZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Zip Code. .
   */
  public  String getReqNewMailZipCode() { return (reqNewMailZipCode); }

  /**
   * <P>The attribute <code>reqNewMailPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Postal Code. .
   */
  private String reqNewMailPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewMailPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Postal Code. .
   */
  public  void   setReqNewMailPostalCode( String o ) { reqNewMailPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewMailPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrMlAdrDtlTg.PstCodeClTg</code>.
   * <P>
   * The new or updated mailing address of the Consumer to be used in
   * general correspondence with the Consumer. See Postal Code. .
   */
  public  String getReqNewMailPostalCode() { return (reqNewMailPostalCode); }

  /**
   * <P>The attribute <code>reqContactHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The current contact home phone number of the Consumer. This consumer
   * has requested the FI to update, replace this but the number has not
   * yet been accepted.
   */
  private String reqContactHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The current contact home phone number of the Consumer. This consumer
   * has requested the FI to update, replace this but the number has not
   * yet been accepted.
   */
  public  void   setReqContactHomePhone( String o ) { reqContactHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The current contact home phone number of the Consumer. This consumer
   * has requested the FI to update, replace this but the number has not
   * yet been accepted.
   */
  public  String getReqContactHomePhone() { return (reqContactHomePhone); }

  /**
   * <P>The attribute <code>reqContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The current contact work phone number of the Consumer . The consumer
   * has requested the FI to update, replace this but the new number has
   * not yet been accepted.
   */
  private String reqContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The current contact work phone number of the Consumer . The consumer
   * has requested the FI to update, replace this but the new number has
   * not yet been accepted.
   */
  public  void   setReqContactWorkPhone( String o ) { reqContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The current contact work phone number of the Consumer . The consumer
   * has requested the FI to update, replace this but the new number has
   * not yet been accepted.
   */
  public  String getReqContactWorkPhone() { return (reqContactWorkPhone); }

  /**
   * <P>The attribute <code>reqContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The current contact e-mail address of the Consumer. The consumer has
   * requested the FI to update, replace this but the new address has not
   * yet been accepted by the FI.
   */
  private String reqContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The current contact e-mail address of the Consumer. The consumer has
   * requested the FI to update, replace this but the new address has not
   * yet been accepted by the FI.
   */
  public  void   setReqContactEmailAddress( String o ) { reqContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The current contact e-mail address of the Consumer. The consumer has
   * requested the FI to update, replace this but the new address has not
   * yet been accepted by the FI.
   */
  public  String getReqContactEmailAddress() { return (reqContactEmailAddress); }

  /**
   * <P>The attribute <code>reqContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The current contact fax number of the consumer. The consumer has
   * requested the FI to update, replace this but the new fax number has
   * not yet been accepted by the FI.
   */
  private String reqContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The current contact fax number of the consumer. The consumer has
   * requested the FI to update, replace this but the new fax number has
   * not yet been accepted by the FI.
   */
  public  void   setReqContactFaxNumber( String o ) { reqContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The current contact fax number of the consumer. The consumer has
   * requested the FI to update, replace this but the new fax number has
   * not yet been accepted by the FI.
   */
  public  String getReqContactFaxNumber() { return (reqContactFaxNumber); }

  /**
   * <P>The attribute <code>reqResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The current contact response path indicator of the consumer. The
   * consumer has requested the FI to update, replace this but the new
   * response path indicator has not yet been accepted by the FI.
   */
  private int  reqResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The current contact response path indicator of the consumer. The
   * consumer has requested the FI to update, replace this but the new
   * response path indicator has not yet been accepted by the FI.
   */
  public  void setReqResponsePath( int o ) { reqResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The current contact response path indicator of the consumer. The
   * consumer has requested the FI to update, replace this but the new
   * response path indicator has not yet been accepted by the FI.
   */
  public  int  getReqResponsePath() { return (reqResponsePath); }

  /**
   * <P>The attribute <code>reqOldAccountContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  private int  reqOldAccountContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  void setReqOldAccountContactRequired( int o ) { reqOldAccountContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcReqTg</code>.
   * <P>
   * Determines whether consumer wishes to be contacted about this problem
   */
  public  int  getReqOldAccountContactRequired() { return (reqOldAccountContactRequired); }

  /**
   * <P>The attribute <code>reqOldAccountContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  private String reqOldAccountContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  void   setReqOldAccountContactOptional( String o ) { reqOldAccountContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcOptTg</code>.
   * <P>
   * Informs CSR how user wishes to be contacted.
   */
  public  String getReqOldAccountContactOptional() { return (reqOldAccountContactOptional); }

  /**
   * <P>The attribute <code>reqOldAccountStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqOldAccountStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqOldAccountStartTimeValue( String o ) { reqOldAccountStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqOldAccountStartTimeValue() { return (reqOldAccountStartTimeValue); }

  /**
   * <P>The attribute <code>reqOldAccountStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqOldAccountStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqOldAccountStartTimeFormat( String o ) { reqOldAccountStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqOldAccountStartTimeFormat() { return (reqOldAccountStartTimeFormat); }

  /**
   * <P>The attribute <code>reqOldAccountStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  reqOldAccountStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setReqOldAccountStartTimeGMTOffsetMinutes( int o ) { reqOldAccountStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getReqOldAccountStartTimeGMTOffsetMinutes() { return (reqOldAccountStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqOldAccountEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqOldAccountEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqOldAccountEndTimeValue( String o ) { reqOldAccountEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqOldAccountEndTimeValue() { return (reqOldAccountEndTimeValue); }

  /**
   * <P>The attribute <code>reqOldAccountEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqOldAccountEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqOldAccountEndTimeFormat( String o ) { reqOldAccountEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqOldAccountEndTimeFormat() { return (reqOldAccountEndTimeFormat); }

  /**
   * <P>The attribute <code>reqOldAccountEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqOldAccountEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqOldAccountEndTimeGMTOffsetMinutes( int o ) { reqOldAccountEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqOldAccountEndTimeGMTOffsetMinutes() { return (reqOldAccountEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqOldAccountFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  private String reqOldAccountFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqOldAccountFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  void   setReqOldAccountFreeFormText( String o ) { reqOldAccountFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOldAccountFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.OldCnsmrCntcTg.FreeformTxtTg</code>.
   * <P>
   * Free form text which can be used to hold information associated with
   * a message.
   */
  public  String getReqOldAccountFreeFormText() { return (reqOldAccountFreeFormText); }

  /**
   * <P>The attribute <code>reqNewContactHomePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The new requested contact home phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  private String reqNewContactHomePhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The new requested contact home phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  public  void   setReqNewContactHomePhone( String o ) { reqNewContactHomePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewContactHomePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcHomePhNbrIdTg</code>.
   * <P>
   * The new requested contact home phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  public  String getReqNewContactHomePhone() { return (reqNewContactHomePhone); }

  /**
   * <P>The attribute <code>reqNewContactWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The new requested contact work phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  private String reqNewContactWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The new requested contact work phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  public  void   setReqNewContactWorkPhone( String o ) { reqNewContactWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewContactWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcWorkPhNbrIdTg</code>.
   * <P>
   * The new requested contact work phone number of the Consumer. This has
   * not yet been accepted by the FI.
   */
  public  String getReqNewContactWorkPhone() { return (reqNewContactWorkPhone); }

  /**
   * <P>The attribute <code>reqNewContactEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The new requested contact e-mail address identifier of the Consumer.
   * This has not yet been accepted by the FI.
   */
  private String reqNewContactEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The new requested contact e-mail address identifier of the Consumer.
   * This has not yet been accepted by the FI.
   */
  public  void   setReqNewContactEmailAddress( String o ) { reqNewContactEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewContactEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcEmailAddrIdTg</code>.
   * <P>
   * The new requested contact e-mail address identifier of the Consumer.
   * This has not yet been accepted by the FI.
   */
  public  String getReqNewContactEmailAddress() { return (reqNewContactEmailAddress); }

  /**
   * <P>The attribute <code>reqNewContactFaxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The new requested contact fax number of the Consumer. This has not
   * yet been accepted by the FI.
   */
  private String reqNewContactFaxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The new requested contact fax number of the Consumer. This has not
   * yet been accepted by the FI.
   */
  public  void   setReqNewContactFaxNumber( String o ) { reqNewContactFaxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewContactFaxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CntcFaxNbrIdTg</code>.
   * <P>
   * The new requested contact fax number of the Consumer. This has not
   * yet been accepted by the FI.
   */
  public  String getReqNewContactFaxNumber() { return (reqNewContactFaxNumber); }

  /**
   * <P>The attribute <code>reqNewResponsePath</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The new requested contact response path indicator of the Consumer.
   */
  private int  reqNewResponsePath = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNewResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The new requested contact response path indicator of the Consumer.
   */
  public  void setReqNewResponsePath( int o ) { reqNewResponsePath = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewResponsePath</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.RespPathIndTg</code>.
   * <P>
   * The new requested contact response path indicator of the Consumer.
   */
  public  int  getReqNewResponsePath() { return (reqNewResponsePath); }

  /**
   * <P>The attribute <code>reqNewAccountContactRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcReqTg</code>.
   */
  private int  reqNewAccountContactRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcReqTg</code>.
   */
  public  void setReqNewAccountContactRequired( int o ) { reqNewAccountContactRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountContactRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcReqTg</code>.
   */
  public  int  getReqNewAccountContactRequired() { return (reqNewAccountContactRequired); }

  /**
   * <P>The attribute <code>reqNewAccountContactOptional</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcOptTg</code>.
   */
  private String reqNewAccountContactOptional = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcOptTg</code>.
   */
  public  void   setReqNewAccountContactOptional( String o ) { reqNewAccountContactOptional = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountContactOptional</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcOptTg</code>.
   */
  public  String getReqNewAccountContactOptional() { return (reqNewAccountContactOptional); }

  /**
   * <P>The attribute <code>reqNewAccountStartTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  private String reqNewAccountStartTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  void   setReqNewAccountStartTimeValue( String o ) { reqNewAccountStartTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountStartTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmValTg</code>.
   */
  public  String getReqNewAccountStartTimeValue() { return (reqNewAccountStartTimeValue); }

  /**
   * <P>The attribute <code>reqNewAccountStartTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  private String reqNewAccountStartTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqNewAccountStartTimeFormat( String o ) { reqNewAccountStartTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountStartTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqNewAccountStartTimeFormat() { return (reqNewAccountStartTimeFormat); }

  /**
   * <P>The attribute <code>reqNewAccountStartTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqNewAccountStartTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqNewAccountStartTimeGMTOffsetMinutes( int o ) { reqNewAccountStartTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountStartTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrcntcStTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqNewAccountStartTimeGMTOffsetMinutes() { return (reqNewAccountStartTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqNewAccountEndTimeValue</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  private String reqNewAccountEndTimeValue = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  void   setReqNewAccountEndTimeValue( String o ) { reqNewAccountEndTimeValue = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountEndTimeValue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmValTg</code>.
   */
  public  String getReqNewAccountEndTimeValue() { return (reqNewAccountEndTimeValue); }

  /**
   * <P>The attribute <code>reqNewAccountEndTimeFormat</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  private String reqNewAccountEndTimeFormat = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setReqNewAccountEndTimeFormat( String o ) { reqNewAccountEndTimeFormat = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountEndTimeFormat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.TmFmtCodeClTg</code>.
   */
  public  String getReqNewAccountEndTimeFormat() { return (reqNewAccountEndTimeFormat); }

  /**
   * <P>The attribute <code>reqNewAccountEndTimeGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  private int  reqNewAccountEndTimeGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  void setReqNewAccountEndTimeGMTOffsetMinutes( int o ) { reqNewAccountEndTimeGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountEndTimeGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.CnsmrCntcEnTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getReqNewAccountEndTimeGMTOffsetMinutes() { return (reqNewAccountEndTimeGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqNewAccountFreeFormText</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.FreeformTxtTg</code>.
   */
  private String reqNewAccountFreeFormText = null;

  /**
   * <P>Sets the value of the attribute <code>reqNewAccountFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.FreeformTxtTg</code>.
   */
  public  void   setReqNewAccountFreeFormText( String o ) { reqNewAccountFreeFormText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNewAccountFreeFormText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.NewCnsmrCntcTg.FreeformTxtTg</code>.
   */
  public  String getReqNewAccountFreeFormText() { return (reqNewAccountFreeFormText); }

  /**
   * <P>The attribute <code>reqConsumerText</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrTxtTg</code>.
   * <P>
   * A free form text field allowing the consumer to specify any relevant
   * information to the FI when notifying the FI of a change of address or
   * contact details for the consumer or one of their accounts.
   */
  private String reqConsumerText = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrTxtTg</code>.
   * <P>
   * A free form text field allowing the consumer to specify any relevant
   * information to the FI when notifying the FI of a change of address or
   * contact details for the consumer or one of their accounts.
   */
  public  void   setReqConsumerText( String o ) { reqConsumerText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.CnsmrTxtTg</code>.
   * <P>
   * A free form text field allowing the consumer to specify any relevant
   * information to the FI when notifying the FI of a change of address or
   * contact details for the consumer or one of their accounts.
   */
  public  String getReqConsumerText() { return (reqConsumerText); }

  /**
   * <P>The attribute <code>reqFIProductDescriptionText</code> is an alias for the
   * standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  private String reqFIProductDescriptionText = null;

  /**
   * <P>Sets the value of the attribute <code>reqFIProductDescriptionText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  void   setReqFIProductDescriptionText( String o ) { reqFIProductDescriptionText = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFIProductDescriptionText</code>,
   * which is an alias for the standard message simple element
   * <code>IfsUpdtCnsmrRqstTg.FiProdDescrTg</code>.
   * <P>
   * An account may be viewed as an instance of a product and each FI will
   * have its own Product Codes and corresponding Product Names. For
   * example,an Account with an Account Type of Loan may have Product
   * Description type of Car Loan, or Holiday Loan.
   */
  public  String getReqFIProductDescriptionText() { return (reqFIProductDescriptionText); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Service Provider, uniquely
   * identifying an event, transaction or message that the Service
   * Provider considers of sufficient importance, for regulatory or other
   * requirements. Typically, the Service Provider Reference Identifier is
   * returned to the originator of the transaction and provides the
   * originator with a precise identifier for subsequent inquiries and
   * correspondence about the transaction.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDtlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUpdateConsumerDetail );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );

    GsAccount.addPropertiesToGMJI( reqAccount, this );
    addArgToGMJI( reqFIProductDescriptionType ); 
    if( reqSecurity != null )
    {
      reqSecurity_packed = GsSrvcRqstScrty.pack( reqSecurity );
      addArgToGMJI( reqSecurity_packed );
    } else {
      addArgToGMJI();
    }

    if( reqAccountName != null && reqAccountName.length() > 40 )
      addArgToGMJI( reqAccountName.substring(0,40));
    else
      addArgToGMJI( reqAccountName ); 

    if( reqNewAccountName != null && reqNewAccountName.length() > 40 )
      addArgToGMJI( reqNewAccountName.substring(0,40));
    else
      addArgToGMJI( reqNewAccountName ); 

    if( reqConsumerAccountName != null && reqConsumerAccountName.length() > 40 )
      addArgToGMJI( reqConsumerAccountName.substring(0,40));
    else
      addArgToGMJI( reqConsumerAccountName ); 

    if( reqNewConsumerAccountName != null && reqNewConsumerAccountName.length() > 40 )
      addArgToGMJI( reqNewConsumerAccountName.substring(0,40));
    else
      addArgToGMJI( reqNewConsumerAccountName ); 

    if( reqOldAccountAddressLine1 != null && reqOldAccountAddressLine1.length() > 40 )
      addArgToGMJI( reqOldAccountAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqOldAccountAddressLine1 ); 

    if( reqOldAccountAddressLine2 != null && reqOldAccountAddressLine2.length() > 40 )
      addArgToGMJI( reqOldAccountAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqOldAccountAddressLine2 ); 

    if( reqOldAccountAddressLine3 != null && reqOldAccountAddressLine3.length() > 40 )
      addArgToGMJI( reqOldAccountAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqOldAccountAddressLine3 ); 

    if( reqOldAccountCity != null && reqOldAccountCity.length() > 30 )
      addArgToGMJI( reqOldAccountCity.substring(0,30));
    else
      addArgToGMJI( reqOldAccountCity ); 

    if( reqOldAccountProvince != null && reqOldAccountProvince.length() > 30 )
      addArgToGMJI( reqOldAccountProvince.substring(0,30));
    else
      addArgToGMJI( reqOldAccountProvince ); 

    if( reqOldAccountState != null && reqOldAccountState.length() > 2 )
      addArgToGMJI( reqOldAccountState.substring(0,2));
    else
      addArgToGMJI( reqOldAccountState ); 

    if( reqOldAccountCountry != null && reqOldAccountCountry.length() > 3 )
      addArgToGMJI( reqOldAccountCountry.substring(0,3));
    else
      addArgToGMJI( reqOldAccountCountry ); 

    if( reqOldAccountZipCode != null && reqOldAccountZipCode.length() > 9 )
      addArgToGMJI( reqOldAccountZipCode.substring(0,9));
    else
      addArgToGMJI( reqOldAccountZipCode ); 

    if( reqOldAccountPostalCode != null && reqOldAccountPostalCode.length() > 6 )
      addArgToGMJI( reqOldAccountPostalCode.substring(0,6));
    else
      addArgToGMJI( reqOldAccountPostalCode ); 

    if( reqNewAccountAddressLine1 != null && reqNewAccountAddressLine1.length() > 40 )
      addArgToGMJI( reqNewAccountAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqNewAccountAddressLine1 ); 

    if( reqNewAccountAddressLine2 != null && reqNewAccountAddressLine2.length() > 40 )
      addArgToGMJI( reqNewAccountAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqNewAccountAddressLine2 ); 

    if( reqNewAccountAddressLine3 != null && reqNewAccountAddressLine3.length() > 40 )
      addArgToGMJI( reqNewAccountAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqNewAccountAddressLine3 ); 

    if( reqNewAccountCity != null && reqNewAccountCity.length() > 30 )
      addArgToGMJI( reqNewAccountCity.substring(0,30));
    else
      addArgToGMJI( reqNewAccountCity ); 

    if( reqNewAccountProvince != null && reqNewAccountProvince.length() > 30 )
      addArgToGMJI( reqNewAccountProvince.substring(0,30));
    else
      addArgToGMJI( reqNewAccountProvince ); 

    if( reqNewAccountState != null && reqNewAccountState.length() > 2 )
      addArgToGMJI( reqNewAccountState.substring(0,2));
    else
      addArgToGMJI( reqNewAccountState ); 

    if( reqNewAccountCountry != null && reqNewAccountCountry.length() > 3 )
      addArgToGMJI( reqNewAccountCountry.substring(0,3));
    else
      addArgToGMJI( reqNewAccountCountry ); 

    if( reqNewAccountZipCode != null && reqNewAccountZipCode.length() > 9 )
      addArgToGMJI( reqNewAccountZipCode.substring(0,9));
    else
      addArgToGMJI( reqNewAccountZipCode ); 

    if( reqNewAccountPostalCode != null && reqNewAccountPostalCode.length() > 6 )
      addArgToGMJI( reqNewAccountPostalCode.substring(0,6));
    else
      addArgToGMJI( reqNewAccountPostalCode ); 

    if( reqAddressLine1 != null && reqAddressLine1.length() > 40 )
      addArgToGMJI( reqAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqAddressLine1 ); 

    if( reqAddressLine2 != null && reqAddressLine2.length() > 40 )
      addArgToGMJI( reqAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqAddressLine2 ); 

    if( reqAddressLine3 != null && reqAddressLine3.length() > 40 )
      addArgToGMJI( reqAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqAddressLine3 ); 

    if( reqCity != null && reqCity.length() > 30 )
      addArgToGMJI( reqCity.substring(0,30));
    else
      addArgToGMJI( reqCity ); 

    if( reqProvince != null && reqProvince.length() > 30 )
      addArgToGMJI( reqProvince.substring(0,30));
    else
      addArgToGMJI( reqProvince ); 

    if( reqState != null && reqState.length() > 2 )
      addArgToGMJI( reqState.substring(0,2));
    else
      addArgToGMJI( reqState ); 

    if( reqCountry != null && reqCountry.length() > 3 )
      addArgToGMJI( reqCountry.substring(0,3));
    else
      addArgToGMJI( reqCountry ); 

    if( reqZipCode != null && reqZipCode.length() > 9 )
      addArgToGMJI( reqZipCode.substring(0,9));
    else
      addArgToGMJI( reqZipCode ); 

    if( reqPostalCode != null && reqPostalCode.length() > 6 )
      addArgToGMJI( reqPostalCode.substring(0,6));
    else
      addArgToGMJI( reqPostalCode ); 

    if( reqNewAddressLine1 != null && reqNewAddressLine1.length() > 40 )
      addArgToGMJI( reqNewAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqNewAddressLine1 ); 

    if( reqNewAddressLine2 != null && reqNewAddressLine2.length() > 40 )
      addArgToGMJI( reqNewAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqNewAddressLine2 ); 

    if( reqNewAddressLine3 != null && reqNewAddressLine3.length() > 40 )
      addArgToGMJI( reqNewAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqNewAddressLine3 ); 

    if( reqNewCity != null && reqNewCity.length() > 30 )
      addArgToGMJI( reqNewCity.substring(0,30));
    else
      addArgToGMJI( reqNewCity ); 

    if( reqNewProvince != null && reqNewProvince.length() > 30 )
      addArgToGMJI( reqNewProvince.substring(0,30));
    else
      addArgToGMJI( reqNewProvince ); 

    if( reqNewState != null && reqNewState.length() > 2 )
      addArgToGMJI( reqNewState.substring(0,2));
    else
      addArgToGMJI( reqNewState ); 

    if( reqNewCountry != null && reqNewCountry.length() > 3 )
      addArgToGMJI( reqNewCountry.substring(0,3));
    else
      addArgToGMJI( reqNewCountry ); 

    if( reqNewZipCode != null && reqNewZipCode.length() > 9 )
      addArgToGMJI( reqNewZipCode.substring(0,9));
    else
      addArgToGMJI( reqNewZipCode ); 

    if( reqNewPostalCode != null && reqNewPostalCode.length() > 6 )
      addArgToGMJI( reqNewPostalCode.substring(0,6));
    else
      addArgToGMJI( reqNewPostalCode ); 

    if( reqMailAddressLine1 != null && reqMailAddressLine1.length() > 40 )
      addArgToGMJI( reqMailAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqMailAddressLine1 ); 

    if( reqMailAddressLine2 != null && reqMailAddressLine2.length() > 40 )
      addArgToGMJI( reqMailAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqMailAddressLine2 ); 

    if( reqMailAddressLine3 != null && reqMailAddressLine3.length() > 40 )
      addArgToGMJI( reqMailAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqMailAddressLine3 ); 

    if( reqMailCity != null && reqMailCity.length() > 30 )
      addArgToGMJI( reqMailCity.substring(0,30));
    else
      addArgToGMJI( reqMailCity ); 

    if( reqMailProvince != null && reqMailProvince.length() > 30 )
      addArgToGMJI( reqMailProvince.substring(0,30));
    else
      addArgToGMJI( reqMailProvince ); 

    if( reqMailState != null && reqMailState.length() > 2 )
      addArgToGMJI( reqMailState.substring(0,2));
    else
      addArgToGMJI( reqMailState ); 

    if( reqMailCountry != null && reqMailCountry.length() > 3 )
      addArgToGMJI( reqMailCountry.substring(0,3));
    else
      addArgToGMJI( reqMailCountry ); 

    if( reqMailZipCode != null && reqMailZipCode.length() > 9 )
      addArgToGMJI( reqMailZipCode.substring(0,9));
    else
      addArgToGMJI( reqMailZipCode ); 

    if( reqMailPostalCode != null && reqMailPostalCode.length() > 6 )
      addArgToGMJI( reqMailPostalCode.substring(0,6));
    else
      addArgToGMJI( reqMailPostalCode ); 

    if( reqNewMailAddressLine1 != null && reqNewMailAddressLine1.length() > 40 )
      addArgToGMJI( reqNewMailAddressLine1.substring(0,40));
    else
      addArgToGMJI( reqNewMailAddressLine1 ); 

    if( reqNewMailAddressLine2 != null && reqNewMailAddressLine2.length() > 40 )
      addArgToGMJI( reqNewMailAddressLine2.substring(0,40));
    else
      addArgToGMJI( reqNewMailAddressLine2 ); 

    if( reqNewMailAddressLine3 != null && reqNewMailAddressLine3.length() > 40 )
      addArgToGMJI( reqNewMailAddressLine3.substring(0,40));
    else
      addArgToGMJI( reqNewMailAddressLine3 ); 

    if( reqNewMailCity != null && reqNewMailCity.length() > 30 )
      addArgToGMJI( reqNewMailCity.substring(0,30));
    else
      addArgToGMJI( reqNewMailCity ); 

    if( reqNewMailProvince != null && reqNewMailProvince.length() > 30 )
      addArgToGMJI( reqNewMailProvince.substring(0,30));
    else
      addArgToGMJI( reqNewMailProvince ); 

    if( reqNewMailState != null && reqNewMailState.length() > 2 )
      addArgToGMJI( reqNewMailState.substring(0,2));
    else
      addArgToGMJI( reqNewMailState ); 

    if( reqNewMailCountry != null && reqNewMailCountry.length() > 3 )
      addArgToGMJI( reqNewMailCountry.substring(0,3));
    else
      addArgToGMJI( reqNewMailCountry ); 

    if( reqNewMailZipCode != null && reqNewMailZipCode.length() > 9 )
      addArgToGMJI( reqNewMailZipCode.substring(0,9));
    else
      addArgToGMJI( reqNewMailZipCode ); 

    if( reqNewMailPostalCode != null && reqNewMailPostalCode.length() > 6 )
      addArgToGMJI( reqNewMailPostalCode.substring(0,6));
    else
      addArgToGMJI( reqNewMailPostalCode ); 

    if( reqContactHomePhone != null && reqContactHomePhone.length() > 15 )
      addArgToGMJI( reqContactHomePhone.substring(0,15));
    else
      addArgToGMJI( reqContactHomePhone ); 

    if( reqContactWorkPhone != null && reqContactWorkPhone.length() > 15 )
      addArgToGMJI( reqContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqContactWorkPhone ); 

    if( reqContactEmailAddress != null && reqContactEmailAddress.length() > 128 )
      addArgToGMJI( reqContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqContactEmailAddress ); 

    if( reqContactFaxNumber != null && reqContactFaxNumber.length() > 15 )
      addArgToGMJI( reqContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqContactFaxNumber ); 
    addArgToGMJI( reqResponsePath ); 
    addArgToGMJI( reqOldAccountContactRequired ); 

    if( reqOldAccountContactOptional != null && reqOldAccountContactOptional.length() > 1 )
      addArgToGMJI( reqOldAccountContactOptional.substring(0,1));
    else
      addArgToGMJI( reqOldAccountContactOptional ); 

    if( reqOldAccountStartTimeValue != null && reqOldAccountStartTimeValue.length() > 10 )
      addArgToGMJI( reqOldAccountStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqOldAccountStartTimeValue ); 

    if( reqOldAccountStartTimeFormat != null && reqOldAccountStartTimeFormat.length() > 3 )
      addArgToGMJI( reqOldAccountStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqOldAccountStartTimeFormat ); 
    addArgToGMJI( reqOldAccountStartTimeGMTOffsetMinutes ); 

    if( reqOldAccountEndTimeValue != null && reqOldAccountEndTimeValue.length() > 10 )
      addArgToGMJI( reqOldAccountEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqOldAccountEndTimeValue ); 

    if( reqOldAccountEndTimeFormat != null && reqOldAccountEndTimeFormat.length() > 3 )
      addArgToGMJI( reqOldAccountEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqOldAccountEndTimeFormat ); 
    addArgToGMJI( reqOldAccountEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqOldAccountFreeFormText ); 

    if( reqNewContactHomePhone != null && reqNewContactHomePhone.length() > 15 )
      addArgToGMJI( reqNewContactHomePhone.substring(0,15));
    else
      addArgToGMJI( reqNewContactHomePhone ); 

    if( reqNewContactWorkPhone != null && reqNewContactWorkPhone.length() > 15 )
      addArgToGMJI( reqNewContactWorkPhone.substring(0,15));
    else
      addArgToGMJI( reqNewContactWorkPhone ); 

    if( reqNewContactEmailAddress != null && reqNewContactEmailAddress.length() > 128 )
      addArgToGMJI( reqNewContactEmailAddress.substring(0,128));
    else
      addArgToGMJI( reqNewContactEmailAddress ); 

    if( reqNewContactFaxNumber != null && reqNewContactFaxNumber.length() > 15 )
      addArgToGMJI( reqNewContactFaxNumber.substring(0,15));
    else
      addArgToGMJI( reqNewContactFaxNumber ); 
    addArgToGMJI( reqNewResponsePath ); 
    addArgToGMJI( reqNewAccountContactRequired ); 

    if( reqNewAccountContactOptional != null && reqNewAccountContactOptional.length() > 1 )
      addArgToGMJI( reqNewAccountContactOptional.substring(0,1));
    else
      addArgToGMJI( reqNewAccountContactOptional ); 

    if( reqNewAccountStartTimeValue != null && reqNewAccountStartTimeValue.length() > 10 )
      addArgToGMJI( reqNewAccountStartTimeValue.substring(0,10));
    else
      addArgToGMJI( reqNewAccountStartTimeValue ); 

    if( reqNewAccountStartTimeFormat != null && reqNewAccountStartTimeFormat.length() > 3 )
      addArgToGMJI( reqNewAccountStartTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqNewAccountStartTimeFormat ); 
    addArgToGMJI( reqNewAccountStartTimeGMTOffsetMinutes ); 

    if( reqNewAccountEndTimeValue != null && reqNewAccountEndTimeValue.length() > 10 )
      addArgToGMJI( reqNewAccountEndTimeValue.substring(0,10));
    else
      addArgToGMJI( reqNewAccountEndTimeValue ); 

    if( reqNewAccountEndTimeFormat != null && reqNewAccountEndTimeFormat.length() > 3 )
      addArgToGMJI( reqNewAccountEndTimeFormat.substring(0,3));
    else
      addArgToGMJI( reqNewAccountEndTimeFormat ); 
    addArgToGMJI( reqNewAccountEndTimeGMTOffsetMinutes ); 
    addArgToGMJI( reqNewAccountFreeFormText ); 

    if( reqConsumerText != null && reqConsumerText.length() > 3000 )
      addArgToGMJI( reqConsumerText.substring(0,3000));
    else
      addArgToGMJI( reqConsumerText ); 

    if( reqFIProductDescriptionText != null && reqFIProductDescriptionText.length() > 40 )
      addArgToGMJI( reqFIProductDescriptionText.substring(0,40));
    else
      addArgToGMJI( reqFIProductDescriptionText ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";

    pageWriter.println( prefix + "reqAccount =" );
    if( reqAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFIProductDescriptionType = " + getReqFIProductDescriptionType() );

    pageWriter.println( prefix + "reqSecurity =" );
    if( reqSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqSecurity.length; j++ )
      {
        pageWriter.println( prefix + "reqSecurity[" + j + "] =" );
        if( reqSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSecurity_packed = " + getReqSecurity_packed() );
    pageWriter.println( prefix + "reqAccountName = " + getReqAccountName() );
    pageWriter.println( prefix + "reqNewAccountName = " + getReqNewAccountName() );
    pageWriter.println( prefix + "reqConsumerAccountName = " + getReqConsumerAccountName() );
    pageWriter.println( prefix + "reqNewConsumerAccountName = " + getReqNewConsumerAccountName() );
    pageWriter.println( prefix + "reqOldAccountAddressLine1 = " + getReqOldAccountAddressLine1() );
    pageWriter.println( prefix + "reqOldAccountAddressLine2 = " + getReqOldAccountAddressLine2() );
    pageWriter.println( prefix + "reqOldAccountAddressLine3 = " + getReqOldAccountAddressLine3() );
    pageWriter.println( prefix + "reqOldAccountCity = " + getReqOldAccountCity() );
    pageWriter.println( prefix + "reqOldAccountProvince = " + getReqOldAccountProvince() );
    pageWriter.println( prefix + "reqOldAccountState = " + getReqOldAccountState() );
    pageWriter.println( prefix + "reqOldAccountCountry = " + getReqOldAccountCountry() );
    pageWriter.println( prefix + "reqOldAccountZipCode = " + getReqOldAccountZipCode() );
    pageWriter.println( prefix + "reqOldAccountPostalCode = " + getReqOldAccountPostalCode() );
    pageWriter.println( prefix + "reqNewAccountAddressLine1 = " + getReqNewAccountAddressLine1() );
    pageWriter.println( prefix + "reqNewAccountAddressLine2 = " + getReqNewAccountAddressLine2() );
    pageWriter.println( prefix + "reqNewAccountAddressLine3 = " + getReqNewAccountAddressLine3() );
    pageWriter.println( prefix + "reqNewAccountCity = " + getReqNewAccountCity() );
    pageWriter.println( prefix + "reqNewAccountProvince = " + getReqNewAccountProvince() );
    pageWriter.println( prefix + "reqNewAccountState = " + getReqNewAccountState() );
    pageWriter.println( prefix + "reqNewAccountCountry = " + getReqNewAccountCountry() );
    pageWriter.println( prefix + "reqNewAccountZipCode = " + getReqNewAccountZipCode() );
    pageWriter.println( prefix + "reqNewAccountPostalCode = " + getReqNewAccountPostalCode() );
    pageWriter.println( prefix + "reqAddressLine1 = " + getReqAddressLine1() );
    pageWriter.println( prefix + "reqAddressLine2 = " + getReqAddressLine2() );
    pageWriter.println( prefix + "reqAddressLine3 = " + getReqAddressLine3() );
    pageWriter.println( prefix + "reqCity = " + getReqCity() );
    pageWriter.println( prefix + "reqProvince = " + getReqProvince() );
    pageWriter.println( prefix + "reqState = " + getReqState() );
    pageWriter.println( prefix + "reqCountry = " + getReqCountry() );
    pageWriter.println( prefix + "reqZipCode = " + getReqZipCode() );
    pageWriter.println( prefix + "reqPostalCode = " + getReqPostalCode() );
    pageWriter.println( prefix + "reqNewAddressLine1 = " + getReqNewAddressLine1() );
    pageWriter.println( prefix + "reqNewAddressLine2 = " + getReqNewAddressLine2() );
    pageWriter.println( prefix + "reqNewAddressLine3 = " + getReqNewAddressLine3() );
    pageWriter.println( prefix + "reqNewCity = " + getReqNewCity() );
    pageWriter.println( prefix + "reqNewProvince = " + getReqNewProvince() );
    pageWriter.println( prefix + "reqNewState = " + getReqNewState() );
    pageWriter.println( prefix + "reqNewCountry = " + getReqNewCountry() );
    pageWriter.println( prefix + "reqNewZipCode = " + getReqNewZipCode() );
    pageWriter.println( prefix + "reqNewPostalCode = " + getReqNewPostalCode() );
    pageWriter.println( prefix + "reqMailAddressLine1 = " + getReqMailAddressLine1() );
    pageWriter.println( prefix + "reqMailAddressLine2 = " + getReqMailAddressLine2() );
    pageWriter.println( prefix + "reqMailAddressLine3 = " + getReqMailAddressLine3() );
    pageWriter.println( prefix + "reqMailCity = " + getReqMailCity() );
    pageWriter.println( prefix + "reqMailProvince = " + getReqMailProvince() );
    pageWriter.println( prefix + "reqMailState = " + getReqMailState() );
    pageWriter.println( prefix + "reqMailCountry = " + getReqMailCountry() );
    pageWriter.println( prefix + "reqMailZipCode = " + getReqMailZipCode() );
    pageWriter.println( prefix + "reqMailPostalCode = " + getReqMailPostalCode() );
    pageWriter.println( prefix + "reqNewMailAddressLine1 = " + getReqNewMailAddressLine1() );
    pageWriter.println( prefix + "reqNewMailAddressLine2 = " + getReqNewMailAddressLine2() );
    pageWriter.println( prefix + "reqNewMailAddressLine3 = " + getReqNewMailAddressLine3() );
    pageWriter.println( prefix + "reqNewMailCity = " + getReqNewMailCity() );
    pageWriter.println( prefix + "reqNewMailProvince = " + getReqNewMailProvince() );
    pageWriter.println( prefix + "reqNewMailState = " + getReqNewMailState() );
    pageWriter.println( prefix + "reqNewMailCountry = " + getReqNewMailCountry() );
    pageWriter.println( prefix + "reqNewMailZipCode = " + getReqNewMailZipCode() );
    pageWriter.println( prefix + "reqNewMailPostalCode = " + getReqNewMailPostalCode() );
    pageWriter.println( prefix + "reqContactHomePhone = " + getReqContactHomePhone() );
    pageWriter.println( prefix + "reqContactWorkPhone = " + getReqContactWorkPhone() );
    pageWriter.println( prefix + "reqContactEmailAddress = " + getReqContactEmailAddress() );
    pageWriter.println( prefix + "reqContactFaxNumber = " + getReqContactFaxNumber() );
    pageWriter.println( prefix + "reqResponsePath = " + getReqResponsePath() );
    pageWriter.println( prefix + "reqOldAccountContactRequired = " + getReqOldAccountContactRequired() );
    pageWriter.println( prefix + "reqOldAccountContactOptional = " + getReqOldAccountContactOptional() );
    pageWriter.println( prefix + "reqOldAccountStartTimeValue = " + getReqOldAccountStartTimeValue() );
    pageWriter.println( prefix + "reqOldAccountStartTimeFormat = " + getReqOldAccountStartTimeFormat() );
    pageWriter.println( prefix + "reqOldAccountStartTimeGMTOffsetMinutes = " + getReqOldAccountStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqOldAccountEndTimeValue = " + getReqOldAccountEndTimeValue() );
    pageWriter.println( prefix + "reqOldAccountEndTimeFormat = " + getReqOldAccountEndTimeFormat() );
    pageWriter.println( prefix + "reqOldAccountEndTimeGMTOffsetMinutes = " + getReqOldAccountEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqOldAccountFreeFormText = " + getReqOldAccountFreeFormText() );
    pageWriter.println( prefix + "reqNewContactHomePhone = " + getReqNewContactHomePhone() );
    pageWriter.println( prefix + "reqNewContactWorkPhone = " + getReqNewContactWorkPhone() );
    pageWriter.println( prefix + "reqNewContactEmailAddress = " + getReqNewContactEmailAddress() );
    pageWriter.println( prefix + "reqNewContactFaxNumber = " + getReqNewContactFaxNumber() );
    pageWriter.println( prefix + "reqNewResponsePath = " + getReqNewResponsePath() );
    pageWriter.println( prefix + "reqNewAccountContactRequired = " + getReqNewAccountContactRequired() );
    pageWriter.println( prefix + "reqNewAccountContactOptional = " + getReqNewAccountContactOptional() );
    pageWriter.println( prefix + "reqNewAccountStartTimeValue = " + getReqNewAccountStartTimeValue() );
    pageWriter.println( prefix + "reqNewAccountStartTimeFormat = " + getReqNewAccountStartTimeFormat() );
    pageWriter.println( prefix + "reqNewAccountStartTimeGMTOffsetMinutes = " + getReqNewAccountStartTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqNewAccountEndTimeValue = " + getReqNewAccountEndTimeValue() );
    pageWriter.println( prefix + "reqNewAccountEndTimeFormat = " + getReqNewAccountEndTimeFormat() );
    pageWriter.println( prefix + "reqNewAccountEndTimeGMTOffsetMinutes = " + getReqNewAccountEndTimeGMTOffsetMinutes() );
    pageWriter.println( prefix + "reqNewAccountFreeFormText = " + getReqNewAccountFreeFormText() );
    pageWriter.println( prefix + "reqConsumerText = " + getReqConsumerText() );
    pageWriter.println( prefix + "reqFIProductDescriptionText = " + getReqFIProductDescriptionText() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccount", "GtUpdateConsumerDetail" );
    reqFIProductDescriptionType = getLongFromURL( req, prefix + "reqFIProductDescriptionType" );

    repeatCounter = getLongFromURL( req, prefix + "reqSecurity_repeatCounter" );
    reqSecurity = new GsSrvcRqstScrty[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqSecurity[ i ] = new GsSrvcRqstScrty(getIfsSession());
      reqSecurity[ i ].populateFromURL( txn, req, prefix + "reqSecurity_" + i + "_" );
    }
    reqAccountName = getCharFromURL( req, prefix + "reqAccountName" );
    reqNewAccountName = getCharFromURL( req, prefix + "reqNewAccountName" );
    reqConsumerAccountName = getCharFromURL( req, prefix + "reqConsumerAccountName" );
    reqNewConsumerAccountName = getCharFromURL( req, prefix + "reqNewConsumerAccountName" );
    reqOldAccountAddressLine1 = getCharFromURL( req, prefix + "reqOldAccountAddressLine1" );
    reqOldAccountAddressLine2 = getCharFromURL( req, prefix + "reqOldAccountAddressLine2" );
    reqOldAccountAddressLine3 = getCharFromURL( req, prefix + "reqOldAccountAddressLine3" );
    reqOldAccountCity = getCharFromURL( req, prefix + "reqOldAccountCity" );
    reqOldAccountProvince = getCharFromURL( req, prefix + "reqOldAccountProvince" );
    reqOldAccountState = getCharFromURL( req, prefix + "reqOldAccountState" );
    reqOldAccountCountry = getCharFromURL( req, prefix + "reqOldAccountCountry" );
    reqOldAccountZipCode = getCharFromURL( req, prefix + "reqOldAccountZipCode" );
    reqOldAccountPostalCode = getCharFromURL( req, prefix + "reqOldAccountPostalCode" );
    reqNewAccountAddressLine1 = getCharFromURL( req, prefix + "reqNewAccountAddressLine1" );
    reqNewAccountAddressLine2 = getCharFromURL( req, prefix + "reqNewAccountAddressLine2" );
    reqNewAccountAddressLine3 = getCharFromURL( req, prefix + "reqNewAccountAddressLine3" );
    reqNewAccountCity = getCharFromURL( req, prefix + "reqNewAccountCity" );
    reqNewAccountProvince = getCharFromURL( req, prefix + "reqNewAccountProvince" );
    reqNewAccountState = getCharFromURL( req, prefix + "reqNewAccountState" );
    reqNewAccountCountry = getCharFromURL( req, prefix + "reqNewAccountCountry" );
    reqNewAccountZipCode = getCharFromURL( req, prefix + "reqNewAccountZipCode" );
    reqNewAccountPostalCode = getCharFromURL( req, prefix + "reqNewAccountPostalCode" );
    reqAddressLine1 = getCharFromURL( req, prefix + "reqAddressLine1" );
    reqAddressLine2 = getCharFromURL( req, prefix + "reqAddressLine2" );
    reqAddressLine3 = getCharFromURL( req, prefix + "reqAddressLine3" );
    reqCity = getCharFromURL( req, prefix + "reqCity" );
    reqProvince = getCharFromURL( req, prefix + "reqProvince" );
    reqState = getCharFromURL( req, prefix + "reqState" );
    reqCountry = getCharFromURL( req, prefix + "reqCountry" );
    reqZipCode = getCharFromURL( req, prefix + "reqZipCode" );
    reqPostalCode = getCharFromURL( req, prefix + "reqPostalCode" );
    reqNewAddressLine1 = getCharFromURL( req, prefix + "reqNewAddressLine1" );
    reqNewAddressLine2 = getCharFromURL( req, prefix + "reqNewAddressLine2" );
    reqNewAddressLine3 = getCharFromURL( req, prefix + "reqNewAddressLine3" );
    reqNewCity = getCharFromURL( req, prefix + "reqNewCity" );
    reqNewProvince = getCharFromURL( req, prefix + "reqNewProvince" );
    reqNewState = getCharFromURL( req, prefix + "reqNewState" );
    reqNewCountry = getCharFromURL( req, prefix + "reqNewCountry" );
    reqNewZipCode = getCharFromURL( req, prefix + "reqNewZipCode" );
    reqNewPostalCode = getCharFromURL( req, prefix + "reqNewPostalCode" );
    reqMailAddressLine1 = getCharFromURL( req, prefix + "reqMailAddressLine1" );
    reqMailAddressLine2 = getCharFromURL( req, prefix + "reqMailAddressLine2" );
    reqMailAddressLine3 = getCharFromURL( req, prefix + "reqMailAddressLine3" );
    reqMailCity = getCharFromURL( req, prefix + "reqMailCity" );
    reqMailProvince = getCharFromURL( req, prefix + "reqMailProvince" );
    reqMailState = getCharFromURL( req, prefix + "reqMailState" );
    reqMailCountry = getCharFromURL( req, prefix + "reqMailCountry" );
    reqMailZipCode = getCharFromURL( req, prefix + "reqMailZipCode" );
    reqMailPostalCode = getCharFromURL( req, prefix + "reqMailPostalCode" );
    reqNewMailAddressLine1 = getCharFromURL( req, prefix + "reqNewMailAddressLine1" );
    reqNewMailAddressLine2 = getCharFromURL( req, prefix + "reqNewMailAddressLine2" );
    reqNewMailAddressLine3 = getCharFromURL( req, prefix + "reqNewMailAddressLine3" );
    reqNewMailCity = getCharFromURL( req, prefix + "reqNewMailCity" );
    reqNewMailProvince = getCharFromURL( req, prefix + "reqNewMailProvince" );
    reqNewMailState = getCharFromURL( req, prefix + "reqNewMailState" );
    reqNewMailCountry = getCharFromURL( req, prefix + "reqNewMailCountry" );
    reqNewMailZipCode = getCharFromURL( req, prefix + "reqNewMailZipCode" );
    reqNewMailPostalCode = getCharFromURL( req, prefix + "reqNewMailPostalCode" );
    reqContactHomePhone = getCharFromURL( req, prefix + "reqContactHomePhone" );
    reqContactWorkPhone = getCharFromURL( req, prefix + "reqContactWorkPhone" );
    reqContactEmailAddress = getCharFromURL( req, prefix + "reqContactEmailAddress" );
    reqContactFaxNumber = getCharFromURL( req, prefix + "reqContactFaxNumber" );
    reqResponsePath = getLongFromURL( req, prefix + "reqResponsePath" );
    reqOldAccountContactRequired = getLongFromURL( req, prefix + "reqOldAccountContactRequired" );
    reqOldAccountContactOptional = getCharFromURL( req, prefix + "reqOldAccountContactOptional" );
    reqOldAccountStartTimeValue = getCharFromURL( req, prefix + "reqOldAccountStartTimeValue" );
    reqOldAccountStartTimeFormat = getCharFromURL( req, prefix + "reqOldAccountStartTimeFormat" );
    reqOldAccountStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqOldAccountStartTimeGMTOffsetMinutes" );
    reqOldAccountEndTimeValue = getCharFromURL( req, prefix + "reqOldAccountEndTimeValue" );
    reqOldAccountEndTimeFormat = getCharFromURL( req, prefix + "reqOldAccountEndTimeFormat" );
    reqOldAccountEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqOldAccountEndTimeGMTOffsetMinutes" );
    reqOldAccountFreeFormText = getCharFromURL( req, prefix + "reqOldAccountFreeFormText" );
    reqNewContactHomePhone = getCharFromURL( req, prefix + "reqNewContactHomePhone" );
    reqNewContactWorkPhone = getCharFromURL( req, prefix + "reqNewContactWorkPhone" );
    reqNewContactEmailAddress = getCharFromURL( req, prefix + "reqNewContactEmailAddress" );
    reqNewContactFaxNumber = getCharFromURL( req, prefix + "reqNewContactFaxNumber" );
    reqNewResponsePath = getLongFromURL( req, prefix + "reqNewResponsePath" );
    reqNewAccountContactRequired = getLongFromURL( req, prefix + "reqNewAccountContactRequired" );
    reqNewAccountContactOptional = getCharFromURL( req, prefix + "reqNewAccountContactOptional" );
    reqNewAccountStartTimeValue = getCharFromURL( req, prefix + "reqNewAccountStartTimeValue" );
    reqNewAccountStartTimeFormat = getCharFromURL( req, prefix + "reqNewAccountStartTimeFormat" );
    reqNewAccountStartTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqNewAccountStartTimeGMTOffsetMinutes" );
    reqNewAccountEndTimeValue = getCharFromURL( req, prefix + "reqNewAccountEndTimeValue" );
    reqNewAccountEndTimeFormat = getCharFromURL( req, prefix + "reqNewAccountEndTimeFormat" );
    reqNewAccountEndTimeGMTOffsetMinutes = getLongFromURL( req, prefix + "reqNewAccountEndTimeGMTOffsetMinutes" );
    reqNewAccountFreeFormText = getCharFromURL( req, prefix + "reqNewAccountFreeFormText" );
    reqConsumerText = getCharFromURL( req, prefix + "reqConsumerText" );
    reqFIProductDescriptionText = getCharFromURL( req, prefix + "reqFIProductDescriptionText" );
  }
}
