//**********************************************
//
// FILE NAME: GtUpdateDestFI.java
// TRANSACTION NAME: Update Destination FI table
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Update Destination FI table</B>
 * <P>IFS ID: <B>udestfi</B>
 * <P>
 * Update Destination FI table Transaction. The Destination Financial
 * Institution is the financial institution that receives an interbank
 * payment. This transaction will maintain the DESTINATION_FI table via
 * CTW/IGATE.
 * <BR>
 * <P><B>UPDT_DEST_FI_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>UPDT_DEST_FI_IMSG</B>
 *
 * <P>Reply:   <B>UPDT_DEST_FI_OMSG</B>
 */
public class GtUpdateDestFI extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUpdateDestFI() { }
  public GtUpdateDestFI( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "udestfi_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqDestinationFIID</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFIIDTg</code>.
   * <P>
   * Unique Identifier for DESTINATION_FI table. Numeriv value greater
   * than zero. Value is generated by the CTW on 'Add' Action.
   */
  private int  reqDestinationFIID = 0;

  /**
   * <P>Sets the value of the attribute <code>reqDestinationFIID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIIDTg</code>.
   * <P>
   * Unique Identifier for DESTINATION_FI table. Numeriv value greater
   * than zero. Value is generated by the CTW on 'Add' Action.
   */
  public  void setReqDestinationFIID( int o ) { reqDestinationFIID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestinationFIID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIIDTg</code>.
   * <P>
   * Unique Identifier for DESTINATION_FI table. Numeriv value greater
   * than zero. Value is generated by the CTW on 'Add' Action.
   */
  public  int  getReqDestinationFIID() { return (reqDestinationFIID); }

  /**
   * <P>The attribute <code>reqDestinationFIIDShortName</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmTg</code>.
   * <P>
   * Short Display name for the Destination FI.
   */
  private String reqDestinationFIIDShortName = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestinationFIIDShortName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmTg</code>.
   * <P>
   * Short Display name for the Destination FI.
   */
  public  void   setReqDestinationFIIDShortName( String o ) { reqDestinationFIIDShortName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestinationFIIDShortName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmTg</code>.
   * <P>
   * Short Display name for the Destination FI.
   */
  public  String getReqDestinationFIIDShortName() { return (reqDestinationFIIDShortName); }

  /**
   * <P>The attribute <code>reqDestFIShrtNmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmAltTg</code>.
   * <P>
   * Alternate text for short FI Name.
   */
  private String reqDestFIShrtNmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestFIShrtNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmAltTg</code>.
   * <P>
   * Alternate text for short FI Name.
   */
  public  void   setReqDestFIShrtNmAlt( String o ) { reqDestFIShrtNmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestFIShrtNmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFIShrtNmAltTg</code>.
   * <P>
   * Alternate text for short FI Name.
   */
  public  String getReqDestFIShrtNmAlt() { return (reqDestFIShrtNmAlt); }

  /**
   * <P>The attribute <code>reqDestinationFILine1Name</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmTg</code>.
   */
  private String reqDestinationFILine1Name = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestinationFILine1Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmTg</code>.
   */
  public  void   setReqDestinationFILine1Name( String o ) { reqDestinationFILine1Name = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestinationFILine1Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmTg</code>.
   */
  public  String getReqDestinationFILine1Name() { return (reqDestinationFILine1Name); }

  /**
   * <P>The attribute <code>reqDestFILine1NmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  private String reqDestFILine1NmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestFILine1NmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  public  void   setReqDestFILine1NmAlt( String o ) { reqDestFILine1NmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestFILine1NmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine1NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  public  String getReqDestFILine1NmAlt() { return (reqDestFILine1NmAlt); }

  /**
   * <P>The attribute <code>reqDestinationFILine2Name</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmTg</code>.
   */
  private String reqDestinationFILine2Name = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestinationFILine2Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmTg</code>.
   */
  public  void   setReqDestinationFILine2Name( String o ) { reqDestinationFILine2Name = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestinationFILine2Name</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmTg</code>.
   */
  public  String getReqDestinationFILine2Name() { return (reqDestinationFILine2Name); }

  /**
   * <P>The attribute <code>reqDestFILine2NmAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  private String reqDestFILine2NmAlt = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestFILine2NmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  public  void   setReqDestFILine2NmAlt( String o ) { reqDestFILine2NmAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestFILine2NmAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFILine2NmAltTg</code>.
   * <P>
   * Alternate text for FI Name.
   */
  public  String getReqDestFILine2NmAlt() { return (reqDestFILine2NmAlt); }

  /**
   * <P>The attribute <code>reqDestinationCountryCode</code> is an alias for the
   * standard message simple element
   * <code>IfsDestFIDtlTg.DestFICntryCodeTg</code>.
   * <P>
   * Identifies the Country ( and by inference the Central Banking System)
   * that assigns and characterizes the routing numbers used to identify
   * payment Destinaiton Financial Institutions.
   */
  private String reqDestinationCountryCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqDestinationCountryCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFICntryCodeTg</code>.
   * <P>
   * Identifies the Country ( and by inference the Central Banking System)
   * that assigns and characterizes the routing numbers used to identify
   * payment Destinaiton Financial Institutions.
   */
  public  void   setReqDestinationCountryCode( String o ) { reqDestinationCountryCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqDestinationCountryCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDestFIDtlTg.DestFICntryCodeTg</code>.
   * <P>
   * Identifies the Country ( and by inference the Central Banking System)
   * that assigns and characterizes the routing numbers used to identify
   * payment Destinaiton Financial Institutions.
   */
  public  String getReqDestinationCountryCode() { return (reqDestinationCountryCode); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUpdateDestFI );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 
    addArgToGMJI( reqDestinationFIID ); 

    if( reqDestinationFIIDShortName != null && reqDestinationFIIDShortName.length() > 30 )
      addArgToGMJI( reqDestinationFIIDShortName.substring(0,30));
    else
      addArgToGMJI( reqDestinationFIIDShortName ); 

    if( reqDestFIShrtNmAlt != null && reqDestFIShrtNmAlt.length() > 30 )
      addArgToGMJI( reqDestFIShrtNmAlt.substring(0,30));
    else
      addArgToGMJI( reqDestFIShrtNmAlt ); 

    if( reqDestinationFILine1Name != null && reqDestinationFILine1Name.length() > 90 )
      addArgToGMJI( reqDestinationFILine1Name.substring(0,90));
    else
      addArgToGMJI( reqDestinationFILine1Name ); 

    if( reqDestFILine1NmAlt != null && reqDestFILine1NmAlt.length() > 90 )
      addArgToGMJI( reqDestFILine1NmAlt.substring(0,90));
    else
      addArgToGMJI( reqDestFILine1NmAlt ); 

    if( reqDestinationFILine2Name != null && reqDestinationFILine2Name.length() > 90 )
      addArgToGMJI( reqDestinationFILine2Name.substring(0,90));
    else
      addArgToGMJI( reqDestinationFILine2Name ); 

    if( reqDestFILine2NmAlt != null && reqDestFILine2NmAlt.length() > 90 )
      addArgToGMJI( reqDestFILine2NmAlt.substring(0,90));
    else
      addArgToGMJI( reqDestFILine2NmAlt ); 

    if( reqDestinationCountryCode != null && reqDestinationCountryCode.length() > 3 )
      addArgToGMJI( reqDestinationCountryCode.substring(0,3));
    else
      addArgToGMJI( reqDestinationCountryCode ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqDestinationFIID = " + getReqDestinationFIID() );
    pageWriter.println( prefix + "reqDestinationFIIDShortName = " + getReqDestinationFIIDShortName() );
    pageWriter.println( prefix + "reqDestFIShrtNmAlt = " + getReqDestFIShrtNmAlt() );
    pageWriter.println( prefix + "reqDestinationFILine1Name = " + getReqDestinationFILine1Name() );
    pageWriter.println( prefix + "reqDestFILine1NmAlt = " + getReqDestFILine1NmAlt() );
    pageWriter.println( prefix + "reqDestinationFILine2Name = " + getReqDestinationFILine2Name() );
    pageWriter.println( prefix + "reqDestFILine2NmAlt = " + getReqDestFILine2NmAlt() );
    pageWriter.println( prefix + "reqDestinationCountryCode = " + getReqDestinationCountryCode() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqDestinationFIID = getLongFromURL( req, prefix + "reqDestinationFIID" );
    reqDestinationFIIDShortName = getCharFromURL( req, prefix + "reqDestinationFIIDShortName" );
    reqDestFIShrtNmAlt = getCharFromURL( req, prefix + "reqDestFIShrtNmAlt" );
    reqDestinationFILine1Name = getCharFromURL( req, prefix + "reqDestinationFILine1Name" );
    reqDestFILine1NmAlt = getCharFromURL( req, prefix + "reqDestFILine1NmAlt" );
    reqDestinationFILine2Name = getCharFromURL( req, prefix + "reqDestinationFILine2Name" );
    reqDestFILine2NmAlt = getCharFromURL( req, prefix + "reqDestFILine2NmAlt" );
    reqDestinationCountryCode = getCharFromURL( req, prefix + "reqDestinationCountryCode" );
  }
}
