//**********************************************
//
// FILE NAME: GtUpdateExchangeCalendar.java
// TRANSACTION NAME: Update Exchange Calendar
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Update Exchange Calendar</B>
 * <P>IFS ID: <B>uexchcal</B>
 * <P>
 * THe Market code must always be present. To Add, change or delete
 * specific non-trading days the indicator within the Non-trading Day
 * structure is used.
 * <BR>
 * <P><B>UPD_EXCH_CAL_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>UPD_EXCH_CAL_IMSG</B>
 *
 * <P>Reply:   <B>UPD_EXCH_CAL_OMSG</B>
 */
public class GtUpdateExchangeCalendar extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUpdateExchangeCalendar() { }
  public GtUpdateExchangeCalendar( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "uexchcal_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqAddChangeDeleteIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  private String reqAddChangeDeleteIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  void   setReqAddChangeDeleteIndicator( String o ) { reqAddChangeDeleteIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAddChangeDeleteIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsAddChgDelTg.AddChgDelIndTg</code>.
   * <P>
   * An indicator which denotes if the audit record reflects an Add,
   * Change or Delete action.
   */
  public  String getReqAddChangeDeleteIndicator() { return (reqAddChangeDeleteIndicator); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>UpdExchReqTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>UpdExchReqTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>UpdExchReqTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqMarketCodeDesc</code> is an alias for the
   * standard message simple element
   * <code>UpdExchReqTg.MrktCdDescTg</code>.
   * <P>
   * The text description of hte value of hte market code. e.g New York
   * Stock Exchange.
   */
  private String reqMarketCodeDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqMarketCodeDesc</code>,
   * which is an alias for the standard message simple element
   * <code>UpdExchReqTg.MrktCdDescTg</code>.
   * <P>
   * The text description of hte value of hte market code. e.g New York
   * Stock Exchange.
   */
  public  void   setReqMarketCodeDesc( String o ) { reqMarketCodeDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMarketCodeDesc</code>,
   * which is an alias for the standard message simple element
   * <code>UpdExchReqTg.MrktCdDescTg</code>.
   * <P>
   * The text description of hte value of hte market code. e.g New York
   * Stock Exchange.
   */
  public  String getReqMarketCodeDesc() { return (reqMarketCodeDesc); }

  /**
   * <P>The attribute <code>reqMrktOpnTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktOpnTmTg</code>.
   * <P>
   * Regular opening time for the market.
   * <BR>
   */
  private GsTime reqMrktOpnTm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktOpnTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktOpnTmTg</code>.
   * <P>
   * Regular opening time for the market.
   * <BR>
   */
  public  void   setReqMrktOpnTm(GsTime o )  { reqMrktOpnTm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktOpnTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktOpnTmTg</code>.
   * <P>
   * Regular opening time for the market.
   * <BR>
   */
  public  GsTime getReqMrktOpnTm() { return (reqMrktOpnTm); }

  /**
   * <P>The attribute <code>reqMrktClosTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktClosTmTg</code>.
   * <P>
   * Regular closing time for the market.
   * <BR>
   */
  private GsTime reqMrktClosTm = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktClosTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktClosTmTg</code>.
   * <P>
   * Regular closing time for the market.
   * <BR>
   */
  public  void   setReqMrktClosTm(GsTime o )  { reqMrktClosTm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktClosTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.MrktClosTmTg</code>.
   * <P>
   * Regular closing time for the market.
   * <BR>
   */
  public  GsTime getReqMrktClosTm() { return (reqMrktClosTm); }

  /**
   * <P>The attribute <code>reqNonTradingDay</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.IfsNonTradDStrTg</code>.
   * <BR>
   */
  private GsNonTrdDayStruct[] reqNonTradingDay = null;

  /**
   * <P>Sets the value of the attribute <code>reqNonTradingDay</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.IfsNonTradDStrTg</code>.
   * <BR>
   */
  public  void                setReqNonTradingDay(GsNonTrdDayStruct[] o )  { reqNonTradingDay = o; }

  /**
   * <P>Gets the value of the attribute <code>reqNonTradingDay</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdExchReqTg.IfsNonTradDStrTg</code>.
   * <BR>
   */
  public  GsNonTrdDayStruct[] getReqNonTradingDay() { return (reqNonTradingDay); }

  private String reqNonTradingDay_packed = null;
  public  void   setReqNonTradingDay_packed(String o ) { reqNonTradingDay_packed = o; }
  public  String getReqNonTradingDay_packed() { return (reqNonTradingDay_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUpdateExchangeCalendar );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqAddChangeDeleteIndicator != null && reqAddChangeDeleteIndicator.length() > 1 )
      addArgToGMJI( reqAddChangeDeleteIndicator.substring(0,1));
    else
      addArgToGMJI( reqAddChangeDeleteIndicator ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 

    if( reqMarketCodeDesc != null && reqMarketCodeDesc.length() > 40 )
      addArgToGMJI( reqMarketCodeDesc.substring(0,40));
    else
      addArgToGMJI( reqMarketCodeDesc ); 
    GsTime.addPropertiesToGMJI( reqMrktOpnTm, this );
    GsTime.addPropertiesToGMJI( reqMrktClosTm, this );
    if( reqNonTradingDay != null )
    {
      reqNonTradingDay_packed = GsNonTrdDayStruct.pack( reqNonTradingDay );
      addArgToGMJI( reqNonTradingDay_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqAddChangeDeleteIndicator = " + getReqAddChangeDeleteIndicator() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqMarketCodeDesc = " + getReqMarketCodeDesc() );

    pageWriter.println( prefix + "reqMrktOpnTm =" );
    if( reqMrktOpnTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMrktOpnTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqMrktClosTm =" );
    if( reqMrktClosTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMrktClosTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqNonTradingDay =" );
    if( reqNonTradingDay == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqNonTradingDay.length; j++ )
      {
        pageWriter.println( prefix + "reqNonTradingDay[" + j + "] =" );
        if( reqNonTradingDay[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqNonTradingDay[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqNonTradingDay_packed = " + getReqNonTradingDay_packed() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqAddChangeDeleteIndicator = getCharFromURL( req, prefix + "reqAddChangeDeleteIndicator" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqMarketCodeDesc = getCharFromURL( req, prefix + "reqMarketCodeDesc" );
    reqMrktOpnTm = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqMrktOpnTm", "GtUpdateExchangeCalendar" );
    reqMrktClosTm = populate.populateGsTimeFromURL( req, prefix, (IfsTxn)txn, false, "reqMrktClosTm", "GtUpdateExchangeCalendar" );

    repeatCounter = getLongFromURL( req, prefix + "reqNonTradingDay_repeatCounter" );
    reqNonTradingDay = new GsNonTrdDayStruct[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqNonTradingDay[ i ] = new GsNonTrdDayStruct(getIfsSession());
      reqNonTradingDay[ i ].populateFromURL( txn, req, prefix + "reqNonTradingDay_" + i + "_" );
    }
  }
}
