//**********************************************
//
// FILE NAME: GtUpdatePortfolio.java
// TRANSACTION NAME: Update Portfolio
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Update Portfolio</B>
 * <P>IFS ID: <B>updport</B>
 * <P>
 * Once the portfolio has been created its contents are changed with this
 * transaction. The input message is used to change the portfolio
 * objective text and/or the portfolio view. The Add/Change/Delete
 * Indicator is used to identify whether the data in the portfoio update
 * structure will be used to add a new security to the portfolio, delete a
 * security that is not in the profile, or to change the information about
 * a security that is in the profile. An add or an update must include all
 * fields, and a delete only needs to provide investment Securities ID.
 * <BR>
 * <P><B>UPD_PORTFOLIO_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>UPD_PORTFOLIO_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>UPD_PORTFOLIO_OMSG</B>
 */
public class GtUpdatePortfolio extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUpdatePortfolio() { }
  public GtUpdatePortfolio( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "updport_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

  /**
   * <P>The attribute <code>reqPermUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String reqPermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setReqPermUserID( String o ) { reqPermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getReqPermUserID() { return (reqPermUserID); }

  /**
   * <P>The attribute <code>reqPortNm</code> is an alias for the
   * standard message simple element
   * <code>UpdPortReqTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  private String reqPortNm = null;

  /**
   * <P>Sets the value of the attribute <code>reqPortNm</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  public  void   setReqPortNm( String o ) { reqPortNm = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPortNm</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  public  String getReqPortNm() { return (reqPortNm); }

  /**
   * <P>The attribute <code>reqPortObjTxt</code> is an alias for the
   * standard message simple element
   * <code>UpdPortReqTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  private String reqPortObjTxt = null;

  /**
   * <P>Sets the value of the attribute <code>reqPortObjTxt</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  public  void   setReqPortObjTxt( String o ) { reqPortObjTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPortObjTxt</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  public  String getReqPortObjTxt() { return (reqPortObjTxt); }

  /**
   * <P>The attribute <code>reqPortView</code> is an alias for the
   * standard message simple element
   * <code>UpdPortReqTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  private int  reqPortView = 0;

  /**
   * <P>Sets the value of the attribute <code>reqPortView</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  public  void setReqPortView( int o ) { reqPortView = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPortView</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortReqTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  public  int  getReqPortView() { return (reqPortView); }

  /**
   * <P>The attribute <code>reqPortUpdStr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>UpdPortReqTg.PortUpdStrTg</code>.
   * <BR>
   */
  private GsPortUpdStr[] reqPortUpdStr = null;

  /**
   * <P>Sets the value of the attribute <code>reqPortUpdStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdPortReqTg.PortUpdStrTg</code>.
   * <BR>
   */
  public  void           setReqPortUpdStr(GsPortUpdStr[] o )  { reqPortUpdStr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPortUpdStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdPortReqTg.PortUpdStrTg</code>.
   * <BR>
   */
  public  GsPortUpdStr[] getReqPortUpdStr() { return (reqPortUpdStr); }

  private String reqPortUpdStr_packed = null;
  public  void   setReqPortUpdStr_packed(String o ) { reqPortUpdStr_packed = o; }
  public  String getReqPortUpdStr_packed() { return (reqPortUpdStr_packed); }


  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>portNm</code> is an alias for the
   * standard message simple element
   * <code>UpdPortRespTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  private String portNm = null;

  /**
   * <P>Sets the value of the attribute <code>portNm</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  public  void   setPortNm( String o ) { portNm = o; }

  /**
   * <P>Gets the value of the attribute <code>portNm</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortNmTg</code>.
   * <P>
   * A consumer chosen name for the portfolio.
   */
  public  String getPortNm() { return (portNm); }

  /**
   * <P>The attribute <code>portObjTxt</code> is an alias for the
   * standard message simple element
   * <code>UpdPortRespTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  private String portObjTxt = null;

  /**
   * <P>Sets the value of the attribute <code>portObjTxt</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  public  void   setPortObjTxt( String o ) { portObjTxt = o; }

  /**
   * <P>Gets the value of the attribute <code>portObjTxt</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortObjTxtTg</code>.
   * <P>
   * Free form text describing the portfolio's objective, e.g.
   * "retirement".
   */
  public  String getPortObjTxt() { return (portObjTxt); }

  /**
   * <P>The attribute <code>portView</code> is an alias for the
   * standard message simple element
   * <code>UpdPortRespTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  private int  portView = 0;

  /**
   * <P>Sets the value of the attribute <code>portView</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  public  void setPortView( int o ) { portView = o; }

  /**
   * <P>Gets the value of the attribute <code>portView</code>,
   * which is an alias for the standard message simple element
   * <code>UpdPortRespTg.PortViewTg</code>.
   * <P>
   * A value assigned by the FI to indicate a type of portfolio, a
   * presentation view is to be used, restrictions, etc. The value could
   * indicate a combination fo the above.
   */
  public  int  getPortView() { return (portView); }

  /**
   * <P>The attribute <code>portEntStr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>UpdPortRespTg.PortEntStrTg</code>.
   * <P>
   * Repeating structure, one for each Inv Securities ID and Account ID
   * Reference combination.
   * <BR>
   */
  private GsPortEntryStr[] portEntStr = null;

  /**
   * <P>Sets the value of the attribute <code>portEntStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdPortRespTg.PortEntStrTg</code>.
   * <P>
   * Repeating structure, one for each Inv Securities ID and Account ID
   * Reference combination.
   * <BR>
   */
  public  void             setPortEntStr(GsPortEntryStr[] o )  { portEntStr = o; }

  /**
   * <P>Gets the value of the attribute <code>portEntStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>UpdPortRespTg.PortEntStrTg</code>.
   * <P>
   * Repeating structure, one for each Inv Securities ID and Account ID
   * Reference combination.
   * <BR>
   */
  public  GsPortEntryStr[] getPortEntStr() { return (portEntStr); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUpdatePortfolio );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    if( reqPermUserID != null && reqPermUserID.length() > 57 )
      addArgToGMJI( reqPermUserID.substring(0,57));
    else
      addArgToGMJI( reqPermUserID ); 

    if( reqPortNm != null && reqPortNm.length() > 30 )
      addArgToGMJI( reqPortNm.substring(0,30));
    else
      addArgToGMJI( reqPortNm ); 

    if( reqPortObjTxt != null && reqPortObjTxt.length() > 60 )
      addArgToGMJI( reqPortObjTxt.substring(0,60));
    else
      addArgToGMJI( reqPortObjTxt ); 
    addArgToGMJI( reqPortView ); 
    if( reqPortUpdStr != null )
    {
      reqPortUpdStr_packed = GsPortUpdStr.pack( reqPortUpdStr );
      addArgToGMJI( reqPortUpdStr_packed );
    } else {
      addArgToGMJI();
    }

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    portNm = txn.getNextCharFromGMJO( 30, "portNm" );
    portObjTxt = txn.getNextNlsCharFromGMJO( 60, "portObjTxt" );
    portView = txn.getNextLongFromGMJO( "portView" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    portEntStr = new GsPortEntryStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      portEntStr[ i ] = new GsPortEntryStr( txn );
    }
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "reqPermUserID = " + getReqPermUserID() );
    pageWriter.println( prefix + "reqPortNm = " + getReqPortNm() );
    pageWriter.println( prefix + "reqPortObjTxt = " + getReqPortObjTxt() );
    pageWriter.println( prefix + "reqPortView = " + getReqPortView() );

    pageWriter.println( prefix + "reqPortUpdStr =" );
    if( reqPortUpdStr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqPortUpdStr.length; j++ )
      {
        pageWriter.println( prefix + "reqPortUpdStr[" + j + "] =" );
        if( reqPortUpdStr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqPortUpdStr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPortUpdStr_packed = " + getReqPortUpdStr_packed() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "portNm = " + getPortNm() );
    pageWriter.println( prefix + "portObjTxt = " + getPortObjTxt() );
    pageWriter.println( prefix + "portView = " + getPortView() );

    pageWriter.println( prefix + "portEntStr =" );
    if( portEntStr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < portEntStr.length; j++ )
      {
        pageWriter.println( prefix + "portEntStr[" + j + "] =" );
        if( portEntStr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          portEntStr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
    reqPermUserID = getCharFromURL( req, prefix + "reqPermUserID" );
    reqPortNm = getCharFromURL( req, prefix + "reqPortNm" );
    reqPortObjTxt = getCharFromURL( req, prefix + "reqPortObjTxt" );
    reqPortView = getLongFromURL( req, prefix + "reqPortView" );

    repeatCounter = getLongFromURL( req, prefix + "reqPortUpdStr_repeatCounter" );
    reqPortUpdStr = new GsPortUpdStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqPortUpdStr[ i ] = new GsPortUpdStr(getIfsSession());
      reqPortUpdStr[ i ].populateFromURL( txn, req, prefix + "reqPortUpdStr_" + i + "_" );
    }
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
