//**********************************************
//
// FILE NAME: GtUserProfile.java
// TRANSACTION NAME: FI Consumer Profile Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>FI Consumer Profile Inquiry Transaction</B>
 * <P>IFS ID: <B>userprof</B>
 * <P>
 * This transaction retrieves the consumer profile information, e.g.
 * consumer name or consumer address, for a specific consumer identified
 * by the consumer identifier. The consumer profile information is stored
 * in the FI.
 * <BR>
 * <P><B>USER_PROFILE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>USER_PROFILE_IMSG</B>
 *            <P>
 *            This message issues a request for profile information stored
 *            in the Financial Institutionfor a specific Consumer. This
 *            profile information includes personal details (such as last
 *            name, first name, address, telephone number), account
 *            details (for each account held at the Financial Institution-
 *            the account identification details and summary balance
 *            information), and marketing information (such the division
 *            and marketing segment to which this consumer belongs).
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>USER_PROFILE_OMSG</B>
 *            <P>
 *            This message is sent by the Financial Institutionand
 *            contains the requested Consumer Profile information.
 */
public class GtUserProfile extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtUserProfile() { }
  public GtUserProfile( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "userprof_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>lastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  private String lastName = null;

  /**
   * <P>Sets the value of the attribute <code>lastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  void   setLastName( String o ) { lastName = o; }

  /**
   * <P>Gets the value of the attribute <code>lastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmTg</code>.
   * <P>
   * An alphanumeric string forming the last name or surname of a
   * consumer. For example, the individual called John S. Smith has a
   * Consumer Last Name of Smith.
   */
  public  String getLastName() { return (lastName); }

  /**
   * <P>The attribute <code>firstName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  private String firstName = null;

  /**
   * <P>Sets the value of the attribute <code>firstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  void   setFirstName( String o ) { firstName = o; }

  /**
   * <P>Gets the value of the attribute <code>firstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmTg</code>.
   * <P>
   * An alphanumeric string forming the first name of a consumer. For
   * example, the individual called John S. Smith has a Consumer First
   * Name of John.
   */
  public  String getFirstName() { return (firstName); }

  /**
   * <P>The attribute <code>middleName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  private String middleName = null;

  /**
   * <P>Sets the value of the attribute <code>middleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  void   setMiddleName( String o ) { middleName = o; }

  /**
   * <P>Gets the value of the attribute <code>middleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmTg</code>.
   * <P>
   * An alphanumeric string forming the middle name of a consumer. For
   * example, the individual called John Jas Smith has a Consumer Middle
   * Name of Jas.
   */
  public  String getMiddleName() { return (middleName); }

  /**
   * <P>The attribute <code>signupSource</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  private String signupSource = null;

  /**
   * <P>Sets the value of the attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  void   setSignupSource( String o ) { signupSource = o; }

  /**
   * <P>Gets the value of the attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   * <P>
   * A code, identifying the channel through which the Consumer registered
   * for the Service for example,via the Self Registration Process, via
   * Phone.
   */
  public  String getSignupSource() { return (signupSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>signupSource</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSignupSrcTg</code>.
   */
  public  String getSignupSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrSignupSrcResources", locale, getSignupSource() );
  }

  /**
   * <P>The attribute <code>faxNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  private String faxNumber = null;

  /**
   * <P>Sets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  void   setFaxNumber( String o ) { faxNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>faxNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FaxNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the fax number of a Consumer. For
   * US Phones&colon. AAAXXXEEEE, left-justified and padded on the right
   * with blanks.
   */
  public  String getFaxNumber() { return (faxNumber); }

  /**
   * <P>The attribute <code>suffix</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  private String suffix = null;

  /**
   * <P>Sets the value of the attribute <code>suffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  void   setSuffix( String o ) { suffix = o; }

  /**
   * <P>Gets the value of the attribute <code>suffix</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpTg</code>.
   * <P>
   * A classification which may be prefixed or appended to a Consumer's
   * Name. For example, Mr, Mrs, or Dr.
   */
  public  String getSuffix() { return (suffix); }

  /**
   * <P>The attribute <code>fIEmploymentType</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  private String fIEmploymentType = null;

  /**
   * <P>Sets the value of the attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  void   setFIEmploymentType( String o ) { fIEmploymentType = o; }

  /**
   * <P>Gets the value of the attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   * <P>
   * A code, indicating if the Consumer is an employee of the Financial
   * Institution, and if so, whether or not the Consumer is a Bank
   * Officer.
   */
  public  String getFIEmploymentType() { return (fIEmploymentType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIEmploymentType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FiEmpTpIndTg</code>.
   */
  public  String getFIEmploymentType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiEmpTpIndResources", locale, getFIEmploymentType() );
  }

  /**
   * <P>The attribute <code>addressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  private String addressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  void   setAddressLine1( String o ) { addressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 1.
   */
  public  String getAddressLine1() { return (addressLine1); }

  /**
   * <P>The attribute <code>addressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  private String addressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  void   setAddressLine2( String o ) { addressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 2.
   */
  public  String getAddressLine2() { return (addressLine2); }

  /**
   * <P>The attribute <code>addressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  private String addressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  void   setAddressLine3( String o ) { addressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>addressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Consumer. See Address Line 3.
   */
  public  String getAddressLine3() { return (addressLine3); }

  /**
   * <P>The attribute <code>city</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  private String city = null;

  /**
   * <P>Sets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  void   setCity( String o ) { city = o; }

  /**
   * <P>Gets the value of the attribute <code>city</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Consumer. See City.
   */
  public  String getCity() { return (city); }

  /**
   * <P>The attribute <code>province</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  private String province = null;

  /**
   * <P>Sets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  void   setProvince( String o ) { province = o; }

  /**
   * <P>Gets the value of the attribute <code>province</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Province.
   */
  public  String getProvince() { return (province); }

  /**
   * <P>The attribute <code>state</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  private String state = null;

  /**
   * <P>Sets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  void   setState( String o ) { state = o; }

  /**
   * <P>Gets the value of the attribute <code>state</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See State Code.
   */
  public  String getState() { return (state); }

  /**
   * <P>The attribute <code>country</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  private String country = null;

  /**
   * <P>Sets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  void   setCountry( String o ) { country = o; }

  /**
   * <P>Gets the value of the attribute <code>country</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Consumer. See Country Code.
   */
  public  String getCountry() { return (country); }

  /**
   * <P>The attribute <code>zipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  private String zipCode = null;

  /**
   * <P>Sets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  void   setZipCode( String o ) { zipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Zip Code.
   */
  public  String getZipCode() { return (zipCode); }

  /**
   * <P>The attribute <code>postalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  private String postalCode = null;

  /**
   * <P>Sets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  void   setPostalCode( String o ) { postalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>postalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Consumer to be used in general correspondence with
   * the Consumer. See Postal Code.
   */
  public  String getPostalCode() { return (postalCode); }

  /**
   * <P>The attribute <code>addrLine1Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  private String addrLine1Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  void   setAddrLine1Nm( String o ) { addrLine1Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine1Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine1NmTg</code>.
   * <P>
   * The first line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 1 typically
   * contains specific address components which identify the dwelling,
   * street, street type or P.O. Box. For example, 3 (house number)
   * Madison (street name) Avenue (street type). When used with other
   * address components, it constitutes the complete address.
   */
  public  String getAddrLine1Nm() { return (addrLine1Nm); }

  /**
   * <P>The attribute <code>addrLine2Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  private String addrLine2Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  void   setAddrLine2Nm( String o ) { addrLine2Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine2Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine2NmTg</code>.
   * <P>
   * The second line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 2 typically
   * contains specific address components which identify the suburb. For
   * example, Beverley Hills (suburb name). When used with other address
   * components, it constitutes the complete address.
   */
  public  String getAddrLine2Nm() { return (addrLine2Nm); }

  /**
   * <P>The attribute <code>addrLine3Nm</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  private String addrLine3Nm = null;

  /**
   * <P>Sets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  void   setAddrLine3Nm( String o ) { addrLine3Nm = o; }

  /**
   * <P>Gets the value of the attribute <code>addrLine3Nm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.AddrLine3NmTg</code>.
   * <P>
   * The third line, or number of characters up to a specified maximum,
   * used for storing part of an address. Address Line 3 typically
   * contains specific address components which identify the suburb or
   * area. When used with other address components, it constitutes the
   * complete address.
   */
  public  String getAddrLine3Nm() { return (addrLine3Nm); }

  /**
   * <P>The attribute <code>cityNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  private String cityNm = null;

  /**
   * <P>Sets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  void   setCityNm( String o ) { cityNm = o; }

  /**
   * <P>Gets the value of the attribute <code>cityNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CityNmTg</code>.
   * <P>
   * A name which identifies a Geographic Area that is municipality with
   * legal power granted by state charter. For example, Los Angeles,
   * Dallas or London.
   */
  public  String getCityNm() { return (cityNm); }

  /**
   * <P>The attribute <code>provNm</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  private String provNm = null;

  /**
   * <P>Sets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  void   setProvNm( String o ) { provNm = o; }

  /**
   * <P>Gets the value of the attribute <code>provNm</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ProvNmTg</code>.
   * <P>
   * A Geographic Area that is a political subdivision of a country.
   */
  public  String getProvNm() { return (provNm); }

  /**
   * <P>The attribute <code>stateCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  private String stateCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  void   setStateCodeCl( String o ) { stateCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>stateCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.StateCodeClTg</code>.
   * <P>
   * The code identifying a Geographic Area or State within the United
   * States of America. For example, CA is the State Code for California,
   * NY is the State Code for New York, etc.
   */
  public  String getStateCodeCl() { return (stateCodeCl); }

  /**
   * <P>The attribute <code>cntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  private String cntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  void   setCntryCodeCl( String o ) { cntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>cntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.CntryCodeClTg</code>.
   * <P>
   * A code identifying a Geographic Area that is recognized as an
   * independent political unit in world affairs.
   */
  public  String getCntryCodeCl() { return (cntryCodeCl); }

  /**
   * <P>The attribute <code>zipCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  private String zipCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  void   setZipCodeCl( String o ) { zipCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>zipCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.ZipCodeClTg</code>.
   */
  public  String getZipCodeCl() { return (zipCodeCl); }

  /**
   * <P>The attribute <code>pstCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  private String pstCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  void   setPstCodeCl( String o ) { pstCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>pstCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrAddrDtlAltTg.PstCodeClTg</code>.
   * <P>
   * One or more numbers or codes identifying a location within a
   * Geographic Area. For example, in Canada, the IBM office located on
   * Steeles Avanue East, Markham, Ontario has a Postal Code of L3R 9Z7.
   */
  public  String getPstCodeCl() { return (pstCodeCl); }

  /**
   * <P>The attribute <code>homePhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String homePhone = null;

  /**
   * <P>Sets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setHomePhone( String o ) { homePhone = o; }

  /**
   * <P>Gets the value of the attribute <code>homePhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.HmPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the home phone number of a
   * consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getHomePhone() { return (homePhone); }

  /**
   * <P>The attribute <code>workPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  private String workPhone = null;

  /**
   * <P>Sets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  void   setWorkPhone( String o ) { workPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>workPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrPhDtlTg.WrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Consumer. For US Phones: AAAXXXEEEE, left-justified and padded on the
   * right with blanks.
   */
  public  String getWorkPhone() { return (workPhone); }

  /**
   * <P>The attribute <code>effectiveDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  private GsDate effectiveDate = null;

  /**
   * <P>Sets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  public  void   setEffectiveDate(GsDate o )  { effectiveDate = o; }

  /**
   * <P>Gets the value of the attribute <code>effectiveDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEffDtTg</code>.
   * <P>
   * The date from which the Consumer's use of the system will/did
   * commence.
   * <BR>
   */
  public  GsDate getEffectiveDate() { return (effectiveDate); }

  /**
   * <P>The attribute <code>endDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  private GsDate endDate = null;

  /**
   * <P>Sets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  public  void   setEndDate(GsDate o )  { endDate = o; }

  /**
   * <P>Gets the value of the attribute <code>endDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrEndDtTg</code>.
   * <P>
   * The date upon which the Consumer's use of the system will be / was
   * terminated.
   * <BR>
   */
  public  GsDate getEndDate() { return (endDate); }

  /**
   * <P>The attribute <code>newMessageFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  private String newMessageFlag = null;

  /**
   * <P>Sets the value of the attribute <code>newMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  public  void   setNewMessageFlag( String o ) { newMessageFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>newMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.NewMsgFTg</code>.
   * <P>
   * A code classifying the type of messages (if any) which the recipient
   * has not yet retrieved.
   */
  public  String getNewMessageFlag() { return (newMessageFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>newMessageFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.NewMsgFTg</code>.
   */
  public  String getNewMessageFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsNewMsgFResources", locale, getNewMessageFlag() );
  }

  /**
   * <P>The attribute <code>accountDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  private GsAcctDtl[] accountDetail = null;

  /**
   * <P>Sets the value of the attribute <code>accountDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  public  void        setAccountDetail(GsAcctDtl[] o )  { accountDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>accountDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrAcctDtlTg</code>.
   * <P>
   * A repeating structure each containing information relating to a
   * Consumer Account. The information for each Account includes, for
   * example, Account Identification details and summary Account Balance
   * Information.
   * <BR>
   */
  public  GsAcctDtl[] getAccountDetail() { return (accountDetail); }

  /**
   * <P>The attribute <code>serviceChargePlan</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  private String serviceChargePlan = null;

  /**
   * <P>Sets the value of the attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  void   setServiceChargePlan( String o ) { serviceChargePlan = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   * <P>
   * A code identifying the IFS Service Charging Plan which has been
   * assigned to the consumer by the Financial Institution. This does not
   * necessarily determine charges to the consumer but is used to charge
   * the Financial Institution appropriately for activity by its
   * consumers.
   */
  public  String getServiceChargePlan() { return (serviceChargePlan); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>serviceChargePlan</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SrvcChrgPlnTg</code>.
   */
  public  String getServiceChargePlan_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSrvcChrgPlnResources", locale, getServiceChargePlan() );
  }

  /**
   * <P>The attribute <code>consumerType</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  private String consumerType = null;

  /**
   * <P>Sets the value of the attribute <code>consumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  void   setConsumerType( String o ) { consumerType = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   * <P>
   * A code indicating the type or classification of the consumer such as
   * Small Business user or Retail Consumer.
   */
  public  String getConsumerType() { return (consumerType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTpClTg</code>.
   */
  public  String getConsumerType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrTpClResources", locale, getConsumerType() );
  }

  /**
   * <P>The attribute <code>lastSessionTimestamp</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  private String lastSessionTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>lastSessionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  void   setLastSessionTimestamp( String o ) { lastSessionTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>lastSessionTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.TmstpValTg</code>.
   */
  public  String getLastSessionTimestamp() { return (lastSessionTimestamp); }

  /**
   * <P>The attribute <code>gMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  private int  gMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  void setGMTOffsetMinutes( int o ) { gMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>gMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.LastCnsmrSsnChrgTg.GmtOfstMinsValTg</code>.
   */
  public  int  getGMTOffsetMinutes() { return (gMTOffsetMinutes); }

  /**
   * <P>The attribute <code>marketSegment</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  private int  marketSegment = 0;

  /**
   * <P>Sets the value of the attribute <code>marketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  void setMarketSegment( int o ) { marketSegment = o; }

  /**
   * <P>Gets the value of the attribute <code>marketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   * <P>
   * A code, indicating the Market Segment the Consumer belongs to. The
   * market segment identifiers are specific to each Financial
   * Institution.
   */
  public  int  getMarketSegment() { return (marketSegment); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>marketSegment</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMktSegTg</code>.
   */
  public  String getMarketSegment_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrMktSegResources", locale,
                       String.valueOf( getMarketSegment() ) );
  }

  /**
   * <P>The attribute <code>division</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  private int  division = 0;

  /**
   * <P>Sets the value of the attribute <code>division</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  void setDivision( int o ) { division = o; }

  /**
   * <P>Gets the value of the attribute <code>division</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   * <P>
   * A code, associated with a Consumer, indicating which Division of the
   * Financial Institution the Consumer is associated with. For example, a
   * Financial Institution may be organized into three Divisions:
   * North-West Region - 012, Headquarters - 020, Southern Region - 006.
   * Consumer '122334' may belong to the Southern Region.
   */
  public  int  getDivision() { return (division); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>division</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrDivisionTg</code>.
   */
  public  String getDivision_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrDivisionResources", locale,
                       String.valueOf( getDivision() ) );
  }

  /**
   * <P>The attribute <code>legalName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  private String legalName = null;

  /**
   * <P>Sets the value of the attribute <code>legalName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  public  void   setLegalName( String o ) { legalName = o; }

  /**
   * <P>Gets the value of the attribute <code>legalName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLglNmTg</code>.
   * <P>
   * An alphanumeric string containing the name of the consumer which will
   * be used in contractual relationships and legal documents.
   */
  public  String getLegalName() { return (legalName); }

  /**
   * <P>The attribute <code>socialSecurityNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   * <P>
   * The Social Security Number assigned to the Consumer.
   */
  private String socialSecurityNumber = null;

  /**
   * <P>Sets the value of the attribute <code>socialSecurityNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   * <P>
   * The Social Security Number assigned to the Consumer.
   */
  public  void   setSocialSecurityNumber( String o ) { socialSecurityNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>socialSecurityNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.UserSocScrtyIdTg</code>.
   * <P>
   * The Social Security Number assigned to the Consumer.
   */
  public  String getSocialSecurityNumber() { return (socialSecurityNumber); }

  /**
   * <P>The attribute <code>chargeBasisCode</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  private String chargeBasisCode = null;

  /**
   * <P>Sets the value of the attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  void   setChargeBasisCode( String o ) { chargeBasisCode = o; }

  /**
   * <P>Gets the value of the attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   * <P>
   * A code which classifies the type of billing charge for Internet
   * connect time for a Consumer.
   */
  public  String getChargeBasisCode() { return (chargeBasisCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>chargeBasisCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.ChrgBasisTpClTg</code>.
   */
  public  String getChargeBasisCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsChrgBasisTpClResources", locale, getChargeBasisCode() );
  }

  /**
   * <P>The attribute <code>dailyLimitAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  private GsCurrency dailyLimitAmount = null;

  /**
   * <P>Sets the value of the attribute <code>dailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  void       setDailyLimitAmount(GsCurrency o )  { dailyLimitAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>dailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  GsCurrency getDailyLimitAmount() { return (dailyLimitAmount); }

  /**
   * <P>The attribute <code>emailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  private String emailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>emailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  void   setEmailAddress( String o ) { emailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>emailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrEmailAddrTg</code>.
   * <P>
   * The electronic mailing address where the consumer may be contacted.
   */
  public  String getEmailAddress() { return (emailAddress); }

  /**
   * <P>The attribute <code>taxType</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  private int  taxType = 0;

  /**
   * <P>Sets the value of the attribute <code>taxType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  public  void setTaxType( int o ) { taxType = o; }

  /**
   * <P>Gets the value of the attribute <code>taxType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrTaxTpClTg</code>.
   */
  public  int  getTaxType() { return (taxType); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerageLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerageLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerageLastName( String o ) { brokerageLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerageLastName() { return (brokerageLastName); }

  /**
   * <P>The attribute <code>brokerageFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerageFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerageFirstName( String o ) { brokerageFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerageFirstName() { return (brokerageFirstName); }

  /**
   * <P>The attribute <code>brokerageMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerageMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerageMiddleName( String o ) { brokerageMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerageMiddleName() { return (brokerageMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>brokerageInvCat</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  brokerageInvCat = 0;

  /**
   * <P>Sets the value of the attribute <code>brokerageInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setBrokerageInvCat( int o ) { brokerageInvCat = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageInvCat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getBrokerageInvCat() { return (brokerageInvCat); }

  /**
   * <P>The attribute <code>brokerageEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerageEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerageEmail( String o ) { brokerageEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerageEmail() { return (brokerageEmail); }

  /**
   * <P>The attribute <code>ifsInvAcctDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  private GsInvAcctDtl[] ifsInvAcctDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsInvAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  public  void           setIfsInvAcctDtl(GsInvAcctDtl[] o )  { ifsInvAcctDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsInvAcctDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.IfsInvAcctDtlTg</code>.
   * <BR>
   */
  public  GsInvAcctDtl[] getIfsInvAcctDtl() { return (ifsInvAcctDtl); }

  /**
   * <P>The attribute <code>consumerInformation</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  private GsCnsmrInfo[] consumerInformation = null;

  /**
   * <P>Sets the value of the attribute <code>consumerInformation</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  public  void          setConsumerInformation(GsCnsmrInfo[] o )  { consumerInformation = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerInformation</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrInformTg</code>.
   * <P>
   * A repeating structure in the customer profile that contains FI
   * specific information about a consumer.
   * <BR>
   */
  public  GsCnsmrInfo[] getConsumerInformation() { return (consumerInformation); }

  /**
   * <P>The attribute <code>consumerServiceProviderRules</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  private GsCnsmrSrvcProvdRules[] consumerServiceProviderRules = null;

  /**
   * <P>Sets the value of the attribute <code>consumerServiceProviderRules</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  public  void                    setConsumerServiceProviderRules(GsCnsmrSrvcProvdRules[] o )  { consumerServiceProviderRules = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerServiceProviderRules</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsCnsmrPrflDtlTg.CnsmrSrvcPrvdRulTg</code>.
   * <BR>
   */
  public  GsCnsmrSrvcProvdRules[] getConsumerServiceProviderRules() { return (consumerServiceProviderRules); }

  /**
   * <P>The attribute <code>secondaryConsumerMonthAuthorizationFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  private int  secondaryConsumerMonthAuthorizationFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>secondaryConsumerMonthAuthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  void setSecondaryConsumerMonthAuthorizationFlag( int o ) { secondaryConsumerMonthAuthorizationFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>secondaryConsumerMonthAuthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   * <P>
   * Flag indicating whether the consumer can maintain secondary consumers
   * by inquiring, adding, changing or closing them. 1 = True, consumer
   * can maintain secondary consumers (add/change/close/inquiry). 0 =
   * False, consumer cannot maintain secondary consumers. This is the
   * default value if not supplied.
   */
  public  int  getSecondaryConsumerMonthAuthorizationFlag() { return (secondaryConsumerMonthAuthorizationFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>secondaryConsumerMonthAuthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.SecCnsmrMntAuthFTg</code>.
   */
  public  String getSecondaryConsumerMonthAuthorizationFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSecCnsmrMntAuthFResources", locale,
                       String.valueOf( getSecondaryConsumerMonthAuthorizationFlag() ) );
  }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastPinTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastPinTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

  /**
   * <P>The attribute <code>dtLastLogTmstpTTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  private String dtLastLogTmstpTTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>dtLastLogTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  void   setDtLastLogTmstpTTmstpVal( String o ) { dtLastLogTmstpTTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>dtLastLogTmstpTTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  String getDtLastLogTmstpTTmstpVal() { return (dtLastLogTmstpTTmstpVal); }

  /**
   * <P>The attribute <code>dtLastLogTmstpTGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  private int  dtLastLogTmstpTGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>dtLastLogTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  void setDtLastLogTmstpTGmtOfstMinsVal( int o ) { dtLastLogTmstpTGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>dtLastLogTmstpTGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.DtLastLogTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastLogTmstpCxTg
   */
  public  int  getDtLastLogTmstpTGmtOfstMinsVal() { return (dtLastLogTmstpTGmtOfstMinsVal); }

  /**
   * <P>The attribute <code>fIConsumerStatusTypeClass</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  private int  fIConsumerStatusTypeClass = 0;

  /**
   * <P>Sets the value of the attribute <code>fIConsumerStatusTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  public  void setFIConsumerStatusTypeClass( int o ) { fIConsumerStatusTypeClass = o; }

  /**
   * <P>Gets the value of the attribute <code>fIConsumerStatusTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   * <P>
   * Status of consumer in the FI system.
   */
  public  int  getFIConsumerStatusTypeClass() { return (fIConsumerStatusTypeClass); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIConsumerStatusTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.FICnsmrStTpClTg</code>.
   */
  public  String getFIConsumerStatusTypeClass_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFICnsmrStTpClResources", locale,
                       String.valueOf( getFIConsumerStatusTypeClass() ) );
  }

  /**
   * <P>The attribute <code>businessName</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  private String businessName = null;

  /**
   * <P>Sets the value of the attribute <code>businessName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  void   setBusinessName( String o ) { businessName = o; }

  /**
   * <P>Gets the value of the attribute <code>businessName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnNmTg</code>.
   * <P>
   * Business name for web application display.
   */
  public  String getBusinessName() { return (businessName); }

  /**
   * <P>The attribute <code>businessIdTypeClass</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  private int  businessIdTypeClass = 0;

  /**
   * <P>Sets the value of the attribute <code>businessIdTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  void setBusinessIdTypeClass( int o ) { businessIdTypeClass = o; }

  /**
   * <P>Gets the value of the attribute <code>businessIdTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   * <P>
   * Indicates the type of Business Identifier provided. Required if
   * Business Identifier not null.
   */
  public  int  getBusinessIdTypeClass() { return (businessIdTypeClass); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>businessIdTypeClass</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTpClTg</code>.
   */
  public  String getBusinessIdTypeClass_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsBusnIdTpClResources", locale,
                       String.valueOf( getBusinessIdTypeClass() ) );
  }

  /**
   * <P>The attribute <code>businessId</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  private String businessId = null;

  /**
   * <P>Sets the value of the attribute <code>businessId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  void   setBusinessId( String o ) { businessId = o; }

  /**
   * <P>Gets the value of the attribute <code>businessId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.BusnIdTg</code>.
   * <P>
   * Business identifier code for the locale in question.
   */
  public  String getBusinessId() { return (businessId); }

  /**
   * <P>The attribute <code>consumerLastNameAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String consumerLastNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>consumerLastNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setConsumerLastNameAlt( String o ) { consumerLastNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerLastNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrLastNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getConsumerLastNameAlt() { return (consumerLastNameAlt); }

  /**
   * <P>The attribute <code>consumerFirstNameAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String consumerFirstNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>consumerFirstNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setConsumerFirstNameAlt( String o ) { consumerFirstNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerFirstNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrFrstNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getConsumerFirstNameAlt() { return (consumerFirstNameAlt); }

  /**
   * <P>The attribute <code>consumerMiddleNameAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  private String consumerMiddleNameAlt = null;

  /**
   * <P>Sets the value of the attribute <code>consumerMiddleNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  void   setConsumerMiddleNameAlt( String o ) { consumerMiddleNameAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerMiddleNameAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrMdlNmAltTg</code>.
   * <P>
   * Holds the customer name in a second or alternate language.
   */
  public  String getConsumerMiddleNameAlt() { return (consumerMiddleNameAlt); }

  /**
   * <P>The attribute <code>consumerSuffixTypeAlt</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  private String consumerSuffixTypeAlt = null;

  /**
   * <P>Sets the value of the attribute <code>consumerSuffixTypeAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  void   setConsumerSuffixTypeAlt( String o ) { consumerSuffixTypeAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerSuffixTypeAlt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrPrflDtlTg.CnsmrSfxTpAltTg</code>.
   * <P>
   * Holds the customer prefix in a second or alternate language. A
   * prefix, or honorific, used with a name, e.g. Mr., Mlle. in the
   * alternate language.
   */
  public  String getConsumerSuffixTypeAlt() { return (consumerSuffixTypeAlt); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtUserProfile );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    lastName = txn.getNextNlsCharFromGMJO( 30, "lastName" );
    firstName = txn.getNextNlsCharFromGMJO( 30, "firstName" );
    middleName = txn.getNextNlsCharFromGMJO( 20, "middleName" );
    signupSource = txn.getNextCharFromGMJO( 3, "signupSource" );
    faxNumber = txn.getNextCharFromGMJO( 15, "faxNumber" );
    suffix = txn.getNextNlsCharFromGMJO( 8, "suffix" );
    fIEmploymentType = txn.getNextCharFromGMJO( 3, "fIEmploymentType" );
    addressLine1 = txn.getNextNlsCharFromGMJO( 40, "addressLine1" );
    addressLine2 = txn.getNextNlsCharFromGMJO( 40, "addressLine2" );
    addressLine3 = txn.getNextNlsCharFromGMJO( 40, "addressLine3" );
    city = txn.getNextNlsCharFromGMJO( 30, "city" );
    province = txn.getNextNlsCharFromGMJO( 30, "province" );
    state = txn.getNextCharFromGMJO( 2, "state" );
    country = txn.getNextCharFromGMJO( 3, "country" );
    zipCode = txn.getNextCharFromGMJO( 9, "zipCode" );
    postalCode = txn.getNextCharFromGMJO( 6, "postalCode" );
    addrLine1Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine1Nm" );
    addrLine2Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine2Nm" );
    addrLine3Nm = txn.getNextNlsCharFromGMJO( 40, "addrLine3Nm" );
    cityNm = txn.getNextNlsCharFromGMJO( 30, "cityNm" );
    provNm = txn.getNextNlsCharFromGMJO( 30, "provNm" );
    stateCodeCl = txn.getNextCharFromGMJO( 2, "stateCodeCl" );
    cntryCodeCl = txn.getNextCharFromGMJO( 3, "cntryCodeCl" );
    zipCodeCl = txn.getNextCharFromGMJO( 9, "zipCodeCl" );
    pstCodeCl = txn.getNextCharFromGMJO( 6, "pstCodeCl" );
    homePhone = txn.getNextCharFromGMJO( 15, "homePhone" );
    workPhone = txn.getNextCharFromGMJO( 15, "workPhone" );
    effectiveDate = new GsDate( txn, "effectiveDate" );
    endDate = new GsDate( txn, "endDate" );
    newMessageFlag = txn.getNextCharFromGMJO( 1, "newMessageFlag" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    accountDetail = new GsAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      accountDetail[ i ] = new GsAcctDtl( txn );
    }
    serviceChargePlan = txn.getNextCharFromGMJO( 1, "serviceChargePlan" );
    consumerType = txn.getNextCharFromGMJO( 1, "consumerType" );
    lastSessionTimestamp = txn.getNextCharFromGMJO( 26, "lastSessionTimestamp" );
    gMTOffsetMinutes = txn.getNextLongFromGMJO( "gMTOffsetMinutes" );
    marketSegment = txn.getNextLongFromGMJO( "marketSegment" );
    division = txn.getNextLongFromGMJO( "division" );
    legalName = txn.getNextNlsCharFromGMJO( 64, "legalName" );
    socialSecurityNumber = txn.getNextCharFromGMJO( 9, "socialSecurityNumber" );
    chargeBasisCode = txn.getNextCharFromGMJO( 1, "chargeBasisCode" );
    dailyLimitAmount = new GsCurrency( txn, "dailyLimitAmount" );
    emailAddress = txn.getNextCharFromGMJO( 128, "emailAddress" );
    taxType = txn.getNextLongFromGMJO( "taxType" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerageLastName = txn.getNextNlsCharFromGMJO( 30, "brokerageLastName" );
    brokerageFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerageFirstName" );
    brokerageMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerageMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    brokerageInvCat = txn.getNextLongFromGMJO( "brokerageInvCat" );
    brokerageEmail = txn.getNextCharFromGMJO( 128, "brokerageEmail" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsInvAcctDtl = new GsInvAcctDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsInvAcctDtl[ i ] = new GsInvAcctDtl( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    consumerInformation = new GsCnsmrInfo[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      consumerInformation[ i ] = new GsCnsmrInfo( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    consumerServiceProviderRules = new GsCnsmrSrvcProvdRules[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      consumerServiceProviderRules[ i ] = new GsCnsmrSrvcProvdRules( txn );
    }
    secondaryConsumerMonthAuthorizationFlag = txn.getNextLongFromGMJO( "secondaryConsumerMonthAuthorizationFlag" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    dtLastLogTmstpTTmstpVal = txn.getNextCharFromGMJO( 26, "dtLastLogTmstpTTmstpVal" );
    dtLastLogTmstpTGmtOfstMinsVal = txn.getNextLongFromGMJO( "dtLastLogTmstpTGmtOfstMinsVal" );
    fIConsumerStatusTypeClass = txn.getNextLongFromGMJO( "fIConsumerStatusTypeClass" );
    businessName = txn.getNextVarCharFromGMJO( "businessName" );
    businessIdTypeClass = txn.getNextLongFromGMJO( "businessIdTypeClass" );
    businessId = txn.getNextNlsCharFromGMJO( 20, "businessId" );
    consumerLastNameAlt = txn.getNextNlsCharFromGMJO( 30, "consumerLastNameAlt" );
    consumerFirstNameAlt = txn.getNextNlsCharFromGMJO( 30, "consumerFirstNameAlt" );
    consumerMiddleNameAlt = txn.getNextNlsCharFromGMJO( 20, "consumerMiddleNameAlt" );
    consumerSuffixTypeAlt = txn.getNextNlsCharFromGMJO( 8, "consumerSuffixTypeAlt" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "lastName = " + getLastName() );
    pageWriter.println( prefix + "firstName = " + getFirstName() );
    pageWriter.println( prefix + "middleName = " + getMiddleName() );
    pageWriter.println( prefix + "signupSource = " + getSignupSource() );
    try {
      pageWriter.println( prefix + "signupSource_text = " + getSignupSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "signupSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "faxNumber = " + getFaxNumber() );
    pageWriter.println( prefix + "suffix = " + getSuffix() );
    pageWriter.println( prefix + "fIEmploymentType = " + getFIEmploymentType() );
    try {
      pageWriter.println( prefix + "fIEmploymentType_text = " + getFIEmploymentType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIEmploymentType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "addressLine1 = " + getAddressLine1() );
    pageWriter.println( prefix + "addressLine2 = " + getAddressLine2() );
    pageWriter.println( prefix + "addressLine3 = " + getAddressLine3() );
    pageWriter.println( prefix + "city = " + getCity() );
    pageWriter.println( prefix + "province = " + getProvince() );
    pageWriter.println( prefix + "state = " + getState() );
    pageWriter.println( prefix + "country = " + getCountry() );
    pageWriter.println( prefix + "zipCode = " + getZipCode() );
    pageWriter.println( prefix + "postalCode = " + getPostalCode() );
    pageWriter.println( prefix + "addrLine1Nm = " + getAddrLine1Nm() );
    pageWriter.println( prefix + "addrLine2Nm = " + getAddrLine2Nm() );
    pageWriter.println( prefix + "addrLine3Nm = " + getAddrLine3Nm() );
    pageWriter.println( prefix + "cityNm = " + getCityNm() );
    pageWriter.println( prefix + "provNm = " + getProvNm() );
    pageWriter.println( prefix + "stateCodeCl = " + getStateCodeCl() );
    pageWriter.println( prefix + "cntryCodeCl = " + getCntryCodeCl() );
    pageWriter.println( prefix + "zipCodeCl = " + getZipCodeCl() );
    pageWriter.println( prefix + "pstCodeCl = " + getPstCodeCl() );
    pageWriter.println( prefix + "homePhone = " + getHomePhone() );
    pageWriter.println( prefix + "workPhone = " + getWorkPhone() );

    pageWriter.println( prefix + "effectiveDate =" );
    if( effectiveDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      effectiveDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "endDate =" );
    if( endDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      endDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "newMessageFlag = " + getNewMessageFlag() );
    try {
      pageWriter.println( prefix + "newMessageFlag_text = " + getNewMessageFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "newMessageFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountDetail =" );
    if( accountDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < accountDetail.length; j++ )
      {
        pageWriter.println( prefix + "accountDetail[" + j + "] =" );
        if( accountDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          accountDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "serviceChargePlan = " + getServiceChargePlan() );
    try {
      pageWriter.println( prefix + "serviceChargePlan_text = " + getServiceChargePlan_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "serviceChargePlan_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerType = " + getConsumerType() );
    try {
      pageWriter.println( prefix + "consumerType_text = " + getConsumerType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "lastSessionTimestamp = " + getLastSessionTimestamp() );
    pageWriter.println( prefix + "gMTOffsetMinutes = " + getGMTOffsetMinutes() );
    pageWriter.println( prefix + "marketSegment = " + getMarketSegment() );
    try {
      pageWriter.println( prefix + "marketSegment_text = " + getMarketSegment_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "marketSegment_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "division = " + getDivision() );
    try {
      pageWriter.println( prefix + "division_text = " + getDivision_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "division_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "legalName = " + getLegalName() );
    pageWriter.println( prefix + "socialSecurityNumber = " + getSocialSecurityNumber() );
    pageWriter.println( prefix + "chargeBasisCode = " + getChargeBasisCode() );
    try {
      pageWriter.println( prefix + "chargeBasisCode_text = " + getChargeBasisCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "chargeBasisCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "dailyLimitAmount =" );
    if( dailyLimitAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      dailyLimitAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "emailAddress = " + getEmailAddress() );
    pageWriter.println( prefix + "taxType = " + getTaxType() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerageLastName = " + getBrokerageLastName() );
    pageWriter.println( prefix + "brokerageFirstName = " + getBrokerageFirstName() );
    pageWriter.println( prefix + "brokerageMiddleName = " + getBrokerageMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "brokerageInvCat = " + getBrokerageInvCat() );
    pageWriter.println( prefix + "brokerageEmail = " + getBrokerageEmail() );

    pageWriter.println( prefix + "ifsInvAcctDtl =" );
    if( ifsInvAcctDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsInvAcctDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsInvAcctDtl[" + j + "] =" );
        if( ifsInvAcctDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsInvAcctDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "consumerInformation =" );
    if( consumerInformation == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < consumerInformation.length; j++ )
      {
        pageWriter.println( prefix + "consumerInformation[" + j + "] =" );
        if( consumerInformation[ j ] == null )
          pageWriter.println( " (null)" );
        else
          consumerInformation[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "consumerServiceProviderRules =" );
    if( consumerServiceProviderRules == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < consumerServiceProviderRules.length; j++ )
      {
        pageWriter.println( prefix + "consumerServiceProviderRules[" + j + "] =" );
        if( consumerServiceProviderRules[ j ] == null )
          pageWriter.println( " (null)" );
        else
          consumerServiceProviderRules[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "secondaryConsumerMonthAuthorizationFlag = " + getSecondaryConsumerMonthAuthorizationFlag() );
    try {
      pageWriter.println( prefix + "secondaryConsumerMonthAuthorizationFlag_text = " + getSecondaryConsumerMonthAuthorizationFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "secondaryConsumerMonthAuthorizationFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
    pageWriter.println( prefix + "dtLastLogTmstpTTmstpVal = " + getDtLastLogTmstpTTmstpVal() );
    pageWriter.println( prefix + "dtLastLogTmstpTGmtOfstMinsVal = " + getDtLastLogTmstpTGmtOfstMinsVal() );
    pageWriter.println( prefix + "fIConsumerStatusTypeClass = " + getFIConsumerStatusTypeClass() );
    try {
      pageWriter.println( prefix + "fIConsumerStatusTypeClass_text = " + getFIConsumerStatusTypeClass_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIConsumerStatusTypeClass_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "businessName = " + getBusinessName() );
    pageWriter.println( prefix + "businessIdTypeClass = " + getBusinessIdTypeClass() );
    try {
      pageWriter.println( prefix + "businessIdTypeClass_text = " + getBusinessIdTypeClass_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "businessIdTypeClass_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "businessId = " + getBusinessId() );
    pageWriter.println( prefix + "consumerLastNameAlt = " + getConsumerLastNameAlt() );
    pageWriter.println( prefix + "consumerFirstNameAlt = " + getConsumerFirstNameAlt() );
    pageWriter.println( prefix + "consumerMiddleNameAlt = " + getConsumerMiddleNameAlt() );
    pageWriter.println( prefix + "consumerSuffixTypeAlt = " + getConsumerSuffixTypeAlt() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
  }
}
