/* -------------------------------------------------------------------------- *
 * File: LoadIFS.java                                                         *
 *                                                                            *
 * Copyright:  Licensed Materials - Property of IBM                           *
 *             5648-A06                                                       *
 *             (C) Copyright IBM Corp. 1998, 2000 All Rights Reserved         *
 *             US Government Users Restricted Rights - Use, duplication       *
 *             or disclosure restricted by GSA ADP Schedule Contract          *
 *             with IBM                                                       *
 *                                                                            *
 * Description: IfsHttpServlet is an abstract class, thus, it can't be        *
 *              instantiated and loaded at WebSphere startup. This is a       *
 *              concrete subclass that is configured to load at WebSphere     *
 *              startup and in turn invokes IfsHttpServlet's constructor to   *
 *              load the back-end websrvr process.                            *
 *                                                                            *
 *                                                                            *
 * Change History:                                                            *
 *   11/29/2001 d      BJB     Created for purpose of loading IFS at WAS startup
 *                                                                            *
 * -------------------------------------------------------------------------- */
package com.ibm.ifs.servlets; 

/**
 * Empty concrete subclass of com.ibm.ifs.servlets.IfsHttpServlet, instantiated
 * at WebSphere startup to call IfsHttpServlet constructor in order to load
 * CWS.
 *
 * @see com.ibm.ifs.servlets.IfsHttpServlet
 * @author Brandon Brockway
*/
public final class LoadIFS extends IfsHttpServlet {

  /**
   * Creates a new LoadIFS instance
  */
  public LoadIFS() {
    super();
  }

} // End LoadIFS class
