
/* -------------------------------------------------------------------------- *
 * File: MethodViewBean.java                                                  *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce  methods view. HTML generating       *
 * resources, such as JSPs, can retrieve the dynamic data needed              *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/                                                             

public class MethodViewBean {

/* ---------------------------- Instance Variables -------------------------- */

  /* MethodViewBean variable declarations */

 
private int      length;
private boolean   update;
private boolean   delete;
private boolean   create;
private boolean   list;
private boolean   read;
private String   exception;
private PendingTxnViewBean[] txnAccounts;




/* ----------------------------- Instance Methods --------------------------- */

  /**
   * The following methods are getters and setters
   * for setting and accessing the values of an account.
  */


 /*
 * Default Constructor
 */

 public MethodViewBean(){
 }

 /** */
 
 public void setDetailLen(int length){
    this.length = length;
 }

 public int getDetailLen(){
    return length;
 }

 /** */

 public void setUpdate(boolean update){
        this.update = update;
 }

 public boolean getUpdate(){
    return update;
 }

 /** */

 public void setDelete(boolean delete){
        this.delete = delete;            
 }

 public boolean getDelete(){
        return delete;
 }

  /** */

 public void setCreate(boolean create){
        this.create = create;
 }

 public boolean getCreate(){
        return create;
 }

  /** */

 public void setList(boolean list){
        this.list = list;
 }

 public boolean getList(){
        return list;
 }

  /** */

 public void setRead(boolean read){
        this.read = read;
 }

 public boolean getRead(){
        return read;
 }

 /** */
      
 public void setException(String exception){
        this.exception = exception;
 }

 public String getException(){
        return exception;
 }


 public void setTxnAccounts(PendingTxnViewBean[] txnAccounts) {
    this.txnAccounts = txnAccounts;
  }

  public PendingTxnViewBean[] getTxnAccounts() {
    return txnAccounts;
  }

 

} //end of MethodViewbean class
