 
/* -------------------------------------------------------------------------- *
 * File: PendingTransactionInstanceForm.java                                  *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 * ---------------------------------------------------------------------------*/
 
 import java.io.IOException;
 import java.net.URLEncoder;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.ServletException;
 import com.ibm.ifs.gold.IfsSession;
 import com.ibm.ifs.gold.IfsSystem;
 import com.ibm.ifs.servlets.IfsHttpServlet;
 /*
 *
 * PendingTransactionInstanceForm
 * This is the Input Form for Pending Transaction Instance Class. User can 
 * select create,update,read,delete and list methods from this Form.
 * This Form calls the PendingTransactionInstanceServlet servlet which in 
 * turn calls PendingTransactionInstance Class and its methods.
 *
 */
 public class PendingTransactionInstanceForm extends IfsHttpServlet {
 	public static boolean debugOn =false;
   public void doGet (HttpServletRequest request,HttpServletResponse response)throws ServletException,IOException {
      IfsSession ifsSession =new IfsSession(request,response);
      try {
         String message =(String)getRequestParameter(request,"Message");
         //Now output the results of the read to the screen
         setDefaultHeader(response);
   
         getServletContext().getContext("/").getRequestDispatcher("/pendingTransactionInstanceForm.jsp").forward(request, response);
      }
      catch (Exception e){
         debug("PendingTransactionInstanceForm.doGet()-exception caught,value is "+e.toString());
      }


   }
 }

