/* -------------------------------------------------------------------------- *
 * File: PendingTransactionInstanceServlet.java                               *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * ---------------------------------------------------------------------------*                                                             
 *                                                                            *
 * CMVC Info:                                                                 *
 *                                                                            *
 * CMVC Info:
 *
 * latest delta date and time........... 02/06/07-12:02:31
 * cmvc path, component, release........ src/cws/jcwsapi/servlets/examples/PendingTransactionInstanceServlet.java, cws.jcwsapi, cws.v1r6m1.mmp, v1r6m1_020828
 * sccs release.level.branch.sequence... 1.1
 * sccs filename........................ /cmvc/cmvccws/vc/0/0/0/4/s.91
 * ---------------------------------------------------------------------------*/

 import java.io.IOException;
 import java.io.PrintWriter;
 import java.util.*;
 import java.text.Collator; 
 import java.net.URLEncoder;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.ServletException;
 import com.ibm.ifs.gold.IfsPendingTransactionInstance;
 import com.ibm.ifs.gold.IfsPendingTransactionInstanceDetail;
 import com.ibm.ifs.gold.IfsSession;
 import com.ibm.ifs.gold.IfsSystem;
 import com.ibm.ifs.gold.IfsException;
 import com.ibm.ifs.servlets.IfsHttpServlet;
 /*
  *
  * Pending Transaction Instance Servlet
  * This servlet calls Pending Transaction Instance Class and its methods depending on the method requested by user in 
  * PendingTransactionInstnaceForm Page.
  *
  */
 public class PendingTransactionInstanceServlet extends IfsHttpServlet {
      
      public void doPost (HttpServletRequest request,HttpServletResponse response) throws ServletException,IOException {
      
      
        IfsSession ifsSession = new IfsSession(request,response);
      
        IfsPendingTransactionInstance pendingTxn = null;
      
        IfsPendingTransactionInstanceDetail [] detail = null;
      
        String method = null;
     
        String exception = null;

        try {
         
         //Create an instance of IfsPendingTransactionInstance and put it in the
         //Http session cache so that other servlet pages within this user's
         //session have access to the same transaction instance.Use the
         //IfsHttpServlet createInstance method to create the instance.If a
         //version has already been created and stored in the cache,calling
         //this method will return the cached instance.
         //The last parameter of the createInstance method is an Http Request
         //Parameter Name whose value is an oid for the IfsPendingTransactionInstance
         //transaction.An example of this value could be "__PendingTransaction".
         //This pendingTxn Http Request Parameter would have been sent from a previous
         //page such as a form page where input fields for the IfsPendingTransactionInstance
         //transaction are provided by the user.
         
              pendingTxn = (IfsPendingTransactionInstance)createInstance(ifsSession, "com.ibm.ifs.gold.IfsPendingTransactionInstance", "pendingTxn");
         
              setFields(ifsSession,"pendingTxn",pendingTxn);
         
	           pendingTxn.setDataSourceName("jdbc/JDBCTesting");

              method = (String)getRequestParameter(request,"Method");
         
              if("Create".equalsIgnoreCase(method)) {
                    debug("PendingTransactionInstanceServlet.doPost()-URL value is " + pendingTxn.getDataSourceName());
                    pendingTxn.create(); //create a new row in the table.
       
                } else if("List".equalsIgnoreCase(method)) {
             
                       pendingTxn.list();
                       detail = pendingTxn.getOutputData();
          
                    } else if("Update".equalsIgnoreCase(method)) {

                           pendingTxn.update();

                       } else if("Delete".equalsIgnoreCase(method)) {
                              pendingTxn.delete();
                            } else if("Read".equalsIgnoreCase(method)) {
                                 pendingTxn.read();
                                 detail =pendingTxn.getOutputData();
                             }
                             

           } catch (Throwable e) {
                  exception = e.toString();
                  System.out.println("exception thrown is: " + exception);
                  debug("PendingTransactionInstanceServlet.doPost()-exception caught value is " + exception);
             }
           finally {
                    try { pendingTxn.close(); }
                    catch(Exception e) { exception = e.toString(); }
           }


             MethodViewBean methodBean = new MethodViewBean();
             
             methodBean.setUpdate(method.equalsIgnoreCase("Update"));
             methodBean.setDelete(method.equalsIgnoreCase("Delete"));
             methodBean.setCreate(method.equalsIgnoreCase("Create"));
             methodBean.setList(method.equalsIgnoreCase("List"));
             methodBean.setRead(method.equalsIgnoreCase("Read"));
             methodBean.setException(exception);
             
             PendingTxnViewBean viewBean = new PendingTxnViewBean();
             Vector pendingTxnVec = new Vector();

          if (method.equalsIgnoreCase("List") || method.equalsIgnoreCase("Read")) {

            for(int i=0;i<detail.length;i++) {

             viewBean.setFIID(detail [i ].getFinancialInstitutionIdentifier());
             viewBean.setPrmCnsmrID(detail [i ].getPrimaryConsumerID());
             viewBean.setTxnInitCnsmrID(detail [i ].getTransactionInitiatorConsumerID());
             viewBean.setTxnInitTstamp(detail [i ].getTransactionInitiationTimestamp());
             viewBean.setSrvPrvName(detail [i ].getServiceProviderName());
             viewBean.setSrvReqName(detail [i ].getServiceRequestName());
             viewBean.setTxnDebtAcctClearHId(detail [i ].getTransactionDebtAccountClearingHouseID());
             viewBean.setTxnDebtAcctType(detail [i ].getTransactionDebtAccountType());
             viewBean.setTxnDebtAcctSubType(detail [i ].getTransactionDebtAccountSubType());
             viewBean.setTxnDebtAcctName(detail [i ].getTransactionDebtAccountNumber());
             viewBean.setTxnDebtAcctNickName(detail [i ].getTransactionDebtAccountNickname());
             viewBean.setGoldTxnAmt(detail [i ].getGoldTransactionAmount());
             viewBean.setTxnAmt(detail [i ].getTransactionAmount());
             viewBean.setTxnAmtPrec(detail [i ].getTransactionAmountPrecision());
             viewBean.setTxnCurrType(detail [i ].getTransactionCurrencyType());
             viewBean.setTxnBeneficiary(detail [i ].getTransactionBeneficiary());
             viewBean.setTxnReference(detail [i ].getTransactionReference());
             viewBean.setTxnValDate(detail [i ].getTransactionValueDate());
             viewBean.setTxnStatusCode(detail [i ].getTransactionStatusCode());
             viewBean.setTxnStatusCodeTxt(detail [i ].getTransactionStatusCode_text());
             viewBean.setTxnData(detail [i ].getTransactionData());
             viewBean.setTxnAuthCnsmrID(detail [i ].getTransactionAuthorizerConsumerID());
             viewBean.setTxnAuthTimeStamp(detail [i ].getTransactionAuthorizationTimestamp());

             pendingTxnVec.add(viewBean);
         
            }
          }
            
             PendingTxnViewBean[] txnAccounts = new PendingTxnViewBean[pendingTxnVec.size()];
             for (int i=0;i<txnAccounts.length;i++) {
                txnAccounts[i] = (PendingTxnViewBean) pendingTxnVec.elementAt(i);
             }

             methodBean.setTxnAccounts(txnAccounts);
             setDefaultHeader(response);
             request.setAttribute("METHOD_BEAN", methodBean);
             request.getRequestDispatcher("/pendingTransactionInstanceServlet.jsp").forward(request, response);

      }
 }








   
   
   
        
