
/* -------------------------------------------------------------------------- *
 * File: PendingTxnViewBean.java                                              *
 *                                                                            *
 * Copyright Information:                                                     *
 *   Licensed Materials - Property of IBM                                     *
 *   5648-A06                                                                 *
 *   (c) Copyright IBM Corporation, 1996-2000. All rights reserved.           *
 *   US Government Users Restricted Rights - Use, duplication                 *
 *   or disclosure restricted by GSA ADP Schedule Contract                    *
 *   with IBM                                                                 *
 *                                                                            *
 * Description:                                                               *
 * ------------                                                               *
 * Encapsulates the data used to produce the array detail view. HTML          *
 * generating resources, such as JSPs, can retrieve the dynamic data needed   *
 * to produce the view (HTML) by calling the getXXX() methods of this class.  *
 * The getXXX() methods will not throw Exceptions but may return a null value *
 * All Exception handling should be performed in a Servlet before populating  *
 * and forwarding and instance of this ViewBean to a JSP eliminating the need *
 * for Exception handling in the JSPs. This will result in a minimum amount   *
 * of Java scriptlet code in the JSP, making it as HTML like as possible.     *
 *                                                                            *
 * ---------------------------------------------------------------------------*/                                                             
import com.ibm.ifs.gold.GsCurrency;

public class PendingTxnViewBean {

/* ---------------------------- Instance Variables -------------------------- */

  /* PendingTxnViewBean variable declarations */

 

private String fiID ;
private String primCnsmrId;
private String txnInitCsmrId;
private String txnInitTimestamp;
private String serviceProviderName;
private String serviceRequestName;
private String txnDebtAccountClearingHouseID = null;
private String txnDebtAccountType = null;
private String txnDebtAccountNumber = null;
private String txnDebtAccountNickname = null;
private GsCurrency goldTxnAmount = null;
private String txnAmount = null;
private String txnCurrencyType = null;
private String txnBeneficiary = null;
private String txnReference = null;
private String txnValueDate;
private String txnStatusCode;
private String txnStatusCodeTxt = null;
private String txnData = null;
private String txnAuthorizerConsumerID = null;
private String txnAuthorizationTimestamp = null;

private short txnDebtAccountSubType;
private short txnAmountPrecision;





/* ----------------------------- Instance Methods --------------------------- */

  /**
   * The following methods are getters and setters
   * for setting and accessing the values of an account.
  */

 /** 
 * default Constructor
 **/ 

 public PendingTxnViewBean(){
 }


 /** */

 public void setFIID (String fiID){
        this.fiID = fiID;
 }

 public String getFIID (){
        return fiID;
 }


  /** */

 public void setPrmCnsmrID(String primCnsmrId){
        this.primCnsmrId = primCnsmrId;
 }

 public String getPrmCnsmrID(){
        return primCnsmrId;
 }


  /** */

 public void setTxnInitCnsmrID(String txnInitCsmrId){
        this.txnInitCsmrId = txnInitCsmrId;
 }

 public String getTxnInitCnsmrID(){
        return txnInitCsmrId;
 }


  /** */

 public void setTxnInitTstamp(String txnInitTimestamp){
        this.txnInitTimestamp = txnInitTimestamp;
 }

 public String getTxnInitTstamp(){
        return txnInitTimestamp;
 }


  /** */

 public void setSrvPrvName(String serviceProviderName){
        this.serviceProviderName = serviceProviderName;
 }

 public String getSrvPrvName(){
        return serviceProviderName;
 }


  /** */

 public void setSrvReqName(String serviceRequestName){
        this.serviceRequestName = serviceRequestName;
 }

 public String getSrvReqName(){
        return serviceRequestName;
 }


  /** */

 public void setTxnDebtAcctClearHId(String txnDebtAccountClearingHouseID){
        this.txnDebtAccountClearingHouseID = txnDebtAccountClearingHouseID;
 }

 public String getTxnDebtAcctClearHId(){
        return txnDebtAccountClearingHouseID;
 }


  /** */

 public void setTxnDebtAcctType(String txnDebtAccountType){
        this.txnDebtAccountType = txnDebtAccountType;
 }

 public String getTxnDebtAcctType(){
        return txnDebtAccountType;
 }


  /** */

 public void setTxnDebtAcctSubType(short txnDebtAccountSubType){
        this.txnDebtAccountSubType = txnDebtAccountSubType;
 }

 public short getTxnDebtAcctSubType(){
        return txnDebtAccountSubType;
 }


  /** */

 public void setTxnDebtAcctName(String txnDebtAccountNumber){
        this.txnDebtAccountNumber = txnDebtAccountNumber;
 }

 public String getTxnDebtAcctName(){
        return txnDebtAccountNumber;
 }


  /** */

 public void setTxnDebtAcctNickName(String txnDebtAccountNickname){
        this.txnDebtAccountNickname = txnDebtAccountNickname;
 }

 public String getTxnDebtAcctNickName(){
        return txnDebtAccountNickname;
 }


  /** */

 public void setGoldTxnAmt(GsCurrency goldTxnAmount){
        this.goldTxnAmount = goldTxnAmount;
 }

 public GsCurrency getGoldTxnAmt(){
        return goldTxnAmount;
 }


  /** */

 public void setTxnAmt(String txnAmount){
        this.txnAmount = txnAmount;
 }

 public String getTxnAmt(){
        return txnAmount;
 }


  /** */

 public void setTxnAmtPrec(short txnAmountPrecision){
        this.txnAmountPrecision = txnAmountPrecision;
 }

 public short getTxnAmtPrec(){
        return txnAmountPrecision;
 }


  /** */

 public void setTxnCurrType(String txnCurrencyType){
        this.txnCurrencyType = txnCurrencyType;
 }

 public String getTxnCurrType(){
        return txnCurrencyType;
 }


  /** */

 public void setTxnBeneficiary(String txnBeneficiary){
        this.txnBeneficiary = txnBeneficiary;
 }

 public String getTxnBeneficiary(){
        return txnBeneficiary;
 }


  /** */

 public void setTxnReference(String txnReference){
        this.txnReference = txnReference;
 }

 public String getTxnReference(){
        return txnReference;
 }


  /** */

 public void setTxnValDate(String txnValueDate){
        this.txnValueDate = txnValueDate;
 }

 public String getTxnValDate(){
        return txnValueDate;
 }


  /** */

 public void setTxnStatusCode(String txnStatusCode){
        this.txnStatusCode = txnStatusCode;
 }

 public String getTxnStatusCode(){
        return txnStatusCode;
 }


  /** */

 public void setTxnStatusCodeTxt(String txnStatusCodeTxt){
        this.txnStatusCodeTxt = txnStatusCodeTxt;
 }

 public String getTxnStatusCodeTxt(){
        return txnStatusCodeTxt;
 }


  /** */

 public void setTxnData(String txnData){
        this.txnData = txnData;
 }

 public String getTxnData(){
        return txnData;
 }


  /** */

 public void setTxnAuthCnsmrID(String txnAuthorizerConsumerID){
        this.txnAuthorizerConsumerID = txnAuthorizerConsumerID;
 }

 public String getTxnAuthCnsmrID(){
        return txnAuthorizerConsumerID;
 }
 

  /** */

 public void setTxnAuthTimeStamp(String txnAuthorizationTimestamp){
        this.txnAuthorizationTimestamp = txnAuthorizationTimestamp;
 }

 public String getTxnAuthTimeStamp(){
        return txnAuthorizationTimestamp;
 }



} //end of PendingTxnViewbean class
