//
// CMVC Info:
//
// latest delta date and time........... 02/06/07-12:02:35
// cmvc path, component, release........ src/cws/jcwsapi/servlets/examples/WebTransactionActivityServlet.java, cws.jcwsapi, cws.v1r6m1.mmp, v1r6m1_020828
// sccs release.level.branch.sequence... 1.1
// sccs filename........................ /cmvc/cmvccws/vc/0/0/0/4/s.94
//
 import java.io.IOException;
 import java.io.PrintWriter;
 import java.net.URLEncoder;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 import javax.servlet.ServletException;
 import com.ibm.ifs.gold.GsCurrency;
 import com.ibm.ifs.gold.IfsWebTransactionActivity;
 import com.ibm.ifs.gold.IfsWebTransactionActivityDetail;
 import com.ibm.ifs.gold.IfsSession;
 import com.ibm.ifs.gold.IfsSystem;
 import com.ibm.ifs.servlets.IfsHttpServlet;

 /*
  * This servlet calls IfsWebTranscationActivity Class and its methods from 
  * WebTransactionActivityForm Page.
  */

 public class WebTransactionActivityServlet extends IfsHttpServlet {
      
 public void doPost (HttpServletRequest request,HttpServletResponse response) throws ServletException,IOException {
      
      PrintWriter pw = response.getWriter();
      
      IfsSession ifsSession = new IfsSession(request,response);
      
      IfsWebTransactionActivity webTxn = null;
      
      IfsWebTransactionActivityDetail [] detail = null;
      
      String method = null;
     
      String exception = null;
      
      try {
         IfsSystem.initIfs();
         
         //Create an instance of IfsWebTransactionActivity and put it in the
         //Http session cache so that other servlet pages within this user's
         //session have access to the same transaction instance.Use the
         //IfsHttpServlet createInstance method to create the instance.If a
         //version has already been created and stored in the cache,calling
         //this method will return the cached instance.
         //The last parameter of the createInstance method is an Http Request
         //Parameter Name whose value is an oid for the IfsWebTransactionActivity
         //transaction.An example of this value could be "__WebTransaction".
         //This webTxn Http Request Parameter would have been sent from a previous
         //page such as a form page where input fields for the IfsWebTransactionActivity
         //transaction are provided by the user.
         
         webTxn = (IfsWebTransactionActivity)createInstance(ifsSession, "com.ibm.ifs.gold.IfsWebTransactionActivity", "webTxn");
         
         setFields(ifsSession,"webTxn",webTxn);
         
	 webTxn.setDataSourceName("jdbc/sampleDB");

         //setting gold transaction amount to check txn_amt, txn_prec, txn_curr_type.
         //GsCurrency gsCurr = new GsCurrency();
         //           gsCurr = GsCurrency.fromString("asbd200.50");
         //webTxn.setGoldTransactionAmount(gsCurr);
         
         method = (String)getRequestParameter(request,"Method");
         
         if("Create".equalsIgnoreCase(method)) {
            
            webTxn.create(); //create a new row in the table.
            
         } else if("List".equalsIgnoreCase(method)) {
            
            webTxn.list();
            
            detail = webTxn.getTransactionQueryData();
         
         } else if("Delete".equalsIgnoreCase(method)) {
            
            webTxn.delete();
            
         } else if("Read".equalsIgnoreCase(method)) {
            
            webTxn.read();
            
            detail =webTxn.getTransactionQueryData();
         }
      } catch (Throwable e) {
         exception = e.toString();
         debug("WebTransactionActivityServlet.doPost()-exception caught value is " + exception);
      }
      finally {
           try { webTxn.close(); }
           catch(Exception e) { exception = e.toString(); }
      }


      //Now output the results of the read to the screen
      pw.println("<HTML>");
      pw.println("<HEAD>");
      addCopyright(response);
      pw.println("<TITLE>");
      pw.println("Web Transaction Activity Servlet");
      pw.println("</TITLE>");
      pw.println("<META NAME=\"Author \"VALUE=\"IBM Corporation \">");
      pw.println("<META NAME=\"Application \"VALUE=\"Customizable Web Server Example Pages \">");
      pw.println("</HEAD>");
      //pw.println("<BODY BGCOLOR=\"#ffffff \">");
      //pw.println("<BODY BGCOLOR=\"#FFFFFF \"BACKGROUND=\"\">");
      pw.println("<BR>");
      //---Begin Standard Title ------------------------//
      pw.println("<P><TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD VALIGN='BASELINE' ALIGN='CENTER'><FONT SIZE=+2 COLOR='#000000'>Web Transaction Activity Servlet</FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<IMG SRC='/images/hr_2.gif' WIDTH='100%' HEIGHT='3' ALIGN='CENTER'><BR>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='3' CELLPADDING='2'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='2' CELLPADDING='0'>");
      pw.println("<TR>");
      pw.println("<TD WIDTH='100%' VALIGN='TOP'><FONT></FONT></TD>");
      pw.println("</TR>");
      pw.println("</TABLE>");
      //---End Standard Title---------------------------//
      if (exception != null)
      {
        debug("in debug or exception" + exception);
        pw.println("<BR> <B> Web Transaction Activity Threw an Exception.</B> Exception is " + exception );
      }
      else
      {
        if(method.equalsIgnoreCase("List") || method.equalsIgnoreCase("Read"))
        {
            pw.println("<BR><B>IfsWebTransactionActivity Records</B>");
      
            for(int i = 0 ; i <detail.length ; i++) 
            {
              pw.println("<BR>FI Identifier ["+i +"] value is "+ detail [i ].getFinancialInstitutionIdentifier());

              pw.println("<BR>PrimaryConsumerID ["+i +"] value is "+ detail [i ].getPrimaryConsumerID());

              pw.println("<BR>TransactionInitiatorConsumerID ["+i +"] value is "+ detail [i ].getTransactionInitiatorConsumerID());
         
              pw.println("<BR>TransactionLoggedTimestamp ["+i +"] value is "+ detail [i ].getTransactionLoggedTimestamp());
         
              pw.println("<BR>ServiceRequestName ["+i +"] value is " +detail [i ].getServiceRequestName());
         
              pw.println("<BR>GoldTransactionAmount ["+i +"] value is " +detail [i ].getGoldTransactionAmount());
         
              pw.println("<BR>TransactionAmount ["+i +"] value is " +detail [i ].getTransactionAmount());
         
              pw.println("<BR>TransactionAmountPrecision ["+i +"] value is " + detail [i ].getTransactionAmountPrecision());
         
              pw.println("<BR>TransactionCurrencyType ["+i +"] value is " +detail [i ].getTransactionCurrencyType());
         
              pw.println("<BR>TransactionBeneficiary ["+i +"] value is " +detail [i ].getTransactionBeneficiary());
         
              pw.println("<BR>TransactionReference ["+i +"] value is " +detail [i ].getTransactionReference());
          
              pw.println("<BR>TransactionValueDate ["+i +"] value is " +detail [i ].getTransactionValueDate());
         
              pw.println("<BR>TransactionLoggingReasonCode ["+i +"] value is " +detail [i ].getTransactionLoggingReasonCode());
         
              pw.println("<BR>TransactionData ["+i +"] value is " +detail [i ].getTransactionData());
         
              pw.println("<BR>TransactionAuthorizerConsumerID ["+i +"] value is " + detail [i ].getTransactionAuthorizerConsumerID());
          
              pw.println("<BR>TransactionAuthorizationTimestamp ["+i +"] value is " + detail [i ].getTransactionAuthorizationTimestamp());
              
              pw.println("<BR> <BR> <HR SIZE=4 WIDTH=80% <BR>");
              
            
          }
        }
        else if (method.equalsIgnoreCase("Delete")) 
        {
          pw.println("<BR> <B> Record Deleted Successfully </B> <BR>");
        }
        else if (method.equalsIgnoreCase("Create"))
        {
          pw.println("<BR> <B> Record Created Successfully </B> <BR>");
        }
        else pw.println("<BR> <B> Wrong Input, Please try again. </B> <BR>");

    }

      pw.println("<TABLE WIDTH='100%' BORDER='0' CELLSPACING='0' CELLPADDING='1'>");
      
      pw.println("<TR>");
      
      pw.println("<TD><IMG SRC='/images/hr_2.gif'WIDTH='100%' HEIGHT='2'></TD>");
      
      pw.println("</TR>");

      pw.println("<TR>");

      pw.println("<TD ALIGN='CENTER'> <A HREF='WebTransactionActivityForm'>WebTransactionActivityForm</A> </TD>");

      pw.println("</TR>");
      
      pw.println("</TABLE>");
      
      pw.println("</BODY>");
      
      pw.println("</HTML>");
   }
 }

