//**********************************************
//
// FILE NAME: GtGetIFSProfilesInquiry.java
// TRANSACTION NAME: Get IFS Profiles Inquiry Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get IFS Profiles Inquiry Transaction</B>
 * <P>IFS ID: <B>getifspr</B>
 * <P>
 * A IFS defined transaction.
 * <BR>
 * <P><B>GET_IFS_PROFILE_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_IFS_PROFILE_IMSG</B>
 *
 * <P>Reply:   <B>GET_IFS_PROFILE_OMSG</B>
 */
public class GtGetIFSProfilesInquiry extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetIFSProfilesInquiry() { setContainsRespCode( 0 ); }
  public GtGetIFSProfilesInquiry( IfsSession sess ) {
    setIfsSession( sess ); setContainsRespCode( 0 );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "getifspr_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqSendFIProfileFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPrflRqstTg.SendFIPrflFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution profile is to be
   * sent in the output.
   */
  private String reqSendFIProfileFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqSendFIProfileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPrflRqstTg.SendFIPrflFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution profile is to be
   * sent in the output.
   */
  public  void   setReqSendFIProfileFlag( String o ) { reqSendFIProfileFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSendFIProfileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPrflRqstTg.SendFIPrflFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution profile is to be
   * sent in the output.
   */
  public  String getReqSendFIProfileFlag() { return (reqSendFIProfileFlag); }

  /**
   * <P>The attribute <code>reqSendHolidayFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsPrflRqstTg.SendHolidayFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution holiday
   * information is to be sent in the output.
   */
  private String reqSendHolidayFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reqSendHolidayFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPrflRqstTg.SendHolidayFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution holiday
   * information is to be sent in the output.
   */
  public  void   setReqSendHolidayFlag( String o ) { reqSendHolidayFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSendHolidayFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsPrflRqstTg.SendHolidayFTg</code>.
   * <P>
   * A flag which indicates if the Financial Institution holiday
   * information is to be sent in the output.
   */
  public  String getReqSendHolidayFlag() { return (reqSendHolidayFlag); }

  /**
   * <P>The attribute <code>reqServiceIDList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcIdLstTg</code>.
   * <P>
   * A list of Service Identifiers.
   * <BR>
   */
  private GsSrvc[] reqServiceIDList = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceIDList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcIdLstTg</code>.
   * <P>
   * A list of Service Identifiers.
   * <BR>
   */
  public  void     setReqServiceIDList(GsSrvc[] o )  { reqServiceIDList = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceIDList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcIdLstTg</code>.
   * <P>
   * A list of Service Identifiers.
   * <BR>
   */
  public  GsSrvc[] getReqServiceIDList() { return (reqServiceIDList); }

  private String reqServiceIDList_packed = null;
  public  void   setReqServiceIDList_packed(String o ) { reqServiceIDList_packed = o; }
  public  String getReqServiceIDList_packed() { return (reqServiceIDList_packed); }


  /**
   * <P>The attribute <code>reqServiceExtList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcExtListTg</code>.
   * <P>
   * A repeating structure containing a list of Service Identifiers.
   * <BR>
   */
  private GsSrvc[] reqServiceExtList = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceExtList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcExtListTg</code>.
   * <P>
   * A repeating structure containing a list of Service Identifiers.
   * <BR>
   */
  public  void     setReqServiceExtList(GsSrvc[] o )  { reqServiceExtList = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceExtList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcExtListTg</code>.
   * <P>
   * A repeating structure containing a list of Service Identifiers.
   * <BR>
   */
  public  GsSrvc[] getReqServiceExtList() { return (reqServiceExtList); }

  private String reqServiceExtList_packed = null;
  public  void   setReqServiceExtList_packed(String o ) { reqServiceExtList_packed = o; }
  public  String getReqServiceExtList_packed() { return (reqServiceExtList_packed); }


  /**
   * <P>The attribute <code>reqServiceRequestProfileList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcRqstPrflLstTg</code>.
   * <P>
   * A repeating structure each of which contains details for a Service
   * Request profile.
   * <BR>
   */
  private GsSrvcRqst[] reqServiceRequestProfileList = null;

  /**
   * <P>Sets the value of the attribute <code>reqServiceRequestProfileList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcRqstPrflLstTg</code>.
   * <P>
   * A repeating structure each of which contains details for a Service
   * Request profile.
   * <BR>
   */
  public  void         setReqServiceRequestProfileList(GsSrvcRqst[] o )  { reqServiceRequestProfileList = o; }

  /**
   * <P>Gets the value of the attribute <code>reqServiceRequestProfileList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsPrflRqstTg.SrvcRqstPrflLstTg</code>.
   * <P>
   * A repeating structure each of which contains details for a Service
   * Request profile.
   * <BR>
   */
  public  GsSrvcRqst[] getReqServiceRequestProfileList() { return (reqServiceRequestProfileList); }

  private String reqServiceRequestProfileList_packed = null;
  public  void   setReqServiceRequestProfileList_packed(String o ) { reqServiceRequestProfileList_packed = o; }
  public  String getReqServiceRequestProfileList_packed() { return (reqServiceRequestProfileList_packed); }


// response message fields/setters/getters

  /**
   * <P>The attribute <code>fINumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  private String fINumber = null;

  /**
   * <P>Sets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  void   setFINumber( String o ) { fINumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fINumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiIdTg.FiNbrIdTg</code>.
   * <P>
   * An alphanumeric string uniquely identifying a Financial Institution.
   */
  public  String getFINumber() { return (fINumber); }

  /**
   * <P>The attribute <code>transactionRoutingingNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  private int  transactionRoutingingNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>transactionRoutingingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  public  void setTransactionRoutingingNumber( int o ) { transactionRoutingingNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionRoutingingNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TrnstRoutNbrIdTg</code>.
   * <P>
   * A number uniquely identifying an organization to the Federal Reserve
   * System which provides products and services of a monetary or
   * financial nature within the United States.
   */
  public  int  getTransactionRoutingingNumber() { return (transactionRoutingingNumber); }

  /**
   * <P>The attribute <code>fIHoldingCompanyNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  private String fIHoldingCompanyNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIHoldingCompanyNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  public  void   setFIHoldingCompanyNumber( String o ) { fIHoldingCompanyNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIHoldingCompanyNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiHldgCoNbrIdTg</code>.
   * <P>
   * An alphanumeric string, (assigned by IFS) uniquely identifying an
   * organization that exercises control over another company or a related
   * group of companies. For example, two Financial Institutions are
   * controlled by the same multibank Holding Company and are able to
   * process Transfers as equivalent to Intra-bank Transfers rather than
   * Inter-Bank Transfers.
   */
  public  String getFIHoldingCompanyNumber() { return (fIHoldingCompanyNumber); }

  /**
   * <P>The attribute <code>fINickname</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  private String fINickname = null;

  /**
   * <P>Sets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  void   setFINickname( String o ) { fINickname = o; }

  /**
   * <P>Gets the value of the attribute <code>fINickname</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.NckNmTg</code>.
   * <P>
   * The common name, nickname, or alias name for a Financial Institution.
   */
  public  String getFINickname() { return (fINickname); }

  /**
   * <P>The attribute <code>fILine1</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  private String fILine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  public  void   setFILine1( String o ) { fILine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiNmTg.Line1NmTg</code>.
   * <P>
   * The name of the Financial Institution.
   */
  public  String getFILine1() { return (fILine1); }

  /**
   * <P>The attribute <code>fILine2</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  private String fILine2 = null;

  /**
   * <P>Sets the value of the attribute <code>fILine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  public  void   setFILine2( String o ) { fILine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fILine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.Line2NmTg</code>.
   * <P>
   * An alphanumeric string forming part or all of the name or the label
   * by which a Financial Institution is addressed or known.
   */
  public  String getFILine2() { return (fILine2); }

  /**
   * <P>The attribute <code>fIAddressLine1</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  private String fIAddressLine1 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  public  void   setFIAddressLine1( String o ) { fIAddressLine1 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine1</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine1NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 1.
   */
  public  String getFIAddressLine1() { return (fIAddressLine1); }

  /**
   * <P>The attribute <code>fIAddressLine2</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  private String fIAddressLine2 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  public  void   setFIAddressLine2( String o ) { fIAddressLine2 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine2</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine2NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 2.
   */
  public  String getFIAddressLine2() { return (fIAddressLine2); }

  /**
   * <P>The attribute <code>fIAddressLine3</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  private String fIAddressLine3 = null;

  /**
   * <P>Sets the value of the attribute <code>fIAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  public  void   setFIAddressLine3( String o ) { fIAddressLine3 = o; }

  /**
   * <P>Gets the value of the attribute <code>fIAddressLine3</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.AddrLine3NmTg</code>.
   * <P>
   * The address of the Financial Institution. See Address Line 3.
   */
  public  String getFIAddressLine3() { return (fIAddressLine3); }

  /**
   * <P>The attribute <code>fICity</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  private String fICity = null;

  /**
   * <P>Sets the value of the attribute <code>fICity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  public  void   setFICity( String o ) { fICity = o; }

  /**
   * <P>Gets the value of the attribute <code>fICity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CityNmTg</code>.
   * <P>
   * The address of the Financial Institution. See City.
   */
  public  String getFICity() { return (fICity); }

  /**
   * <P>The attribute <code>fIProvince</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  private String fIProvince = null;

  /**
   * <P>Sets the value of the attribute <code>fIProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  public  void   setFIProvince( String o ) { fIProvince = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProvince</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ProvNmTg</code>.
   * <P>
   * The address of the Financial Institution. See Province.
   */
  public  String getFIProvince() { return (fIProvince); }

  /**
   * <P>The attribute <code>fIState</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  private String fIState = null;

  /**
   * <P>Sets the value of the attribute <code>fIState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  public  void   setFIState( String o ) { fIState = o; }

  /**
   * <P>Gets the value of the attribute <code>fIState</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.StateCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See State.
   */
  public  String getFIState() { return (fIState); }

  /**
   * <P>The attribute <code>fICountry</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  private String fICountry = null;

  /**
   * <P>Sets the value of the attribute <code>fICountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  public  void   setFICountry( String o ) { fICountry = o; }

  /**
   * <P>Gets the value of the attribute <code>fICountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.CntryCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Country Code.
   */
  public  String getFICountry() { return (fICountry); }

  /**
   * <P>The attribute <code>fIZipCode</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  private String fIZipCode = null;

  /**
   * <P>Sets the value of the attribute <code>fIZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  public  void   setFIZipCode( String o ) { fIZipCode = o; }

  /**
   * <P>Gets the value of the attribute <code>fIZipCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.ZipCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Zip Code.
   */
  public  String getFIZipCode() { return (fIZipCode); }

  /**
   * <P>The attribute <code>fIPostalCode</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  private String fIPostalCode = null;

  /**
   * <P>Sets the value of the attribute <code>fIPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  public  void   setFIPostalCode( String o ) { fIPostalCode = o; }

  /**
   * <P>Gets the value of the attribute <code>fIPostalCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiAddrDtlTg.PstCodeClTg</code>.
   * <P>
   * The address of the Financial Institution. See Postal Code.
   */
  public  String getFIPostalCode() { return (fIPostalCode); }

  /**
   * <P>The attribute <code>sessionHistoryRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  private int  sessionHistoryRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>sessionHistoryRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  void setSessionHistoryRetention( int o ) { sessionHistoryRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>sessionHistoryRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.SsnHistRetnValTg</code>.
   * <P>
   * The number of days the IFS Session History file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  int  getSessionHistoryRetention() { return (sessionHistoryRetention); }

  /**
   * <P>The attribute <code>transactionLogRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  private int  transactionLogRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>transactionLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  void setTransactionLogRetention( int o ) { transactionLogRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.TxnLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Transaction Log file is retained on the
   * system. This value is Financial Institution specific.
   */
  public  int  getTransactionLogRetention() { return (transactionLogRetention); }

  /**
   * <P>The attribute <code>eventLogRetention</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  private int  eventLogRetention = 0;

  /**
   * <P>Sets the value of the attribute <code>eventLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  public  void setEventLogRetention( int o ) { eventLogRetention = o; }

  /**
   * <P>Gets the value of the attribute <code>eventLogRetention</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EvLogRetnValTg</code>.
   * <P>
   * The number of days the IFS Event Log file is retained on the system.
   * This value is Financial Institution specific.
   */
  public  int  getEventLogRetention() { return (eventLogRetention); }

  /**
   * <P>The attribute <code>fIWorkPhone</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  private String fIWorkPhone = null;

  /**
   * <P>Sets the value of the attribute <code>fIWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  public  void   setFIWorkPhone( String o ) { fIWorkPhone = o; }

  /**
   * <P>Gets the value of the attribute <code>fIWorkPhone</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiWrkPhNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the work place phone number for a
   * Financial Institution. For US Phones&colon. AAAXXXEEEE,
   * left-justified and padded on the right with blanks.
   */
  public  String getFIWorkPhone() { return (fIWorkPhone); }

  /**
   * <P>The attribute <code>reauthorizationTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  private int  reauthorizationTime = 0;

  /**
   * <P>Sets the value of the attribute <code>reauthorizationTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  public  void setReauthorizationTime( int o ) { reauthorizationTime = o; }

  /**
   * <P>Gets the value of the attribute <code>reauthorizationTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthTmValTg</code>.
   * <P>
   * The value of time, specified in minutes, of User Session inactivity
   * after which the user will be requested to re-enter the Consumer
   * Identifier and Password on the next request (if the Re-authentication
   * Flag is set). This value is Financial Institution specific.
   */
  public  int  getReauthorizationTime() { return (reauthorizationTime); }

  /**
   * <P>The attribute <code>reauthorizationFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  private String reauthorizationFlag = null;

  /**
   * <P>Sets the value of the attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  void   setReauthorizationFlag( String o ) { reauthorizationFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   * <P>
   * A code indicating if a consumer is required to re-establish his
   * identity (Y), or denying (N) that consumer re-authentication is
   * required, by the Financial Institution (after user inactivity has
   * exceeded the User Re-authentication Time-out value). For example, a
   * Financial Institution which has the Re-authentication Flag set on
   * requires the consumer to re-establish user identification to prove
   * that he or she is genuine, after exceeding the designated User
   * Re-authentication Time-out and activating any value request.
   */
  public  String getReauthorizationFlag() { return (reauthorizationFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>reauthorizationFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ReauthFTg</code>.
   */
  public  String getReauthorizationFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsReauthFResources", locale, getReauthorizationFlag() );
  }

  /**
   * <P>The attribute <code>inactiveTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  private int  inactiveTime = 0;

  /**
   * <P>Sets the value of the attribute <code>inactiveTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  public  void setInactiveTime( int o ) { inactiveTime = o; }

  /**
   * <P>Gets the value of the attribute <code>inactiveTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.InactTmValTg</code>.
   * <P>
   * The value of time, specified in minutes of User Session inactivity
   * after which the Web Server will send a user logoff message to the
   * Core Controller. This value is Financial Institution specific.
   */
  public  int  getInactiveTime() { return (inactiveTime); }

  /**
   * <P>The attribute <code>webDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  private int  webDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>webDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  public  void setWebDefaultTime( int o ) { webDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>webDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.WebDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the Web
   * Server should receive a response for a transaction. This may be
   * superseded by a timeout value set by the Service Request Profile or
   * the Service Profile.
   */
  public  int  getWebDefaultTime() { return (webDefaultTime); }

  /**
   * <P>The attribute <code>pFMDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  private int  pFMDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>pFMDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  public  void setPFMDefaultTime( int o ) { pFMDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>pFMDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.PFMDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Personal Finance Manager should receive a response for a transaction.
   * This may be superseded by a timeout value set by the Service Request
   * Profile or the Service Profile.
   */
  public  int  getPFMDefaultTime() { return (pFMDefaultTime); }

  /**
   * <P>The attribute <code>iVRDefaultTime</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  private int  iVRDefaultTime = 0;

  /**
   * <P>Sets the value of the attribute <code>iVRDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  public  void setIVRDefaultTime( int o ) { iVRDefaultTime = o; }

  /**
   * <P>Gets the value of the attribute <code>iVRDefaultTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IVRDfltTmValTg</code>.
   * <P>
   * The default value of the time interval in seconds by which the
   * Integrion VRU should receive a response for a transaction. This may
   * be superseded by a timeout value set by the Service Request Profile
   * or the Service Profile.
   */
  public  int  getIVRDefaultTime() { return (iVRDefaultTime); }

  /**
   * <P>The attribute <code>logonTransactionTimeInterval</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  private int  logonTransactionTimeInterval = 0;

  /**
   * <P>Sets the value of the attribute <code>logonTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  public  void setLogonTransactionTimeInterval( int o ) { logonTransactionTimeInterval = o; }

  /**
   * <P>Gets the value of the attribute <code>logonTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLgnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes after which a check is done for invalid
   * logon attempts. This value is Financial Institution specific.
   */
  public  int  getLogonTransactionTimeInterval() { return (logonTransactionTimeInterval); }

  /**
   * <P>The attribute <code>businessTransactionTimeInterval</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  private int  businessTransactionTimeInterval = 0;

  /**
   * <P>Sets the value of the attribute <code>businessTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  public  void setBusinessTransactionTimeInterval( int o ) { businessTransactionTimeInterval = o; }

  /**
   * <P>Gets the value of the attribute <code>businessTransactionTimeInterval</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnTxnTmIntTg</code>.
   * <P>
   * The time interval in minutes in which a security check is performed
   * on invalid transaction authentications. This value is set by the
   * Financial Institution.
   */
  public  int  getBusinessTransactionTimeInterval() { return (businessTransactionTimeInterval); }

  /**
   * <P>The attribute <code>logonAttempts</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  private int  logonAttempts = 0;

  /**
   * <P>Sets the value of the attribute <code>logonAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  public  void setLogonAttempts( int o ) { logonAttempts = o; }

  /**
   * <P>Gets the value of the attribute <code>logonAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyLogonAttmptTg</code>.
   * <P>
   * A value held on the Financial Institution profile specifying that
   * logon failure is reported if the number of invalid logons equals this
   * value.
   */
  public  int  getLogonAttempts() { return (logonAttempts); }

  /**
   * <P>The attribute <code>businessTransactionAttempts</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  private int  businessTransactionAttempts = 0;

  /**
   * <P>Sets the value of the attribute <code>businessTransactionAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  public  void setBusinessTransactionAttempts( int o ) { businessTransactionAttempts = o; }

  /**
   * <P>Gets the value of the attribute <code>businessTransactionAttempts</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ScrtyBsnsTxnAtmpTg</code>.
   * <P>
   * The threshold value, which if exceeded by invalid authentications of
   * Business Transactions will result in the reporting of an
   * authentication failure. For example, if the Number of Business
   * Transaction Attempts is set to 3 and the consumer enters an invalid
   * Security Identifier four times on a funds transfer transaction, the
   * system will report an authentication failure. This value is Financial
   * Institution specific.
   */
  public  int  getBusinessTransactionAttempts() { return (businessTransactionAttempts); }

  /**
   * <P>The attribute <code>fIBackEndAgentQueueName</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  private String fIBackEndAgentQueueName = null;

  /**
   * <P>Sets the value of the attribute <code>fIBackEndAgentQueueName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  public  void   setFIBackEndAgentQueueName( String o ) { fIBackEndAgentQueueName = o; }

  /**
   * <P>Gets the value of the attribute <code>fIBackEndAgentQueueName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FiBeaQuNmTg</code>.
   * <P>
   * FI BEA (Back End Agent) Queue Name is the fully qualified name of the
   * message queue for the Financial Institution.
   */
  public  String getFIBackEndAgentQueueName() { return (fIBackEndAgentQueueName); }

  /**
   * <P>The attribute <code>transactionRoutingType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  private String transactionRoutingType = null;

  /**
   * <P>Sets the value of the attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  public  void   setTransactionRoutingType( String o ) { transactionRoutingType = o; }

  /**
   * <P>Gets the value of the attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   * <P>
   * A code (assigned by IFS), identifying the primary source (i.e.,
   * profile) of the MQ queue name. For example,a Financial Institution
   * may decide that the primary source for the Queue name is the Service
   * Profile.
   */
  public  String getTransactionRoutingType() { return (transactionRoutingType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transactionRoutingType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TxnRoutTpClTg</code>.
   */
  public  String getTransactionRoutingType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnRoutTpClResources", locale, getTransactionRoutingType() );
  }

  /**
   * <P>The attribute <code>consumerPasswordRetryLimit</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  private int  consumerPasswordRetryLimit = 0;

  /**
   * <P>Sets the value of the attribute <code>consumerPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  public  void setConsumerPasswordRetryLimit( int o ) { consumerPasswordRetryLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrPswdRtrLmtTg</code>.
   * <P>
   * The maximum number of times a Consumer is allowed to enter the
   * incorrect password. This value is set by the Financial Institution
   * and is part of the Financial Institution profile. If this value is
   * exceeded the IFS revokes this Consumer Identifier.
   */
  public  int  getConsumerPasswordRetryLimit() { return (consumerPasswordRetryLimit); }

  /**
   * <P>The attribute <code>consumerIGNIDRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  private String consumerIGNIDRequired = null;

  /**
   * <P>Sets the value of the attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  public  void   setConsumerIGNIDRequired( String o ) { consumerIGNIDRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   * <P>
   * A code (assigned by IFS) indicating whether a Consumer IGN Account
   * Number is required on Consumer Self Registration.
   */
  public  String getConsumerIGNIDRequired() { return (consumerIGNIDRequired); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>consumerIGNIDRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.CnsmrIgnIdRqrdTg</code>.
   */
  public  String getConsumerIGNIDRequired_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCnsmrIgnIdRqrdResources", locale, getConsumerIGNIDRequired() );
  }

  /**
   * <P>The attribute <code>auditControlRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  private String auditControlRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  public  void   setAuditControlRequiredFlag( String o ) { auditControlRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   * <P>
   * A code (assigned by IFS) indicating what level of Audit Control (if
   * any) is required by the Financial Institution.
   */
  public  String getAuditControlRequiredFlag() { return (auditControlRequiredFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>auditControlRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlRqrdFTg</code>.
   */
  public  String getAuditControlRequiredFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAudtCntlRqrdFResources", locale, getAuditControlRequiredFlag() );
  }

  /**
   * <P>The attribute <code>auditControlTimeFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  private int  auditControlTimeFlag = 0;

  /**
   * <P>Sets the value of the attribute <code>auditControlTimeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  public  void setAuditControlTimeFlag( int o ) { auditControlTimeFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>auditControlTimeFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AudtCntlTmValFTg</code>.
   * <P>
   * The number of minutes, which defines the length of the shortest
   * period for which control totals are available (i.e., the Audit
   * Control Interval). This is the smallest unit of control available for
   * reconciling on-line transactions. This value is Financial Institution
   * specific.
   */
  public  int  getAuditControlTimeFlag() { return (auditControlTimeFlag); }

  /**
   * <P>The attribute <code>iGNIDOrderPoint</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  private int  iGNIDOrderPoint = 0;

  /**
   * <P>Sets the value of the attribute <code>iGNIDOrderPoint</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  public  void setIGNIDOrderPoint( int o ) { iGNIDOrderPoint = o; }

  /**
   * <P>Gets the value of the attribute <code>iGNIDOrderPoint</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdrPntTg</code>.
   * <P>
   * A number held on the Operation Details which indicated when a new set
   * of IGN ID's should be ordered. When the number of available
   * unassigned IGN Identifiers falls to this amount a request for
   * additional Ids will be generated. This number is Financial
   * Institution specific.
   */
  public  int  getIGNIDOrderPoint() { return (iGNIDOrderPoint); }

  /**
   * <P>The attribute <code>tCAAlertType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  private String tCAAlertType = null;

  /**
   * <P>Sets the value of the attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  public  void   setTCAAlertType( String o ) { tCAAlertType = o; }

  /**
   * <P>Gets the value of the attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   * <P>
   * A code associated with an FI which indicates the type of TCA e-mail
   * alert (if any) to be sent.
   */
  public  String getTCAAlertType() { return (tCAAlertType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>tCAAlertType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAAlertTpClTg</code>.
   */
  public  String getTCAAlertType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTCAAlertTpClResources", locale, getTCAAlertType() );
  }

  /**
   * <P>The attribute <code>tCAEmailAddress</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  private String tCAEmailAddress = null;

  /**
   * <P>Sets the value of the attribute <code>tCAEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  public  void   setTCAEmailAddress( String o ) { tCAEmailAddress = o; }

  /**
   * <P>Gets the value of the attribute <code>tCAEmailAddress</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.TCAEmailAddrIdTg</code>.
   * <P>
   * The e-mail address to which TCA Alert message is to be sent to. This
   * is Financial Institution specific.
   */
  public  String getTCAEmailAddress() { return (tCAEmailAddress); }

  /**
   * <P>The attribute <code>lastUsedServerInstance</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  private int  lastUsedServerInstance = 0;

  /**
   * <P>Sets the value of the attribute <code>lastUsedServerInstance</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  public  void setLastUsedServerInstance( int o ) { lastUsedServerInstance = o; }

  /**
   * <P>Gets the value of the attribute <code>lastUsedServerInstance</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.LstUsedSrvInstnTg</code>.
   * <P>
   * A number which is associated with the Server instance last used by
   * the FI. This is incremented by one each time a Server is started.
   */
  public  int  getLastUsedServerInstance() { return (lastUsedServerInstance); }

  /**
   * <P>The attribute <code>alternateBEAQueue</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  private String alternateBEAQueue = null;

  /**
   * <P>Sets the value of the attribute <code>alternateBEAQueue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  public  void   setAlternateBEAQueue( String o ) { alternateBEAQueue = o; }

  /**
   * <P>Gets the value of the attribute <code>alternateBEAQueue</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.AltBEAQueueNmTg</code>.
   * <P>
   * An alternate queue name used by the Back End Agent when the primary
   * queue is not available.
   */
  public  String getAlternateBEAQueue() { return (alternateBEAQueue); }

  /**
   * <P>The attribute <code>iGNIdentifierOrderQuantity</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  private int  iGNIdentifierOrderQuantity = 0;

  /**
   * <P>Sets the value of the attribute <code>iGNIdentifierOrderQuantity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  public  void setIGNIdentifierOrderQuantity( int o ) { iGNIdentifierOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>iGNIdentifierOrderQuantity</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.IGNIdOrdQtyValTg</code>.
   * <P>
   * The quantity of IGN Ids to be ordered when the number of available
   * unassigned IGN identifiers falls on or below the IGN Id Order Point.
   * This value is Financial Institution specific.
   */
  public  int  getIGNIdentifierOrderQuantity() { return (iGNIdentifierOrderQuantity); }

  /**
   * <P>The attribute <code>clearinghouseFIRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  private String clearinghouseFIRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>clearinghouseFIRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  public  void   setClearinghouseFIRequiredFlag( String o ) { clearinghouseFIRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>clearinghouseFIRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.ClrgHseFIRqdFTg</code>.
   * <P>
   * Indicates whether the Clearinghouse Financial Institution Identifer
   * is required in the IFS Account ID structure for all GOLD messages for
   * this FI and it's Service Providers. 0 - Not Required, 1 - Required.
   */
  public  String getClearinghouseFIRequiredFlag() { return (clearinghouseFIRequiredFlag); }

  /**
   * <P>The attribute <code>fIOpLangCl</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  private String fIOpLangCl = null;

  /**
   * <P>Sets the value of the attribute <code>fIOpLangCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  public  void   setFIOpLangCl( String o ) { fIOpLangCl = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpLangCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpLangClTg</code>.
   * <P>
   * The operating Language Code of the Financial Institution.
   */
  public  String getFIOpLangCl() { return (fIOpLangCl); }

  /**
   * <P>The attribute <code>fIOpCntryCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  private String fIOpCntryCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>fIOpCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  public  void   setFIOpCntryCodeCl( String o ) { fIOpCntryCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpCntryCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCntryCodeClTg</code>.
   * <P>
   * The operating Country Code of the Financial Institution.
   */
  public  String getFIOpCntryCodeCl() { return (fIOpCntryCodeCl); }

  /**
   * <P>The attribute <code>fIOpCodePage</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  private int  fIOpCodePage = 0;

  /**
   * <P>Sets the value of the attribute <code>fIOpCodePage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  public  void setFIOpCodePage( int o ) { fIOpCodePage = o; }

  /**
   * <P>Gets the value of the attribute <code>fIOpCodePage</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.FIOpCodePageTg</code>.
   * <P>
   * The operating Code Page of the Financial Institution.
   */
  public  int  getFIOpCodePage() { return (fIOpCodePage); }

  /**
   * <P>The attribute <code>empPasswordRetryLimit</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  private int  empPasswordRetryLimit = 0;

  /**
   * <P>Sets the value of the attribute <code>empPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  public  void setEmpPasswordRetryLimit( int o ) { empPasswordRetryLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>empPasswordRetryLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FiOprlDtlTg.EmpPswdRtrLmt</code>.
   * <P>
   * The FI must select a vlaue for Employee Password Retry Limit in its
   * FI Profile. A value of 1 in this field causes any password failure to
   * result in the Employee ID being marked as revoked. The default value
   * is 3.
   */
  public  int  getEmpPasswordRetryLimit() { return (empPasswordRetryLimit); }

  /**
   * <P>The attribute <code>originalAccountNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  private String originalAccountNumber = null;

  /**
   * <P>Sets the value of the attribute <code>originalAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  public  void   setOriginalAccountNumber( String o ) { originalAccountNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>originalAccountNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.OrgAcctNbrIdTg</code>.
   * <P>
   * An alphanumeric string identifying the organization account number
   * for an FI used for service charging purposes.
   */
  public  String getOriginalAccountNumber() { return (originalAccountNumber); }

  /**
   * <P>The attribute <code>weekendProcessingIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  private String weekendProcessingIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  public  void   setWeekendProcessingIndicator( String o ) { weekendProcessingIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   * <P>
   * A code, classifying the days on which processing takes place in the
   * Financial Institution. A 'P' is used as a flag in each of the 7
   * positions to indicate that the corresponding day is a processing day.
   * The leftmost position starts at Saturday.
   */
  public  String getWeekendProcessingIndicator() { return (weekendProcessingIndicator); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>weekendProcessingIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.WkEndProcIndTg</code>.
   */
  public  String getWeekendProcessingIndicator_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsWkEndProcIndResources", locale, getWeekendProcessingIndicator() );
  }

  /**
   * <P>The attribute <code>fIHolidayAdjustmentProcessingFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  private String fIHolidayAdjustmentProcessingFlag = null;

  /**
   * <P>Sets the value of the attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  public  void   setFIHolidayAdjustmentProcessingFlag( String o ) { fIHolidayAdjustmentProcessingFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  public  String getFIHolidayAdjustmentProcessingFlag() { return (fIHolidayAdjustmentProcessingFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.HolAdjProcFTg</code>.
   */
  public  String getFIHolidayAdjustmentProcessingFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsHolAdjProcFResources", locale, getFIHolidayAdjustmentProcessingFlag() );
  }

  /**
   * <P>The attribute <code>endOfDayTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  private GsTime endOfDayTime = null;

  /**
   * <P>Sets the value of the attribute <code>endOfDayTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  public  void   setEndOfDayTime(GsTime o )  { endOfDayTime = o; }

  /**
   * <P>Gets the value of the attribute <code>endOfDayTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFiPrflDtlTg.EodTmValTg</code>.
   * <P>
   * The time at which processing finishes each day for the Financial
   * Institution.
   * <BR>
   */
  public  GsTime getEndOfDayTime() { return (endOfDayTime); }

  /**
   * <P>The attribute <code>billerCountry</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  private String billerCountry = null;

  /**
   * <P>Sets the value of the attribute <code>billerCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  public  void   setBillerCountry( String o ) { billerCountry = o; }

  /**
   * <P>Gets the value of the attribute <code>billerCountry</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.BillCntryCodeClTg</code>.
   * <P>
   * The country code used in billing by the Financial Institution for
   * pricing reasons. See Country Code.
   */
  public  String getBillerCountry() { return (billerCountry); }

  /**
   * <P>The attribute <code>fIDistinguishedName</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  private String fIDistinguishedName = null;

  /**
   * <P>Sets the value of the attribute <code>fIDistinguishedName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  public  void   setFIDistinguishedName( String o ) { fIDistinguishedName = o; }

  /**
   * <P>Gets the value of the attribute <code>fIDistinguishedName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FIDistNmTg</code>.
   * <P>
   * A name used to identify the FI in the X.500 standard. The template
   * for the identifier is &colon :q. C=cc O=oo..o U=uu...u:eq. where cc
   * is the two character ISO standard country code, oo...o is the full
   * name of the financial institution and uu...u is any extension to the
   * financial institution name which may be null or any number of
   * characters up to 256. The fields are separated by blanks.
   */
  public  String getFIDistinguishedName() { return (fIDistinguishedName); }

  /**
   * <P>The attribute <code>securityPolicyConsumerType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  private int  securityPolicyConsumerType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  public  void setSecurityPolicyConsumerType( int o ) { securityPolicyConsumerType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its consumers, and if so, whether Smartcards are used.
   */
  public  int  getSecurityPolicyConsumerType() { return (securityPolicyConsumerType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityPolicyConsumerType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyCnsmrClTg</code>.
   */
  public  String getSecurityPolicyConsumerType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyPlcyCnsmrClResources", locale,
                       String.valueOf( getSecurityPolicyConsumerType() ) );
  }

  /**
   * <P>The attribute <code>securityPolicyEmployeeType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  private int  securityPolicyEmployeeType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  public  void setSecurityPolicyEmployeeType( int o ) { securityPolicyEmployeeType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   * <P>
   * A code which indicates if the FI is using digital certificates for
   * its employees, and if so whether smartcards are used.
   */
  public  int  getSecurityPolicyEmployeeType() { return (securityPolicyEmployeeType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityPolicyEmployeeType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.ScrtyPlcyEmplClTg</code>.
   */
  public  String getSecurityPolicyEmployeeType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyPlcyEmplClResources", locale,
                       String.valueOf( getSecurityPolicyEmployeeType() ) );
  }

  /**
   * <P>The attribute <code>fICertificateExpirationMargin</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  private int  fICertificateExpirationMargin = 0;

  /**
   * <P>Sets the value of the attribute <code>fICertificateExpirationMargin</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  public  void setFICertificateExpirationMargin( int o ) { fICertificateExpirationMargin = o; }

  /**
   * <P>Gets the value of the attribute <code>fICertificateExpirationMargin</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfExpMrgnValTg</code>.
   * <P>
   * The number of days before a digital certificate expires, when a
   * warning will be given and a link provided to the consumer or
   * employee, so that the certificate may be renewed.
   */
  public  int  getFICertificateExpirationMargin() { return (fICertificateExpirationMargin); }

  /**
   * <P>The attribute <code>internetAccessType</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  private String internetAccessType = null;

  /**
   * <P>Sets the value of the attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  public  void   setInternetAccessType( String o ) { internetAccessType = o; }

  /**
   * <P>Gets the value of the attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   * <P>
   * The type of private internet access charge to assess the FI user.
   */
  public  String getInternetAccessType() { return (internetAccessType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>internetAccessType</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.IntrntAccsTpClTg</code>.
   */
  public  String getInternetAccessType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIntrntAccsTpClResources", locale, getInternetAccessType() );
  }

  /**
   * <P>The attribute <code>fICertificateIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  private String fICertificateIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  public  void   setFICertificateIndicator( String o ) { fICertificateIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   * <P>
   * Indicator required for Certificate charges.
   */
  public  String getFICertificateIndicator() { return (fICertificateIndicator); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fICertificateIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FICrtfIndTg</code>.
   */
  public  String getFICertificateIndicator_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFICrtfIndResources", locale, getFICertificateIndicator() );
  }

  /**
   * <P>The attribute <code>eurExchRtPrecTg</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  private int  eurExchRtPrecTg = 0;

  /**
   * <P>Sets the value of the attribute <code>eurExchRtPrecTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  public  void setEurExchRtPrecTg( int o ) { eurExchRtPrecTg = o; }

  /**
   * <P>Gets the value of the attribute <code>eurExchRtPrecTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.EurExchRtPrecTg</code>.
   * <P>
   * A number which indicates the precision for conversion between local
   * currency and the Euro before rounding for use in 'triangulation'
   * conversions.
   */
  public  int  getEurExchRtPrecTg() { return (eurExchRtPrecTg); }

  /**
   * <P>The attribute <code>crsClntSprtF</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  private int  crsClntSprtF = 0;

  /**
   * <P>Sets the value of the attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  public  void setCrsClntSprtF( int o ) { crsClntSprtF = o; }

  /**
   * <P>Gets the value of the attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   * <P>
   * Indicator telling the IFS system whether the FI wishes cross-client
   * protection.
   */
  public  int  getCrsClntSprtF() { return (crsClntSprtF); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>crsClntSprtF</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.CrsClntSprtFTg</code>.
   */
  public  String getCrsClntSprtF_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCrsClntSprtFResources", locale,
                       String.valueOf( getCrsClntSprtF() ) );
  }

  /**
   * <P>The attribute <code>fILclCurr</code> is an alias for the
   * standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  private String fILclCurr = null;

  /**
   * <P>Sets the value of the attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  public  void   setFILclCurr( String o ) { fILclCurr = o; }

  /**
   * <P>Gets the value of the attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   * <P>
   * Identifies the default currency of the FI. Any valid ISO 4217
   * currency code supported by IFS and the FI.
   */
  public  String getFILclCurr() { return (fILclCurr); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fILclCurr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsFiPrflDtlTg.FILclCurrTg</code>.
   */
  public  String getFILclCurr_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFILclCurrResources", locale, getFILclCurr() );
  }

  /**
   * <P>The attribute <code>serviceProfile</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSrvcPrflLstTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  private GsSrvcPrflItem[] serviceProfile = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcPrflLstTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  public  void             setServiceProfile(GsSrvcPrflItem[] o )  { serviceProfile = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcPrflLstTg.SrvcPrflTg</code>.
   * <P>
   * A repeating structure each of which contains data items specific to
   * an IFS Service.
   * <BR>
   */
  public  GsSrvcPrflItem[] getServiceProfile() { return (serviceProfile); }

  /**
   * <P>The attribute <code>bbRtrLimit</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BbRtrLmtValTg</code>.
   * <P>
   * The maximum number of times a Pay/No Pay message may be re-sent to
   * the Financial Institution.
   */
  private int  bbRtrLimit = 0;

  /**
   * <P>Sets the value of the attribute <code>bbRtrLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BbRtrLmtValTg</code>.
   * <P>
   * The maximum number of times a Pay/No Pay message may be re-sent to
   * the Financial Institution.
   */
  public  void setBbRtrLimit( int o ) { bbRtrLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>bbRtrLimit</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BbRtrLmtValTg</code>.
   * <P>
   * The maximum number of times a Pay/No Pay message may be re-sent to
   * the Financial Institution.
   */
  public  int  getBbRtrLimit() { return (bbRtrLimit); }

  /**
   * <P>The attribute <code>checkCreditAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.ChkCrAcctTg</code>.
   * <BR>
   */
  private GsAccount checkCreditAccount = null;

  /**
   * <P>Sets the value of the attribute <code>checkCreditAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.ChkCrAcctTg</code>.
   * <BR>
   */
  public  void      setCheckCreditAccount(GsAccount o )  { checkCreditAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>checkCreditAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.ChkCrAcctTg</code>.
   * <BR>
   */
  public  GsAccount getCheckCreditAccount() { return (checkCreditAccount); }

  /**
   * <P>The attribute <code>oldPayIndicator</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.OlPyIndTg</code>.
   * <P>
   * A code indicating the types of processing available to request a
   * decision from the FI to pay or not to pay a Payment request during
   * the batch processing of instances of Payments for the day.
   */
  private String oldPayIndicator = null;

  /**
   * <P>Sets the value of the attribute <code>oldPayIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.OlPyIndTg</code>.
   * <P>
   * A code indicating the types of processing available to request a
   * decision from the FI to pay or not to pay a Payment request during
   * the batch processing of instances of Payments for the day.
   */
  public  void   setOldPayIndicator( String o ) { oldPayIndicator = o; }

  /**
   * <P>Gets the value of the attribute <code>oldPayIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.OlPyIndTg</code>.
   * <P>
   * A code indicating the types of processing available to request a
   * decision from the FI to pay or not to pay a Payment request during
   * the batch processing of instances of Payments for the day.
   */
  public  String getOldPayIndicator() { return (oldPayIndicator); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>oldPayIndicator</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.OlPyIndTg</code>.
   */
  public  String getOldPayIndicator_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOlPyIndResources", locale, getOldPayIndicator() );
  }

  /**
   * <P>The attribute <code>bPHolidayAdjustmentProcessingFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  private String bPHolidayAdjustmentProcessingFlag = null;

  /**
   * <P>Sets the value of the attribute <code>bPHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  public  void   setBPHolidayAdjustmentProcessingFlag( String o ) { bPHolidayAdjustmentProcessingFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>bPHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.HolAdjProcFTg</code>.
   * <P>
   * A code indicating whether the payment date is to be adjusted forwards
   * or backward if the requested payment date falls on a holiday.
   */
  public  String getBPHolidayAdjustmentProcessingFlag() { return (bPHolidayAdjustmentProcessingFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>bPHolidayAdjustmentProcessingFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.HolAdjProcFTg</code>.
   */
  public  String getBPHolidayAdjustmentProcessingFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsHolAdjProcFResources", locale, getBPHolidayAdjustmentProcessingFlag() );
  }

  /**
   * <P>The attribute <code>maximumServiceRequestAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MaxSrvcRqstAmtTg</code>.
   * <P>
   * This is the maximum monetary value of any Service Request
   * (Transaction) associated with the Bill Pay Service. For example, an
   * Add Variable Amount Single Payment will be enacted as long as the
   * Payment Amount is less than the Bill Pay Service Request Maximum
   * Amount, predetermined by the Financial Institution.
   * <BR>
   */
  private GsCurrency maximumServiceRequestAmount = null;

  /**
   * <P>Sets the value of the attribute <code>maximumServiceRequestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MaxSrvcRqstAmtTg</code>.
   * <P>
   * This is the maximum monetary value of any Service Request
   * (Transaction) associated with the Bill Pay Service. For example, an
   * Add Variable Amount Single Payment will be enacted as long as the
   * Payment Amount is less than the Bill Pay Service Request Maximum
   * Amount, predetermined by the Financial Institution.
   * <BR>
   */
  public  void       setMaximumServiceRequestAmount(GsCurrency o )  { maximumServiceRequestAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>maximumServiceRequestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MaxSrvcRqstAmtTg</code>.
   * <P>
   * This is the maximum monetary value of any Service Request
   * (Transaction) associated with the Bill Pay Service. For example, an
   * Add Variable Amount Single Payment will be enacted as long as the
   * Payment Amount is less than the Bill Pay Service Request Maximum
   * Amount, predetermined by the Financial Institution.
   * <BR>
   */
  public  GsCurrency getMaximumServiceRequestAmount() { return (maximumServiceRequestAmount); }

  /**
   * <P>The attribute <code>minServiceRequestAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MinSrvcRqstAmtTg</code>.
   * <P>
   * The minimum currency value which may be processed by the Bill Pay
   * Service Request.
   * <BR>
   */
  private GsCurrency minServiceRequestAmount = null;

  /**
   * <P>Sets the value of the attribute <code>minServiceRequestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MinSrvcRqstAmtTg</code>.
   * <P>
   * The minimum currency value which may be processed by the Bill Pay
   * Service Request.
   * <BR>
   */
  public  void       setMinServiceRequestAmount(GsCurrency o )  { minServiceRequestAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>minServiceRequestAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.MinSrvcRqstAmtTg</code>.
   * <P>
   * The minimum currency value which may be processed by the Bill Pay
   * Service Request.
   * <BR>
   */
  public  GsCurrency getMinServiceRequestAmount() { return (minServiceRequestAmount); }

  /**
   * <P>The attribute <code>billerPayCutoffTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BillPyCtfTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * new instances of Bill Payment Service Requests can be created,
   * changed or deleted for today's processing. Any instances of Bill
   * Payment Service Requests after that time will be accepted for the
   * subsequent business day's processing.
   * <BR>
   */
  private GsTime billerPayCutoffTime = null;

  /**
   * <P>Sets the value of the attribute <code>billerPayCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BillPyCtfTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * new instances of Bill Payment Service Requests can be created,
   * changed or deleted for today's processing. Any instances of Bill
   * Payment Service Requests after that time will be accepted for the
   * subsequent business day's processing.
   * <BR>
   */
  public  void   setBillerPayCutoffTime(GsTime o )  { billerPayCutoffTime = o; }

  /**
   * <P>Gets the value of the attribute <code>billerPayCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BillPyCtfTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * new instances of Bill Payment Service Requests can be created,
   * changed or deleted for today's processing. Any instances of Bill
   * Payment Service Requests after that time will be accepted for the
   * subsequent business day's processing.
   * <BR>
   */
  public  GsTime getBillerPayCutoffTime() { return (billerPayCutoffTime); }

  /**
   * <P>The attribute <code>payCutoffTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.PyCtfTmTg</code>.
   * <P>
   * The time of day in hours and minutes on a 24 hour clock by which
   * pay/no-pay decision requests will be issued to the Financial
   * Institution for today's processing.
   * <BR>
   */
  private GsTime payCutoffTime = null;

  /**
   * <P>Sets the value of the attribute <code>payCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.PyCtfTmTg</code>.
   * <P>
   * The time of day in hours and minutes on a 24 hour clock by which
   * pay/no-pay decision requests will be issued to the Financial
   * Institution for today's processing.
   * <BR>
   */
  public  void   setPayCutoffTime(GsTime o )  { payCutoffTime = o; }

  /**
   * <P>Gets the value of the attribute <code>payCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.PyCtfTmTg</code>.
   * <P>
   * The time of day in hours and minutes on a 24 hour clock by which
   * pay/no-pay decision requests will be issued to the Financial
   * Institution for today's processing.
   * <BR>
   */
  public  GsTime getPayCutoffTime() { return (payCutoffTime); }

  /**
   * <P>The attribute <code>fIACHNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.FIAchNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * ACH (Automated Clearing House) system.
   */
  private String fIACHNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIACHNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.FIAchNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * ACH (Automated Clearing House) system.
   */
  public  void   setFIACHNumber( String o ) { fIACHNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIACHNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.FIAchNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * ACH (Automated Clearing House) system.
   */
  public  String getFIACHNumber() { return (fIACHNumber); }

  /**
   * <P>The attribute <code>fIResponseNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.FIRpsNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * RPS payment system.
   */
  private String fIResponseNumber = null;

  /**
   * <P>Sets the value of the attribute <code>fIResponseNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.FIRpsNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * RPS payment system.
   */
  public  void   setFIResponseNumber( String o ) { fIResponseNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>fIResponseNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.FIRpsNbrIdTg</code>.
   * <P>
   * The number which uniquely identifies the Financial Institution to the
   * RPS payment system.
   */
  public  String getFIResponseNumber() { return (fIResponseNumber); }

  /**
   * <P>The attribute <code>payNopayAdvice</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PayNopayAdvcTg</code>.
   * <P>
   * A code indicating if advice notes should be generated (for the
   * consumer) for payments which the FI either rejects or holds.
   */
  private String payNopayAdvice = null;

  /**
   * <P>Sets the value of the attribute <code>payNopayAdvice</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayNopayAdvcTg</code>.
   * <P>
   * A code indicating if advice notes should be generated (for the
   * consumer) for payments which the FI either rejects or holds.
   */
  public  void   setPayNopayAdvice( String o ) { payNopayAdvice = o; }

  /**
   * <P>Gets the value of the attribute <code>payNopayAdvice</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayNopayAdvcTg</code>.
   * <P>
   * A code indicating if advice notes should be generated (for the
   * consumer) for payments which the FI either rejects or holds.
   */
  public  String getPayNopayAdvice() { return (payNopayAdvice); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payNopayAdvice</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayNopayAdvcTg</code>.
   */
  public  String getPayNopayAdvice_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayNopayAdvcResources", locale, getPayNopayAdvice() );
  }

  /**
   * <P>The attribute <code>billedConsumerDebitFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BldCnsmrDrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Consumer Debits are to be generated into the FI Us-on-Us payment
   * stream file.
   */
  private String billedConsumerDebitFlag = null;

  /**
   * <P>Sets the value of the attribute <code>billedConsumerDebitFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldCnsmrDrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Consumer Debits are to be generated into the FI Us-on-Us payment
   * stream file.
   */
  public  void   setBilledConsumerDebitFlag( String o ) { billedConsumerDebitFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>billedConsumerDebitFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldCnsmrDrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Consumer Debits are to be generated into the FI Us-on-Us payment
   * stream file.
   */
  public  String getBilledConsumerDebitFlag() { return (billedConsumerDebitFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>billedConsumerDebitFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldCnsmrDrFTg</code>.
   */
  public  String getBilledConsumerDebitFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsBldCnsmrDrFResources", locale, getBilledConsumerDebitFlag() );
  }

  /**
   * <P>The attribute <code>billedPaperPaymentCreditFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BldPaperPymtCrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Credits should be generated to the Check Writing Account for paper
   * payments into the FI Us-on-Us payment stream file.
   */
  private String billedPaperPaymentCreditFlag = null;

  /**
   * <P>Sets the value of the attribute <code>billedPaperPaymentCreditFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldPaperPymtCrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Credits should be generated to the Check Writing Account for paper
   * payments into the FI Us-on-Us payment stream file.
   */
  public  void   setBilledPaperPaymentCreditFlag( String o ) { billedPaperPaymentCreditFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>billedPaperPaymentCreditFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldPaperPymtCrFTg</code>.
   * <P>
   * A flag held on the Bill Pay Service Details which indicates if
   * Credits should be generated to the Check Writing Account for paper
   * payments into the FI Us-on-Us payment stream file.
   */
  public  String getBilledPaperPaymentCreditFlag() { return (billedPaperPaymentCreditFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>billedPaperPaymentCreditFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BldPaperPymtCrFTg</code>.
   */
  public  String getBilledPaperPaymentCreditFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsBldPaperPymtCrFResources", locale, getBilledPaperPaymentCreditFlag() );
  }

  /**
   * <P>The attribute <code>preNoteRequirementFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PreNoteRqmtFTg</code>.
   * <P>
   * A code indicating what type of Payees (if any) Pre Notes are required
   * for.
   */
  private String preNoteRequirementFlag = null;

  /**
   * <P>Sets the value of the attribute <code>preNoteRequirementFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PreNoteRqmtFTg</code>.
   * <P>
   * A code indicating what type of Payees (if any) Pre Notes are required
   * for.
   */
  public  void   setPreNoteRequirementFlag( String o ) { preNoteRequirementFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>preNoteRequirementFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PreNoteRqmtFTg</code>.
   * <P>
   * A code indicating what type of Payees (if any) Pre Notes are required
   * for.
   */
  public  String getPreNoteRequirementFlag() { return (preNoteRequirementFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>preNoteRequirementFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PreNoteRqmtFTg</code>.
   */
  public  String getPreNoteRequirementFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPreNoteRqmtFResources", locale, getPreNoteRequirementFlag() );
  }

  /**
   * <P>The attribute <code>standardDeliveryTime</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  private int  standardDeliveryTime = 0;

  /**
   * <P>Sets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  void setStandardDeliveryTime( int o ) { standardDeliveryTime = o; }

  /**
   * <P>Gets the value of the attribute <code>standardDeliveryTime</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.StdDlvyTmValTg</code>.
   * <P>
   * The number of days for a Payment to reach the Payee. For example, the
   * Standard Delivery Time for a certain Payee/Biller is four days,
   * whereas the Expedited Delivery Time for the same Payee/Biller is two
   * days.
   */
  public  int  getStandardDeliveryTime() { return (standardDeliveryTime); }

  /**
   * <P>The attribute <code>bPACHCodeList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BpAchCodeLstTg</code>.
   * <P>
   * A table of account types for the FI and corresponding ACH debit and
   * credit transaction codes to be used for those account types.
   * <BR>
   */
  private GsBpAchTransCodeRcrd[] bPACHCodeList = null;

  /**
   * <P>Sets the value of the attribute <code>bPACHCodeList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BpAchCodeLstTg</code>.
   * <P>
   * A table of account types for the FI and corresponding ACH debit and
   * credit transaction codes to be used for those account types.
   * <BR>
   */
  public  void                   setBPACHCodeList(GsBpAchTransCodeRcrd[] o )  { bPACHCodeList = o; }

  /**
   * <P>Gets the value of the attribute <code>bPACHCodeList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.BpAchCodeLstTg</code>.
   * <P>
   * A table of account types for the FI and corresponding ACH debit and
   * credit transaction codes to be used for those account types.
   * <BR>
   */
  public  GsBpAchTransCodeRcrd[] getBPACHCodeList() { return (bPACHCodeList); }

  /**
   * <P>The attribute <code>thresholdCheckFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.ThresholdChkFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should perform
   * Payee promotion to the Biller database when multiple consumers have
   * defined the same free form payee. If the indicator is set to 'Y' the
   * Bill Pay Engine uses the Payee Promotion Threshold to determine if
   * the payee occurs in sufficient time to be suitable for promotion to
   * the Biller database. Otherwise no promotion threshold check is made.
   */
  private String thresholdCheckFlag = null;

  /**
   * <P>Sets the value of the attribute <code>thresholdCheckFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ThresholdChkFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should perform
   * Payee promotion to the Biller database when multiple consumers have
   * defined the same free form payee. If the indicator is set to 'Y' the
   * Bill Pay Engine uses the Payee Promotion Threshold to determine if
   * the payee occurs in sufficient time to be suitable for promotion to
   * the Biller database. Otherwise no promotion threshold check is made.
   */
  public  void   setThresholdCheckFlag( String o ) { thresholdCheckFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>thresholdCheckFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ThresholdChkFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should perform
   * Payee promotion to the Biller database when multiple consumers have
   * defined the same free form payee. If the indicator is set to 'Y' the
   * Bill Pay Engine uses the Payee Promotion Threshold to determine if
   * the payee occurs in sufficient time to be suitable for promotion to
   * the Biller database. Otherwise no promotion threshold check is made.
   */
  public  String getThresholdCheckFlag() { return (thresholdCheckFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>thresholdCheckFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ThresholdChkFTg</code>.
   */
  public  String getThresholdCheckFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsThresholdChkFResources", locale, getThresholdCheckFlag() );
  }

  /**
   * <P>The attribute <code>promThreshold</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PromThresholdTg</code>.
   * <P>
   * A number which indicates how many matching Payee records must exist
   * for a free form Payee before the Payee is promoted to the Biller
   * database.
   */
  private int  promThreshold = 0;

  /**
   * <P>Sets the value of the attribute <code>promThreshold</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PromThresholdTg</code>.
   * <P>
   * A number which indicates how many matching Payee records must exist
   * for a free form Payee before the Payee is promoted to the Biller
   * database.
   */
  public  void setPromThreshold( int o ) { promThreshold = o; }

  /**
   * <P>Gets the value of the attribute <code>promThreshold</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PromThresholdTg</code>.
   * <P>
   * A number which indicates how many matching Payee records must exist
   * for a free form Payee before the Payee is promoted to the Biller
   * database.
   */
  public  int  getPromThreshold() { return (promThreshold); }

  /**
   * <P>The attribute <code>paymentStrmReportCode</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PymtStrmRptTpClTg</code>.
   * <P>
   * A code which classifies how the Bill Pay application should build
   * reports for a Payment Stream.
   */
  private String paymentStrmReportCode = null;

  /**
   * <P>Sets the value of the attribute <code>paymentStrmReportCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtStrmRptTpClTg</code>.
   * <P>
   * A code which classifies how the Bill Pay application should build
   * reports for a Payment Stream.
   */
  public  void   setPaymentStrmReportCode( String o ) { paymentStrmReportCode = o; }

  /**
   * <P>Gets the value of the attribute <code>paymentStrmReportCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtStrmRptTpClTg</code>.
   * <P>
   * A code which classifies how the Bill Pay application should build
   * reports for a Payment Stream.
   */
  public  String getPaymentStrmReportCode() { return (paymentStrmReportCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>paymentStrmReportCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtStrmRptTpClTg</code>.
   */
  public  String getPaymentStrmReportCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtStrmRptTpClResources", locale, getPaymentStrmReportCode() );
  }

  /**
   * <P>The attribute <code>routingTransitList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.RoutTrnstLstTg</code>.
   * <P>
   * A repeating structure containing one or more Routing Transit Numbers
   * for Us-on-Us payments.
   * <BR>
   */
  private GsUsOnUsRtDtl[] routingTransitList = null;

  /**
   * <P>Sets the value of the attribute <code>routingTransitList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.RoutTrnstLstTg</code>.
   * <P>
   * A repeating structure containing one or more Routing Transit Numbers
   * for Us-on-Us payments.
   * <BR>
   */
  public  void            setRoutingTransitList(GsUsOnUsRtDtl[] o )  { routingTransitList = o; }

  /**
   * <P>Gets the value of the attribute <code>routingTransitList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.RoutTrnstLstTg</code>.
   * <P>
   * A repeating structure containing one or more Routing Transit Numbers
   * for Us-on-Us payments.
   * <BR>
   */
  public  GsUsOnUsRtDtl[] getRoutingTransitList() { return (routingTransitList); }

  /**
   * <P>The attribute <code>accountVerificationRequiredFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.AcctVerfRqrdFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay Service should verify if the
   * funding account number and type are valid for the consumer in a
   * payment message.
   */
  private String accountVerificationRequiredFlag = null;

  /**
   * <P>Sets the value of the attribute <code>accountVerificationRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.AcctVerfRqrdFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay Service should verify if the
   * funding account number and type are valid for the consumer in a
   * payment message.
   */
  public  void   setAccountVerificationRequiredFlag( String o ) { accountVerificationRequiredFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>accountVerificationRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.AcctVerfRqrdFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay Service should verify if the
   * funding account number and type are valid for the consumer in a
   * payment message.
   */
  public  String getAccountVerificationRequiredFlag() { return (accountVerificationRequiredFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>accountVerificationRequiredFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.AcctVerfRqrdFTg</code>.
   */
  public  String getAccountVerificationRequiredFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsAcctVerfRqrdFResources", locale, getAccountVerificationRequiredFlag() );
  }

  /**
   * <P>The attribute <code>integrionACHHeaderID</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IntegAchHdrIdTg</code>.
   * <P>
   * A character string which is the Identifier for Integrion when
   * building an ACH (Automated Clearing House) header record.
   */
  private String integrionACHHeaderID = null;

  /**
   * <P>Sets the value of the attribute <code>integrionACHHeaderID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IntegAchHdrIdTg</code>.
   * <P>
   * A character string which is the Identifier for Integrion when
   * building an ACH (Automated Clearing House) header record.
   */
  public  void   setIntegrionACHHeaderID( String o ) { integrionACHHeaderID = o; }

  /**
   * <P>Gets the value of the attribute <code>integrionACHHeaderID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IntegAchHdrIdTg</code>.
   * <P>
   * A character string which is the Identifier for Integrion when
   * building an ACH (Automated Clearing House) header record.
   */
  public  String getIntegrionACHHeaderID() { return (integrionACHHeaderID); }

  /**
   * <P>The attribute <code>payeeValidFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should search the
   * Biller database whenever a free form payee is added or updated.
   */
  private String payeeValidFlag = null;

  /**
   * <P>Sets the value of the attribute <code>payeeValidFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should search the
   * Biller database whenever a free form payee is added or updated.
   */
  public  void   setPayeeValidFlag( String o ) { payeeValidFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeValidFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldFTg</code>.
   * <P>
   * A flag which indicates if the Bill Pay application should search the
   * Biller database whenever a free form payee is added or updated.
   */
  public  String getPayeeValidFlag() { return (payeeValidFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeValidFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldFTg</code>.
   */
  public  String getPayeeValidFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeVldFResources", locale, getPayeeValidFlag() );
  }

  /**
   * <P>The attribute <code>payeeValidProcCode</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldProcTpClTg</code>.
   * <P>
   * A code which indicates what action the Bill Pay application should
   * take when the free form payee has no match or more than one match in
   * the Biller database during payee validation.
   */
  private String payeeValidProcCode = null;

  /**
   * <P>Sets the value of the attribute <code>payeeValidProcCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldProcTpClTg</code>.
   * <P>
   * A code which indicates what action the Bill Pay application should
   * take when the free form payee has no match or more than one match in
   * the Biller database during payee validation.
   */
  public  void   setPayeeValidProcCode( String o ) { payeeValidProcCode = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeValidProcCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldProcTpClTg</code>.
   * <P>
   * A code which indicates what action the Bill Pay application should
   * take when the free form payee has no match or more than one match in
   * the Biller database during payee validation.
   */
  public  String getPayeeValidProcCode() { return (payeeValidProcCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeValidProcCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeVldProcTpClTg</code>.
   */
  public  String getPayeeValidProcCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeVldProcTpClResources", locale, getPayeeValidProcCode() );
  }

  /**
   * <P>The attribute <code>checkDataFileFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.ChkDataFileFTg</code>.
   * <P>
   * A flag on the Bill Pay Service details which indicates if a printable
   * image of the Check Data file is produced during batch processing.
   */
  private String checkDataFileFlag = null;

  /**
   * <P>Sets the value of the attribute <code>checkDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ChkDataFileFTg</code>.
   * <P>
   * A flag on the Bill Pay Service details which indicates if a printable
   * image of the Check Data file is produced during batch processing.
   */
  public  void   setCheckDataFileFlag( String o ) { checkDataFileFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>checkDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ChkDataFileFTg</code>.
   * <P>
   * A flag on the Bill Pay Service details which indicates if a printable
   * image of the Check Data file is produced during batch processing.
   */
  public  String getCheckDataFileFlag() { return (checkDataFileFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>checkDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.ChkDataFileFTg</code>.
   */
  public  String getCheckDataFileFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsChkDataFileFResources", locale, getCheckDataFileFlag() );
  }

  /**
   * <P>The attribute <code>payeeLastDataFileFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PayeeLstDataFilFTg</code>.
   * <P>
   * A flag which indicates if a printable image of the Payee List data
   * file is produced during batch processing.
   */
  private String payeeLastDataFileFlag = null;

  /**
   * <P>Sets the value of the attribute <code>payeeLastDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeLstDataFilFTg</code>.
   * <P>
   * A flag which indicates if a printable image of the Payee List data
   * file is produced during batch processing.
   */
  public  void   setPayeeLastDataFileFlag( String o ) { payeeLastDataFileFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeLastDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeLstDataFilFTg</code>.
   * <P>
   * A flag which indicates if a printable image of the Payee List data
   * file is produced during batch processing.
   */
  public  String getPayeeLastDataFileFlag() { return (payeeLastDataFileFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeLastDataFileFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeLstDataFilFTg</code>.
   */
  public  String getPayeeLastDataFileFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeLstDataFilFResources", locale, getPayeeLastDataFileFlag() );
  }

  /**
   * <P>The attribute <code>payeeSetupRepeat</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PayeeSetupRptIndTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a payee setup
   * report is generated.
   */
  private String payeeSetupRepeat = null;

  /**
   * <P>Sets the value of the attribute <code>payeeSetupRepeat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeSetupRptIndTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a payee setup
   * report is generated.
   */
  public  void   setPayeeSetupRepeat( String o ) { payeeSetupRepeat = o; }

  /**
   * <P>Gets the value of the attribute <code>payeeSetupRepeat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeSetupRptIndTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a payee setup
   * report is generated.
   */
  public  String getPayeeSetupRepeat() { return (payeeSetupRepeat); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>payeeSetupRepeat</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PayeeSetupRptIndTg</code>.
   */
  public  String getPayeeSetupRepeat_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPayeeSetupRptIndResources", locale, getPayeeSetupRepeat() );
  }

  /**
   * <P>The attribute <code>dailyLimitVerfFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.DailyLmtVerfFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether the Daily
   * Limit Amount is exceeded during the end of day processing of total
   * payments for a Consumer.
   */
  private String dailyLimitVerfFlag = null;

  /**
   * <P>Sets the value of the attribute <code>dailyLimitVerfFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.DailyLmtVerfFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether the Daily
   * Limit Amount is exceeded during the end of day processing of total
   * payments for a Consumer.
   */
  public  void   setDailyLimitVerfFlag( String o ) { dailyLimitVerfFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>dailyLimitVerfFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.DailyLmtVerfFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether the Daily
   * Limit Amount is exceeded during the end of day processing of total
   * payments for a Consumer.
   */
  public  String getDailyLimitVerfFlag() { return (dailyLimitVerfFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>dailyLimitVerfFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.DailyLmtVerfFTg</code>.
   */
  public  String getDailyLimitVerfFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsDailyLmtVerfFResources", locale, getDailyLimitVerfFlag() );
  }

  /**
   * <P>The attribute <code>dailyLimitAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  private GsCurrency dailyLimitAmount = null;

  /**
   * <P>Sets the value of the attribute <code>dailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  void       setDailyLimitAmount(GsCurrency o )  { dailyLimitAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>dailyLimitAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsBillPyDtlTg.DailyLmtAmtTg</code>.
   * <P>
   * A value containing an amount above which the total value of
   * transactions processed for a Consumer may not be exceeded on a daily
   * basis.
   * <BR>
   */
  public  GsCurrency getDailyLimitAmount() { return (dailyLimitAmount); }

  /**
   * <P>The attribute <code>pymtChkDuplFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.PymtChkDuplFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a check for
   * duplicates should be made when a Payment is created.
   */
  private String pymtChkDuplFlag = null;

  /**
   * <P>Sets the value of the attribute <code>pymtChkDuplFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtChkDuplFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a check for
   * duplicates should be made when a Payment is created.
   */
  public  void   setPymtChkDuplFlag( String o ) { pymtChkDuplFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>pymtChkDuplFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtChkDuplFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether a check for
   * duplicates should be made when a Payment is created.
   */
  public  String getPymtChkDuplFlag() { return (pymtChkDuplFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>pymtChkDuplFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.PymtChkDuplFTg</code>.
   */
  public  String getPymtChkDuplFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPymtChkDuplFResources", locale, getPymtChkDuplFlag() );
  }

  /**
   * <P>The attribute <code>rtPayNoPayFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.RtPayNoPayFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether realtime
   * no/no-pay is to be performed.
   */
  private String rtPayNoPayFlag = null;

  /**
   * <P>Sets the value of the attribute <code>rtPayNoPayFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RtPayNoPayFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether realtime
   * no/no-pay is to be performed.
   */
  public  void   setRtPayNoPayFlag( String o ) { rtPayNoPayFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>rtPayNoPayFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RtPayNoPayFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether realtime
   * no/no-pay is to be performed.
   */
  public  String getRtPayNoPayFlag() { return (rtPayNoPayFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>rtPayNoPayFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RtPayNoPayFTg</code>.
   */
  public  String getRtPayNoPayFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRtPayNoPayFResources", locale, getRtPayNoPayFlag() );
  }

  /**
   * <P>The attribute <code>bPDtFmtCode</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BPDtFmtCodeClTg</code>.
   * <P>
   * A code which identifies the date format used in the Bill Pay Service.
   */
  private String bPDtFmtCode = null;

  /**
   * <P>Sets the value of the attribute <code>bPDtFmtCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BPDtFmtCodeClTg</code>.
   * <P>
   * A code which identifies the date format used in the Bill Pay Service.
   */
  public  void   setBPDtFmtCode( String o ) { bPDtFmtCode = o; }

  /**
   * <P>Gets the value of the attribute <code>bPDtFmtCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BPDtFmtCodeClTg</code>.
   * <P>
   * A code which identifies the date format used in the Bill Pay Service.
   */
  public  String getBPDtFmtCode() { return (bPDtFmtCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>bPDtFmtCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BPDtFmtCodeClTg</code>.
   */
  public  String getBPDtFmtCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsBPDtFmtCodeClResources", locale, getBPDtFmtCode() );
  }

  /**
   * <P>The attribute <code>rTChkDgtFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether checking is to
   * be done on some of the digits of the routing/transit number.
   */
  private String rTChkDgtFlag = null;

  /**
   * <P>Sets the value of the attribute <code>rTChkDgtFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether checking is to
   * be done on some of the digits of the routing/transit number.
   */
  public  void   setRTChkDgtFlag( String o ) { rTChkDgtFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>rTChkDgtFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtFTg</code>.
   * <P>
   * A flag in the Bill Pay Service which indicates whether checking is to
   * be done on some of the digits of the routing/transit number.
   */
  public  String getRTChkDgtFlag() { return (rTChkDgtFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>rTChkDgtFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtFTg</code>.
   */
  public  String getRTChkDgtFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRTChkDgtFResources", locale, getRTChkDgtFlag() );
  }

  /**
   * <P>The attribute <code>rTChkDgtNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtNbrTg</code>.
   * <P>
   * The number of digits to be checked in the routing/transit number.
   */
  private int  rTChkDgtNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>rTChkDgtNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtNbrTg</code>.
   * <P>
   * The number of digits to be checked in the routing/transit number.
   */
  public  void setRTChkDgtNumber( int o ) { rTChkDgtNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>rTChkDgtNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.RTChkDgtNbrTg</code>.
   * <P>
   * The number of digits to be checked in the routing/transit number.
   */
  public  int  getRTChkDgtNumber() { return (rTChkDgtNumber); }

  /**
   * <P>The attribute <code>usOnUsRTCDgtNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.UsOnUsRTCDgtNbrTg</code>.
   * <P>
   * The check digit number to be used in the routing/transit number
   * check.
   */
  private int  usOnUsRTCDgtNumber = 0;

  /**
   * <P>Sets the value of the attribute <code>usOnUsRTCDgtNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.UsOnUsRTCDgtNbrTg</code>.
   * <P>
   * The check digit number to be used in the routing/transit number
   * check.
   */
  public  void setUsOnUsRTCDgtNumber( int o ) { usOnUsRTCDgtNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>usOnUsRTCDgtNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.UsOnUsRTCDgtNbrTg</code>.
   * <P>
   * The check digit number to be used in the routing/transit number
   * check.
   */
  public  int  getUsOnUsRTCDgtNumber() { return (usOnUsRTCDgtNumber); }

  /**
   * <P>The attribute <code>usonUsRTStPos</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.UsonUsRTStPosTg</code>.
   * <P>
   * The starting postiion of the first digits to be checked in the
   * routing/transit number.
   */
  private int  usonUsRTStPos = 0;

  /**
   * <P>Sets the value of the attribute <code>usonUsRTStPos</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.UsonUsRTStPosTg</code>.
   * <P>
   * The starting postiion of the first digits to be checked in the
   * routing/transit number.
   */
  public  void setUsonUsRTStPos( int o ) { usonUsRTStPos = o; }

  /**
   * <P>Gets the value of the attribute <code>usonUsRTStPos</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.UsonUsRTStPosTg</code>.
   * <P>
   * The starting postiion of the first digits to be checked in the
   * routing/transit number.
   */
  public  int  getUsonUsRTStPos() { return (usonUsRTStPos); }

  /**
   * <P>The attribute <code>bPtmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmValTg</code>.
   */
  private String bPtmVal = null;

  /**
   * <P>Sets the value of the attribute <code>bPtmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmValTg</code>.
   */
  public  void   setBPtmVal( String o ) { bPtmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>bPtmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmValTg</code>.
   */
  public  String getBPtmVal() { return (bPtmVal); }

  /**
   * <P>The attribute <code>bPtmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmFmtCodeClTg</code>.
   */
  private String bPtmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>bPtmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmFmtCodeClTg</code>.
   */
  public  void   setBPtmFmtCodeCl( String o ) { bPtmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>bPtmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.TmFmtCodeClTg</code>.
   */
  public  String getBPtmFmtCodeCl() { return (bPtmFmtCodeCl); }

  /**
   * <P>The attribute <code>bPgmtOfstMinsTg</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  private int  bPgmtOfstMinsTg = 0;

  /**
   * <P>Sets the value of the attribute <code>bPgmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  void setBPgmtOfstMinsTg( int o ) { bPgmtOfstMinsTg = o; }

  /**
   * <P>Gets the value of the attribute <code>bPgmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeLclPytCtfTTg.GmtOfstMinsTg</code>.
   * <P>
   * GMT offset specified in minutes.
   */
  public  int  getBPgmtOfstMinsTg() { return (bPgmtOfstMinsTg); }

  /**
   * <P>The attribute <code>nLtmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmValTg</code>.
   */
  private String nLtmVal = null;

  /**
   * <P>Sets the value of the attribute <code>nLtmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmValTg</code>.
   */
  public  void   setNLtmVal( String o ) { nLtmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>nLtmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmValTg</code>.
   */
  public  String getNLtmVal() { return (nLtmVal); }

  /**
   * <P>The attribute <code>nLtmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmFmtCodeClTg</code>.
   */
  private String nLtmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>nLtmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmFmtCodeClTg</code>.
   */
  public  void   setNLtmFmtCodeCl( String o ) { nLtmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>nLtmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.TmFmtCodeClTg</code>.
   */
  public  String getNLtmFmtCodeCl() { return (nLtmFmtCodeCl); }

  /**
   * <P>The attribute <code>nLgmtOfstMinsTg</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.GmtOfstMinsTg</code>.
   */
  private int  nLgmtOfstMinsTg = 0;

  /**
   * <P>Sets the value of the attribute <code>nLgmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.GmtOfstMinsTg</code>.
   */
  public  void setNLgmtOfstMinsTg( int o ) { nLgmtOfstMinsTg = o; }

  /**
   * <P>Gets the value of the attribute <code>nLgmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.IBPyeeNLclPytCfTTg.GmtOfstMinsTg</code>.
   */
  public  int  getNLgmtOfstMinsTg() { return (nLgmtOfstMinsTg); }

  /**
   * <P>The attribute <code>tmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmValTg</code>.
   */
  private String tmVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmValTg</code>.
   */
  public  void   setTmVal( String o ) { tmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmValTg</code>.
   */
  public  String getTmVal() { return (tmVal); }

  /**
   * <P>The attribute <code>tmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  private String tmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setTmFmtCodeCl( String o ) { tmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>tmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  public  String getTmFmtCodeCl() { return (tmFmtCodeCl); }

  /**
   * <P>The attribute <code>gmtOfstMins</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  private int  gmtOfstMins = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  public  void setGmtOfstMins( int o ) { gmtOfstMins = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMins</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.BlrPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getGmtOfstMins() { return (gmtOfstMins); }

  /**
   * <P>The attribute <code>nontmVal</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmValTg</code>.
   */
  private String nontmVal = null;

  /**
   * <P>Sets the value of the attribute <code>nontmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmValTg</code>.
   */
  public  void   setNontmVal( String o ) { nontmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>nontmVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmValTg</code>.
   */
  public  String getNontmVal() { return (nontmVal); }

  /**
   * <P>The attribute <code>nontmFmtCodeCl</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  private String nontmFmtCodeCl = null;

  /**
   * <P>Sets the value of the attribute <code>nontmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  public  void   setNontmFmtCodeCl( String o ) { nontmFmtCodeCl = o; }

  /**
   * <P>Gets the value of the attribute <code>nontmFmtCodeCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.TmFmtCodeClTg</code>.
   */
  public  String getNontmFmtCodeCl() { return (nontmFmtCodeCl); }

  /**
   * <P>The attribute <code>nongmtOfstMinsTg</code> is an alias for the
   * standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  private int  nongmtOfstMinsTg = 0;

  /**
   * <P>Sets the value of the attribute <code>nongmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  public  void setNongmtOfstMinsTg( int o ) { nongmtOfstMinsTg = o; }

  /**
   * <P>Gets the value of the attribute <code>nongmtOfstMinsTg</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBillPyDtlTg.NonIBPayeeCtfTmTg.GmtOfstMinsTg</code>.
   */
  public  int  getNongmtOfstMinsTg() { return (nongmtOfstMinsTg); }

  /**
   * <P>The attribute <code>maximumDailyTransfer</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.MxDailyTfrValTg</code>.
   * <P>
   * The maximum amount which may be specified by the consumer in any
   * Transfer Service Request.
   * <BR>
   */
  private GsCurrency maximumDailyTransfer = null;

  /**
   * <P>Sets the value of the attribute <code>maximumDailyTransfer</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.MxDailyTfrValTg</code>.
   * <P>
   * The maximum amount which may be specified by the consumer in any
   * Transfer Service Request.
   * <BR>
   */
  public  void       setMaximumDailyTransfer(GsCurrency o )  { maximumDailyTransfer = o; }

  /**
   * <P>Gets the value of the attribute <code>maximumDailyTransfer</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.MxDailyTfrValTg</code>.
   * <P>
   * The maximum amount which may be specified by the consumer in any
   * Transfer Service Request.
   * <BR>
   */
  public  GsCurrency getMaximumDailyTransfer() { return (maximumDailyTransfer); }

  /**
   * <P>The attribute <code>transferAccountType</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrAcctTpTg</code>.
   * <P>
   * A repeating structure each containing a valid Account type for the
   * Transfer Service.
   * <BR>
   */
  private GsTfrAcctTp[] transferAccountType = null;

  /**
   * <P>Sets the value of the attribute <code>transferAccountType</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrAcctTpTg</code>.
   * <P>
   * A repeating structure each containing a valid Account type for the
   * Transfer Service.
   * <BR>
   */
  public  void          setTransferAccountType(GsTfrAcctTp[] o )  { transferAccountType = o; }

  /**
   * <P>Gets the value of the attribute <code>transferAccountType</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrAcctTpTg</code>.
   * <P>
   * A repeating structure each containing a valid Account type for the
   * Transfer Service.
   * <BR>
   */
  public  GsTfrAcctTp[] getTransferAccountType() { return (transferAccountType); }

  /**
   * <P>The attribute <code>transferLimit</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrLmtsTg</code>.
   * <BR>
   */
  private GsSrvcLmtsTp[] transferLimit = null;

  /**
   * <P>Sets the value of the attribute <code>transferLimit</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrLmtsTg</code>.
   * <BR>
   */
  public  void           setTransferLimit(GsSrvcLmtsTp[] o )  { transferLimit = o; }

  /**
   * <P>Gets the value of the attribute <code>transferLimit</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrLmtsTg</code>.
   * <BR>
   */
  public  GsSrvcLmtsTp[] getTransferLimit() { return (transferLimit); }

  /**
   * <P>The attribute <code>transferCutoffTime</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrCutoffTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * instances of Transfers intended for today's processing can be added,
   * changed or deleted.
   * <BR>
   */
  private GsTime transferCutoffTime = null;

  /**
   * <P>Sets the value of the attribute <code>transferCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrCutoffTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * instances of Transfers intended for today's processing can be added,
   * changed or deleted.
   * <BR>
   */
  public  void   setTransferCutoffTime(GsTime o )  { transferCutoffTime = o; }

  /**
   * <P>Gets the value of the attribute <code>transferCutoffTime</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.TfrCutoffTmTg</code>.
   * <P>
   * A time of day in hours and minutes on a 24 hour clock beyond which no
   * instances of Transfers intended for today's processing can be added,
   * changed or deleted.
   * <BR>
   */
  public  GsTime getTransferCutoffTime() { return (transferCutoffTime); }

  /**
   * <P>The attribute <code>transferCheckDuplicateFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrChkDuplFTg</code>.
   * <P>
   * A flag which indicates if the Transfer Service should check for
   * duplicate Transfers when a new Transfer request is created.
   */
  private String transferCheckDuplicateFlag = null;

  /**
   * <P>Sets the value of the attribute <code>transferCheckDuplicateFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrChkDuplFTg</code>.
   * <P>
   * A flag which indicates if the Transfer Service should check for
   * duplicate Transfers when a new Transfer request is created.
   */
  public  void   setTransferCheckDuplicateFlag( String o ) { transferCheckDuplicateFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>transferCheckDuplicateFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrChkDuplFTg</code>.
   * <P>
   * A flag which indicates if the Transfer Service should check for
   * duplicate Transfers when a new Transfer request is created.
   */
  public  String getTransferCheckDuplicateFlag() { return (transferCheckDuplicateFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transferCheckDuplicateFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrChkDuplFTg</code>.
   */
  public  String getTransferCheckDuplicateFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTfrChkDuplFResources", locale, getTransferCheckDuplicateFlag() );
  }

  /**
   * <P>The attribute <code>transferFutureDays</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrFutureDaysTg</code>.
   * <P>
   * The number of days in the future that a consumer may post-date a
   * transfer instruction at set-up time for the effective date of the
   * first, or only, transfer.
   */
  private int  transferFutureDays = 0;

  /**
   * <P>Sets the value of the attribute <code>transferFutureDays</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrFutureDaysTg</code>.
   * <P>
   * The number of days in the future that a consumer may post-date a
   * transfer instruction at set-up time for the effective date of the
   * first, or only, transfer.
   */
  public  void setTransferFutureDays( int o ) { transferFutureDays = o; }

  /**
   * <P>Gets the value of the attribute <code>transferFutureDays</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrFutureDaysTg</code>.
   * <P>
   * The number of days in the future that a consumer may post-date a
   * transfer instruction at set-up time for the effective date of the
   * first, or only, transfer.
   */
  public  int  getTransferFutureDays() { return (transferFutureDays); }

  /**
   * <P>The attribute <code>transferAdvanceFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrAdvFTg</code>.
   * <P>
   * A flag associated with the FI which indicates whether an advice
   * message is to be generated when the calculated next transfer date
   * falls on a bank holiday and the date must be adjusted to fall on a
   * bank business day.
   */
  private String transferAdvanceFlag = null;

  /**
   * <P>Sets the value of the attribute <code>transferAdvanceFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrAdvFTg</code>.
   * <P>
   * A flag associated with the FI which indicates whether an advice
   * message is to be generated when the calculated next transfer date
   * falls on a bank holiday and the date must be adjusted to fall on a
   * bank business day.
   */
  public  void   setTransferAdvanceFlag( String o ) { transferAdvanceFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>transferAdvanceFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrAdvFTg</code>.
   * <P>
   * A flag associated with the FI which indicates whether an advice
   * message is to be generated when the calculated next transfer date
   * falls on a bank holiday and the date must be adjusted to fall on a
   * bank business day.
   */
  public  String getTransferAdvanceFlag() { return (transferAdvanceFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>transferAdvanceFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.TfrAdvFTg</code>.
   */
  public  String getTransferAdvanceFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTfrAdvFResources", locale, getTransferAdvanceFlag() );
  }

  /**
   * <P>The attribute <code>mcTfrImmedFlag</code> is an alias for the
   * standard message simple element
   * <code>IfsTfrSrvcDtlTg.McTfrImmedFTg</code>.
   */
  private String mcTfrImmedFlag = null;

  /**
   * <P>Sets the value of the attribute <code>mcTfrImmedFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.McTfrImmedFTg</code>.
   */
  public  void   setMcTfrImmedFlag( String o ) { mcTfrImmedFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>mcTfrImmedFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.McTfrImmedFTg</code>.
   */
  public  String getMcTfrImmedFlag() { return (mcTfrImmedFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mcTfrImmedFlag</code>,
   * which is an alias for the standard message simple element
   * <code>IfsTfrSrvcDtlTg.McTfrImmedFTg</code>.
   */
  public  String getMcTfrImmedFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMcTfrImmedFResources", locale, getMcTfrImmedFlag() );
  }

  /**
   * <P>The attribute <code>fxWndwStrtTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwStrtTmTg</code>.
   * <BR>
   */
  private GsTime fxWndwStrtTm = null;

  /**
   * <P>Sets the value of the attribute <code>fxWndwStrtTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwStrtTmTg</code>.
   * <BR>
   */
  public  void   setFxWndwStrtTm(GsTime o )  { fxWndwStrtTm = o; }

  /**
   * <P>Gets the value of the attribute <code>fxWndwStrtTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwStrtTmTg</code>.
   * <BR>
   */
  public  GsTime getFxWndwStrtTm() { return (fxWndwStrtTm); }

  /**
   * <P>The attribute <code>fxWndwEndTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwEndTmTg</code>.
   * <BR>
   */
  private GsTime fxWndwEndTm = null;

  /**
   * <P>Sets the value of the attribute <code>fxWndwEndTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwEndTmTg</code>.
   * <BR>
   */
  public  void   setFxWndwEndTm(GsTime o )  { fxWndwEndTm = o; }

  /**
   * <P>Gets the value of the attribute <code>fxWndwEndTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsTfrSrvcDtlTg.FxWndwEndTmTg</code>.
   * <BR>
   */
  public  GsTime getFxWndwEndTm() { return (fxWndwEndTm); }

  /**
   * <P>The attribute <code>serviceRequestProfile</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstLstTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  private GsSrvcRqstItem[] serviceRequestProfile = null;

  /**
   * <P>Sets the value of the attribute <code>serviceRequestProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstLstTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  public  void             setServiceRequestProfile(GsSrvcRqstItem[] o )  { serviceRequestProfile = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceRequestProfile</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsSrvcRqstLstTg.SrvcRqstPrflTg</code>.
   * <P>
   * Data items which identify or define a Service Request.
   * <BR>
   */
  public  GsSrvcRqstItem[] getServiceRequestProfile() { return (serviceRequestProfile); }

  /**
   * <P>The attribute <code>fIHolidayList</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsFIHolidayLstTg.FiHolidayLstTg</code>.
   * <P>
   * A repeating structure each containing details for a specific FI
   * Holiday such as the Holiday Date and Holiday Description.
   * <BR>
   */
  private GsFiHolidayDtl[] fIHolidayList = null;

  /**
   * <P>Sets the value of the attribute <code>fIHolidayList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFIHolidayLstTg.FiHolidayLstTg</code>.
   * <P>
   * A repeating structure each containing details for a specific FI
   * Holiday such as the Holiday Date and Holiday Description.
   * <BR>
   */
  public  void             setFIHolidayList(GsFiHolidayDtl[] o )  { fIHolidayList = o; }

  /**
   * <P>Gets the value of the attribute <code>fIHolidayList</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsFIHolidayLstTg.FiHolidayLstTg</code>.
   * <P>
   * A repeating structure each containing details for a specific FI
   * Holiday such as the Holiday Date and Holiday Description.
   * <BR>
   */
  public  GsFiHolidayDtl[] getFIHolidayList() { return (fIHolidayList); }

  /**
   * <P>The attribute <code>realTimeQuotes</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.RlTmQuotesTg</code>.
   */
  private int  realTimeQuotes = 0;

  /**
   * <P>Sets the value of the attribute <code>realTimeQuotes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RlTmQuotesTg</code>.
   */
  public  void setRealTimeQuotes( int o ) { realTimeQuotes = o; }

  /**
   * <P>Gets the value of the attribute <code>realTimeQuotes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RlTmQuotesTg</code>.
   */
  public  int  getRealTimeQuotes() { return (realTimeQuotes); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>realTimeQuotes</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RlTmQuotesTg</code>.
   */
  public  String getRealTimeQuotes_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRlTmQuotesResources", locale,
                       String.valueOf( getRealTimeQuotes() ) );
  }

  /**
   * <P>The attribute <code>delayedQuoteLog</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.DelQLogClTg</code>.
   */
  private int  delayedQuoteLog = 0;

  /**
   * <P>Sets the value of the attribute <code>delayedQuoteLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.DelQLogClTg</code>.
   */
  public  void setDelayedQuoteLog( int o ) { delayedQuoteLog = o; }

  /**
   * <P>Gets the value of the attribute <code>delayedQuoteLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.DelQLogClTg</code>.
   */
  public  int  getDelayedQuoteLog() { return (delayedQuoteLog); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>delayedQuoteLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.DelQLogClTg</code>.
   */
  public  String getDelayedQuoteLog_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsDelQLogClResources", locale,
                       String.valueOf( getDelayedQuoteLog() ) );
  }

  /**
   * <P>The attribute <code>realTimeQuotesLog</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.RltmQLogClTg</code>.
   */
  private int  realTimeQuotesLog = 0;

  /**
   * <P>Sets the value of the attribute <code>realTimeQuotesLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RltmQLogClTg</code>.
   */
  public  void setRealTimeQuotesLog( int o ) { realTimeQuotesLog = o; }

  /**
   * <P>Gets the value of the attribute <code>realTimeQuotesLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RltmQLogClTg</code>.
   */
  public  int  getRealTimeQuotesLog() { return (realTimeQuotesLog); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>realTimeQuotesLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.RltmQLogClTg</code>.
   */
  public  String getRealTimeQuotesLog_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRltmQLogClResources", locale,
                       String.valueOf( getRealTimeQuotesLog() ) );
  }

  /**
   * <P>The attribute <code>newsLog</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.NewsLogClTg</code>.
   */
  private int  newsLog = 0;

  /**
   * <P>Sets the value of the attribute <code>newsLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.NewsLogClTg</code>.
   */
  public  void setNewsLog( int o ) { newsLog = o; }

  /**
   * <P>Gets the value of the attribute <code>newsLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.NewsLogClTg</code>.
   */
  public  int  getNewsLog() { return (newsLog); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>newsLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.NewsLogClTg</code>.
   */
  public  String getNewsLog_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsNewsLogClResources", locale,
                       String.valueOf( getNewsLog() ) );
  }

  /**
   * <P>The attribute <code>portfolioLog</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.PortLogClTg</code>.
   */
  private int  portfolioLog = 0;

  /**
   * <P>Sets the value of the attribute <code>portfolioLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortLogClTg</code>.
   */
  public  void setPortfolioLog( int o ) { portfolioLog = o; }

  /**
   * <P>Gets the value of the attribute <code>portfolioLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortLogClTg</code>.
   */
  public  int  getPortfolioLog() { return (portfolioLog); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>portfolioLog</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortLogClTg</code>.
   */
  public  String getPortfolioLog_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPortLogClResources", locale,
                       String.valueOf( getPortfolioLog() ) );
  }

  /**
   * <P>The attribute <code>settlementMethod</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.SetlMthTg</code>.
   */
  private int  settlementMethod = 0;

  /**
   * <P>Sets the value of the attribute <code>settlementMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SetlMthTg</code>.
   */
  public  void setSettlementMethod( int o ) { settlementMethod = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SetlMthTg</code>.
   */
  public  int  getSettlementMethod() { return (settlementMethod); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>settlementMethod</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SetlMthTg</code>.
   */
  public  String getSettlementMethod_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlMthResources", locale,
                       String.valueOf( getSettlementMethod() ) );
  }

  /**
   * <P>The attribute <code>secureConfirmRequired</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.SecCnfReqTg</code>.
   * <P>
   * Is consumer required to input security data to confirm order and
   * order changes ?
   */
  private int  secureConfirmRequired = 0;

  /**
   * <P>Sets the value of the attribute <code>secureConfirmRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SecCnfReqTg</code>.
   * <P>
   * Is consumer required to input security data to confirm order and
   * order changes ?
   */
  public  void setSecureConfirmRequired( int o ) { secureConfirmRequired = o; }

  /**
   * <P>Gets the value of the attribute <code>secureConfirmRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SecCnfReqTg</code>.
   * <P>
   * Is consumer required to input security data to confirm order and
   * order changes ?
   */
  public  int  getSecureConfirmRequired() { return (secureConfirmRequired); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>secureConfirmRequired</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SecCnfReqTg</code>.
   */
  public  String getSecureConfirmRequired_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSecCnfReqResources", locale,
                       String.valueOf( getSecureConfirmRequired() ) );
  }

  /**
   * <P>The attribute <code>portfolioSupport</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.PortSuppTg</code>.
   */
  private int  portfolioSupport = 0;

  /**
   * <P>Sets the value of the attribute <code>portfolioSupport</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortSuppTg</code>.
   */
  public  void setPortfolioSupport( int o ) { portfolioSupport = o; }

  /**
   * <P>Gets the value of the attribute <code>portfolioSupport</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortSuppTg</code>.
   */
  public  int  getPortfolioSupport() { return (portfolioSupport); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>portfolioSupport</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.PortSuppTg</code>.
   */
  public  String getPortfolioSupport_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPortSuppResources", locale,
                       String.valueOf( getPortfolioSupport() ) );
  }

  /**
   * <P>The attribute <code>fiNbrId</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.FiIdTg.FiNbrIdTg</code>.
   */
  private String fiNbrId = null;

  /**
   * <P>Sets the value of the attribute <code>fiNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.FiIdTg.FiNbrIdTg</code>.
   */
  public  void   setFiNbrId( String o ) { fiNbrId = o; }

  /**
   * <P>Gets the value of the attribute <code>fiNbrId</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.FiIdTg.FiNbrIdTg</code>.
   */
  public  String getFiNbrId() { return (fiNbrId); }

  /**
   * <P>The attribute <code>srvcIdNbr</code> is an alias for the
   * standard message simple element
   * <code>IfsInvSrvDtlTg.SrvcIdNbrTg</code>.
   */
  private String srvcIdNbr = null;

  /**
   * <P>Sets the value of the attribute <code>srvcIdNbr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SrvcIdNbrTg</code>.
   */
  public  void   setSrvcIdNbr( String o ) { srvcIdNbr = o; }

  /**
   * <P>Gets the value of the attribute <code>srvcIdNbr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SrvcIdNbrTg</code>.
   */
  public  String getSrvcIdNbr() { return (srvcIdNbr); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>srvcIdNbr</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvSrvDtlTg.SrvcIdNbrTg</code>.
   */
  public  String getSrvcIdNbr_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSrvcIdNbrResources", locale, getSrvcIdNbr() );
  }

  /**
   * <P>The attribute <code>multiAccPymCtfTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  private GsTime multiAccPymCtfTm = null;

  /**
   * <P>Sets the value of the attribute <code>multiAccPymCtfTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  public  void   setMultiAccPymCtfTm(GsTime o )  { multiAccPymCtfTm = o; }

  /**
   * <P>Gets the value of the attribute <code>multiAccPymCtfTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymCtfTmTg</code>.
   * <P>
   * The cutoff time is the FIs daily business day time beyond which a
   * Multiple Account Payment Definition will not be accepted if it is
   * dated for today. This time is used in conjunction with the Multiple
   * Account Payment Dispatch Time. Both times are relative to the same
   * day and the Cutoff Time must be earlier than the Dispatch Time.
   * <BR>
   */
  public  GsTime getMultiAccPymCtfTm() { return (multiAccPymCtfTm); }

  /**
   * <P>The attribute <code>multiAccPymDspTm</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  private GsTime multiAccPymDspTm = null;

  /**
   * <P>Sets the value of the attribute <code>multiAccPymDspTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  public  void   setMultiAccPymDspTm(GsTime o )  { multiAccPymDspTm = o; }

  /**
   * <P>Gets the value of the attribute <code>multiAccPymDspTm</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>MultiAccPSrvcDtlTg.MultiAccPymDspTmTg</code>.
   * <P>
   * The dispatch time is the FIs daily business day time at which the TSP
   * will begin transmitting those Multiple Account Payments that are
   * scheduled for delivery to the FI on the given day. This time is used
   * in conjunction with the Multiple Account Payment Cutoff Time. Both
   * times are relative to the same day and the Dispatch Time must be
   * later than the Cutoff Time. The time is relative to the FIs
   * processing centers needs but is established based on the time at the
   * IFS processing center. For example, if the FI processing center is in
   * the Pacific Time Zone and the IFS Processing center is in the Eastern
   * Time Zone, then the parameter would be set three hours later than the
   * Pacific Time that the FI wants to start receiving today's payments.
   * <BR>
   */
  public  GsTime getMultiAccPymDspTm() { return (multiAccPymDspTm); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetIFSProfilesInquiry );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqSendFIProfileFlag != null && reqSendFIProfileFlag.length() > 1 )
      addArgToGMJI( reqSendFIProfileFlag.substring(0,1));
    else
      addArgToGMJI( reqSendFIProfileFlag ); 

    if( reqSendHolidayFlag != null && reqSendHolidayFlag.length() > 1 )
      addArgToGMJI( reqSendHolidayFlag.substring(0,1));
    else
      addArgToGMJI( reqSendHolidayFlag ); 
    if( reqServiceIDList != null )
    {
      reqServiceIDList_packed = GsSrvc.pack( reqServiceIDList );
      addArgToGMJI( reqServiceIDList_packed );
    } else {
      addArgToGMJI();
    }
    if( reqServiceExtList != null )
    {
      reqServiceExtList_packed = GsSrvc.pack( reqServiceExtList );
      addArgToGMJI( reqServiceExtList_packed );
    } else {
      addArgToGMJI();
    }
    if( reqServiceRequestProfileList != null )
    {
      reqServiceRequestProfileList_packed = GsSrvcRqst.pack( reqServiceRequestProfileList );
      addArgToGMJI( reqServiceRequestProfileList_packed );
    } else {
      addArgToGMJI();
    }

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    fINumber = txn.getNextCharFromGMJO( 8, "fINumber" );
    transactionRoutingingNumber = txn.getNextLongFromGMJO( "transactionRoutingingNumber" );
    fIHoldingCompanyNumber = txn.getNextCharFromGMJO( 8, "fIHoldingCompanyNumber" );
    fINickname = txn.getNextNlsCharFromGMJO( 30, "fINickname" );
    fILine1 = txn.getNextNlsCharFromGMJO( 40, "fILine1" );
    fILine2 = txn.getNextNlsCharFromGMJO( 40, "fILine2" );
    fIAddressLine1 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine1" );
    fIAddressLine2 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine2" );
    fIAddressLine3 = txn.getNextNlsCharFromGMJO( 40, "fIAddressLine3" );
    fICity = txn.getNextNlsCharFromGMJO( 30, "fICity" );
    fIProvince = txn.getNextNlsCharFromGMJO( 30, "fIProvince" );
    fIState = txn.getNextCharFromGMJO( 2, "fIState" );
    fICountry = txn.getNextCharFromGMJO( 3, "fICountry" );
    fIZipCode = txn.getNextCharFromGMJO( 9, "fIZipCode" );
    fIPostalCode = txn.getNextCharFromGMJO( 6, "fIPostalCode" );
    sessionHistoryRetention = txn.getNextLongFromGMJO( "sessionHistoryRetention" );
    transactionLogRetention = txn.getNextLongFromGMJO( "transactionLogRetention" );
    eventLogRetention = txn.getNextLongFromGMJO( "eventLogRetention" );
    fIWorkPhone = txn.getNextCharFromGMJO( 15, "fIWorkPhone" );
    reauthorizationTime = txn.getNextLongFromGMJO( "reauthorizationTime" );
    reauthorizationFlag = txn.getNextCharFromGMJO( 1, "reauthorizationFlag" );
    inactiveTime = txn.getNextLongFromGMJO( "inactiveTime" );
    webDefaultTime = txn.getNextLongFromGMJO( "webDefaultTime" );
    pFMDefaultTime = txn.getNextLongFromGMJO( "pFMDefaultTime" );
    iVRDefaultTime = txn.getNextLongFromGMJO( "iVRDefaultTime" );
    logonTransactionTimeInterval = txn.getNextLongFromGMJO( "logonTransactionTimeInterval" );
    businessTransactionTimeInterval = txn.getNextLongFromGMJO( "businessTransactionTimeInterval" );
    logonAttempts = txn.getNextLongFromGMJO( "logonAttempts" );
    businessTransactionAttempts = txn.getNextLongFromGMJO( "businessTransactionAttempts" );
    fIBackEndAgentQueueName = txn.getNextCharFromGMJO( 48, "fIBackEndAgentQueueName" );
    transactionRoutingType = txn.getNextCharFromGMJO( 1, "transactionRoutingType" );
    consumerPasswordRetryLimit = txn.getNextLongFromGMJO( "consumerPasswordRetryLimit" );
    consumerIGNIDRequired = txn.getNextCharFromGMJO( 1, "consumerIGNIDRequired" );
    auditControlRequiredFlag = txn.getNextCharFromGMJO( 1, "auditControlRequiredFlag" );
    auditControlTimeFlag = txn.getNextLongFromGMJO( "auditControlTimeFlag" );
    iGNIDOrderPoint = txn.getNextLongFromGMJO( "iGNIDOrderPoint" );
    tCAAlertType = txn.getNextCharFromGMJO( 1, "tCAAlertType" );
    tCAEmailAddress = txn.getNextCharFromGMJO( 128, "tCAEmailAddress" );
    lastUsedServerInstance = txn.getNextLongFromGMJO( "lastUsedServerInstance" );
    alternateBEAQueue = txn.getNextCharFromGMJO( 48, "alternateBEAQueue" );
    iGNIdentifierOrderQuantity = txn.getNextLongFromGMJO( "iGNIdentifierOrderQuantity" );
    clearinghouseFIRequiredFlag = txn.getNextCharFromGMJO( 1, "clearinghouseFIRequiredFlag" );
    fIOpLangCl = txn.getNextCharFromGMJO( 3, "fIOpLangCl" );
    fIOpCntryCodeCl = txn.getNextCharFromGMJO( 3, "fIOpCntryCodeCl" );
    fIOpCodePage = txn.getNextLongFromGMJO( "fIOpCodePage" );
    empPasswordRetryLimit = txn.getNextLongFromGMJO( "empPasswordRetryLimit" );
    originalAccountNumber = txn.getNextCharFromGMJO( 8, "originalAccountNumber" );
    weekendProcessingIndicator = txn.getNextCharFromGMJO( 7, "weekendProcessingIndicator" );
    fIHolidayAdjustmentProcessingFlag = txn.getNextCharFromGMJO( 1, "fIHolidayAdjustmentProcessingFlag" );
    endOfDayTime = new GsTime( txn, "endOfDayTime" );
    billerCountry = txn.getNextCharFromGMJO( 3, "billerCountry" );
    fIDistinguishedName = txn.getNextCharFromGMJO( 524, "fIDistinguishedName" );
    securityPolicyConsumerType = txn.getNextLongFromGMJO( "securityPolicyConsumerType" );
    securityPolicyEmployeeType = txn.getNextLongFromGMJO( "securityPolicyEmployeeType" );
    fICertificateExpirationMargin = txn.getNextLongFromGMJO( "fICertificateExpirationMargin" );
    internetAccessType = txn.getNextCharFromGMJO( 1, "internetAccessType" );
    fICertificateIndicator = txn.getNextCharFromGMJO( 1, "fICertificateIndicator" );
    eurExchRtPrecTg = txn.getNextLongFromGMJO( "eurExchRtPrecTg" );
    crsClntSprtF = txn.getNextLongFromGMJO( "crsClntSprtF" );
    fILclCurr = txn.getNextCharFromGMJO( 3, "fILclCurr" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    serviceProfile = new GsSrvcPrflItem[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      serviceProfile[ i ] = new GsSrvcPrflItem( txn );
    }
    bbRtrLimit = txn.getNextLongFromGMJO( "bbRtrLimit" );
    checkCreditAccount = new GsAccount( txn, "checkCreditAccount" );
    oldPayIndicator = txn.getNextCharFromGMJO( 1, "oldPayIndicator" );
    bPHolidayAdjustmentProcessingFlag = txn.getNextCharFromGMJO( 1, "bPHolidayAdjustmentProcessingFlag" );
    maximumServiceRequestAmount = new GsCurrency( txn, "maximumServiceRequestAmount" );
    minServiceRequestAmount = new GsCurrency( txn, "minServiceRequestAmount" );
    billerPayCutoffTime = new GsTime( txn, "billerPayCutoffTime" );
    payCutoffTime = new GsTime( txn, "payCutoffTime" );
    fIACHNumber = txn.getNextCharFromGMJO( 9, "fIACHNumber" );
    fIResponseNumber = txn.getNextCharFromGMJO( 9, "fIResponseNumber" );
    payNopayAdvice = txn.getNextCharFromGMJO( 1, "payNopayAdvice" );
    billedConsumerDebitFlag = txn.getNextCharFromGMJO( 1, "billedConsumerDebitFlag" );
    billedPaperPaymentCreditFlag = txn.getNextCharFromGMJO( 1, "billedPaperPaymentCreditFlag" );
    preNoteRequirementFlag = txn.getNextCharFromGMJO( 1, "preNoteRequirementFlag" );
    standardDeliveryTime = txn.getNextLongFromGMJO( "standardDeliveryTime" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    bPACHCodeList = new GsBpAchTransCodeRcrd[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      bPACHCodeList[ i ] = new GsBpAchTransCodeRcrd( txn );
    }
    thresholdCheckFlag = txn.getNextCharFromGMJO( 1, "thresholdCheckFlag" );
    promThreshold = txn.getNextLongFromGMJO( "promThreshold" );
    paymentStrmReportCode = txn.getNextCharFromGMJO( 1, "paymentStrmReportCode" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    routingTransitList = new GsUsOnUsRtDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      routingTransitList[ i ] = new GsUsOnUsRtDtl( txn );
    }
    accountVerificationRequiredFlag = txn.getNextCharFromGMJO( 1, "accountVerificationRequiredFlag" );
    integrionACHHeaderID = txn.getNextCharFromGMJO( 10, "integrionACHHeaderID" );
    payeeValidFlag = txn.getNextCharFromGMJO( 1, "payeeValidFlag" );
    payeeValidProcCode = txn.getNextCharFromGMJO( 1, "payeeValidProcCode" );
    checkDataFileFlag = txn.getNextCharFromGMJO( 1, "checkDataFileFlag" );
    payeeLastDataFileFlag = txn.getNextCharFromGMJO( 1, "payeeLastDataFileFlag" );
    payeeSetupRepeat = txn.getNextCharFromGMJO( 1, "payeeSetupRepeat" );
    dailyLimitVerfFlag = txn.getNextCharFromGMJO( 1, "dailyLimitVerfFlag" );
    dailyLimitAmount = new GsCurrency( txn, "dailyLimitAmount" );
    pymtChkDuplFlag = txn.getNextCharFromGMJO( 1, "pymtChkDuplFlag" );
    rtPayNoPayFlag = txn.getNextCharFromGMJO( 1, "rtPayNoPayFlag" );
    bPDtFmtCode = txn.getNextCharFromGMJO( 3, "bPDtFmtCode" );
    rTChkDgtFlag = txn.getNextCharFromGMJO( 1, "rTChkDgtFlag" );
    rTChkDgtNumber = txn.getNextLongFromGMJO( "rTChkDgtNumber" );
    usOnUsRTCDgtNumber = txn.getNextLongFromGMJO( "usOnUsRTCDgtNumber" );
    usonUsRTStPos = txn.getNextLongFromGMJO( "usonUsRTStPos" );
    bPtmVal = txn.getNextCharFromGMJO( 10, "bPtmVal" );
    bPtmFmtCodeCl = txn.getNextCharFromGMJO( 3, "bPtmFmtCodeCl" );
    bPgmtOfstMinsTg = txn.getNextLongFromGMJO( "bPgmtOfstMinsTg" );
    nLtmVal = txn.getNextCharFromGMJO( 10, "nLtmVal" );
    nLtmFmtCodeCl = txn.getNextCharFromGMJO( 3, "nLtmFmtCodeCl" );
    nLgmtOfstMinsTg = txn.getNextLongFromGMJO( "nLgmtOfstMinsTg" );
    tmVal = txn.getNextCharFromGMJO( 10, "tmVal" );
    tmFmtCodeCl = txn.getNextCharFromGMJO( 3, "tmFmtCodeCl" );
    gmtOfstMins = txn.getNextLongFromGMJO( "gmtOfstMins" );
    nontmVal = txn.getNextCharFromGMJO( 10, "nontmVal" );
    nontmFmtCodeCl = txn.getNextCharFromGMJO( 3, "nontmFmtCodeCl" );
    nongmtOfstMinsTg = txn.getNextLongFromGMJO( "nongmtOfstMinsTg" );
    maximumDailyTransfer = new GsCurrency( txn, "maximumDailyTransfer" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    transferAccountType = new GsTfrAcctTp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      transferAccountType[ i ] = new GsTfrAcctTp( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    transferLimit = new GsSrvcLmtsTp[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      transferLimit[ i ] = new GsSrvcLmtsTp( txn );
    }
    transferCutoffTime = new GsTime( txn, "transferCutoffTime" );
    transferCheckDuplicateFlag = txn.getNextCharFromGMJO( 1, "transferCheckDuplicateFlag" );
    transferFutureDays = txn.getNextLongFromGMJO( "transferFutureDays" );
    transferAdvanceFlag = txn.getNextCharFromGMJO( 1, "transferAdvanceFlag" );
    mcTfrImmedFlag = txn.getNextCharFromGMJO( 1, "mcTfrImmedFlag" );
    fxWndwStrtTm = new GsTime( txn, "fxWndwStrtTm" );
    fxWndwEndTm = new GsTime( txn, "fxWndwEndTm" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    serviceRequestProfile = new GsSrvcRqstItem[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      serviceRequestProfile[ i ] = new GsSrvcRqstItem( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fIHolidayList = new GsFiHolidayDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fIHolidayList[ i ] = new GsFiHolidayDtl( txn );
    }
    realTimeQuotes = txn.getNextLongFromGMJO( "realTimeQuotes" );
    delayedQuoteLog = txn.getNextLongFromGMJO( "delayedQuoteLog" );
    realTimeQuotesLog = txn.getNextLongFromGMJO( "realTimeQuotesLog" );
    newsLog = txn.getNextLongFromGMJO( "newsLog" );
    portfolioLog = txn.getNextLongFromGMJO( "portfolioLog" );
    settlementMethod = txn.getNextLongFromGMJO( "settlementMethod" );
    secureConfirmRequired = txn.getNextLongFromGMJO( "secureConfirmRequired" );
    portfolioSupport = txn.getNextLongFromGMJO( "portfolioSupport" );
    fiNbrId = txn.getNextCharFromGMJO( 8, "fiNbrId" );
    srvcIdNbr = txn.getNextCharFromGMJO( 8, "srvcIdNbr" );
    multiAccPymCtfTm = new GsTime( txn, "multiAccPymCtfTm" );
    multiAccPymDspTm = new GsTime( txn, "multiAccPymDspTm" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqSendFIProfileFlag = " + getReqSendFIProfileFlag() );
    pageWriter.println( prefix + "reqSendHolidayFlag = " + getReqSendHolidayFlag() );

    pageWriter.println( prefix + "reqServiceIDList =" );
    if( reqServiceIDList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqServiceIDList.length; j++ )
      {
        pageWriter.println( prefix + "reqServiceIDList[" + j + "] =" );
        if( reqServiceIDList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqServiceIDList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqServiceIDList_packed = " + getReqServiceIDList_packed() );

    pageWriter.println( prefix + "reqServiceExtList =" );
    if( reqServiceExtList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqServiceExtList.length; j++ )
      {
        pageWriter.println( prefix + "reqServiceExtList[" + j + "] =" );
        if( reqServiceExtList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqServiceExtList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqServiceExtList_packed = " + getReqServiceExtList_packed() );

    pageWriter.println( prefix + "reqServiceRequestProfileList =" );
    if( reqServiceRequestProfileList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqServiceRequestProfileList.length; j++ )
      {
        pageWriter.println( prefix + "reqServiceRequestProfileList[" + j + "] =" );
        if( reqServiceRequestProfileList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqServiceRequestProfileList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqServiceRequestProfileList_packed = " + getReqServiceRequestProfileList_packed() );
    pageWriter.println( prefix + "fINumber = " + getFINumber() );
    pageWriter.println( prefix + "transactionRoutingingNumber = " + getTransactionRoutingingNumber() );
    pageWriter.println( prefix + "fIHoldingCompanyNumber = " + getFIHoldingCompanyNumber() );
    pageWriter.println( prefix + "fINickname = " + getFINickname() );
    pageWriter.println( prefix + "fILine1 = " + getFILine1() );
    pageWriter.println( prefix + "fILine2 = " + getFILine2() );
    pageWriter.println( prefix + "fIAddressLine1 = " + getFIAddressLine1() );
    pageWriter.println( prefix + "fIAddressLine2 = " + getFIAddressLine2() );
    pageWriter.println( prefix + "fIAddressLine3 = " + getFIAddressLine3() );
    pageWriter.println( prefix + "fICity = " + getFICity() );
    pageWriter.println( prefix + "fIProvince = " + getFIProvince() );
    pageWriter.println( prefix + "fIState = " + getFIState() );
    pageWriter.println( prefix + "fICountry = " + getFICountry() );
    pageWriter.println( prefix + "fIZipCode = " + getFIZipCode() );
    pageWriter.println( prefix + "fIPostalCode = " + getFIPostalCode() );
    pageWriter.println( prefix + "sessionHistoryRetention = " + getSessionHistoryRetention() );
    pageWriter.println( prefix + "transactionLogRetention = " + getTransactionLogRetention() );
    pageWriter.println( prefix + "eventLogRetention = " + getEventLogRetention() );
    pageWriter.println( prefix + "fIWorkPhone = " + getFIWorkPhone() );
    pageWriter.println( prefix + "reauthorizationTime = " + getReauthorizationTime() );
    pageWriter.println( prefix + "reauthorizationFlag = " + getReauthorizationFlag() );
    try {
      pageWriter.println( prefix + "reauthorizationFlag_text = " + getReauthorizationFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "reauthorizationFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "inactiveTime = " + getInactiveTime() );
    pageWriter.println( prefix + "webDefaultTime = " + getWebDefaultTime() );
    pageWriter.println( prefix + "pFMDefaultTime = " + getPFMDefaultTime() );
    pageWriter.println( prefix + "iVRDefaultTime = " + getIVRDefaultTime() );
    pageWriter.println( prefix + "logonTransactionTimeInterval = " + getLogonTransactionTimeInterval() );
    pageWriter.println( prefix + "businessTransactionTimeInterval = " + getBusinessTransactionTimeInterval() );
    pageWriter.println( prefix + "logonAttempts = " + getLogonAttempts() );
    pageWriter.println( prefix + "businessTransactionAttempts = " + getBusinessTransactionAttempts() );
    pageWriter.println( prefix + "fIBackEndAgentQueueName = " + getFIBackEndAgentQueueName() );
    pageWriter.println( prefix + "transactionRoutingType = " + getTransactionRoutingType() );
    try {
      pageWriter.println( prefix + "transactionRoutingType_text = " + getTransactionRoutingType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transactionRoutingType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerPasswordRetryLimit = " + getConsumerPasswordRetryLimit() );
    pageWriter.println( prefix + "consumerIGNIDRequired = " + getConsumerIGNIDRequired() );
    try {
      pageWriter.println( prefix + "consumerIGNIDRequired_text = " + getConsumerIGNIDRequired_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "consumerIGNIDRequired_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "auditControlRequiredFlag = " + getAuditControlRequiredFlag() );
    try {
      pageWriter.println( prefix + "auditControlRequiredFlag_text = " + getAuditControlRequiredFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "auditControlRequiredFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "auditControlTimeFlag = " + getAuditControlTimeFlag() );
    pageWriter.println( prefix + "iGNIDOrderPoint = " + getIGNIDOrderPoint() );
    pageWriter.println( prefix + "tCAAlertType = " + getTCAAlertType() );
    try {
      pageWriter.println( prefix + "tCAAlertType_text = " + getTCAAlertType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "tCAAlertType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "tCAEmailAddress = " + getTCAEmailAddress() );
    pageWriter.println( prefix + "lastUsedServerInstance = " + getLastUsedServerInstance() );
    pageWriter.println( prefix + "alternateBEAQueue = " + getAlternateBEAQueue() );
    pageWriter.println( prefix + "iGNIdentifierOrderQuantity = " + getIGNIdentifierOrderQuantity() );
    pageWriter.println( prefix + "clearinghouseFIRequiredFlag = " + getClearinghouseFIRequiredFlag() );
    pageWriter.println( prefix + "fIOpLangCl = " + getFIOpLangCl() );
    pageWriter.println( prefix + "fIOpCntryCodeCl = " + getFIOpCntryCodeCl() );
    pageWriter.println( prefix + "fIOpCodePage = " + getFIOpCodePage() );
    pageWriter.println( prefix + "empPasswordRetryLimit = " + getEmpPasswordRetryLimit() );
    pageWriter.println( prefix + "originalAccountNumber = " + getOriginalAccountNumber() );
    pageWriter.println( prefix + "weekendProcessingIndicator = " + getWeekendProcessingIndicator() );
    try {
      pageWriter.println( prefix + "weekendProcessingIndicator_text = " + getWeekendProcessingIndicator_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "weekendProcessingIndicator_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag = " + getFIHolidayAdjustmentProcessingFlag() );
    try {
      pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag_text = " + getFIHolidayAdjustmentProcessingFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIHolidayAdjustmentProcessingFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "endOfDayTime =" );
    if( endOfDayTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      endOfDayTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "billerCountry = " + getBillerCountry() );
    pageWriter.println( prefix + "fIDistinguishedName = " + getFIDistinguishedName() );
    pageWriter.println( prefix + "securityPolicyConsumerType = " + getSecurityPolicyConsumerType() );
    try {
      pageWriter.println( prefix + "securityPolicyConsumerType_text = " + getSecurityPolicyConsumerType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityPolicyConsumerType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityPolicyEmployeeType = " + getSecurityPolicyEmployeeType() );
    try {
      pageWriter.println( prefix + "securityPolicyEmployeeType_text = " + getSecurityPolicyEmployeeType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityPolicyEmployeeType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fICertificateExpirationMargin = " + getFICertificateExpirationMargin() );
    pageWriter.println( prefix + "internetAccessType = " + getInternetAccessType() );
    try {
      pageWriter.println( prefix + "internetAccessType_text = " + getInternetAccessType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "internetAccessType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fICertificateIndicator = " + getFICertificateIndicator() );
    try {
      pageWriter.println( prefix + "fICertificateIndicator_text = " + getFICertificateIndicator_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fICertificateIndicator_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "eurExchRtPrecTg = " + getEurExchRtPrecTg() );
    pageWriter.println( prefix + "crsClntSprtF = " + getCrsClntSprtF() );
    try {
      pageWriter.println( prefix + "crsClntSprtF_text = " + getCrsClntSprtF_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "crsClntSprtF_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fILclCurr = " + getFILclCurr() );
    try {
      pageWriter.println( prefix + "fILclCurr_text = " + getFILclCurr_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fILclCurr_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "serviceProfile =" );
    if( serviceProfile == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < serviceProfile.length; j++ )
      {
        pageWriter.println( prefix + "serviceProfile[" + j + "] =" );
        if( serviceProfile[ j ] == null )
          pageWriter.println( " (null)" );
        else
          serviceProfile[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "bbRtrLimit = " + getBbRtrLimit() );

    pageWriter.println( prefix + "checkCreditAccount =" );
    if( checkCreditAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      checkCreditAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "oldPayIndicator = " + getOldPayIndicator() );
    try {
      pageWriter.println( prefix + "oldPayIndicator_text = " + getOldPayIndicator_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "oldPayIndicator_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "bPHolidayAdjustmentProcessingFlag = " + getBPHolidayAdjustmentProcessingFlag() );
    try {
      pageWriter.println( prefix + "bPHolidayAdjustmentProcessingFlag_text = " + getBPHolidayAdjustmentProcessingFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "bPHolidayAdjustmentProcessingFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "maximumServiceRequestAmount =" );
    if( maximumServiceRequestAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      maximumServiceRequestAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "minServiceRequestAmount =" );
    if( minServiceRequestAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      minServiceRequestAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "billerPayCutoffTime =" );
    if( billerPayCutoffTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      billerPayCutoffTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "payCutoffTime =" );
    if( payCutoffTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      payCutoffTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fIACHNumber = " + getFIACHNumber() );
    pageWriter.println( prefix + "fIResponseNumber = " + getFIResponseNumber() );
    pageWriter.println( prefix + "payNopayAdvice = " + getPayNopayAdvice() );
    try {
      pageWriter.println( prefix + "payNopayAdvice_text = " + getPayNopayAdvice_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payNopayAdvice_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "billedConsumerDebitFlag = " + getBilledConsumerDebitFlag() );
    try {
      pageWriter.println( prefix + "billedConsumerDebitFlag_text = " + getBilledConsumerDebitFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "billedConsumerDebitFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "billedPaperPaymentCreditFlag = " + getBilledPaperPaymentCreditFlag() );
    try {
      pageWriter.println( prefix + "billedPaperPaymentCreditFlag_text = " + getBilledPaperPaymentCreditFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "billedPaperPaymentCreditFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "preNoteRequirementFlag = " + getPreNoteRequirementFlag() );
    try {
      pageWriter.println( prefix + "preNoteRequirementFlag_text = " + getPreNoteRequirementFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "preNoteRequirementFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "standardDeliveryTime = " + getStandardDeliveryTime() );

    pageWriter.println( prefix + "bPACHCodeList =" );
    if( bPACHCodeList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < bPACHCodeList.length; j++ )
      {
        pageWriter.println( prefix + "bPACHCodeList[" + j + "] =" );
        if( bPACHCodeList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          bPACHCodeList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "thresholdCheckFlag = " + getThresholdCheckFlag() );
    try {
      pageWriter.println( prefix + "thresholdCheckFlag_text = " + getThresholdCheckFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "thresholdCheckFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "promThreshold = " + getPromThreshold() );
    pageWriter.println( prefix + "paymentStrmReportCode = " + getPaymentStrmReportCode() );
    try {
      pageWriter.println( prefix + "paymentStrmReportCode_text = " + getPaymentStrmReportCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "paymentStrmReportCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "routingTransitList =" );
    if( routingTransitList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < routingTransitList.length; j++ )
      {
        pageWriter.println( prefix + "routingTransitList[" + j + "] =" );
        if( routingTransitList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          routingTransitList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "accountVerificationRequiredFlag = " + getAccountVerificationRequiredFlag() );
    try {
      pageWriter.println( prefix + "accountVerificationRequiredFlag_text = " + getAccountVerificationRequiredFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "accountVerificationRequiredFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "integrionACHHeaderID = " + getIntegrionACHHeaderID() );
    pageWriter.println( prefix + "payeeValidFlag = " + getPayeeValidFlag() );
    try {
      pageWriter.println( prefix + "payeeValidFlag_text = " + getPayeeValidFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeValidFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeValidProcCode = " + getPayeeValidProcCode() );
    try {
      pageWriter.println( prefix + "payeeValidProcCode_text = " + getPayeeValidProcCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeValidProcCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "checkDataFileFlag = " + getCheckDataFileFlag() );
    try {
      pageWriter.println( prefix + "checkDataFileFlag_text = " + getCheckDataFileFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "checkDataFileFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeLastDataFileFlag = " + getPayeeLastDataFileFlag() );
    try {
      pageWriter.println( prefix + "payeeLastDataFileFlag_text = " + getPayeeLastDataFileFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeLastDataFileFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "payeeSetupRepeat = " + getPayeeSetupRepeat() );
    try {
      pageWriter.println( prefix + "payeeSetupRepeat_text = " + getPayeeSetupRepeat_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "payeeSetupRepeat_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "dailyLimitVerfFlag = " + getDailyLimitVerfFlag() );
    try {
      pageWriter.println( prefix + "dailyLimitVerfFlag_text = " + getDailyLimitVerfFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "dailyLimitVerfFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "dailyLimitAmount =" );
    if( dailyLimitAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      dailyLimitAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "pymtChkDuplFlag = " + getPymtChkDuplFlag() );
    try {
      pageWriter.println( prefix + "pymtChkDuplFlag_text = " + getPymtChkDuplFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "pymtChkDuplFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "rtPayNoPayFlag = " + getRtPayNoPayFlag() );
    try {
      pageWriter.println( prefix + "rtPayNoPayFlag_text = " + getRtPayNoPayFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "rtPayNoPayFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "bPDtFmtCode = " + getBPDtFmtCode() );
    try {
      pageWriter.println( prefix + "bPDtFmtCode_text = " + getBPDtFmtCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "bPDtFmtCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "rTChkDgtFlag = " + getRTChkDgtFlag() );
    try {
      pageWriter.println( prefix + "rTChkDgtFlag_text = " + getRTChkDgtFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "rTChkDgtFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "rTChkDgtNumber = " + getRTChkDgtNumber() );
    pageWriter.println( prefix + "usOnUsRTCDgtNumber = " + getUsOnUsRTCDgtNumber() );
    pageWriter.println( prefix + "usonUsRTStPos = " + getUsonUsRTStPos() );
    pageWriter.println( prefix + "bPtmVal = " + getBPtmVal() );
    pageWriter.println( prefix + "bPtmFmtCodeCl = " + getBPtmFmtCodeCl() );
    pageWriter.println( prefix + "bPgmtOfstMinsTg = " + getBPgmtOfstMinsTg() );
    pageWriter.println( prefix + "nLtmVal = " + getNLtmVal() );
    pageWriter.println( prefix + "nLtmFmtCodeCl = " + getNLtmFmtCodeCl() );
    pageWriter.println( prefix + "nLgmtOfstMinsTg = " + getNLgmtOfstMinsTg() );
    pageWriter.println( prefix + "tmVal = " + getTmVal() );
    pageWriter.println( prefix + "tmFmtCodeCl = " + getTmFmtCodeCl() );
    pageWriter.println( prefix + "gmtOfstMins = " + getGmtOfstMins() );
    pageWriter.println( prefix + "nontmVal = " + getNontmVal() );
    pageWriter.println( prefix + "nontmFmtCodeCl = " + getNontmFmtCodeCl() );
    pageWriter.println( prefix + "nongmtOfstMinsTg = " + getNongmtOfstMinsTg() );

    pageWriter.println( prefix + "maximumDailyTransfer =" );
    if( maximumDailyTransfer == null ) {
      pageWriter.println( " (null)" );
    } else {
      maximumDailyTransfer.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "transferAccountType =" );
    if( transferAccountType == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < transferAccountType.length; j++ )
      {
        pageWriter.println( prefix + "transferAccountType[" + j + "] =" );
        if( transferAccountType[ j ] == null )
          pageWriter.println( " (null)" );
        else
          transferAccountType[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "transferLimit =" );
    if( transferLimit == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < transferLimit.length; j++ )
      {
        pageWriter.println( prefix + "transferLimit[" + j + "] =" );
        if( transferLimit[ j ] == null )
          pageWriter.println( " (null)" );
        else
          transferLimit[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "transferCutoffTime =" );
    if( transferCutoffTime == null ) {
      pageWriter.println( " (null)" );
    } else {
      transferCutoffTime.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "transferCheckDuplicateFlag = " + getTransferCheckDuplicateFlag() );
    try {
      pageWriter.println( prefix + "transferCheckDuplicateFlag_text = " + getTransferCheckDuplicateFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transferCheckDuplicateFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "transferFutureDays = " + getTransferFutureDays() );
    pageWriter.println( prefix + "transferAdvanceFlag = " + getTransferAdvanceFlag() );
    try {
      pageWriter.println( prefix + "transferAdvanceFlag_text = " + getTransferAdvanceFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "transferAdvanceFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mcTfrImmedFlag = " + getMcTfrImmedFlag() );
    try {
      pageWriter.println( prefix + "mcTfrImmedFlag_text = " + getMcTfrImmedFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mcTfrImmedFlag_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "fxWndwStrtTm =" );
    if( fxWndwStrtTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      fxWndwStrtTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fxWndwEndTm =" );
    if( fxWndwEndTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      fxWndwEndTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "serviceRequestProfile =" );
    if( serviceRequestProfile == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < serviceRequestProfile.length; j++ )
      {
        pageWriter.println( prefix + "serviceRequestProfile[" + j + "] =" );
        if( serviceRequestProfile[ j ] == null )
          pageWriter.println( " (null)" );
        else
          serviceRequestProfile[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fIHolidayList =" );
    if( fIHolidayList == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fIHolidayList.length; j++ )
      {
        pageWriter.println( prefix + "fIHolidayList[" + j + "] =" );
        if( fIHolidayList[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fIHolidayList[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "realTimeQuotes = " + getRealTimeQuotes() );
    try {
      pageWriter.println( prefix + "realTimeQuotes_text = " + getRealTimeQuotes_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "realTimeQuotes_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "delayedQuoteLog = " + getDelayedQuoteLog() );
    try {
      pageWriter.println( prefix + "delayedQuoteLog_text = " + getDelayedQuoteLog_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "delayedQuoteLog_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "realTimeQuotesLog = " + getRealTimeQuotesLog() );
    try {
      pageWriter.println( prefix + "realTimeQuotesLog_text = " + getRealTimeQuotesLog_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "realTimeQuotesLog_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "newsLog = " + getNewsLog() );
    try {
      pageWriter.println( prefix + "newsLog_text = " + getNewsLog_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "newsLog_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "portfolioLog = " + getPortfolioLog() );
    try {
      pageWriter.println( prefix + "portfolioLog_text = " + getPortfolioLog_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "portfolioLog_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "settlementMethod = " + getSettlementMethod() );
    try {
      pageWriter.println( prefix + "settlementMethod_text = " + getSettlementMethod_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "settlementMethod_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "secureConfirmRequired = " + getSecureConfirmRequired() );
    try {
      pageWriter.println( prefix + "secureConfirmRequired_text = " + getSecureConfirmRequired_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "secureConfirmRequired_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "portfolioSupport = " + getPortfolioSupport() );
    try {
      pageWriter.println( prefix + "portfolioSupport_text = " + getPortfolioSupport_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "portfolioSupport_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiNbrId = " + getFiNbrId() );
    pageWriter.println( prefix + "srvcIdNbr = " + getSrvcIdNbr() );
    try {
      pageWriter.println( prefix + "srvcIdNbr_text = " + getSrvcIdNbr_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "srvcIdNbr_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "multiAccPymCtfTm =" );
    if( multiAccPymCtfTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      multiAccPymCtfTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "multiAccPymDspTm =" );
    if( multiAccPymDspTm == null ) {
      pageWriter.println( " (null)" );
    } else {
      multiAccPymDspTm.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqSendFIProfileFlag = getCharFromURL( req, prefix + "reqSendFIProfileFlag" );
    reqSendHolidayFlag = getCharFromURL( req, prefix + "reqSendHolidayFlag" );

    repeatCounter = getLongFromURL( req, prefix + "reqServiceIDList_repeatCounter" );
    reqServiceIDList = new GsSrvc[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqServiceIDList[ i ] = new GsSrvc(getIfsSession());
      reqServiceIDList[ i ].populateFromURL( txn, req, prefix + "reqServiceIDList_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqServiceExtList_repeatCounter" );
    reqServiceExtList = new GsSrvc[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqServiceExtList[ i ] = new GsSrvc(getIfsSession());
      reqServiceExtList[ i ].populateFromURL( txn, req, prefix + "reqServiceExtList_" + i + "_" );
    }

    repeatCounter = getLongFromURL( req, prefix + "reqServiceRequestProfileList_repeatCounter" );
    reqServiceRequestProfileList = new GsSrvcRqst[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqServiceRequestProfileList[ i ] = new GsSrvcRqst(getIfsSession());
      reqServiceRequestProfileList[ i ].populateFromURL( txn, req, prefix + "reqServiceRequestProfileList_" + i + "_" );
    }
  }
}
