//**********************************************
//
// FILE NAME: GtGetInvestmentInformation.java
// TRANSACTION NAME: Get  Investment Information  Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Get  Investment Information  Transaction</B>
 * <P>IFS ID: <B>ginvinfo</B>
 * <P>
 * THis transaction is of primary use to applications that need the user's
 * entire investment statement. Typically these are personal financial
 * management programs running on the user's workstation. The Indicators
 * in the input message control the amount of data returned.
 * <BR>
 * <P><B>GET_INV_INFO_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>GET_INV_INFO_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>GET_INV_OMSG</B>
 */
public class GtGetInvestmentInformation extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtGetInvestmentInformation() { }
  public GtGetInvestmentInformation( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "ginvinfo_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String reqConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setReqConsumerID( String o ) { reqConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getReqConsumerID() { return (reqConsumerID); }

  /**
   * <P>The attribute <code>reqChangeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String reqChangeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setReqChangeableConsumerID( String o ) { reqChangeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqChangeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getReqChangeableConsumerID() { return (reqChangeableConsumerID); }

  /**
   * <P>The attribute <code>reqPermUserID</code> is an alias for the
   * standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String reqPermUserID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setReqPermUserID( String o ) { reqPermUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPermUserID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsCnsmrIdTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getReqPermUserID() { return (reqPermUserID); }

  /**
   * <P>The attribute <code>reqInvAllAcctsTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvInfoReqTg.InvAllAcctsTpClTg</code>.
   * <P>
   * 0 = Return only requested accounts. 1 = Return all investment
   * accounts
   */
  private int  reqInvAllAcctsTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvAllAcctsTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvInfoReqTg.InvAllAcctsTpClTg</code>.
   * <P>
   * 0 = Return only requested accounts. 1 = Return all investment
   * accounts
   */
  public  void setReqInvAllAcctsTpCl( int o ) { reqInvAllAcctsTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvAllAcctsTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvInfoReqTg.InvAllAcctsTpClTg</code>.
   * <P>
   * 0 = Return only requested accounts. 1 = Return all investment
   * accounts
   */
  public  int  getReqInvAllAcctsTpCl() { return (reqInvAllAcctsTpCl); }

  /**
   * <P>The attribute <code>reqInvInfReqStr</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvInfoReqTg.InvInfReqStrTg</code>.
   * <P>
   * Repeating structure containing 5 elements. Not present if Inv All
   * Account Ind = 0.
   * <BR>
   */
  private GsInvInfReqStr[] reqInvInfReqStr = null;

  /**
   * <P>Sets the value of the attribute <code>reqInvInfReqStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvInfoReqTg.InvInfReqStrTg</code>.
   * <P>
   * Repeating structure containing 5 elements. Not present if Inv All
   * Account Ind = 0.
   * <BR>
   */
  public  void             setReqInvInfReqStr(GsInvInfReqStr[] o )  { reqInvInfReqStr = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvInfReqStr</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvInfoReqTg.InvInfReqStrTg</code>.
   * <P>
   * Repeating structure containing 5 elements. Not present if Inv All
   * Account Ind = 0.
   * <BR>
   */
  public  GsInvInfReqStr[] getReqInvInfReqStr() { return (reqInvInfReqStr); }

  private String reqInvInfReqStr_packed = null;
  public  void   setReqInvInfReqStr_packed(String o ) { reqInvInfReqStr_packed = o; }
  public  String getReqInvInfReqStr_packed() { return (reqInvInfReqStr_packed); }


  /**
   * <P>The attribute <code>reqMaxNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TranRecsCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  private int  reqMaxNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  void setReqMaxNumberRecords( int o ) { reqMaxNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMaxNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.MaxNbrRecValTg</code>.
   * <P>
   * The maximum number of records, transactions, messages requested to be
   * retrieved.
   */
  public  int  getReqMaxNumberRecords() { return (reqMaxNumberRecords); }

  /**
   * <P>The attribute <code>reqLastNumberRecords</code> is an alias for the
   * standard message simple element
   * <code>TranRecsCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  private int  reqLastNumberRecords = 0;

  /**
   * <P>Sets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  void setReqLastNumberRecords( int o ) { reqLastNumberRecords = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLastNumberRecords</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.LstNbrRecValTg</code>.
   * <P>
   * A variable used in the cursoring function which controls which end of
   * the list of records is returned. If the value is non-zero then the
   * number of records specified is returned starting at the end of the
   * list, otherwise the first 'N' records are returned.
   */
  public  int  getReqLastNumberRecords() { return (reqLastNumberRecords); }

  /**
   * <P>The attribute <code>reqCursor</code> is an alias for the
   * standard message simple element
   * <code>TranRecsCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] reqCursor = null;

  /**
   * <P>Sets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setReqCursor( byte[] o ) { reqCursor = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCursor</code>,
   * which is an alias for the standard message simple element
   * <code>TranRecsCntlTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getReqCursor() { return (reqCursor); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespCodeTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>moreFlag</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  private String moreFlag = null;

  /**
   * <P>Sets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  void   setMoreFlag( String o ) { moreFlag = o; }

  /**
   * <P>Gets the value of the attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   * <P>
   * A code indicating the completeness of the contents of the message. A
   * value of 'N' indicates that all requested contents (for example,
   * transactions, messages, or records) are included in the Message. A
   * value of 'Y' indicates that there are more records, which matched the
   * requester's search criteria, than have been returned in the Message.
   */
  public  String getMoreFlag() { return (moreFlag); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>moreFlag</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.MoreFTg</code>.
   */
  public  String getMoreFlag_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMoreFResources", locale, getMoreFlag() );
  }

  /**
   * <P>The attribute <code>totalTransactionsMatched</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  private int  totalTransactionsMatched = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  void setTotalTransactionsMatched( int o ) { totalTransactionsMatched = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsMatched</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnMtchValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria specified by the requester.
   */
  public  int  getTotalTransactionsMatched() { return (totalTransactionsMatched); }

  /**
   * <P>The attribute <code>totalTransactionsSent</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  private int  totalTransactionsSent = 0;

  /**
   * <P>Sets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  void setTotalTransactionsSent( int o ) { totalTransactionsSent = o; }

  /**
   * <P>Gets the value of the attribute <code>totalTransactionsSent</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.TotTxnSndValTg</code>.
   * <P>
   * The number of transactions, records or messages which matched the
   * search criteria (if any) specified by the requester and which were
   * returned in this Message.
   */
  public  int  getTotalTransactionsSent() { return (totalTransactionsSent); }

  /**
   * <P>The attribute <code>cursor</code> is an alias for the
   * standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  private byte[] cursor = null;

  /**
   * <P>Sets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  void   setCursor( byte[] o ) { cursor = o; }

  /**
   * <P>Gets the value of the attribute <code>cursor</code>,
   * which is an alias for the standard message simple element
   * <code>TxnInfoTg.CrsrTg</code>.
   * <P>
   * A sequence of bytes used by applications which support cursoring when
   * selectively asking for more transactions than are returned in a
   * response. For example, transaction history and billers lists may
   * allow different 'views' of the data by using the cursor with other
   * transaction variables.
   */
  public  byte[] getCursor() { return (cursor); }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>investmentAccountValue</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  private GsInvAcctVal[] investmentAccountValue = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountValue</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  public  void           setInvestmentAccountValue(GsInvAcctVal[] o )  { investmentAccountValue = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountValue</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctValTg</code>.
   * <P>
   * Structure repeats for each 'period' of detail indicated by Inv
   * Account Value Date.
   * <BR>
   */
  public  GsInvAcctVal[] getInvestmentAccountValue() { return (investmentAccountValue); }

  /**
   * <P>The attribute <code>investmentAccountSummary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  private GsInvActSumm[] investmentAccountSummary = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  public  void           setInvestmentAccountSummary(GsInvActSumm[] o )  { investmentAccountSummary = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvActSummTg</code>.
   * <BR>
   */
  public  GsInvActSumm[] getInvestmentAccountSummary() { return (investmentAccountSummary); }

  /**
   * <P>The attribute <code>investmentIncomeSummary</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  private GsInvIncSumm[] investmentIncomeSummary = null;

  /**
   * <P>Sets the value of the attribute <code>investmentIncomeSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  public  void           setInvestmentIncomeSummary(GsInvIncSumm[] o )  { investmentIncomeSummary = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentIncomeSummary</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvIncSummTg</code>.
   * <P>
   * THis structure is repeated for each income type as defined by the
   * field 'Investment Income Type'.
   * <BR>
   */
  public  GsInvIncSumm[] getInvestmentIncomeSummary() { return (investmentIncomeSummary); }

  /**
   * <P>The attribute <code>investmentAccountDetailSecurity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  private GsInvAcctDtlSec[] investmentAccountDetailSecurity = null;

  /**
   * <P>Sets the value of the attribute <code>investmentAccountDetailSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  public  void              setInvestmentAccountDetailSecurity(GsInvAcctDtlSec[] o )  { investmentAccountDetailSecurity = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentAccountDetailSecurity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvAcctBasDtlTg.InvAcctDtlSecTg</code>.
   * <BR>
   */
  public  GsInvAcctDtlSec[] getInvestmentAccountDetailSecurity() { return (investmentAccountDetailSecurity); }

  /**
   * <P>The attribute <code>scrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String scrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>scrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setScrtySym( String o ) { scrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getScrtySym() { return (scrtySym); }

  /**
   * <P>The attribute <code>symSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String symSfx = null;

  /**
   * <P>Sets the value of the attribute <code>symSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setSymSfx( String o ) { symSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>symSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getSymSfx() { return (symSfx); }

  /**
   * <P>The attribute <code>secID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String secID = null;

  /**
   * <P>Sets the value of the attribute <code>secID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setSecID( String o ) { secID = o; }

  /**
   * <P>Gets the value of the attribute <code>secID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getSecID() { return (secID); }

  /**
   * <P>The attribute <code>scrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  scrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setScrtyIDSrc( int o ) { scrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getScrtyIDSrc() { return (scrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>mrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String mrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setMrktCode( String o ) { mrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode() { return (mrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMrktCode() );
  }

  /**
   * <P>The attribute <code>scrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal scrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setScrtyQty(GsDecimal o )  { scrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getScrtyQty() { return (scrtyQty); }

  /**
   * <P>The attribute <code>uPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  private GsCurrency uPri = null;

  /**
   * <P>Sets the value of the attribute <code>uPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  void       setUPri(GsCurrency o )  { uPri = o; }

  /**
   * <P>Gets the value of the attribute <code>uPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  GsCurrency getUPri() { return (uPri); }

  /**
   * <P>The attribute <code>feeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] feeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setFeeDtl(GsFeeDtl[] o )  { feeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDtl() { return (feeDtl); }

  /**
   * <P>The attribute <code>totCstOfTrn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.TotCstOfTrnTg</code>.
   * <P>
   * Total cost of transaction as calculated from fields in the
   * transaction.
   * <BR>
   */
  private GsCurrency totCstOfTrn = null;

  /**
   * <P>Sets the value of the attribute <code>totCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.TotCstOfTrnTg</code>.
   * <P>
   * Total cost of transaction as calculated from fields in the
   * transaction.
   * <BR>
   */
  public  void       setTotCstOfTrn(GsCurrency o )  { totCstOfTrn = o; }

  /**
   * <P>Gets the value of the attribute <code>totCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.TotCstOfTrnTg</code>.
   * <P>
   * Total cost of transaction as calculated from fields in the
   * transaction.
   * <BR>
   */
  public  GsCurrency getTotCstOfTrn() { return (totCstOfTrn); }

  /**
   * <P>The attribute <code>accrInt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.AccrIntTg</code>.
   * <P>
   * Accrued interest on a bond payable to the seller.
   * <BR>
   */
  private GsCurrency accrInt = null;

  /**
   * <P>Sets the value of the attribute <code>accrInt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.AccrIntTg</code>.
   * <P>
   * Accrued interest on a bond payable to the seller.
   * <BR>
   */
  public  void       setAccrInt(GsCurrency o )  { accrInt = o; }

  /**
   * <P>Gets the value of the attribute <code>accrInt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.AccrIntTg</code>.
   * <P>
   * Accrued interest on a bond payable to the seller.
   * <BR>
   */
  public  GsCurrency getAccrInt() { return (accrInt); }

  /**
   * <P>The attribute <code>debtSellRsn</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.DebtSellRsnTg</code>.
   */
  private int  debtSellRsn = 0;

  /**
   * <P>Sets the value of the attribute <code>debtSellRsn</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.DebtSellRsnTg</code>.
   */
  public  void setDebtSellRsn( int o ) { debtSellRsn = o; }

  /**
   * <P>Gets the value of the attribute <code>debtSellRsn</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.DebtSellRsnTg</code>.
   */
  public  int  getDebtSellRsn() { return (debtSellRsn); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>debtSellRsn</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.DebtSellRsnTg</code>.
   */
  public  String getDebtSellRsn_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsDebtSellRsnResources", locale,
                       String.valueOf( getDebtSellRsn() ) );
  }

  /**
   * <P>The attribute <code>sideCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  sideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setSideCl( int o ) { sideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getSideCl() { return (sideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsDEBTStrTg.SideClTg</code>.
   */
  public  String getSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSideCl() ) );
  }

  /**
   * <P>The attribute <code>invSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String invSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>invSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setInvSecIDTScrtySym( String o ) { invSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>invSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getInvSecIDTScrtySym() { return (invSecIDTScrtySym); }

  /**
   * <P>The attribute <code>invSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String invSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>invSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setInvSecIDTSymSfx( String o ) { invSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>invSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getInvSecIDTSymSfx() { return (invSecIDTSymSfx); }

  /**
   * <P>The attribute <code>invSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String invSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>invSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setInvSecIDTSecID( String o ) { invSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>invSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getInvSecIDTSecID() { return (invSecIDTSecID); }

  /**
   * <P>The attribute <code>invSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  invSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>invSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setInvSecIDTScrtyIDSrc( int o ) { invSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>invSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getInvSecIDTScrtyIDSrc() { return (invSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>invSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String invSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>invSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setInvSecIDTMrktCode( String o ) { invSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>invSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getInvSecIDTMrktCode() { return (invSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsMFUTStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsMFUTStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMFUTStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsMFUTStrTScrtyQty(GsDecimal o )  { ifsMFUTStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMFUTStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsMFUTStrTScrtyQty() { return (ifsMFUTStrTScrtyQty); }

  /**
   * <P>The attribute <code>ifsMFUTStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsMFUTStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMFUTStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsMFUTStrTUPri(GsCurrency o )  { ifsMFUTStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMFUTStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsMFUTStrTUPri() { return (ifsMFUTStrTUPri); }

  /**
   * <P>The attribute <code>ifsMFUTStrTFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] ifsMFUTStrTFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMFUTStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setIfsMFUTStrTFeeDtl(GsFeeDtl[] o )  { ifsMFUTStrTFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMFUTStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getIfsMFUTStrTFeeDtl() { return (ifsMFUTStrTFeeDtl); }

  /**
   * <P>The attribute <code>ifsMFUTStrTTotCstOfTrn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  private GsCurrency ifsMFUTStrTTotCstOfTrn = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMFUTStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  void       setIfsMFUTStrTTotCstOfTrn(GsCurrency o )  { ifsMFUTStrTTotCstOfTrn = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMFUTStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsMFUTStrTTotCstOfTrn() { return (ifsMFUTStrTTotCstOfTrn); }

  /**
   * <P>The attribute <code>avgCstBas</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.AvgCstBasTg</code>.
   * <P>
   * The average cost per unit of securities held or sold.
   * <BR>
   */
  private GsCurrency avgCstBas = null;

  /**
   * <P>Sets the value of the attribute <code>avgCstBas</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.AvgCstBasTg</code>.
   * <P>
   * The average cost per unit of securities held or sold.
   * <BR>
   */
  public  void       setAvgCstBas(GsCurrency o )  { avgCstBas = o; }

  /**
   * <P>Gets the value of the attribute <code>avgCstBas</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.AvgCstBasTg</code>.
   * <P>
   * The average cost per unit of securities held or sold.
   * <BR>
   */
  public  GsCurrency getAvgCstBas() { return (avgCstBas); }

  /**
   * <P>The attribute <code>invOrdID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TranRefNoTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String invOrdID = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TranRefNoTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setInvOrdID( String o ) { invOrdID = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.TranRefNoTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getInvOrdID() { return (invOrdID); }

  /**
   * <P>The attribute <code>ifsMFUTStrTSideCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.SideClTg</code>.
   */
  private int  ifsMFUTStrTSideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsMFUTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.SideClTg</code>.
   */
  public  void setIfsMFUTStrTSideCl( int o ) { ifsMFUTStrTSideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMFUTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.SideClTg</code>.
   */
  public  int  getIfsMFUTStrTSideCl() { return (ifsMFUTStrTSideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsMFUTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMFUTStrTg.SideClTg</code>.
   */
  public  String getIfsMFUTStrTSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getIfsMFUTStrTSideCl() ) );
  }

  /**
   * <P>The attribute <code>ifsOPTStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsOPTStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsOPTStrTInvSecIDTScrtySym( String o ) { ifsOPTStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTScrtySym() { return (ifsOPTStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsOPTStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsOPTStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsOPTStrTInvSecIDTSymSfx( String o ) { ifsOPTStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTSymSfx() { return (ifsOPTStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsOPTStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsOPTStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsOPTStrTInvSecIDTSecID( String o ) { ifsOPTStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTSecID() { return (ifsOPTStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsOPTStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsOPTStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsOPTStrTInvSecIDTScrtyIDSrc( int o ) { ifsOPTStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsOPTStrTInvSecIDTScrtyIDSrc() { return (ifsOPTStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOPTStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsOPTStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsOPTStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsOPTStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsOPTStrTInvSecIDTMrktCode( String o ) { ifsOPTStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTMrktCode() { return (ifsOPTStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOPTStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsOPTStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsOPTStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsOPTStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsOPTStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsOPTStrTScrtyQty(GsDecimal o )  { ifsOPTStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsOPTStrTScrtyQty() { return (ifsOPTStrTScrtyQty); }

  /**
   * <P>The attribute <code>expDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate expDt = null;

  /**
   * <P>Sets the value of the attribute <code>expDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setExpDt(GsDate o )  { expDt = o; }

  /**
   * <P>Gets the value of the attribute <code>expDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getExpDt() { return (expDt); }

  /**
   * <P>The attribute <code>ifsOPTStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsOPTStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsOPTStrTUPri(GsCurrency o )  { ifsOPTStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsOPTStrTUPri() { return (ifsOPTStrTUPri); }

  /**
   * <P>The attribute <code>ifsOPTStrTFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] ifsOPTStrTFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setIfsOPTStrTFeeDtl(GsFeeDtl[] o )  { ifsOPTStrTFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getIfsOPTStrTFeeDtl() { return (ifsOPTStrTFeeDtl); }

  /**
   * <P>The attribute <code>ifsOPTStrTTotCstOfTrn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  private GsCurrency ifsOPTStrTTotCstOfTrn = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  void       setIfsOPTStrTTotCstOfTrn(GsCurrency o )  { ifsOPTStrTTotCstOfTrn = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsOPTStrTTotCstOfTrn() { return (ifsOPTStrTTotCstOfTrn); }

  /**
   * <P>The attribute <code>putOrCall</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  private int  putOrCall = 0;

  /**
   * <P>Sets the value of the attribute <code>putOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  void setPutOrCall( int o ) { putOrCall = o; }

  /**
   * <P>Gets the value of the attribute <code>putOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  int  getPutOrCall() { return (putOrCall); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>putOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.PutOrCallTg</code>.
   */
  public  String getPutOrCall_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPutOrCallResources", locale,
                       String.valueOf( getPutOrCall() ) );
  }

  /**
   * <P>The attribute <code>optsShCont</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsShContTg</code>.
   * <P>
   * The number of shares of the underlying equity in an options contract.
   */
  private int  optsShCont = 0;

  /**
   * <P>Sets the value of the attribute <code>optsShCont</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsShContTg</code>.
   * <P>
   * The number of shares of the underlying equity in an options contract.
   */
  public  void setOptsShCont( int o ) { optsShCont = o; }

  /**
   * <P>Gets the value of the attribute <code>optsShCont</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsShContTg</code>.
   * <P>
   * The number of shares of the underlying equity in an options contract.
   */
  public  int  getOptsShCont() { return (optsShCont); }

  /**
   * <P>The attribute <code>trnRefTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TrnRefTpClTg</code>.
   */
  private int  trnRefTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>trnRefTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TrnRefTpClTg</code>.
   */
  public  void setTrnRefTpCl( int o ) { trnRefTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>trnRefTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TrnRefTpClTg</code>.
   */
  public  int  getTrnRefTpCl() { return (trnRefTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>trnRefTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.TrnRefTpClTg</code>.
   */
  public  String getTrnRefTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTrnRefTpClResources", locale,
                       String.valueOf( getTrnRefTpCl() ) );
  }

  /**
   * <P>The attribute <code>covUcov</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.CovUcovTg</code>.
   * <P>
   * Covered/Uncovered
   */
  private int  covUcov = 0;

  /**
   * <P>Sets the value of the attribute <code>covUcov</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.CovUcovTg</code>.
   * <P>
   * Covered/Uncovered
   */
  public  void setCovUcov( int o ) { covUcov = o; }

  /**
   * <P>Gets the value of the attribute <code>covUcov</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.CovUcovTg</code>.
   * <P>
   * Covered/Uncovered
   */
  public  int  getCovUcov() { return (covUcov); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>covUcov</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.CovUcovTg</code>.
   */
  public  String getCovUcov_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsCovUcovResources", locale,
                       String.valueOf( getCovUcov() ) );
  }

  /**
   * <P>The attribute <code>optTxnAct</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptTxnActTg</code>.
   */
  private int  optTxnAct = 0;

  /**
   * <P>Sets the value of the attribute <code>optTxnAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptTxnActTg</code>.
   */
  public  void setOptTxnAct( int o ) { optTxnAct = o; }

  /**
   * <P>Gets the value of the attribute <code>optTxnAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptTxnActTg</code>.
   */
  public  int  getOptTxnAct() { return (optTxnAct); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optTxnAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptTxnActTg</code>.
   */
  public  String getOptTxnAct_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOptTxnActResources", locale,
                       String.valueOf( getOptTxnAct() ) );
  }

  /**
   * <P>The attribute <code>optsContGn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsContGnTg</code>.
   * <P>
   * Used with Inv Txn ID = 6. The profit from exercising an options
   * contract.
   * <BR>
   */
  private GsCurrency optsContGn = null;

  /**
   * <P>Sets the value of the attribute <code>optsContGn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsContGnTg</code>.
   * <P>
   * Used with Inv Txn ID = 6. The profit from exercising an options
   * contract.
   * <BR>
   */
  public  void       setOptsContGn(GsCurrency o )  { optsContGn = o; }

  /**
   * <P>Gets the value of the attribute <code>optsContGn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.OptsContGnTg</code>.
   * <P>
   * Used with Inv Txn ID = 6. The profit from exercising an options
   * contract.
   * <BR>
   */
  public  GsCurrency getOptsContGn() { return (optsContGn); }

  /**
   * <P>The attribute <code>ifsOPTStrTSideCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.SideClTg</code>.
   */
  private int  ifsOPTStrTSideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsOPTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.SideClTg</code>.
   */
  public  void setIfsOPTStrTSideCl( int o ) { ifsOPTStrTSideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOPTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.SideClTg</code>.
   */
  public  int  getIfsOPTStrTSideCl() { return (ifsOPTStrTSideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOPTStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOPTStrTg.SideClTg</code>.
   */
  public  String getIfsOPTStrTSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getIfsOPTStrTSideCl() ) );
  }

  /**
   * <P>The attribute <code>ifsOTHStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsOTHStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsOTHStrTInvSecIDTScrtySym( String o ) { ifsOTHStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTScrtySym() { return (ifsOTHStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsOTHStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsOTHStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsOTHStrTInvSecIDTSymSfx( String o ) { ifsOTHStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTSymSfx() { return (ifsOTHStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsOTHStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsOTHStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsOTHStrTInvSecIDTSecID( String o ) { ifsOTHStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTSecID() { return (ifsOTHStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsOTHStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsOTHStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsOTHStrTInvSecIDTScrtyIDSrc( int o ) { ifsOTHStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsOTHStrTInvSecIDTScrtyIDSrc() { return (ifsOTHStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOTHStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsOTHStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsOTHStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsOTHStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsOTHStrTInvSecIDTMrktCode( String o ) { ifsOTHStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTMrktCode() { return (ifsOTHStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOTHStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsOTHStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsOTHStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsOTHStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsOTHStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsOTHStrTScrtyQty(GsDecimal o )  { ifsOTHStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsOTHStrTScrtyQty() { return (ifsOTHStrTScrtyQty); }

  /**
   * <P>The attribute <code>ifsOTHStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsOTHStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsOTHStrTUPri(GsCurrency o )  { ifsOTHStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsOTHStrTUPri() { return (ifsOTHStrTUPri); }

  /**
   * <P>The attribute <code>ifsOTHStrTFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] ifsOTHStrTFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setIfsOTHStrTFeeDtl(GsFeeDtl[] o )  { ifsOTHStrTFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getIfsOTHStrTFeeDtl() { return (ifsOTHStrTFeeDtl); }

  /**
   * <P>The attribute <code>ifsOTHStrTTotCstOfTrn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  private GsCurrency ifsOTHStrTTotCstOfTrn = null;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  void       setIfsOTHStrTTotCstOfTrn(GsCurrency o )  { ifsOTHStrTTotCstOfTrn = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsOTHStrTTotCstOfTrn() { return (ifsOTHStrTTotCstOfTrn); }

  /**
   * <P>The attribute <code>ifsOTHStrTSideCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.SideClTg</code>.
   */
  private int  ifsOTHStrTSideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsOTHStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.SideClTg</code>.
   */
  public  void setIfsOTHStrTSideCl( int o ) { ifsOTHStrTSideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsOTHStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.SideClTg</code>.
   */
  public  int  getIfsOTHStrTSideCl() { return (ifsOTHStrTSideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsOTHStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsOTHStrTg.SideClTg</code>.
   */
  public  String getIfsOTHStrTSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getIfsOTHStrTSideCl() ) );
  }

  /**
   * <P>The attribute <code>ifsSTKStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsSTKStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsSTKStrTInvSecIDTScrtySym( String o ) { ifsSTKStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTScrtySym() { return (ifsSTKStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsSTKStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsSTKStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsSTKStrTInvSecIDTSymSfx( String o ) { ifsSTKStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTSymSfx() { return (ifsSTKStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsSTKStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsSTKStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsSTKStrTInvSecIDTSecID( String o ) { ifsSTKStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTSecID() { return (ifsSTKStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsSTKStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsSTKStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsSTKStrTInvSecIDTScrtyIDSrc( int o ) { ifsSTKStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsSTKStrTInvSecIDTScrtyIDSrc() { return (ifsSTKStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsSTKStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsSTKStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsSTKStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsSTKStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsSTKStrTInvSecIDTMrktCode( String o ) { ifsSTKStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTMrktCode() { return (ifsSTKStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsSTKStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsSTKStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsSTKStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsSTKStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsSTKStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsSTKStrTScrtyQty(GsDecimal o )  { ifsSTKStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsSTKStrTScrtyQty() { return (ifsSTKStrTScrtyQty); }

  /**
   * <P>The attribute <code>ifsSTKStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsSTKStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsSTKStrTUPri(GsCurrency o )  { ifsSTKStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsSTKStrTUPri() { return (ifsSTKStrTUPri); }

  /**
   * <P>The attribute <code>ifsSTKStrTFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] ifsSTKStrTFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setIfsSTKStrTFeeDtl(GsFeeDtl[] o )  { ifsSTKStrTFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getIfsSTKStrTFeeDtl() { return (ifsSTKStrTFeeDtl); }

  /**
   * <P>The attribute <code>ifsSTKStrTTotCstOfTrn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  private GsCurrency ifsSTKStrTTotCstOfTrn = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  void       setIfsSTKStrTTotCstOfTrn(GsCurrency o )  { ifsSTKStrTTotCstOfTrn = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTTotCstOfTrn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.TotCstOfTrnTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsSTKStrTTotCstOfTrn() { return (ifsSTKStrTTotCstOfTrn); }

  /**
   * <P>The attribute <code>ifsSTKStrTSideCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.SideClTg</code>.
   */
  private int  ifsSTKStrTSideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsSTKStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.SideClTg</code>.
   */
  public  void setIfsSTKStrTSideCl( int o ) { ifsSTKStrTSideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSTKStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.SideClTg</code>.
   */
  public  int  getIfsSTKStrTSideCl() { return (ifsSTKStrTSideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsSTKStrTSideCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSTKStrTg.SideClTg</code>.
   */
  public  String getIfsSTKStrTSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getIfsSTKStrTSideCl() ) );
  }

  /**
   * <P>The attribute <code>ifsMARGStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsMARGStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMARGStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsMARGStrTInvSecIDTScrtySym( String o ) { ifsMARGStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMARGStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTScrtySym() { return (ifsMARGStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsMARGStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsMARGStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMARGStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsMARGStrTInvSecIDTSymSfx( String o ) { ifsMARGStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMARGStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTSymSfx() { return (ifsMARGStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsMARGStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsMARGStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMARGStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsMARGStrTInvSecIDTSecID( String o ) { ifsMARGStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMARGStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTSecID() { return (ifsMARGStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsMARGStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsMARGStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsMARGStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsMARGStrTInvSecIDTScrtyIDSrc( int o ) { ifsMARGStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMARGStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsMARGStrTInvSecIDTScrtyIDSrc() { return (ifsMARGStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsMARGStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsMARGStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsMARGStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsMARGStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMARGStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsMARGStrTInvSecIDTMrktCode( String o ) { ifsMARGStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMARGStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTMrktCode() { return (ifsMARGStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsMARGStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsMARGStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsMARGStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>invAcctMrgRt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvAcctMrgRtTg</code>.
   * <P>
   * Margin rate percent.
   * <BR>
   */
  private GsDecimal invAcctMrgRt = null;

  /**
   * <P>Sets the value of the attribute <code>invAcctMrgRt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvAcctMrgRtTg</code>.
   * <P>
   * Margin rate percent.
   * <BR>
   */
  public  void      setInvAcctMrgRt(GsDecimal o )  { invAcctMrgRt = o; }

  /**
   * <P>Gets the value of the attribute <code>invAcctMrgRt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.InvAcctMrgRtTg</code>.
   * <P>
   * Margin rate percent.
   * <BR>
   */
  public  GsDecimal getInvAcctMrgRt() { return (invAcctMrgRt); }

  /**
   * <P>The attribute <code>mrgIntAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.MrgIntAmtTg</code>.
   * <P>
   * Amount of margin interest.
   * <BR>
   */
  private GsCurrency mrgIntAmt = null;

  /**
   * <P>Sets the value of the attribute <code>mrgIntAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.MrgIntAmtTg</code>.
   * <P>
   * Amount of margin interest.
   * <BR>
   */
  public  void       setMrgIntAmt(GsCurrency o )  { mrgIntAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>mrgIntAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMARGStrTg.MrgIntAmtTg</code>.
   * <P>
   * Amount of margin interest.
   * <BR>
   */
  public  GsCurrency getMrgIntAmt() { return (mrgIntAmt); }

  /**
   * <P>The attribute <code>ifsSPLITStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsSPLITStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsSPLITStrTInvSecIDTScrtySym( String o ) { ifsSPLITStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTScrtySym() { return (ifsSPLITStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsSPLITStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsSPLITStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsSPLITStrTInvSecIDTSymSfx( String o ) { ifsSPLITStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTSymSfx() { return (ifsSPLITStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsSPLITStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsSPLITStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsSPLITStrTInvSecIDTSecID( String o ) { ifsSPLITStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTSecID() { return (ifsSPLITStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsSPLITStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsSPLITStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsSPLITStrTInvSecIDTScrtyIDSrc( int o ) { ifsSPLITStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsSPLITStrTInvSecIDTScrtyIDSrc() { return (ifsSPLITStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsSPLITStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsSPLITStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsSPLITStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsSPLITStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsSPLITStrTInvSecIDTMrktCode( String o ) { ifsSPLITStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTMrktCode() { return (ifsSPLITStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsSPLITStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsSPLITStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsSPLITStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsSPLITStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsSPLITStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsSPLITStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsSPLITStrTScrtyQty(GsDecimal o )  { ifsSPLITStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsSPLITStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsSPLITStrTScrtyQty() { return (ifsSPLITStrTScrtyQty); }

  /**
   * <P>The attribute <code>scrtyQOld</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQOldTg</code>.
   * <P>
   * The quantity held before the split.
   * <BR>
   */
  private GsDecimal scrtyQOld = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyQOld</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQOldTg</code>.
   * <P>
   * The quantity held before the split.
   * <BR>
   */
  public  void      setScrtyQOld(GsDecimal o )  { scrtyQOld = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyQOld</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.ScrtyQOldTg</code>.
   * <P>
   * The quantity held before the split.
   * <BR>
   */
  public  GsDecimal getScrtyQOld() { return (scrtyQOld); }

  /**
   * <P>The attribute <code>splNumer</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplNumerTg</code>.
   * <P>
   * The numerator of the fraction to calculate the split.
   */
  private int  splNumer = 0;

  /**
   * <P>Sets the value of the attribute <code>splNumer</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplNumerTg</code>.
   * <P>
   * The numerator of the fraction to calculate the split.
   */
  public  void setSplNumer( int o ) { splNumer = o; }

  /**
   * <P>Gets the value of the attribute <code>splNumer</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplNumerTg</code>.
   * <P>
   * The numerator of the fraction to calculate the split.
   */
  public  int  getSplNumer() { return (splNumer); }

  /**
   * <P>The attribute <code>splDenom</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplDenomTg</code>.
   * <P>
   * The denominator of the fraction to calculate the split.
   */
  private int  splDenom = 0;

  /**
   * <P>Sets the value of the attribute <code>splDenom</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplDenomTg</code>.
   * <P>
   * The denominator of the fraction to calculate the split.
   */
  public  void setSplDenom( int o ) { splDenom = o; }

  /**
   * <P>Gets the value of the attribute <code>splDenom</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplDenomTg</code>.
   * <P>
   * The denominator of the fraction to calculate the split.
   */
  public  int  getSplDenom() { return (splDenom); }

  /**
   * <P>The attribute <code>splAdj</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplAdjTg</code>.
   * <P>
   * The amount of money resulting from the sale of fractional shares
   * after a split.
   * <BR>
   */
  private GsCurrency splAdj = null;

  /**
   * <P>Sets the value of the attribute <code>splAdj</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplAdjTg</code>.
   * <P>
   * The amount of money resulting from the sale of fractional shares
   * after a split.
   * <BR>
   */
  public  void       setSplAdj(GsCurrency o )  { splAdj = o; }

  /**
   * <P>Gets the value of the attribute <code>splAdj</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsSPLITStrTg.SplAdjTg</code>.
   * <P>
   * The amount of money resulting from the sale of fractional shares
   * after a split.
   * <BR>
   */
  public  GsCurrency getSplAdj() { return (splAdj); }

  /**
   * <P>The attribute <code>ifsTFRStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsTFRStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsTFRStrTInvSecIDTScrtySym( String o ) { ifsTFRStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTScrtySym() { return (ifsTFRStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsTFRStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsTFRStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsTFRStrTInvSecIDTSymSfx( String o ) { ifsTFRStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTSymSfx() { return (ifsTFRStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsTFRStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsTFRStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsTFRStrTInvSecIDTSecID( String o ) { ifsTFRStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTSecID() { return (ifsTFRStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsTFRStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsTFRStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsTFRStrTInvSecIDTScrtyIDSrc( int o ) { ifsTFRStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsTFRStrTInvSecIDTScrtyIDSrc() { return (ifsTFRStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsTFRStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsTFRStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsTFRStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsTFRStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsTFRStrTInvSecIDTMrktCode( String o ) { ifsTFRStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTMrktCode() { return (ifsTFRStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsTFRStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsTFRStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsTFRStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>ifsTFRStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsTFRStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsTFRStrTScrtyQty(GsDecimal o )  { ifsTFRStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsTFRStrTScrtyQty() { return (ifsTFRStrTScrtyQty); }

  /**
   * <P>The attribute <code>invTfrAct</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvTfrActTg</code>.
   */
  private int  invTfrAct = 0;

  /**
   * <P>Sets the value of the attribute <code>invTfrAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvTfrActTg</code>.
   */
  public  void setInvTfrAct( int o ) { invTfrAct = o; }

  /**
   * <P>Gets the value of the attribute <code>invTfrAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvTfrActTg</code>.
   */
  public  int  getInvTfrAct() { return (invTfrAct); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invTfrAct</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvTfrActTg</code>.
   */
  public  String getInvTfrAct_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvTfrActResources", locale,
                       String.valueOf( getInvTfrAct() ) );
  }

  /**
   * <P>The attribute <code>invPosTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvPosTpClTg</code>.
   */
  private int  invPosTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>invPosTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvPosTpClTg</code>.
   */
  public  void setInvPosTpCl( int o ) { invPosTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>invPosTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvPosTpClTg</code>.
   */
  public  int  getInvPosTpCl() { return (invPosTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invPosTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.InvPosTpClTg</code>.
   */
  public  String getInvPosTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvPosTpClResources", locale,
                       String.valueOf( getInvPosTpCl() ) );
  }

  /**
   * <P>The attribute <code>ifsTFRStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsTFRStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsTFRStrTUPri(GsCurrency o )  { ifsTFRStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsTFRStrTUPri() { return (ifsTFRStrTUPri); }

  /**
   * <P>The attribute <code>ifsTFRStrTAvgCstBas</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.AvgCstBasTg</code>.
   * <BR>
   */
  private GsCurrency ifsTFRStrTAvgCstBas = null;

  /**
   * <P>Sets the value of the attribute <code>ifsTFRStrTAvgCstBas</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.AvgCstBasTg</code>.
   * <BR>
   */
  public  void       setIfsTFRStrTAvgCstBas(GsCurrency o )  { ifsTFRStrTAvgCstBas = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsTFRStrTAvgCstBas</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.AvgCstBasTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsTFRStrTAvgCstBas() { return (ifsTFRStrTAvgCstBas); }

  /**
   * <P>The attribute <code>purchDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.PurchDtTg</code>.
   * <P>
   * Date bought.
   * <BR>
   */
  private GsDate purchDt = null;

  /**
   * <P>Sets the value of the attribute <code>purchDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.PurchDtTg</code>.
   * <P>
   * Date bought.
   * <BR>
   */
  public  void   setPurchDt(GsDate o )  { purchDt = o; }

  /**
   * <P>Gets the value of the attribute <code>purchDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsTFRStrTg.PurchDtTg</code>.
   * <P>
   * Date bought.
   * <BR>
   */
  public  GsDate getPurchDt() { return (purchDt); }

  /**
   * <P>The attribute <code>ifsMISCStrTInvSecIDTScrtySym</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String ifsMISCStrTInvSecIDTScrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setIfsMISCStrTInvSecIDTScrtySym( String o ) { ifsMISCStrTInvSecIDTScrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTInvSecIDTScrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTScrtySym() { return (ifsMISCStrTInvSecIDTScrtySym); }

  /**
   * <P>The attribute <code>ifsMISCStrTInvSecIDTSymSfx</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String ifsMISCStrTInvSecIDTSymSfx = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setIfsMISCStrTInvSecIDTSymSfx( String o ) { ifsMISCStrTInvSecIDTSymSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTInvSecIDTSymSfx</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTSymSfx() { return (ifsMISCStrTInvSecIDTSymSfx); }

  /**
   * <P>The attribute <code>ifsMISCStrTInvSecIDTSecID</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SecIDTg</code>.
   */
  private String ifsMISCStrTInvSecIDTSecID = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setIfsMISCStrTInvSecIDTSecID( String o ) { ifsMISCStrTInvSecIDTSecID = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTInvSecIDTSecID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTSecID() { return (ifsMISCStrTInvSecIDTSecID); }

  /**
   * <P>The attribute <code>ifsMISCStrTInvSecIDTScrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  ifsMISCStrTInvSecIDTScrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setIfsMISCStrTInvSecIDTScrtyIDSrc( int o ) { ifsMISCStrTInvSecIDTScrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getIfsMISCStrTInvSecIDTScrtyIDSrc() { return (ifsMISCStrTInvSecIDTScrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsMISCStrTInvSecIDTScrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getIfsMISCStrTInvSecIDTScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>ifsMISCStrTInvSecIDTMrktCode</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String ifsMISCStrTInvSecIDTMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setIfsMISCStrTInvSecIDTMrktCode( String o ) { ifsMISCStrTInvSecIDTMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTMrktCode() { return (ifsMISCStrTInvSecIDTMrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ifsMISCStrTInvSecIDTMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getIfsMISCStrTInvSecIDTMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getIfsMISCStrTInvSecIDTMrktCode() );
  }

  /**
   * <P>The attribute <code>invTxnAmt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvTxnAmtTg</code>.
   * <P>
   * Used to hold one of: Total Income (7,12), Investment Expense (8),
   * Journaled Funds (9), Capital Returned (13), NB. Inv Transaction ID is
   * in parentheses.
   * <BR>
   */
  private GsCurrency invTxnAmt = null;

  /**
   * <P>Sets the value of the attribute <code>invTxnAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvTxnAmtTg</code>.
   * <P>
   * Used to hold one of: Total Income (7,12), Investment Expense (8),
   * Journaled Funds (9), Capital Returned (13), NB. Inv Transaction ID is
   * in parentheses.
   * <BR>
   */
  public  void       setInvTxnAmt(GsCurrency o )  { invTxnAmt = o; }

  /**
   * <P>Gets the value of the attribute <code>invTxnAmt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvTxnAmtTg</code>.
   * <P>
   * Used to hold one of: Total Income (7,12), Investment Expense (8),
   * Journaled Funds (9), Capital Returned (13), NB. Inv Transaction ID is
   * in parentheses.
   * <BR>
   */
  public  GsCurrency getInvTxnAmt() { return (invTxnAmt); }

  /**
   * <P>The attribute <code>incTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.IncTpClTg</code>.
   */
  private int  incTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.IncTpClTg</code>.
   */
  public  void setIncTpCl( int o ) { incTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.IncTpClTg</code>.
   */
  public  int  getIncTpCl() { return (incTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>incTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.IncTpClTg</code>.
   */
  public  String getIncTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsIncTpClResources", locale,
                       String.valueOf( getIncTpCl() ) );
  }

  /**
   * <P>The attribute <code>ifsMISCStrTScrtyQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  private GsDecimal ifsMISCStrTScrtyQty = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  void      setIfsMISCStrTScrtyQty(GsDecimal o )  { ifsMISCStrTScrtyQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTScrtyQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.ScrtyQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getIfsMISCStrTScrtyQty() { return (ifsMISCStrTScrtyQty); }

  /**
   * <P>The attribute <code>ifsMISCStrTUPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency ifsMISCStrTUPri = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.UPriTg</code>.
   * <BR>
   */
  public  void       setIfsMISCStrTUPri(GsCurrency o )  { ifsMISCStrTUPri = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTUPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getIfsMISCStrTUPri() { return (ifsMISCStrTUPri); }

  /**
   * <P>The attribute <code>ifsMISCStrTFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] ifsMISCStrTFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>ifsMISCStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setIfsMISCStrTFeeDtl(GsFeeDtl[] o )  { ifsMISCStrTFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>ifsMISCStrTFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getIfsMISCStrTFeeDtl() { return (ifsMISCStrTFeeDtl); }

  /**
   * <P>The attribute <code>taxEmpt</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxEmptTg</code>.
   */
  private int  taxEmpt = 0;

  /**
   * <P>Sets the value of the attribute <code>taxEmpt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxEmptTg</code>.
   */
  public  void setTaxEmpt( int o ) { taxEmpt = o; }

  /**
   * <P>Gets the value of the attribute <code>taxEmpt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxEmptTg</code>.
   */
  public  int  getTaxEmpt() { return (taxEmpt); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>taxEmpt</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxEmptTg</code>.
   */
  public  String getTaxEmpt_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTaxEmptResources", locale,
                       String.valueOf( getTaxEmpt() ) );
  }

  /**
   * <P>The attribute <code>taxWith</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxWithTg</code>.
   * <P>
   * Amount withheld for taxes.
   * <BR>
   */
  private GsCurrency taxWith = null;

  /**
   * <P>Sets the value of the attribute <code>taxWith</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxWithTg</code>.
   * <P>
   * Amount withheld for taxes.
   * <BR>
   */
  public  void       setTaxWith(GsCurrency o )  { taxWith = o; }

  /**
   * <P>Gets the value of the attribute <code>taxWith</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.TaxWithTg</code>.
   * <P>
   * Amount withheld for taxes.
   * <BR>
   */
  public  GsCurrency getTaxWith() { return (taxWith); }

  /**
   * <P>The attribute <code>invIncTpCl</code> is an alias for the
   * standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvIncTpClTg</code>.
   */
  private int  invIncTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>invIncTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvIncTpClTg</code>.
   */
  public  void setInvIncTpCl( int o ) { invIncTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>invIncTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvIncTpClTg</code>.
   */
  public  int  getInvIncTpCl() { return (invIncTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invIncTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>IfsInvTxnHistStrTg.IfsMISCStrTg.InvIncTpClTg</code>.
   */
  public  String getInvIncTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvIncTpClResources", locale,
                       String.valueOf( getInvIncTpCl() ) );
  }

  /**
   * <P>The attribute <code>tmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String tmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setTmstpVal( String o ) { tmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>tmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getTmstpVal() { return (tmstpVal); }

  /**
   * <P>The attribute <code>gmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  gmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setGmtOfstMinsVal( int o ) { gmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>gmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getGmtOfstMinsVal() { return (gmtOfstMinsVal); }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtGetInvestmentInformation );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqConsumerID != null && reqConsumerID.length() > 30 )
      addArgToGMJI( reqConsumerID.substring(0,30));
    else
      addArgToGMJI( reqConsumerID ); 

    if( reqChangeableConsumerID != null && reqChangeableConsumerID.length() > 30 )
      addArgToGMJI( reqChangeableConsumerID.substring(0,30));
    else
      addArgToGMJI( reqChangeableConsumerID ); 

    if( reqPermUserID != null && reqPermUserID.length() > 57 )
      addArgToGMJI( reqPermUserID.substring(0,57));
    else
      addArgToGMJI( reqPermUserID ); 
    addArgToGMJI( reqInvAllAcctsTpCl ); 
    if( reqInvInfReqStr != null )
    {
      reqInvInfReqStr_packed = GsInvInfReqStr.pack( reqInvInfReqStr );
      addArgToGMJI( reqInvInfReqStr_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqMaxNumberRecords ); 
    addArgToGMJI( reqLastNumberRecords ); 
    addArgToGMJI( reqCursor ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    moreFlag = txn.getNextCharFromGMJO( 1, "moreFlag" );
    totalTransactionsMatched = txn.getNextLongFromGMJO( "totalTransactionsMatched" );
    totalTransactionsSent = txn.getNextLongFromGMJO( "totalTransactionsSent" );
    cursor = txn.getNextBinaryItemFromGMJO( "cursor" );
    accountID = new GsAccount( txn, "accountID" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountValue = new GsInvAcctVal[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountValue[ i ] = new GsInvAcctVal( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountSummary = new GsInvActSumm[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountSummary[ i ] = new GsInvActSumm( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentIncomeSummary = new GsInvIncSumm[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentIncomeSummary[ i ] = new GsInvIncSumm( txn );
    }

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    investmentAccountDetailSecurity = new GsInvAcctDtlSec[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      investmentAccountDetailSecurity[ i ] = new GsInvAcctDtlSec( txn );
    }
    scrtySym = txn.getNextCharFromGMJO( 12, "scrtySym" );
    symSfx = txn.getNextCharFromGMJO( 6, "symSfx" );
    secID = txn.getNextCharFromGMJO( 12, "secID" );
    scrtyIDSrc = txn.getNextLongFromGMJO( "scrtyIDSrc" );
    mrktCode = txn.getNextCharFromGMJO( 3, "mrktCode" );
    scrtyQty = new GsDecimal( txn, "scrtyQty" );
    uPri = new GsCurrency( txn, "uPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDtl[ i ] = new GsFeeDtl( txn );
    }
    totCstOfTrn = new GsCurrency( txn, "totCstOfTrn" );
    accrInt = new GsCurrency( txn, "accrInt" );
    debtSellRsn = txn.getNextLongFromGMJO( "debtSellRsn" );
    sideCl = txn.getNextLongFromGMJO( "sideCl" );
    invSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "invSecIDTScrtySym" );
    invSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "invSecIDTSymSfx" );
    invSecIDTSecID = txn.getNextCharFromGMJO( 12, "invSecIDTSecID" );
    invSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "invSecIDTScrtyIDSrc" );
    invSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "invSecIDTMrktCode" );
    ifsMFUTStrTScrtyQty = new GsDecimal( txn, "ifsMFUTStrTScrtyQty" );
    ifsMFUTStrTUPri = new GsCurrency( txn, "ifsMFUTStrTUPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsMFUTStrTFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsMFUTStrTFeeDtl[ i ] = new GsFeeDtl( txn );
    }
    ifsMFUTStrTTotCstOfTrn = new GsCurrency( txn, "ifsMFUTStrTTotCstOfTrn" );
    avgCstBas = new GsCurrency( txn, "avgCstBas" );
    invOrdID = txn.getNextCharFromGMJO( 16, "invOrdID" );
    ifsMFUTStrTSideCl = txn.getNextLongFromGMJO( "ifsMFUTStrTSideCl" );
    ifsOPTStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsOPTStrTInvSecIDTScrtySym" );
    ifsOPTStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsOPTStrTInvSecIDTSymSfx" );
    ifsOPTStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsOPTStrTInvSecIDTSecID" );
    ifsOPTStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsOPTStrTInvSecIDTScrtyIDSrc" );
    ifsOPTStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsOPTStrTInvSecIDTMrktCode" );
    ifsOPTStrTScrtyQty = new GsDecimal( txn, "ifsOPTStrTScrtyQty" );
    expDt = new GsDate( txn, "expDt" );
    ifsOPTStrTUPri = new GsCurrency( txn, "ifsOPTStrTUPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsOPTStrTFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsOPTStrTFeeDtl[ i ] = new GsFeeDtl( txn );
    }
    ifsOPTStrTTotCstOfTrn = new GsCurrency( txn, "ifsOPTStrTTotCstOfTrn" );
    putOrCall = txn.getNextLongFromGMJO( "putOrCall" );
    optsShCont = txn.getNextLongFromGMJO( "optsShCont" );
    trnRefTpCl = txn.getNextLongFromGMJO( "trnRefTpCl" );
    covUcov = txn.getNextLongFromGMJO( "covUcov" );
    optTxnAct = txn.getNextLongFromGMJO( "optTxnAct" );
    optsContGn = new GsCurrency( txn, "optsContGn" );
    ifsOPTStrTSideCl = txn.getNextLongFromGMJO( "ifsOPTStrTSideCl" );
    ifsOTHStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsOTHStrTInvSecIDTScrtySym" );
    ifsOTHStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsOTHStrTInvSecIDTSymSfx" );
    ifsOTHStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsOTHStrTInvSecIDTSecID" );
    ifsOTHStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsOTHStrTInvSecIDTScrtyIDSrc" );
    ifsOTHStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsOTHStrTInvSecIDTMrktCode" );
    ifsOTHStrTScrtyQty = new GsDecimal( txn, "ifsOTHStrTScrtyQty" );
    ifsOTHStrTUPri = new GsCurrency( txn, "ifsOTHStrTUPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsOTHStrTFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsOTHStrTFeeDtl[ i ] = new GsFeeDtl( txn );
    }
    ifsOTHStrTTotCstOfTrn = new GsCurrency( txn, "ifsOTHStrTTotCstOfTrn" );
    ifsOTHStrTSideCl = txn.getNextLongFromGMJO( "ifsOTHStrTSideCl" );
    ifsSTKStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsSTKStrTInvSecIDTScrtySym" );
    ifsSTKStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsSTKStrTInvSecIDTSymSfx" );
    ifsSTKStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsSTKStrTInvSecIDTSecID" );
    ifsSTKStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsSTKStrTInvSecIDTScrtyIDSrc" );
    ifsSTKStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsSTKStrTInvSecIDTMrktCode" );
    ifsSTKStrTScrtyQty = new GsDecimal( txn, "ifsSTKStrTScrtyQty" );
    ifsSTKStrTUPri = new GsCurrency( txn, "ifsSTKStrTUPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsSTKStrTFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsSTKStrTFeeDtl[ i ] = new GsFeeDtl( txn );
    }
    ifsSTKStrTTotCstOfTrn = new GsCurrency( txn, "ifsSTKStrTTotCstOfTrn" );
    ifsSTKStrTSideCl = txn.getNextLongFromGMJO( "ifsSTKStrTSideCl" );
    ifsMARGStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsMARGStrTInvSecIDTScrtySym" );
    ifsMARGStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsMARGStrTInvSecIDTSymSfx" );
    ifsMARGStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsMARGStrTInvSecIDTSecID" );
    ifsMARGStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsMARGStrTInvSecIDTScrtyIDSrc" );
    ifsMARGStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsMARGStrTInvSecIDTMrktCode" );
    invAcctMrgRt = new GsDecimal( txn, "invAcctMrgRt" );
    mrgIntAmt = new GsCurrency( txn, "mrgIntAmt" );
    ifsSPLITStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsSPLITStrTInvSecIDTScrtySym" );
    ifsSPLITStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsSPLITStrTInvSecIDTSymSfx" );
    ifsSPLITStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsSPLITStrTInvSecIDTSecID" );
    ifsSPLITStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsSPLITStrTInvSecIDTScrtyIDSrc" );
    ifsSPLITStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsSPLITStrTInvSecIDTMrktCode" );
    ifsSPLITStrTScrtyQty = new GsDecimal( txn, "ifsSPLITStrTScrtyQty" );
    scrtyQOld = new GsDecimal( txn, "scrtyQOld" );
    splNumer = txn.getNextLongFromGMJO( "splNumer" );
    splDenom = txn.getNextLongFromGMJO( "splDenom" );
    splAdj = new GsCurrency( txn, "splAdj" );
    ifsTFRStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsTFRStrTInvSecIDTScrtySym" );
    ifsTFRStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsTFRStrTInvSecIDTSymSfx" );
    ifsTFRStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsTFRStrTInvSecIDTSecID" );
    ifsTFRStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsTFRStrTInvSecIDTScrtyIDSrc" );
    ifsTFRStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsTFRStrTInvSecIDTMrktCode" );
    ifsTFRStrTScrtyQty = new GsDecimal( txn, "ifsTFRStrTScrtyQty" );
    invTfrAct = txn.getNextLongFromGMJO( "invTfrAct" );
    invPosTpCl = txn.getNextLongFromGMJO( "invPosTpCl" );
    ifsTFRStrTUPri = new GsCurrency( txn, "ifsTFRStrTUPri" );
    ifsTFRStrTAvgCstBas = new GsCurrency( txn, "ifsTFRStrTAvgCstBas" );
    purchDt = new GsDate( txn, "purchDt" );
    ifsMISCStrTInvSecIDTScrtySym = txn.getNextCharFromGMJO( 12, "ifsMISCStrTInvSecIDTScrtySym" );
    ifsMISCStrTInvSecIDTSymSfx = txn.getNextCharFromGMJO( 6, "ifsMISCStrTInvSecIDTSymSfx" );
    ifsMISCStrTInvSecIDTSecID = txn.getNextCharFromGMJO( 12, "ifsMISCStrTInvSecIDTSecID" );
    ifsMISCStrTInvSecIDTScrtyIDSrc = txn.getNextLongFromGMJO( "ifsMISCStrTInvSecIDTScrtyIDSrc" );
    ifsMISCStrTInvSecIDTMrktCode = txn.getNextCharFromGMJO( 3, "ifsMISCStrTInvSecIDTMrktCode" );
    invTxnAmt = new GsCurrency( txn, "invTxnAmt" );
    incTpCl = txn.getNextLongFromGMJO( "incTpCl" );
    ifsMISCStrTScrtyQty = new GsDecimal( txn, "ifsMISCStrTScrtyQty" );
    ifsMISCStrTUPri = new GsCurrency( txn, "ifsMISCStrTUPri" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    ifsMISCStrTFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      ifsMISCStrTFeeDtl[ i ] = new GsFeeDtl( txn );
    }
    taxEmpt = txn.getNextLongFromGMJO( "taxEmpt" );
    taxWith = new GsCurrency( txn, "taxWith" );
    invIncTpCl = txn.getNextLongFromGMJO( "invIncTpCl" );
    tmstpVal = txn.getNextCharFromGMJO( 26, "tmstpVal" );
    gmtOfstMinsVal = txn.getNextLongFromGMJO( "gmtOfstMinsVal" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqConsumerID = " + getReqConsumerID() );
    pageWriter.println( prefix + "reqChangeableConsumerID = " + getReqChangeableConsumerID() );
    pageWriter.println( prefix + "reqPermUserID = " + getReqPermUserID() );
    pageWriter.println( prefix + "reqInvAllAcctsTpCl = " + getReqInvAllAcctsTpCl() );

    pageWriter.println( prefix + "reqInvInfReqStr =" );
    if( reqInvInfReqStr == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqInvInfReqStr.length; j++ )
      {
        pageWriter.println( prefix + "reqInvInfReqStr[" + j + "] =" );
        if( reqInvInfReqStr[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqInvInfReqStr[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqInvInfReqStr_packed = " + getReqInvInfReqStr_packed() );
    pageWriter.println( prefix + "reqMaxNumberRecords = " + getReqMaxNumberRecords() );
    pageWriter.println( prefix + "reqLastNumberRecords = " + getReqLastNumberRecords() );
    pageWriter.println( prefix + "reqCursor = " + getReqCursor() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "moreFlag = " + getMoreFlag() );
    try {
      pageWriter.println( prefix + "moreFlag_text = " + getMoreFlag_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "moreFlag_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "totalTransactionsMatched = " + getTotalTransactionsMatched() );
    pageWriter.println( prefix + "totalTransactionsSent = " + getTotalTransactionsSent() );
    pageWriter.println( prefix + "cursor = " + getCursor() );

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountValue =" );
    if( investmentAccountValue == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountValue.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountValue[" + j + "] =" );
        if( investmentAccountValue[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountValue[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountSummary =" );
    if( investmentAccountSummary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountSummary.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountSummary[" + j + "] =" );
        if( investmentAccountSummary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountSummary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentIncomeSummary =" );
    if( investmentIncomeSummary == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentIncomeSummary.length; j++ )
      {
        pageWriter.println( prefix + "investmentIncomeSummary[" + j + "] =" );
        if( investmentIncomeSummary[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentIncomeSummary[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "investmentAccountDetailSecurity =" );
    if( investmentAccountDetailSecurity == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < investmentAccountDetailSecurity.length; j++ )
      {
        pageWriter.println( prefix + "investmentAccountDetailSecurity[" + j + "] =" );
        if( investmentAccountDetailSecurity[ j ] == null )
          pageWriter.println( " (null)" );
        else
          investmentAccountDetailSecurity[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "scrtySym = " + getScrtySym() );
    pageWriter.println( prefix + "symSfx = " + getSymSfx() );
    pageWriter.println( prefix + "secID = " + getSecID() );
    pageWriter.println( prefix + "scrtyIDSrc = " + getScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "scrtyIDSrc_text = " + getScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "scrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mrktCode = " + getMrktCode() );
    try {
      pageWriter.println( prefix + "mrktCode_text = " + getMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "scrtyQty =" );
    if( scrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      scrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "uPri =" );
    if( uPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      uPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "feeDtl =" );
    if( feeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDtl.length; j++ )
      {
        pageWriter.println( prefix + "feeDtl[" + j + "] =" );
        if( feeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "totCstOfTrn =" );
    if( totCstOfTrn == null ) {
      pageWriter.println( " (null)" );
    } else {
      totCstOfTrn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "accrInt =" );
    if( accrInt == null ) {
      pageWriter.println( " (null)" );
    } else {
      accrInt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "debtSellRsn = " + getDebtSellRsn() );
    try {
      pageWriter.println( prefix + "debtSellRsn_text = " + getDebtSellRsn_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "debtSellRsn_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "sideCl = " + getSideCl() );
    try {
      pageWriter.println( prefix + "sideCl_text = " + getSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "sideCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "invSecIDTScrtySym = " + getInvSecIDTScrtySym() );
    pageWriter.println( prefix + "invSecIDTSymSfx = " + getInvSecIDTSymSfx() );
    pageWriter.println( prefix + "invSecIDTSecID = " + getInvSecIDTSecID() );
    pageWriter.println( prefix + "invSecIDTScrtyIDSrc = " + getInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "invSecIDTScrtyIDSrc_text = " + getInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "invSecIDTMrktCode = " + getInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "invSecIDTMrktCode_text = " + getInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsMFUTStrTScrtyQty =" );
    if( ifsMFUTStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsMFUTStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsMFUTStrTUPri =" );
    if( ifsMFUTStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsMFUTStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsMFUTStrTFeeDtl =" );
    if( ifsMFUTStrTFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsMFUTStrTFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsMFUTStrTFeeDtl[" + j + "] =" );
        if( ifsMFUTStrTFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsMFUTStrTFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsMFUTStrTTotCstOfTrn =" );
    if( ifsMFUTStrTTotCstOfTrn == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsMFUTStrTTotCstOfTrn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "avgCstBas =" );
    if( avgCstBas == null ) {
      pageWriter.println( " (null)" );
    } else {
      avgCstBas.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "invOrdID = " + getInvOrdID() );
    pageWriter.println( prefix + "ifsMFUTStrTSideCl = " + getIfsMFUTStrTSideCl() );
    try {
      pageWriter.println( prefix + "ifsMFUTStrTSideCl_text = " + getIfsMFUTStrTSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsMFUTStrTSideCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsOPTStrTInvSecIDTScrtySym = " + getIfsOPTStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsOPTStrTInvSecIDTSymSfx = " + getIfsOPTStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsOPTStrTInvSecIDTSecID = " + getIfsOPTStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsOPTStrTInvSecIDTScrtyIDSrc = " + getIfsOPTStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsOPTStrTInvSecIDTScrtyIDSrc_text = " + getIfsOPTStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOPTStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsOPTStrTInvSecIDTMrktCode = " + getIfsOPTStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsOPTStrTInvSecIDTMrktCode_text = " + getIfsOPTStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOPTStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsOPTStrTScrtyQty =" );
    if( ifsOPTStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOPTStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "expDt =" );
    if( expDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      expDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOPTStrTUPri =" );
    if( ifsOPTStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOPTStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOPTStrTFeeDtl =" );
    if( ifsOPTStrTFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsOPTStrTFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsOPTStrTFeeDtl[" + j + "] =" );
        if( ifsOPTStrTFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsOPTStrTFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOPTStrTTotCstOfTrn =" );
    if( ifsOPTStrTTotCstOfTrn == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOPTStrTTotCstOfTrn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "putOrCall = " + getPutOrCall() );
    try {
      pageWriter.println( prefix + "putOrCall_text = " + getPutOrCall_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "putOrCall_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optsShCont = " + getOptsShCont() );
    pageWriter.println( prefix + "trnRefTpCl = " + getTrnRefTpCl() );
    try {
      pageWriter.println( prefix + "trnRefTpCl_text = " + getTrnRefTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "trnRefTpCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "covUcov = " + getCovUcov() );
    try {
      pageWriter.println( prefix + "covUcov_text = " + getCovUcov_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "covUcov_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optTxnAct = " + getOptTxnAct() );
    try {
      pageWriter.println( prefix + "optTxnAct_text = " + getOptTxnAct_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optTxnAct_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optsContGn =" );
    if( optsContGn == null ) {
      pageWriter.println( " (null)" );
    } else {
      optsContGn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsOPTStrTSideCl = " + getIfsOPTStrTSideCl() );
    try {
      pageWriter.println( prefix + "ifsOPTStrTSideCl_text = " + getIfsOPTStrTSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOPTStrTSideCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsOTHStrTInvSecIDTScrtySym = " + getIfsOTHStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsOTHStrTInvSecIDTSymSfx = " + getIfsOTHStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsOTHStrTInvSecIDTSecID = " + getIfsOTHStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsOTHStrTInvSecIDTScrtyIDSrc = " + getIfsOTHStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsOTHStrTInvSecIDTScrtyIDSrc_text = " + getIfsOTHStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOTHStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsOTHStrTInvSecIDTMrktCode = " + getIfsOTHStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsOTHStrTInvSecIDTMrktCode_text = " + getIfsOTHStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOTHStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsOTHStrTScrtyQty =" );
    if( ifsOTHStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOTHStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOTHStrTUPri =" );
    if( ifsOTHStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOTHStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOTHStrTFeeDtl =" );
    if( ifsOTHStrTFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsOTHStrTFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsOTHStrTFeeDtl[" + j + "] =" );
        if( ifsOTHStrTFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsOTHStrTFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsOTHStrTTotCstOfTrn =" );
    if( ifsOTHStrTTotCstOfTrn == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsOTHStrTTotCstOfTrn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsOTHStrTSideCl = " + getIfsOTHStrTSideCl() );
    try {
      pageWriter.println( prefix + "ifsOTHStrTSideCl_text = " + getIfsOTHStrTSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsOTHStrTSideCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsSTKStrTInvSecIDTScrtySym = " + getIfsSTKStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsSTKStrTInvSecIDTSymSfx = " + getIfsSTKStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsSTKStrTInvSecIDTSecID = " + getIfsSTKStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsSTKStrTInvSecIDTScrtyIDSrc = " + getIfsSTKStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsSTKStrTInvSecIDTScrtyIDSrc_text = " + getIfsSTKStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsSTKStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsSTKStrTInvSecIDTMrktCode = " + getIfsSTKStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsSTKStrTInvSecIDTMrktCode_text = " + getIfsSTKStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsSTKStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsSTKStrTScrtyQty =" );
    if( ifsSTKStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsSTKStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsSTKStrTUPri =" );
    if( ifsSTKStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsSTKStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsSTKStrTFeeDtl =" );
    if( ifsSTKStrTFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsSTKStrTFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsSTKStrTFeeDtl[" + j + "] =" );
        if( ifsSTKStrTFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsSTKStrTFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsSTKStrTTotCstOfTrn =" );
    if( ifsSTKStrTTotCstOfTrn == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsSTKStrTTotCstOfTrn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsSTKStrTSideCl = " + getIfsSTKStrTSideCl() );
    try {
      pageWriter.println( prefix + "ifsSTKStrTSideCl_text = " + getIfsSTKStrTSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsSTKStrTSideCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsMARGStrTInvSecIDTScrtySym = " + getIfsMARGStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsMARGStrTInvSecIDTSymSfx = " + getIfsMARGStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsMARGStrTInvSecIDTSecID = " + getIfsMARGStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsMARGStrTInvSecIDTScrtyIDSrc = " + getIfsMARGStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsMARGStrTInvSecIDTScrtyIDSrc_text = " + getIfsMARGStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsMARGStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsMARGStrTInvSecIDTMrktCode = " + getIfsMARGStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsMARGStrTInvSecIDTMrktCode_text = " + getIfsMARGStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsMARGStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "invAcctMrgRt =" );
    if( invAcctMrgRt == null ) {
      pageWriter.println( " (null)" );
    } else {
      invAcctMrgRt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "mrgIntAmt =" );
    if( mrgIntAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      mrgIntAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTScrtySym = " + getIfsSPLITStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTSymSfx = " + getIfsSPLITStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTSecID = " + getIfsSPLITStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTScrtyIDSrc = " + getIfsSPLITStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTScrtyIDSrc_text = " + getIfsSPLITStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTMrktCode = " + getIfsSPLITStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTMrktCode_text = " + getIfsSPLITStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsSPLITStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsSPLITStrTScrtyQty =" );
    if( ifsSPLITStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsSPLITStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "scrtyQOld =" );
    if( scrtyQOld == null ) {
      pageWriter.println( " (null)" );
    } else {
      scrtyQOld.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "splNumer = " + getSplNumer() );
    pageWriter.println( prefix + "splDenom = " + getSplDenom() );

    pageWriter.println( prefix + "splAdj =" );
    if( splAdj == null ) {
      pageWriter.println( " (null)" );
    } else {
      splAdj.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsTFRStrTInvSecIDTScrtySym = " + getIfsTFRStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsTFRStrTInvSecIDTSymSfx = " + getIfsTFRStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsTFRStrTInvSecIDTSecID = " + getIfsTFRStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsTFRStrTInvSecIDTScrtyIDSrc = " + getIfsTFRStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsTFRStrTInvSecIDTScrtyIDSrc_text = " + getIfsTFRStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsTFRStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsTFRStrTInvSecIDTMrktCode = " + getIfsTFRStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsTFRStrTInvSecIDTMrktCode_text = " + getIfsTFRStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsTFRStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsTFRStrTScrtyQty =" );
    if( ifsTFRStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsTFRStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "invTfrAct = " + getInvTfrAct() );
    try {
      pageWriter.println( prefix + "invTfrAct_text = " + getInvTfrAct_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invTfrAct_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "invPosTpCl = " + getInvPosTpCl() );
    try {
      pageWriter.println( prefix + "invPosTpCl_text = " + getInvPosTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invPosTpCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsTFRStrTUPri =" );
    if( ifsTFRStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsTFRStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsTFRStrTAvgCstBas =" );
    if( ifsTFRStrTAvgCstBas == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsTFRStrTAvgCstBas.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "purchDt =" );
    if( purchDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      purchDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "ifsMISCStrTInvSecIDTScrtySym = " + getIfsMISCStrTInvSecIDTScrtySym() );
    pageWriter.println( prefix + "ifsMISCStrTInvSecIDTSymSfx = " + getIfsMISCStrTInvSecIDTSymSfx() );
    pageWriter.println( prefix + "ifsMISCStrTInvSecIDTSecID = " + getIfsMISCStrTInvSecIDTSecID() );
    pageWriter.println( prefix + "ifsMISCStrTInvSecIDTScrtyIDSrc = " + getIfsMISCStrTInvSecIDTScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "ifsMISCStrTInvSecIDTScrtyIDSrc_text = " + getIfsMISCStrTInvSecIDTScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsMISCStrTInvSecIDTScrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ifsMISCStrTInvSecIDTMrktCode = " + getIfsMISCStrTInvSecIDTMrktCode() );
    try {
      pageWriter.println( prefix + "ifsMISCStrTInvSecIDTMrktCode_text = " + getIfsMISCStrTInvSecIDTMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ifsMISCStrTInvSecIDTMrktCode_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "invTxnAmt =" );
    if( invTxnAmt == null ) {
      pageWriter.println( " (null)" );
    } else {
      invTxnAmt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "incTpCl = " + getIncTpCl() );
    try {
      pageWriter.println( prefix + "incTpCl_text = " + getIncTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "incTpCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ifsMISCStrTScrtyQty =" );
    if( ifsMISCStrTScrtyQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsMISCStrTScrtyQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsMISCStrTUPri =" );
    if( ifsMISCStrTUPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      ifsMISCStrTUPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "ifsMISCStrTFeeDtl =" );
    if( ifsMISCStrTFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < ifsMISCStrTFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "ifsMISCStrTFeeDtl[" + j + "] =" );
        if( ifsMISCStrTFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          ifsMISCStrTFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "taxEmpt = " + getTaxEmpt() );
    try {
      pageWriter.println( prefix + "taxEmpt_text = " + getTaxEmpt_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "taxEmpt_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "taxWith =" );
    if( taxWith == null ) {
      pageWriter.println( " (null)" );
    } else {
      taxWith.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "invIncTpCl = " + getInvIncTpCl() );
    try {
      pageWriter.println( prefix + "invIncTpCl_text = " + getInvIncTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invIncTpCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "tmstpVal = " + getTmstpVal() );
    pageWriter.println( prefix + "gmtOfstMinsVal = " + getGmtOfstMinsVal() );
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqConsumerID = getCharFromURL( req, prefix + "reqConsumerID" );
    reqChangeableConsumerID = getCharFromURL( req, prefix + "reqChangeableConsumerID" );
    reqPermUserID = getCharFromURL( req, prefix + "reqPermUserID" );
    reqInvAllAcctsTpCl = getLongFromURL( req, prefix + "reqInvAllAcctsTpCl" );

    repeatCounter = getLongFromURL( req, prefix + "reqInvInfReqStr_repeatCounter" );
    reqInvInfReqStr = new GsInvInfReqStr[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqInvInfReqStr[ i ] = new GsInvInfReqStr(getIfsSession());
      reqInvInfReqStr[ i ].populateFromURL( txn, req, prefix + "reqInvInfReqStr_" + i + "_" );
    }
    reqMaxNumberRecords = getLongFromURL( req, prefix + "reqMaxNumberRecords" );
    reqLastNumberRecords = getLongFromURL( req, prefix + "reqLastNumberRecords" );
    reqCursor = getBinaryFromURL( req, prefix + "reqCursor" );
  }
}
