//**********************************************
//
// FILE NAME: GtInvestmentOrderCancelChange.java
// TRANSACTION NAME: Investment Order Cancel/Change Transaction
//
// COPYRIGHT:
//
//   Licensed Materials - Property of IBM
//   5648-A06
//   (C) Copyright IBM Corp. 1996, 2000 All Rights Reserved
//    US Government Users Restricted Rights - Use, duplication
//    or disclosure restricted by GSA ADP Schedule Contract
//    with IBM
//
//
//*********************************************
//
// DO NOT EDIT/DELETE THIS FILE
//
// THIS FILE IS GENERATED BY A CODE EMITTER FROM A SOURCE REPOSITORY:
//
//*********************************************
//
// Emitter Name       : IFS CWS Java Class Emitter
// Emitter Build      : 000922.1
//
// Date Generated     : Mon Mar 05 17:30:53 EST 2001
//
//
// MRM Repository     : Mrm Repository......
// MRM Repository DB  : SMD0015
// MRM Project        : SMD/GOLD 2000 R01 M05
// MRM Project Level  : 1
// MRM API Release    : 2.00.0013
// MRM API Description: Message Repository Back End APIs for ODBC
// MRM User           : 
//
//*********************************************

package com.ibm.ifs.gold.auto;

import java.io.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import com.ibm.ifs.gold.*;

/**
 * <P>Transaction: <B>Investment Order Cancel/Change Transaction</B>
 * <P>IFS ID: <B>iordchg</B>
 * <P>
 * The Order Cancel/Change Message is used to change the parameters of an
 * existing order. It is used to change the open order's quantity, limit
 * price, stop price, instructions, time in force, expire time, and order
 * type.
 * <BR>
 * <P><B>INV_ORD_CAN_CHG_TXN</B> is a Conversation transaction,
 * consisting of a request and reply message.

 * <P>Request: <B>INV_ORD_CANC_CHG_IMSG</B>
 *
 * <BR>
 * <P>The following request message elements are filled automatically (AutoFilled)
 * by the CWS, and do not appear in the public interface of the class:
 * <BR>
 * <TABLE ALIGN=CENTER>
 *      <TR><TD><B>Alias Name</B></TD>	<TD><B>Element Path</B></TD>	<TD><B>Autofill Cache Source</B></TD></TR>
 *      <TR><TD>reqConsumerID</TD>	<TD>IfsCnsmrIdTg.CnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.CnsmrIdTg</TD></TR>
 *      <TR><TD>reqChangeableConsumerID</TD>	<TD>IfsCnsmrIdTg.ChCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.ChCnsmrIdTg</TD></TR>
 *      <TR><TD>reqPermUserID</TD>	<TD>IfsCnsmrIdTg.PermUserIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PermUserIdTg</TD></TR>
 *      <TR><TD>reqPrimCnsmrID</TD>	<TD>IfsCnsmrIdTg.PrimCnsmrIdTg</TD>	<TD>IfsCnsmrPrflDtlTg.CnsmrTg.PrimCnsmrIdTg</TD></TR>
 * </TABLE>
 *
 * <P>Reply:   <B>INV_ORD_CANC_CHG_OMSG</B>
 */
public class GtInvestmentOrderCancelChange extends IfsTxn
{
  public static boolean debugOn = false;

  // constructor
  public GtInvestmentOrderCancelChange() { }
  public GtInvestmentOrderCancelChange( IfsSession sess ) {
    setIfsSession( sess );
  }

  private static final String BuildLevelSignature = "Mon Mar 05 17:30:53 EST 2001";
  public String getBuildLevelSignature() { return (BuildLevelSignature); }

  private static final String GMRequestId = "iordchg_java";
  public String getGMRequestId() { return (GMRequestId); }
  private static final String MTILevel = "SMD/GOLD 2000 R01 M05";
  public String getMTILevel() { return (MTILevel); }

  public static final int SD_OWNER = 0;
  public int getSD_OWNER() { return (SD_OWNER); }
  private static Hashtable registry = new Hashtable();
  public static Hashtable getRegistry() { return registry; }

  public static final int SDThis = 0;


// request message fields/setters/getters

  /**
   * <P>The attribute <code>reqBrokerageName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String reqBrokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setReqBrokerageName( String o ) { reqBrokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getReqBrokerageName() { return (reqBrokerageName); }

  /**
   * <P>The attribute <code>reqBrokerLastName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String reqBrokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setReqBrokerLastName( String o ) { reqBrokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getReqBrokerLastName() { return (reqBrokerLastName); }

  /**
   * <P>The attribute <code>reqBrokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String reqBrokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setReqBrokerFirstName( String o ) { reqBrokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getReqBrokerFirstName() { return (reqBrokerFirstName); }

  /**
   * <P>The attribute <code>reqBrokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String reqBrokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setReqBrokerMiddleName( String o ) { reqBrokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getReqBrokerMiddleName() { return (reqBrokerMiddleName); }

  /**
   * <P>The attribute <code>reqBrokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String reqBrokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setReqBrokerageOfficeID( String o ) { reqBrokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getReqBrokerageOfficeID() { return (reqBrokerageOfficeID); }

  /**
   * <P>The attribute <code>reqInvestmentCategory</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  reqInvestmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setReqInvestmentCategory( int o ) { reqInvestmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>reqInvestmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getReqInvestmentCategory() { return (reqInvestmentCategory); }

  /**
   * <P>The attribute <code>reqBrokerEmail</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String reqBrokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setReqBrokerEmail( String o ) { reqBrokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>reqBrokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getReqBrokerEmail() { return (reqBrokerEmail); }

  /**
   * <P>The attribute <code>reqPasswordID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  private byte[] reqPasswordID = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  void   setReqPasswordID( byte[] o ) { reqPasswordID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdIdTg</code>.
   * <P>
   * An alphanumeric string which is known only to the user and the FI. It
   * is used to authenticate the identity of the user. Passwords are input
   * by Consumers, CSRs and other employees. The rules for the length and
   * content of a password are determined by the FI. The Password
   * Encryption Type accompanies the password and indicates whether it is
   * encrypted. The default is to always encrypt the password.
   */
  public  byte[] getReqPasswordID() { return (reqPasswordID); }

  /**
   * <P>The attribute <code>reqSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  private byte[] reqSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  void   setReqSecurityID( byte[] o ) { reqSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyIdTg</code>.
   * <P>
   * An alphanumeric string providing a method of identifying and
   * authenticating a Consumer in conjunction with the Consumer Identifier
   * and Password. The Consumer may be requested to enter the Security
   * Identifier at Logon, on initiating certain requests, or following a
   * period of inactivity. The information in the Security Identifier is
   * Financial Institution specific. For example, the Security Identifier
   * may contain an additional Password or PIN (Personal Identification
   * Number) or any other FI defined piece of information such as Social
   * Security Number, mother's maiden name.
   */
  public  byte[] getReqSecurityID() { return (reqSecurityID); }

  /**
   * <P>The attribute <code>reqPasswordEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  private String reqPasswordEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  void   setReqPasswordEncryptionType( String o ) { reqPasswordEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPasswordEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.PswdEncryptTpClTg</code>.
   * <P>
   * The type or method (if any) of encryption used for a password.
   */
  public  String getReqPasswordEncryptionType() { return (reqPasswordEncryptionType); }

  /**
   * <P>The attribute <code>reqSecurityEncryptionType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  private String reqSecurityEncryptionType = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  void   setReqSecurityEncryptionType( String o ) { reqSecurityEncryptionType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityEncryptionType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IfsCScrtyDtlTg.ScrtyEncryptTpClTg</code>.
   * <P>
   * A code identifying the type of encryption (if any) for a Security
   * Identifier.
   */
  public  String getReqSecurityEncryptionType() { return (reqSecurityEncryptionType); }

  /**
   * <P>The attribute <code>reqSymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String reqSymbol = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setReqSymbol( String o ) { reqSymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getReqSymbol() { return (reqSymbol); }

  /**
   * <P>The attribute <code>reqSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String reqSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setReqSymbolSuffix( String o ) { reqSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getReqSymbolSuffix() { return (reqSymbolSuffix); }

  /**
   * <P>The attribute <code>reqConsumerSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String reqConsumerSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setReqConsumerSecurityID( String o ) { reqConsumerSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqConsumerSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getReqConsumerSecurityID() { return (reqConsumerSecurityID); }

  /**
   * <P>The attribute <code>reqSecurityIDSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  reqSecurityIDSource = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setReqSecurityIDSource( int o ) { reqSecurityIDSource = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityIDSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getReqSecurityIDSource() { return (reqSecurityIDSource); }

  /**
   * <P>The attribute <code>reqMrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String reqMrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setReqMrktCode( String o ) { reqMrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getReqMrktCode() { return (reqMrktCode); }

  /**
   * <P>The attribute <code>reqSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  reqSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setReqSecurityType( int o ) { reqSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getReqSecurityType() { return (reqSecurityType); }

  /**
   * <P>The attribute <code>reqIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String reqIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setReqIssuer( String o ) { reqIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>reqIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getReqIssuer() { return (reqIssuer); }

  /**
   * <P>The attribute <code>reqSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String reqSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setReqSecurityDesc( String o ) { reqSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getReqSecurityDesc() { return (reqSecurityDesc); }

  /**
   * <P>The attribute <code>reqScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String reqScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setReqScrtyDescNLS( String o ) { reqScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>reqScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getReqScrtyDescNLS() { return (reqScrtyDescNLS); }

  /**
   * <P>The attribute <code>reqOrderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String reqOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setReqOrderID( String o ) { reqOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getReqOrderID() { return (reqOrderID); }

  /**
   * <P>The attribute <code>reqAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  private GsAccount reqAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  void      setReqAccountID(GsAccount o )  { reqAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>reqAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.AcctIdTg</code>.
   * <P>
   * Account from which order placed.
   * <BR>
   */
  public  GsAccount getReqAccountID() { return (reqAccountID); }

  /**
   * <P>The attribute <code>reqSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount reqSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setReqSettlementAccount(GsAccount o )  { reqSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getReqSettlementAccount() { return (reqSettlementAccount); }

  /**
   * <P>The attribute <code>reqSettlementType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  reqSettlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setReqSettlementType( int o ) { reqSettlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getReqSettlementType() { return (reqSettlementType); }

  /**
   * <P>The attribute <code>reqFutureSettlementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate reqFutureSettlementDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setReqFutureSettlementDate(GsDate o )  { reqFutureSettlementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getReqFutureSettlementDate() { return (reqFutureSettlementDate); }

  /**
   * <P>The attribute <code>reqExpireDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate reqExpireDate = null;

  /**
   * <P>Sets the value of the attribute <code>reqExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setReqExpireDate(GsDate o )  { reqExpireDate = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getReqExpireDate() { return (reqExpireDate); }

  /**
   * <P>The attribute <code>reqPutOrCall</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  private int  reqPutOrCall = 0;

  /**
   * <P>Sets the value of the attribute <code>reqPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  void setReqPutOrCall( int o ) { reqPutOrCall = o; }

  /**
   * <P>Gets the value of the attribute <code>reqPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  int  getReqPutOrCall() { return (reqPutOrCall); }

  /**
   * <P>The attribute <code>reqStrikePrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  private GsCurrency reqStrikePrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  void       setReqStrikePrice(GsCurrency o )  { reqStrikePrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  GsCurrency getReqStrikePrice() { return (reqStrikePrice); }

  /**
   * <P>The attribute <code>reqSide</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  reqSide = 0;

  /**
   * <P>Sets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setReqSide( int o ) { reqSide = o; }

  /**
   * <P>Gets the value of the attribute <code>reqSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getReqSide() { return (reqSide); }

  /**
   * <P>The attribute <code>reqMinimumQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  private GsDecimal reqMinimumQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqMinimumQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  public  void      setReqMinimumQuantity(GsDecimal o )  { reqMinimumQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqMinimumQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.MinQtyTg</code>.
   * <P>
   * Minimum quantity of order to fill of total order quantity.
   * <BR>
   */
  public  GsDecimal getReqMinimumQuantity() { return (reqMinimumQuantity); }

  /**
   * <P>The attribute <code>reqOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal reqOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setReqOrderQuantity(GsDecimal o )  { reqOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getReqOrderQuantity() { return (reqOrderQuantity); }

  /**
   * <P>The attribute <code>reqCashOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsCurrency reqCashOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void       setReqCashOrderQuantity(GsCurrency o )  { reqCashOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>reqCashOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.COrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsCurrency getReqCashOrderQuantity() { return (reqCashOrderQuantity); }

  /**
   * <P>The attribute <code>reqOrderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  reqOrderType = 0;

  /**
   * <P>Sets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setReqOrderType( int o ) { reqOrderType = o; }

  /**
   * <P>Gets the value of the attribute <code>reqOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getReqOrderType() { return (reqOrderType); }

  /**
   * <P>The attribute <code>reqLimitPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  private GsCurrency reqLimitPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqLimitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  public  void       setReqLimitPrice(GsCurrency o )  { reqLimitPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqLimitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.LimPriTg</code>.
   * <P>
   * The price or better at which the order is to be filled.
   * <BR>
   */
  public  GsCurrency getReqLimitPrice() { return (reqLimitPrice); }

  /**
   * <P>The attribute <code>reqStopPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  private GsCurrency reqStopPrice = null;

  /**
   * <P>Sets the value of the attribute <code>reqStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  void       setReqStopPrice(GsCurrency o )  { reqStopPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>reqStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  GsCurrency getReqStopPrice() { return (reqStopPrice); }

  /**
   * <P>The attribute <code>reqTimeInForce</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  private int  reqTimeInForce = 0;

  /**
   * <P>Sets the value of the attribute <code>reqTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  void setReqTimeInForce( int o ) { reqTimeInForce = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  int  getReqTimeInForce() { return (reqTimeInForce); }

  /**
   * <P>The attribute <code>reqTimestamp</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private String reqTimestamp = null;

  /**
   * <P>Sets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void   setReqTimestamp( String o ) { reqTimestamp = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTimestamp</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  String getReqTimestamp() { return (reqTimestamp); }

  /**
   * <P>The attribute <code>reqGMTOffsetMinutes</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private int  reqGMTOffsetMinutes = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void setReqGMTOffsetMinutes( int o ) { reqGMTOffsetMinutes = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGMTOffsetMinutes</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  int  getReqGMTOffsetMinutes() { return (reqGMTOffsetMinutes); }

  /**
   * <P>The attribute <code>reqFeeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] reqFeeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setReqFeeDtl(GsFeeDtl[] o )  { reqFeeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>reqFeeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgReqTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getReqFeeDtl() { return (reqFeeDtl); }

  private String reqFeeDtl_packed = null;
  public  void   setReqFeeDtl_packed(String o ) { reqFeeDtl_packed = o; }
  public  String getReqFeeDtl_packed() { return (reqFeeDtl_packed); }


  /**
   * <P>The attribute <code>reqExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String reqExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setReqExecutionInstructions( String o ) { reqExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>reqExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgReqTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getReqExecutionInstructions() { return (reqExecutionInstructions); }

  /**
   * <P>The attribute <code>reqTmstpVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private String reqTmstpVal = null;

  /**
   * <P>Sets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void   setReqTmstpVal( String o ) { reqTmstpVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqTmstpVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  String getReqTmstpVal() { return (reqTmstpVal); }

  /**
   * <P>The attribute <code>reqGmtOfstMinsVal</code> is an alias for the
   * standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  private int  reqGmtOfstMinsVal = 0;

  /**
   * <P>Sets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  void setReqGmtOfstMinsVal( int o ) { reqGmtOfstMinsVal = o; }

  /**
   * <P>Gets the value of the attribute <code>reqGmtOfstMinsVal</code>,
   * which is an alias for the standard message simple element
   * <code>IfsDtLastUpdtTg.DtLastUpdtTmstpTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: DtLastUpdtTmstpCxTg
   */
  public  int  getReqGmtOfstMinsVal() { return (reqGmtOfstMinsVal); }

// response message fields/setters/getters

  /**
   * <P>The attribute <code>responseCode</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  private String responseCode = null;

  /**
   * <P>Sets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  void   setResponseCode( String o ) { responseCode = o; }

  /**
   * <P>Gets the value of the attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   * <P>
   * A code which indicates the completion status of a request from a
   * Business (as opposed to System) perspective. It is defined by the
   * business application(s) responsible for processing the request. The
   * Response Code is used to indicate the result of the
   * application-oriented processing. For example, a response code on a
   * Payment request may indicate failure due to an invalid payment date.
   * Gold provides additional fields available to system components to set
   * non-business-oriented completion status. However, a system type error
   * , may also be returned as a response code. The Gold business response
   * codes are documented in &busmsg.
   */
  public  String getResponseCode() { return (responseCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>responseCode</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.RespCodeClTg</code>.
   */
  public  String getResponseCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsRespCodeClResources", locale, getResponseCode() );
  }

  /**
   * <P>The attribute <code>referenceNumber</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  private String referenceNumber = null;

  /**
   * <P>Sets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  void   setReferenceNumber( String o ) { referenceNumber = o; }

  /**
   * <P>Gets the value of the attribute <code>referenceNumber</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiRfrNbrIdTg</code>.
   * <P>
   * An alphanumeric string, assigned by the Financial Institution,
   * uniquely identifying an event, transaction, or message that the
   * Financial Institution considers of sufficient importance, for
   * regulatory or other requirements. It is used to assign identification
   * to facilitate future reference.
   */
  public  String getReferenceNumber() { return (referenceNumber); }

  /**
   * <P>The attribute <code>serviceProviderReference</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  private String serviceProviderReference = null;

  /**
   * <P>Sets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  void   setServiceProviderReference( String o ) { serviceProviderReference = o; }

  /**
   * <P>Gets the value of the attribute <code>serviceProviderReference</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.SrvcPrvdRfrIdTg</code>.
   * <P>
   * Number returned from previous transaction that failed, input by
   * consumer.
   */
  public  String getServiceProviderReference() { return (serviceProviderReference); }

  /**
   * <P>The attribute <code>fIProcInd</code> is an alias for the
   * standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  private String fIProcInd = null;

  /**
   * <P>Sets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  void   setFIProcInd( String o ) { fIProcInd = o; }

  /**
   * <P>Gets the value of the attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   * <P>
   * A character code which indicates the status of processing by the FI.
   */
  public  String getFIProcInd() { return (fIProcInd); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fIProcInd</code>,
   * which is an alias for the standard message simple element
   * <code>IfsRespDlTg.FiProcIndTg</code>.
   */
  public  String getFIProcInd_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsFiProcIndResources", locale, getFIProcInd() );
  }

  /**
   * <P>The attribute <code>consumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  private String consumerID = null;

  /**
   * <P>Sets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  void   setConsumerID( String o ) { consumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>consumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.CnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Financial Institution)
   * uniquely identifying a Consumer to the Consumer's Financial
   * Institution.
   */
  public  String getConsumerID() { return (consumerID); }

  /**
   * <P>The attribute <code>changeableConsumerID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  private String changeableConsumerID = null;

  /**
   * <P>Sets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  void   setChangeableConsumerID( String o ) { changeableConsumerID = o; }

  /**
   * <P>Gets the value of the attribute <code>changeableConsumerID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.ChCnsmrIdTg</code>.
   * <P>
   * An alphanumeric string (assigned by the Consumer) used by the
   * consumer to identify themselves to their Financial Institution. This
   * identifier may be changed by the consumer and is used in association
   * with the Consumer Identifier which may not be changed.
   */
  public  String getChangeableConsumerID() { return (changeableConsumerID); }

  /**
   * <P>The attribute <code>permUserID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  private String permUserID = null;

  /**
   * <P>Sets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  void   setPermUserID( String o ) { permUserID = o; }

  /**
   * <P>Gets the value of the attribute <code>permUserID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PermUserIdTg</code>.
   * <P>
   * The permanent user identifier which is always associated with a
   * Consumer
   */
  public  String getPermUserID() { return (permUserID); }

  /**
   * <P>The attribute <code>primCnsmrID</code> is an alias for the
   * standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  private String primCnsmrID = null;

  /**
   * <P>Sets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  void   setPrimCnsmrID( String o ) { primCnsmrID = o; }

  /**
   * <P>Gets the value of the attribute <code>primCnsmrID</code>,
   * which is an alias for the standard message simple element
   * <code>CnsmrIdDtlTg.PrimCnsmrIdTg</code>.
   * <P>
   * Permanent Consumer ID of primary consumer.
   */
  public  String getPrimCnsmrID() { return (primCnsmrID); }

  /**
   * <P>The attribute <code>brokerageName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  private String brokerageName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  void   setBrokerageName( String o ) { brokerageName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokerageNmTg</code>.
   * <P>
   * Identify the FI's brokerage subsidiary or the name the FI uses for
   * the borkerage service.
   */
  public  String getBrokerageName() { return (brokerageName); }

  /**
   * <P>The attribute <code>brokerLastName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  private String brokerLastName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  void   setBrokerLastName( String o ) { brokerLastName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerLastName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.LstNmTg</code>.
   */
  public  String getBrokerLastName() { return (brokerLastName); }

  /**
   * <P>The attribute <code>brokerFirstName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  private String brokerFirstName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  void   setBrokerFirstName( String o ) { brokerFirstName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerFirstName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.FrstNmTg</code>.
   */
  public  String getBrokerFirstName() { return (brokerFirstName); }

  /**
   * <P>The attribute <code>brokerMiddleName</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  private String brokerMiddleName = null;

  /**
   * <P>Sets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  void   setBrokerMiddleName( String o ) { brokerMiddleName = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerMiddleName</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.IfsBrokNmTg.MdlNmTg</code>.
   */
  public  String getBrokerMiddleName() { return (brokerMiddleName); }

  /**
   * <P>The attribute <code>brokerageOfficeID</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  private String brokerageOfficeID = null;

  /**
   * <P>Sets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  void   setBrokerageOfficeID( String o ) { brokerageOfficeID = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerageOfficeID</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokOffIDTg</code>.
   */
  public  String getBrokerageOfficeID() { return (brokerageOfficeID); }

  /**
   * <P>The attribute <code>investmentCategory</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  private int  investmentCategory = 0;

  /**
   * <P>Sets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  void setInvestmentCategory( int o ) { investmentCategory = o; }

  /**
   * <P>Gets the value of the attribute <code>investmentCategory</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.CnsmrInvCatTg</code>.
   * <P>
   * Used to categorize a consumer. The categories are defined by the FI
   * and may designate a consumer category, service eligibility or
   * assignment, or limitations.
   */
  public  int  getInvestmentCategory() { return (investmentCategory); }

  /**
   * <P>The attribute <code>brokerEmail</code> is an alias for the
   * standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  private String brokerEmail = null;

  /**
   * <P>Sets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  void   setBrokerEmail( String o ) { brokerEmail = o; }

  /**
   * <P>Gets the value of the attribute <code>brokerEmail</code>,
   * which is an alias for the standard message simple element
   * <code>IfsBrokIDTg.BrokEmAddrTg</code>.
   * <P>
   * The address that a consumer can use to contact the broker.
   */
  public  String getBrokerEmail() { return (brokerEmail); }

  /**
   * <P>The attribute <code>securityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  private int  securityType = 0;

  /**
   * <P>Sets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  void setSecurityType( int o ) { securityType = o; }

  /**
   * <P>Gets the value of the attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyTpClTg</code>.
   * <P>
   * Code - Security type
   */
  public  int  getSecurityType() { return (securityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyTpClTg</code>.
   */
  public  String getSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getSecurityType() ) );
  }

  /**
   * <P>The attribute <code>orderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  private String orderID = null;

  /**
   * <P>Sets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  void   setOrderID( String o ) { orderID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdIDTg</code>.
   * <P>
   * Unique value returned by Back Office.
   */
  public  String getOrderID() { return (orderID); }

  /**
   * <P>The attribute <code>orderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  private int  orderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  void setOrderStatus( int o ) { orderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdStatClTg</code>.
   * <P>
   * Identifies status of the order.
   */
  public  int  getOrderStatus() { return (orderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdStatClTg</code>.
   */
  public  String getOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>orderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  private String orderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  void   setOrderReferenceID( String o ) { orderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRefIDTg</code>.
   * <P>
   * Identifies previous order message being cancelled or corrected.
   */
  public  String getOrderReferenceID() { return (orderReferenceID); }

  /**
   * <P>The attribute <code>orderReplyStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  private int  orderReplyStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  void setOrderReplyStatus( int o ) { orderReplyStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRepStTg</code>.
   * <P>
   * Identifies the contents of this message same values as Order Status.
   */
  public  int  getOrderReplyStatus() { return (orderReplyStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvOrdRepStTg</code>.
   */
  public  String getOrderReplyStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getOrderReplyStatus() ) );
  }

  /**
   * <P>The attribute <code>accountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  private GsAccount accountID = null;

  /**
   * <P>Sets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  void      setAccountID(GsAccount o )  { accountID = o; }

  /**
   * <P>Gets the value of the attribute <code>accountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.AcctIdTg</code>.
   * <P>
   * Account number of account to which principal payments will be
   * distributed.
   * <BR>
   */
  public  GsAccount getAccountID() { return (accountID); }

  /**
   * <P>The attribute <code>settlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  private GsAccount settlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  void      setSettlementAccount(GsAccount o )  { settlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSetlAcctTg</code>.
   * <P>
   * The use of settlement accounts are an FI option. When used, a
   * settlement account is a bank account such as a demand deposit account
   * or a current account, that is associated with an investment account.
   * Each investment account has a related settlement account. A
   * settlement account is used to fund a trade or receive the resulting
   * funds from a trade. Each customer has a default settlement account.
   * The customer can change the settlement account on an individual trade
   * and change the default with a Gold Message. The Investment settlement
   * account structure contains the same fields as the IFS Account ID .
   * THe consumer uses the new Identify Default Settlement Account
   * Transaction to indicate the settlement account for an investment
   * account.
   * <BR>
   */
  public  GsAccount getSettlementAccount() { return (settlementAccount); }

  /**
   * <P>The attribute <code>securityRegistration</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  private int  securityRegistration = 0;

  /**
   * <P>Sets the value of the attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  void setSecurityRegistration( int o ) { securityRegistration = o; }

  /**
   * <P>Gets the value of the attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyRegTg</code>.
   * <P>
   * Name under which security is registered
   */
  public  int  getSecurityRegistration() { return (securityRegistration); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityRegistration</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyRegTg</code>.
   */
  public  String getSecurityRegistration_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyRegResources", locale,
                       String.valueOf( getSecurityRegistration() ) );
  }

  /**
   * <P>The attribute <code>settlementAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  private GsCurrency settlementAmount = null;

  /**
   * <P>Sets the value of the attribute <code>settlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  void       setSettlementAmount(GsCurrency o )  { settlementAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlAmtTg</code>.
   * <P>
   * Amount credited or debited as a result of a trade.
   * <BR>
   */
  public  GsCurrency getSettlementAmount() { return (settlementAmount); }

  /**
   * <P>The attribute <code>holdAmount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  private GsCurrency holdAmount = null;

  /**
   * <P>Sets the value of the attribute <code>holdAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  public  void       setHoldAmount(GsCurrency o )  { holdAmount = o; }

  /**
   * <P>Gets the value of the attribute <code>holdAmount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.CshHoldAmtTg</code>.
   * <P>
   * Amount in settlement account that will be held for a purchase.
   * <BR>
   */
  public  GsCurrency getHoldAmount() { return (holdAmount); }

  /**
   * <P>The attribute <code>securitySymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  private String securitySymbol = null;

  /**
   * <P>Sets the value of the attribute <code>securitySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  void   setSecuritySymbol( String o ) { securitySymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>securitySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtySymTg</code>.
   * <P>
   * This field contains the ticker symbol representing the security, the
   * index symbol or the option or future symbol. By convention this field
   * can also carry designations such as .CASH. (periods used to
   * distinguish since 'CASH' is a valid NASDAQ symbol.)
   */
  public  String getSecuritySymbol() { return (securitySymbol); }

  /**
   * <P>The attribute <code>symbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  private String symbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  void   setSymbolSuffix( String o ) { symbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>symbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SymSfxTg</code>.
   * <P>
   * Used to identify some security types eg. preferred, warrants.
   */
  public  String getSymbolSuffix() { return (symbolSuffix); }

  /**
   * <P>The attribute <code>securityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  private String securityID = null;

  /**
   * <P>Sets the value of the attribute <code>securityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  void   setSecurityID( String o ) { securityID = o; }

  /**
   * <P>Gets the value of the attribute <code>securityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.SecIDTg</code>.
   * <P>
   * Identifies the security.
   */
  public  String getSecurityID() { return (securityID); }

  /**
   * <P>The attribute <code>securityIDSrc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  private int  securityIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>securityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  void setSecurityIDSrc( int o ) { securityIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>securityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   * <P>
   * A numeric code indicating the source of the Security ID.
   */
  public  int  getSecurityIDSrc() { return (securityIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>securityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getSecurityIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getSecurityIDSrc() ) );
  }

  /**
   * <P>The attribute <code>marketCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  private String marketCode = null;

  /**
   * <P>Sets the value of the attribute <code>marketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  void   setMarketCode( String o ) { marketCode = o; }

  /**
   * <P>Gets the value of the attribute <code>marketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   * <P>
   * A code indicating the exchange.
   */
  public  String getMarketCode() { return (marketCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>marketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMarketCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMarketCode() );
  }

  /**
   * <P>The attribute <code>securityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  private String securityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  void   setSecurityDesc( String o ) { securityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescTg</code>.
   * <P>
   * Text - security Description
   */
  public  String getSecurityDesc() { return (securityDesc); }

  /**
   * <P>The attribute <code>securityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  private byte[] securityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  void   setSecurityDescAlternate( byte[] o ) { securityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>securityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescAltTg</code>.
   * <P>
   * This is used to hold the name of the security in a second language.
   * For example, the Security Description might be the English name of
   * the company and the Alternate description might be the Chinese name.
   * Since IFS V1R5 does not support NLS, the type of this field is binary
   * instead of GOLD NSL CHAR. This allows the FI to insert the security
   * name into this field encoded in the code page of the web server.
   * Since the MTI does not convert binary field types, it will pass
   * unchanged from the FI's back end to the web server where it is put
   * into html to be displayed. When IFS supports NLS, the field type will
   * change to GOLD NLS CHAR. This will then allow the FI to insert the
   * local name of the security in the code page of its back end system
   * and the MTI will convert it as needed to the code page of the web
   * server.
   */
  public  byte[] getSecurityDescAlternate() { return (securityDescAlternate); }

  /**
   * <P>The attribute <code>scrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  private String scrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  void   setScrtyDescNLS( String o ) { scrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ScrtyDescNLSTg</code>.
   * <P>
   * Contains the name of the security in an alternate language.
   */
  public  String getScrtyDescNLS() { return (scrtyDescNLS); }

  /**
   * <P>The attribute <code>orderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  private GsDate orderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  void   setOrderOpenDate(GsDate o )  { orderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>orderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.DtInvOrdOpnTg</code>.
   * <P>
   * Date Order was generated.
   * <BR>
   */
  public  GsDate getOrderOpenDate() { return (orderOpenDate); }

  /**
   * <P>The attribute <code>source</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  private String source = null;

  /**
   * <P>Sets the value of the attribute <code>source</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  void   setSource( String o ) { source = o; }

  /**
   * <P>Gets the value of the attribute <code>source</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TxnSrceValTg</code>.
   * <P>
   * A code categorizing the source, input device, or initial point of
   * entry of a Transaction.
   */
  public  String getSource() { return (source); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>source</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TxnSrceValTg</code>.
   */
  public  String getSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getSource() );
  }

  /**
   * <P>The attribute <code>issuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  private String issuer = null;

  /**
   * <P>Sets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  void   setIssuer( String o ) { issuer = o; }

  /**
   * <P>Gets the value of the attribute <code>issuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.IssuerTg</code>.
   * <P>
   * Text issuer description
   */
  public  String getIssuer() { return (issuer); }

  /**
   * <P>The attribute <code>settlementType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  private int  settlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  void setSettlementType( int o ) { settlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlTpClTg</code>.
   * <P>
   * Indicates order settlement period.
   */
  public  int  getSettlementType() { return (settlementType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>settlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SetlTpClTg</code>.
   */
  public  String getSettlementType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlTpClResources", locale,
                       String.valueOf( getSettlementType() ) );
  }

  /**
   * <P>The attribute <code>futureSettlementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  private GsDate futureSettlementDate = null;

  /**
   * <P>Sets the value of the attribute <code>futureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  void   setFutureSettlementDate(GsDate o )  { futureSettlementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>futureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FutSetlDtTg</code>.
   * <P>
   * Required when Settlement Type = 7 or 9.
   * <BR>
   */
  public  GsDate getFutureSettlementDate() { return (futureSettlementDate); }

  /**
   * <P>The attribute <code>orderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  private int  orderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  void setOrderRejectReason( int o ) { orderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdRejRsnClTg</code>.
   * <P>
   * Identifies reason for order rejection.
   */
  public  int  getOrderRejectReason() { return (orderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdRejRsnClTg</code>.
   */
  public  String getOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>side</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  private int  side = 0;

  /**
   * <P>Sets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  void setSide( int o ) { side = o; }

  /**
   * <P>Gets the value of the attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SideClTg</code>.
   * <P>
   * Side Of Order
   */
  public  int  getSide() { return (side); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>side</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.SideClTg</code>.
   */
  public  String getSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSide() ) );
  }

  /**
   * <P>The attribute <code>orderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  private GsDecimal orderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  void      setOrderQuantity(GsDecimal o )  { orderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>orderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdQtyTg</code>.
   * <P>
   * Either Order Quantity or Cash Order Quantity must be present.
   * <BR>
   */
  public  GsDecimal getOrderQuantity() { return (orderQuantity); }

  /**
   * <P>The attribute <code>filledOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  private GsDecimal filledOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  void      setFilledOrderQuantity(GsDecimal o )  { filledOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>filledOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FillOrdQtyTg</code>.
   * <P>
   * When order is partially executed, this field contains the amount
   * filled or executed. Order qty contains the original total qty.
   * <BR>
   */
  public  GsDecimal getFilledOrderQuantity() { return (filledOrderQuantity); }

  /**
   * <P>The attribute <code>orderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  private int  orderType = 0;

  /**
   * <P>Sets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  void setOrderType( int o ) { orderType = o; }

  /**
   * <P>Gets the value of the attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdTpClTg</code>.
   * <P>
   * Indicates Type of Order
   */
  public  int  getOrderType() { return (orderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdTpClTg</code>.
   */
  public  String getOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getOrderType() ) );
  }

  /**
   * <P>The attribute <code>price</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  private GsCurrency price = null;

  /**
   * <P>Sets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  void       setPrice(GsCurrency o )  { price = o; }

  /**
   * <P>Gets the value of the attribute <code>price</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.PriceTg</code>.
   * <P>
   * The actual price per share paid or received.
   * <BR>
   */
  public  GsCurrency getPrice() { return (price); }

  /**
   * <P>The attribute <code>stopPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  private GsCurrency stopPrice = null;

  /**
   * <P>Sets the value of the attribute <code>stopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  void       setStopPrice(GsCurrency o )  { stopPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>stopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.StoPriTg</code>.
   * <P>
   * The price at which the order becomes a market order.
   * <BR>
   */
  public  GsCurrency getStopPrice() { return (stopPrice); }

  /**
   * <P>The attribute <code>timeInForce</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  private int  timeInForce = 0;

  /**
   * <P>Sets the value of the attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  void setTimeInForce( int o ) { timeInForce = o; }

  /**
   * <P>Gets the value of the attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TmInForClTg</code>.
   * <P>
   * Specifies how long order remains in effect.
   */
  public  int  getTimeInForce() { return (timeInForce); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>timeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TmInForClTg</code>.
   */
  public  String getTimeInForce_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTmInForClResources", locale,
                       String.valueOf( getTimeInForce() ) );
  }

  /**
   * <P>The attribute <code>exptmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private String exptmVal = null;

  /**
   * <P>Sets the value of the attribute <code>exptmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void   setExptmVal( String o ) { exptmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>exptmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  String getExptmVal() { return (exptmVal); }

  /**
   * <P>The attribute <code>expgmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  private int  expgmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>expgmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  void setExpgmtOffset( int o ) { expgmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>expgmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: ExpTmCxTg
   */
  public  int  getExpgmtOffset() { return (expgmtOffset); }

  /**
   * <P>The attribute <code>tradeDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  private GsDate tradeDate = null;

  /**
   * <P>Sets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  void   setTradeDate(GsDate o )  { tradeDate = o; }

  /**
   * <P>Gets the value of the attribute <code>tradeDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TradeDtTg</code>.
   * <P>
   * Used if not current day.
   * <BR>
   */
  public  GsDate getTradeDate() { return (tradeDate); }

  /**
   * <P>The attribute <code>trantmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private String trantmVal = null;

  /**
   * <P>Sets the value of the attribute <code>trantmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void   setTrantmVal( String o ) { trantmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>trantmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.TmstpValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  String getTrantmVal() { return (trantmVal); }

  /**
   * <P>The attribute <code>trangmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  private int  trangmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>trangmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  void setTrangmtOffset( int o ) { trangmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>trangmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   * <P>
   * Auto Generated for: TranTmCxTg
   */
  public  int  getTrangmtOffset() { return (trangmtOffset); }

  /**
   * <P>The attribute <code>feeDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  private GsFeeDtl[] feeDetail = null;

  /**
   * <P>Sets the value of the attribute <code>feeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  void       setFeeDetail(GsFeeDtl[] o )  { feeDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdSRespTg.FeeDtlTg</code>.
   * <P>
   * Fees Charged. Structure includes commission, taxes.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDetail() { return (feeDetail); }

  /**
   * <P>The attribute <code>executionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  private String executionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  void   setExecutionInstructions( String o ) { executionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>executionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.ExcInstrTg</code>.
   * <P>
   * Free Form Text
   */
  public  String getExecutionInstructions() { return (executionInstructions); }

  /**
   * <P>The attribute <code>orderChangeAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  private int  orderChangeAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>orderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  void setOrderChangeAllowed( int o ) { orderChangeAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>orderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdChngAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be changed.
   */
  public  int  getOrderChangeAllowed() { return (orderChangeAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getOrderChangeAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getOrderChangeAllowed() ) );
  }

  /**
   * <P>The attribute <code>orderCancelAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  private int  orderCancelAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>orderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  void setOrderCancelAllowed( int o ) { orderCancelAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>orderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdCanAlwdClTg</code>.
   * <P>
   * Indicates whether an investment order can later be cancelled.
   */
  public  int  getOrderCancelAllowed() { return (orderCancelAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>orderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdSRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getOrderCancelAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getOrderCancelAllowed() ) );
  }

  /**
   * <P>The attribute <code>scrtyTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyTpClTg</code>.
   */
  private int  scrtyTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>scrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyTpClTg</code>.
   */
  public  void setScrtyTpCl( int o ) { scrtyTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyTpClTg</code>.
   */
  public  int  getScrtyTpCl() { return (scrtyTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>scrtyTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyTpClTg</code>.
   */
  public  String getScrtyTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getScrtyTpCl() ) );
  }

  /**
   * <P>The attribute <code>invOrdID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdIDTg</code>.
   */
  private String invOrdID = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdIDTg</code>.
   */
  public  void   setInvOrdID( String o ) { invOrdID = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdIDTg</code>.
   */
  public  String getInvOrdID() { return (invOrdID); }

  /**
   * <P>The attribute <code>ordStatCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdStatClTg</code>.
   */
  private int  ordStatCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordStatCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdStatClTg</code>.
   */
  public  void setOrdStatCl( int o ) { ordStatCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordStatCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdStatClTg</code>.
   */
  public  int  getOrdStatCl() { return (ordStatCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordStatCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdStatClTg</code>.
   */
  public  String getOrdStatCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOrdStatCl() ) );
  }

  /**
   * <P>The attribute <code>invOrdRefID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRefIDTg</code>.
   */
  private String invOrdRefID = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdRefID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRefIDTg</code>.
   */
  public  void   setInvOrdRefID( String o ) { invOrdRefID = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdRefID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRefIDTg</code>.
   */
  public  String getInvOrdRefID() { return (invOrdRefID); }

  /**
   * <P>The attribute <code>invOrdRepSt</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRepStTg</code>.
   */
  private int  invOrdRepSt = 0;

  /**
   * <P>Sets the value of the attribute <code>invOrdRepSt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRepStTg</code>.
   */
  public  void setInvOrdRepSt( int o ) { invOrdRepSt = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdRepSt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRepStTg</code>.
   */
  public  int  getInvOrdRepSt() { return (invOrdRepSt); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>invOrdRepSt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvOrdRepStTg</code>.
   */
  public  String getInvOrdRepSt_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getInvOrdRepSt() ) );
  }

  /**
   * <P>The attribute <code>acctId</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.AcctIdTg</code>.
   * <BR>
   */
  private GsAccount acctId = null;

  /**
   * <P>Sets the value of the attribute <code>acctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  void      setAcctId(GsAccount o )  { acctId = o; }

  /**
   * <P>Gets the value of the attribute <code>acctId</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getAcctId() { return (acctId); }

  /**
   * <P>The attribute <code>invSetlAcct</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  private GsAccount invSetlAcct = null;

  /**
   * <P>Sets the value of the attribute <code>invSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  void      setInvSetlAcct(GsAccount o )  { invSetlAcct = o; }

  /**
   * <P>Gets the value of the attribute <code>invSetlAcct</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  GsAccount getInvSetlAcct() { return (invSetlAcct); }

  /**
   * <P>The attribute <code>mfSecuritySymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String mfSecuritySymbol = null;

  /**
   * <P>Sets the value of the attribute <code>mfSecuritySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setMfSecuritySymbol( String o ) { mfSecuritySymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>mfSecuritySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getMfSecuritySymbol() { return (mfSecuritySymbol); }

  /**
   * <P>The attribute <code>mfSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String mfSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>mfSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setMfSymbolSuffix( String o ) { mfSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>mfSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getMfSymbolSuffix() { return (mfSymbolSuffix); }

  /**
   * <P>The attribute <code>mfSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SecIDTg</code>.
   */
  private String mfSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>mfSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setMfSecurityID( String o ) { mfSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>mfSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getMfSecurityID() { return (mfSecurityID); }

  /**
   * <P>The attribute <code>mfSecurityIDSrc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  mfSecurityIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>mfSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setMfSecurityIDSrc( int o ) { mfSecurityIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>mfSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getMfSecurityIDSrc() { return (mfSecurityIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mfSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getMfSecurityIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getMfSecurityIDSrc() ) );
  }

  /**
   * <P>The attribute <code>mfMarketCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String mfMarketCode = null;

  /**
   * <P>Sets the value of the attribute <code>mfMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setMfMarketCode( String o ) { mfMarketCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mfMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMfMarketCode() { return (mfMarketCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mfMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMfMarketCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMfMarketCode() );
  }

  /**
   * <P>The attribute <code>scrtyDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescTg</code>.
   */
  private String scrtyDesc = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescTg</code>.
   */
  public  void   setScrtyDesc( String o ) { scrtyDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescTg</code>.
   */
  public  String getScrtyDesc() { return (scrtyDesc); }

  /**
   * <P>The attribute <code>scrtyDescAlt</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescAltTg</code>.
   */
  private byte[] scrtyDescAlt = null;

  /**
   * <P>Sets the value of the attribute <code>scrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescAltTg</code>.
   */
  public  void   setScrtyDescAlt( byte[] o ) { scrtyDescAlt = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyDescAlt</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescAltTg</code>.
   */
  public  byte[] getScrtyDescAlt() { return (scrtyDescAlt); }

  /**
   * <P>The attribute <code>invOrdMFRespTScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescNLSTg</code>.
   */
  private String invOrdMFRespTScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdMFRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescNLSTg</code>.
   */
  public  void   setInvOrdMFRespTScrtyDescNLS( String o ) { invOrdMFRespTScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdMFRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ScrtyDescNLSTg</code>.
   */
  public  String getInvOrdMFRespTScrtyDescNLS() { return (invOrdMFRespTScrtyDescNLS); }

  /**
   * <P>The attribute <code>dtInvOrdOpn</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  private GsDate dtInvOrdOpn = null;

  /**
   * <P>Sets the value of the attribute <code>dtInvOrdOpn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  void   setDtInvOrdOpn(GsDate o )  { dtInvOrdOpn = o; }

  /**
   * <P>Gets the value of the attribute <code>dtInvOrdOpn</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  GsDate getDtInvOrdOpn() { return (dtInvOrdOpn); }

  /**
   * <P>The attribute <code>txnSrceVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TxnSrceValTg</code>.
   */
  private String txnSrceVal = null;

  /**
   * <P>Sets the value of the attribute <code>txnSrceVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TxnSrceValTg</code>.
   */
  public  void   setTxnSrceVal( String o ) { txnSrceVal = o; }

  /**
   * <P>Gets the value of the attribute <code>txnSrceVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TxnSrceValTg</code>.
   */
  public  String getTxnSrceVal() { return (txnSrceVal); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>txnSrceVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TxnSrceValTg</code>.
   */
  public  String getTxnSrceVal_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getTxnSrceVal() );
  }

  /**
   * <P>The attribute <code>mfIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.IssuerTg</code>.
   */
  private String mfIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>mfIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.IssuerTg</code>.
   */
  public  void   setMfIssuer( String o ) { mfIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>mfIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.IssuerTg</code>.
   */
  public  String getMfIssuer() { return (mfIssuer); }

  /**
   * <P>The attribute <code>setlTpCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SetlTpClTg</code>.
   */
  private int  setlTpCl = 0;

  /**
   * <P>Sets the value of the attribute <code>setlTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SetlTpClTg</code>.
   */
  public  void setSetlTpCl( int o ) { setlTpCl = o; }

  /**
   * <P>Gets the value of the attribute <code>setlTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SetlTpClTg</code>.
   */
  public  int  getSetlTpCl() { return (setlTpCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>setlTpCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SetlTpClTg</code>.
   */
  public  String getSetlTpCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlTpClResources", locale,
                       String.valueOf( getSetlTpCl() ) );
  }

  /**
   * <P>The attribute <code>ordRejRsnCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdRejRsnClTg</code>.
   */
  private int  ordRejRsnCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordRejRsnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdRejRsnClTg</code>.
   */
  public  void setOrdRejRsnCl( int o ) { ordRejRsnCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordRejRsnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdRejRsnClTg</code>.
   */
  public  int  getOrdRejRsnCl() { return (ordRejRsnCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordRejRsnCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdRejRsnClTg</code>.
   */
  public  String getOrdRejRsnCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOrdRejRsnCl() ) );
  }

  /**
   * <P>The attribute <code>sideCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SideClTg</code>.
   */
  private int  sideCl = 0;

  /**
   * <P>Sets the value of the attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SideClTg</code>.
   */
  public  void setSideCl( int o ) { sideCl = o; }

  /**
   * <P>Gets the value of the attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SideClTg</code>.
   */
  public  int  getSideCl() { return (sideCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>sideCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.SideClTg</code>.
   */
  public  String getSideCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getSideCl() ) );
  }

  /**
   * <P>The attribute <code>ordQty</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdQtyTg</code>.
   * <BR>
   */
  private GsDecimal ordQty = null;

  /**
   * <P>Sets the value of the attribute <code>ordQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  void      setOrdQty(GsDecimal o )  { ordQty = o; }

  /**
   * <P>Gets the value of the attribute <code>ordQty</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getOrdQty() { return (ordQty); }

  /**
   * <P>The attribute <code>uPri</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  private GsCurrency uPri = null;

  /**
   * <P>Sets the value of the attribute <code>uPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  void       setUPri(GsCurrency o )  { uPri = o; }

  /**
   * <P>Gets the value of the attribute <code>uPri</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.UPriTg</code>.
   * <P>
   * Price per share
   * <BR>
   */
  public  GsCurrency getUPri() { return (uPri); }

  /**
   * <P>The attribute <code>mfTrntmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.TmstpValTg</code>.
   */
  private String mfTrntmVal = null;

  /**
   * <P>Sets the value of the attribute <code>mfTrntmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  void   setMfTrntmVal( String o ) { mfTrntmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>mfTrntmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  String getMfTrntmVal() { return (mfTrntmVal); }

  /**
   * <P>The attribute <code>mfTrngmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  private int  mfTrngmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>mfTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  void setMfTrngmtOffset( int o ) { mfTrngmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>mfTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  int  getMfTrngmtOffset() { return (mfTrngmtOffset); }

  /**
   * <P>The attribute <code>feeDtl</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] feeDtl = null;

  /**
   * <P>Sets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setFeeDtl(GsFeeDtl[] o )  { feeDtl = o; }

  /**
   * <P>Gets the value of the attribute <code>feeDtl</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getFeeDtl() { return (feeDtl); }

  /**
   * <P>The attribute <code>excInstr</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ExcInstrTg</code>.
   */
  private String excInstr = null;

  /**
   * <P>Sets the value of the attribute <code>excInstr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ExcInstrTg</code>.
   */
  public  void   setExcInstr( String o ) { excInstr = o; }

  /**
   * <P>Gets the value of the attribute <code>excInstr</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.ExcInstrTg</code>.
   */
  public  String getExcInstr() { return (excInstr); }

  /**
   * <P>The attribute <code>ordChngAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdChngAlwdClTg</code>.
   */
  private int  ordChngAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdChngAlwdClTg</code>.
   */
  public  void setOrdChngAlwdCl( int o ) { ordChngAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdChngAlwdClTg</code>.
   */
  public  int  getOrdChngAlwdCl() { return (ordChngAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordChngAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getOrdChngAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getOrdChngAlwdCl() ) );
  }

  /**
   * <P>The attribute <code>ordCanAlwdCl</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdCanAlwdClTg</code>.
   */
  private int  ordCanAlwdCl = 0;

  /**
   * <P>Sets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdCanAlwdClTg</code>.
   */
  public  void setOrdCanAlwdCl( int o ) { ordCanAlwdCl = o; }

  /**
   * <P>Gets the value of the attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdCanAlwdClTg</code>.
   */
  public  int  getOrdCanAlwdCl() { return (ordCanAlwdCl); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>ordCanAlwdCl</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdMFRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getOrdCanAlwdCl_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getOrdCanAlwdCl() ) );
  }

  /**
   * <P>The attribute <code>fiSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyTpClTg</code>.
   */
  private int  fiSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>fiSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyTpClTg</code>.
   */
  public  void setFiSecurityType( int o ) { fiSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyTpClTg</code>.
   */
  public  int  getFiSecurityType() { return (fiSecurityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyTpClTg</code>.
   */
  public  String getFiSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getFiSecurityType() ) );
  }

  /**
   * <P>The attribute <code>fiOrderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdIDTg</code>.
   */
  private String fiOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>fiOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdIDTg</code>.
   */
  public  void   setFiOrderID( String o ) { fiOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdIDTg</code>.
   */
  public  String getFiOrderID() { return (fiOrderID); }

  /**
   * <P>The attribute <code>fiOrderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdStatClTg</code>.
   */
  private int  fiOrderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdStatClTg</code>.
   */
  public  void setFiOrderStatus( int o ) { fiOrderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdStatClTg</code>.
   */
  public  int  getFiOrderStatus() { return (fiOrderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdStatClTg</code>.
   */
  public  String getFiOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getFiOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>fiOrderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRefIDTg</code>.
   */
  private String fiOrderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>fiOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRefIDTg</code>.
   */
  public  void   setFiOrderReferenceID( String o ) { fiOrderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRefIDTg</code>.
   */
  public  String getFiOrderReferenceID() { return (fiOrderReferenceID); }

  /**
   * <P>The attribute <code>fiOrderReplyStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRepStTg</code>.
   */
  private int  fiOrderReplyStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRepStTg</code>.
   */
  public  void setFiOrderReplyStatus( int o ) { fiOrderReplyStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRepStTg</code>.
   */
  public  int  getFiOrderReplyStatus() { return (fiOrderReplyStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvOrdRepStTg</code>.
   */
  public  String getFiOrderReplyStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getFiOrderReplyStatus() ) );
  }

  /**
   * <P>The attribute <code>fiAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.AcctIdTg</code>.
   * <BR>
   */
  private GsAccount fiAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>fiAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  void      setFiAccountID(GsAccount o )  { fiAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>fiAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getFiAccountID() { return (fiAccountID); }

  /**
   * <P>The attribute <code>fiSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  private GsAccount fiSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>fiSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  void      setFiSettlementAccount(GsAccount o )  { fiSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  GsAccount getFiSettlementAccount() { return (fiSettlementAccount); }

  /**
   * <P>The attribute <code>fiOrderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  private GsDate fiOrderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>fiOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  void   setFiOrderOpenDate(GsDate o )  { fiOrderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  GsDate getFiOrderOpenDate() { return (fiOrderOpenDate); }

  /**
   * <P>The attribute <code>fiTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TxnSrceValTg</code>.
   */
  private String fiTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>fiTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TxnSrceValTg</code>.
   */
  public  void   setFiTransactionSource( String o ) { fiTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>fiTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TxnSrceValTg</code>.
   */
  public  String getFiTransactionSource() { return (fiTransactionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TxnSrceValTg</code>.
   */
  public  String getFiTransactionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getFiTransactionSource() );
  }

  /**
   * <P>The attribute <code>fiSecuritySymbol</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String fiSecuritySymbol = null;

  /**
   * <P>Sets the value of the attribute <code>fiSecuritySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setFiSecuritySymbol( String o ) { fiSecuritySymbol = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecuritySymbol</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getFiSecuritySymbol() { return (fiSecuritySymbol); }

  /**
   * <P>The attribute <code>fiSymbolSuffix</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String fiSymbolSuffix = null;

  /**
   * <P>Sets the value of the attribute <code>fiSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setFiSymbolSuffix( String o ) { fiSymbolSuffix = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSymbolSuffix</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getFiSymbolSuffix() { return (fiSymbolSuffix); }

  /**
   * <P>The attribute <code>fiSecurityID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   */
  private String fiSecurityID = null;

  /**
   * <P>Sets the value of the attribute <code>fiSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setFiSecurityID( String o ) { fiSecurityID = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecurityID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getFiSecurityID() { return (fiSecurityID); }

  /**
   * <P>The attribute <code>fiSecurityIDSrc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  fiSecurityIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>fiSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setFiSecurityIDSrc( int o ) { fiSecurityIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getFiSecurityIDSrc() { return (fiSecurityIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiSecurityIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getFiSecurityIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getFiSecurityIDSrc() ) );
  }

  /**
   * <P>The attribute <code>fiMarketCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String fiMarketCode = null;

  /**
   * <P>Sets the value of the attribute <code>fiMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setFiMarketCode( String o ) { fiMarketCode = o; }

  /**
   * <P>Gets the value of the attribute <code>fiMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getFiMarketCode() { return (fiMarketCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiMarketCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getFiMarketCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getFiMarketCode() );
  }

  /**
   * <P>The attribute <code>fiSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescTg</code>.
   */
  private String fiSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>fiSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescTg</code>.
   */
  public  void   setFiSecurityDesc( String o ) { fiSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescTg</code>.
   */
  public  String getFiSecurityDesc() { return (fiSecurityDesc); }

  /**
   * <P>The attribute <code>fiSecurityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescAltTg</code>.
   */
  private byte[] fiSecurityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>fiSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescAltTg</code>.
   */
  public  void   setFiSecurityDescAlternate( byte[] o ) { fiSecurityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescAltTg</code>.
   */
  public  byte[] getFiSecurityDescAlternate() { return (fiSecurityDescAlternate); }

  /**
   * <P>The attribute <code>invOrdFIRespTScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   */
  private String invOrdFIRespTScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdFIRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   */
  public  void   setInvOrdFIRespTScrtyDescNLS( String o ) { invOrdFIRespTScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdFIRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ScrtyDescNLSTg</code>.
   */
  public  String getInvOrdFIRespTScrtyDescNLS() { return (invOrdFIRespTScrtyDescNLS); }

  /**
   * <P>The attribute <code>fiOrderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdRejRsnClTg</code>.
   */
  private int  fiOrderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdRejRsnClTg</code>.
   */
  public  void setFiOrderRejectReason( int o ) { fiOrderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdRejRsnClTg</code>.
   */
  public  int  getFiOrderRejectReason() { return (fiOrderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdRejRsnClTg</code>.
   */
  public  String getFiOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getFiOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>fiSide</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.SideClTg</code>.
   */
  private int  fiSide = 0;

  /**
   * <P>Sets the value of the attribute <code>fiSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.SideClTg</code>.
   */
  public  void setFiSide( int o ) { fiSide = o; }

  /**
   * <P>Gets the value of the attribute <code>fiSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.SideClTg</code>.
   */
  public  int  getFiSide() { return (fiSide); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.SideClTg</code>.
   */
  public  String getFiSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getFiSide() ) );
  }

  /**
   * <P>The attribute <code>fiOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdQtyTg</code>.
   * <BR>
   */
  private GsDecimal fiOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>fiOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  void      setFiOrderQuantity(GsDecimal o )  { fiOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getFiOrderQuantity() { return (fiOrderQuantity); }

  /**
   * <P>The attribute <code>fiOrderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdTpClTg</code>.
   */
  private int  fiOrderType = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdTpClTg</code>.
   */
  public  void setFiOrderType( int o ) { fiOrderType = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdTpClTg</code>.
   */
  public  int  getFiOrderType() { return (fiOrderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdTpClTg</code>.
   */
  public  String getFiOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getFiOrderType() ) );
  }

  /**
   * <P>The attribute <code>fiUnitPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.UPriTg</code>.
   * <BR>
   */
  private GsCurrency fiUnitPrice = null;

  /**
   * <P>Sets the value of the attribute <code>fiUnitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.UPriTg</code>.
   * <BR>
   */
  public  void       setFiUnitPrice(GsCurrency o )  { fiUnitPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>fiUnitPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.UPriTg</code>.
   * <BR>
   */
  public  GsCurrency getFiUnitPrice() { return (fiUnitPrice); }

  /**
   * <P>The attribute <code>fiTradeDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TradeDtTg</code>.
   * <BR>
   */
  private GsDate fiTradeDt = null;

  /**
   * <P>Sets the value of the attribute <code>fiTradeDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TradeDtTg</code>.
   * <BR>
   */
  public  void   setFiTradeDt(GsDate o )  { fiTradeDt = o; }

  /**
   * <P>Gets the value of the attribute <code>fiTradeDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TradeDtTg</code>.
   * <BR>
   */
  public  GsDate getFiTradeDt() { return (fiTradeDt); }

  /**
   * <P>The attribute <code>fiTrntmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   */
  private String fiTrntmVal = null;

  /**
   * <P>Sets the value of the attribute <code>fiTrntmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  void   setFiTrntmVal( String o ) { fiTrntmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>fiTrntmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  String getFiTrntmVal() { return (fiTrntmVal); }

  /**
   * <P>The attribute <code>fiTrngmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  private int  fiTrngmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>fiTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  void setFiTrngmtOffset( int o ) { fiTrngmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>fiTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  int  getFiTrngmtOffset() { return (fiTrngmtOffset); }

  /**
   * <P>The attribute <code>fiFeeDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] fiFeeDetail = null;

  /**
   * <P>Sets the value of the attribute <code>fiFeeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setFiFeeDetail(GsFeeDtl[] o )  { fiFeeDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>fiFeeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getFiFeeDetail() { return (fiFeeDetail); }

  /**
   * <P>The attribute <code>fiExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ExcInstrTg</code>.
   */
  private String fiExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>fiExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ExcInstrTg</code>.
   */
  public  void   setFiExecutionInstructions( String o ) { fiExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>fiExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.ExcInstrTg</code>.
   */
  public  String getFiExecutionInstructions() { return (fiExecutionInstructions); }

  /**
   * <P>The attribute <code>fiOrderChangeAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   */
  private int  fiOrderChangeAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   */
  public  void setFiOrderChangeAllowed( int o ) { fiOrderChangeAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   */
  public  int  getFiOrderChangeAllowed() { return (fiOrderChangeAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getFiOrderChangeAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getFiOrderChangeAllowed() ) );
  }

  /**
   * <P>The attribute <code>fiOrderCancelAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   */
  private int  fiOrderCancelAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>fiOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   */
  public  void setFiOrderCancelAllowed( int o ) { fiOrderCancelAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>fiOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   */
  public  int  getFiOrderCancelAllowed() { return (fiOrderCancelAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>fiOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdFIRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getFiOrderCancelAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getFiOrderCancelAllowed() ) );
  }

  /**
   * <P>The attribute <code>optSecurityType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyTpClTg</code>.
   */
  private int  optSecurityType = 0;

  /**
   * <P>Sets the value of the attribute <code>optSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyTpClTg</code>.
   */
  public  void setOptSecurityType( int o ) { optSecurityType = o; }

  /**
   * <P>Gets the value of the attribute <code>optSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyTpClTg</code>.
   */
  public  int  getOptSecurityType() { return (optSecurityType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optSecurityType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyTpClTg</code>.
   */
  public  String getOptSecurityType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyTpClResources", locale,
                       String.valueOf( getOptSecurityType() ) );
  }

  /**
   * <P>The attribute <code>optOrderID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdIDTg</code>.
   */
  private String optOrderID = null;

  /**
   * <P>Sets the value of the attribute <code>optOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdIDTg</code>.
   */
  public  void   setOptOrderID( String o ) { optOrderID = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdIDTg</code>.
   */
  public  String getOptOrderID() { return (optOrderID); }

  /**
   * <P>The attribute <code>optOrderStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdStatClTg</code>.
   */
  private int  optOrderStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdStatClTg</code>.
   */
  public  void setOptOrderStatus( int o ) { optOrderStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdStatClTg</code>.
   */
  public  int  getOptOrderStatus() { return (optOrderStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdStatClTg</code>.
   */
  public  String getOptOrderStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdStatClResources", locale,
                       String.valueOf( getOptOrderStatus() ) );
  }

  /**
   * <P>The attribute <code>optOrderReferenceID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRefIDTg</code>.
   */
  private String optOrderReferenceID = null;

  /**
   * <P>Sets the value of the attribute <code>optOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRefIDTg</code>.
   */
  public  void   setOptOrderReferenceID( String o ) { optOrderReferenceID = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderReferenceID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRefIDTg</code>.
   */
  public  String getOptOrderReferenceID() { return (optOrderReferenceID); }

  /**
   * <P>The attribute <code>optOrderReplyStatus</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRepStTg</code>.
   */
  private int  optOrderReplyStatus = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRepStTg</code>.
   */
  public  void setOptOrderReplyStatus( int o ) { optOrderReplyStatus = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRepStTg</code>.
   */
  public  int  getOptOrderReplyStatus() { return (optOrderReplyStatus); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderReplyStatus</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvOrdRepStTg</code>.
   */
  public  String getOptOrderReplyStatus_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsInvOrdRepStResources", locale,
                       String.valueOf( getOptOrderReplyStatus() ) );
  }

  /**
   * <P>The attribute <code>optAccountID</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.AcctIdTg</code>.
   * <BR>
   */
  private GsAccount optAccountID = null;

  /**
   * <P>Sets the value of the attribute <code>optAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  void      setOptAccountID(GsAccount o )  { optAccountID = o; }

  /**
   * <P>Gets the value of the attribute <code>optAccountID</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.AcctIdTg</code>.
   * <BR>
   */
  public  GsAccount getOptAccountID() { return (optAccountID); }

  /**
   * <P>The attribute <code>optSettlementAccount</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  private GsAccount optSettlementAccount = null;

  /**
   * <P>Sets the value of the attribute <code>optSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  void      setOptSettlementAccount(GsAccount o )  { optSettlementAccount = o; }

  /**
   * <P>Gets the value of the attribute <code>optSettlementAccount</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSetlAcctTg</code>.
   * <BR>
   */
  public  GsAccount getOptSettlementAccount() { return (optSettlementAccount); }

  /**
   * <P>The attribute <code>scrtySym</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  private String scrtySym = null;

  /**
   * <P>Sets the value of the attribute <code>scrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  void   setScrtySym( String o ) { scrtySym = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtySym</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtySymTg</code>.
   */
  public  String getScrtySym() { return (scrtySym); }

  /**
   * <P>The attribute <code>symSfx</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  private String symSfx = null;

  /**
   * <P>Sets the value of the attribute <code>symSfx</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  void   setSymSfx( String o ) { symSfx = o; }

  /**
   * <P>Gets the value of the attribute <code>symSfx</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SymSfxTg</code>.
   */
  public  String getSymSfx() { return (symSfx); }

  /**
   * <P>The attribute <code>secID</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SecIDTg</code>.
   */
  private String secID = null;

  /**
   * <P>Sets the value of the attribute <code>secID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  void   setSecID( String o ) { secID = o; }

  /**
   * <P>Gets the value of the attribute <code>secID</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.SecIDTg</code>.
   */
  public  String getSecID() { return (secID); }

  /**
   * <P>The attribute <code>scrtyIDSrc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  private int  scrtyIDSrc = 0;

  /**
   * <P>Sets the value of the attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  void setScrtyIDSrc( int o ) { scrtyIDSrc = o; }

  /**
   * <P>Gets the value of the attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  int  getScrtyIDSrc() { return (scrtyIDSrc); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>scrtyIDSrc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.ScrtyIDSrcTg</code>.
   */
  public  String getScrtyIDSrc_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsScrtyIDSrcResources", locale,
                       String.valueOf( getScrtyIDSrc() ) );
  }

  /**
   * <P>The attribute <code>mrktCode</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  private String mrktCode = null;

  /**
   * <P>Sets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  void   setMrktCode( String o ) { mrktCode = o; }

  /**
   * <P>Gets the value of the attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode() { return (mrktCode); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>mrktCode</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.InvSecIDTg.MrktCodeTg</code>.
   */
  public  String getMrktCode_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsMrktCodeResources", locale, getMrktCode() );
  }

  /**
   * <P>The attribute <code>optSecurityDesc</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescTg</code>.
   */
  private String optSecurityDesc = null;

  /**
   * <P>Sets the value of the attribute <code>optSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescTg</code>.
   */
  public  void   setOptSecurityDesc( String o ) { optSecurityDesc = o; }

  /**
   * <P>Gets the value of the attribute <code>optSecurityDesc</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescTg</code>.
   */
  public  String getOptSecurityDesc() { return (optSecurityDesc); }

  /**
   * <P>The attribute <code>optSecurityDescAlternate</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescAltTg</code>.
   */
  private byte[] optSecurityDescAlternate = null;

  /**
   * <P>Sets the value of the attribute <code>optSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescAltTg</code>.
   */
  public  void   setOptSecurityDescAlternate( byte[] o ) { optSecurityDescAlternate = o; }

  /**
   * <P>Gets the value of the attribute <code>optSecurityDescAlternate</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescAltTg</code>.
   */
  public  byte[] getOptSecurityDescAlternate() { return (optSecurityDescAlternate); }

  /**
   * <P>The attribute <code>invOrdOptRespTScrtyDescNLS</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescNLSTg</code>.
   */
  private String invOrdOptRespTScrtyDescNLS = null;

  /**
   * <P>Sets the value of the attribute <code>invOrdOptRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescNLSTg</code>.
   */
  public  void   setInvOrdOptRespTScrtyDescNLS( String o ) { invOrdOptRespTScrtyDescNLS = o; }

  /**
   * <P>Gets the value of the attribute <code>invOrdOptRespTScrtyDescNLS</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ScrtyDescNLSTg</code>.
   */
  public  String getInvOrdOptRespTScrtyDescNLS() { return (invOrdOptRespTScrtyDescNLS); }

  /**
   * <P>The attribute <code>optOrderOpenDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  private GsDate optOrderOpenDate = null;

  /**
   * <P>Sets the value of the attribute <code>optOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  void   setOptOrderOpenDate(GsDate o )  { optOrderOpenDate = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderOpenDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.DtInvOrdOpnTg</code>.
   * <BR>
   */
  public  GsDate getOptOrderOpenDate() { return (optOrderOpenDate); }

  /**
   * <P>The attribute <code>optTransactionSource</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TxnSrceValTg</code>.
   */
  private String optTransactionSource = null;

  /**
   * <P>Sets the value of the attribute <code>optTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TxnSrceValTg</code>.
   */
  public  void   setOptTransactionSource( String o ) { optTransactionSource = o; }

  /**
   * <P>Gets the value of the attribute <code>optTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TxnSrceValTg</code>.
   */
  public  String getOptTransactionSource() { return (optTransactionSource); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optTransactionSource</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TxnSrceValTg</code>.
   */
  public  String getOptTransactionSource_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTxnSrceValResources", locale, getOptTransactionSource() );
  }

  /**
   * <P>The attribute <code>optIssuer</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.IssuerTg</code>.
   */
  private String optIssuer = null;

  /**
   * <P>Sets the value of the attribute <code>optIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.IssuerTg</code>.
   */
  public  void   setOptIssuer( String o ) { optIssuer = o; }

  /**
   * <P>Gets the value of the attribute <code>optIssuer</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.IssuerTg</code>.
   */
  public  String getOptIssuer() { return (optIssuer); }

  /**
   * <P>The attribute <code>optSettlementType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SetlTpClTg</code>.
   */
  private int  optSettlementType = 0;

  /**
   * <P>Sets the value of the attribute <code>optSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SetlTpClTg</code>.
   */
  public  void setOptSettlementType( int o ) { optSettlementType = o; }

  /**
   * <P>Gets the value of the attribute <code>optSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SetlTpClTg</code>.
   */
  public  int  getOptSettlementType() { return (optSettlementType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optSettlementType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SetlTpClTg</code>.
   */
  public  String getOptSettlementType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSetlTpClResources", locale,
                       String.valueOf( getOptSettlementType() ) );
  }

  /**
   * <P>The attribute <code>optFutureSettlementDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FutSetlDtTg</code>.
   * <BR>
   */
  private GsDate optFutureSettlementDate = null;

  /**
   * <P>Sets the value of the attribute <code>optFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FutSetlDtTg</code>.
   * <BR>
   */
  public  void   setOptFutureSettlementDate(GsDate o )  { optFutureSettlementDate = o; }

  /**
   * <P>Gets the value of the attribute <code>optFutureSettlementDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FutSetlDtTg</code>.
   * <BR>
   */
  public  GsDate getOptFutureSettlementDate() { return (optFutureSettlementDate); }

  /**
   * <P>The attribute <code>optOrderRejectReason</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdRejRsnClTg</code>.
   */
  private int  optOrderRejectReason = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdRejRsnClTg</code>.
   */
  public  void setOptOrderRejectReason( int o ) { optOrderRejectReason = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdRejRsnClTg</code>.
   */
  public  int  getOptOrderRejectReason() { return (optOrderRejectReason); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderRejectReason</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdRejRsnClTg</code>.
   */
  public  String getOptOrderRejectReason_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdRejRsnClResources", locale,
                       String.valueOf( getOptOrderRejectReason() ) );
  }

  /**
   * <P>The attribute <code>optExpireDate</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  private GsDate optExpireDate = null;

  /**
   * <P>Sets the value of the attribute <code>optExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  void   setOptExpireDate(GsDate o )  { optExpireDate = o; }

  /**
   * <P>Gets the value of the attribute <code>optExpireDate</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpDtTg</code>.
   * <P>
   * The date on which a transaction, an offer, a contract, etc.
   * terminates.
   * <BR>
   */
  public  GsDate getOptExpireDate() { return (optExpireDate); }

  /**
   * <P>The attribute <code>optPutOrCall</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  private int  optPutOrCall = 0;

  /**
   * <P>Sets the value of the attribute <code>optPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  void setOptPutOrCall( int o ) { optPutOrCall = o; }

  /**
   * <P>Gets the value of the attribute <code>optPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PutOrCallTg</code>.
   * <P>
   * PutOrCall
   */
  public  int  getOptPutOrCall() { return (optPutOrCall); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optPutOrCall</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PutOrCallTg</code>.
   */
  public  String getOptPutOrCall_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsPutOrCallResources", locale,
                       String.valueOf( getOptPutOrCall() ) );
  }

  /**
   * <P>The attribute <code>optStrikePrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  private GsCurrency optStrikePrice = null;

  /**
   * <P>Sets the value of the attribute <code>optStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  void       setOptStrikePrice(GsCurrency o )  { optStrikePrice = o; }

  /**
   * <P>Gets the value of the attribute <code>optStrikePrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StrikePriTg</code>.
   * <P>
   * Strike Price
   * <BR>
   */
  public  GsCurrency getOptStrikePrice() { return (optStrikePrice); }

  /**
   * <P>The attribute <code>optSide</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SideClTg</code>.
   */
  private int  optSide = 0;

  /**
   * <P>Sets the value of the attribute <code>optSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SideClTg</code>.
   */
  public  void setOptSide( int o ) { optSide = o; }

  /**
   * <P>Gets the value of the attribute <code>optSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SideClTg</code>.
   */
  public  int  getOptSide() { return (optSide); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optSide</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.SideClTg</code>.
   */
  public  String getOptSide_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsSideClResources", locale,
                       String.valueOf( getOptSide() ) );
  }

  /**
   * <P>The attribute <code>optOrderQuantity</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdQtyTg</code>.
   * <BR>
   */
  private GsDecimal optOrderQuantity = null;

  /**
   * <P>Sets the value of the attribute <code>optOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  void      setOptOrderQuantity(GsDecimal o )  { optOrderQuantity = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderQuantity</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdQtyTg</code>.
   * <BR>
   */
  public  GsDecimal getOptOrderQuantity() { return (optOrderQuantity); }

  /**
   * <P>The attribute <code>optOrderType</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdTpClTg</code>.
   */
  private int  optOrderType = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdTpClTg</code>.
   */
  public  void setOptOrderType( int o ) { optOrderType = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdTpClTg</code>.
   */
  public  int  getOptOrderType() { return (optOrderType); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderType</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdTpClTg</code>.
   */
  public  String getOptOrderType_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdTpClResources", locale,
                       String.valueOf( getOptOrderType() ) );
  }

  /**
   * <P>The attribute <code>optPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PriceTg</code>.
   * <BR>
   */
  private GsCurrency optPrice = null;

  /**
   * <P>Sets the value of the attribute <code>optPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PriceTg</code>.
   * <BR>
   */
  public  void       setOptPrice(GsCurrency o )  { optPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>optPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.PriceTg</code>.
   * <BR>
   */
  public  GsCurrency getOptPrice() { return (optPrice); }

  /**
   * <P>The attribute <code>optStopPrice</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StoPriTg</code>.
   * <BR>
   */
  private GsCurrency optStopPrice = null;

  /**
   * <P>Sets the value of the attribute <code>optStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StoPriTg</code>.
   * <BR>
   */
  public  void       setOptStopPrice(GsCurrency o )  { optStopPrice = o; }

  /**
   * <P>Gets the value of the attribute <code>optStopPrice</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.StoPriTg</code>.
   * <BR>
   */
  public  GsCurrency getOptStopPrice() { return (optStopPrice); }

  /**
   * <P>The attribute <code>optTimeInForce</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TmInForClTg</code>.
   */
  private int  optTimeInForce = 0;

  /**
   * <P>Sets the value of the attribute <code>optTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TmInForClTg</code>.
   */
  public  void setOptTimeInForce( int o ) { optTimeInForce = o; }

  /**
   * <P>Gets the value of the attribute <code>optTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TmInForClTg</code>.
   */
  public  int  getOptTimeInForce() { return (optTimeInForce); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optTimeInForce</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TmInForClTg</code>.
   */
  public  String getOptTimeInForce_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsTmInForClResources", locale,
                       String.valueOf( getOptTimeInForce() ) );
  }

  /**
   * <P>The attribute <code>optExptmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.TmstpValTg</code>.
   */
  private String optExptmVal = null;

  /**
   * <P>Sets the value of the attribute <code>optExptmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.TmstpValTg</code>.
   */
  public  void   setOptExptmVal( String o ) { optExptmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>optExptmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.TmstpValTg</code>.
   */
  public  String getOptExptmVal() { return (optExptmVal); }

  /**
   * <P>The attribute <code>optExpgmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   */
  private int  optExpgmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>optExpgmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   */
  public  void setOptExpgmtOffset( int o ) { optExpgmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>optExpgmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExpTmTg.GmtOfstMinsValTg</code>.
   */
  public  int  getOptExpgmtOffset() { return (optExpgmtOffset); }

  /**
   * <P>The attribute <code>optTradeDt</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TradeDtTg</code>.
   * <BR>
   */
  private GsDate optTradeDt = null;

  /**
   * <P>Sets the value of the attribute <code>optTradeDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TradeDtTg</code>.
   * <BR>
   */
  public  void   setOptTradeDt(GsDate o )  { optTradeDt = o; }

  /**
   * <P>Gets the value of the attribute <code>optTradeDt</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TradeDtTg</code>.
   * <BR>
   */
  public  GsDate getOptTradeDt() { return (optTradeDt); }

  /**
   * <P>The attribute <code>optTransactionTmVal</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.TmstpValTg</code>.
   */
  private String optTransactionTmVal = null;

  /**
   * <P>Sets the value of the attribute <code>optTransactionTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  void   setOptTransactionTmVal( String o ) { optTransactionTmVal = o; }

  /**
   * <P>Gets the value of the attribute <code>optTransactionTmVal</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.TmstpValTg</code>.
   */
  public  String getOptTransactionTmVal() { return (optTransactionTmVal); }

  /**
   * <P>The attribute <code>optTrngmtOffset</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  private int  optTrngmtOffset = 0;

  /**
   * <P>Sets the value of the attribute <code>optTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  void setOptTrngmtOffset( int o ) { optTrngmtOffset = o; }

  /**
   * <P>Gets the value of the attribute <code>optTrngmtOffset</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.TranTmTg.GmtOfstMinsValTg</code>.
   */
  public  int  getOptTrngmtOffset() { return (optTrngmtOffset); }

  /**
   * <P>The attribute <code>optFeeDetail</code> is an alias for the
   * standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FeeDtlTg</code>.
   * <BR>
   */
  private GsFeeDtl[] optFeeDetail = null;

  /**
   * <P>Sets the value of the attribute <code>optFeeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  void       setOptFeeDetail(GsFeeDtl[] o )  { optFeeDetail = o; }

  /**
   * <P>Gets the value of the attribute <code>optFeeDetail</code>,
   * which is an alias for the standard message structured element (IFS primitive)
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.FeeDtlTg</code>.
   * <BR>
   */
  public  GsFeeDtl[] getOptFeeDetail() { return (optFeeDetail); }

  /**
   * <P>The attribute <code>optExecutionInstructions</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExcInstrTg</code>.
   */
  private String optExecutionInstructions = null;

  /**
   * <P>Sets the value of the attribute <code>optExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExcInstrTg</code>.
   */
  public  void   setOptExecutionInstructions( String o ) { optExecutionInstructions = o; }

  /**
   * <P>Gets the value of the attribute <code>optExecutionInstructions</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.ExcInstrTg</code>.
   */
  public  String getOptExecutionInstructions() { return (optExecutionInstructions); }

  /**
   * <P>The attribute <code>optOrderChangeAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdChngAlwdClTg</code>.
   */
  private int  optOrderChangeAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdChngAlwdClTg</code>.
   */
  public  void setOptOrderChangeAllowed( int o ) { optOrderChangeAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdChngAlwdClTg</code>.
   */
  public  int  getOptOrderChangeAllowed() { return (optOrderChangeAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderChangeAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdChngAlwdClTg</code>.
   */
  public  String getOptOrderChangeAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdChngAlwdClResources", locale,
                       String.valueOf( getOptOrderChangeAllowed() ) );
  }

  /**
   * <P>The attribute <code>optOrderCancelAllowed</code> is an alias for the
   * standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdCanAlwdClTg</code>.
   */
  private int  optOrderCancelAllowed = 0;

  /**
   * <P>Sets the value of the attribute <code>optOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdCanAlwdClTg</code>.
   */
  public  void setOptOrderCancelAllowed( int o ) { optOrderCancelAllowed = o; }

  /**
   * <P>Gets the value of the attribute <code>optOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdCanAlwdClTg</code>.
   */
  public  int  getOptOrderCancelAllowed() { return (optOrderCancelAllowed); }

  /**
   * <P>Gets the current text value for the current value of attribute <code>optOrderCancelAllowed</code>,
   * which is an alias for the standard message simple element
   * <code>InvOrdChgRespTg.InvOrdOptRespTg.OrdCanAlwdClTg</code>.
   */
  public  String getOptOrderCancelAllowed_text() throws IfsException {
    Locale locale;
    try {
      locale = getIfsSession().getLocale();
    }
    catch(Exception e) {
      throw new IfsException(e, "Locale not set");
    }
    return IfsNLS.getText( "IfsOrdCanAlwdClResources", locale,
                       String.valueOf( getOptOrderCancelAllowed() ) );
  }

//======================================================================================

  public void addGoldToGMJI( int argFlags, String cacheTxnName )
  {
    addArgToGMJI( GMDGlobals.GtInvestmentOrderCancelChange );
    addArgToGMJI( argFlags );
    addArgToGMJI( cacheTxnName);
    addArgToGMJI( BuildLevelSignature );


    if( reqBrokerageName != null && reqBrokerageName.length() > 35 )
      addArgToGMJI( reqBrokerageName.substring(0,35));
    else
      addArgToGMJI( reqBrokerageName ); 

    if( reqBrokerLastName != null && reqBrokerLastName.length() > 30 )
      addArgToGMJI( reqBrokerLastName.substring(0,30));
    else
      addArgToGMJI( reqBrokerLastName ); 

    if( reqBrokerFirstName != null && reqBrokerFirstName.length() > 30 )
      addArgToGMJI( reqBrokerFirstName.substring(0,30));
    else
      addArgToGMJI( reqBrokerFirstName ); 

    if( reqBrokerMiddleName != null && reqBrokerMiddleName.length() > 30 )
      addArgToGMJI( reqBrokerMiddleName.substring(0,30));
    else
      addArgToGMJI( reqBrokerMiddleName ); 

    if( reqBrokerageOfficeID != null && reqBrokerageOfficeID.length() > 10 )
      addArgToGMJI( reqBrokerageOfficeID.substring(0,10));
    else
      addArgToGMJI( reqBrokerageOfficeID ); 
    addArgToGMJI( reqInvestmentCategory ); 

    if( reqBrokerEmail != null && reqBrokerEmail.length() > 128 )
      addArgToGMJI( reqBrokerEmail.substring(0,128));
    else
      addArgToGMJI( reqBrokerEmail ); 
    addArgToGMJI( reqPasswordID ); 
    addArgToGMJI( reqSecurityID ); 

    if( reqPasswordEncryptionType != null && reqPasswordEncryptionType.length() > 1 )
      addArgToGMJI( reqPasswordEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqPasswordEncryptionType ); 

    if( reqSecurityEncryptionType != null && reqSecurityEncryptionType.length() > 1 )
      addArgToGMJI( reqSecurityEncryptionType.substring(0,1));
    else
      addArgToGMJI( reqSecurityEncryptionType ); 

    if( reqSymbol != null && reqSymbol.length() > 12 )
      addArgToGMJI( reqSymbol.substring(0,12));
    else
      addArgToGMJI( reqSymbol ); 

    if( reqSymbolSuffix != null && reqSymbolSuffix.length() > 6 )
      addArgToGMJI( reqSymbolSuffix.substring(0,6));
    else
      addArgToGMJI( reqSymbolSuffix ); 

    if( reqConsumerSecurityID != null && reqConsumerSecurityID.length() > 12 )
      addArgToGMJI( reqConsumerSecurityID.substring(0,12));
    else
      addArgToGMJI( reqConsumerSecurityID ); 
    addArgToGMJI( reqSecurityIDSource ); 

    if( reqMrktCode != null && reqMrktCode.length() > 3 )
      addArgToGMJI( reqMrktCode.substring(0,3));
    else
      addArgToGMJI( reqMrktCode ); 
    addArgToGMJI( reqSecurityType ); 

    if( reqIssuer != null && reqIssuer.length() > 50 )
      addArgToGMJI( reqIssuer.substring(0,50));
    else
      addArgToGMJI( reqIssuer ); 

    if( reqSecurityDesc != null && reqSecurityDesc.length() > 50 )
      addArgToGMJI( reqSecurityDesc.substring(0,50));
    else
      addArgToGMJI( reqSecurityDesc ); 

    if( reqScrtyDescNLS != null && reqScrtyDescNLS.length() > 50 )
      addArgToGMJI( reqScrtyDescNLS.substring(0,50));
    else
      addArgToGMJI( reqScrtyDescNLS ); 

    if( reqOrderID != null && reqOrderID.length() > 16 )
      addArgToGMJI( reqOrderID.substring(0,16));
    else
      addArgToGMJI( reqOrderID ); 
    GsAccount.addPropertiesToGMJI( reqAccountID, this );
    GsAccount.addPropertiesToGMJI( reqSettlementAccount, this );
    addArgToGMJI( reqSettlementType ); 
    GsDate.addPropertiesToGMJI( reqFutureSettlementDate, this );
    GsDate.addPropertiesToGMJI( reqExpireDate, this );
    addArgToGMJI( reqPutOrCall ); 
    GsCurrency.addPropertiesToGMJI( reqStrikePrice, this );
    addArgToGMJI( reqSide ); 
    GsDecimal.addPropertiesToGMJI( reqMinimumQuantity, this );
    GsDecimal.addPropertiesToGMJI( reqOrderQuantity, this );
    GsCurrency.addPropertiesToGMJI( reqCashOrderQuantity, this );
    addArgToGMJI( reqOrderType ); 
    GsCurrency.addPropertiesToGMJI( reqLimitPrice, this );
    GsCurrency.addPropertiesToGMJI( reqStopPrice, this );
    addArgToGMJI( reqTimeInForce ); 

    if( reqTimestamp != null && reqTimestamp.length() > 26 )
      addArgToGMJI( reqTimestamp.substring(0,26));
    else
      addArgToGMJI( reqTimestamp ); 
    addArgToGMJI( reqGMTOffsetMinutes ); 
    if( reqFeeDtl != null )
    {
      reqFeeDtl_packed = GsFeeDtl.pack( reqFeeDtl );
      addArgToGMJI( reqFeeDtl_packed );
    } else {
      addArgToGMJI();
    }
    addArgToGMJI( reqExecutionInstructions ); 

    if( reqTmstpVal != null && reqTmstpVal.length() > 26 )
      addArgToGMJI( reqTmstpVal.substring(0,26));
    else
      addArgToGMJI( reqTmstpVal ); 
    addArgToGMJI( reqGmtOfstMinsVal ); 

    reqSelfDef_packed = GsGmSelfDefiningFieldDef.pack( reqSelfDef );
    addArgToGMJI( reqSelfDef_packed );
  }

//======================================================================================

  public void getGoldFromGMJO()
  {
    int repeatCounter;
    final IfsTxn txn = this;
    responseCode = txn.getNextCharFromGMJO( 3, "responseCode" );
    referenceNumber = txn.getNextCharFromGMJO( 12, "referenceNumber" );
    serviceProviderReference = txn.getNextCharFromGMJO( 36, "serviceProviderReference" );
    fIProcInd = txn.getNextCharFromGMJO( 1, "fIProcInd" );
    consumerID = txn.getNextCharFromGMJO( 30, "consumerID" );
    changeableConsumerID = txn.getNextCharFromGMJO( 30, "changeableConsumerID" );
    permUserID = txn.getNextCharFromGMJO( 57, "permUserID" );
    primCnsmrID = txn.getNextCharFromGMJO( 30, "primCnsmrID" );
    brokerageName = txn.getNextNlsCharFromGMJO( 35, "brokerageName" );
    brokerLastName = txn.getNextNlsCharFromGMJO( 30, "brokerLastName" );
    brokerFirstName = txn.getNextNlsCharFromGMJO( 30, "brokerFirstName" );
    brokerMiddleName = txn.getNextNlsCharFromGMJO( 30, "brokerMiddleName" );
    brokerageOfficeID = txn.getNextNlsCharFromGMJO( 10, "brokerageOfficeID" );
    investmentCategory = txn.getNextLongFromGMJO( "investmentCategory" );
    brokerEmail = txn.getNextCharFromGMJO( 128, "brokerEmail" );
    securityType = txn.getNextLongFromGMJO( "securityType" );
    orderID = txn.getNextCharFromGMJO( 16, "orderID" );
    orderStatus = txn.getNextLongFromGMJO( "orderStatus" );
    orderReferenceID = txn.getNextCharFromGMJO( 16, "orderReferenceID" );
    orderReplyStatus = txn.getNextLongFromGMJO( "orderReplyStatus" );
    accountID = new GsAccount( txn, "accountID" );
    settlementAccount = new GsAccount( txn, "settlementAccount" );
    securityRegistration = txn.getNextLongFromGMJO( "securityRegistration" );
    settlementAmount = new GsCurrency( txn, "settlementAmount" );
    holdAmount = new GsCurrency( txn, "holdAmount" );
    securitySymbol = txn.getNextCharFromGMJO( 12, "securitySymbol" );
    symbolSuffix = txn.getNextCharFromGMJO( 6, "symbolSuffix" );
    securityID = txn.getNextCharFromGMJO( 12, "securityID" );
    securityIDSrc = txn.getNextLongFromGMJO( "securityIDSrc" );
    marketCode = txn.getNextCharFromGMJO( 3, "marketCode" );
    securityDesc = txn.getNextNlsCharFromGMJO( 50, "securityDesc" );
    securityDescAlternate = txn.getNextBinaryItemFromGMJO( "securityDescAlternate" );
    scrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "scrtyDescNLS" );
    orderOpenDate = new GsDate( txn, "orderOpenDate" );
    source = txn.getNextCharFromGMJO( 1, "source" );
    issuer = txn.getNextNlsCharFromGMJO( 50, "issuer" );
    settlementType = txn.getNextLongFromGMJO( "settlementType" );
    futureSettlementDate = new GsDate( txn, "futureSettlementDate" );
    orderRejectReason = txn.getNextLongFromGMJO( "orderRejectReason" );
    side = txn.getNextLongFromGMJO( "side" );
    orderQuantity = new GsDecimal( txn, "orderQuantity" );
    filledOrderQuantity = new GsDecimal( txn, "filledOrderQuantity" );
    orderType = txn.getNextLongFromGMJO( "orderType" );
    price = new GsCurrency( txn, "price" );
    stopPrice = new GsCurrency( txn, "stopPrice" );
    timeInForce = txn.getNextLongFromGMJO( "timeInForce" );
    exptmVal = txn.getNextCharFromGMJO( 26, "exptmVal" );
    expgmtOffset = txn.getNextLongFromGMJO( "expgmtOffset" );
    tradeDate = new GsDate( txn, "tradeDate" );
    trantmVal = txn.getNextCharFromGMJO( 26, "trantmVal" );
    trangmtOffset = txn.getNextLongFromGMJO( "trangmtOffset" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDetail = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDetail[ i ] = new GsFeeDtl( txn );
    }
    executionInstructions = txn.getNextVarCharFromGMJO( "executionInstructions" );
    orderChangeAllowed = txn.getNextLongFromGMJO( "orderChangeAllowed" );
    orderCancelAllowed = txn.getNextLongFromGMJO( "orderCancelAllowed" );
    scrtyTpCl = txn.getNextLongFromGMJO( "scrtyTpCl" );
    invOrdID = txn.getNextCharFromGMJO( 16, "invOrdID" );
    ordStatCl = txn.getNextLongFromGMJO( "ordStatCl" );
    invOrdRefID = txn.getNextCharFromGMJO( 16, "invOrdRefID" );
    invOrdRepSt = txn.getNextLongFromGMJO( "invOrdRepSt" );
    acctId = new GsAccount( txn, "acctId" );
    invSetlAcct = new GsAccount( txn, "invSetlAcct" );
    mfSecuritySymbol = txn.getNextCharFromGMJO( 12, "mfSecuritySymbol" );
    mfSymbolSuffix = txn.getNextCharFromGMJO( 6, "mfSymbolSuffix" );
    mfSecurityID = txn.getNextCharFromGMJO( 12, "mfSecurityID" );
    mfSecurityIDSrc = txn.getNextLongFromGMJO( "mfSecurityIDSrc" );
    mfMarketCode = txn.getNextCharFromGMJO( 3, "mfMarketCode" );
    scrtyDesc = txn.getNextNlsCharFromGMJO( 50, "scrtyDesc" );
    scrtyDescAlt = txn.getNextBinaryItemFromGMJO( "scrtyDescAlt" );
    invOrdMFRespTScrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "invOrdMFRespTScrtyDescNLS" );
    dtInvOrdOpn = new GsDate( txn, "dtInvOrdOpn" );
    txnSrceVal = txn.getNextCharFromGMJO( 1, "txnSrceVal" );
    mfIssuer = txn.getNextNlsCharFromGMJO( 50, "mfIssuer" );
    setlTpCl = txn.getNextLongFromGMJO( "setlTpCl" );
    ordRejRsnCl = txn.getNextLongFromGMJO( "ordRejRsnCl" );
    sideCl = txn.getNextLongFromGMJO( "sideCl" );
    ordQty = new GsDecimal( txn, "ordQty" );
    uPri = new GsCurrency( txn, "uPri" );
    mfTrntmVal = txn.getNextCharFromGMJO( 26, "mfTrntmVal" );
    mfTrngmtOffset = txn.getNextLongFromGMJO( "mfTrngmtOffset" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    feeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      feeDtl[ i ] = new GsFeeDtl( txn );
    }
    excInstr = txn.getNextVarCharFromGMJO( "excInstr" );
    ordChngAlwdCl = txn.getNextLongFromGMJO( "ordChngAlwdCl" );
    ordCanAlwdCl = txn.getNextLongFromGMJO( "ordCanAlwdCl" );
    fiSecurityType = txn.getNextLongFromGMJO( "fiSecurityType" );
    fiOrderID = txn.getNextCharFromGMJO( 16, "fiOrderID" );
    fiOrderStatus = txn.getNextLongFromGMJO( "fiOrderStatus" );
    fiOrderReferenceID = txn.getNextCharFromGMJO( 16, "fiOrderReferenceID" );
    fiOrderReplyStatus = txn.getNextLongFromGMJO( "fiOrderReplyStatus" );
    fiAccountID = new GsAccount( txn, "fiAccountID" );
    fiSettlementAccount = new GsAccount( txn, "fiSettlementAccount" );
    fiOrderOpenDate = new GsDate( txn, "fiOrderOpenDate" );
    fiTransactionSource = txn.getNextCharFromGMJO( 1, "fiTransactionSource" );
    fiSecuritySymbol = txn.getNextCharFromGMJO( 12, "fiSecuritySymbol" );
    fiSymbolSuffix = txn.getNextCharFromGMJO( 6, "fiSymbolSuffix" );
    fiSecurityID = txn.getNextCharFromGMJO( 12, "fiSecurityID" );
    fiSecurityIDSrc = txn.getNextLongFromGMJO( "fiSecurityIDSrc" );
    fiMarketCode = txn.getNextCharFromGMJO( 3, "fiMarketCode" );
    fiSecurityDesc = txn.getNextNlsCharFromGMJO( 50, "fiSecurityDesc" );
    fiSecurityDescAlternate = txn.getNextBinaryItemFromGMJO( "fiSecurityDescAlternate" );
    invOrdFIRespTScrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "invOrdFIRespTScrtyDescNLS" );
    fiOrderRejectReason = txn.getNextLongFromGMJO( "fiOrderRejectReason" );
    fiSide = txn.getNextLongFromGMJO( "fiSide" );
    fiOrderQuantity = new GsDecimal( txn, "fiOrderQuantity" );
    fiOrderType = txn.getNextLongFromGMJO( "fiOrderType" );
    fiUnitPrice = new GsCurrency( txn, "fiUnitPrice" );
    fiTradeDt = new GsDate( txn, "fiTradeDt" );
    fiTrntmVal = txn.getNextCharFromGMJO( 26, "fiTrntmVal" );
    fiTrngmtOffset = txn.getNextLongFromGMJO( "fiTrngmtOffset" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    fiFeeDetail = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      fiFeeDetail[ i ] = new GsFeeDtl( txn );
    }
    fiExecutionInstructions = txn.getNextVarCharFromGMJO( "fiExecutionInstructions" );
    fiOrderChangeAllowed = txn.getNextLongFromGMJO( "fiOrderChangeAllowed" );
    fiOrderCancelAllowed = txn.getNextLongFromGMJO( "fiOrderCancelAllowed" );
    optSecurityType = txn.getNextLongFromGMJO( "optSecurityType" );
    optOrderID = txn.getNextCharFromGMJO( 16, "optOrderID" );
    optOrderStatus = txn.getNextLongFromGMJO( "optOrderStatus" );
    optOrderReferenceID = txn.getNextCharFromGMJO( 16, "optOrderReferenceID" );
    optOrderReplyStatus = txn.getNextLongFromGMJO( "optOrderReplyStatus" );
    optAccountID = new GsAccount( txn, "optAccountID" );
    optSettlementAccount = new GsAccount( txn, "optSettlementAccount" );
    scrtySym = txn.getNextCharFromGMJO( 12, "scrtySym" );
    symSfx = txn.getNextCharFromGMJO( 6, "symSfx" );
    secID = txn.getNextCharFromGMJO( 12, "secID" );
    scrtyIDSrc = txn.getNextLongFromGMJO( "scrtyIDSrc" );
    mrktCode = txn.getNextCharFromGMJO( 3, "mrktCode" );
    optSecurityDesc = txn.getNextNlsCharFromGMJO( 50, "optSecurityDesc" );
    optSecurityDescAlternate = txn.getNextBinaryItemFromGMJO( "optSecurityDescAlternate" );
    invOrdOptRespTScrtyDescNLS = txn.getNextNlsCharFromGMJO( 50, "invOrdOptRespTScrtyDescNLS" );
    optOrderOpenDate = new GsDate( txn, "optOrderOpenDate" );
    optTransactionSource = txn.getNextCharFromGMJO( 1, "optTransactionSource" );
    optIssuer = txn.getNextNlsCharFromGMJO( 50, "optIssuer" );
    optSettlementType = txn.getNextLongFromGMJO( "optSettlementType" );
    optFutureSettlementDate = new GsDate( txn, "optFutureSettlementDate" );
    optOrderRejectReason = txn.getNextLongFromGMJO( "optOrderRejectReason" );
    optExpireDate = new GsDate( txn, "optExpireDate" );
    optPutOrCall = txn.getNextLongFromGMJO( "optPutOrCall" );
    optStrikePrice = new GsCurrency( txn, "optStrikePrice" );
    optSide = txn.getNextLongFromGMJO( "optSide" );
    optOrderQuantity = new GsDecimal( txn, "optOrderQuantity" );
    optOrderType = txn.getNextLongFromGMJO( "optOrderType" );
    optPrice = new GsCurrency( txn, "optPrice" );
    optStopPrice = new GsCurrency( txn, "optStopPrice" );
    optTimeInForce = txn.getNextLongFromGMJO( "optTimeInForce" );
    optExptmVal = txn.getNextCharFromGMJO( 26, "optExptmVal" );
    optExpgmtOffset = txn.getNextLongFromGMJO( "optExpgmtOffset" );
    optTradeDt = new GsDate( txn, "optTradeDt" );
    optTransactionTmVal = txn.getNextCharFromGMJO( 26, "optTransactionTmVal" );
    optTrngmtOffset = txn.getNextLongFromGMJO( "optTrngmtOffset" );

    repeatCounter = txn.getNextLongFromGMJO( "repeatCounter" );
    optFeeDetail = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      optFeeDetail[ i ] = new GsFeeDtl( txn );
    }
    optExecutionInstructions = txn.getNextVarCharFromGMJO( "optExecutionInstructions" );
    optOrderChangeAllowed = txn.getNextLongFromGMJO( "optOrderChangeAllowed" );
    optOrderCancelAllowed = txn.getNextLongFromGMJO( "optOrderCancelAllowed" );
    addSelfDefProperties();
  }

//======================================================================================

  public void showObject( HttpServletResponse res, PrintWriter pageWriter, String prefix )
  {
    final String newPrefix = prefix + "| ";
    pageWriter.println( prefix + "reqBrokerageName = " + getReqBrokerageName() );
    pageWriter.println( prefix + "reqBrokerLastName = " + getReqBrokerLastName() );
    pageWriter.println( prefix + "reqBrokerFirstName = " + getReqBrokerFirstName() );
    pageWriter.println( prefix + "reqBrokerMiddleName = " + getReqBrokerMiddleName() );
    pageWriter.println( prefix + "reqBrokerageOfficeID = " + getReqBrokerageOfficeID() );
    pageWriter.println( prefix + "reqInvestmentCategory = " + getReqInvestmentCategory() );
    pageWriter.println( prefix + "reqBrokerEmail = " + getReqBrokerEmail() );
    pageWriter.println( prefix + "reqPasswordID = " + getReqPasswordID() );
    pageWriter.println( prefix + "reqSecurityID = " + getReqSecurityID() );
    pageWriter.println( prefix + "reqPasswordEncryptionType = " + getReqPasswordEncryptionType() );
    pageWriter.println( prefix + "reqSecurityEncryptionType = " + getReqSecurityEncryptionType() );
    pageWriter.println( prefix + "reqSymbol = " + getReqSymbol() );
    pageWriter.println( prefix + "reqSymbolSuffix = " + getReqSymbolSuffix() );
    pageWriter.println( prefix + "reqConsumerSecurityID = " + getReqConsumerSecurityID() );
    pageWriter.println( prefix + "reqSecurityIDSource = " + getReqSecurityIDSource() );
    pageWriter.println( prefix + "reqMrktCode = " + getReqMrktCode() );
    pageWriter.println( prefix + "reqSecurityType = " + getReqSecurityType() );
    pageWriter.println( prefix + "reqIssuer = " + getReqIssuer() );
    pageWriter.println( prefix + "reqSecurityDesc = " + getReqSecurityDesc() );
    pageWriter.println( prefix + "reqScrtyDescNLS = " + getReqScrtyDescNLS() );
    pageWriter.println( prefix + "reqOrderID = " + getReqOrderID() );

    pageWriter.println( prefix + "reqAccountID =" );
    if( reqAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqSettlementAccount =" );
    if( reqSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSettlementType = " + getReqSettlementType() );

    pageWriter.println( prefix + "reqFutureSettlementDate =" );
    if( reqFutureSettlementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqFutureSettlementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqExpireDate =" );
    if( reqExpireDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqExpireDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqPutOrCall = " + getReqPutOrCall() );

    pageWriter.println( prefix + "reqStrikePrice =" );
    if( reqStrikePrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStrikePrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqSide = " + getReqSide() );

    pageWriter.println( prefix + "reqMinimumQuantity =" );
    if( reqMinimumQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqMinimumQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqOrderQuantity =" );
    if( reqOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqCashOrderQuantity =" );
    if( reqCashOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqCashOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqOrderType = " + getReqOrderType() );

    pageWriter.println( prefix + "reqLimitPrice =" );
    if( reqLimitPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqLimitPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "reqStopPrice =" );
    if( reqStopPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      reqStopPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqTimeInForce = " + getReqTimeInForce() );
    pageWriter.println( prefix + "reqTimestamp = " + getReqTimestamp() );
    pageWriter.println( prefix + "reqGMTOffsetMinutes = " + getReqGMTOffsetMinutes() );

    pageWriter.println( prefix + "reqFeeDtl =" );
    if( reqFeeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < reqFeeDtl.length; j++ )
      {
        pageWriter.println( prefix + "reqFeeDtl[" + j + "] =" );
        if( reqFeeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          reqFeeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "reqFeeDtl_packed = " + getReqFeeDtl_packed() );
    pageWriter.println( prefix + "reqExecutionInstructions = " + getReqExecutionInstructions() );
    pageWriter.println( prefix + "reqTmstpVal = " + getReqTmstpVal() );
    pageWriter.println( prefix + "reqGmtOfstMinsVal = " + getReqGmtOfstMinsVal() );
    pageWriter.println( prefix + "responseCode = " + getResponseCode() );
    try {
      pageWriter.println( prefix + "responseCode_text = " + getResponseCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "responseCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "referenceNumber = " + getReferenceNumber() );
    pageWriter.println( prefix + "serviceProviderReference = " + getServiceProviderReference() );
    pageWriter.println( prefix + "fIProcInd = " + getFIProcInd() );
    try {
      pageWriter.println( prefix + "fIProcInd_text = " + getFIProcInd_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fIProcInd_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "consumerID = " + getConsumerID() );
    pageWriter.println( prefix + "changeableConsumerID = " + getChangeableConsumerID() );
    pageWriter.println( prefix + "permUserID = " + getPermUserID() );
    pageWriter.println( prefix + "primCnsmrID = " + getPrimCnsmrID() );
    pageWriter.println( prefix + "brokerageName = " + getBrokerageName() );
    pageWriter.println( prefix + "brokerLastName = " + getBrokerLastName() );
    pageWriter.println( prefix + "brokerFirstName = " + getBrokerFirstName() );
    pageWriter.println( prefix + "brokerMiddleName = " + getBrokerMiddleName() );
    pageWriter.println( prefix + "brokerageOfficeID = " + getBrokerageOfficeID() );
    pageWriter.println( prefix + "investmentCategory = " + getInvestmentCategory() );
    pageWriter.println( prefix + "brokerEmail = " + getBrokerEmail() );
    pageWriter.println( prefix + "securityType = " + getSecurityType() );
    try {
      pageWriter.println( prefix + "securityType_text = " + getSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderID = " + getOrderID() );
    pageWriter.println( prefix + "orderStatus = " + getOrderStatus() );
    try {
      pageWriter.println( prefix + "orderStatus_text = " + getOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderReferenceID = " + getOrderReferenceID() );
    pageWriter.println( prefix + "orderReplyStatus = " + getOrderReplyStatus() );
    try {
      pageWriter.println( prefix + "orderReplyStatus_text = " + getOrderReplyStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderReplyStatus_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "accountID =" );
    if( accountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      accountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "settlementAccount =" );
    if( settlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "securityRegistration = " + getSecurityRegistration() );
    try {
      pageWriter.println( prefix + "securityRegistration_text = " + getSecurityRegistration_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityRegistration_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "settlementAmount =" );
    if( settlementAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      settlementAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "holdAmount =" );
    if( holdAmount == null ) {
      pageWriter.println( " (null)" );
    } else {
      holdAmount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "securitySymbol = " + getSecuritySymbol() );
    pageWriter.println( prefix + "symbolSuffix = " + getSymbolSuffix() );
    pageWriter.println( prefix + "securityID = " + getSecurityID() );
    pageWriter.println( prefix + "securityIDSrc = " + getSecurityIDSrc() );
    try {
      pageWriter.println( prefix + "securityIDSrc_text = " + getSecurityIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "securityIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "marketCode = " + getMarketCode() );
    try {
      pageWriter.println( prefix + "marketCode_text = " + getMarketCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "marketCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "securityDesc = " + getSecurityDesc() );
    pageWriter.println( prefix + "securityDescAlternate = " + getSecurityDescAlternate() );
    pageWriter.println( prefix + "scrtyDescNLS = " + getScrtyDescNLS() );

    pageWriter.println( prefix + "orderOpenDate =" );
    if( orderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "source = " + getSource() );
    try {
      pageWriter.println( prefix + "source_text = " + getSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "source_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "issuer = " + getIssuer() );
    pageWriter.println( prefix + "settlementType = " + getSettlementType() );
    try {
      pageWriter.println( prefix + "settlementType_text = " + getSettlementType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "settlementType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "futureSettlementDate =" );
    if( futureSettlementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      futureSettlementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderRejectReason = " + getOrderRejectReason() );
    try {
      pageWriter.println( prefix + "orderRejectReason_text = " + getOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "side = " + getSide() );
    try {
      pageWriter.println( prefix + "side_text = " + getSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "side_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "orderQuantity =" );
    if( orderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      orderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "filledOrderQuantity =" );
    if( filledOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      filledOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "orderType = " + getOrderType() );
    try {
      pageWriter.println( prefix + "orderType_text = " + getOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "price =" );
    if( price == null ) {
      pageWriter.println( " (null)" );
    } else {
      price.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "stopPrice =" );
    if( stopPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      stopPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "timeInForce = " + getTimeInForce() );
    try {
      pageWriter.println( prefix + "timeInForce_text = " + getTimeInForce_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "timeInForce_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "exptmVal = " + getExptmVal() );
    pageWriter.println( prefix + "expgmtOffset = " + getExpgmtOffset() );

    pageWriter.println( prefix + "tradeDate =" );
    if( tradeDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      tradeDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "trantmVal = " + getTrantmVal() );
    pageWriter.println( prefix + "trangmtOffset = " + getTrangmtOffset() );

    pageWriter.println( prefix + "feeDetail =" );
    if( feeDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDetail.length; j++ )
      {
        pageWriter.println( prefix + "feeDetail[" + j + "] =" );
        if( feeDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "executionInstructions = " + getExecutionInstructions() );
    pageWriter.println( prefix + "orderChangeAllowed = " + getOrderChangeAllowed() );
    try {
      pageWriter.println( prefix + "orderChangeAllowed_text = " + getOrderChangeAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderChangeAllowed_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "orderCancelAllowed = " + getOrderCancelAllowed() );
    try {
      pageWriter.println( prefix + "orderCancelAllowed_text = " + getOrderCancelAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "orderCancelAllowed_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "scrtyTpCl = " + getScrtyTpCl() );
    try {
      pageWriter.println( prefix + "scrtyTpCl_text = " + getScrtyTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "scrtyTpCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "invOrdID = " + getInvOrdID() );
    pageWriter.println( prefix + "ordStatCl = " + getOrdStatCl() );
    try {
      pageWriter.println( prefix + "ordStatCl_text = " + getOrdStatCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordStatCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "invOrdRefID = " + getInvOrdRefID() );
    pageWriter.println( prefix + "invOrdRepSt = " + getInvOrdRepSt() );
    try {
      pageWriter.println( prefix + "invOrdRepSt_text = " + getInvOrdRepSt_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "invOrdRepSt_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "acctId =" );
    if( acctId == null ) {
      pageWriter.println( " (null)" );
    } else {
      acctId.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "invSetlAcct =" );
    if( invSetlAcct == null ) {
      pageWriter.println( " (null)" );
    } else {
      invSetlAcct.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "mfSecuritySymbol = " + getMfSecuritySymbol() );
    pageWriter.println( prefix + "mfSymbolSuffix = " + getMfSymbolSuffix() );
    pageWriter.println( prefix + "mfSecurityID = " + getMfSecurityID() );
    pageWriter.println( prefix + "mfSecurityIDSrc = " + getMfSecurityIDSrc() );
    try {
      pageWriter.println( prefix + "mfSecurityIDSrc_text = " + getMfSecurityIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mfSecurityIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mfMarketCode = " + getMfMarketCode() );
    try {
      pageWriter.println( prefix + "mfMarketCode_text = " + getMfMarketCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mfMarketCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "scrtyDesc = " + getScrtyDesc() );
    pageWriter.println( prefix + "scrtyDescAlt = " + getScrtyDescAlt() );
    pageWriter.println( prefix + "invOrdMFRespTScrtyDescNLS = " + getInvOrdMFRespTScrtyDescNLS() );

    pageWriter.println( prefix + "dtInvOrdOpn =" );
    if( dtInvOrdOpn == null ) {
      pageWriter.println( " (null)" );
    } else {
      dtInvOrdOpn.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "txnSrceVal = " + getTxnSrceVal() );
    try {
      pageWriter.println( prefix + "txnSrceVal_text = " + getTxnSrceVal_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "txnSrceVal_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mfIssuer = " + getMfIssuer() );
    pageWriter.println( prefix + "setlTpCl = " + getSetlTpCl() );
    try {
      pageWriter.println( prefix + "setlTpCl_text = " + getSetlTpCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "setlTpCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ordRejRsnCl = " + getOrdRejRsnCl() );
    try {
      pageWriter.println( prefix + "ordRejRsnCl_text = " + getOrdRejRsnCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordRejRsnCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "sideCl = " + getSideCl() );
    try {
      pageWriter.println( prefix + "sideCl_text = " + getSideCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "sideCl_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "ordQty =" );
    if( ordQty == null ) {
      pageWriter.println( " (null)" );
    } else {
      ordQty.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "uPri =" );
    if( uPri == null ) {
      pageWriter.println( " (null)" );
    } else {
      uPri.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "mfTrntmVal = " + getMfTrntmVal() );
    pageWriter.println( prefix + "mfTrngmtOffset = " + getMfTrngmtOffset() );

    pageWriter.println( prefix + "feeDtl =" );
    if( feeDtl == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < feeDtl.length; j++ )
      {
        pageWriter.println( prefix + "feeDtl[" + j + "] =" );
        if( feeDtl[ j ] == null )
          pageWriter.println( " (null)" );
        else
          feeDtl[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "excInstr = " + getExcInstr() );
    pageWriter.println( prefix + "ordChngAlwdCl = " + getOrdChngAlwdCl() );
    try {
      pageWriter.println( prefix + "ordChngAlwdCl_text = " + getOrdChngAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordChngAlwdCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "ordCanAlwdCl = " + getOrdCanAlwdCl() );
    try {
      pageWriter.println( prefix + "ordCanAlwdCl_text = " + getOrdCanAlwdCl_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "ordCanAlwdCl_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiSecurityType = " + getFiSecurityType() );
    try {
      pageWriter.println( prefix + "fiSecurityType_text = " + getFiSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiSecurityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiOrderID = " + getFiOrderID() );
    pageWriter.println( prefix + "fiOrderStatus = " + getFiOrderStatus() );
    try {
      pageWriter.println( prefix + "fiOrderStatus_text = " + getFiOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiOrderReferenceID = " + getFiOrderReferenceID() );
    pageWriter.println( prefix + "fiOrderReplyStatus = " + getFiOrderReplyStatus() );
    try {
      pageWriter.println( prefix + "fiOrderReplyStatus_text = " + getFiOrderReplyStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderReplyStatus_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "fiAccountID =" );
    if( fiAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fiSettlementAccount =" );
    if( fiSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fiOrderOpenDate =" );
    if( fiOrderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiOrderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fiTransactionSource = " + getFiTransactionSource() );
    try {
      pageWriter.println( prefix + "fiTransactionSource_text = " + getFiTransactionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiTransactionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiSecuritySymbol = " + getFiSecuritySymbol() );
    pageWriter.println( prefix + "fiSymbolSuffix = " + getFiSymbolSuffix() );
    pageWriter.println( prefix + "fiSecurityID = " + getFiSecurityID() );
    pageWriter.println( prefix + "fiSecurityIDSrc = " + getFiSecurityIDSrc() );
    try {
      pageWriter.println( prefix + "fiSecurityIDSrc_text = " + getFiSecurityIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiSecurityIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiMarketCode = " + getFiMarketCode() );
    try {
      pageWriter.println( prefix + "fiMarketCode_text = " + getFiMarketCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiMarketCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiSecurityDesc = " + getFiSecurityDesc() );
    pageWriter.println( prefix + "fiSecurityDescAlternate = " + getFiSecurityDescAlternate() );
    pageWriter.println( prefix + "invOrdFIRespTScrtyDescNLS = " + getInvOrdFIRespTScrtyDescNLS() );
    pageWriter.println( prefix + "fiOrderRejectReason = " + getFiOrderRejectReason() );
    try {
      pageWriter.println( prefix + "fiOrderRejectReason_text = " + getFiOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderRejectReason_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiSide = " + getFiSide() );
    try {
      pageWriter.println( prefix + "fiSide_text = " + getFiSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiSide_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "fiOrderQuantity =" );
    if( fiOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fiOrderType = " + getFiOrderType() );
    try {
      pageWriter.println( prefix + "fiOrderType_text = " + getFiOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "fiUnitPrice =" );
    if( fiUnitPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiUnitPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "fiTradeDt =" );
    if( fiTradeDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      fiTradeDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fiTrntmVal = " + getFiTrntmVal() );
    pageWriter.println( prefix + "fiTrngmtOffset = " + getFiTrngmtOffset() );

    pageWriter.println( prefix + "fiFeeDetail =" );
    if( fiFeeDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < fiFeeDetail.length; j++ )
      {
        pageWriter.println( prefix + "fiFeeDetail[" + j + "] =" );
        if( fiFeeDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          fiFeeDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "fiExecutionInstructions = " + getFiExecutionInstructions() );
    pageWriter.println( prefix + "fiOrderChangeAllowed = " + getFiOrderChangeAllowed() );
    try {
      pageWriter.println( prefix + "fiOrderChangeAllowed_text = " + getFiOrderChangeAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderChangeAllowed_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "fiOrderCancelAllowed = " + getFiOrderCancelAllowed() );
    try {
      pageWriter.println( prefix + "fiOrderCancelAllowed_text = " + getFiOrderCancelAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "fiOrderCancelAllowed_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optSecurityType = " + getOptSecurityType() );
    try {
      pageWriter.println( prefix + "optSecurityType_text = " + getOptSecurityType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optSecurityType_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optOrderID = " + getOptOrderID() );
    pageWriter.println( prefix + "optOrderStatus = " + getOptOrderStatus() );
    try {
      pageWriter.println( prefix + "optOrderStatus_text = " + getOptOrderStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderStatus_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optOrderReferenceID = " + getOptOrderReferenceID() );
    pageWriter.println( prefix + "optOrderReplyStatus = " + getOptOrderReplyStatus() );
    try {
      pageWriter.println( prefix + "optOrderReplyStatus_text = " + getOptOrderReplyStatus_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderReplyStatus_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optAccountID =" );
    if( optAccountID == null ) {
      pageWriter.println( " (null)" );
    } else {
      optAccountID.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "optSettlementAccount =" );
    if( optSettlementAccount == null ) {
      pageWriter.println( " (null)" );
    } else {
      optSettlementAccount.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "scrtySym = " + getScrtySym() );
    pageWriter.println( prefix + "symSfx = " + getSymSfx() );
    pageWriter.println( prefix + "secID = " + getSecID() );
    pageWriter.println( prefix + "scrtyIDSrc = " + getScrtyIDSrc() );
    try {
      pageWriter.println( prefix + "scrtyIDSrc_text = " + getScrtyIDSrc_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "scrtyIDSrc_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "mrktCode = " + getMrktCode() );
    try {
      pageWriter.println( prefix + "mrktCode_text = " + getMrktCode_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "mrktCode_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optSecurityDesc = " + getOptSecurityDesc() );
    pageWriter.println( prefix + "optSecurityDescAlternate = " + getOptSecurityDescAlternate() );
    pageWriter.println( prefix + "invOrdOptRespTScrtyDescNLS = " + getInvOrdOptRespTScrtyDescNLS() );

    pageWriter.println( prefix + "optOrderOpenDate =" );
    if( optOrderOpenDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      optOrderOpenDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optTransactionSource = " + getOptTransactionSource() );
    try {
      pageWriter.println( prefix + "optTransactionSource_text = " + getOptTransactionSource_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optTransactionSource_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optIssuer = " + getOptIssuer() );
    pageWriter.println( prefix + "optSettlementType = " + getOptSettlementType() );
    try {
      pageWriter.println( prefix + "optSettlementType_text = " + getOptSettlementType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optSettlementType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optFutureSettlementDate =" );
    if( optFutureSettlementDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      optFutureSettlementDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optOrderRejectReason = " + getOptOrderRejectReason() );
    try {
      pageWriter.println( prefix + "optOrderRejectReason_text = " + getOptOrderRejectReason_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderRejectReason_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optExpireDate =" );
    if( optExpireDate == null ) {
      pageWriter.println( " (null)" );
    } else {
      optExpireDate.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optPutOrCall = " + getOptPutOrCall() );
    try {
      pageWriter.println( prefix + "optPutOrCall_text = " + getOptPutOrCall_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optPutOrCall_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optStrikePrice =" );
    if( optStrikePrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      optStrikePrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optSide = " + getOptSide() );
    try {
      pageWriter.println( prefix + "optSide_text = " + getOptSide_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optSide_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optOrderQuantity =" );
    if( optOrderQuantity == null ) {
      pageWriter.println( " (null)" );
    } else {
      optOrderQuantity.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optOrderType = " + getOptOrderType() );
    try {
      pageWriter.println( prefix + "optOrderType_text = " + getOptOrderType_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderType_text throws IfsException: " + e.getMessage() );
    }

    pageWriter.println( prefix + "optPrice =" );
    if( optPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      optPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }

    pageWriter.println( prefix + "optStopPrice =" );
    if( optStopPrice == null ) {
      pageWriter.println( " (null)" );
    } else {
      optStopPrice.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optTimeInForce = " + getOptTimeInForce() );
    try {
      pageWriter.println( prefix + "optTimeInForce_text = " + getOptTimeInForce_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optTimeInForce_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optExptmVal = " + getOptExptmVal() );
    pageWriter.println( prefix + "optExpgmtOffset = " + getOptExpgmtOffset() );

    pageWriter.println( prefix + "optTradeDt =" );
    if( optTradeDt == null ) {
      pageWriter.println( " (null)" );
    } else {
      optTradeDt.showObject( res, pageWriter, newPrefix );
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optTransactionTmVal = " + getOptTransactionTmVal() );
    pageWriter.println( prefix + "optTrngmtOffset = " + getOptTrngmtOffset() );

    pageWriter.println( prefix + "optFeeDetail =" );
    if( optFeeDetail == null ) {
      pageWriter.println( " (null)" );
    } else {
      for( int j = 0; j < optFeeDetail.length; j++ )
      {
        pageWriter.println( prefix + "optFeeDetail[" + j + "] =" );
        if( optFeeDetail[ j ] == null )
          pageWriter.println( " (null)" );
        else
          optFeeDetail[ j ].showObject( res, pageWriter, newPrefix );
      }
      pageWriter.println( "<br>" );
    }
    pageWriter.println( prefix + "optExecutionInstructions = " + getOptExecutionInstructions() );
    pageWriter.println( prefix + "optOrderChangeAllowed = " + getOptOrderChangeAllowed() );
    try {
      pageWriter.println( prefix + "optOrderChangeAllowed_text = " + getOptOrderChangeAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderChangeAllowed_text throws IfsException: " + e.getMessage() );
    }
    pageWriter.println( prefix + "optOrderCancelAllowed = " + getOptOrderCancelAllowed() );
    try {
      pageWriter.println( prefix + "optOrderCancelAllowed_text = " + getOptOrderCancelAllowed_text() );
    }
    catch( IfsException e ) {
      pageWriter.println( prefix + "optOrderCancelAllowed_text throws IfsException: " + e.getMessage() );
    }
  }

//======================================================================================

  public void populateFromURL( Object txn, HttpServletRequest req, String prefix )
  {
    int repeatCounter;
    reqBrokerageName = getCharFromURL( req, prefix + "reqBrokerageName" );
    reqBrokerLastName = getCharFromURL( req, prefix + "reqBrokerLastName" );
    reqBrokerFirstName = getCharFromURL( req, prefix + "reqBrokerFirstName" );
    reqBrokerMiddleName = getCharFromURL( req, prefix + "reqBrokerMiddleName" );
    reqBrokerageOfficeID = getCharFromURL( req, prefix + "reqBrokerageOfficeID" );
    reqInvestmentCategory = getLongFromURL( req, prefix + "reqInvestmentCategory" );
    reqBrokerEmail = getCharFromURL( req, prefix + "reqBrokerEmail" );
    reqPasswordID = getBinaryFromURL( req, prefix + "reqPasswordID" );
    reqSecurityID = getBinaryFromURL( req, prefix + "reqSecurityID" );
    reqPasswordEncryptionType = getCharFromURL( req, prefix + "reqPasswordEncryptionType" );
    reqSecurityEncryptionType = getCharFromURL( req, prefix + "reqSecurityEncryptionType" );
    reqSymbol = getCharFromURL( req, prefix + "reqSymbol" );
    reqSymbolSuffix = getCharFromURL( req, prefix + "reqSymbolSuffix" );
    reqConsumerSecurityID = getCharFromURL( req, prefix + "reqConsumerSecurityID" );
    reqSecurityIDSource = getLongFromURL( req, prefix + "reqSecurityIDSource" );
    reqMrktCode = getCharFromURL( req, prefix + "reqMrktCode" );
    reqSecurityType = getLongFromURL( req, prefix + "reqSecurityType" );
    reqIssuer = getCharFromURL( req, prefix + "reqIssuer" );
    reqSecurityDesc = getCharFromURL( req, prefix + "reqSecurityDesc" );
    reqScrtyDescNLS = getCharFromURL( req, prefix + "reqScrtyDescNLS" );
    reqOrderID = getCharFromURL( req, prefix + "reqOrderID" );
    reqAccountID = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqAccountID", "GtInvestmentOrderCancelChange" );
    reqSettlementAccount = populate.populateGsAccountFromURL( req, prefix, (IfsTxn)txn, false, "reqSettlementAccount", "GtInvestmentOrderCancelChange" );
    reqSettlementType = getLongFromURL( req, prefix + "reqSettlementType" );
    reqFutureSettlementDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqFutureSettlementDate", "GtInvestmentOrderCancelChange" );
    reqExpireDate = populate.populateGsDateFromURL( req, prefix, (IfsTxn)txn, false, "reqExpireDate", "GtInvestmentOrderCancelChange" );
    reqPutOrCall = getLongFromURL( req, prefix + "reqPutOrCall" );
    reqStrikePrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqStrikePrice", "GtInvestmentOrderCancelChange" );
    reqSide = getLongFromURL( req, prefix + "reqSide" );
    reqMinimumQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqMinimumQuantity", "GtInvestmentOrderCancelChange" );
    reqOrderQuantity = populate.populateGsDecimalFromURL( req, prefix, (IfsTxn)txn, false, "reqOrderQuantity", "GtInvestmentOrderCancelChange" );
    reqCashOrderQuantity = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqCashOrderQuantity", "GtInvestmentOrderCancelChange" );
    reqOrderType = getLongFromURL( req, prefix + "reqOrderType" );
    reqLimitPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqLimitPrice", "GtInvestmentOrderCancelChange" );
    reqStopPrice = populate.populateGsCurrencyFromURL( req, prefix, (IfsTxn)txn, false, "reqStopPrice", "GtInvestmentOrderCancelChange" );
    reqTimeInForce = getLongFromURL( req, prefix + "reqTimeInForce" );
    reqTimestamp = getCharFromURL( req, prefix + "reqTimestamp" );
    reqGMTOffsetMinutes = getLongFromURL( req, prefix + "reqGMTOffsetMinutes" );

    repeatCounter = getLongFromURL( req, prefix + "reqFeeDtl_repeatCounter" );
    reqFeeDtl = new GsFeeDtl[ repeatCounter ];
    for( int i = 0; i < repeatCounter; i++ )
    {
      reqFeeDtl[ i ] = new GsFeeDtl(getIfsSession());
      reqFeeDtl[ i ].populateFromURL( txn, req, prefix + "reqFeeDtl_" + i + "_" );
    }
    reqExecutionInstructions = getCharFromURL( req, prefix + "reqExecutionInstructions" );
    reqTmstpVal = getCharFromURL( req, prefix + "reqTmstpVal" );
    reqGmtOfstMinsVal = getLongFromURL( req, prefix + "reqGmtOfstMinsVal" );
  }
}
